/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var oe=["require","exports","vs/base/common/lifecycle","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/base/common/async","vs/base/common/platform","vs/platform/log/common/log","vs/base/common/errors","vs/nls!vs/code/node/sharedProcess/sharedProcessMain","vs/base/common/uri","vs/platform/files/common/files","vs/base/common/types","vs/nls","vs/platform/environment/common/environment","vs/base/common/buffer","vs/base/common/path","vs/platform/userDataProfile/common/userDataProfile","vs/base/common/arrays","vs/platform/configuration/common/configuration","vs/platform/storage/common/storage","vs/base/common/resources","vs/platform/telemetry/common/telemetry","vs/base/common/network","vs/platform/product/common/productService","vs/platform/userDataSync/common/userDataSync","vs/base/common/cancellation","vs/base/common/strings","vs/platform/uriIdentity/common/uriIdentity","vs/platform/extensionManagement/common/extensionManagement","vs/base/common/objects","vs/base/node/pfs","vs/base/common/uuid","vs/platform/extensionManagement/common/extensionManagementUtil","vs/base/common/map","vs/base/common/json","os","vs/base/common/process","vs/base/common/errorMessage","vs/platform/userDataSync/common/abstractSynchronizer","vs/platform/registry/common/platform","vs/base/common/jsonFormatter","vs/base/parts/ipc/common/ipc","vs/platform/externalServices/common/serviceMachineId","vs/platform/extensions/common/extensions","vs/platform/telemetry/common/telemetryUtils","vs/base/common/stream","vs/base/common/ternarySearchTree","vs/base/common/extpath","vs/platform/configuration/common/configurationRegistry","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/base/common/hash","fs","vs/base/common/semver/semver","vs/platform/files/common/watcher","vs/platform/native/common/native","vs/platform/policy/common/policy","vs/platform/request/common/request","vs/platform/userDataProfile/common/userDataProfileStorageService","vs/base/common/iterator","vs/base/common/stopwatch","net","vs/base/common/date","vs/base/common/marshalling","child_process","vs/base/parts/ipc/common/ipc.net","vs/base/parts/storage/common/storage","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/descriptors","crypto","vs/platform/instantiation/common/serviceCollection","vs/platform/ipc/common/mainProcessService","vs/platform/languagePacks/common/languagePacks","vs/platform/configuration/common/configurationModels","vs/platform/remote/common/remoteHosts","vs/platform/storage/common/storageIpc","vs/platform/tunnel/common/tunnel","vs/platform/userDataSync/common/content","vs/platform/userDataSync/common/userDataSyncAccount","vs/platform/extensionManagement/common/extensionsScannerService","vs/platform/extensionManagement/common/extensionStorage","vs/platform/userDataSync/common/userDataSyncMachines","vs/base/node/zip","vs/base/common/decorators","vs/base/common/functional","vs/base/common/jsonEdit","vs/base/common/lazy","vs/base/common/linkedList","vs/base/common/normalization","vs/base/common/severity","vs/base/common/processes","vs/base/common/glob","vs/base/common/uriIpc","vs/base/parts/ipc/node/ipc.cp","vs/platform/contextkey/common/contextkey","vs/platform/diagnostics/common/diagnostics","vs/platform/download/common/download","vs/platform/extensionManagement/node/extensionSignatureVerificationService","vs/platform/extensionRecommendations/common/extensionRecommendations","vs/platform/files/common/io","vs/base/common/performance","vs/platform/lifecycle/node/sharedProcessLifecycleService","vs/platform/product/common/product","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/remote/common/remoteSocketFactoryService","vs/platform/remoteTunnel/common/remoteTunnel","vs/platform/sign/common/sign","vs/platform/telemetry/common/commonProperties","vs/platform/telemetry/common/telemetryIpc","vs/platform/telemetry/common/telemetryLogAppender","vs/platform/telemetry/common/telemetryService","vs/platform/userDataSync/common/ignoredExtensions","vs/platform/voiceRecognition/node/voiceRecognitionService","vs/platform/workspace/common/workspace","vs/platform/extensionManagement/common/extensionEnablementService","vs/platform/userDataSync/common/extensionsSync","vs/platform/userDataSync/common/globalStateSync","vs/platform/userDataSync/common/keybindingsSync","vs/platform/userDataSync/common/settingsSync","vs/platform/userDataSync/common/snippetsSync","vs/platform/userDataSync/common/tasksSync","vs/platform/userDataSync/common/userDataProfilesManifestSync","vs/platform/extensionManagement/node/extensionManagementService","vs/base/parts/ipc/node/ipc.net","vs/base/common/amd","vs/base/common/arraysFind","vs/base/common/collections","vs/base/common/assert","vs/base/common/skipList","vs/base/common/cache","vs/base/common/symbols","vs/base/node/macAddress","vs/base/node/id","vs/base/node/nodeStreams","vs/base/node/ports","vs/base/parts/sandbox/node/electronTypes","vs/nls!vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/common/platform","vs/base/common/mime","vs/base/common/console","vs/amdX","vs/base/node/extpath","vs/base/node/processes","vs/base/node/ps","vs/base/parts/ipc/node/ipc.mp","vs/nls!vs/base/node/zip","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/contextkey/common/contextkey","vs/nls!vs/platform/contextkey/common/scanner","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionNls","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/remoteTunnel/common/remoteTunnel","vs/nls!vs/platform/remoteTunnel/node/remoteTunnelService","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/telemetry/common/telemetryLogAppender","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/userDataSync/common/abstractSynchronizer","vs/nls!vs/platform/userDataSync/common/keybindingsSync","vs/nls!vs/platform/userDataSync/common/settingsSync","vs/nls!vs/platform/userDataSync/common/userDataAutoSyncService","vs/nls!vs/platform/userDataSync/common/userDataSync","vs/nls!vs/platform/userDataSync/common/userDataSyncLog","vs/nls!vs/platform/userDataSync/common/userDataSyncMachines","vs/nls!vs/platform/userDataSync/common/userDataSyncResourceProvider","vs/nls!vs/platform/workspace/common/workspace","vs/platform/contextkey/common/scanner","vs/platform/environment/common/environmentService","vs/platform/environment/node/userDataPath","vs/platform/environment/node/environmentService","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionRecommendations/common/extensionRecommendationsIpc","vs/platform/instantiation/common/extensions","vs/platform/instantiation/common/graph","vs/platform/checksum/common/checksumService","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/checksum/node/checksumService","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/code/node/sharedProcess/contrib/localizationsUpdater","vs/code/node/sharedProcess/contrib/logsDataCleaner","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/common/fileService","vs/platform/files/node/diskFileSystemProvider","vs/platform/log/common/logIpc","vs/platform/log/common/logService","vs/platform/policy/common/policyIpc","vs/code/node/sharedProcess/contrib/codeCacheCleaner","vs/code/node/sharedProcess/contrib/languagePackCachedDataCleaner","vs/platform/profiling/common/profiling","vs/platform/profiling/node/profilingService","vs/platform/configuration/common/configurations","vs/platform/configuration/common/configurationService","vs/platform/remote/common/managedSocket","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/common/sharedProcessTunnelService","vs/platform/download/common/downloadService","vs/platform/request/common/requestIpc","vs/platform/sharedProcess/common/sharedProcess","vs/platform/sign/common/abstractSignService","vs/platform/sign/node/signService","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/common/extensionTipsService","vs/platform/extensionManagement/common/unsupportedExtensionsMigration","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/externalServices/common/marketplace","vs/platform/languagePacks/node/languagePacks","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/node/1dsAppender","vs/platform/telemetry/node/customEndpointTelemetryService","vs/platform/tunnel/node/sharedProcessTunnelService","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/userData/common/fileUserDataProvider","vs/platform/userDataSync/common/extensionsMerge","vs/platform/userDataSync/common/keybindingsMerge","vs/platform/userDataSync/common/snippetsMerge","vs/platform/userDataSync/common/userDataProfilesManifestMerge","vs/platform/userDataSync/common/globalStateMerge","vs/platform/userDataSync/common/settingsMerge","vs/platform/userDataSync/common/userDataSyncIpc","vs/platform/userDataSync/common/userDataSyncLog","vs/code/node/sharedProcess/contrib/voiceTranscriber","vs/platform/windows/node/windowTracker","vs/code/node/sharedProcess/contrib/userDataProfilesCleaner","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/extensionManagement/node/extensionsProfileScannerService","vs/platform/extensionManagement/node/extensionsScannerService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/extensionManagement/node/extensionTipsService","vs/platform/remoteTunnel/node/remoteTunnelService","vs/platform/storage/common/storageService","vs/platform/userDataProfile/common/userDataProfileIpc","vs/platform/userDataProfile/node/userDataProfileStorageService","vs/platform/userDataSync/common/userDataSyncEnablementService","vs/platform/userDataSync/common/userDataSyncLocalStoreService","vs/platform/userDataSync/common/userDataAutoSyncService","vs/platform/userDataSync/common/userDataSyncResourceProvider","vs/platform/userDataSync/common/userDataSyncService","vs/platform/userDataSync/common/userDataSyncServiceIpc","vs/platform/userDataSync/common/userDataSyncStoreService","vs/platform/userDataSync/node/userDataAutoSyncService","vs/platform/workspaces/node/workspaces","vs/code/node/sharedProcess/contrib/storageDataCleaner","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionManagementUtil","vs/code/node/sharedProcess/contrib/extensions","vs/platform/remote/node/nodeSocketFactory","vs/platform/tunnel/node/tunnelService","stream","util","path","graceful-fs","https","yauzl","yazl","zlib","vs/code/node/sharedProcess/sharedProcessMain"],ae=function(te){for(var e=[],O=0,N=te.length;O<N;O++)e[O]=oe[te[O]];return e};define(oe[124],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$S=e.$R=void 0,e.$R=!1;class O{static get(){const j=new Map,A=new Map,D=new Map,I=new Map;function C(c,$){c.has($.detail)||c.set($.detail,-$.timestamp)}function g(c,$){const y=c.get($.detail);y&&(y>=0||c.set($.detail,y+$.timestamp))}let P=[];typeof te=="function"&&typeof te.getStats=="function"&&(P=te.getStats().slice(0).sort((c,$)=>c.timestamp-$.timestamp));for(const c of P)switch(c.type){case 10:C(j,c);break;case 11:case 12:g(j,c);break;case 21:C(A,c);break;case 22:g(A,c);break;case 33:C(D,c);break;case 34:g(D,c);break;case 31:C(I,c);break;case 32:g(I,c);break}let E=0;D.forEach(c=>E+=c);function m(c){const $=[];return c.forEach((y,d)=>$.push([d,y])),$}return{amdLoad:m(j),amdInvoke:m(A),nodeRequire:m(D),nodeEval:m(I),nodeRequireTotal:E}}static toMarkdownTable(j,A){let D="";const I=[];return j.forEach((C,g)=>{I[g]=C.length}),A.forEach(C=>{C.forEach((g,P)=>{typeof g>"u"&&(g=C[P]="-");const E=g.toString().length;I[P]=Math.max(E,I[P])})}),j.forEach((C,g)=>{D+=`| ${C+" ".repeat(I[g]-C.toString().length)} `}),D+=`|
`,j.forEach((C,g)=>{D+=`| ${"-".repeat(I[g])} `}),D+=`|
`,A.forEach(C=>{C.forEach((g,P)=>{typeof g<"u"&&(D+=`| ${g+" ".repeat(I[P]-g.toString().length)} `)}),D+=`|
`}),D}}e.$S=O}),define(oe[125],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pb=e.$ob=e.$nb=e.$mb=e.$lb=e.$kb=e.$jb=e.$ib=e.$hb=e.$gb=e.$fb=e.$eb=e.$db=void 0;function O(y,d,u){const l=N(y,d);if(l!==-1)return y[l]}e.$db=O;function N(y,d,u=y.length-1){for(let l=u;l>=0;l--){const h=y[l];if(d(h))return l}return-1}e.$eb=N;function j(y,d){const u=A(y,d);return u===-1?void 0:y[u]}e.$fb=j;function A(y,d,u=0,l=y.length){let h=u,w=l;for(;h<w;){const S=Math.floor((h+w)/2);d(y[S])?h=S+1:w=S}return h-1}e.$gb=A;function D(y,d){const u=I(y,d);return u===y.length?void 0:y[u]}e.$hb=D;function I(y,d,u=0,l=y.length){let h=u,w=l;for(;h<w;){const S=Math.floor((h+w)/2);d(y[S])?w=S:h=S+1}return h}e.$ib=I;function C(y,d,u=0,l=y.length){const h=I(y,d,u,l);return h===y.length?-1:h}e.$jb=C;class g{static{this.assertInvariants=!1}constructor(d){this.e=d,this.c=0}findLastMonotonous(d){if(g.assertInvariants){if(this.d){for(const l of this.e)if(this.d(l)&&!d(l))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.")}this.d=d}const u=A(this.e,d,this.c);return this.c=u+1,u===-1?void 0:this.e[u]}}e.$kb=g;function P(y,d){if(y.length===0)return;let u=y[0];for(let l=1;l<y.length;l++){const h=y[l];d(h,u)>0&&(u=h)}return u}e.$lb=P;function E(y,d){if(y.length===0)return;let u=y[0];for(let l=1;l<y.length;l++){const h=y[l];d(h,u)>=0&&(u=h)}return u}e.$mb=E;function m(y,d){return P(y,(u,l)=>-d(u,l))}e.$nb=m;function c(y,d){if(y.length===0)return-1;let u=0;for(let l=1;l<y.length;l++){const h=y[l];d(h,y[u])>0&&(u=l)}return u}e.$ob=c;function $(y,d){for(const u of y){const l=d(u);if(l!==void 0)return l}}e.$pb=$}),define(oe[126],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$L=e.$K=e.$J=e.$I=void 0;function O(D,I){const C=Object.create(null);for(const g of D){const P=I(g);let E=C[P];E||(E=C[P]=[]),E.push(g)}return C}e.$I=O;function N(D,I){const C=[],g=[];for(const P of D)I.has(P)||C.push(P);for(const P of I)D.has(P)||g.push(P);return{removed:C,added:g}}e.$J=N;function j(D,I){const C=[],g=[];for(const[P,E]of D)I.has(P)||C.push(E);for(const[P,E]of I)D.has(P)||g.push(E);return{removed:C,added:g}}e.$K=j;function A(D,I){const C=new Set;for(const g of I)D.has(g)&&C.add(g);return C}e.$L=A}),define(oe[83],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fh=e.$eh=e.$dh=void 0;function O(D){return(I,C,g)=>{let P=null,E=null;if(typeof g.value=="function"?(P="value",E=g.value):typeof g.get=="function"&&(P="get",E=g.get),!E)throw new Error("not supported");g[P]=D(E,C)}}function N(D,I,C){let g=null,P=null;if(typeof C.value=="function"?(g="value",P=C.value,P.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof C.get=="function"&&(g="get",P=C.get),!P)throw new Error("not supported");const E=`$memoize$${I}`;C[g]=function(...m){return this.hasOwnProperty(E)||Object.defineProperty(this,E,{configurable:!1,enumerable:!1,writable:!1,value:P.apply(this,m)}),this[E]}}e.$dh=N;function j(D,I,C){return O((g,P)=>{const E=`$debounce$${P}`,m=`$debounce$result$${P}`;return function(...c){this[m]||(this[m]=C?C():void 0),clearTimeout(this[E]),I&&(this[m]=I(this[m],...c),c=[this[m]]),this[E]=setTimeout(()=>{g.apply(this,c),this[m]=C?C():void 0},D)}})}e.$eh=j;function A(D,I,C){return O((g,P)=>{const E=`$throttle$timer$${P}`,m=`$throttle$result$${P}`,c=`$throttle$lastRun$${P}`,$=`$throttle$pending$${P}`;return function(...y){if(this[m]||(this[m]=C?C():void 0),(this[c]===null||this[c]===void 0)&&(this[c]=-Number.MAX_VALUE),I&&(this[m]=I(this[m],...y)),this[$])return;const d=this[c]+D;d<=Date.now()?(this[c]=Date.now(),g.apply(this,[this[m]]),this[m]=C?C():void 0):(this[$]=!0,this[E]=setTimeout(()=>{this[$]=!1,this[c]=Date.now(),g.apply(this,[this[m]]),this[m]=C?C():void 0},d-Date.now()))}})}e.$fh=A}),define(oe[8],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ab=e.$_=e.$$=e.$0=e.$9=e.$8=e.$7=e.$6=e.$5=e.$4=e.$3=e.$2=e.$1=e.$Z=e.$Y=e.$X=e.setUnexpectedErrorHandler=e.$V=e.$U=void 0;class O{constructor(){this.b=[],this.a=function(t){setTimeout(()=>{throw t.stack?h.isErrorNoTelemetry(t)?new h(t.message+`

`+t.stack):new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.b.push(t),()=>{this.d(t)}}c(t){this.b.forEach(a=>{a(t)})}d(t){this.b.splice(this.b.indexOf(t),1)}setUnexpectedErrorHandler(t){this.a=t}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(t){this.a(t),this.c(t)}onUnexpectedExternalError(t){this.a(t)}}e.$U=O,e.$V=new O;function N(S){e.$V.setUnexpectedErrorHandler(S)}e.setUnexpectedErrorHandler=N;function j(S){if(!S||typeof S!="object")return!1;const t=S;return t.code==="EPIPE"&&t.syscall?.toUpperCase()==="WRITE"}e.$X=j;function A(S){g(S)||e.$V.onUnexpectedError(S)}e.$Y=A;function D(S){g(S)||e.$V.onUnexpectedExternalError(S)}e.$Z=D;function I(S){if(S instanceof Error){const{name:t,message:a}=S,n=S.stacktrace||S.stack;return{$isError:!0,name:t,message:a,stack:n,noTelemetry:h.isErrorNoTelemetry(S)}}return S}e.$1=I;const C="Canceled";function g(S){return S instanceof P?!0:S instanceof Error&&S.name===C&&S.message===C}e.$2=g;class P extends Error{constructor(){super(C),this.name=this.message}}e.$3=P;function E(){const S=new Error(C);return S.name=S.message,S}e.$4=E;function m(S){return S?new Error(`Illegal argument: ${S}`):new Error("Illegal argument")}e.$5=m;function c(S){return S?new Error(`Illegal state: ${S}`):new Error("Illegal state")}e.$6=c;class $ extends TypeError{constructor(t){super(t?`${t} is read-only and cannot be changed`:"Cannot change read-only property")}}e.$7=$;function y(S){return S?S.message?S.message:S.stack?S.stack.split(`
`)[0]:String(S):"Error"}e.$8=y;class d extends Error{constructor(t){super("NotImplemented"),t&&(this.message=t)}}e.$9=d;class u extends Error{constructor(t){super("NotSupported"),t&&(this.message=t)}}e.$0=u;class l extends Error{constructor(){super(...arguments),this.isExpected=!0}}e.$$=l;class h extends Error{constructor(t){super(t),this.name="CodeExpectedError"}static fromError(t){if(t instanceof h)return t;const a=new h;return a.message=t.message,a.stack=t.stack,a}static isErrorNoTelemetry(t){return t.name==="CodeExpectedError"}}e.$_=h;class w extends Error{constructor(t){super(t||"An unexpected bug occurred."),Object.setPrototypeOf(this,w.prototype)}}e.$ab=w}),define(oe[18],ae([0,1,8,125]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$b=e.$0b=e.$9b=e.$8b=e.$7b=e.$6b=e.$5b=e.CompareResult=e.$4b=e.$3b=e.$2b=e.$1b=e.$Zb=e.$Yb=e.$Xb=e.$Wb=e.$Vb=e.$Ub=e.$Tb=e.$Sb=e.$Rb=e.$Qb=e.$Pb=e.$Ob=e.$Nb=e.$Mb=e.$Lb=e.$Kb=e.$Jb=e.$Ib=e.$Hb=e.$Gb=e.$Fb=e.$Eb=e.top=e.$Cb=e.$Bb=e.$Ab=e.$zb=e.$yb=e.$xb=e.$wb=e.$vb=e.$ub=e.$tb=e.$sb=e.$rb=e.$qb=void 0;function j(M,J=0){return M[M.length-(1+J)]}e.$qb=j;function A(M){if(M.length===0)throw new Error("Invalid tail call");return[M.slice(0,M.length-1),M[M.length-1]]}e.$rb=A;function D(M,J,Y=(se,le)=>se===le){if(M===J)return!0;if(!M||!J||M.length!==J.length)return!1;for(let se=0,le=M.length;se<le;se++)if(!Y(M[se],J[se]))return!1;return!0}e.$sb=D;function I(M,J){const Y=M.length-1;J<Y&&(M[J]=M[Y]),M.pop()}e.$tb=I;function C(M,J,Y){return g(M.length,se=>Y(M[se],J))}e.$ub=C;function g(M,J){let Y=0,se=M-1;for(;Y<=se;){const le=(Y+se)/2|0,ue=J(le);if(ue<0)Y=le+1;else if(ue>0)se=le-1;else return le}return-(Y+1)}e.$vb=g;function P(M,J,Y){if(M=M|0,M>=J.length)throw new TypeError("invalid index");const se=J[Math.floor(J.length*Math.random())],le=[],ue=[],he=[];for(const $e of J){const de=Y($e,se);de<0?le.push($e):de>0?ue.push($e):he.push($e)}return M<le.length?P(M,le,Y):M<le.length+he.length?he[0]:P(M-(le.length+he.length),ue,Y)}e.$wb=P;function E(M,J){const Y=[];let se;for(const le of M.slice(0).sort(J))!se||J(se[0],le)!==0?(se=[le],Y.push(se)):se.push(le);return Y}e.$xb=E;function*m(M,J){let Y,se;for(const le of M)se!==void 0&&J(se,le)?Y.push(le):(Y&&(yield Y),Y=[le]),se=le;Y&&(yield Y)}e.$yb=m;function c(M,J){for(let Y=0;Y<=M.length;Y++)J(Y===0?void 0:M[Y-1],Y===M.length?void 0:M[Y])}e.$zb=c;function $(M,J){for(let Y=0;Y<M.length;Y++)J(Y===0?void 0:M[Y-1],M[Y],Y+1===M.length?void 0:M[Y+1])}e.$Ab=$;function y(M,J,Y){const se=[];function le($e,de,we){if(de===0&&we.length===0)return;const Ee=se[se.length-1];Ee&&Ee.start+Ee.deleteCount===$e?(Ee.deleteCount+=de,Ee.toInsert.push(...we)):se.push({start:$e,deleteCount:de,toInsert:we})}let ue=0,he=0;for(;;){if(ue===M.length){le(ue,0,J.slice(he));break}if(he===J.length){le(ue,M.length-ue,[]);break}const $e=M[ue],de=J[he],we=Y($e,de);we===0?(ue+=1,he+=1):we<0?(le(ue,1,[]),ue+=1):we>0&&(le(ue,0,[de]),he+=1)}return se}e.$Bb=y;function d(M,J,Y){const se=y(M,J,Y),le=[],ue=[];for(const he of se)le.push(...M.slice(he.start,he.start+he.deleteCount)),ue.push(...he.toInsert);return{removed:le,added:ue}}e.$Cb=d;function u(M,J,Y){if(Y===0)return[];const se=M.slice(0,Y).sort(J);return h(M,J,se,Y,M.length),se}e.top=u;function l(M,J,Y,se,le){return Y===0?Promise.resolve([]):new Promise((ue,he)=>{(async()=>{const $e=M.length,de=M.slice(0,Y).sort(J);for(let we=Y,Ee=Math.min(Y+se,$e);we<$e;we=Ee,Ee=Math.min(Ee+se,$e)){if(we>Y&&await new Promise(Ie=>setTimeout(Ie)),le&&le.isCancellationRequested)throw new O.$3;h(M,J,de,we,Ee)}return de})().then(ue,he)})}e.$Eb=l;function h(M,J,Y,se,le){for(const ue=Y.length;se<le;se++){const he=M[se];if(J(he,Y[ue-1])<0){Y.pop();const $e=(0,N.$ib)(Y,de=>J(he,de)<0);Y.splice($e,0,he)}}}function w(M){return M.filter(J=>!!J)}e.$Fb=w;function S(M){let J=0;for(let Y=0;Y<M.length;Y++)M[Y]&&(M[J]=M[Y],J+=1);M.length=J}e.$Gb=S;function t(M,J,Y){M.splice(Y,0,M.splice(J,1)[0])}e.$Hb=t;function a(M){return!Array.isArray(M)||M.length===0}e.$Ib=a;function n(M){return Array.isArray(M)&&M.length>0}e.$Jb=n;function s(M,J=Y=>Y){const Y=new Set;return M.filter(se=>{const le=J(se);return Y.has(le)?!1:(Y.add(le),!0)})}e.$Kb=s;function i(M){const J=new Set;return Y=>{const se=M(Y);return J.has(se)?!1:(J.add(se),!0)}}e.$Lb=i;function r(M,J){return M.length>0?M[0]:J}e.$Mb=r;function o(M,J){return M.length>0?M[M.length-1]:J}e.$Nb=o;function v(M,J,Y=(se,le)=>se===le){let se=0;for(let le=0,ue=Math.min(M.length,J.length);le<ue&&Y(M[le],J[le]);le++)se++;return se}e.$Ob=v;function p(M){return[].concat(...M)}e.$Pb=p;function f(M,J){let Y=typeof J=="number"?M:0;typeof J=="number"?Y=M:(Y=0,J=M);const se=[];if(Y<=J)for(let le=Y;le<J;le++)se.push(le);else for(let le=Y;le>J;le--)se.push(le);return se}e.$Qb=f;function b(M,J,Y){return M.reduce((se,le)=>(se[J(le)]=Y?Y(le):le,se),Object.create(null))}e.$Rb=b;function L(M,J){return M.push(J),()=>F(M,J)}e.$Sb=L;function F(M,J){const Y=M.indexOf(J);if(Y>-1)return M.splice(Y,1),J}e.$Tb=F;function T(M,J,Y){const se=M.slice(0,J),le=M.slice(J);return se.concat(Y,le)}e.$Ub=T;function z(M,J){let Y;if(typeof J=="number"){let se=J;Y=()=>{const le=Math.sin(se++)*179426549;return le-Math.floor(le)}}else Y=Math.random;for(let se=M.length-1;se>0;se-=1){const le=Math.floor(Y()*(se+1)),ue=M[se];M[se]=M[le],M[le]=ue}}e.$Vb=z;function U(M,J){const Y=M.indexOf(J);Y>-1&&(M.splice(Y,1),M.unshift(J))}e.$Wb=U;function _(M,J){const Y=M.indexOf(J);Y>-1&&(M.splice(Y,1),M.push(J))}e.$Xb=_;function K(M,J){for(const Y of J)M.push(Y)}e.$Yb=K;function Z(M,J){return Array.isArray(M)?M.map(J):J(M)}e.$Zb=Z;function G(M){return Array.isArray(M)?M:[M]}e.$1b=G;function Q(M){return M[Math.floor(Math.random()*M.length)]}e.$2b=Q;function H(M,J,Y){const se=W(M,J),le=M.length,ue=Y.length;M.length=le+ue;for(let he=le-1;he>=se;he--)M[he+ue]=M[he];for(let he=0;he<ue;he++)M[he+se]=Y[he]}e.$3b=H;function V(M,J,Y,se){const le=W(M,J);let ue=M.splice(le,Y);return ue===void 0&&(ue=[]),H(M,le,se),ue}e.$4b=V;function W(M,J){return J<0?Math.max(J+M.length,0):Math.min(J,M.length)}var ee;(function(M){function J(ue){return ue<0}M.isLessThan=J;function Y(ue){return ue<=0}M.isLessThanOrEqual=Y;function se(ue){return ue>0}M.isGreaterThan=se;function le(ue){return ue===0}M.isNeitherLessOrGreaterThan=le,M.greaterThan=1,M.lessThan=-1,M.neitherLessOrGreaterThan=0})(ee||(e.CompareResult=ee={}));function ne(M,J){return(Y,se)=>J(M(Y),M(se))}e.$5b=ne;function re(...M){return(J,Y)=>{for(const se of M){const le=se(J,Y);if(!ee.isNeitherLessOrGreaterThan(le))return le}return ee.neitherLessOrGreaterThan}}e.$6b=re;const X=(M,J)=>M-J;e.$7b=X;const B=(M,J)=>(0,e.$7b)(M?1:0,J?1:0);e.$8b=B;function k(M){return(J,Y)=>-M(J,Y)}e.$9b=k;class R{constructor(J){this.g=J,this.c=0,this.d=this.g.length-1}get length(){return this.d-this.c+1}takeWhile(J){let Y=this.c;for(;Y<this.g.length&&J(this.g[Y]);)Y++;const se=Y===this.c?null:this.g.slice(this.c,Y);return this.c=Y,se}takeFromEndWhile(J){let Y=this.d;for(;Y>=0&&J(this.g[Y]);)Y--;const se=Y===this.d?null:this.g.slice(Y+1,this.d+1);return this.d=Y,se}peek(){if(this.length!==0)return this.g[this.c]}peekLast(){if(this.length!==0)return this.g[this.d]}dequeue(){const J=this.g[this.c];return this.c++,J}removeLast(){const J=this.g[this.d];return this.d--,J}takeCount(J){const Y=this.g.slice(this.c,this.c+J);return this.c+=J,Y}}e.$0b=R;class q{static{this.empty=new q(J=>{})}constructor(J){this.iterate=J}forEach(J){this.iterate(Y=>(J(Y),!0))}toArray(){const J=[];return this.iterate(Y=>(J.push(Y),!0)),J}filter(J){return new q(Y=>this.iterate(se=>J(se)?Y(se):!0))}map(J){return new q(Y=>this.iterate(se=>Y(J(se))))}some(J){let Y=!1;return this.iterate(se=>(Y=J(se),!Y)),Y}findFirst(J){let Y;return this.iterate(se=>J(se)?(Y=se,!1):!0),Y}findLast(J){let Y;return this.iterate(se=>(J(se)&&(Y=se),!0)),Y}findLastMaxBy(J){let Y,se=!0;return this.iterate(le=>((se||ee.isGreaterThan(J(le,Y)))&&(se=!1,Y=le),!0)),Y}}e.$$b=q}),define(oe[127],ae([0,1,8]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5c=e.$4c=e.$3c=e.$2c=e.ok=void 0;function N(C,g){if(!C)throw new Error(g?`Assertion failed (${g})`:"Assertion Failed")}e.ok=N;function j(C,g="Unreachable"){throw new Error(g)}e.$2c=j;function A(C){if(!C)throw new O.$ab("Assertion Failed")}e.$3c=A;function D(C){if(!C()){debugger;C(),(0,O.$Y)(new O.$ab("Assertion Failed"))}}e.$4c=D;function I(C,g){let P=0;for(;P<C.length-1;){const E=C[P],m=C[P+1];if(!g(E,m))return!1;P++}return!0}e.$5c=I}),define(oe[84],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bb=void 0;function O(N){const j=this;let A=!1,D;return function(){return A||(A=!0,D=N.apply(j,arguments)),D}}e.$bb=O}),define(oe[59],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var O;(function(N){function j(S){return S&&typeof S=="object"&&typeof S[Symbol.iterator]=="function"}N.is=j;const A=Object.freeze([]);function D(){return A}N.empty=D;function*I(S){yield S}N.single=I;function C(S){return j(S)?S:I(S)}N.wrap=C;function g(S){return S||A}N.from=g;function*P(S){for(let t=S.length-1;t>=0;t--)yield S[t]}N.reverse=P;function E(S){return!S||S[Symbol.iterator]().next().done===!0}N.isEmpty=E;function m(S){return S[Symbol.iterator]().next().value}N.first=m;function c(S,t){for(const a of S)if(t(a))return!0;return!1}N.some=c;function $(S,t){for(const a of S)if(t(a))return a}N.find=$;function*y(S,t){for(const a of S)t(a)&&(yield a)}N.filter=y;function*d(S,t){let a=0;for(const n of S)yield t(n,a++)}N.map=d;function*u(...S){for(const t of S)for(const a of t)yield a}N.concat=u;function l(S,t,a){let n=a;for(const s of S)n=t(n,s);return n}N.reduce=l;function*h(S,t,a=S.length){for(t<0&&(t+=S.length),a<0?a+=S.length:a>S.length&&(a=S.length);t<a;t++)yield S[t]}N.slice=h;function w(S,t=Number.POSITIVE_INFINITY){const a=[];if(t===0)return[a,S];const n=S[Symbol.iterator]();for(let s=0;s<t;s++){const i=n.next();if(i.done)return[a,N.empty()];a.push(i.value)}return[a,{[Symbol.iterator](){return n}}]}N.consume=w})(O||(e.Iterable=O={}))}),define(oe[35],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vm=e.$Um=e.$Tm=e.$Sm=e.$Rm=e.$Qm=e.$Pm=e.$Om=e.$Nm=e.$Mm=e.$Lm=e.$Km=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var O;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(O||(e.ScanError=O={}));var N;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(N||(e.SyntaxKind=N={}));var j;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(j||(e.ParseErrorCode=j={}));var A;(function(t){t.DEFAULT={allowTrailingComma:!0}})(A||(e.ParseOptions=A={}));function D(t,a=!1){let n=0;const s=t.length;let i="",r=0,o=16,v=0;function p(U){let _=0,K=0;for(;_<U;){const Z=t.charCodeAt(n);if(Z>=48&&Z<=57)K=K*16+Z-48;else if(Z>=65&&Z<=70)K=K*16+Z-65+10;else if(Z>=97&&Z<=102)K=K*16+Z-97+10;else break;n++,_++}return _<U&&(K=-1),K}function f(U){n=U,i="",r=0,o=16,v=0}function b(){const U=n;if(t.charCodeAt(n)===48)n++;else for(n++;n<t.length&&g(t.charCodeAt(n));)n++;if(n<t.length&&t.charCodeAt(n)===46)if(n++,n<t.length&&g(t.charCodeAt(n)))for(n++;n<t.length&&g(t.charCodeAt(n));)n++;else return v=3,t.substring(U,n);let _=n;if(n<t.length&&(t.charCodeAt(n)===69||t.charCodeAt(n)===101))if(n++,(n<t.length&&t.charCodeAt(n)===43||t.charCodeAt(n)===45)&&n++,n<t.length&&g(t.charCodeAt(n))){for(n++;n<t.length&&g(t.charCodeAt(n));)n++;_=n}else v=3;return t.substring(U,_)}function L(){let U="",_=n;for(;;){if(n>=s){U+=t.substring(_,n),v=2;break}const K=t.charCodeAt(n);if(K===34){U+=t.substring(_,n),n++;break}if(K===92){if(U+=t.substring(_,n),n++,n>=s){v=2;break}switch(t.charCodeAt(n++)){case 34:U+='"';break;case 92:U+="\\";break;case 47:U+="/";break;case 98:U+="\b";break;case 102:U+="\f";break;case 110:U+=`
`;break;case 114:U+="\r";break;case 116:U+="	";break;case 117:{const G=p(4);G>=0?U+=String.fromCharCode(G):v=4;break}default:v=5}_=n;continue}if(K>=0&&K<=31)if(C(K)){U+=t.substring(_,n),v=2;break}else v=6;n++}return U}function F(){if(i="",v=0,r=n,n>=s)return r=s,o=17;let U=t.charCodeAt(n);if(I(U)){do n++,i+=String.fromCharCode(U),U=t.charCodeAt(n);while(I(U));return o=15}if(C(U))return n++,i+=String.fromCharCode(U),U===13&&t.charCodeAt(n)===10&&(n++,i+=`
`),o=14;switch(U){case 123:return n++,o=1;case 125:return n++,o=2;case 91:return n++,o=3;case 93:return n++,o=4;case 58:return n++,o=6;case 44:return n++,o=5;case 34:return n++,i=L(),o=10;case 47:{const _=n-1;if(t.charCodeAt(n+1)===47){for(n+=2;n<s&&!C(t.charCodeAt(n));)n++;return i=t.substring(_,n),o=12}if(t.charCodeAt(n+1)===42){n+=2;const K=s-1;let Z=!1;for(;n<K;){if(t.charCodeAt(n)===42&&t.charCodeAt(n+1)===47){n+=2,Z=!0;break}n++}return Z||(n++,v=1),i=t.substring(_,n),o=13}return i+=String.fromCharCode(U),n++,o=16}case 45:if(i+=String.fromCharCode(U),n++,n===s||!g(t.charCodeAt(n)))return o=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=b(),o=11;default:for(;n<s&&T(U);)n++,U=t.charCodeAt(n);if(r!==n){switch(i=t.substring(r,n),i){case"true":return o=8;case"false":return o=9;case"null":return o=7}return o=16}return i+=String.fromCharCode(U),n++,o=16}}function T(U){if(I(U)||C(U))return!1;switch(U){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function z(){let U;do U=F();while(U>=12&&U<=15);return U}return{setPosition:f,getPosition:()=>n,scan:a?z:F,getToken:()=>o,getTokenValue:()=>i,getTokenOffset:()=>r,getTokenLength:()=>n-r,getTokenError:()=>v}}e.$Km=D;function I(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function C(t){return t===10||t===13||t===8232||t===8233}function g(t){return t>=48&&t<=57}var P;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(P||(P={}));function E(t,a){const n=[],s=new Object;let i;const r={value:{},offset:0,length:0,type:"object",parent:void 0};let o=!1;function v(p,f,b,L){r.value=p,r.offset=f,r.length=b,r.type=L,r.colonOffset=void 0,i=r}try{h(t,{onObjectBegin:(p,f)=>{if(a<=p)throw s;i=void 0,o=a>p,n.push("")},onObjectProperty:(p,f,b)=>{if(a<f||(v(p,f,b,"property"),n[n.length-1]=p,a<=f+b))throw s},onObjectEnd:(p,f)=>{if(a<=p)throw s;i=void 0,n.pop()},onArrayBegin:(p,f)=>{if(a<=p)throw s;i=void 0,n.push(0)},onArrayEnd:(p,f)=>{if(a<=p)throw s;i=void 0,n.pop()},onLiteralValue:(p,f,b)=>{if(a<f||(v(p,f,b,S(p)),a<=f+b))throw s},onSeparator:(p,f,b)=>{if(a<=f)throw s;if(p===":"&&i&&i.type==="property")i.colonOffset=f,o=!1,i=void 0;else if(p===","){const L=n[n.length-1];typeof L=="number"?n[n.length-1]=L+1:(o=!0,n[n.length-1]=""),i=void 0}}})}catch(p){if(p!==s)throw p}return{path:n,previousNode:i,isAtPropertyKey:o,matches:p=>{let f=0;for(let b=0;f<p.length&&b<n.length;b++)if(p[f]===n[b]||p[f]==="*")f++;else if(p[f]!=="**")return!1;return f===p.length}}}e.$Lm=E;function m(t,a=[],n=A.DEFAULT){let s=null,i=[];const r=[];function o(p){Array.isArray(i)?i.push(p):s!==null&&(i[s]=p)}return h(t,{onObjectBegin:()=>{const p={};o(p),r.push(i),i=p,s=null},onObjectProperty:p=>{s=p},onObjectEnd:()=>{i=r.pop()},onArrayBegin:()=>{const p=[];o(p),r.push(i),i=p,s=null},onArrayEnd:()=>{i=r.pop()},onLiteralValue:o,onError:(p,f,b)=>{a.push({error:p,offset:f,length:b})}},n),i[0]}e.$Mm=m;function c(t,a=[],n=A.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function i(p){s.type==="property"&&(s.length=p-s.offset,s=s.parent)}function r(p){return s.children.push(p),p}h(t,{onObjectBegin:p=>{s=r({type:"object",offset:p,length:-1,parent:s,children:[]})},onObjectProperty:(p,f,b)=>{s=r({type:"property",offset:f,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:p,offset:f,length:b,parent:s})},onObjectEnd:(p,f)=>{s.length=p+f-s.offset,s=s.parent,i(p+f)},onArrayBegin:(p,f)=>{s=r({type:"array",offset:p,length:-1,parent:s,children:[]})},onArrayEnd:(p,f)=>{s.length=p+f-s.offset,s=s.parent,i(p+f)},onLiteralValue:(p,f,b)=>{r({type:S(p),offset:f,length:b,parent:s,value:p}),i(f+b)},onSeparator:(p,f,b)=>{s.type==="property"&&(p===":"?s.colonOffset=f:p===","&&i(f))},onError:(p,f,b)=>{a.push({error:p,offset:f,length:b})}},n);const v=s.children[0];return v&&delete v.parent,v}e.$Nm=c;function $(t,a){if(!t)return;let n=t;for(const s of a)if(typeof s=="string"){if(n.type!=="object"||!Array.isArray(n.children))return;let i=!1;for(const r of n.children)if(Array.isArray(r.children)&&r.children[0].value===s){n=r.children[1],i=!0;break}if(!i)return}else{const i=s;if(n.type!=="array"||i<0||!Array.isArray(n.children)||i>=n.children.length)return;n=n.children[i]}return n}e.$Om=$;function y(t){if(!t.parent||!t.parent.children)return[];const a=y(t.parent);if(t.parent.type==="property"){const n=t.parent.children[0].value;a.push(n)}else if(t.parent.type==="array"){const n=t.parent.children.indexOf(t);n!==-1&&a.push(n)}return a}e.$Pm=y;function d(t){switch(t.type){case"array":return t.children.map(d);case"object":{const a=Object.create(null);for(const n of t.children){const s=n.children[1];s&&(a[n.children[0].value]=d(s))}return a}case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.$Qm=d;function u(t,a,n=!1){return a>=t.offset&&a<t.offset+t.length||n&&a===t.offset+t.length}e.$Rm=u;function l(t,a,n=!1){if(u(t,a,n)){const s=t.children;if(Array.isArray(s))for(let i=0;i<s.length&&s[i].offset<=a;i++){const r=l(s[i],a,n);if(r)return r}return t}}e.$Sm=l;function h(t,a,n=A.DEFAULT){const s=D(t,!1);function i(ne){return ne?()=>ne(s.getTokenOffset(),s.getTokenLength()):()=>!0}function r(ne){return ne?re=>ne(re,s.getTokenOffset(),s.getTokenLength()):()=>!0}const o=i(a.onObjectBegin),v=r(a.onObjectProperty),p=i(a.onObjectEnd),f=i(a.onArrayBegin),b=i(a.onArrayEnd),L=r(a.onLiteralValue),F=r(a.onSeparator),T=i(a.onComment),z=r(a.onError),U=n&&n.disallowComments,_=n&&n.allowTrailingComma;function K(){for(;;){const ne=s.scan();switch(s.getTokenError()){case 4:Z(14);break;case 5:Z(15);break;case 3:Z(13);break;case 1:U||Z(11);break;case 2:Z(12);break;case 6:Z(16);break}switch(ne){case 12:case 13:U?Z(10):T();break;case 16:Z(1);break;case 15:case 14:break;default:return ne}}}function Z(ne,re=[],X=[]){if(z(ne),re.length+X.length>0){let B=s.getToken();for(;B!==17;){if(re.indexOf(B)!==-1){K();break}else if(X.indexOf(B)!==-1)break;B=K()}}}function G(ne){const re=s.getTokenValue();return ne?L(re):v(re),K(),!0}function Q(){switch(s.getToken()){case 11:{let ne=0;try{ne=JSON.parse(s.getTokenValue()),typeof ne!="number"&&(Z(2),ne=0)}catch{Z(2)}L(ne);break}case 7:L(null);break;case 8:L(!0);break;case 9:L(!1);break;default:return!1}return K(),!0}function H(){return s.getToken()!==10?(Z(3,[],[2,5]),!1):(G(!1),s.getToken()===6?(F(":"),K(),ee()||Z(4,[],[2,5])):Z(5,[],[2,5]),!0)}function V(){o(),K();let ne=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(ne||Z(4,[],[]),F(","),K(),s.getToken()===2&&_)break}else ne&&Z(6,[],[]);H()||Z(4,[],[2,5]),ne=!0}return p(),s.getToken()!==2?Z(7,[2],[]):K(),!0}function W(){f(),K();let ne=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(ne||Z(4,[],[]),F(","),K(),s.getToken()===4&&_)break}else ne&&Z(6,[],[]);ee()||Z(4,[],[4,5]),ne=!0}return b(),s.getToken()!==4?Z(8,[4],[]):K(),!0}function ee(){switch(s.getToken()){case 3:return W();case 1:return V();case 10:return G(!0);default:return Q()}}return K(),s.getToken()===17?n.allowEmptyContent?!0:(Z(4,[],[]),!1):ee()?(s.getToken()!==17&&Z(9,[],[]),!0):(Z(4,[],[]),!1)}e.$Tm=h;function w(t,a){const n=D(t),s=[];let i,r=0,o;do switch(o=n.getPosition(),i=n.scan(),i){case 12:case 13:case 17:r!==o&&s.push(t.substring(r,o)),a!==void 0&&s.push(n.getTokenValue().replace(/[^\r\n]/g,a)),r=n.getPosition();break}while(i!==17);return s.join("")}e.$Um=w;function S(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.$Vm=S}),define(oe[41],ae([0,1,35]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$HS=e.$GS=e.$FS=e.$ES=void 0;function N(g,P,E){let m,c,$,y,d;if(P){for(y=P.offset,d=y+P.length,$=y;$>0&&!C(g,$-1);)$--;let o=d;for(;o<g.length&&!C(g,o);)o++;c=g.substring($,o),m=D(c,E)}else c=g,m=0,$=0,y=0,d=g.length;const u=I(E,g);let l=!1,h=0,w;E.insertSpaces?w=A(" ",E.tabSize||4):w="	";const S=(0,O.$Km)(c,!1);let t=!1;function a(){return u+A(w,m+h)}function n(){let o=S.scan();for(l=!1;o===15||o===14;)l=l||o===14,o=S.scan();return t=o===16||S.getTokenError()!==0,o}const s=[];function i(o,v,p){!t&&v<d&&p>y&&g.substring(v,p)!==o&&s.push({offset:v,length:p-v,content:o})}let r=n();if(r!==17){const o=S.getTokenOffset()+$,v=A(w,m);i(v,$,o)}for(;r!==17;){let o=S.getTokenOffset()+S.getTokenLength()+$,v=n(),p="";for(;!l&&(v===12||v===13);){const b=S.getTokenOffset()+$;i(" ",o,b),o=S.getTokenOffset()+S.getTokenLength()+$,p=v===12?a():"",v=n()}if(v===2)r!==1&&(h--,p=a());else if(v===4)r!==3&&(h--,p=a());else{switch(r){case 3:case 1:h++,p=a();break;case 5:case 12:p=a();break;case 13:l?p=a():p=" ";break;case 6:p=" ";break;case 10:if(v===6){p="";break}case 7:case 8:case 9:case 11:case 2:case 4:v===12||v===13?p=" ":v!==5&&v!==17&&(t=!0);break;case 16:t=!0;break}l&&(v===12||v===13)&&(p=a())}const f=S.getTokenOffset()+$;i(p,o,f),r=v}return s}e.$ES=N;function j(g,P){const E=JSON.stringify(g,void 0,P.insertSpaces?P.tabSize||4:"	");return P.eol!==void 0?E.replace(/\r\n|\r|\n/g,P.eol):E}e.$FS=j;function A(g,P){let E="";for(let m=0;m<P;m++)E+=g;return E}function D(g,P){let E=0,m=0;const c=P.tabSize||4;for(;E<g.length;){const $=g.charAt(E);if($===" ")m++;else if($==="	")m+=c;else break;E++}return Math.floor(m/c)}function I(g,P){for(let E=0;E<P.length;E++){const m=P.charAt(E);if(m==="\r")return E+1<P.length&&P.charAt(E+1)===`
`?`\r
`:"\r";if(m===`
`)return`
`}return g&&g.eol||`
`}e.$GS=I;function C(g,P){return`\r
`.indexOf(g.charAt(P))!==-1}e.$HS=C}),define(oe[85],ae([0,1,35,41]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MS=e.$LS=e.$KS=e.$JS=e.$IS=void 0;function j(g,P,E){return A(g,P,void 0,E)}e.$IS=j;function A(g,P,E,m,c){const $=P.slice(),y=[],d=(0,O.$Nm)(g,y);let u,l;for(;$.length>0&&(l=$.pop(),u=(0,O.$Om)(d,$),u===void 0&&E!==void 0);)typeof l=="string"?E={[l]:E}:E=[E];if(u)if(u.type==="object"&&typeof l=="string"&&Array.isArray(u.children)){const h=(0,O.$Om)(u,[l]);if(h!==void 0)if(E===void 0){if(!h.parent)throw new Error("Malformed AST");const w=u.children.indexOf(h.parent);let S,t=h.parent.offset+h.parent.length;if(w>0){const a=u.children[w-1];S=a.offset+a.length}else S=u.offset+1,u.children.length>1&&(t=u.children[1].offset);return D(g,{offset:S,length:t-S,content:""},m)}else return D(g,{offset:h.offset,length:h.length,content:JSON.stringify(E)},m);else{if(E===void 0)return[];const w=`${JSON.stringify(l)}: ${JSON.stringify(E)}`,S=c?c(u.children.map(a=>a.children[0].value)):u.children.length;let t;if(S>0){const a=u.children[S-1];t={offset:a.offset+a.length,length:0,content:","+w}}else u.children.length===0?t={offset:u.offset+1,length:0,content:w}:t={offset:u.offset+1,length:0,content:w+","};return D(g,t,m)}}else if(u.type==="array"&&typeof l=="number"&&Array.isArray(u.children))if(E!==void 0){const h=`${JSON.stringify(E)}`;let w;if(u.children.length===0||l===0)w={offset:u.offset+1,length:0,content:u.children.length===0?h:h+","};else{const S=l===-1||l>u.children.length?u.children.length:l,t=u.children[S-1];w={offset:t.offset+t.length,length:0,content:","+h}}return D(g,w,m)}else{const h=l,w=u.children[h];let S;if(u.children.length===1)S={offset:u.offset+1,length:u.length-2,content:""};else if(u.children.length-1===h){const t=u.children[h-1],a=t.offset+t.length,n=u.offset+u.length;S={offset:a,length:n-2-a,content:""}}else S={offset:w.offset,length:u.children[h+1].offset-w.offset,content:""};return D(g,S,m)}else throw new Error(`Can not add ${typeof l!="number"?"index":"property"} to parent of type ${u.type}`);else{if(E===void 0)throw new Error("Can not delete in empty document");return D(g,{offset:d?d.offset:0,length:d?d.length:0,content:JSON.stringify(E)},m)}}e.$JS=A;function D(g,P,E){let m=I(g,P),c=P.offset,$=P.offset+P.content.length;if(P.length===0||P.content.length===0){for(;c>0&&!(0,N.$HS)(m,c-1);)c--;for(;$<m.length&&!(0,N.$HS)(m,$);)$++}const y=(0,N.$ES)(m,{offset:c,length:$-c},E);for(let u=y.length-1;u>=0;u--){const l=y[u];m=I(m,l),c=Math.min(c,l.offset),$=Math.max($,l.offset+l.length),$+=l.content.length-l.length}const d=g.length-(m.length-$)-c;return[{offset:c,length:d,content:m.substring(c,$)}]}e.$KS=D;function I(g,P){return g.substring(0,P.offset)+P.content+g.substring(P.offset+P.length)}e.$LS=I;function C(g,P){const E=P.slice(0).sort((c,$)=>{const y=c.offset-$.offset;return y===0?c.length-$.length:y});let m=g.length;for(let c=E.length-1;c>=0;c--){const $=E[c];if($.offset+$.length<=m)g=I(g,$);else throw new Error("Overlapping edit");m=$.offset}return g}e.$MS=C}),define(oe[86],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$T=void 0;class O{constructor(j){this.d=j,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(j){this.c=j}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}e.$T=O}),define(oe[87],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zc=void 0;class O{static{this.Undefined=new O(void 0)}constructor(A){this.element=A,this.next=O.Undefined,this.prev=O.Undefined}}class N{constructor(){this.a=O.Undefined,this.b=O.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===O.Undefined}clear(){let A=this.a;for(;A!==O.Undefined;){const D=A.next;A.prev=O.Undefined,A.next=O.Undefined,A=D}this.a=O.Undefined,this.b=O.Undefined,this.c=0}unshift(A){return this.d(A,!1)}push(A){return this.d(A,!0)}d(A,D){const I=new O(A);if(this.a===O.Undefined)this.a=I,this.b=I;else if(D){const g=this.b;this.b=I,I.prev=g,g.next=I}else{const g=this.a;this.a=I,I.next=g,g.prev=I}this.c+=1;let C=!1;return()=>{C||(C=!0,this.e(I))}}shift(){if(this.a!==O.Undefined){const A=this.a.element;return this.e(this.a),A}}pop(){if(this.b!==O.Undefined){const A=this.b.element;return this.e(this.b),A}}e(A){if(A.prev!==O.Undefined&&A.next!==O.Undefined){const D=A.prev;D.next=A.next,A.next.prev=D}else A.prev===O.Undefined&&A.next===O.Undefined?(this.a=O.Undefined,this.b=O.Undefined):A.next===O.Undefined?(this.b=this.b.prev,this.b.next=O.Undefined):A.prev===O.Undefined&&(this.a=this.a.next,this.a.prev=O.Undefined);this.c-=1}*[Symbol.iterator](){let A=this.a;for(;A!==O.Undefined;)yield A.element,A=A.next}}e.$Zc=N}),define(oe[34],ae([0,1]),function(te,e){"use strict";var O,N,j;Object.defineProperty(e,"__esModule",{value:!0}),e.$Ec=e.$Dc=e.$Cc=e.$Bc=e.$Ac=e.Touch=e.$zc=e.$yc=e.$xc=e.$wc=e.$vc=void 0;function A(l,h,w){let S=l.get(h);return S===void 0&&(S=w,l.set(h,S)),S}e.$vc=A;function D(l){const h=[];return l.forEach((w,S)=>{h.push(`${S} => ${w}`)}),`Map(${l.size}) {${h.join(", ")}}`}e.$wc=D;function I(l){const h=[];return l.forEach(w=>{h.push(w)}),`Set(${l.size}) {${h.join(", ")}}`}e.$xc=I;class C{constructor(h,w){this.uri=h,this.value=w}}function g(l){return Array.isArray(l)}class P{static{this.a=h=>h.toString()}constructor(h,w){if(this[O]="ResourceMap",h instanceof P)this.b=new Map(h.b),this.c=w??P.a;else if(g(h)){this.b=new Map,this.c=w??P.a;for(const[S,t]of h)this.set(S,t)}else this.b=new Map,this.c=h??P.a}set(h,w){return this.b.set(this.c(h),new C(h,w)),this}get(h){return this.b.get(this.c(h))?.value}has(h){return this.b.has(this.c(h))}get size(){return this.b.size}clear(){this.b.clear()}delete(h){return this.b.delete(this.c(h))}forEach(h,w){typeof w<"u"&&(h=h.bind(w));for(const[S,t]of this.b)h(t.value,t.uri,this)}*values(){for(const h of this.b.values())yield h.value}*keys(){for(const h of this.b.values())yield h.uri}*entries(){for(const h of this.b.values())yield[h.uri,h.value]}*[(O=Symbol.toStringTag,Symbol.iterator)](){for(const[,h]of this.b)yield[h.uri,h.value]}}e.$yc=P;class E{constructor(h,w){this[N]="ResourceSet",!h||typeof h=="function"?this.a=new P(h):(this.a=new P(w),h.forEach(this.add,this))}get size(){return this.a.size}add(h){return this.a.set(h,h),this}clear(){this.a.clear()}delete(h){return this.a.delete(h)}forEach(h,w){this.a.forEach((S,t)=>h.call(w,t,t,this))}has(h){return this.a.has(h)}entries(){return this.a.entries()}keys(){return this.a.keys()}values(){return this.a.keys()}[(N=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.$zc=E;var m;(function(l){l[l.None=0]="None",l[l.AsOld=1]="AsOld",l[l.AsNew=2]="AsNew"})(m||(e.Touch=m={}));class c{constructor(){this[j]="LinkedMap",this.a=new Map,this.b=void 0,this.c=void 0,this.d=0,this.e=0}clear(){this.a.clear(),this.b=void 0,this.c=void 0,this.d=0,this.e++}isEmpty(){return!this.b&&!this.c}get size(){return this.d}get first(){return this.b?.value}get last(){return this.c?.value}has(h){return this.a.has(h)}get(h,w=0){const S=this.a.get(h);if(S)return w!==0&&this.j(S,w),S.value}set(h,w,S=0){let t=this.a.get(h);if(t)t.value=w,S!==0&&this.j(t,S);else{switch(t={key:h,value:w,next:void 0,previous:void 0},S){case 0:this.h(t);break;case 1:this.g(t);break;case 2:this.h(t);break;default:this.h(t);break}this.a.set(h,t),this.d++}return this}delete(h){return!!this.remove(h)}remove(h){const w=this.a.get(h);if(w)return this.a.delete(h),this.i(w),this.d--,w.value}shift(){if(!this.b&&!this.c)return;if(!this.b||!this.c)throw new Error("Invalid list");const h=this.b;return this.a.delete(h.key),this.i(h),this.d--,h.value}forEach(h,w){const S=this.e;let t=this.b;for(;t;){if(w?h.bind(w)(t.value,t.key,this):h(t.value,t.key,this),this.e!==S)throw new Error("LinkedMap got modified during iteration.");t=t.next}}keys(){const h=this,w=this.e;let S=this.b;const t={[Symbol.iterator](){return t},next(){if(h.e!==w)throw new Error("LinkedMap got modified during iteration.");if(S){const a={value:S.key,done:!1};return S=S.next,a}else return{value:void 0,done:!0}}};return t}values(){const h=this,w=this.e;let S=this.b;const t={[Symbol.iterator](){return t},next(){if(h.e!==w)throw new Error("LinkedMap got modified during iteration.");if(S){const a={value:S.value,done:!1};return S=S.next,a}else return{value:void 0,done:!0}}};return t}entries(){const h=this,w=this.e;let S=this.b;const t={[Symbol.iterator](){return t},next(){if(h.e!==w)throw new Error("LinkedMap got modified during iteration.");if(S){const a={value:[S.key,S.value],done:!1};return S=S.next,a}else return{value:void 0,done:!0}}};return t}[(j=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}f(h){if(h>=this.size)return;if(h===0){this.clear();return}let w=this.b,S=this.size;for(;w&&S>h;)this.a.delete(w.key),w=w.next,S--;this.b=w,this.d=S,w&&(w.previous=void 0),this.e++}g(h){if(!this.b&&!this.c)this.c=h;else if(this.b)h.next=this.b,this.b.previous=h;else throw new Error("Invalid list");this.b=h,this.e++}h(h){if(!this.b&&!this.c)this.b=h;else if(this.c)h.previous=this.c,this.c.next=h;else throw new Error("Invalid list");this.c=h,this.e++}i(h){if(h===this.b&&h===this.c)this.b=void 0,this.c=void 0;else if(h===this.b){if(!h.next)throw new Error("Invalid list");h.next.previous=void 0,this.b=h.next}else if(h===this.c){if(!h.previous)throw new Error("Invalid list");h.previous.next=void 0,this.c=h.previous}else{const w=h.next,S=h.previous;if(!w||!S)throw new Error("Invalid list");w.previous=S,S.next=w}h.next=void 0,h.previous=void 0,this.e++}j(h,w){if(!this.b||!this.c)throw new Error("Invalid list");if(!(w!==1&&w!==2)){if(w===1){if(h===this.b)return;const S=h.next,t=h.previous;h===this.c?(t.next=void 0,this.c=t):(S.previous=t,t.next=S),h.previous=void 0,h.next=this.b,this.b.previous=h,this.b=h,this.e++}else if(w===2){if(h===this.c)return;const S=h.next,t=h.previous;h===this.b?(S.previous=void 0,this.b=S):(S.previous=t,t.next=S),h.next=void 0,h.previous=this.c,this.c.next=h,this.c=h,this.e++}}}toJSON(){const h=[];return this.forEach((w,S)=>{h.push([S,w])}),h}fromJSON(h){this.clear();for(const[w,S]of h)this.set(w,S)}}e.$Ac=c;class $ extends c{constructor(h,w=1){super(),this.k=h,this.l=Math.min(Math.max(0,w),1)}get limit(){return this.k}set limit(h){this.k=h,this.m()}get ratio(){return this.l}set ratio(h){this.l=Math.min(Math.max(0,h),1),this.m()}get(h,w=2){return super.get(h,w)}peek(h){return super.get(h,0)}set(h,w){return super.set(h,w,2),this.m(),this}m(){this.size>this.k&&this.f(Math.round(this.k*this.l))}}e.$Bc=$;class y{constructor(){this.a=new Map}add(h){return this.a.set(h,(this.a.get(h)||0)+1),this}delete(h){let w=this.a.get(h)||0;return w===0?!1:(w--,w===0?this.a.delete(h):this.a.set(h,w),!0)}has(h){return this.a.has(h)}}e.$Cc=y;class d{constructor(h){if(this.a=new Map,this.b=new Map,h)for(const[w,S]of h)this.set(w,S)}clear(){this.a.clear(),this.b.clear()}set(h,w){this.a.set(h,w),this.b.set(w,h)}get(h){return this.a.get(h)}getKey(h){return this.b.get(h)}delete(h){const w=this.a.get(h);return w===void 0?!1:(this.a.delete(h),this.b.delete(w),!0)}forEach(h,w){this.a.forEach((S,t)=>{h.call(w,S,t,this)})}keys(){return this.a.keys()}values(){return this.a.values()}}e.$Dc=d;class u{constructor(){this.a=new Map}add(h,w){let S=this.a.get(h);S||(S=new Set,this.a.set(h,S)),S.add(w)}delete(h,w){const S=this.a.get(h);S&&(S.delete(w),S.size===0&&this.a.delete(h))}forEach(h,w){const S=this.a.get(h);S&&S.forEach(w)}get(h){const w=this.a.get(h);return w||new Set}}e.$Ec=u}),define(oe[2],ae([0,1,18,126,34,84,59]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Yc=e.$Xc=e.$Wc=e.$Vc=e.$Uc=e.$Tc=e.$Sc=e.$Rc=e.$Qc=e.$Pc=e.$Oc=e.$Nc=e.$Mc=e.$Lc=e.$Kc=e.$Jc=e.$Ic=e.$Hc=e.$Gc=e.$Fc=void 0;const I=!1;let C=null;class g{constructor(){this.b=new Map}static{this.a=0}c(b){let L=this.b.get(b);return L||(L={parent:null,source:null,isSingleton:!1,value:b,idx:g.a++},this.b.set(b,L)),L}trackDisposable(b){const L=this.c(b);L.source||(L.source=new Error().stack)}setParent(b,L){const F=this.c(b);F.parent=L}markAsDisposed(b){this.b.delete(b)}markAsSingleton(b){this.c(b).isSingleton=!0}f(b,L){const F=L.get(b);if(F)return F;const T=b.parent?this.f(this.c(b.parent),L):b;return L.set(b,T),T}getTrackedDisposables(){const b=new Map;return[...this.b.entries()].filter(([,F])=>F.source!==null&&!this.f(F,b).isSingleton).map(([F])=>F).flat()}computeLeakingDisposables(b=10,L){let F;if(L)F=L;else{const K=new Map,Z=[...this.b.values()].filter(Q=>Q.source!==null&&!this.f(Q,K).isSingleton);if(Z.length===0)return;const G=new Set(Z.map(Q=>Q.value));if(F=Z.filter(Q=>!(Q.parent&&G.has(Q.parent))),F.length===0)throw new Error("There are cyclic diposable chains!")}if(!F)return;function T(K){function Z(Q,H){for(;Q.length>0&&H.some(V=>typeof V=="string"?V===Q[0]:Q[0].match(V));)Q.shift()}const G=K.source.split(`
`).map(Q=>Q.trim().replace("at ","")).filter(Q=>Q!=="");return Z(G,["Error",/^trackDisposable \(.*\)$/,/^DisposableTracker.trackDisposable \(.*\)$/]),G.reverse()}const z=new j.$Ec;for(const K of F){const Z=T(K);for(let G=0;G<=Z.length;G++)z.add(Z.slice(0,G).join(`
`),K)}F.sort((0,O.$5b)(K=>K.idx,O.$7b));let U="",_=0;for(const K of F.slice(0,b)){_++;const Z=T(K),G=[];for(let Q=0;Q<Z.length;Q++){let H=Z[Q];H=`(shared with ${z.get(Z.slice(0,Q+1).join(`
`)).size}/${F.length} leaks) at ${H}`;const W=z.get(Z.slice(0,Q).join(`
`)),ee=(0,N.$I)([...W].map(ne=>T(ne)[Q]),ne=>ne);delete ee[Z[Q]];for(const[ne,re]of Object.entries(ee))G.unshift(`    - stacktraces of ${re.length} other leaks continue with ${ne}`);G.unshift(H)}U+=`


==================== Leaking disposable ${_}/${F.length}: ${K.value.constructor.name} ====================
${G.join(`
`)}
============================================================

`}return F.length>b&&(U+=`


... and ${F.length-b} more leaking disposables

`),{leaks:F,details:U}}}e.$Fc=g;function P(f){C=f}if(e.$Gc=P,I){const f="__is_disposable_tracked__";P(new class{trackDisposable(b){const L=new Error("Potentially leaked disposable").stack;setTimeout(()=>{b[f]||console.log(L)},3e3)}setParent(b,L){if(b&&b!==t.None)try{b[f]=!0}catch{}}markAsDisposed(b){if(b&&b!==t.None)try{b[f]=!0}catch{}}markAsSingleton(b){}})}function E(f){return C?.trackDisposable(f),f}e.$Hc=E;function m(f){C?.markAsDisposed(f)}e.$Ic=m;function c(f,b){C?.setParent(f,b)}function $(f,b){if(C)for(const L of f)C.setParent(L,b)}function y(f){return C?.markAsSingleton(f),f}e.$Jc=y;function d(f){return typeof f.dispose=="function"&&f.dispose.length===0}e.$Kc=d;function u(f){if(D.Iterable.is(f)){const b=[];for(const L of f)if(L)try{L.dispose()}catch(F){b.push(F)}if(b.length===1)throw b[0];if(b.length>1)throw new AggregateError(b,"Encountered errors while disposing of store");return Array.isArray(f)?[]:f}else if(f)return f.dispose(),f}e.$Lc=u;function l(f){for(const b of f)d(b)&&b.dispose();return[]}e.$Mc=l;function h(...f){const b=w(()=>u(f));return $(f,b),b}e.$Nc=h;function w(f){const b=E({dispose:(0,A.$bb)(()=>{m(b),f()})});return b}e.$Oc=w;class S{static{this.DISABLE_DISPOSED_WARNING=!1}constructor(){this.f=new Set,this.g=!1,E(this)}dispose(){this.g||(m(this),this.g=!0,this.clear())}get isDisposed(){return this.g}clear(){if(this.f.size!==0)try{u(this.f)}finally{this.f.clear()}}add(b){if(!b)return b;if(b===this)throw new Error("Cannot register a disposable on itself!");return c(b,this),this.g?S.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.f.add(b),b}delete(b){if(b){if(b===this)throw new Error("Cannot dispose a disposable on itself!");this.f.delete(b),b.dispose()}}deleteAndLeak(b){b&&this.f.has(b)&&(this.f.delete(b),c(b,null))}}e.$Pc=S;class t{static{this.None=Object.freeze({dispose(){}})}constructor(){this.q=new S,E(this),c(this.q,this)}dispose(){m(this),this.q.dispose()}B(b){if(b===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(b)}}e.$Qc=t;class a{constructor(){this.b=!1,E(this)}get value(){return this.b?void 0:this.a}set value(b){this.b||b===this.a||(this.a?.dispose(),b&&c(b,this),this.a=b)}clear(){this.value=void 0}dispose(){this.b=!0,m(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const b=this.a;return this.a=void 0,b&&c(b,null),b}}e.$Rc=a;class n{constructor(b){this.b=b,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}e.$Sc=n;class s{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,E(this)}set(b){let L=b;return this.unset=()=>L=void 0,this.isset=()=>L!==void 0,this.dispose=()=>{L&&(L(),L=void 0,m(this))},this}}e.$Tc=s;class i{constructor(){this.a=new Map}acquire(b,...L){let F=this.a.get(b);F||(F={counter:0,object:this.b(b,...L)},this.a.set(b,F));const{object:T}=F,z=(0,A.$bb)(()=>{--F.counter===0&&(this.c(b,F.object),this.a.delete(b))});return F.counter++,{object:T,dispose:z}}}e.$Uc=i;class r{constructor(b){this.a=b}async acquire(b,...L){const F=this.a.acquire(b,...L);try{return{object:await F.object,dispose:()=>F.dispose()}}catch(T){throw F.dispose(),T}}}e.$Vc=r;class o{constructor(b){this.object=b}dispose(){}}e.$Wc=o;function v(f){const b=new S;try{f(b)}finally{b.dispose()}}e.$Xc=v;class p{constructor(){this.a=new Map,this.b=!1,E(this)}dispose(){m(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this.a.size)try{u(this.a.values())}finally{this.a.clear()}}has(b){return this.a.has(b)}get size(){return this.a.size}get(b){return this.a.get(b)}set(b,L,F=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),F||this.a.get(b)?.dispose(),this.a.set(b,L)}deleteAndDispose(b){this.a.get(b)?.dispose(),this.a.delete(b)}[Symbol.iterator](){return this.a[Symbol.iterator]()}}e.$Yc=p}),define(oe[88],ae([0,1,34]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kl=e.$jl=e.$il=void 0;const N=new O.$Bc(1e4);function j(g){return C(g,"NFC",N)}e.$il=j;const A=new O.$Bc(1e4);function D(g){return C(g,"NFD",A)}e.$jl=D;const I=/[^\u0000-\u0080]/;function C(g,P,E){if(!g)return g;const m=E.get(g);if(m)return m;let c;return I.test(g)?c=g.normalize(P):c=g,E.set(g,c),c}e.$kl=function(){const g=/[\u0300-\u036f]/g;return function(P){return D(P).replace(g,"")}}()}),function(){function te(j){const A=[];typeof j=="number"&&A.push("code/timeOrigin",j);function D(C){A.push(C,Date.now())}function I(){const C=[];for(let g=0;g<A.length;g+=2)C.push({name:A[g],startTime:A[g+1]});return C}return{mark:D,getMarks:I}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?te():{mark(j){performance.mark(j)},getMarks(){let j=performance.timeOrigin;typeof j!="number"&&(j=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const A=[{name:"code/timeOrigin",startTime:Math.round(j)}];for(const D of performance.getEntriesByType("mark"))A.push({name:D.name,startTime:Math.round(j+D.startTime)});return A}};if(typeof process=="object"){const j=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return te(j)}else return console.trace("perf-util loaded in UNKNOWN environment"),te()}function O(j){return j.MonacoPerformanceMarks||(j.MonacoPerformanceMarks=e()),j.MonacoPerformanceMarks}var N;typeof global=="object"?N=global:typeof self=="object"?N=self:N={},typeof define=="function"?define("vs/base/common/performance",[],function(){return O(N)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=O(N):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),N.perf=O(N))}(),function(te,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var O=e();for(var N in O)(typeof exports=="object"?exports:te)[N]=O[N]}}(typeof self<"u"?self:this,function(){return function(te){var e={};function O(N){if(e[N])return e[N].exports;var j=e[N]={i:N,l:!1,exports:{}};return te[N].call(j.exports,j,j.exports,O),j.l=!0,j.exports}return O.m=te,O.c=e,O.d=function(N,j,A){O.o(N,j)||Object.defineProperty(N,j,{enumerable:!0,get:A})},O.r=function(N){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(N,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(N,"__esModule",{value:!0})},O.t=function(N,j){if(1&j&&(N=O(N)),8&j||4&j&&typeof N=="object"&&N&&N.__esModule)return N;var A=Object.create(null);if(O.r(A),Object.defineProperty(A,"default",{enumerable:!0,value:N}),2&j&&typeof N!="string")for(var D in N)O.d(A,D,function(I){return N[I]}.bind(null,D));return A},O.n=function(N){var j=N&&N.__esModule?function(){return N.default}:function(){return N};return O.d(j,"a",j),j},O.o=function(N,j){return Object.prototype.hasOwnProperty.call(N,j)},O.p="",O(O.s=0)}([function(te,e,O){(function(N){var j;e=te.exports=X,j=typeof N=="object"&&N.env&&N.env.NODE_DEBUG&&/\bsemver\b/i.test(N.env.NODE_DEBUG)?function(){var ce=Array.prototype.slice.call(arguments,0);ce.unshift("SEMVER"),console.log.apply(console,ce)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var A=256,D=Number.MAX_SAFE_INTEGER||9007199254740991,I=e.re=[],C=e.src=[],g=0,P=g++;C[P]="0|[1-9]\\d*";var E=g++;C[E]="[0-9]+";var m=g++;C[m]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var c=g++;C[c]="("+C[P]+")\\.("+C[P]+")\\.("+C[P]+")";var $=g++;C[$]="("+C[E]+")\\.("+C[E]+")\\.("+C[E]+")";var y=g++;C[y]="(?:"+C[P]+"|"+C[m]+")";var d=g++;C[d]="(?:"+C[E]+"|"+C[m]+")";var u=g++;C[u]="(?:-("+C[y]+"(?:\\."+C[y]+")*))";var l=g++;C[l]="(?:-?("+C[d]+"(?:\\."+C[d]+")*))";var h=g++;C[h]="[0-9A-Za-z-]+";var w=g++;C[w]="(?:\\+("+C[h]+"(?:\\."+C[h]+")*))";var S=g++,t="v?"+C[c]+C[u]+"?"+C[w]+"?";C[S]="^"+t+"$";var a="[v=\\s]*"+C[$]+C[l]+"?"+C[w]+"?",n=g++;C[n]="^"+a+"$";var s=g++;C[s]="((?:<|>)?=?)";var i=g++;C[i]=C[E]+"|x|X|\\*";var r=g++;C[r]=C[P]+"|x|X|\\*";var o=g++;C[o]="[v=\\s]*("+C[r]+")(?:\\.("+C[r]+")(?:\\.("+C[r]+")(?:"+C[u]+")?"+C[w]+"?)?)?";var v=g++;C[v]="[v=\\s]*("+C[i]+")(?:\\.("+C[i]+")(?:\\.("+C[i]+")(?:"+C[l]+")?"+C[w]+"?)?)?";var p=g++;C[p]="^"+C[s]+"\\s*"+C[o]+"$";var f=g++;C[f]="^"+C[s]+"\\s*"+C[v]+"$";var b=g++;C[b]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var L=g++;C[L]="(?:~>?)";var F=g++;C[F]="(\\s*)"+C[L]+"\\s+",I[F]=new RegExp(C[F],"g");var T=g++;C[T]="^"+C[L]+C[o]+"$";var z=g++;C[z]="^"+C[L]+C[v]+"$";var U=g++;C[U]="(?:\\^)";var _=g++;C[_]="(\\s*)"+C[U]+"\\s+",I[_]=new RegExp(C[_],"g");var K=g++;C[K]="^"+C[U]+C[o]+"$";var Z=g++;C[Z]="^"+C[U]+C[v]+"$";var G=g++;C[G]="^"+C[s]+"\\s*("+a+")$|^$";var Q=g++;C[Q]="^"+C[s]+"\\s*("+t+")$|^$";var H=g++;C[H]="(\\s*)"+C[s]+"\\s*("+a+"|"+C[o]+")",I[H]=new RegExp(C[H],"g");var V=g++;C[V]="^\\s*("+C[o]+")\\s+-\\s+("+C[o]+")\\s*$";var W=g++;C[W]="^\\s*("+C[v]+")\\s+-\\s+("+C[v]+")\\s*$";var ee=g++;C[ee]="(<|>)?=?\\s*\\*";for(var ne=0;ne<35;ne++)j(ne,C[ne]),I[ne]||(I[ne]=new RegExp(C[ne]));function re(ce,ge){if(ce instanceof X)return ce;if(typeof ce!="string"||ce.length>A||!(ge?I[n]:I[S]).test(ce))return null;try{return new X(ce,ge)}catch{return null}}function X(ce,ge){if(ce instanceof X){if(ce.loose===ge)return ce;ce=ce.version}else if(typeof ce!="string")throw new TypeError("Invalid Version: "+ce);if(ce.length>A)throw new TypeError("version is longer than "+A+" characters");if(!(this instanceof X))return new X(ce,ge);j("SemVer",ce,ge),this.loose=ge;var be=ce.trim().match(ge?I[n]:I[S]);if(!be)throw new TypeError("Invalid Version: "+ce);if(this.raw=ce,this.major=+be[1],this.minor=+be[2],this.patch=+be[3],this.major>D||this.major<0)throw new TypeError("Invalid major version");if(this.minor>D||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>D||this.patch<0)throw new TypeError("Invalid patch version");be[4]?this.prerelease=be[4].split(".").map(function(ke){if(/^[0-9]+$/.test(ke)){var Pe=+ke;if(Pe>=0&&Pe<D)return Pe}return ke}):this.prerelease=[],this.build=be[5]?be[5].split("."):[],this.format()}e.parse=re,e.valid=function(ce,ge){var be=re(ce,ge);return be?be.version:null},e.clean=function(ce,ge){var be=re(ce.trim().replace(/^[=v]+/,""),ge);return be?be.version:null},e.SemVer=X,X.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},X.prototype.toString=function(){return this.version},X.prototype.compare=function(ce){return j("SemVer.compare",this.version,this.loose,ce),ce instanceof X||(ce=new X(ce,this.loose)),this.compareMain(ce)||this.comparePre(ce)},X.prototype.compareMain=function(ce){return ce instanceof X||(ce=new X(ce,this.loose)),k(this.major,ce.major)||k(this.minor,ce.minor)||k(this.patch,ce.patch)},X.prototype.comparePre=function(ce){if(ce instanceof X||(ce=new X(ce,this.loose)),this.prerelease.length&&!ce.prerelease.length)return-1;if(!this.prerelease.length&&ce.prerelease.length)return 1;if(!this.prerelease.length&&!ce.prerelease.length)return 0;var ge=0;do{var be=this.prerelease[ge],ke=ce.prerelease[ge];if(j("prerelease compare",ge,be,ke),be===void 0&&ke===void 0)return 0;if(ke===void 0)return 1;if(be===void 0)return-1;if(be!==ke)return k(be,ke)}while(++ge)},X.prototype.inc=function(ce,ge){switch(ce){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",ge);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",ge);break;case"prepatch":this.prerelease.length=0,this.inc("patch",ge),this.inc("pre",ge);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",ge),this.inc("pre",ge);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var be=this.prerelease.length;--be>=0;)typeof this.prerelease[be]=="number"&&(this.prerelease[be]++,be=-2);be===-1&&this.prerelease.push(0)}ge&&(this.prerelease[0]===ge?isNaN(this.prerelease[1])&&(this.prerelease=[ge,0]):this.prerelease=[ge,0]);break;default:throw new Error("invalid increment argument: "+ce)}return this.format(),this.raw=this.version,this},e.inc=function(ce,ge,be,ke){typeof be=="string"&&(ke=be,be=void 0);try{return new X(ce,be).inc(ge,ke).version}catch{return null}},e.diff=function(ce,ge){if(J(ce,ge))return null;var be=re(ce),ke=re(ge);if(be.prerelease.length||ke.prerelease.length){for(var Pe in be)if((Pe==="major"||Pe==="minor"||Pe==="patch")&&be[Pe]!==ke[Pe])return"pre"+Pe;return"prerelease"}for(var Pe in be)if((Pe==="major"||Pe==="minor"||Pe==="patch")&&be[Pe]!==ke[Pe])return Pe},e.compareIdentifiers=k;var B=/^[0-9]+$/;function k(ce,ge){var be=B.test(ce),ke=B.test(ge);return be&&ke&&(ce=+ce,ge=+ge),be&&!ke?-1:ke&&!be?1:ce<ge?-1:ce>ge?1:0}function R(ce,ge,be){return new X(ce,be).compare(new X(ge,be))}function q(ce,ge,be){return R(ce,ge,be)>0}function M(ce,ge,be){return R(ce,ge,be)<0}function J(ce,ge,be){return R(ce,ge,be)===0}function Y(ce,ge,be){return R(ce,ge,be)!==0}function se(ce,ge,be){return R(ce,ge,be)>=0}function le(ce,ge,be){return R(ce,ge,be)<=0}function ue(ce,ge,be,ke){var Pe;switch(ge){case"===":typeof ce=="object"&&(ce=ce.version),typeof be=="object"&&(be=be.version),Pe=ce===be;break;case"!==":typeof ce=="object"&&(ce=ce.version),typeof be=="object"&&(be=be.version),Pe=ce!==be;break;case"":case"=":case"==":Pe=J(ce,be,ke);break;case"!=":Pe=Y(ce,be,ke);break;case">":Pe=q(ce,be,ke);break;case">=":Pe=se(ce,be,ke);break;case"<":Pe=M(ce,be,ke);break;case"<=":Pe=le(ce,be,ke);break;default:throw new TypeError("Invalid operator: "+ge)}return Pe}function he(ce,ge){if(ce instanceof he){if(ce.loose===ge)return ce;ce=ce.value}if(!(this instanceof he))return new he(ce,ge);j("comparator",ce,ge),this.loose=ge,this.parse(ce),this.semver===$e?this.value="":this.value=this.operator+this.semver.version,j("comp",this)}e.rcompareIdentifiers=function(ce,ge){return k(ge,ce)},e.major=function(ce,ge){return new X(ce,ge).major},e.minor=function(ce,ge){return new X(ce,ge).minor},e.patch=function(ce,ge){return new X(ce,ge).patch},e.compare=R,e.compareLoose=function(ce,ge){return R(ce,ge,!0)},e.rcompare=function(ce,ge,be){return R(ge,ce,be)},e.sort=function(ce,ge){return ce.sort(function(be,ke){return e.compare(be,ke,ge)})},e.rsort=function(ce,ge){return ce.sort(function(be,ke){return e.rcompare(be,ke,ge)})},e.gt=q,e.lt=M,e.eq=J,e.neq=Y,e.gte=se,e.lte=le,e.cmp=ue,e.Comparator=he;var $e={};function de(ce,ge){if(ce instanceof de)return ce.loose===ge?ce:new de(ce.raw,ge);if(ce instanceof he)return new de(ce.value,ge);if(!(this instanceof de))return new de(ce,ge);if(this.loose=ge,this.raw=ce,this.set=ce.split(/\s*\|\|\s*/).map(function(be){return this.parseRange(be.trim())},this).filter(function(be){return be.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+ce);this.format()}function we(ce){return!ce||ce.toLowerCase()==="x"||ce==="*"}function Ee(ce,ge,be,ke,Pe,ze,Le,qe,Me,ie,fe,me,pe){return((ge=we(be)?"":we(ke)?">="+be+".0.0":we(Pe)?">="+be+"."+ke+".0":">="+ge)+" "+(qe=we(Me)?"":we(ie)?"<"+(+Me+1)+".0.0":we(fe)?"<"+Me+"."+(+ie+1)+".0":me?"<="+Me+"."+ie+"."+fe+"-"+me:"<="+qe)).trim()}function Ie(ce,ge){for(var be=0;be<ce.length;be++)if(!ce[be].test(ge))return!1;if(ge.prerelease.length){for(be=0;be<ce.length;be++)if(j(ce[be].semver),ce[be].semver!==$e&&ce[be].semver.prerelease.length>0){var ke=ce[be].semver;if(ke.major===ge.major&&ke.minor===ge.minor&&ke.patch===ge.patch)return!0}return!1}return!0}function Ne(ce,ge,be){try{ge=new de(ge,be)}catch{return!1}return ge.test(ce)}function Te(ce,ge,be,ke){var Pe,ze,Le,qe,Me;switch(ce=new X(ce,ke),ge=new de(ge,ke),be){case">":Pe=q,ze=le,Le=M,qe=">",Me=">=";break;case"<":Pe=M,ze=se,Le=q,qe="<",Me="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ne(ce,ge,ke))return!1;for(var ie=0;ie<ge.set.length;++ie){var fe=ge.set[ie],me=null,pe=null;if(fe.forEach(function(Se){Se.semver===$e&&(Se=new he(">=0.0.0")),me=me||Se,pe=pe||Se,Pe(Se.semver,me.semver,ke)?me=Se:Le(Se.semver,pe.semver,ke)&&(pe=Se)}),me.operator===qe||me.operator===Me||(!pe.operator||pe.operator===qe)&&ze(ce,pe.semver)||pe.operator===Me&&Le(ce,pe.semver))return!1}return!0}he.prototype.parse=function(ce){var ge=this.loose?I[G]:I[Q],be=ce.match(ge);if(!be)throw new TypeError("Invalid comparator: "+ce);this.operator=be[1],this.operator==="="&&(this.operator=""),be[2]?this.semver=new X(be[2],this.loose):this.semver=$e},he.prototype.toString=function(){return this.value},he.prototype.test=function(ce){return j("Comparator.test",ce,this.loose),this.semver===$e||(typeof ce=="string"&&(ce=new X(ce,this.loose)),ue(ce,this.operator,this.semver,this.loose))},he.prototype.intersects=function(ce,ge){if(!(ce instanceof he))throw new TypeError("a Comparator is required");var be;if(this.operator==="")return be=new de(ce.value,ge),Ne(this.value,be,ge);if(ce.operator==="")return be=new de(this.value,ge),Ne(ce.semver,be,ge);var ke=!(this.operator!==">="&&this.operator!==">"||ce.operator!==">="&&ce.operator!==">"),Pe=!(this.operator!=="<="&&this.operator!=="<"||ce.operator!=="<="&&ce.operator!=="<"),ze=this.semver.version===ce.semver.version,Le=!(this.operator!==">="&&this.operator!=="<="||ce.operator!==">="&&ce.operator!=="<="),qe=ue(this.semver,"<",ce.semver,ge)&&(this.operator===">="||this.operator===">")&&(ce.operator==="<="||ce.operator==="<"),Me=ue(this.semver,">",ce.semver,ge)&&(this.operator==="<="||this.operator==="<")&&(ce.operator===">="||ce.operator===">");return ke||Pe||ze&&Le||qe||Me},e.Range=de,de.prototype.format=function(){return this.range=this.set.map(function(ce){return ce.join(" ").trim()}).join("||").trim(),this.range},de.prototype.toString=function(){return this.range},de.prototype.parseRange=function(ce){var ge=this.loose;ce=ce.trim(),j("range",ce,ge);var be=ge?I[W]:I[V];ce=ce.replace(be,Ee),j("hyphen replace",ce),ce=ce.replace(I[H],"$1$2$3"),j("comparator trim",ce,I[H]),ce=(ce=(ce=ce.replace(I[F],"$1~")).replace(I[_],"$1^")).split(/\s+/).join(" ");var ke=ge?I[G]:I[Q],Pe=ce.split(" ").map(function(ze){return function(Le,qe){return j("comp",Le),Le=function(Me,ie){return Me.trim().split(/\s+/).map(function(fe){return function(me,pe){j("caret",me,pe);var Se=pe?I[Z]:I[K];return me.replace(Se,function(Re,Ce,Oe,De,Ae){var Fe;return j("caret",me,Re,Ce,Oe,De,Ae),we(Ce)?Fe="":we(Oe)?Fe=">="+Ce+".0.0 <"+(+Ce+1)+".0.0":we(De)?Fe=Ce==="0"?">="+Ce+"."+Oe+".0 <"+Ce+"."+(+Oe+1)+".0":">="+Ce+"."+Oe+".0 <"+(+Ce+1)+".0.0":Ae?(j("replaceCaret pr",Ae),Ae.charAt(0)!=="-"&&(Ae="-"+Ae),Fe=Ce==="0"?Oe==="0"?">="+Ce+"."+Oe+"."+De+Ae+" <"+Ce+"."+Oe+"."+(+De+1):">="+Ce+"."+Oe+"."+De+Ae+" <"+Ce+"."+(+Oe+1)+".0":">="+Ce+"."+Oe+"."+De+Ae+" <"+(+Ce+1)+".0.0"):(j("no pr"),Fe=Ce==="0"?Oe==="0"?">="+Ce+"."+Oe+"."+De+" <"+Ce+"."+Oe+"."+(+De+1):">="+Ce+"."+Oe+"."+De+" <"+Ce+"."+(+Oe+1)+".0":">="+Ce+"."+Oe+"."+De+" <"+(+Ce+1)+".0.0"),j("caret return",Fe),Fe})}(fe,ie)}).join(" ")}(Le,qe),j("caret",Le),Le=function(Me,ie){return Me.trim().split(/\s+/).map(function(fe){return function(me,pe){var Se=pe?I[z]:I[T];return me.replace(Se,function(Re,Ce,Oe,De,Ae){var Fe;return j("tilde",me,Re,Ce,Oe,De,Ae),we(Ce)?Fe="":we(Oe)?Fe=">="+Ce+".0.0 <"+(+Ce+1)+".0.0":we(De)?Fe=">="+Ce+"."+Oe+".0 <"+Ce+"."+(+Oe+1)+".0":Ae?(j("replaceTilde pr",Ae),Ae.charAt(0)!=="-"&&(Ae="-"+Ae),Fe=">="+Ce+"."+Oe+"."+De+Ae+" <"+Ce+"."+(+Oe+1)+".0"):Fe=">="+Ce+"."+Oe+"."+De+" <"+Ce+"."+(+Oe+1)+".0",j("tilde return",Fe),Fe})}(fe,ie)}).join(" ")}(Le,qe),j("tildes",Le),Le=function(Me,ie){return j("replaceXRanges",Me,ie),Me.split(/\s+/).map(function(fe){return function(me,pe){me=me.trim();var Se=pe?I[f]:I[p];return me.replace(Se,function(Re,Ce,Oe,De,Ae,Fe){j("xRange",me,Re,Ce,Oe,De,Ae,Fe);var Be=we(Oe),Ue=Be||we(De),We=Ue||we(Ae);return Ce==="="&&We&&(Ce=""),Be?Re=Ce===">"||Ce==="<"?"<0.0.0":"*":Ce&&We?(Ue&&(De=0),We&&(Ae=0),Ce===">"?(Ce=">=",Ue?(Oe=+Oe+1,De=0,Ae=0):We&&(De=+De+1,Ae=0)):Ce==="<="&&(Ce="<",Ue?Oe=+Oe+1:De=+De+1),Re=Ce+Oe+"."+De+"."+Ae):Ue?Re=">="+Oe+".0.0 <"+(+Oe+1)+".0.0":We&&(Re=">="+Oe+"."+De+".0 <"+Oe+"."+(+De+1)+".0"),j("xRange return",Re),Re})}(fe,ie)}).join(" ")}(Le,qe),j("xrange",Le),Le=function(Me,ie){return j("replaceStars",Me,ie),Me.trim().replace(I[ee],"")}(Le,qe),j("stars",Le),Le}(ze,ge)}).join(" ").split(/\s+/);return this.loose&&(Pe=Pe.filter(function(ze){return!!ze.match(ke)})),Pe=Pe.map(function(ze){return new he(ze,ge)})},de.prototype.intersects=function(ce,ge){if(!(ce instanceof de))throw new TypeError("a Range is required");return this.set.some(function(be){return be.every(function(ke){return ce.set.some(function(Pe){return Pe.every(function(ze){return ke.intersects(ze,ge)})})})})},e.toComparators=function(ce,ge){return new de(ce,ge).set.map(function(be){return be.map(function(ke){return ke.value}).join(" ").trim().split(" ")})},de.prototype.test=function(ce){if(!ce)return!1;typeof ce=="string"&&(ce=new X(ce,this.loose));for(var ge=0;ge<this.set.length;ge++)if(Ie(this.set[ge],ce))return!0;return!1},e.satisfies=Ne,e.maxSatisfying=function(ce,ge,be){var ke=null,Pe=null;try{var ze=new de(ge,be)}catch{return null}return ce.forEach(function(Le){ze.test(Le)&&(ke&&Pe.compare(Le)!==-1||(Pe=new X(ke=Le,be)))}),ke},e.minSatisfying=function(ce,ge,be){var ke=null,Pe=null;try{var ze=new de(ge,be)}catch{return null}return ce.forEach(function(Le){ze.test(Le)&&(ke&&Pe.compare(Le)!==1||(Pe=new X(ke=Le,be)))}),ke},e.validRange=function(ce,ge){try{return new de(ce,ge).range||"*"}catch{return null}},e.ltr=function(ce,ge,be){return Te(ce,ge,"<",be)},e.gtr=function(ce,ge,be){return Te(ce,ge,">",be)},e.outside=Te,e.prerelease=function(ce,ge){var be=re(ce,ge);return be&&be.prerelease.length?be.prerelease:null},e.intersects=function(ce,ge,be){return ce=new de(ce,be),ge=new de(ge,be),ce.intersects(ge)},e.coerce=function(ce){if(ce instanceof X)return ce;if(typeof ce!="string")return null;var ge=ce.match(I[b]);return ge==null?null:re((ge[1]||"0")+"."+(ge[2]||"0")+"."+(ge[3]||"0"))}}).call(this,O(1))},function(te,e){var O,N,j=te.exports={};function A(){throw new Error("setTimeout has not been defined")}function D(){throw new Error("clearTimeout has not been defined")}function I(d){if(O===setTimeout)return setTimeout(d,0);if((O===A||!O)&&setTimeout)return O=setTimeout,setTimeout(d,0);try{return O(d,0)}catch{try{return O.call(null,d,0)}catch{return O.call(this,d,0)}}}(function(){try{O=typeof setTimeout=="function"?setTimeout:A}catch{O=A}try{N=typeof clearTimeout=="function"?clearTimeout:D}catch{N=D}})();var C,g=[],P=!1,E=-1;function m(){P&&C&&(P=!1,C.length?g=C.concat(g):E=-1,g.length&&c())}function c(){if(!P){var d=I(m);P=!0;for(var u=g.length;u;){for(C=g,g=[];++E<u;)C&&C[E].run();E=-1,u=g.length}C=null,P=!1,function(l){if(N===clearTimeout)return clearTimeout(l);if((N===D||!N)&&clearTimeout)return N=clearTimeout,clearTimeout(l);try{N(l)}catch{try{return N.call(null,l)}catch{return N.call(this,l)}}}(d)}}function $(d,u){this.fun=d,this.array=u}function y(){}j.nextTick=function(d){var u=new Array(arguments.length-1);if(arguments.length>1)for(var l=1;l<arguments.length;l++)u[l-1]=arguments[l];g.push(new $(d,u)),g.length!==1||P||I(c)},$.prototype.run=function(){this.fun.apply(null,this.array)},j.title="browser",j.browser=!0,j.env={},j.argv=[],j.version="",j.versions={},j.on=y,j.addListener=y,j.once=y,j.off=y,j.removeListener=y,j.removeAllListeners=y,j.emit=y,j.prependListener=y,j.prependOnceListener=y,j.listeners=function(d){return[]},j.binding=function(d){throw new Error("process.binding is not supported")},j.cwd=function(){return"/"},j.chdir=function(d){throw new Error("process.chdir is not supported")},j.umask=function(){return 0}}])}),define(oe[128],ae([0,1]),function(te,e){"use strict";var O;Object.defineProperty(e,"__esModule",{value:!0}),e.$pr=void 0;class N{constructor(I,C,g){this.level=I,this.key=C,this.value=g,this.forward=[]}}const j=void 0;class A{constructor(I,C=2**16){this.comparator=I,this[O]="SkipList",this.d=0,this.f=0,this.c=Math.max(1,Math.log2(C)|0),this.e=new N(this.c,j,j)}get size(){return this.f}clear(){this.e=new N(this.c,j,j)}has(I){return!!A.g(this,I,this.comparator)}get(I){return A.g(this,I,this.comparator)?.value}set(I,C){return A.h(this,I,C,this.comparator)&&(this.f+=1),this}delete(I){const C=A.k(this,I,this.comparator);return C&&(this.f-=1),C}forEach(I,C){let g=this.e.forward[0];for(;g;)I.call(C,g.value,g.key,this),g=g.forward[0]}[(O=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let I=this.e.forward[0];for(;I;)yield[I.key,I.value],I=I.forward[0]}*keys(){let I=this.e.forward[0];for(;I;)yield I.key,I=I.forward[0]}*values(){let I=this.e.forward[0];for(;I;)yield I.value,I=I.forward[0]}toString(){let I="[SkipList]:",C=this.e.forward[0];for(;C;)I+=`node(${C.key}, ${C.value}, lvl:${C.level})`,C=C.forward[0];return I}static g(I,C,g){let P=I.e;for(let E=I.d-1;E>=0;E--)for(;P.forward[E]&&g(P.forward[E].key,C)<0;)P=P.forward[E];if(P=P.forward[0],P&&g(P.key,C)===0)return P}static h(I,C,g,P){const E=[];let m=I.e;for(let c=I.d-1;c>=0;c--){for(;m.forward[c]&&P(m.forward[c].key,C)<0;)m=m.forward[c];E[c]=m}if(m=m.forward[0],m&&P(m.key,C)===0)return m.value=g,!1;{const c=A.j(I);if(c>I.d){for(let $=I.d;$<c;$++)E[$]=I.e;I.d=c}m=new N(c,C,g);for(let $=0;$<c;$++)m.forward[$]=E[$].forward[$],E[$].forward[$]=m;return!0}}static j(I,C=.5){let g=1;for(;Math.random()<C&&g<I.c;)g+=1;return g}static k(I,C,g){const P=[];let E=I.e;for(let m=I.d-1;m>=0;m--){for(;E.forward[m]&&g(E.forward[m].key,C)<0;)E=E.forward[m];P[m]=E}if(E=E.forward[0],!E||g(E.key,C)!==0)return!1;for(let m=0;m<I.d&&P[m].forward[m]===E;m++)P[m].forward[m]=E.forward[m];for(;I.d>0&&I.e.forward[I.d-1]===j;)I.d-=1;return!0}}e.$pr=A}),define(oe[60],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hd=void 0;const O=globalThis.performance&&typeof globalThis.performance.now=="function";class N{static create(A){return new N(A)}constructor(A){this.c=O&&A===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this.a=this.c(),this.b=-1}stop(){this.b=this.c()}reset(){this.a=this.c(),this.b=-1}elapsed(){return this.b!==-1?this.b-this.a:this.c()-this.a}}e.$Hd=N}),define(oe[3],ae([0,1,8,84,2,87,60]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ud=e.$Td=e.$Sd=e.$Rd=e.$Qd=e.$Pd=e.$Od=e.$Nd=e.$Md=e.$Ld=e.$Kd=e.$Jd=e.Event=void 0;const I=!1,C=!1;var g;(function(p){p.None=()=>j.$Qc.None;function f(ue){if(C){const{onDidAddListener:he}=ue,$e=$.create();let de=0;ue.onDidAddListener=()=>{++de===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),$e.print()),he?.()}}}function b(ue,he){return Q(ue,()=>{},0,void 0,!0,void 0,he)}p.defer=b;function L(ue){return(he,$e=null,de)=>{let we=!1,Ee;return Ee=ue(Ie=>{if(!we)return Ee?Ee.dispose():we=!0,he.call($e,Ie)},null,de),we&&Ee.dispose(),Ee}}p.once=L;function F(ue,he,$e){return Z((de,we=null,Ee)=>ue(Ie=>de.call(we,he(Ie)),null,Ee),$e)}p.map=F;function T(ue,he,$e){return Z((de,we=null,Ee)=>ue(Ie=>{he(Ie),de.call(we,Ie)},null,Ee),$e)}p.forEach=T;function z(ue,he,$e){return Z((de,we=null,Ee)=>ue(Ie=>he(Ie)&&de.call(we,Ie),null,Ee),$e)}p.filter=z;function U(ue){return ue}p.signal=U;function _(...ue){return(he,$e=null,de)=>{const we=(0,j.$Nc)(...ue.map(Ee=>Ee(Ie=>he.call($e,Ie))));return G(we,de)}}p.any=_;function K(ue,he,$e,de){let we=$e;return F(ue,Ee=>(we=he(we,Ee),we),de)}p.reduce=K;function Z(ue,he){let $e;const de={onWillAddFirstListener(){$e=ue(we.fire,we)},onDidRemoveLastListener(){$e?.dispose()}};he||f(de);const we=new h(de);return he?.add(we),we.event}function G(ue,he){return he instanceof Array?he.push(ue):he&&he.add(ue),ue}function Q(ue,he,$e=100,de=!1,we=!1,Ee,Ie){let Ne,Te,ce,ge=0,be;const ke={leakWarningThreshold:Ee,onWillAddFirstListener(){Ne=ue(ze=>{ge++,Te=he(Te,ze),de&&!ce&&(Pe.fire(Te),Te=void 0),be=()=>{const Le=Te;Te=void 0,ce=void 0,(!de||ge>1)&&Pe.fire(Le),ge=0},typeof $e=="number"?(clearTimeout(ce),ce=setTimeout(be,$e)):ce===void 0&&(ce=0,queueMicrotask(be))})},onWillRemoveListener(){we&&ge>0&&be?.()},onDidRemoveLastListener(){be=void 0,Ne.dispose()}};Ie||f(ke);const Pe=new h(ke);return Ie?.add(Pe),Pe.event}p.debounce=Q;function H(ue,he=0,$e){return p.debounce(ue,(de,we)=>de?(de.push(we),de):[we],he,void 0,!0,void 0,$e)}p.accumulate=H;function V(ue,he=(de,we)=>de===we,$e){let de=!0,we;return z(ue,Ee=>{const Ie=de||!he(Ee,we);return de=!1,we=Ee,Ie},$e)}p.latch=V;function W(ue,he,$e){return[p.filter(ue,he,$e),p.filter(ue,de=>!he(de),$e)]}p.split=W;function ee(ue,he=!1,$e=[],de){let we=$e.slice(),Ee=ue(Te=>{we?we.push(Te):Ne.fire(Te)});de&&de.add(Ee);const Ie=()=>{we?.forEach(Te=>Ne.fire(Te)),we=null},Ne=new h({onWillAddFirstListener(){Ee||(Ee=ue(Te=>Ne.fire(Te)),de&&de.add(Ee))},onDidAddFirstListener(){we&&(he?setTimeout(Ie):Ie())},onDidRemoveLastListener(){Ee&&Ee.dispose(),Ee=null}});return de&&de.add(Ne),Ne.event}p.buffer=ee;function ne(ue,he){return(de,we,Ee)=>{const Ie=he(new X);return ue(function(Ne){const Te=Ie.evaluate(Ne);Te!==re&&de.call(we,Te)},void 0,Ee)}}p.chain=ne;const re=Symbol("HaltChainable");class X{constructor(){this.f=[]}map(he){return this.f.push(he),this}forEach(he){return this.f.push($e=>(he($e),$e)),this}filter(he){return this.f.push($e=>he($e)?$e:re),this}reduce(he,$e){let de=$e;return this.f.push(we=>(de=he(de,we),de)),this}latch(he=($e,de)=>$e===de){let $e=!0,de;return this.f.push(we=>{const Ee=$e||!he(we,de);return $e=!1,de=we,Ee?we:re}),this}evaluate(he){for(const $e of this.f)if(he=$e(he),he===re)break;return he}}function B(ue,he,$e=de=>de){const de=(...Ne)=>Ie.fire($e(...Ne)),we=()=>ue.on(he,de),Ee=()=>ue.removeListener(he,de),Ie=new h({onWillAddFirstListener:we,onDidRemoveLastListener:Ee});return Ie.event}p.fromNodeEventEmitter=B;function k(ue,he,$e=de=>de){const de=(...Ne)=>Ie.fire($e(...Ne)),we=()=>ue.addEventListener(he,de),Ee=()=>ue.removeEventListener(he,de),Ie=new h({onWillAddFirstListener:we,onDidRemoveLastListener:Ee});return Ie.event}p.fromDOMEventEmitter=k;function R(ue){return new Promise(he=>L(ue)(he))}p.toPromise=R;function q(ue){const he=new h;return ue.then($e=>{he.fire($e)},()=>{he.fire(void 0)}).finally(()=>{he.dispose()}),he.event}p.fromPromise=q;function M(ue,he){return he(void 0),ue($e=>he($e))}p.runAndSubscribe=M;function J(ue,he){let $e=null;function de(Ee){$e?.dispose(),$e=new j.$Pc,he(Ee,$e)}de(void 0);const we=ue(Ee=>de(Ee));return(0,j.$Oc)(()=>{we.dispose(),$e?.dispose()})}p.runAndSubscribeWithStore=J;class Y{constructor(he,$e){this._observable=he,this.f=0,this.g=!1;const de={onWillAddFirstListener:()=>{he.addObserver(this)},onDidRemoveLastListener:()=>{he.removeObserver(this)}};$e||f(de),this.emitter=new h(de),$e&&$e.add(this.emitter)}beginUpdate(he){this.f++}handlePossibleChange(he){}handleChange(he,$e){this.g=!0}endUpdate(he){this.f--,this.f===0&&(this._observable.reportChanges(),this.g&&(this.g=!1,this.emitter.fire(this._observable.get())))}}function se(ue,he){return new Y(ue,he).emitter.event}p.fromObservable=se;function le(ue){return he=>{let $e=0,de=!1;const we={beginUpdate(){$e++},endUpdate(){$e--,$e===0&&(ue.reportChanges(),de&&(de=!1,he()))},handlePossibleChange(){},handleChange(){de=!0}};return ue.addObserver(we),ue.reportChanges(),{dispose(){ue.removeObserver(we)}}}}p.fromObservableLight=le})(g||(e.Event=g={}));class P{static{this.all=new Set}static{this.f=0}constructor(f){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${f}_${P.f++}`,P.all.add(this)}start(f){this.g=new D.$Hd,this.listenerCount=f}stop(){if(this.g){const f=this.g.elapsed();this.durations.push(f),this.elapsedOverall+=f,this.invocationCount+=1,this.g=void 0}}}e.$Jd=P;let E=-1;function m(p){const f=E;return E=p,{dispose(){E=f}}}e.$Kd=m;class c{constructor(f,b=Math.random().toString(18).slice(2,5)){this.threshold=f,this.name=b,this.g=0}dispose(){this.f?.clear()}check(f,b){const L=this.threshold;if(L<=0||b<L)return;this.f||(this.f=new Map);const F=this.f.get(f.value)||0;if(this.f.set(f.value,F+1),this.g-=1,this.g<=0){this.g=L*.5;let T,z=0;for(const[U,_]of this.f)(!T||z<_)&&(T=U,z=_);console.warn(`[${this.name}] potential listener LEAK detected, having ${b} listeners already. MOST frequent listener (${z}):`),console.warn(T)}return()=>{const T=this.f.get(f.value)||0;this.f.set(f.value,T-1)}}}class ${static create(){return new $(new Error().stack??"")}constructor(f){this.value=f}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}let y=0;class d{constructor(f){this.value=f,this.id=y++}}const u=2,l=(p,f)=>{if(p instanceof d)f(p);else for(let b=0;b<p.length;b++){const L=p[b];L&&f(L)}};class h{constructor(f){this.x=0,this.f=f,this.g=E>0||this.f?.leakWarningThreshold?new c(this.f?.leakWarningThreshold??E):void 0,this.j=this.f?._profName?new P(this.f._profName):void 0,this.u=this.f?.deliveryQueue}dispose(){if(!this.m){if(this.m=!0,this.u?.current===this&&this.u.reset(),this.t){if(I){const f=this.t;queueMicrotask(()=>{l(f,b=>b.stack?.print())})}this.t=void 0,this.x=0}this.f?.onDidRemoveLastListener?.(),this.g?.dispose()}}get event(){return this.q??=(f,b,L)=>{if(this.g&&this.x>this.g.threshold*3)return console.warn(`[${this.g.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),j.$Qc.None;if(this.m)return j.$Qc.None;b&&(f=f.bind(b));const F=new d(f);let T,z;this.g&&this.x>=Math.ceil(this.g.threshold*.2)&&(F.stack=$.create(),T=this.g.check(F.stack,this.x+1)),I&&(F.stack=z??$.create()),this.t?this.t instanceof d?(this.u??=new S,this.t=[this.t,F]):this.t.push(F):(this.f?.onWillAddFirstListener?.(this),this.t=F,this.f?.onDidAddFirstListener?.(this)),this.x++;const U=(0,j.$Oc)(()=>{T?.(),this.y(F)});return L instanceof j.$Pc?L.add(U):Array.isArray(L)&&L.push(U),U},this.q}y(f){if(this.f?.onWillRemoveListener?.(this),!this.t)return;if(this.x===1){this.t=void 0,this.f?.onDidRemoveLastListener?.(this),this.x=0;return}const b=this.t,L=b.indexOf(f);if(L===-1)throw console.log("disposed?",this.m),console.log("size?",this.x),console.log("arr?",JSON.stringify(this.t)),new Error("Attempted to dispose unknown listener");this.x--,b[L]=void 0;const F=this.u.current===this;if(this.x*u<=b.length){let T=0;for(let z=0;z<b.length;z++)b[z]?b[T++]=b[z]:F&&(this.u.end--,T<this.u.i&&this.u.i--);b.length=T}}z(f,b){if(!f)return;const L=this.f?.onListenerError||O.$Y;if(!L){f.value(b);return}try{f.value(b)}catch(F){L(F)}}A(f){const b=f.current.t;for(;f.i<f.end;)this.z(b[f.i++],f.value);f.reset()}fire(f){if(this.u?.current&&(this.A(this.u),this.j?.stop()),this.j?.start(this.x),this.t)if(this.t instanceof d)this.z(this.t,f);else{const b=this.u;b.enqueue(this,f,this.t.length),this.A(b)}this.j?.stop()}hasListeners(){return this.x>0}}e.$Ld=h;const w=()=>new S;e.$Md=w;class S{constructor(){this.i=-1,this.end=0}enqueue(f,b,L){this.i=0,this.end=L,this.current=f,this.value=b}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class t extends h{async fireAsync(f,b,L){if(this.t)for(this.h||(this.h=new A.$Zc),l(this.t,F=>this.h.push([F.value,f]));this.h.size>0&&!b.isCancellationRequested;){const[F,T]=this.h.shift(),z=[],U={...T,token:b,waitUntil:_=>{if(Object.isFrozen(z))throw new Error("waitUntil can NOT be called asynchronous");L&&(_=L(_,F)),z.push(_)}};try{F(U)}catch(_){(0,O.$Y)(_);continue}Object.freeze(z),await Promise.allSettled(z).then(_=>{for(const K of _)K.status==="rejected"&&(0,O.$Y)(K.reason)})}}}e.$Nd=t;class a extends h{get isPaused(){return this.h!==0}constructor(f){super(f),this.h=0,this.s=new A.$Zc,this.w=f?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.w){if(this.s.size>0){const f=Array.from(this.s);this.s.clear(),super.fire(this.w(f))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(f){this.x&&(this.h!==0?this.s.push(f):super.fire(f))}}e.$Od=a;class n extends a{constructor(f){super(f),this.k=f.delay??100}fire(f){this.o||(this.pause(),this.o=setTimeout(()=>{this.o=void 0,this.resume()},this.k)),super.fire(f)}}e.$Pd=n;class s extends h{constructor(f){super(f),this.h=[],this.k=f?.merge}fire(f){this.hasListeners()&&(this.h.push(f),this.h.length===1&&queueMicrotask(()=>{this.k?super.fire(this.k(this.h)):this.h.forEach(b=>super.fire(b)),this.h=[]}))}}e.$Qd=s;class i{constructor(){this.g=!1,this.h=[],this.f=new h({onWillAddFirstListener:()=>this.j(),onDidRemoveLastListener:()=>this.k()})}get event(){return this.f.event}add(f){const b={event:f,listener:null};this.h.push(b),this.g&&this.m(b);const L=()=>{this.g&&this.o(b);const F=this.h.indexOf(b);this.h.splice(F,1)};return(0,j.$Oc)((0,N.$bb)(L))}j(){this.g=!0,this.h.forEach(f=>this.m(f))}k(){this.g=!1,this.h.forEach(f=>this.o(f))}m(f){f.listener=f.event(b=>this.f.fire(b))}o(f){f.listener&&f.listener.dispose(),f.listener=null}dispose(){this.f.dispose()}}e.$Rd=i;class r{constructor(f,b,L,F){this.f=new j.$Pc;const T=this.f.add(new i),z=this.f.add(new j.$Yc);function U(_){z.set(_,T.add(F(_)))}for(const _ of f)U(_);this.f.add(b(_=>{U(_)})),this.f.add(L(_=>{z.deleteAndDispose(_)})),this.event=T.event}dispose(){this.f.dispose()}}e.$Sd=r;class o{constructor(){this.f=[]}wrapEvent(f){return(b,L,F)=>f(T=>{const z=this.f[this.f.length-1];z?z.push(()=>b.call(L,T)):b.call(L,T)},void 0,F)}bufferEvents(f){const b=[];this.f.push(b);const L=f();return this.f.pop(),b.forEach(F=>F()),L}}e.$Td=o;class v{constructor(){this.f=!1,this.g=g.None,this.h=j.$Qc.None,this.j=new h({onDidAddFirstListener:()=>{this.f=!0,this.h=this.g(this.j.fire,this.j)},onDidRemoveLastListener:()=>{this.f=!1,this.h.dispose()}}),this.event=this.j.event}set input(f){this.g=f,this.f&&(this.h.dispose(),this.h=f(this.j.fire,this.j))}dispose(){this.h.dispose(),this.j.dispose()}}e.$Ud=v}),define(oe[26],ae([0,1,3]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vd=e.CancellationToken=void 0;const N=Object.freeze(function(I,C){const g=setTimeout(I.bind(C),0);return{dispose(){clearTimeout(g)}}});var j;(function(I){function C(g){return g===I.None||g===I.Cancelled||g instanceof A?!0:!g||typeof g!="object"?!1:typeof g.isCancellationRequested=="boolean"&&typeof g.onCancellationRequested=="function"}I.isCancellationToken=C,I.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:O.Event.None}),I.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:N})})(j||(e.CancellationToken=j={}));class A{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?N:(this.b||(this.b=new O.$Ld),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class D{constructor(C){this.f=void 0,this.g=void 0,this.g=C&&C.onCancellationRequested(this.cancel,this)}get token(){return this.f||(this.f=new A),this.f}cancel(){this.f?this.f instanceof A&&this.f.cancel():this.f=j.Cancelled}dispose(C=!1){C&&this.cancel(),this.g?.dispose(),this.f?this.f instanceof A&&this.f.dispose():this.f=j.None}}e.$Vd=D}),define(oe[129],ae([0,1,26]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$we=e.$ve=e.$ue=void 0;class N{constructor(I){this.b=I,this.a=null}get(){if(this.a)return this.a;const I=new O.$Vd,C=this.b(I.token);return this.a={promise:C,dispose:()=>{this.a=null,I.cancel(),I.dispose()}},this.a}}e.$ue=N;class j{constructor(I){this.c=I,this.a=void 0,this.b=void 0}get(I){const C=JSON.stringify(I);return this.b!==C&&(this.b=C,this.a=this.c(I)),this.a}}e.$ve=j;class A{get cachedValues(){return this.a}constructor(I){this.b=I,this.a=new Map}get(I){if(this.a.has(I))return this.a.get(I);const C=this.b(I);return this.a.set(I,C),C}}e.$we=A}),define(oe[46],ae([0,1,8,2]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$d=e.$0d=e.$9d=e.$8d=e.$7d=e.$6d=e.$5d=e.$4d=e.$3d=e.$2d=e.$1d=e.$Zd=e.$Yd=e.$Xd=e.$Wd=void 0;function j(w){const S=w;return S?typeof S.read=="function":!1}e.$Wd=j;function A(w){const S=w;return S?[S.on,S.pause,S.resume,S.destroy].every(t=>typeof t=="function"):!1}e.$Xd=A;function D(w){const S=w;return S?A(S.stream)&&Array.isArray(S.buffer)&&typeof S.ended=="boolean":!1}e.$Yd=D;function I(w,S){return new C(w,S)}e.$Zd=I;class C{constructor(S,t){this.e=S,this.f=t,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(S){if(!this.a.destroyed){if(this.a.flowing)this.g(S);else if(this.b.data.push(S),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(t=>this.d.push(t))}}error(S){this.a.destroyed||(this.a.flowing?this.h(S):this.b.error.push(S))}end(S){this.a.destroyed||(typeof S<"u"&&this.write(S),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(S){this.c.data.slice(0).forEach(t=>t(S))}h(S){this.c.error.length===0?(0,O.$Y)(S):this.c.error.slice(0).forEach(t=>t(S))}i(){this.c.end.slice(0).forEach(S=>S())}on(S,t){if(!this.a.destroyed)switch(S){case"data":this.c.data.push(t),this.resume();break;case"end":this.c.end.push(t),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(t),this.a.flowing&&this.k();break}}removeListener(S,t){if(this.a.destroyed)return;let a;switch(S){case"data":a=this.c.data;break;case"end":a=this.c.end;break;case"error":a=this.c.error;break}if(a){const n=a.indexOf(t);n>=0&&a.splice(n,1)}}j(){if(this.b.data.length>0){const S=this.e(this.b.data);this.g(S),this.b.data.length=0;const t=[...this.d];this.d.length=0,t.forEach(a=>a())}}k(){if(this.c.error.length>0){for(const S of this.b.error)this.h(S);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function g(w,S){const t=[];let a;for(;(a=w.read())!==null;)t.push(a);return S(t)}e.$1d=g;function P(w,S,t){const a=[];let n;for(;(n=w.read())!==null&&a.length<t;)a.push(n);return n===null&&a.length>0?S(a):{read:()=>{if(a.length>0)return a.shift();if(typeof n<"u"){const s=n;return n=void 0,s}return w.read()}}}e.$2d=P;function E(w,S){return new Promise((t,a)=>{const n=[];m(w,{onData:s=>{S&&n.push(s)},onError:s=>{S?a(s):t(void 0)},onEnd:()=>{t(S?S(n):void 0)}})})}e.$3d=E;function m(w,S,t){w.on("error",a=>{t?.isCancellationRequested||S.onError(a)}),w.on("end",()=>{t?.isCancellationRequested||S.onEnd()}),w.on("data",a=>{t?.isCancellationRequested||S.onData(a)})}e.$4d=m;function c(w,S){return new Promise((t,a)=>{const n=new N.$Pc,s=[],i=v=>{if(s.push(v),s.length>S)return n.dispose(),w.pause(),t({stream:w,buffer:s,ended:!1})},r=v=>(n.dispose(),a(v)),o=()=>(n.dispose(),t({stream:w,buffer:s,ended:!0}));n.add((0,N.$Oc)(()=>w.removeListener("error",r))),w.on("error",r),n.add((0,N.$Oc)(()=>w.removeListener("end",o))),w.on("end",o),n.add((0,N.$Oc)(()=>w.removeListener("data",i))),w.on("data",i)})}e.$5d=c;function $(w,S){const t=I(S);return t.end(w),t}e.$6d=$;function y(){const w=I(()=>{throw new Error("not supported")});return w.end(),w}e.$7d=y;function d(w){let S=!1;return{read:()=>S?null:(S=!0,w)}}e.$8d=d;function u(w,S,t){const a=I(t);return m(w,{onData:n=>a.write(S.data(n)),onError:n=>a.error(S.error?S.error(n):n),onEnd:()=>a.end()}),a}e.$9d=u;function l(w,S,t){let a=!1;return{read:()=>{const n=S.read();return a?n:(a=!0,n!==null?t([w,n]):w)}}}e.$0d=l;function h(w,S,t){let a=!1;const n=I(t);return m(S,{onData:s=>a?n.write(s):(a=!0,n.write(t([w,s]))),onError:s=>n.error(s),onEnd:()=>{a||(a=!0,n.write(w)),n.end()}}),n}e.$$d=h}),define(oe[15],ae([0,1,86,46]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$te=e.$se=e.$re=e.$qe=e.$pe=e.$oe=e.$ne=e.$me=e.$le=e.$ke=e.$je=e.$ie=e.$he=e.$ge=e.$fe=e.$ee=e.$de=e.$ce=e.$be=e.$ae=e.$_d=void 0;const j=typeof Buffer<"u",A=new O.$T(()=>new Uint8Array(256));let D,I;class C{static alloc(b){return j?new C(Buffer.allocUnsafe(b)):new C(new Uint8Array(b))}static wrap(b){return j&&!Buffer.isBuffer(b)&&(b=Buffer.from(b.buffer,b.byteOffset,b.byteLength)),new C(b)}static fromString(b,L){return!(L?.dontUseNodeBuffer||!1)&&j?new C(Buffer.from(b)):(D||(D=new TextEncoder),new C(D.encode(b)))}static fromByteArray(b){const L=C.alloc(b.length);for(let F=0,T=b.length;F<T;F++)L.buffer[F]=b[F];return L}static concat(b,L){if(typeof L>"u"){L=0;for(let z=0,U=b.length;z<U;z++)L+=b[z].byteLength}const F=C.alloc(L);let T=0;for(let z=0,U=b.length;z<U;z++){const _=b[z];F.set(_,T),T+=_.byteLength}return F}constructor(b){this.buffer=b,this.byteLength=this.buffer.byteLength}clone(){const b=C.alloc(this.byteLength);return b.set(this),b}toString(){return j?this.buffer.toString():(I||(I=new TextDecoder),I.decode(this.buffer))}slice(b,L){return new C(this.buffer.subarray(b,L))}set(b,L){if(b instanceof C)this.buffer.set(b.buffer,L);else if(b instanceof Uint8Array)this.buffer.set(b,L);else if(b instanceof ArrayBuffer)this.buffer.set(new Uint8Array(b),L);else if(ArrayBuffer.isView(b))this.buffer.set(new Uint8Array(b.buffer,b.byteOffset,b.byteLength),L);else throw new Error("Unknown argument 'array'")}readUInt32BE(b){return m(this.buffer,b)}writeUInt32BE(b,L){c(this.buffer,b,L)}readUInt32LE(b){return $(this.buffer,b)}writeUInt32LE(b,L){y(this.buffer,b,L)}readUInt8(b){return d(this.buffer,b)}writeUInt8(b,L){u(this.buffer,b,L)}indexOf(b,L=0){return g(this.buffer,b instanceof C?b.buffer:b,L)}}e.$_d=C;function g(f,b,L=0){const F=b.byteLength,T=f.byteLength;if(F===0)return 0;if(F===1)return f.indexOf(b[0]);if(F>T-L)return-1;const z=A.value;z.fill(b.length);for(let Z=0;Z<b.length;Z++)z[b[Z]]=b.length-Z-1;let U=L+b.length-1,_=U,K=-1;for(;U<T;)if(f[U]===b[_]){if(_===0){K=U;break}U--,_--}else U+=Math.max(b.length-_,z[f[U]]),_=b.length-1;return K}e.$ae=g;function P(f,b){return f[b+0]<<0>>>0|f[b+1]<<8>>>0}e.$be=P;function E(f,b,L){f[L+0]=b&255,b=b>>>8,f[L+1]=b&255}e.$ce=E;function m(f,b){return f[b]*2**24+f[b+1]*2**16+f[b+2]*2**8+f[b+3]}e.$de=m;function c(f,b,L){f[L+3]=b,b=b>>>8,f[L+2]=b,b=b>>>8,f[L+1]=b,b=b>>>8,f[L]=b}e.$ee=c;function $(f,b){return f[b+0]<<0>>>0|f[b+1]<<8>>>0|f[b+2]<<16>>>0|f[b+3]<<24>>>0}e.$fe=$;function y(f,b,L){f[L+0]=b&255,b=b>>>8,f[L+1]=b&255,b=b>>>8,f[L+2]=b&255,b=b>>>8,f[L+3]=b&255}e.$ge=y;function d(f,b){return f[b]}e.$he=d;function u(f,b,L){f[L]=b}e.$ie=u;function l(f){return N.$1d(f,b=>C.concat(b))}e.$je=l;function h(f){return N.$8d(f)}e.$ke=h;function w(f){return N.$3d(f,b=>C.concat(b))}e.$le=w;async function S(f){return f.ended?C.concat(f.buffer):C.concat([...f.buffer,await w(f.stream)])}e.$me=S;function t(f){return N.$6d(f,b=>C.concat(b))}e.$ne=t;function a(f){return N.$9d(f,{data:b=>typeof b=="string"?C.fromString(b):C.wrap(b)},b=>C.concat(b))}e.$oe=a;function n(f){return N.$Zd(b=>C.concat(b),f)}e.$pe=n;function s(f,b){return N.$0d(f,b,L=>C.concat(L))}e.$qe=s;function i(f,b){return N.$$d(f,b,L=>C.concat(L))}e.$re=i;function r(f){let b=0,L=0,F=0;const T=new Uint8Array(Math.floor(f.length/4*3)),z=_=>{switch(L){case 3:T[F++]=b|_,L=0;break;case 2:T[F++]=b|_>>>2,b=_<<6,L=3;break;case 1:T[F++]=b|_>>>4,b=_<<4,L=2;break;default:b=_<<2,L=1}};for(let _=0;_<f.length;_++){const K=f.charCodeAt(_);if(K>=65&&K<=90)z(K-65);else if(K>=97&&K<=122)z(K-97+26);else if(K>=48&&K<=57)z(K-48+52);else if(K===43||K===45)z(62);else if(K===47||K===95)z(63);else{if(K===61)break;throw new SyntaxError(`Unexpected base64 character ${f[_]}`)}}const U=F;for(;L>0;)z(0);return C.wrap(T).slice(0,U)}e.$se=r;const o="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",v="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function p({buffer:f},b=!0,L=!1){const F=L?v:o;let T="";const z=f.byteLength%3;let U=0;for(;U<f.byteLength-z;U+=3){const _=f[U+0],K=f[U+1],Z=f[U+2];T+=F[_>>>2],T+=F[(_<<4|K>>>4)&63],T+=F[(K<<2|Z>>>6)&63],T+=F[Z&63]}if(z===1){const _=f[U+0];T+=F[_>>>2],T+=F[_<<4&63],b&&(T+="==")}else if(z===2){const _=f[U+0],K=f[U+1];T+=F[_>>>2],T+=F[(_<<4|K>>>4)&63],T+=F[K<<2&63],b&&(T+="=")}return T}e.$te=p}),define(oe[27],ae([0,1,129,86]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vf=e.$uf=e.$tf=e.$sf=e.GraphemeBreakType=e.$rf=e.$qf=e.$pf=e.$of=e.$nf=e.$mf=e.$lf=e.$kf=e.$jf=e.$if=e.$hf=e.$gf=e.$ff=e.$ef=e.$df=e.$cf=e.$bf=e.$af=e.$_e=e.$$e=e.$0e=e.$9e=e.$8e=e.$7e=e.$6e=e.$5e=e.$4e=e.$3e=e.$2e=e.$1e=e.$Ze=e.$Ye=e.$Xe=e.$We=e.$Ve=e.$Ue=e.$Te=e.$Se=e.$Re=e.$Qe=e.$Pe=e.$Oe=e.$Ne=e.$Me=e.$Le=e.$Ke=e.$Je=e.$Ie=e.$He=e.$Ge=e.$Fe=e.$Ee=e.$De=e.$Ce=e.$Be=e.$Ae=e.$ze=void 0;function j(ie){return!ie||typeof ie!="string"?!0:ie.trim().length===0}e.$ze=j;const A=/{(\d+)}/g;function D(ie,...fe){return fe.length===0?ie:ie.replace(A,function(me,pe){const Se=parseInt(pe,10);return isNaN(Se)||Se<0||Se>=fe.length?me:fe[Se]})}e.$Ae=D;const I=/{([^}]+)}/g;function C(ie,fe){return ie.replace(I,(me,pe)=>fe[pe]??me)}e.$Be=C;function g(ie){return ie.replace(/[<>&]/g,function(fe){switch(fe){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return fe}})}e.$Ce=g;function P(ie){return ie.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.$De=P;function E(ie,fe){let me=0;const pe=fe.charCodeAt(0);for(let Se=ie.length-1;Se>=0;Se--)ie.charCodeAt(Se)===pe&&me++;return me}e.$Ee=E;function m(ie,fe,me="\u2026"){return ie.length<=fe?ie:`${ie.substr(0,fe)}${me}`}e.$Fe=m;function c(ie,fe=" "){const me=$(ie,fe);return y(me,fe)}e.$Ge=c;function $(ie,fe){if(!ie||!fe)return ie;const me=fe.length;if(me===0||ie.length===0)return ie;let pe=0;for(;ie.indexOf(fe,pe)===pe;)pe=pe+me;return ie.substring(pe)}e.$He=$;function y(ie,fe){if(!ie||!fe)return ie;const me=fe.length,pe=ie.length;if(me===0||pe===0)return ie;let Se=pe,Re=-1;for(;Re=ie.lastIndexOf(fe,Se-1),!(Re===-1||Re+me!==Se);){if(Re===0)return"";Se=Re}return ie.substring(0,Se)}e.$Ie=y;function d(ie){return ie.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.$Je=d;function u(ie){return ie.replace(/\*/g,"")}e.$Ke=u;function l(ie,fe,me={}){if(!ie)throw new Error("Cannot create regex from empty string");fe||(ie=P(ie)),me.wholeWord&&(/\B/.test(ie.charAt(0))||(ie="\\b"+ie),/\B/.test(ie.charAt(ie.length-1))||(ie=ie+"\\b"));let pe="";return me.global&&(pe+="g"),me.matchCase||(pe+="i"),me.multiline&&(pe+="m"),me.unicode&&(pe+="u"),new RegExp(ie,pe)}e.$Le=l;function h(ie){return ie.source==="^"||ie.source==="^$"||ie.source==="$"||ie.source==="^\\s*$"?!1:!!(ie.exec("")&&ie.lastIndex===0)}e.$Me=h;function w(ie){return ie.split(/\r\n|\r|\n/)}e.$Ne=w;function S(ie){for(let fe=0,me=ie.length;fe<me;fe++){const pe=ie.charCodeAt(fe);if(pe!==32&&pe!==9)return fe}return-1}e.$Oe=S;function t(ie,fe=0,me=ie.length){for(let pe=fe;pe<me;pe++){const Se=ie.charCodeAt(pe);if(Se!==32&&Se!==9)return ie.substring(fe,pe)}return ie.substring(fe,me)}e.$Pe=t;function a(ie,fe=ie.length-1){for(let me=fe;me>=0;me--){const pe=ie.charCodeAt(me);if(pe!==32&&pe!==9)return me}return-1}e.$Qe=a;function n(ie,fe,me){const pe=[];let Se=0;for(const Re of ie.matchAll(fe)){if(pe.push(ie.slice(Se,Re.index)),Re.index===void 0)throw new Error("match.index should be defined");Se=Re.index+Re[0].length,pe.push(me(Re[0],...Re.slice(1),Re.index,ie,Re.groups))}return pe.push(ie.slice(Se)),Promise.all(pe).then(Re=>Re.join(""))}e.$Re=n;function s(ie,fe){return ie<fe?-1:ie>fe?1:0}e.$Se=s;function i(ie,fe,me=0,pe=ie.length,Se=0,Re=fe.length){for(;me<pe&&Se<Re;me++,Se++){const De=ie.charCodeAt(me),Ae=fe.charCodeAt(Se);if(De<Ae)return-1;if(De>Ae)return 1}const Ce=pe-me,Oe=Re-Se;return Ce<Oe?-1:Ce>Oe?1:0}e.$Te=i;function r(ie,fe){return o(ie,fe,0,ie.length,0,fe.length)}e.$Ue=r;function o(ie,fe,me=0,pe=ie.length,Se=0,Re=fe.length){for(;me<pe&&Se<Re;me++,Se++){let De=ie.charCodeAt(me),Ae=fe.charCodeAt(Se);if(De===Ae)continue;if(De>=128||Ae>=128)return i(ie.toLowerCase(),fe.toLowerCase(),me,pe,Se,Re);p(De)&&(De-=32),p(Ae)&&(Ae-=32);const Fe=De-Ae;if(Fe!==0)return Fe}const Ce=pe-me,Oe=Re-Se;return Ce<Oe?-1:Ce>Oe?1:0}e.$Ve=o;function v(ie){return ie>=48&&ie<=57}e.$We=v;function p(ie){return ie>=97&&ie<=122}e.$Xe=p;function f(ie){return ie>=65&&ie<=90}e.$Ye=f;function b(ie,fe){return ie.length===fe.length&&o(ie,fe)===0}e.$Ze=b;function L(ie,fe){const me=fe.length;return fe.length>ie.length?!1:o(ie,fe,0,me)===0}e.$1e=L;function F(ie,fe){const me=Math.min(ie.length,fe.length);let pe;for(pe=0;pe<me;pe++)if(ie.charCodeAt(pe)!==fe.charCodeAt(pe))return pe;return me}e.$2e=F;function T(ie,fe){const me=Math.min(ie.length,fe.length);let pe;const Se=ie.length-1,Re=fe.length-1;for(pe=0;pe<me;pe++)if(ie.charCodeAt(Se-pe)!==fe.charCodeAt(Re-pe))return pe;return me}e.$3e=T;function z(ie){return 55296<=ie&&ie<=56319}e.$4e=z;function U(ie){return 56320<=ie&&ie<=57343}e.$5e=U;function _(ie,fe){return(ie-55296<<10)+(fe-56320)+65536}e.$6e=_;function K(ie,fe,me){const pe=ie.charCodeAt(me);if(z(pe)&&me+1<fe){const Se=ie.charCodeAt(me+1);if(U(Se))return _(pe,Se)}return pe}e.$7e=K;function Z(ie,fe){const me=ie.charCodeAt(fe-1);if(U(me)&&fe>1){const pe=ie.charCodeAt(fe-2);if(z(pe))return _(pe,me)}return me}class G{get offset(){return this.e}constructor(fe,me=0){this.c=fe,this.d=fe.length,this.e=me}setOffset(fe){this.e=fe}prevCodePoint(){const fe=Z(this.c,this.e);return this.e-=fe>=65536?2:1,fe}nextCodePoint(){const fe=K(this.c,this.d,this.e);return this.e+=fe>=65536?2:1,fe}eol(){return this.e>=this.d}}e.$8e=G;class Q{get offset(){return this.c.offset}constructor(fe,me=0){this.c=new G(fe,me)}nextGraphemeLength(){const fe=ge.getInstance(),me=this.c,pe=me.offset;let Se=fe.getGraphemeBreakType(me.nextCodePoint());for(;!me.eol();){const Re=me.offset,Ce=fe.getGraphemeBreakType(me.nextCodePoint());if(Te(Se,Ce)){me.setOffset(Re);break}Se=Ce}return me.offset-pe}prevGraphemeLength(){const fe=ge.getInstance(),me=this.c,pe=me.offset;let Se=fe.getGraphemeBreakType(me.prevCodePoint());for(;me.offset>0;){const Re=me.offset,Ce=fe.getGraphemeBreakType(me.prevCodePoint());if(Te(Ce,Se)){me.setOffset(Re);break}Se=Ce}return pe-me.offset}eol(){return this.c.eol()}}e.$9e=Q;function H(ie,fe){return new Q(ie,fe).nextGraphemeLength()}e.$0e=H;function V(ie,fe){return new Q(ie,fe).prevGraphemeLength()}e.$$e=V;function W(ie,fe){fe>0&&U(ie.charCodeAt(fe))&&fe--;const me=fe+H(ie,fe);return[me-V(ie,me),me]}e.$_e=W;function ee(ie){const fe=new Q(ie);let me=0;for(;!fe.eol();)me++,fe.nextGraphemeLength();return me}e.$af=ee;let ne;function re(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function X(ie){return ne||(ne=re()),ne.test(ie)}e.$bf=X;const B=/^[\t\n\r\x20-\x7E]*$/;function k(ie){return B.test(ie)}e.$cf=k,e.$df=/[\u2028\u2029]/;function R(ie){return e.$df.test(ie)}e.$ef=R;function q(ie){return ie>=11904&&ie<=55215||ie>=63744&&ie<=64255||ie>=65281&&ie<=65374}e.$ff=q;function M(ie){return ie>=127462&&ie<=127487||ie===8986||ie===8987||ie===9200||ie===9203||ie>=9728&&ie<=10175||ie===11088||ie===11093||ie>=127744&&ie<=128591||ie>=128640&&ie<=128764||ie>=128992&&ie<=129008||ie>=129280&&ie<=129535||ie>=129648&&ie<=129782}e.$gf=M;function J(ie,fe){if(ie.length<fe)return ie;const me=/\b/g;let pe=0;for(;me.test(ie)&&!(ie.length-me.lastIndex<fe);)pe=me.lastIndex,me.lastIndex+=1;return ie.substring(pe).replace(/^\s/,"")}e.$hf=J;const Y=/(:?\x1b\[|\x9B)[=?>!]?[\d;:]*["$#'* ]?[a-zA-Z@^`{}|~]/g,se=/\x1b\].*?\x07/g;function le(ie){return ie&&(ie=ie.replace(Y,"").replace(se,"")),ie}e.$if=le,e.$jf=String.fromCharCode(65279);function ue(ie){return!!(ie&&ie.length>0&&ie.charCodeAt(0)===65279)}e.$kf=ue;function he(ie){return ue(ie)?ie.substr(1):ie}e.$lf=he;function $e(ie,fe){if(!ie||!fe||ie.length<fe.length)return!1;const me=fe.length,pe=ie.toLowerCase();let Se=0,Re=-1;for(;Se<me;){const Ce=pe.indexOf(fe[Se],Re+1);if(Ce<0)return!1;Re=Ce,Se++}return!0}e.$mf=$e;function de(ie,fe=!1){return ie?(fe&&(ie=ie.replace(/\\./g,"")),ie.toLowerCase()!==ie):!1}e.$nf=de;function we(ie){return ie.charAt(0).toUpperCase()+ie.slice(1)}e.$of=we;function Ee(ie,fe=1){if(fe===0)return"";let me=-1;do me=ie.indexOf(`
`,me+1),fe--;while(fe>0&&me>=0);return me===-1?ie:(ie[me-1]==="\r"&&me--,ie.substr(0,me))}e.$pf=Ee;function Ie(ie){return ie=ie%(2*26),ie<26?String.fromCharCode(97+ie):String.fromCharCode(65+ie-26)}e.$qf=Ie;function Ne(ie){return ge.getInstance().getGraphemeBreakType(ie)}e.$rf=Ne;function Te(ie,fe){return ie===0?fe!==5&&fe!==7:ie===2&&fe===3?!1:ie===4||ie===2||ie===3||fe===4||fe===2||fe===3?!0:!(ie===8&&(fe===8||fe===9||fe===11||fe===12)||(ie===11||ie===9)&&(fe===9||fe===10)||(ie===12||ie===10)&&fe===10||fe===5||fe===13||fe===7||ie===1||ie===13&&fe===14||ie===6&&fe===6)}var ce;(function(ie){ie[ie.Other=0]="Other",ie[ie.Prepend=1]="Prepend",ie[ie.CR=2]="CR",ie[ie.LF=3]="LF",ie[ie.Control=4]="Control",ie[ie.Extend=5]="Extend",ie[ie.Regional_Indicator=6]="Regional_Indicator",ie[ie.SpacingMark=7]="SpacingMark",ie[ie.L=8]="L",ie[ie.V=9]="V",ie[ie.T=10]="T",ie[ie.LV=11]="LV",ie[ie.LVT=12]="LVT",ie[ie.ZWJ=13]="ZWJ",ie[ie.Extended_Pictographic=14]="Extended_Pictographic"})(ce||(e.GraphemeBreakType=ce={}));class ge{static{this.c=null}static getInstance(){return ge.c||(ge.c=new ge),ge.c}constructor(){this.d=be()}getGraphemeBreakType(fe){if(fe<32)return fe===10?3:fe===13?2:4;if(fe<127)return 0;const me=this.d,pe=me.length/3;let Se=1;for(;Se<=pe;)if(fe<me[3*Se])Se=2*Se;else if(fe>me[3*Se+1])Se=2*Se+1;else return me[3*Se+2];return 0}}function be(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function ke(ie,fe){if(ie===0)return 0;const me=Pe(ie,fe);if(me!==void 0)return me;const pe=new G(fe,ie);return pe.prevCodePoint(),pe.offset}e.$sf=ke;function Pe(ie,fe){const me=new G(fe,ie);let pe=me.prevCodePoint();for(;ze(pe)||pe===65039||pe===8419;){if(me.offset===0)return;pe=me.prevCodePoint()}if(!M(pe))return;let Se=me.offset;return Se>0&&me.prevCodePoint()===8205&&(Se=me.offset),Se}function ze(ie){return 127995<=ie&&ie<=127999}var Le;(function(ie){ie[ie.zwj=8205]="zwj",ie[ie.emojiVariantSelector=65039]="emojiVariantSelector",ie[ie.enclosingKeyCap=8419]="enclosingKeyCap"})(Le||(Le={})),e.$tf="\xA0";class qe{static{this.c=new N.$T(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))}static{this.d=new O.$ve(fe=>{function me(Fe){const Be=new Map;for(let Ue=0;Ue<Fe.length;Ue+=2)Be.set(Fe[Ue],Fe[Ue+1]);return Be}function pe(Fe,Be){const Ue=new Map(Fe);for(const[We,_e]of Be)Ue.set(We,_e);return Ue}function Se(Fe,Be){if(!Fe)return Be;const Ue=new Map;for(const[We,_e]of Fe)Be.has(We)&&Ue.set(We,_e);return Ue}const Re=this.c.value;let Ce=fe.filter(Fe=>!Fe.startsWith("_")&&Fe in Re);Ce.length===0&&(Ce=["_default"]);let Oe;for(const Fe of Ce){const Be=me(Re[Fe]);Oe=Se(Oe,Be)}const De=me(Re._common),Ae=pe(De,Oe);return new qe(Ae)})}static getInstance(fe){return qe.d.get(Array.from(fe))}static{this.e=new N.$T(()=>Object.keys(qe.c.value).filter(fe=>!fe.startsWith("_")))}static getLocales(){return qe.e.value}constructor(fe){this.f=fe}isAmbiguous(fe){return this.f.has(fe)}getPrimaryConfusable(fe){return this.f.get(fe)}getConfusableCodePoints(){return new Set(this.f.keys())}}e.$uf=qe;class Me{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static{this.d=void 0}static e(){return this.d||(this.d=new Set(Me.c())),this.d}static isInvisibleCharacter(fe){return Me.e().has(fe)}static get codePoints(){return Me.e()}}e.$vf=Me}),define(oe[51],ae([0,1,27]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fi=e.$Ei=e.$Di=e.$Ci=e.$Bi=e.$Ai=e.$zi=void 0;function N(u){return j(u,0)}e.$zi=N;function j(u,l){switch(typeof u){case"object":return u===null?A(349,l):Array.isArray(u)?C(u,l):g(u,l);case"string":return I(u,l);case"boolean":return D(u,l);case"number":return A(u,l);case"undefined":return A(937,l);default:return A(617,l)}}e.$Ai=j;function A(u,l){return(l<<5)-l+u|0}e.$Bi=A;function D(u,l){return A(u?433:863,l)}function I(u,l){l=A(149417,l);for(let h=0,w=u.length;h<w;h++)l=A(u.charCodeAt(h),l);return l}e.$Ci=I;function C(u,l){return l=A(104579,l),u.reduce((h,w)=>j(w,h),l)}function g(u,l){return l=A(181387,l),Object.keys(u).sort().reduce((h,w)=>(h=I(w,h),j(u[w],h)),l)}class P{constructor(){this.g=0}get value(){return this.g}hash(l){return this.g=j(l,this.g),this.g}}e.$Di=P;var E;(function(u){u[u.BLOCK_SIZE=64]="BLOCK_SIZE",u[u.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(E||(E={}));function m(u,l,h=32){const w=h-l,S=~((1<<w)-1);return(u<<l|(S&u)>>>w)>>>0}function c(u,l=0,h=u.byteLength,w=0){for(let S=0;S<h;S++)u[l+S]=w}function $(u,l,h="0"){for(;u.length<l;)u=h+u;return u}function y(u,l=32){return u instanceof ArrayBuffer?Array.from(new Uint8Array(u)).map(h=>h.toString(16).padStart(2,"0")).join(""):$((u>>>0).toString(16),l/4)}e.$Ei=y;class d{static{this.g=new DataView(new ArrayBuffer(320))}constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(64+3),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(l){const h=l.length;if(h===0)return;const w=this.p;let S=this.r,t=this.u,a,n;for(t!==0?(a=t,n=-1,t=0):(a=l.charCodeAt(0),n=0);;){let s=a;if(O.$4e(a))if(n+1<h){const i=l.charCodeAt(n+1);O.$5e(i)?(n++,s=O.$6e(a,i)):s=65533}else{t=a;break}else O.$5e(a)&&(s=65533);if(S=this.w(w,S,s),n++,n<h)a=l.charCodeAt(n);else break}this.r=S,this.u=t}w(l,h,w){return w<128?l[h++]=w:w<2048?(l[h++]=192|(w&1984)>>>6,l[h++]=128|(w&63)>>>0):w<65536?(l[h++]=224|(w&61440)>>>12,l[h++]=128|(w&4032)>>>6,l[h++]=128|(w&63)>>>0):(l[h++]=240|(w&1835008)>>>18,l[h++]=128|(w&258048)>>>12,l[h++]=128|(w&4032)>>>6,l[h++]=128|(w&63)>>>0),h>=64&&(this.y(),h-=64,this.t+=64,l[0]=l[64+0],l[1]=l[64+1],l[2]=l[64+2]),h}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),y(this.h)+y(this.l)+y(this.m)+y(this.n)+y(this.o)}x(){this.p[this.r++]=128,c(this.p,this.r),this.r>56&&(this.y(),c(this.p));const l=8*this.t;this.q.setUint32(56,Math.floor(l/4294967296),!1),this.q.setUint32(60,l%4294967296,!1),this.y()}y(){const l=d.g,h=this.q;for(let o=0;o<64;o+=4)l.setUint32(o,h.getUint32(o,!1),!1);for(let o=64;o<320;o+=4)l.setUint32(o,m(l.getUint32(o-12,!1)^l.getUint32(o-32,!1)^l.getUint32(o-56,!1)^l.getUint32(o-64,!1),1),!1);let w=this.h,S=this.l,t=this.m,a=this.n,n=this.o,s,i,r;for(let o=0;o<80;o++)o<20?(s=S&t|~S&a,i=1518500249):o<40?(s=S^t^a,i=1859775393):o<60?(s=S&t|S&a|t&a,i=2400959708):(s=S^t^a,i=3395469782),r=m(w,5)+s+n+i+l.getUint32(o*4,!1)&4294967295,n=a,a=t,t=m(S,30),S=w,w=r;this.h=this.h+w&4294967295,this.l=this.l+S&4294967295,this.m=this.m+t&4294967295,this.n=this.n+a&4294967295,this.o=this.o+n&4294967295}}e.$Fi=d}),define(oe[89],ae([0,1,27]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var N;(function(j){j[j.Ignore=0]="Ignore",j[j.Info=1]="Info",j[j.Warning=2]="Warning",j[j.Error=3]="Error"})(N||(N={})),function(j){const A="error",D="warning",I="warn",C="info",g="ignore";function P(m){return m?O.$Ze(A,m)?j.Error:O.$Ze(D,m)||O.$Ze(I,m)?j.Warning:O.$Ze(C,m)?j.Info:j.Ignore:j.Ignore}j.fromValue=P;function E(m){switch(m){case j.Error:return A;case j.Warning:return D;case j.Info:return C;default:return g}}j.toString=E}(N||(N={})),e.default=N}),define(oe[130],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Id=void 0,e.$Id=Symbol("MicrotaskDelay")}),define(oe[47],ae([0,1,18,27]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rh=e.$Qh=e.$Ph=e.$Oh=e.$Nh=void 0;class j{constructor(){this.b="",this.c=0}reset(c){return this.b=c,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(c){const $=c.charCodeAt(0),y=this.b.charCodeAt(this.c);return $-y}value(){return this.b[this.c]}}e.$Nh=j;class A{constructor(c=!0){this.e=c}reset(c){return this.b=c,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let c=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(c)this.c++;else break;else c=!1;return this}cmp(c){return this.e?(0,N.$Te)(c,this.b,0,c.length,this.c,this.d):(0,N.$Ve)(c,this.b,0,c.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.$Oh=A;class D{constructor(c=!0,$=!0){this.f=c,this.g=$}reset(c){this.d=0,this.e=0,this.b=c,this.c=c.length;for(let $=c.length-1;$>=0;$--,this.c--){const y=this.b.charCodeAt($);if(!(y===47||this.f&&y===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let c=!0;for(;this.e<this.c;this.e++){const $=this.b.charCodeAt(this.e);if($===47||this.f&&$===92)if(c)this.d++;else break;else c=!1}return this}cmp(c){return this.g?(0,N.$Te)(c,this.b,0,c.length,this.d,this.e):(0,N.$Ve)(c,this.b,0,c.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.$Ph=D;var I;(function(m){m[m.Scheme=1]="Scheme",m[m.Authority=2]="Authority",m[m.Path=3]="Path",m[m.Query=4]="Query",m[m.Fragment=5]="Fragment"})(I||(I={}));class C{constructor(c,$){this.f=c,this.g=$,this.d=[],this.e=0}reset(c){return this.c=c,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new D(!1,!this.f(c)),this.b.reset(c.path),this.b.value()&&this.d.push(3)),this.g(c)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(c){if(this.d[this.e]===1)return(0,N.$Ue)(c,this.c.scheme);if(this.d[this.e]===2)return(0,N.$Ue)(c,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(c);if(this.d[this.e]===4)return(0,N.$Se)(c,this.c.query);if(this.d[this.e]===5)return(0,N.$Se)(c,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.$Qh=C;class g{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const c=this.right;return this.right=c.left,c.left=this,this.updateHeight(),c.updateHeight(),c}rotateRight(){const c=this.left;return this.left=c.right,c.right=this,this.updateHeight(),c.updateHeight(),c}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var P;(function(m){m[m.Left=-1]="Left",m[m.Mid=0]="Mid",m[m.Right=1]="Right"})(P||(P={}));class E{static forUris(c=()=>!1,$=()=>!1){return new E(new C(c,$))}static forPaths(c=!1){return new E(new D(void 0,!c))}static forStrings(){return new E(new j)}static forConfigKeys(){return new E(new A)}constructor(c){this.b=c}clear(){this.c=void 0}fill(c,$){if($){const y=$.slice(0);(0,O.$Vb)(y);for(const d of y)this.set(d,c)}else{const y=c.slice(0);(0,O.$Vb)(y);for(const d of y)this.set(d[0],d[1])}}set(c,$){const y=this.b.reset(c);let d;this.c||(this.c=new g,this.c.segment=y.value());const u=[];for(d=this.c;;){const h=y.cmp(d.segment);if(h>0)d.left||(d.left=new g,d.left.segment=y.value()),u.push([-1,d]),d=d.left;else if(h<0)d.right||(d.right=new g,d.right.segment=y.value()),u.push([1,d]),d=d.right;else if(y.hasNext())y.next(),d.mid||(d.mid=new g,d.mid.segment=y.value()),u.push([0,d]),d=d.mid;else break}const l=d.value;d.value=$,d.key=c;for(let h=u.length-1;h>=0;h--){const w=u[h][1];w.updateHeight();const S=w.balanceFactor();if(S<-1||S>1){const t=u[h][0],a=u[h+1][0];if(t===1&&a===1)u[h][1]=w.rotateLeft();else if(t===-1&&a===-1)u[h][1]=w.rotateRight();else if(t===1&&a===-1)w.right=u[h+1][1]=u[h+1][1].rotateRight(),u[h][1]=w.rotateLeft();else if(t===-1&&a===1)w.left=u[h+1][1]=u[h+1][1].rotateLeft(),u[h][1]=w.rotateRight();else throw new Error;if(h>0)switch(u[h-1][0]){case-1:u[h-1][1].left=u[h][1];break;case 1:u[h-1][1].right=u[h][1];break;case 0:u[h-1][1].mid=u[h][1];break}else this.c=u[0][1]}}return l}get(c){return this.d(c)?.value}d(c){const $=this.b.reset(c);let y=this.c;for(;y;){const d=$.cmp(y.segment);if(d>0)y=y.left;else if(d<0)y=y.right;else if($.hasNext())$.next(),y=y.mid;else break}return y}has(c){const $=this.d(c);return!($?.value===void 0&&$?.mid===void 0)}delete(c){return this.e(c,!1)}deleteSuperstr(c){return this.e(c,!0)}e(c,$){const y=this.b.reset(c),d=[];let u=this.c;for(;u;){const l=y.cmp(u.segment);if(l>0)d.push([-1,u]),u=u.left;else if(l<0)d.push([1,u]),u=u.right;else if(y.hasNext())y.next(),d.push([0,u]),u=u.mid;else break}if(u){if($?(u.left=void 0,u.mid=void 0,u.right=void 0,u.height=1):(u.key=void 0,u.value=void 0),!u.mid&&!u.value)if(u.left&&u.right){const l=this.f(u.right);if(l.key){const{key:h,value:w,segment:S}=l;this.e(l.key,!1),u.key=h,u.value=w,u.segment=S}}else{const l=u.left??u.right;if(d.length>0){const[h,w]=d[d.length-1];switch(h){case-1:w.left=l;break;case 0:w.mid=l;break;case 1:w.right=l;break}}else this.c=l}for(let l=d.length-1;l>=0;l--){const h=d[l][1];h.updateHeight();const w=h.balanceFactor();if(w>1?(h.right.balanceFactor()>=0||(h.right=h.right.rotateRight()),d[l][1]=h.rotateLeft()):w<-1&&(h.left.balanceFactor()<=0||(h.left=h.left.rotateLeft()),d[l][1]=h.rotateRight()),l>0)switch(d[l-1][0]){case-1:d[l-1][1].left=d[l][1];break;case 1:d[l-1][1].right=d[l][1];break;case 0:d[l-1][1].mid=d[l][1];break}else this.c=d[0][1]}}}f(c){for(;c.left;)c=c.left;return c}findSubstr(c){const $=this.b.reset(c);let y=this.c,d;for(;y;){const u=$.cmp(y.segment);if(u>0)y=y.left;else if(u<0)y=y.right;else if($.hasNext())$.next(),d=y.value||d,y=y.mid;else break}return y&&y.value||d}findSuperstr(c){return this.g(c,!1)}g(c,$){const y=this.b.reset(c);let d=this.c;for(;d;){const u=y.cmp(d.segment);if(u>0)d=d.left;else if(u<0)d=d.right;else if(y.hasNext())y.next(),d=d.mid;else return d.mid?this.h(d.mid):$?d.value:void 0}}hasElementOrSubtree(c){return this.g(c,!0)!==void 0}forEach(c){for(const[$,y]of this)c(y,$)}*[Symbol.iterator](){yield*this.h(this.c)}h(c){const $=[];return this.j(c,$),$[Symbol.iterator]()}j(c,$){c&&(c.left&&this.j(c.left,$),c.value&&$.push([c.key,c.value]),c.mid&&this.j(c.mid,$),c.right&&this.j(c.right,$))}_isBalanced(){const c=$=>{if(!$)return!0;const y=$.balanceFactor();return y<-1||y>1?!1:c($.left)&&c($.right)};return c(this.c)}}e.$Rh=E}),define(oe[12],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nf=e.$Mf=e.$Lf=e.$Kf=e.$Jf=e.$If=e.$Hf=e.$Gf=e.$Ff=e.$Ef=e.$Df=e.$Cf=e.$Bf=e.$Af=e.$zf=e.$yf=e.$xf=e.$wf=void 0;function O(S){return typeof S=="string"}e.$wf=O;function N(S){return Array.isArray(S)&&S.every(t=>O(t))}e.$xf=N;function j(S){return typeof S=="object"&&S!==null&&!Array.isArray(S)&&!(S instanceof RegExp)&&!(S instanceof Date)}e.$yf=j;function A(S){const t=Object.getPrototypeOf(Uint8Array);return typeof S=="object"&&S instanceof t}e.$zf=A;function D(S){return typeof S=="number"&&!isNaN(S)}e.$Af=D;function I(S){return!!S&&typeof S[Symbol.iterator]=="function"}e.$Bf=I;function C(S){return S===!0||S===!1}e.$Cf=C;function g(S){return typeof S>"u"}e.$Df=g;function P(S){return!E(S)}e.$Ef=P;function E(S){return g(S)||S===null}e.$Ff=E;function m(S,t){if(!S)throw new Error(t?`Unexpected type, expected '${t}'`:"Unexpected type")}e.$Gf=m;function c(S){if(E(S))throw new Error("Assertion Failed: argument is undefined or null");return S}e.$Hf=c;function $(...S){const t=[];for(let a=0;a<S.length;a++){const n=S[a];if(E(n))throw new Error(`Assertion Failed: argument at index ${a} is undefined or null`);t.push(n)}return t}e.$If=$;const y=Object.prototype.hasOwnProperty;function d(S){if(!j(S))return!1;for(const t in S)if(y.call(S,t))return!1;return!0}e.$Jf=d;function u(S){return typeof S=="function"}e.$Kf=u;function l(...S){return S.length>0&&S.every(u)}e.$Lf=l;function h(S,t){const a=Math.min(S.length,t.length);for(let n=0;n<a;n++)w(S[n],t[n])}e.$Mf=h;function w(S,t){if(O(t)){if(typeof S!==t)throw new Error(`argument does not match constraint: typeof ${t}`)}else if(u(t)){try{if(S instanceof t)return}catch{}if(!E(S)&&S.constructor===t||t.length===1&&t.call(void 0,S)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.$Nf=w}),define(oe[30],ae([0,1,12]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8m=e.$7m=e.$6m=e.$5m=e.$4m=e.$3m=e.$2m=e.$1m=e.$Zm=e.$Ym=e.$Xm=e.$Wm=void 0;function N(u){if(!u||typeof u!="object"||u instanceof RegExp)return u;const l=Array.isArray(u)?[]:{};return Object.entries(u).forEach(([h,w])=>{l[h]=w&&typeof w=="object"?N(w):w}),l}e.$Wm=N;function j(u){if(!u||typeof u!="object")return u;const l=[u];for(;l.length>0;){const h=l.shift();Object.freeze(h);for(const w in h)if(A.call(h,w)){const S=h[w];typeof S=="object"&&!Object.isFrozen(S)&&!(0,O.$zf)(S)&&l.push(S)}}return u}e.$Xm=j;const A=Object.prototype.hasOwnProperty;function D(u,l){return I(u,l,new Set)}e.$Ym=D;function I(u,l,h){if((0,O.$Ff)(u))return u;const w=l(u);if(typeof w<"u")return w;if(Array.isArray(u)){const S=[];for(const t of u)S.push(I(t,l,h));return S}if((0,O.$yf)(u)){if(h.has(u))throw new Error("Cannot clone recursive data-structure");h.add(u);const S={};for(const t in u)A.call(u,t)&&(S[t]=I(u[t],l,h));return h.delete(u),S}return u}function C(u,l,h=!0){return(0,O.$yf)(u)?((0,O.$yf)(l)&&Object.keys(l).forEach(w=>{w in u?h&&((0,O.$yf)(u[w])&&(0,O.$yf)(l[w])?C(u[w],l[w],h):u[w]=l[w]):u[w]=l[w]}),u):l}e.$Zm=C;function g(u,l){if(u===l)return!0;if(u==null||l===null||l===void 0||typeof u!=typeof l||typeof u!="object"||Array.isArray(u)!==Array.isArray(l))return!1;let h,w;if(Array.isArray(u)){if(u.length!==l.length)return!1;for(h=0;h<u.length;h++)if(!g(u[h],l[h]))return!1}else{const S=[];for(w in u)S.push(w);S.sort();const t=[];for(w in l)t.push(w);if(t.sort(),!g(S,t))return!1;for(h=0;h<S.length;h++)if(!g(u[S[h]],l[S[h]]))return!1}return!0}e.$1m=g;function P(u){const l=new Set;return JSON.stringify(u,(h,w)=>{if((0,O.$yf)(w)||Array.isArray(w)){if(l.has(w))return"[Circular]";l.add(w)}return w})}e.$2m=P;function E(u,l){const h=Object.create(null);return!u||!l||Object.keys(l).forEach(S=>{const t=u[S],a=l[S];g(t,a)||(h[S]=a)}),h}e.$3m=E;function m(u,l){const h=l.toLowerCase(),w=Object.keys(u).find(S=>S.toLowerCase()===h);return w?u[w]:u[l]}e.$4m=m;function c(u,l){const h=Object.create(null);for(const[w,S]of Object.entries(u))l(w,S)&&(h[w]=S);return h}e.$5m=c;function $(u){let l=[];for(;Object.prototype!==u;)l=l.concat(Object.getOwnPropertyNames(u)),u=Object.getPrototypeOf(u);return l}e.$6m=$;function y(u){const l=[];for(const h of $(u))typeof u[h]=="function"&&l.push(h);return l}e.$7m=y;function d(u,l){const h=S=>function(){const t=Array.prototype.slice.call(arguments,0);return l(S,t)},w={};for(const S of u)w[S]=h(S);return w}e.$8m=d}),define(oe[32],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bg=e.$ag=void 0;const O=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function N(j){return O.test(j)}e.$ag=N,e.$bg=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let j;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?j=crypto.getRandomValues.bind(crypto):j=function(I){for(let C=0;C<I.length;C++)I[C]=Math.floor(Math.random()*256);return I};const A=new Uint8Array(16),D=[];for(let I=0;I<256;I++)D.push(I.toString(16).padStart(2,"0"));return function(){j(A),A[6]=A[6]&15|64,A[8]=A[8]&63|128;let C=0,g="";return g+=D[A[C++]],g+=D[A[C++]],g+=D[A[C++]],g+=D[A[C++]],g+="-",g+=D[A[C++]],g+=D[A[C++]],g+="-",g+=D[A[C++]],g+=D[A[C++]],g+="-",g+=D[A[C++]],g+=D[A[C++]],g+="-",g+=D[A[C++]],g+=D[A[C++]],g+=D[A[C++]],g+=D[A[C++]],g+=D[A[C++]],g+=D[A[C++]],g}}()}),define(oe[131],ae([0,1,36]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hm=void 0;const N=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function j(D){const I=D.replace(/\-/g,":").toLowerCase();return!N.has(I)}function A(){const D=(0,O.networkInterfaces)();for(const I in D){const C=D[I];if(C){for(const{mac:g}of C)if(j(g))return g}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.$Hm=A}),define(oe[132],ae([0,1,36,47,32,131]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jm=e.$Im=void 0,e.$Im=new class{c(g){return this.a||(this.a=N.$Rh.forStrings(),this.a.set("00-50-56",!0),this.a.set("00-0C-29",!0),this.a.set("00-05-69",!0),this.a.set("00-03-FF",!0),this.a.set("00-1C-42",!0),this.a.set("00-16-3E",!0),this.a.set("08-00-27",!0),this.a.set("00:50:56",!0),this.a.set("00:0C:29",!0),this.a.set("00:05:69",!0),this.a.set("00:03:FF",!0),this.a.set("00:1C:42",!0),this.a.set("00:16:3E",!0),this.a.set("08:00:27",!0)),!!this.a.findSubstr(g)}value(){if(this.b===void 0){let g=0,P=0;const E=(0,O.networkInterfaces)();for(const m in E){const c=E[m];if(c)for(const{mac:$,internal:y}of c)y||(P+=1,this.c($.toUpperCase())&&(g+=1))}this.b=P>0?g/P:0}return this.b}};let D;async function I(g){return D||(D=(async()=>await C(g)||j.$bg())()),D}e.$Jm=I;async function C(g){try{const P=await new Promise((m,c)=>{te(["crypto"],m,c)}),E=(0,A.$Hm)();return P.createHash("sha256").update(E,"utf8").digest("hex")}catch(P){g(P);return}}}),define(oe[133],ae([0,1,268,15]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$XS=void 0;class j extends O.Transform{constructor(D){if(super(),typeof D=="number")this.b=D,this.c=1;else{const I=Buffer.isBuffer(D)?D:Buffer.from(D);this.b=I.length===1?I[0]:I,this.c=I.length}}_transform(D,I,C){this.a?this.a=Buffer.concat([this.a,D]):this.a=D;let g=0;for(;g<this.a.length;){const P=typeof this.b=="number"?this.a.indexOf(this.b,g):(0,N.$ae)(this.a,this.b,g);if(P===-1)break;this.push(this.a.slice(g,P+this.c)),g=P+this.c}this.a=g===this.a.length?void 0:this.a.slice(g),C()}_flush(D){this.a&&this.push(this.a),D()}}e.$XS=j}),define(oe[134],ae([0,1,61]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fg=e.$eg=e.$dg=void 0;function N(I,C,g,P=1){let E=!1;return new Promise(m=>{const c=setTimeout(()=>{if(!E)return E=!0,m(0)},g);j(I,C,P,$=>{if(!E)return E=!0,clearTimeout(c),m($)})})}e.$dg=N;function j(I,C,g,P){if(C===0)return P(0);const E=new O.Socket;E.once("connect",()=>(D(E),j(I+g,C-1,g,P))),E.once("data",()=>{}),E.once("error",m=>(D(E),m.code!=="ECONNREFUSED"?j(I+g,C-1,g,P):P(I))),E.connect(I,"127.0.0.1")}e.$eg={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function A(I,C,g,P="127.0.0.1"){let E=!1,m,c=1;const $=O.createServer({pauseOnConnect:!0});function y(d,u){E||(E=!0,$.removeAllListeners(),$.close(),m&&clearTimeout(m),u(d))}return new Promise(d=>{m=setTimeout(()=>{y(0,d)},g),$.on("listening",()=>{y(I,d)}),$.on("error",u=>{u&&(u.code==="EADDRINUSE"||u.code==="EACCES")&&c<C?(I++,c++,$.listen(I,P)):y(0,d)}),$.on("close",()=>{y(0,d)}),$.listen(I,P)})}e.$fg=A;function D(I){try{I.removeAllListeners("connect"),I.removeAllListeners("error"),I.end(),I.destroy(),I.unref()}catch(C){console.error(C)}}}),define(oe[135],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bT=void 0;function O(N){return!!N.parentPort}e.$bT=O}),define(oe[136],ae([13,9]),function(te,e){return te.create("vs/base/common/date",e)}),define(oe[62],ae([0,1,136]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8l=e.$7l=void 0;const N=60,j=N*60,A=j*24,D=A*7,I=A*30,C=A*365;function g(E,m,c,$){typeof E!="number"&&(E=E.getTime());const y=Math.round((new Date().getTime()-E)/1e3);if(y<-30)return(0,O.localize)(0,null,g(new Date().getTime()+y*1e3,!1));if(!$&&y<30)return(0,O.localize)(1,null);let d;return y<N?(d=y,m?d===1?c?(0,O.localize)(2,null,d):(0,O.localize)(3,null,d):c?(0,O.localize)(4,null,d):(0,O.localize)(5,null,d):d===1?c?(0,O.localize)(6,null,d):(0,O.localize)(7,null,d):c?(0,O.localize)(8,null,d):(0,O.localize)(9,null,d)):y<j?(d=Math.floor(y/N),m?d===1?c?(0,O.localize)(10,null,d):(0,O.localize)(11,null,d):c?(0,O.localize)(12,null,d):(0,O.localize)(13,null,d):d===1?c?(0,O.localize)(14,null,d):(0,O.localize)(15,null,d):c?(0,O.localize)(16,null,d):(0,O.localize)(17,null,d)):y<A?(d=Math.floor(y/j),m?d===1?c?(0,O.localize)(18,null,d):(0,O.localize)(19,null,d):c?(0,O.localize)(20,null,d):(0,O.localize)(21,null,d):d===1?c?(0,O.localize)(22,null,d):(0,O.localize)(23,null,d):c?(0,O.localize)(24,null,d):(0,O.localize)(25,null,d)):y<D?(d=Math.floor(y/A),m?d===1?(0,O.localize)(26,null,d):(0,O.localize)(27,null,d):d===1?(0,O.localize)(28,null,d):(0,O.localize)(29,null,d)):y<I?(d=Math.floor(y/D),m?d===1?c?(0,O.localize)(30,null,d):(0,O.localize)(31,null,d):c?(0,O.localize)(32,null,d):(0,O.localize)(33,null,d):d===1?c?(0,O.localize)(34,null,d):(0,O.localize)(35,null,d):c?(0,O.localize)(36,null,d):(0,O.localize)(37,null,d)):y<C?(d=Math.floor(y/I),m?d===1?c?(0,O.localize)(38,null,d):(0,O.localize)(39,null,d):c?(0,O.localize)(40,null,d):(0,O.localize)(41,null,d):d===1?c?(0,O.localize)(42,null,d):(0,O.localize)(43,null,d):c?(0,O.localize)(44,null,d):(0,O.localize)(45,null,d)):(d=Math.floor(y/C),m?d===1?c?(0,O.localize)(46,null,d):(0,O.localize)(47,null,d):c?(0,O.localize)(48,null,d):(0,O.localize)(49,null,d):d===1?c?(0,O.localize)(50,null,d):(0,O.localize)(51,null,d):c?(0,O.localize)(52,null,d):(0,O.localize)(53,null,d))}e.$7l=g;function P(E){return E.getFullYear()+"-"+String(E.getMonth()+1).padStart(2,"0")+"-"+String(E.getDate()).padStart(2,"0")+"T"+String(E.getHours()).padStart(2,"0")+":"+String(E.getMinutes()).padStart(2,"0")+":"+String(E.getSeconds()).padStart(2,"0")+"."+(E.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.$8l=P}),define(oe[137],ae([13,9]),function(te,e){return te.create("vs/base/common/errorMessage",e)}),define(oe[38],ae([0,1,18,12,137]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yi=e.$xi=e.$wi=void 0;function A(E,m){return m&&(E.stack||E.stacktrace)?j.localize(0,null,I(E),D(E.stack)||D(E.stacktrace)):I(E)}function D(E){return Array.isArray(E)?E.join(`
`):E}function I(E){return E.code==="ERR_UNC_HOST_NOT_ALLOWED"?`${E.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`:typeof E.code=="string"&&typeof E.errno=="number"&&typeof E.syscall=="string"?j.localize(1,null,E.message):E.message||j.localize(2,null)}function C(E=null,m=!1){if(!E)return j.localize(3,null);if(Array.isArray(E)){const c=O.$Fb(E),$=C(c[0],m);return c.length>1?j.localize(4,null,$,c.length):$}if(N.$wf(E))return E;if(E.detail){const c=E.detail;if(c.error)return A(c.error,m);if(c.exception)return A(c.exception,m)}return E.stack?A(E,m):E.message?E.message:j.localize(5,null)}e.$wi=C;function g(E){const m=E;return m instanceof Error&&Array.isArray(m.actions)}e.$xi=g;function P(E,m){let c;return typeof E=="string"?c=new Error(E):c=E,c.actions=m,c}e.$yi=P}),define(oe[138],ae([13,9]),function(te,e){return te.create("vs/base/common/jsonErrorMessages",e)}),define(oe[139],ae([0,1,138]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$np=void 0;function N(j){switch(j){case 1:return(0,O.localize)(0,null);case 2:return(0,O.localize)(1,null);case 3:return(0,O.localize)(2,null);case 4:return(0,O.localize)(3,null);case 5:return(0,O.localize)(4,null);case 6:return(0,O.localize)(5,null);case 7:return(0,O.localize)(6,null);case 8:return(0,O.localize)(7,null);case 9:return(0,O.localize)(8,null);default:return""}}e.$np=N}),define(oe[140],ae([13,9]),function(te,e){return te.create("vs/base/common/platform",e)}),define(oe[6],ae([0,1,140]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$H=e.$G=e.$F=e.$E=e.$D=e.$C=e.OS=e.OperatingSystem=e.$A=e.$z=e.$y=e.$x=e.$w=e.Language=e.$v=e.$u=e.$t=e.$s=e.$r=e.$q=e.$p=e.$o=e.$n=e.$m=e.$l=e.$k=e.$j=e.$i=e.$h=e.Platform=e.$g=e.$f=void 0,e.$f="en";let N=!1,j=!1,A=!1,D=!1,I=!1,C=!1,g=!1,P=!1,E=!1,m=!1,c,$=e.$f,y=e.$f,d,u;e.$g=typeof self=="object"?self:typeof global=="object"?global:{};let l;typeof e.$g.vscode<"u"&&typeof e.$g.vscode.process<"u"?l=e.$g.vscode.process:typeof process<"u"&&(l=process);const h=typeof l?.versions?.electron=="string",w=h&&l?.type==="renderer";if(typeof navigator=="object"&&!w)u=navigator.userAgent,N=u.indexOf("Windows")>=0,j=u.indexOf("Macintosh")>=0,P=(u.indexOf("Macintosh")>=0||u.indexOf("iPad")>=0||u.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,A=u.indexOf("Linux")>=0,m=u?.indexOf("Mobi")>=0,C=!0,c=O.getConfiguredDefaultLocale(O.localize(0,null))||e.$f,$=c,y=navigator.language;else if(typeof l=="object"){N=l.platform==="win32",j=l.platform==="darwin",A=l.platform==="linux",D=A&&!!l.env.SNAP&&!!l.env.SNAP_REVISION,g=h,E=!!l.env.CI||!!l.env.BUILD_ARTIFACTSTAGINGDIRECTORY,c=e.$f,$=e.$f;const v=l.env.VSCODE_NLS_CONFIG;if(v)try{const p=JSON.parse(v),f=p.availableLanguages["*"];c=p.locale,y=p.osLocale,$=f||e.$f,d=p._translationsConfigFile}catch{}I=!0}else console.error("Unable to resolve platform.");var S;(function(v){v[v.Web=0]="Web",v[v.Mac=1]="Mac",v[v.Linux=2]="Linux",v[v.Windows=3]="Windows"})(S||(e.Platform=S={}));function t(v){switch(v){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.$h=t;let a=0;j?a=1:N?a=3:A&&(a=2),e.$i=N,e.$j=j,e.$k=A,e.$l=D,e.$m=I,e.$n=g,e.$o=C,e.$p=C&&typeof e.$g.importScripts=="function",e.$q=P,e.$r=m,e.$s=E,e.$t=a,e.$u=u,e.$v=$;var n;(function(v){function p(){return e.$v}v.value=p;function f(){return e.$v.length===2?e.$v==="en":e.$v.length>=3?e.$v[0]==="e"&&e.$v[1]==="n"&&e.$v[2]==="-":!1}v.isDefaultVariant=f;function b(){return e.$v==="en"}v.isDefault=b})(n||(e.Language=n={})),e.$w=c,e.$x=y,e.$y=d,e.$z=typeof e.$g.postMessage=="function"&&!e.$g.importScripts,e.$A=(()=>{if(e.$z){const v=[];e.$g.addEventListener("message",f=>{if(f.data&&f.data.vscodeScheduleAsyncWork)for(let b=0,L=v.length;b<L;b++){const F=v[b];if(F.id===f.data.vscodeScheduleAsyncWork){v.splice(b,1),F.callback();return}}});let p=0;return f=>{const b=++p;v.push({id:b,callback:f}),e.$g.postMessage({vscodeScheduleAsyncWork:b},"*")}}return v=>setTimeout(v)})();var s;(function(v){v[v.Windows=1]="Windows",v[v.Macintosh=2]="Macintosh",v[v.Linux=3]="Linux"})(s||(e.OperatingSystem=s={})),e.OS=j||P?2:N?1:3;let i=!0,r=!1;function o(){if(!r){r=!0;const v=new Uint8Array(2);v[0]=1,v[1]=2,i=new Uint16Array(v.buffer)[0]===(2<<8)+1}return i}e.$C=o,e.$D=!!(e.$u&&e.$u.indexOf("Chrome")>=0),e.$E=!!(e.$u&&e.$u.indexOf("Firefox")>=0),e.$F=!!(!e.$D&&e.$u&&e.$u.indexOf("Safari")>=0),e.$G=!!(e.$u&&e.$u.indexOf("Edg/")>=0),e.$H=!!(e.$u&&e.$u.indexOf("Android")>=0)}),define(oe[37],ae([0,1,6]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cc=e.$bc=e.env=e.cwd=void 0;let N;if(typeof O.$g.vscode<"u"&&typeof O.$g.vscode.process<"u"){const j=O.$g.vscode.process;N={get platform(){return j.platform},get arch(){return j.arch},get env(){return j.env},cwd(){return j.cwd()}}}else typeof process<"u"?N={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:N={get platform(){return O.$i?"win32":O.$j?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=N.cwd,e.env=N.env,e.$bc=N.platform,e.$cc=N.arch}),define(oe[16],ae([0,1,37]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rc=e.sep=e.$pc=e.$oc=e.$nc=e.$mc=e.$lc=e.$kc=e.$jc=e.$ic=e.$hc=e.$gc=e.$fc=e.$ec=e.$dc=void 0;const N=65,j=97,A=90,D=122,I=46,C=47,g=92,P=58,E=63;class m extends Error{constructor(a,n,s){let i;typeof n=="string"&&n.indexOf("not ")===0?(i="must not be",n=n.replace(/^not /,"")):i="must be";const r=a.indexOf(".")!==-1?"property":"argument";let o=`The "${a}" ${r} ${i} of type ${n}`;o+=`. Received type ${typeof s}`,super(o),this.code="ERR_INVALID_ARG_TYPE"}}function c(t,a){if(t===null||typeof t!="object")throw new m(a,"Object",t)}function $(t,a){if(typeof t!="string")throw new m(a,"string",t)}const y=O.$bc==="win32";function d(t){return t===C||t===g}function u(t){return t===C}function l(t){return t>=N&&t<=A||t>=j&&t<=D}function h(t,a,n,s){let i="",r=0,o=-1,v=0,p=0;for(let f=0;f<=t.length;++f){if(f<t.length)p=t.charCodeAt(f);else{if(s(p))break;p=C}if(s(p)){if(!(o===f-1||v===1))if(v===2){if(i.length<2||r!==2||i.charCodeAt(i.length-1)!==I||i.charCodeAt(i.length-2)!==I){if(i.length>2){const b=i.lastIndexOf(n);b===-1?(i="",r=0):(i=i.slice(0,b),r=i.length-1-i.lastIndexOf(n)),o=f,v=0;continue}else if(i.length!==0){i="",r=0,o=f,v=0;continue}}a&&(i+=i.length>0?`${n}..`:"..",r=2)}else i.length>0?i+=`${n}${t.slice(o+1,f)}`:i=t.slice(o+1,f),r=f-o-1;o=f,v=0}else p===I&&v!==-1?++v:v=-1}return i}function w(t,a){c(a,"pathObject");const n=a.dir||a.root,s=a.base||`${a.name||""}${a.ext||""}`;return n?n===a.root?`${n}${s}`:`${n}${t}${s}`:s}e.$dc={resolve(...t){let a="",n="",s=!1;for(let i=t.length-1;i>=-1;i--){let r;if(i>=0){if(r=t[i],$(r,"path"),r.length===0)continue}else a.length===0?r=O.cwd():(r=O.env[`=${a}`]||O.cwd(),(r===void 0||r.slice(0,2).toLowerCase()!==a.toLowerCase()&&r.charCodeAt(2)===g)&&(r=`${a}\\`));const o=r.length;let v=0,p="",f=!1;const b=r.charCodeAt(0);if(o===1)d(b)&&(v=1,f=!0);else if(d(b))if(f=!0,d(r.charCodeAt(1))){let L=2,F=L;for(;L<o&&!d(r.charCodeAt(L));)L++;if(L<o&&L!==F){const T=r.slice(F,L);for(F=L;L<o&&d(r.charCodeAt(L));)L++;if(L<o&&L!==F){for(F=L;L<o&&!d(r.charCodeAt(L));)L++;(L===o||L!==F)&&(p=`\\\\${T}\\${r.slice(F,L)}`,v=L)}}}else v=1;else l(b)&&r.charCodeAt(1)===P&&(p=r.slice(0,2),v=2,o>2&&d(r.charCodeAt(2))&&(f=!0,v=3));if(p.length>0)if(a.length>0){if(p.toLowerCase()!==a.toLowerCase())continue}else a=p;if(s){if(a.length>0)break}else if(n=`${r.slice(v)}\\${n}`,s=f,f&&a.length>0)break}return n=h(n,!s,"\\",d),s?`${a}\\${n}`:`${a}${n}`||"."},normalize(t){$(t,"path");const a=t.length;if(a===0)return".";let n=0,s,i=!1;const r=t.charCodeAt(0);if(a===1)return u(r)?"\\":t;if(d(r))if(i=!0,d(t.charCodeAt(1))){let v=2,p=v;for(;v<a&&!d(t.charCodeAt(v));)v++;if(v<a&&v!==p){const f=t.slice(p,v);for(p=v;v<a&&d(t.charCodeAt(v));)v++;if(v<a&&v!==p){for(p=v;v<a&&!d(t.charCodeAt(v));)v++;if(v===a)return`\\\\${f}\\${t.slice(p)}\\`;v!==p&&(s=`\\\\${f}\\${t.slice(p,v)}`,n=v)}}}else n=1;else l(r)&&t.charCodeAt(1)===P&&(s=t.slice(0,2),n=2,a>2&&d(t.charCodeAt(2))&&(i=!0,n=3));let o=n<a?h(t.slice(n),!i,"\\",d):"";return o.length===0&&!i&&(o="."),o.length>0&&d(t.charCodeAt(a-1))&&(o+="\\"),s===void 0?i?`\\${o}`:o:i?`${s}\\${o}`:`${s}${o}`},isAbsolute(t){$(t,"path");const a=t.length;if(a===0)return!1;const n=t.charCodeAt(0);return d(n)||a>2&&l(n)&&t.charCodeAt(1)===P&&d(t.charCodeAt(2))},join(...t){if(t.length===0)return".";let a,n;for(let r=0;r<t.length;++r){const o=t[r];$(o,"path"),o.length>0&&(a===void 0?a=n=o:a+=`\\${o}`)}if(a===void 0)return".";let s=!0,i=0;if(typeof n=="string"&&d(n.charCodeAt(0))){++i;const r=n.length;r>1&&d(n.charCodeAt(1))&&(++i,r>2&&(d(n.charCodeAt(2))?++i:s=!1))}if(s){for(;i<a.length&&d(a.charCodeAt(i));)i++;i>=2&&(a=`\\${a.slice(i)}`)}return e.$dc.normalize(a)},relative(t,a){if($(t,"from"),$(a,"to"),t===a)return"";const n=e.$dc.resolve(t),s=e.$dc.resolve(a);if(n===s||(t=n.toLowerCase(),a=s.toLowerCase(),t===a))return"";let i=0;for(;i<t.length&&t.charCodeAt(i)===g;)i++;let r=t.length;for(;r-1>i&&t.charCodeAt(r-1)===g;)r--;const o=r-i;let v=0;for(;v<a.length&&a.charCodeAt(v)===g;)v++;let p=a.length;for(;p-1>v&&a.charCodeAt(p-1)===g;)p--;const f=p-v,b=o<f?o:f;let L=-1,F=0;for(;F<b;F++){const z=t.charCodeAt(i+F);if(z!==a.charCodeAt(v+F))break;z===g&&(L=F)}if(F!==b){if(L===-1)return s}else{if(f>b){if(a.charCodeAt(v+F)===g)return s.slice(v+F+1);if(F===2)return s.slice(v+F)}o>b&&(t.charCodeAt(i+F)===g?L=F:F===2&&(L=3)),L===-1&&(L=0)}let T="";for(F=i+L+1;F<=r;++F)(F===r||t.charCodeAt(F)===g)&&(T+=T.length===0?"..":"\\..");return v+=L,T.length>0?`${T}${s.slice(v,p)}`:(s.charCodeAt(v)===g&&++v,s.slice(v,p))},toNamespacedPath(t){if(typeof t!="string"||t.length===0)return t;const a=e.$dc.resolve(t);if(a.length<=2)return t;if(a.charCodeAt(0)===g){if(a.charCodeAt(1)===g){const n=a.charCodeAt(2);if(n!==E&&n!==I)return`\\\\?\\UNC\\${a.slice(2)}`}}else if(l(a.charCodeAt(0))&&a.charCodeAt(1)===P&&a.charCodeAt(2)===g)return`\\\\?\\${a}`;return t},dirname(t){$(t,"path");const a=t.length;if(a===0)return".";let n=-1,s=0;const i=t.charCodeAt(0);if(a===1)return d(i)?t:".";if(d(i)){if(n=s=1,d(t.charCodeAt(1))){let v=2,p=v;for(;v<a&&!d(t.charCodeAt(v));)v++;if(v<a&&v!==p){for(p=v;v<a&&d(t.charCodeAt(v));)v++;if(v<a&&v!==p){for(p=v;v<a&&!d(t.charCodeAt(v));)v++;if(v===a)return t;v!==p&&(n=s=v+1)}}}}else l(i)&&t.charCodeAt(1)===P&&(n=a>2&&d(t.charCodeAt(2))?3:2,s=n);let r=-1,o=!0;for(let v=a-1;v>=s;--v)if(d(t.charCodeAt(v))){if(!o){r=v;break}}else o=!1;if(r===-1){if(n===-1)return".";r=n}return t.slice(0,r)},basename(t,a){a!==void 0&&$(a,"ext"),$(t,"path");let n=0,s=-1,i=!0,r;if(t.length>=2&&l(t.charCodeAt(0))&&t.charCodeAt(1)===P&&(n=2),a!==void 0&&a.length>0&&a.length<=t.length){if(a===t)return"";let o=a.length-1,v=-1;for(r=t.length-1;r>=n;--r){const p=t.charCodeAt(r);if(d(p)){if(!i){n=r+1;break}}else v===-1&&(i=!1,v=r+1),o>=0&&(p===a.charCodeAt(o)?--o===-1&&(s=r):(o=-1,s=v))}return n===s?s=v:s===-1&&(s=t.length),t.slice(n,s)}for(r=t.length-1;r>=n;--r)if(d(t.charCodeAt(r))){if(!i){n=r+1;break}}else s===-1&&(i=!1,s=r+1);return s===-1?"":t.slice(n,s)},extname(t){$(t,"path");let a=0,n=-1,s=0,i=-1,r=!0,o=0;t.length>=2&&t.charCodeAt(1)===P&&l(t.charCodeAt(0))&&(a=s=2);for(let v=t.length-1;v>=a;--v){const p=t.charCodeAt(v);if(d(p)){if(!r){s=v+1;break}continue}i===-1&&(r=!1,i=v+1),p===I?n===-1?n=v:o!==1&&(o=1):n!==-1&&(o=-1)}return n===-1||i===-1||o===0||o===1&&n===i-1&&n===s+1?"":t.slice(n,i)},format:w.bind(null,"\\"),parse(t){$(t,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return a;const n=t.length;let s=0,i=t.charCodeAt(0);if(n===1)return d(i)?(a.root=a.dir=t,a):(a.base=a.name=t,a);if(d(i)){if(s=1,d(t.charCodeAt(1))){let L=2,F=L;for(;L<n&&!d(t.charCodeAt(L));)L++;if(L<n&&L!==F){for(F=L;L<n&&d(t.charCodeAt(L));)L++;if(L<n&&L!==F){for(F=L;L<n&&!d(t.charCodeAt(L));)L++;L===n?s=L:L!==F&&(s=L+1)}}}}else if(l(i)&&t.charCodeAt(1)===P){if(n<=2)return a.root=a.dir=t,a;if(s=2,d(t.charCodeAt(2))){if(n===3)return a.root=a.dir=t,a;s=3}}s>0&&(a.root=t.slice(0,s));let r=-1,o=s,v=-1,p=!0,f=t.length-1,b=0;for(;f>=s;--f){if(i=t.charCodeAt(f),d(i)){if(!p){o=f+1;break}continue}v===-1&&(p=!1,v=f+1),i===I?r===-1?r=f:b!==1&&(b=1):r!==-1&&(b=-1)}return v!==-1&&(r===-1||b===0||b===1&&r===v-1&&r===o+1?a.base=a.name=t.slice(o,v):(a.name=t.slice(o,r),a.base=t.slice(o,v),a.ext=t.slice(r,v))),o>0&&o!==s?a.dir=t.slice(0,o-1):a.dir=a.root,a},sep:"\\",delimiter:";",win32:null,posix:null};const S=(()=>{if(y){const t=/\\/g;return()=>{const a=O.cwd().replace(t,"/");return a.slice(a.indexOf("/"))}}return()=>O.cwd()})();e.$ec={resolve(...t){let a="",n=!1;for(let s=t.length-1;s>=-1&&!n;s--){const i=s>=0?t[s]:S();$(i,"path"),i.length!==0&&(a=`${i}/${a}`,n=i.charCodeAt(0)===C)}return a=h(a,!n,"/",u),n?`/${a}`:a.length>0?a:"."},normalize(t){if($(t,"path"),t.length===0)return".";const a=t.charCodeAt(0)===C,n=t.charCodeAt(t.length-1)===C;return t=h(t,!a,"/",u),t.length===0?a?"/":n?"./":".":(n&&(t+="/"),a?`/${t}`:t)},isAbsolute(t){return $(t,"path"),t.length>0&&t.charCodeAt(0)===C},join(...t){if(t.length===0)return".";let a;for(let n=0;n<t.length;++n){const s=t[n];$(s,"path"),s.length>0&&(a===void 0?a=s:a+=`/${s}`)}return a===void 0?".":e.$ec.normalize(a)},relative(t,a){if($(t,"from"),$(a,"to"),t===a||(t=e.$ec.resolve(t),a=e.$ec.resolve(a),t===a))return"";const n=1,s=t.length,i=s-n,r=1,o=a.length-r,v=i<o?i:o;let p=-1,f=0;for(;f<v;f++){const L=t.charCodeAt(n+f);if(L!==a.charCodeAt(r+f))break;L===C&&(p=f)}if(f===v)if(o>v){if(a.charCodeAt(r+f)===C)return a.slice(r+f+1);if(f===0)return a.slice(r+f)}else i>v&&(t.charCodeAt(n+f)===C?p=f:f===0&&(p=0));let b="";for(f=n+p+1;f<=s;++f)(f===s||t.charCodeAt(f)===C)&&(b+=b.length===0?"..":"/..");return`${b}${a.slice(r+p)}`},toNamespacedPath(t){return t},dirname(t){if($(t,"path"),t.length===0)return".";const a=t.charCodeAt(0)===C;let n=-1,s=!0;for(let i=t.length-1;i>=1;--i)if(t.charCodeAt(i)===C){if(!s){n=i;break}}else s=!1;return n===-1?a?"/":".":a&&n===1?"//":t.slice(0,n)},basename(t,a){a!==void 0&&$(a,"ext"),$(t,"path");let n=0,s=-1,i=!0,r;if(a!==void 0&&a.length>0&&a.length<=t.length){if(a===t)return"";let o=a.length-1,v=-1;for(r=t.length-1;r>=0;--r){const p=t.charCodeAt(r);if(p===C){if(!i){n=r+1;break}}else v===-1&&(i=!1,v=r+1),o>=0&&(p===a.charCodeAt(o)?--o===-1&&(s=r):(o=-1,s=v))}return n===s?s=v:s===-1&&(s=t.length),t.slice(n,s)}for(r=t.length-1;r>=0;--r)if(t.charCodeAt(r)===C){if(!i){n=r+1;break}}else s===-1&&(i=!1,s=r+1);return s===-1?"":t.slice(n,s)},extname(t){$(t,"path");let a=-1,n=0,s=-1,i=!0,r=0;for(let o=t.length-1;o>=0;--o){const v=t.charCodeAt(o);if(v===C){if(!i){n=o+1;break}continue}s===-1&&(i=!1,s=o+1),v===I?a===-1?a=o:r!==1&&(r=1):a!==-1&&(r=-1)}return a===-1||s===-1||r===0||r===1&&a===s-1&&a===n+1?"":t.slice(a,s)},format:w.bind(null,"/"),parse(t){$(t,"path");const a={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return a;const n=t.charCodeAt(0)===C;let s;n?(a.root="/",s=1):s=0;let i=-1,r=0,o=-1,v=!0,p=t.length-1,f=0;for(;p>=s;--p){const b=t.charCodeAt(p);if(b===C){if(!v){r=p+1;break}continue}o===-1&&(v=!1,o=p+1),b===I?i===-1?i=p:f!==1&&(f=1):i!==-1&&(f=-1)}if(o!==-1){const b=r===0&&n?1:r;i===-1||f===0||f===1&&i===o-1&&i===r+1?a.base=a.name=t.slice(b,o):(a.name=t.slice(b,i),a.base=t.slice(b,o),a.ext=t.slice(i,o))}return r>0?a.dir=t.slice(0,r-1):n&&(a.dir="/"),a},sep:"/",delimiter:":",win32:null,posix:null},e.$ec.win32=e.$dc.win32=e.$dc,e.$ec.posix=e.$dc.posix=e.$ec,e.$fc=y?e.$dc.normalize:e.$ec.normalize,e.$gc=y?e.$dc.isAbsolute:e.$ec.isAbsolute,e.$hc=y?e.$dc.join:e.$ec.join,e.$ic=y?e.$dc.resolve:e.$ec.resolve,e.$jc=y?e.$dc.relative:e.$ec.relative,e.$kc=y?e.$dc.dirname:e.$ec.dirname,e.$lc=y?e.$dc.basename:e.$ec.basename,e.$mc=y?e.$dc.extname:e.$ec.extname,e.$nc=y?e.$dc.format:e.$ec.format,e.$oc=y?e.$dc.parse:e.$ec.parse,e.$pc=y?e.$dc.toNamespacedPath:e.$ec.toNamespacedPath,e.sep=y?e.$dc.sep:e.$ec.sep,e.$rc=y?e.$dc.delimiter:e.$ec.delimiter}),define(oe[48],ae([0,1,16,6,27,12]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4f=e.$3f=e.$2f=e.$1f=e.$Zf=e.$Yf=e.$Xf=e.$Wf=e.$Vf=e.$Uf=e.$Tf=e.$Sf=e.$Rf=e.$Qf=e.$Pf=e.$Of=void 0;function D(r){return r===47||r===92}e.$Of=D;function I(r){return r.replace(/[\\/]/g,O.$ec.sep)}e.$Pf=I;function C(r){return r.indexOf("/")===-1&&(r=I(r)),/^[a-zA-Z]:(\/|$)/.test(r)&&(r="/"+r),r}e.$Qf=C;function g(r,o=O.$ec.sep){if(!r)return"";const v=r.length,p=r.charCodeAt(0);if(D(p)){if(D(r.charCodeAt(1))&&!D(r.charCodeAt(2))){let b=3;const L=b;for(;b<v&&!D(r.charCodeAt(b));b++);if(L!==b&&!D(r.charCodeAt(b+1))){for(b+=1;b<v;b++)if(D(r.charCodeAt(b)))return r.slice(0,b+1).replace(/[\\/]/g,o)}}return o}else if(u(p)&&r.charCodeAt(1)===58)return D(r.charCodeAt(2))?r.slice(0,2)+o:r.slice(0,2);let f=r.indexOf("://");if(f!==-1){for(f+=3;f<v;f++)if(D(r.charCodeAt(f)))return r.slice(0,f+1)}return""}e.$Rf=g;function P(r){if(!N.$i||!r||r.length<5)return!1;let o=r.charCodeAt(0);if(o!==92||(o=r.charCodeAt(1),o!==92))return!1;let v=2;const p=v;for(;v<r.length&&(o=r.charCodeAt(v),o!==92);v++);return!(p===v||(o=r.charCodeAt(v+1),isNaN(o)||o===92))}e.$Sf=P;const E=/[\\/:\*\?"<>\|]/g,m=/[\\/]/g,c=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function $(r,o=N.$i){const v=o?E:m;return!(!r||r.length===0||/^\s+$/.test(r)||(v.lastIndex=0,v.test(r))||o&&c.test(r)||r==="."||r===".."||o&&r[r.length-1]==="."||o&&r.length!==r.trim().length||r.length>255)}e.$Tf=$;function y(r,o,v){const p=r===o;return!v||p?p:!r||!o?!1:(0,j.$Ze)(r,o)}e.$Uf=y;function d(r,o,v,p=O.sep){if(r===o)return!0;if(!r||!o||o.length>r.length)return!1;if(v){if(!(0,j.$1e)(r,o))return!1;if(o.length===r.length)return!0;let b=o.length;return o.charAt(o.length-1)===p&&b--,r.charAt(b)===p}return o.charAt(o.length-1)!==p&&(o+=p),r.indexOf(o)===0}e.$Vf=d;function u(r){return r>=65&&r<=90||r>=97&&r<=122}e.$Wf=u;function l(r,o){return N.$i&&r.endsWith(":")&&(r+=O.sep),(0,O.$gc)(r)||(r=(0,O.$hc)(o,r)),r=(0,O.$fc)(r),N.$i?(r=(0,j.$Ie)(r,O.sep),r.endsWith(":")&&(r+=O.sep)):(r=(0,j.$Ie)(r,O.sep),r||(r=O.sep)),r}e.$Xf=l;function h(r){const o=(0,O.$fc)(r);return N.$i?r.length>3?!1:w(o)&&(r.length===2||o.charCodeAt(2)===92):o===O.$ec.sep}e.$Yf=h;function w(r,o=N.$i){return o?u(r.charCodeAt(0))&&r.charCodeAt(1)===58:!1}e.$Zf=w;function S(r,o=N.$i){return w(r,o)?r[0]:void 0}e.$1f=S;function t(r,o,v){return o.length>r.length?-1:r===o?0:(v&&(r=r.toLowerCase(),o=o.toLowerCase()),r.indexOf(o))}e.$2f=t;function a(r){const o=r.split(":");let v,p,f;for(const b of o){const L=Number(b);(0,A.$Af)(L)?p===void 0?p=L:f===void 0&&(f=L):v=v?[v,b].join(":"):b}if(!v)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:v,line:p!==void 0?p:void 0,column:f!==void 0?f:p!==void 0?1:void 0}}e.$3f=a;const n="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",s="BDEFGHIJKMOQRSTUVWXYZbdefghijkmoqrstuvwxyz0123456789";function i(r,o,v=8){let p="";for(let b=0;b<v;b++){let L;b===0&&N.$i&&!o&&(v===3||v===4)?L=s:L=n,p+=L.charAt(Math.floor(Math.random()*L.length))}let f;return o?f=`${o}-${p}`:f=p,r?(0,O.$hc)(r,f):f}e.$4f=i}),define(oe[141],ae([0,1,16]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mr=e.$Lr=e.$Kr=e.$Jr=e.$Ir=void 0,e.$Ir=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const N={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},j={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function A(P){const E=(0,O.$mc)(P),m=N[E.toLowerCase()];return m!==void 0?m:D(P)}e.$Jr=A;function D(P){const E=(0,O.$mc)(P);return j[E.toLowerCase()]}e.$Kr=D;function I(P){for(const E in j)if(j[E]===P)return E}e.$Lr=I;const C=/^(.+)\/(.+?)(;.+)?$/;function g(P,E){const m=C.exec(P);return m?`${m[1].toLowerCase()}/${m[2].toLowerCase()}${m[3]??""}`:E?void 0:P}e.$Mr=g}),define(oe[90],ae([0,1,6]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ul=e.$tl=e.TerminateResponseCode=e.Source=void 0;var N;(function(I){I[I.stdout=0]="stdout",I[I.stderr=1]="stderr"})(N||(e.Source=N={}));var j;(function(I){I[I.Success=0]="Success",I[I.Unknown=1]="Unknown",I[I.AccessDenied=2]="AccessDenied",I[I.ProcessNotFound=3]="ProcessNotFound"})(j||(e.TerminateResponseCode=j={}));function A(I,...C){const g=C.reduce((m,c)=>(m[c]=!0,m),{}),P=[/^ELECTRON_.+$/,/^VSCODE_(?!(PORTABLE|SHELL_LOGIN|ENV_REPLACE|ENV_APPEND|ENV_PREPEND)).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(I).filter(m=>!g[m]).forEach(m=>{for(let c=0;c<P.length;c++)if(m.search(P[c])!==-1){delete I[m];break}})}e.$tl=A;function D(I){I&&(delete I.DEBUG,O.$j&&delete I.DYLD_LIBRARY_PATH,O.$k&&delete I.LD_PRELOAD)}e.$ul=D}),define(oe[10],ae([0,1,16,6]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uc=e.$tc=e.URI=void 0;const j=/^\w[\w\d+.-]*$/,A=/^\//,D=/^\/\//;function I(s,i){if(!s.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!j.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!A.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(D.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function C(s,i){return!s&&!i?"file":s}function g(s,i){switch(s){case"https":case"http":case"file":i?i[0]!==E&&(i=E+i):i=E;break}return i}const P="",E="/",m=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class c{static isUri(i){return i instanceof c?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}constructor(i,r,o,v,p,f=!1){typeof i=="object"?(this.scheme=i.scheme||P,this.authority=i.authority||P,this.path=i.path||P,this.query=i.query||P,this.fragment=i.fragment||P):(this.scheme=C(i,f),this.authority=r||P,this.path=g(this.scheme,o||P),this.query=v||P,this.fragment=p||P,I(this,f))}get fsPath(){return w(this,!1)}with(i){if(!i)return this;let{scheme:r,authority:o,path:v,query:p,fragment:f}=i;return r===void 0?r=this.scheme:r===null&&(r=P),o===void 0?o=this.authority:o===null&&(o=P),v===void 0?v=this.path:v===null&&(v=P),p===void 0?p=this.query:p===null&&(p=P),f===void 0?f=this.fragment:f===null&&(f=P),r===this.scheme&&o===this.authority&&v===this.path&&p===this.query&&f===this.fragment?this:new d(r,o,v,p,f)}static parse(i,r=!1){const o=m.exec(i);return o?new d(o[2]||P,n(o[4]||P),n(o[5]||P),n(o[7]||P),n(o[9]||P),r):new d(P,P,P,P,P)}static file(i){let r=P;if(N.$i&&(i=i.replace(/\\/g,E)),i[0]===E&&i[1]===E){const o=i.indexOf(E,2);o===-1?(r=i.substring(2),i=E):(r=i.substring(2,o),i=i.substring(o)||E)}return new d("file",r,i,P,P)}static from(i,r){return new d(i.scheme,i.authority,i.path,i.query,i.fragment,r)}static joinPath(i,...r){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let o;return N.$i&&i.scheme==="file"?o=c.file(O.$dc.join(w(i,!0),...r)).path:o=O.$ec.join(i.path,...r),i.with({path:o})}toString(i=!1){return S(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof c)return i;{const r=new d(i);return r._formatted=i.external??null,r._fsPath=i._sep===y?i.fsPath??null:null,r}}else return i}}e.URI=c;function $(s){return!s||typeof s!="object"?!1:typeof s.scheme=="string"&&(typeof s.authority=="string"||typeof s.authority>"u")&&(typeof s.path=="string"||typeof s.path>"u")&&(typeof s.query=="string"||typeof s.query>"u")&&(typeof s.fragment=="string"||typeof s.fragment>"u")}e.$tc=$;const y=N.$i?1:void 0;class d extends c{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=w(this,!1)),this._fsPath}toString(i=!1){return i?S(this,!0):(this._formatted||(this._formatted=S(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=y),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const u={[58]:"%3A",[47]:"%2F",[63]:"%3F",[35]:"%23",[91]:"%5B",[93]:"%5D",[64]:"%40",[33]:"%21",[36]:"%24",[38]:"%26",[39]:"%27",[40]:"%28",[41]:"%29",[42]:"%2A",[43]:"%2B",[44]:"%2C",[59]:"%3B",[61]:"%3D",[32]:"%20"};function l(s,i,r){let o,v=-1;for(let p=0;p<s.length;p++){const f=s.charCodeAt(p);if(f>=97&&f<=122||f>=65&&f<=90||f>=48&&f<=57||f===45||f===46||f===95||f===126||i&&f===47||r&&f===91||r&&f===93||r&&f===58)v!==-1&&(o+=encodeURIComponent(s.substring(v,p)),v=-1),o!==void 0&&(o+=s.charAt(p));else{o===void 0&&(o=s.substr(0,p));const b=u[f];b!==void 0?(v!==-1&&(o+=encodeURIComponent(s.substring(v,p)),v=-1),o+=b):v===-1&&(v=p)}}return v!==-1&&(o+=encodeURIComponent(s.substring(v))),o!==void 0?o:s}function h(s){let i;for(let r=0;r<s.length;r++){const o=s.charCodeAt(r);o===35||o===63?(i===void 0&&(i=s.substr(0,r)),i+=u[o]):i!==void 0&&(i+=s[r])}return i!==void 0?i:s}function w(s,i){let r;return s.authority&&s.path.length>1&&s.scheme==="file"?r=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?i?r=s.path.substr(1):r=s.path[1].toLowerCase()+s.path.substr(2):r=s.path,N.$i&&(r=r.replace(/\//g,"\\")),r}e.$uc=w;function S(s,i){const r=i?h:l;let o="",{scheme:v,authority:p,path:f,query:b,fragment:L}=s;if(v&&(o+=v,o+=":"),(p||v==="file")&&(o+=E,o+=E),p){let F=p.indexOf("@");if(F!==-1){const T=p.substr(0,F);p=p.substr(F+1),F=T.lastIndexOf(":"),F===-1?o+=r(T,!1,!1):(o+=r(T.substr(0,F),!1,!1),o+=":",o+=r(T.substr(F+1),!1,!0)),o+="@"}p=p.toLowerCase(),F=p.lastIndexOf(":"),F===-1?o+=r(p,!1,!0):(o+=r(p.substr(0,F),!1,!0),o+=p.substr(F))}if(f){if(f.length>=3&&f.charCodeAt(0)===47&&f.charCodeAt(2)===58){const F=f.charCodeAt(1);F>=65&&F<=90&&(f=`/${String.fromCharCode(F+32)}:${f.substr(3)}`)}else if(f.length>=2&&f.charCodeAt(1)===58){const F=f.charCodeAt(0);F>=65&&F<=90&&(f=`${String.fromCharCode(F+32)}:${f.substr(2)}`)}o+=r(f,!0,!1)}return b&&(o+="?",o+=r(b,!1,!1)),L&&(o+="#",o+=i?L:l(L,!1,!1)),o}function t(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+t(s.substr(3)):s}}const a=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function n(s){return s.match(a)?s.replace(a,i=>t(i)):s}}),define(oe[142],ae([0,1,10]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.$Qp=e.$Pp=e.$Op=void 0;function N(g){const P=g;return P&&typeof P.type=="string"&&typeof P.severity=="string"}e.$Op=N;function j(g){const P=[];let E;try{const m=JSON.parse(g.arguments),c=m[m.length-1];c&&c.__$stack&&(m.pop(),E=c.__$stack),P.push(...m)}catch{P.push("Unable to log remote console arguments",g.arguments)}return{args:P,stack:E}}e.$Pp=j;function A(g){if(typeof g!="string")return A(j(g).stack);const P=g;if(P){const E=D(P),m=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(E||"");if(m&&m.length===4)return{uri:O.URI.file(m[1]),line:Number(m[2]),column:Number(m[3])}}}e.$Qp=A;function D(g){if(!g)return g;const P=g.indexOf(`
`);return P===-1?g:g.substring(0,P)}function I(g,P){const{args:E,stack:m}=j(g),c=typeof E[0]=="string"&&E.length===1;let $=D(m);$&&($=`(${$.trim()})`);let y=[];if(typeof E[0]=="string"?$&&c?y=[`%c[${P}] %c${E[0]} %c${$}`,C("blue"),C(""),C("grey")]:y=[`%c[${P}] %c${E[0]}`,C("blue"),C(""),...E.slice(1)]:y=[`%c[${P}]%`,C("blue"),...E],$&&!c&&y.push($),typeof console[g.severity]!="function")throw new Error("Unknown console method");console[g.severity].apply(console,y)}e.log=I;function C(g){return`color: ${g}`}}),define(oe[63],ae([0,1,15,10]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ih=e.$hh=e.$gh=void 0;function j(C){return JSON.stringify(C,D)}e.$gh=j;function A(C){let g=JSON.parse(C);return g=I(g),g}e.$hh=A;function D(C,g){return g instanceof RegExp?{$mid:2,source:g.source,flags:g.flags}:g}function I(C,g=0){if(!C||g>200)return C;if(typeof C=="object"){switch(C.$mid){case 1:return N.URI.revive(C);case 2:return new RegExp(C.source,C.flags);case 17:return new Date(C.source)}if(C instanceof O.$_d||C instanceof Uint8Array)return C;if(Array.isArray(C))for(let P=0;P<C.length;++P)C[P]=I(C[P],g+1);else for(const P in C)Object.hasOwnProperty.call(C,P)&&(C[P]=I(C[P],g+1))}return C}e.$ih=I}),define(oe[23],ae([0,1,8,6,10]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.$_f=e.$$f=e.$0f=e.$9f=e.$8f=e.$7f=e.$6f=e.$5f=e.Schemas=void 0;var A;(function(g){g.inMemory="inmemory",g.vscode="vscode",g.internal="private",g.walkThrough="walkThrough",g.walkThroughSnippet="walkThroughSnippet",g.http="http",g.https="https",g.file="file",g.mailto="mailto",g.untitled="untitled",g.data="data",g.command="command",g.vscodeRemote="vscode-remote",g.vscodeRemoteResource="vscode-remote-resource",g.vscodeManagedRemoteResource="vscode-managed-remote-resource",g.vscodeUserData="vscode-userdata",g.vscodeCustomEditor="vscode-custom-editor",g.vscodeNotebookCell="vscode-notebook-cell",g.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",g.vscodeNotebookCellOutput="vscode-notebook-cell-output",g.vscodeInteractiveInput="vscode-interactive-input",g.vscodeSettings="vscode-settings",g.vscodeWorkspaceTrust="vscode-workspace-trust",g.vscodeTerminal="vscode-terminal",g.vscodeChatSesssion="vscode-chat-editor",g.webviewPanel="webview-panel",g.vscodeWebview="vscode-webview",g.extension="extension",g.vscodeFileResource="vscode-file",g.tmp="tmp",g.vsls="vsls",g.vscodeSourceControl="vscode-scm"})(A||(e.Schemas=A={})),e.$5f="vscode-tkn",e.$6f="tkn";class D{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${A.vscodeRemoteResource}`}setPreferredWebSchema(P){this.d=P}setDelegate(P){this.e=P}setServerRootPath(P){this.f=`${P}/${A.vscodeRemoteResource}`}set(P,E,m){this.a[P]=E,this.b[P]=m}setConnectionToken(P,E){this.c[P]=E}getPreferredWebSchema(){return this.d}rewrite(P){if(this.e)try{return this.e(P)}catch(d){return O.$Y(d),P}const E=P.authority;let m=this.a[E];m&&m.indexOf(":")!==-1&&m.indexOf("[")===-1&&(m=`[${m}]`);const c=this.b[E],$=this.c[E];let y=`path=${encodeURIComponent(P.path)}`;return typeof $=="string"&&(y+=`&${e.$6f}=${encodeURIComponent($)}`),j.URI.from({scheme:N.$o?this.d:A.vscodeRemoteResource,authority:`${m}:${c}`,path:this.f,query:y})}}e.$7f=new D,e.$8f="vs/../../extensions",e.$9f="vs/../../node_modules",e.$0f="vs/../../node_modules.asar",e.$$f="vs/../../node_modules.asar.unpacked";class I{static{this.a="vscode-app"}asBrowserUri(P){const E=this.b(P,te);return this.uriToBrowserUri(E)}uriToBrowserUri(P){return P.scheme===A.vscodeRemote?e.$7f.rewrite(P):P.scheme===A.file&&(N.$m||N.$p&&N.$g.origin===`${A.vscodeFileResource}://${I.a}`)?P.with({scheme:A.vscodeFileResource,authority:P.authority||I.a,query:null,fragment:null}):P}asFileUri(P){const E=this.b(P,te);return this.uriToFileUri(E)}uriToFileUri(P){return P.scheme===A.vscodeFileResource?P.with({scheme:A.file,authority:P.authority!==I.a?P.authority:null,query:null,fragment:null}):P}b(P,E){return j.URI.isUri(P)?P:j.URI.parse(E.toUrl(P))}}e.$_f=new I;var C;(function(g){const P=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);g.CoopAndCoep=Object.freeze(P.get("3"));const E="vscode-coi";function m($){let y;typeof $=="string"?y=new URL($).searchParams:$ instanceof URL?y=$.searchParams:j.URI.isUri($)&&(y=new URL($.toString(!0)).searchParams);const d=y?.get(E);if(d)return P.get(d)}g.getHeadersFromQuery=m;function c($,y,d){if(!globalThis.crossOriginIsolated)return;const u=y&&d?"3":d?"2":"1";$ instanceof URLSearchParams?$.set(E,u):$[E]=u}g.addSearchParam=c})(C||(e.COI=C={}))}),define(oe[143],ae([0,1,124,23,6,10]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dC=void 0;class D{constructor(m,c,$){this.id=m,this.dependencies=c,this.callback=$}}class I{static{this.INSTANCE=new I}constructor(){this.a=typeof self=="object"&&self.constructor&&self.constructor.name==="DedicatedWorkerGlobalScope",this.b=typeof document=="object",this.c=[],this.d=!1}g(){this.d||(this.d=!0,globalThis.define=(m,c,$)=>{typeof m!="string"&&($=c,c=m,m=null),(typeof c!="object"||!Array.isArray(c))&&($=c,c=null),this.c.push(new D(m,c,$))},globalThis.define.amd=!0,this.b?this.f=window.trustedTypes?.createPolicy("amdLoader",{createScriptURL(m){if(m.startsWith(window.location.origin)||m.startsWith("vscode-file://vscode-app"))return m;throw new Error(`[trusted_script_src] Invalid script url: ${m}`)}}):this.a&&(this.f=globalThis.trustedTypes?.createPolicy("amdLoader",{createScriptURL(m){return m}})))}async load(m){this.g();const c=await(this.a?this.i(m):this.b?this.h(m):this.j(m));if(!c)throw new Error(`Did not receive a define call from script ${m}`);if(Array.isArray(c.dependencies)&&c.dependencies.length>0)throw new Error(`Cannot resolve dependencies for script ${m}. The dependencies are: ${c.dependencies.join(", ")}`);return typeof c.callback=="function"?c.callback([]):c.callback}h(m){return new Promise((c,$)=>{const y=document.createElement("script");y.setAttribute("async","async"),y.setAttribute("type","text/javascript");const d=()=>{y.removeEventListener("load",u),y.removeEventListener("error",l)},u=h=>{d(),c(this.c.pop())},l=h=>{d(),$(h)};y.addEventListener("load",u),y.addEventListener("error",l),this.f&&(m=this.f.createScriptURL(m)),y.setAttribute("src",m),document.getElementsByTagName("head")[0].appendChild(y)})}i(m){return new Promise((c,$)=>{try{this.f&&(m=this.f.createScriptURL(m)),importScripts(m),c(this.c.pop())}catch(y){$(y)}})}async j(m){try{const c=globalThis._VSCODE_NODE_MODULES.fs,$=globalThis._VSCODE_NODE_MODULES.vm,y=globalThis._VSCODE_NODE_MODULES.module,d=A.URI.parse(m).fsPath,u=c.readFileSync(d).toString(),l=y.wrap(u.replace(/^#!.*/,""));return new $.Script(l).runInThisContext().apply(),this.c.pop()}catch(c){throw c}}}const C=new Map;let g={};typeof globalThis.require=="object"&&(g=globalThis.require.paths??{});async function P(E,m,c){if(O.$R){c===void 0&&(c=!!(globalThis._VSCODE_PRODUCT_JSON??globalThis.vscode?.context?.configuration()?.product)?.commit),g[E]&&(E=g[E]);const $=`${E}/${m}`;if(C.has($))return C.get($);let y;if(/^\w[\w\d+.-]*:\/\//.test($))y=$;else{const h=`${c&&!j.$o?N.$0f:N.$9f}/${$}`;y=N.$_f.asBrowserUri(h).toString(!0)}const d=I.INSTANCE.load(y);return C.set($,d),d}else return await new Promise(($,y)=>{te([E],$,y)})}e.$dC=P}),define(oe[21],ae([0,1,48,23,16,6,27,10]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cg=e.DataUri=e.$Bg=e.$Ag=e.$zg=e.$yg=e.$xg=e.$wg=e.$vg=e.$ug=e.$tg=e.$sg=e.$rg=e.$qg=e.$pg=e.$og=e.$ng=e.$mg=e.$lg=e.$kg=e.$jg=e.$ig=e.$hg=e.$gg=void 0;function C(c){return(0,I.$uc)(c,!0)}e.$gg=C;class g{constructor($){this.a=$}compare($,y,d=!1){return $===y?0:(0,D.$Se)(this.getComparisonKey($,d),this.getComparisonKey(y,d))}isEqual($,y,d=!1){return $===y?!0:!$||!y?!1:this.getComparisonKey($,d)===this.getComparisonKey(y,d)}getComparisonKey($,y=!1){return $.with({path:this.a($)?$.path.toLowerCase():void 0,fragment:y?null:void 0}).toString()}ignorePathCasing($){return this.a($)}isEqualOrParent($,y,d=!1){if($.scheme===y.scheme){if($.scheme===N.Schemas.file)return O.$Vf(C($),C(y),this.a($))&&$.query===y.query&&(d||$.fragment===y.fragment);if((0,e.$xg)($.authority,y.authority))return O.$Vf($.path,y.path,this.a($),"/")&&$.query===y.query&&(d||$.fragment===y.fragment)}return!1}joinPath($,...y){return I.URI.joinPath($,...y)}basenameOrAuthority($){return(0,e.$pg)($)||$.authority}basename($){return j.$ec.basename($.path)}extname($){return j.$ec.extname($.path)}dirname($){if($.path.length===0)return $;let y;return $.scheme===N.Schemas.file?y=I.URI.file(j.$kc(C($))).path:(y=j.$ec.dirname($.path),$.authority&&y.length&&y.charCodeAt(0)!==47&&(console.error(`dirname("${$.toString})) resulted in a relative path`),y="/")),$.with({path:y})}normalizePath($){if(!$.path.length)return $;let y;return $.scheme===N.Schemas.file?y=I.URI.file(j.$fc(C($))).path:y=j.$ec.normalize($.path),$.with({path:y})}relativePath($,y){if($.scheme!==y.scheme||!(0,e.$xg)($.authority,y.authority))return;if($.scheme===N.Schemas.file){const l=j.$jc(C($),C(y));return A.$i?O.$Pf(l):l}let d=$.path||"/";const u=y.path||"/";if(this.a($)){let l=0;for(const h=Math.min(d.length,u.length);l<h&&!(d.charCodeAt(l)!==u.charCodeAt(l)&&d.charAt(l).toLowerCase()!==u.charAt(l).toLowerCase());l++);d=u.substr(0,l)+d.substr(l)}return j.$ec.relative(d,u)}resolvePath($,y){if($.scheme===N.Schemas.file){const d=I.URI.file(j.$ic(C($),y));return $.with({authority:d.authority,path:d.path})}return y=O.$Qf(y),$.with({path:j.$ec.resolve($.path,y)})}isAbsolutePath($){return!!$.path&&$.path[0]==="/"}isEqualAuthority($,y){return $===y||$!==void 0&&y!==void 0&&(0,D.$Ze)($,y)}hasTrailingPathSeparator($,y=j.sep){if($.scheme===N.Schemas.file){const d=C($);return d.length>O.$Rf(d).length&&d[d.length-1]===y}else{const d=$.path;return d.length>1&&d.charCodeAt(d.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test($.fsPath)}}removeTrailingPathSeparator($,y=j.sep){return(0,e.$yg)($,y)?$.with({path:$.path.substr(0,$.path.length-1)}):$}addTrailingPathSeparator($,y=j.sep){let d=!1;if($.scheme===N.Schemas.file){const u=C($);d=u!==void 0&&u.length===O.$Rf(u).length&&u[u.length-1]===y}else{y="/";const u=$.path;d=u.length===1&&u.charCodeAt(u.length-1)===47}return!d&&!(0,e.$yg)($,y)?$.with({path:$.path+"/"}):$}}e.$hg=g,e.$ig=new g(()=>!1),e.$jg=new g(c=>c.scheme===N.Schemas.file?!A.$k:!0),e.$kg=new g(c=>!0),e.$lg=e.$ig.isEqual.bind(e.$ig),e.$mg=e.$ig.isEqualOrParent.bind(e.$ig),e.$ng=e.$ig.getComparisonKey.bind(e.$ig),e.$og=e.$ig.basenameOrAuthority.bind(e.$ig),e.$pg=e.$ig.basename.bind(e.$ig),e.$qg=e.$ig.extname.bind(e.$ig),e.$rg=e.$ig.dirname.bind(e.$ig),e.$sg=e.$ig.joinPath.bind(e.$ig),e.$tg=e.$ig.normalizePath.bind(e.$ig),e.$ug=e.$ig.relativePath.bind(e.$ig),e.$vg=e.$ig.resolvePath.bind(e.$ig),e.$wg=e.$ig.isAbsolutePath.bind(e.$ig),e.$xg=e.$ig.isEqualAuthority.bind(e.$ig),e.$yg=e.$ig.hasTrailingPathSeparator.bind(e.$ig),e.$zg=e.$ig.removeTrailingPathSeparator.bind(e.$ig),e.$Ag=e.$ig.addTrailingPathSeparator.bind(e.$ig);function P(c,$){const y=[];for(let d=0;d<c.length;d++){const u=$(c[d]);c.some((l,h)=>h===d?!1:(0,e.$mg)(u,$(l)))||y.push(c[d])}return y}e.$Bg=P;var E;(function(c){c.META_DATA_LABEL="label",c.META_DATA_DESCRIPTION="description",c.META_DATA_SIZE="size",c.META_DATA_MIME="mime";function $(y){const d=new Map;y.path.substring(y.path.indexOf(";")+1,y.path.lastIndexOf(";")).split(";").forEach(h=>{const[w,S]=h.split(":");w&&S&&d.set(w,S)});const l=y.path.substring(0,y.path.indexOf(";"));return l&&d.set(c.META_DATA_MIME,l),d}c.parseMetaData=$})(E||(e.DataUri=E={}));function m(c,$,y){if($){let d=c.path;return d&&d[0]!==j.$ec.sep&&(d=j.$ec.sep+d),c.with({scheme:y,authority:$,path:d})}return c.with({scheme:y})}e.$Cg=m}),define(oe[5],ae([0,1,26,8,3,2,21,6,130]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ch=e.$bh=e.$ah=e.Promises=e.$_g=e.$$g=e.$0g=e.$9g=e.$8g=e.$7g=e.$6g=e.$5g=e.$4g=e.$3g=e.$2g=e.$1g=e.$Zg=e.$Yg=e.$Xg=e.$Wg=e.$Vg=e.$Ug=e.$Tg=e.$Sg=e.$Rg=e.$Qg=e.$Pg=e.$Og=e.$Ng=e.$Mg=e.$Lg=e.$Kg=e.$Jg=e.$Ig=e.$Hg=e.$Gg=e.$Fg=e.$Eg=e.$Dg=void 0;function g(k){return!!k&&typeof k.then=="function"}e.$Dg=g;function P(k){const R=new O.$Vd,q=k(R.token),M=new Promise((J,Y)=>{const se=R.token.onCancellationRequested(()=>{se.dispose(),R.dispose(),Y(new N.$3)});Promise.resolve(q).then(le=>{se.dispose(),R.dispose(),J(le)},le=>{se.dispose(),R.dispose(),Y(le)})});return new class{cancel(){R.cancel()}then(J,Y){return M.then(J,Y)}catch(J){return this.then(void 0,J)}finally(J){return M.finally(J)}}}e.$Eg=P;function E(k,R,q){return new Promise((M,J)=>{const Y=R.onCancellationRequested(()=>{Y.dispose(),M(q)});k.then(M,J).finally(()=>Y.dispose())})}e.$Fg=E;function m(k,R){return new Promise((q,M)=>{const J=R.onCancellationRequested(()=>{J.dispose(),M(new N.$3)});k.then(q,M).finally(()=>J.dispose())})}e.$Gg=m;async function c(k){let R=-1;const q=k.map((M,J)=>M.then(Y=>(R=J,Y)));try{return await Promise.race(q)}finally{k.forEach((M,J)=>{J!==R&&M.cancel()})}}e.$Hg=c;function $(k,R,q){let M;const J=setTimeout(()=>{M?.(void 0),q?.()},R);return Promise.race([k.finally(()=>clearTimeout(J)),new Promise(Y=>M=Y)])}e.$Ig=$;function y(k){return new Promise((R,q)=>{const M=k();g(M)?M.then(R,q):R(M)})}e.$Jg=y;class d{constructor(){this.f=!1,this.a=null,this.b=null,this.d=null}queue(R){if(this.f)return Promise.reject(new Error("Throttler is disposed"));if(this.a){if(this.d=R,!this.b){const q=()=>{if(this.b=null,this.f)return;const M=this.queue(this.d);return this.d=null,M};this.b=new Promise(M=>{this.a.then(q,q).then(M)})}return new Promise((q,M)=>{this.b.then(q,M)})}return this.a=R(),new Promise((q,M)=>{this.a.then(J=>{this.a=null,q(J)},J=>{this.a=null,M(J)})})}dispose(){this.f=!0}}e.$Kg=d;class u{constructor(){this.a=Promise.resolve(null)}queue(R){return this.a=this.a.then(()=>R(),()=>R())}}e.$Lg=u;class l{constructor(){this.a=new Map}queue(R,q){const J=(this.a.get(R)??Promise.resolve()).catch(()=>{}).then(q).finally(()=>{this.a.get(R)===J&&this.a.delete(R)});return this.a.set(R,J),J}}e.$Mg=l;const h=(k,R)=>{let q=!0;const M=setTimeout(()=>{q=!1,R()},k);return{isTriggered:()=>q,dispose:()=>{clearTimeout(M),q=!1}}},w=k=>{let R=!0;return queueMicrotask(()=>{R&&(R=!1,k())}),{isTriggered:()=>R,dispose:()=>{R=!1}}};class S{constructor(R){this.defaultDelay=R,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(R,q=this.defaultDelay){this.g=R,this.h(),this.b||(this.b=new Promise((J,Y)=>{this.d=J,this.f=Y}).then(()=>{if(this.b=null,this.d=null,this.g){const J=this.g;return this.g=null,J()}}));const M=()=>{this.a=null,this.d?.(null)};return this.a=q===C.$Id?w(M):h(q,M),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new N.$3),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.$Ng=S;class t{constructor(R){this.a=new S(R),this.b=new d}trigger(R,q){return this.a.trigger(()=>this.b.queue(R),q)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose(),this.b.dispose()}}e.$Og=t;class a{constructor(){this.a=!1,this.b=new Promise((R,q)=>{this.d=R})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.$Pg=a;class n extends a{constructor(R){super(),this.f=setTimeout(()=>this.open(),R)}open(){clearTimeout(this.f),super.open()}}e.$Qg=n;function s(k,R){return R?new Promise((q,M)=>{const J=setTimeout(()=>{Y.dispose(),q()},k),Y=R.onCancellationRequested(()=>{clearTimeout(J),Y.dispose(),M(new N.$3)})}):P(q=>s(k,q))}e.$Rg=s;function i(k,R=0,q){const M=setTimeout(()=>{k(),q&&J.dispose()},R),J=(0,A.$Oc)(()=>{clearTimeout(M),q?.deleteAndLeak(J)});return q?.add(J),J}e.$Sg=i;function r(k){const R=[];let q=0;const M=k.length;function J(){return q<M?k[q++]():null}function Y(se){se!=null&&R.push(se);const le=J();return le?le.then(Y):Promise.resolve(R)}return Promise.resolve(null).then(Y)}e.$Tg=r;function o(k,R=M=>!!M,q=null){let M=0;const J=k.length,Y=()=>{if(M>=J)return Promise.resolve(q);const se=k[M++];return Promise.resolve(se()).then(ue=>R(ue)?Promise.resolve(ue):Y())};return Y()}e.$Ug=o;function v(k,R=M=>!!M,q=null){if(k.length===0)return Promise.resolve(q);let M=k.length;const J=()=>{M=-1;for(const Y of k)Y.cancel?.()};return new Promise((Y,se)=>{for(const le of k)le.then(ue=>{--M>=0&&R(ue)?(J(),Y(ue)):M===0&&Y(q)}).catch(ue=>{--M>=0&&(J(),se(ue))})})}e.$Vg=v;class p{constructor(R){this.a=0,this.d=R,this.f=[],this.b=0,this.g=new j.$Ld}get onDrained(){return this.g.event}get size(){return this.a}queue(R){return this.a++,new Promise((q,M)=>{this.f.push({factory:R,c:q,e:M}),this.h()})}h(){for(;this.f.length&&this.b<this.d;){const R=this.f.shift();this.b++;const q=R.factory();q.then(R.c,R.e),q.then(()=>this.j(),()=>this.j())}}j(){this.a--,this.b--,this.f.length>0?this.h():this.g.fire()}dispose(){this.g.dispose()}}e.$Wg=p;class f extends p{constructor(){super(1)}}e.$Xg=f;class b{constructor(){this.a=new Q,this.b=0}queue(R){return this.a.isRunning()?this.a.queue(()=>this.a.run(this.b++,R())):this.a.run(this.b++,R())}}e.$Yg=b;class L{constructor(){this.a=new Map,this.b=new Set,this.d=void 0,this.f=0}async whenDrained(){if(this.g())return;const R=new W;return this.b.add(R),R.p}g(){for(const[,R]of this.a)if(R.size>0)return!1;return!0}queueFor(R,q=D.$ig){const M=q.getComparisonKey(R);let J=this.a.get(M);if(!J){J=new f;const Y=this.f++,se=j.Event.once(J.onDrained)(()=>{J?.dispose(),this.a.delete(M),this.h(),this.d?.deleteAndDispose(Y),this.d?.size===0&&(this.d.dispose(),this.d=void 0)});this.d||(this.d=new A.$Yc),this.d.set(Y,se),this.a.set(M,J)}return J}h(){this.g()&&this.j()}j(){for(const R of this.b)R.complete();this.b.clear()}dispose(){for(const[,R]of this.a)R.dispose();this.a.clear(),this.j(),this.d?.dispose()}}e.$Zg=L;class F{constructor(R,q){this.a=-1,typeof R=="function"&&typeof q=="number"&&this.setIfNotSet(R,q)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(R,q){this.cancel(),this.a=setTimeout(()=>{this.a=-1,R()},q)}setIfNotSet(R,q){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,R()},q))}}e.$1g=F;class T{constructor(){this.a=-1}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearInterval(this.a),this.a=-1)}cancelAndSet(R,q){this.cancel(),this.a=setInterval(()=>{R()},q)}}e.$2g=T;class z{constructor(R,q){this.b=-1,this.a=R,this.d=q,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(R=this.d){this.cancel(),this.b=setTimeout(this.f,R)}get delay(){return this.d}set delay(R){this.d=R}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.$3g=z;class U{constructor(R,q){q%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${q}ms is not a multiple of 1000ms.`),this.a=R,this.b=q,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(R=this.b){R%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${R}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(R/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.$4g=U;class _ extends z{constructor(R,q){super(R,q),this.j=[]}work(R){this.j.push(R),this.isScheduled()||this.schedule()}h(){const R=this.j;this.j=[],this.a?.(R)}dispose(){this.j=[],super.dispose()}}e.$5g=_;class K extends A.$Qc{constructor(R,q){super(),this.g=R,this.h=q,this.a=[],this.b=this.B(new A.$Rc),this.f=!1}get pending(){return this.a.length}work(R){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+R.length>this.g.maxBufferedWork)return!1}else if(this.pending+R.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const q of R)this.a.push(q);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new z(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.$6g=K,function(){typeof requestIdleCallback!="function"||typeof cancelIdleCallback!="function"?e.$7g=k=>{(0,I.$A)(()=>{if(R)return;const q=Date.now()+15;k(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,q-Date.now())}}))});let R=!1;return{dispose(){R||(R=!0)}}}:e.$7g=(k,R)=>{const q=requestIdleCallback(k,typeof R=="number"?{timeout:R}:void 0);let M=!1;return{dispose(){M||(M=!0,cancelIdleCallback(q))}}}}();class Z{constructor(R){this.d=!1,this.a=()=>{try{this.f=R()}catch(q){this.g=q}finally{this.d=!0}},this.b=(0,e.$7g)(()=>this.a())}dispose(){this.b.dispose()}get value(){if(this.d||(this.b.dispose(),this.a()),this.g)throw this.g;return this.f}get isInitialized(){return this.d}}e.$8g=Z;async function G(k,R,q){let M;for(let J=0;J<q;J++)try{return await k()}catch(Y){M=Y,await s(R)}throw M}e.$9g=G;class Q{isRunning(R){return typeof R=="number"?this.a?.taskId===R:!!this.a}get running(){return this.a?.promise}cancelRunning(){this.a?.cancel()}run(R,q,M){return this.a={taskId:R,cancel:()=>M?.(),promise:q},q.then(()=>this.d(R),()=>this.d(R)),q}d(R){this.a&&R===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const R=this.b;this.b=void 0,R.run().then(R.promiseResolve,R.promiseReject)}}queue(R){if(this.b)this.b.run=R;else{let q,M;const J=new Promise((Y,se)=>{q=Y,M=se});this.b={run:R,promise:J,promiseResolve:q,promiseReject:M}}return this.b.promise}hasQueued(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.$0g=Q;class H{constructor(R,q=()=>Date.now()){this.d=R,this.f=q,this.a=0,this.b=0}increment(){const R=this.f();return R-this.a>this.d&&(this.a=R,this.b=0),this.b++,this.b}}e.$$g=H;var V;(function(k){k[k.Resolved=0]="Resolved",k[k.Rejected=1]="Rejected"})(V||(V={}));class W{get isRejected(){return this.d?.outcome===1}get isResolved(){return this.d?.outcome===0}get isSettled(){return!!this.d}get value(){return this.d?.outcome===0?this.d?.value:void 0}constructor(){this.p=new Promise((R,q)=>{this.a=R,this.b=q})}complete(R){return new Promise(q=>{this.a(R),this.d={outcome:0,value:R},q()})}error(R){return new Promise(q=>{this.b(R),this.d={outcome:1,value:R},q()})}cancel(){return this.error(new N.$3)}}e.$_g=W;var ee;(function(k){async function R(M){let J;const Y=await Promise.all(M.map(se=>se.then(le=>le,le=>{J||(J=le)})));if(typeof J<"u")throw J;return Y}k.settled=R;function q(M){return new Promise(async(J,Y)=>{try{await M(J,Y)}catch(se){Y(se)}})}k.withAsyncBody=q})(ee||(e.Promises=ee={}));var ne;(function(k){k[k.Initial=0]="Initial",k[k.DoneOK=1]="DoneOK",k[k.DoneError=2]="DoneError"})(ne||(ne={}));class re{static fromArray(R){return new re(q=>{q.emitMany(R)})}static fromPromise(R){return new re(async q=>{q.emitMany(await R)})}static fromPromises(R){return new re(async q=>{await Promise.all(R.map(async M=>q.emitOne(await M)))})}static merge(R){return new re(async q=>{await Promise.all(R.map(async M=>{for await(const J of M)q.emitOne(J)}))})}static{this.EMPTY=re.fromArray([])}constructor(R){this.a=0,this.b=[],this.d=null,this.f=new j.$Ld,queueMicrotask(async()=>{const q={emitOne:M=>this.g(M),emitMany:M=>this.h(M),reject:M=>this.k(M)};try{await Promise.resolve(R(q)),this.j()}catch(M){this.k(M)}finally{q.emitOne=void 0,q.emitMany=void 0,q.reject=void 0}})}[Symbol.asyncIterator](){let R=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(R<this.b.length)return{done:!1,value:this.b[R++]};if(this.a===1)return{done:!0,value:void 0};await j.Event.toPromise(this.f.event)}while(!0)}}}static map(R,q){return new re(async M=>{for await(const J of R)M.emitOne(q(J))})}map(R){return re.map(this,R)}static filter(R,q){return new re(async M=>{for await(const J of R)q(J)&&M.emitOne(J)})}filter(R){return re.filter(this,R)}static coalesce(R){return re.filter(R,q=>!!q)}coalesce(){return re.coalesce(this)}static async toPromise(R){const q=[];for await(const M of R)q.push(M);return q}toPromise(){return re.toPromise(this)}g(R){this.a===0&&(this.b.push(R),this.f.fire())}h(R){this.a===0&&(this.b=this.b.concat(R),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k(R){this.a===0&&(this.a=2,this.d=R,this.f.fire())}}e.$ah=re;class X extends re{constructor(R,q){super(q),this.l=R}cancel(){this.l.cancel()}}e.$bh=X;function B(k){const R=new O.$Vd,q=k(R.token);return new X(R,async M=>{const J=R.token.onCancellationRequested(()=>{J.dispose(),R.dispose(),M.reject(new N.$3)});try{for await(const Y of q){if(R.token.isCancellationRequested)return;M.emitOne(Y)}J.dispose(),R.dispose()}catch(Y){J.dispose(),R.dispose(),M.reject(Y)}})}e.$ch=B}),define(oe[91],ae([0,1,18,5,48,34,16,6,27]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wj=e.$vj=e.$uj=e.$tj=e.$sj=e.$rj=e.$qj=e.$pj=e.$oj=e.$nj=void 0;function g(){return Object.create(null)}e.$nj=g,e.$oj="**",e.$pj="/";const P="[/\\\\]",E="[^/\\\\]",m=/\//g;function c(Q,H){switch(Q){case 0:return"";case 1:return`${E}*?`;default:return`(?:${P}|${E}+${P}${H?`|${P}${E}+`:""})*?`}}function $(Q,H){if(!Q)return[];const V=[];let W=!1,ee=!1,ne="";for(const re of Q){switch(re){case H:if(!W&&!ee){V.push(ne),ne="";continue}break;case"{":W=!0;break;case"}":W=!1;break;case"[":ee=!0;break;case"]":ee=!1;break}ne+=re}return ne&&V.push(ne),V}e.$qj=$;function y(Q){if(!Q)return"";let H="";const V=$(Q,e.$pj);if(V.every(W=>W===e.$oj))H=".*";else{let W=!1;V.forEach((ee,ne)=>{if(ee===e.$oj){if(W)return;H+=c(2,ne===V.length-1)}else{let re=!1,X="",B=!1,k="";for(const R of ee){if(R!=="}"&&re){X+=R;continue}if(B&&(R!=="]"||!k)){let q;R==="-"?q=R:(R==="^"||R==="!")&&!k?q="^":R===e.$pj?q="":q=(0,C.$De)(R),k+=q;continue}switch(R){case"{":re=!0;continue;case"[":B=!0;continue;case"}":{const M=`(?:${$(X,",").map(J=>y(J)).join("|")})`;H+=M,re=!1,X="";break}case"]":{H+="["+k+"]",B=!1,k="";break}case"?":H+=E;continue;case"*":H+=c(1);continue;default:H+=(0,C.$De)(R)}}ne<V.length-1&&(V[ne+1]!==e.$oj||ne+2<V.length)&&(H+=P)}W=ee===e.$oj})}return H}const d=/^\*\*\/\*\.[\w\.-]+$/,u=/^\*\*\/([\w\.-]+)\/?$/,l=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,h=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,w=/^\*\*((\/[\w\.-]+)+)\/?$/,S=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new A.$Bc(1e4),a=function(){return!1},n=function(){return null};function s(Q,H){if(!Q)return n;let V;typeof Q!="string"?V=Q.pattern:V=Q,V=V.trim();const W=`${V}_${!!H.trimForExclusions}`;let ee=t.get(W);if(ee)return i(ee,Q);let ne;return d.test(V)?ee=o(V.substr(4),V):(ne=u.exec(r(V,H)))?ee=v(ne[1],V):(H.trimForExclusions?h:l).test(V)?ee=p(V,H):(ne=w.exec(r(V,H)))?ee=f(ne[1].substr(1),V,!0):(ne=S.exec(r(V,H)))?ee=f(ne[1],V,!1):ee=b(V),t.set(W,ee),i(ee,Q)}function i(Q,H){if(typeof H=="string")return Q;const V=function(W,ee){return(0,j.$Vf)(W,H.base,!I.$k)?Q((0,C.$He)(W.substr(H.base.length),D.sep),ee):null};return V.allBasenames=Q.allBasenames,V.allPaths=Q.allPaths,V.basenames=Q.basenames,V.patterns=Q.patterns,V}function r(Q,H){return H.trimForExclusions&&Q.endsWith("/**")?Q.substr(0,Q.length-2):Q}function o(Q,H){return function(V,W){return typeof V=="string"&&V.endsWith(Q)?H:null}}function v(Q,H){const V=`/${Q}`,W=`\\${Q}`,ee=function(re,X){return typeof re!="string"?null:X?X===Q?H:null:re===Q||re.endsWith(V)||re.endsWith(W)?H:null},ne=[Q];return ee.basenames=ne,ee.patterns=[H],ee.allBasenames=ne,ee}function p(Q,H){const V=Z(Q.slice(1,-1).split(",").map(X=>s(X,H)).filter(X=>X!==n),Q),W=V.length;if(!W)return n;if(W===1)return V[0];const ee=function(X,B){for(let k=0,R=V.length;k<R;k++)if(V[k](X,B))return Q;return null},ne=V.find(X=>!!X.allBasenames);ne&&(ee.allBasenames=ne.allBasenames);const re=V.reduce((X,B)=>B.allPaths?X.concat(B.allPaths):X,[]);return re.length&&(ee.allPaths=re),ee}function f(Q,H,V){const W=D.sep===D.$ec.sep,ee=W?Q:Q.replace(m,D.sep),ne=D.sep+ee,re=D.$ec.sep+Q;let X;return V?X=function(B,k){return typeof B=="string"&&(B===ee||B.endsWith(ne)||!W&&(B===Q||B.endsWith(re)))?H:null}:X=function(B,k){return typeof B=="string"&&(B===ee||!W&&B===Q)?H:null},X.allPaths=[(V?"*/":"./")+Q],X}function b(Q){try{const H=new RegExp(`^${y(Q)}$`);return function(V){return H.lastIndex=0,typeof V=="string"&&H.test(V)?Q:null}}catch{return n}}function L(Q,H,V){return!Q||typeof H!="string"?!1:F(Q)(H,void 0,V)}e.$rj=L;function F(Q,H={}){if(!Q)return a;if(typeof Q=="string"||T(Q)){const V=s(Q,H);if(V===n)return a;const W=function(ee,ne){return!!V(ee,ne)};return V.allBasenames&&(W.allBasenames=V.allBasenames),V.allPaths&&(W.allPaths=V.allPaths),W}return _(Q,H)}e.$sj=F;function T(Q){const H=Q;return H?typeof H.base=="string"&&typeof H.pattern=="string":!1}e.$tj=T;function z(Q){return Q.allBasenames||[]}e.$uj=z;function U(Q){return Q.allPaths||[]}e.$vj=U;function _(Q,H){const V=Z(Object.getOwnPropertyNames(Q).map(X=>K(X,Q[X],H)).filter(X=>X!==n)),W=V.length;if(!W)return n;if(!V.some(X=>!!X.requiresSiblings)){if(W===1)return V[0];const X=function(R,q){let M;for(let J=0,Y=V.length;J<Y;J++){const se=V[J](R,q);if(typeof se=="string")return se;(0,N.$Dg)(se)&&(M||(M=[]),M.push(se))}return M?(async()=>{for(const J of M){const Y=await J;if(typeof Y=="string")return Y}return null})():null},B=V.find(R=>!!R.allBasenames);B&&(X.allBasenames=B.allBasenames);const k=V.reduce((R,q)=>q.allPaths?R.concat(q.allPaths):R,[]);return k.length&&(X.allPaths=k),X}const ee=function(X,B,k){let R,q;for(let M=0,J=V.length;M<J;M++){const Y=V[M];Y.requiresSiblings&&k&&(B||(B=(0,D.$lc)(X)),R||(R=B.substr(0,B.length-(0,D.$mc)(X).length)));const se=Y(X,B,R,k);if(typeof se=="string")return se;(0,N.$Dg)(se)&&(q||(q=[]),q.push(se))}return q?(async()=>{for(const M of q){const J=await M;if(typeof J=="string")return J}return null})():null},ne=V.find(X=>!!X.allBasenames);ne&&(ee.allBasenames=ne.allBasenames);const re=V.reduce((X,B)=>B.allPaths?X.concat(B.allPaths):X,[]);return re.length&&(ee.allPaths=re),ee}function K(Q,H,V){if(H===!1)return n;const W=s(Q,V);if(W===n)return n;if(typeof H=="boolean")return W;if(H){const ee=H.when;if(typeof ee=="string"){const ne=(re,X,B,k)=>{if(!k||!W(re,X))return null;const R=ee.replace("$(basename)",()=>B),q=k(R);return(0,N.$Dg)(q)?q.then(M=>M?Q:null):q?Q:null};return ne.requiresSiblings=!0,ne}}return W}function Z(Q,H){const V=Q.filter(X=>!!X.basenames);if(V.length<2)return Q;const W=V.reduce((X,B)=>{const k=B.basenames;return k?X.concat(k):X},[]);let ee;if(H){ee=[];for(let X=0,B=W.length;X<B;X++)ee.push(H)}else ee=V.reduce((X,B)=>{const k=B.patterns;return k?X.concat(k):X},[]);const ne=function(X,B){if(typeof X!="string")return null;if(!B){let R;for(R=X.length;R>0;R--){const q=X.charCodeAt(R-1);if(q===47||q===92)break}B=X.substr(R)}const k=W.indexOf(B);return k!==-1?ee[k]:null};ne.basenames=W,ne.patterns=ee,ne.allBasenames=W;const re=Q.filter(X=>!X.basenames);return re.push(ne),re}function G(Q,H){return(0,O.$sb)(Q,H,(V,W)=>typeof V=="string"&&typeof W=="string"?V===W:typeof V!="string"&&typeof W!="string"?V.base===W.base&&V.pattern===W.pattern:!1)}e.$wj=G}),define(oe[92],ae([0,1,15,10]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gm=e.$Fm=e.$Em=e.$Dm=e.$Cm=void 0;function j(E){return E.toJSON()}class A{constructor(m){this.a=m}transformIncoming(m){const c=this.a.transformIncoming(m);return c===m?m:j(N.URI.from(c))}transformOutgoing(m){const c=this.a.transformOutgoing(m);return c===m?m:j(N.URI.from(c))}transformOutgoingURI(m){const c=this.a.transformOutgoing(m);return c===m?m:N.URI.from(c)}transformOutgoingScheme(m){return this.a.transformOutgoingScheme(m)}}e.$Cm=A,e.$Dm=new class{transformIncoming(E){return E}transformOutgoing(E){return E}transformOutgoingURI(E){return E}transformOutgoingScheme(E){return E}};function D(E,m,c){if(!E||c>200)return null;if(typeof E=="object"){if(E instanceof N.URI)return m.transformOutgoing(E);for(const $ in E)if(Object.hasOwnProperty.call(E,$)){const y=D(E[$],m,c+1);y!==null&&(E[$]=y)}}return null}function I(E,m){const c=D(E,m,0);return c===null?E:c}e.$Em=I;function C(E,m,c,$){if(!E||$>200)return null;if(typeof E=="object"){if(E.$mid===1)return c?N.URI.revive(m.transformIncoming(E)):m.transformIncoming(E);if(E instanceof O.$_d)return null;for(const y in E)if(Object.hasOwnProperty.call(E,y)){const d=C(E[y],m,c,$+1);d!==null&&(E[y]=d)}}return null}function g(E,m){const c=C(E,m,!1,0);return c===null?E:c}e.$Fm=g;function P(E,m){const c=C(E,m,!0,0);return c===null?E:c}e.$Gm=P}),define(oe[31],ae([0,1,52,36,269,5,48,88,16,6,21,10]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var m;(function(K){K[K.UNLINK=0]="UNLINK",K[K.MOVE=1]="MOVE"})(m||(e.RimRafMode=m={}));async function c(K,Z=m.UNLINK,G){if((0,D.$Yf)(K))throw new Error("rimraf - will refuse to recursively delete root");return Z===m.UNLINK?y(K):$(K,G)}async function $(K,Z=(0,D.$4f)((0,N.tmpdir)())){try{try{await O.promises.rename(K,Z)}catch(G){return G.code==="ENOENT"?void 0:y(K)}y(Z).catch(G=>{})}catch(G){if(G.code!=="ENOENT")throw G}}async function y(K){return(0,j.promisify)(O.rm)(K,{recursive:!0,force:!0,maxRetries:3})}function d(K){if((0,D.$Yf)(K))throw new Error("rimraf - will refuse to recursively delete root");O.rmSync(K,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=d;async function u(K,Z){return w(await(Z?l(K):(0,j.promisify)(O.readdir)(K)))}async function l(K){try{return await(0,j.promisify)(O.readdir)(K,{withFileTypes:!0})}catch(Q){console.warn("[node.js fs] readdir with filetypes failed with error: ",Q)}const Z=[],G=await u(K);for(const Q of G){let H=!1,V=!1,W=!1;try{const ee=await e.Promises.lstat((0,C.$hc)(K,Q));H=ee.isFile(),V=ee.isDirectory(),W=ee.isSymbolicLink()}catch(ee){console.warn("[node.js fs] unexpected error from lstat after readdir: ",ee)}Z.push({name:Q,isFile:()=>H,isDirectory:()=>V,isSymbolicLink:()=>W})}return Z}function h(K){return w(O.readdirSync(K))}e.readdirSync=h;function w(K){return K.map(Z=>typeof Z=="string"?g.$j?(0,I.$il)(Z):Z:(Z.name=g.$j?(0,I.$il)(Z.name):Z.name,Z))}async function S(K){const Z=await u(K),G=[];for(const Q of Z)await a.existsDirectory((0,C.$hc)(K,Q))&&G.push(Q);return G}function t(K,Z=1e3){return new Promise(G=>{let Q=!1;const H=setInterval(()=>{Q||(Q=!0,O.access(K,V=>{Q=!1,V&&(clearInterval(H),G(void 0))}))},Z)})}e.whenDeleted=t;var a;(function(K){async function Z(H){let V;try{if(V=await e.Promises.lstat(H),!V.isSymbolicLink())return{stat:V}}catch{}try{return{stat:await e.Promises.stat(H),symbolicLink:V?.isSymbolicLink()?{dangling:!1}:void 0}}catch(W){if(W.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};if(g.$i&&W.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(H)),symbolicLink:{dangling:!1}}}catch(ee){if(ee.code==="ENOENT"&&V)return{stat:V,symbolicLink:{dangling:!0}};throw ee}throw W}}K.stat=Z;async function G(H){try{const{stat:V,symbolicLink:W}=await K.stat(H);return V.isFile()&&W?.dangling!==!0}catch{}return!1}K.existsFile=G;async function Q(H){try{const{stat:V,symbolicLink:W}=await K.stat(H);return V.isDirectory()&&W?.dangling!==!0}catch{}return!1}K.existsDirectory=Q})(a||(e.SymlinkSupport=a={}));const n=new A.$Zg;function s(K,Z,G){return n.queueFor(E.URI.file(K),P.$jg).queue(()=>{const Q=p(G);return new Promise((H,V)=>o(K,Z,Q,W=>W?V(W):H()))})}let i=!0;function r(K){i=K}e.configureFlushOnWrite=r;function o(K,Z,G,Q){if(!i)return O.writeFile(K,Z,{mode:G.mode,flag:G.flag},Q);O.open(K,G.flag,G.mode,(H,V)=>{if(H)return Q(H);O.writeFile(V,Z,W=>{if(W)return O.close(V,()=>Q(W));O.fdatasync(V,ee=>(ee&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",ee),r(!1)),O.close(V,ne=>Q(ne))))})})}function v(K,Z,G){const Q=p(G);if(!i)return O.writeFileSync(K,Z,{mode:Q.mode,flag:Q.flag});const H=O.openSync(K,Q.flag,Q.mode);try{O.writeFileSync(H,Z);try{O.fdatasyncSync(H)}catch(V){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",V),r(!1)}}finally{O.closeSync(H)}}e.writeFileSync=v;function p(K){return K?{mode:typeof K.mode=="number"?K.mode:438,flag:typeof K.flag=="string"?K.flag:"w"}:{mode:438,flag:"w"}}async function f(K,Z,G=6e4){if(K!==Z)try{g.$i&&typeof G=="number"?await b(K,Z,Date.now(),G):await(0,j.promisify)(O.rename)(K,Z)}catch(Q){if(K.toLowerCase()!==Z.toLowerCase()&&Q.code==="EXDEV"||K.endsWith("."))await L(K,Z,{preserveSymlinks:!1}),await c(K,m.MOVE);else throw Q}}async function b(K,Z,G,Q,H=0){try{return await(0,j.promisify)(O.rename)(K,Z)}catch(V){if(V.code!=="EACCES"&&V.code!=="EPERM"&&V.code!=="EBUSY")throw V;if(Date.now()-G>=Q)throw console.error(`[node.js fs] rename failed after ${H} retries with error: ${V}`),V;if(H===0){let W=!1;try{const{stat:ee}=await a.stat(Z);ee.isFile()||(W=!0)}catch{}if(W)throw V}return await(0,A.$Rg)(Math.min(100,H*10)),b(K,Z,G,Q,H+1)}}async function L(K,Z,G){return T(K,Z,{root:{source:K,target:Z},options:G,handledSourcePaths:new Set})}const F=511;async function T(K,Z,G){if(G.handledSourcePaths.has(K))return;G.handledSourcePaths.add(K);const{stat:Q,symbolicLink:H}=await a.stat(K);if(H){if(G.options.preserveSymlinks)try{return await _(K,Z,G)}catch(V){console.warn("[node.js fs] copy of symlink failed: ",V)}if(H.dangling)return}return Q.isDirectory()?z(K,Z,Q.mode&F,G):U(K,Z,Q.mode&F)}async function z(K,Z,G,Q){await e.Promises.mkdir(Z,{recursive:!0,mode:G});const H=await u(K);for(const V of H)await T((0,C.$hc)(K,V),(0,C.$hc)(Z,V),Q)}async function U(K,Z,G){await e.Promises.copyFile(K,Z),await e.Promises.chmod(Z,G)}async function _(K,Z,G){let Q=await e.Promises.readlink(K);(0,D.$Vf)(Q,G.root.source,!g.$k)&&(Q=(0,C.$hc)(G.root.target,Q.substr(G.root.source.length+1))),await e.Promises.symlink(Q,Z)}e.Promises=new class{get access(){return(0,j.promisify)(O.access)}get stat(){return(0,j.promisify)(O.stat)}get lstat(){return(0,j.promisify)(O.lstat)}get utimes(){return(0,j.promisify)(O.utimes)}get read(){return(K,Z,G,Q,H)=>new Promise((V,W)=>{O.read(K,Z,G,Q,H,(ee,ne,re)=>ee?W(ee):V({bytesRead:ne,buffer:re}))})}get readFile(){return(0,j.promisify)(O.readFile)}get write(){return(K,Z,G,Q,H)=>new Promise((V,W)=>{O.write(K,Z,G,Q,H,(ee,ne,re)=>ee?W(ee):V({bytesWritten:ne,buffer:re}))})}get appendFile(){return(0,j.promisify)(O.appendFile)}get fdatasync(){return(0,j.promisify)(O.fdatasync)}get truncate(){return(0,j.promisify)(O.truncate)}get copyFile(){return(0,j.promisify)(O.copyFile)}get open(){return(0,j.promisify)(O.open)}get close(){return(0,j.promisify)(O.close)}get symlink(){return(0,j.promisify)(O.symlink)}get readlink(){return(0,j.promisify)(O.readlink)}get chmod(){return(0,j.promisify)(O.chmod)}get mkdir(){return(0,j.promisify)(O.mkdir)}get unlink(){return(0,j.promisify)(O.unlink)}get rmdir(){return(0,j.promisify)(O.rmdir)}get realpath(){return(0,j.promisify)(O.realpath)}async exists(K){try{return await e.Promises.access(K),!0}catch{return!1}}get readdir(){return u}get readDirsInDir(){return S}get writeFile(){return s}get rm(){return c}get rename(){return f}get copy(){return L}}}),define(oe[144],ae([0,1,52,16,6,27,31]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Yp=e.$Xp=e.$Wp=e.$Vp=void 0;function I(m){if(j.$k)return m;const c=(0,N.$kc)(m);if(m===c)return m;const $=((0,N.$lc)(m)||m).toLowerCase();try{const d=(0,D.readdirSync)(c).filter(u=>u.toLowerCase()===$);if(d.length===1){const u=I(c);if(u)return(0,N.$hc)(u,d[0])}else if(d.length>1){const u=d.indexOf($);if(u>=0){const l=I(c);if(l)return(0,N.$hc)(l,d[u])}}}catch{}return null}e.$Vp=I;async function C(m){if(j.$k)return m;const c=(0,N.$kc)(m);if(m===c)return m;const $=((0,N.$lc)(m)||m).toLowerCase();try{const d=(await D.Promises.readdir(c)).filter(u=>u.toLowerCase()===$);if(d.length===1){const u=await C(c);if(u)return(0,N.$hc)(u,d[0])}else if(d.length>1){const u=d.indexOf($);if(u>=0){const l=await C(c);if(l)return(0,N.$hc)(l,d[u])}}}catch{}return null}e.$Wp=C;async function g(m){try{return await D.Promises.realpath(m)}catch{const $=E(m);return await D.Promises.access($,O.constants.R_OK),$}}e.$Xp=g;function P(m){try{return O.realpathSync(m)}catch{const $=E(m);return O.accessSync($,O.constants.R_OK),$}}e.$Yp=P;function E(m){return(0,A.$Ie)((0,N.$fc)(m),N.sep)}}),define(oe[145],ae([0,1,16,6,37,90,12,31]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.$wl=e.$vl=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return A.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return A.TerminateResponseCode}});function C(E=j.env){return E.comspec||"cmd.exe"}e.$vl=C;function g(E){let m=[],c=!1;const $=function(y){if(c){m.push(y);return}(!E.send(y,u=>{if(u&&console.error(u),c=!1,m.length>0){const l=m.slice(0);m=[],l.forEach(h=>$(h))}})||N.$i)&&(c=!0)};return{send:$}}e.$wl=g;var P;(function(E){async function m(c,$,y){if(O.$gc(c))return c;if($===void 0&&($=j.cwd()),O.$kc(c)!=="."||(y===void 0&&D.$wf(j.env.PATH)&&(y=j.env.PATH.split(O.$rc)),y===void 0||y.length===0))return O.$hc($,c);async function u(l){if(await I.Promises.exists(l)){let h;try{h=await I.Promises.stat(l)}catch(w){w.message.startsWith("EACCES")&&(h=await I.Promises.lstat(l))}return h?!h.isDirectory():!1}return!1}for(const l of y){let h;if(O.$gc(l)?h=O.$hc(l,c):h=O.$hc($,l,c),await u(h))return h;let w=h+".com";if(await u(w)||(w=h+".exe",await u(w)))return w}return O.$hc($,c)}E.findExecutable=m})(P||(e.win32=P={}))}),define(oe[146],ae([0,1,64,23]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tr=void 0;function j(D){return new Promise((I,C)=>{let g;const P=new Map;function E(c,$,y,d,u){const l=P.get($);if(c===D||l){const h={name:m(y),cmd:y,pid:c,ppid:$,load:d,mem:u};P.set(c,h),c===D&&(g=h),l&&(l.children||(l.children=[]),l.children.push(h),l.children.length>1&&(l.children=l.children.sort((w,S)=>w.pid-S.pid)))}}function m(c){const $=/--utility-sub-type=network/i,y=/--ms-enable-electron-run-as-node/i,d=/--crashes-directory/i,u=/\\pipe\\winpty-control/i,l=/conhost\.exe.+--headless/i,h=/--type=([a-zA-Z-]+)/;if(d.exec(c))return"electron-crash-reporter";if(u.exec(c))return"winpty-agent";if(l.exec(c))return"conpty-agent";let w=h.exec(c);if(w&&w.length===2)return w[1]==="renderer"?"window":w[1]==="utility"?$.exec(c)?"utility-network-service":"utility-process":w[1]==="extensionHost"?"extension-host":w[1];const S=/[a-zA-Z-]+\.js/g;let t="";do w=S.exec(c),w&&(t+=w+" ");while(w);return t&&c.indexOf("node ")<0&&c.indexOf("node.exe")<0?`electron-nodejs (${t})`:y.exec(c)?`electron-nodejs (${c})`:c}if(process.platform==="win32"){const c=$=>$.indexOf("\\\\?\\")===0||$.indexOf("\\??\\")===0?$.substring(4):$.indexOf('"\\\\?\\')===0||$.indexOf('"\\??\\')===0?'"'+$.substring(5):$;new Promise(($,y)=>{te(["@vscode/windows-process-tree"],$,y)}).then($=>{$.getProcessList(D,y=>{if(!y){C(new Error(`Root process ${D} not found`));return}$.getProcessCpuUsage(y,d=>{const u=new Map;d.forEach(l=>{const h=c(l.commandLine||"");u.set(l.pid,{name:m(h),cmd:h,pid:l.pid,ppid:l.ppid,load:l.cpu||0,mem:l.memory||0})}),g=u.get(D),g?(u.forEach(l=>{const h=u.get(l.ppid);h&&(h.children||(h.children=[]),h.children.push(l))}),u.forEach(l=>{l.children&&(l.children=l.children.sort((h,w)=>h.pid-w.pid))}),I(g)):C(new Error(`Root process ${D} not found`))})},$.ProcessDataFlag.CommandLine|$.ProcessDataFlag.Memory)})}else{let c=function(){let $=[g];const y=[];for(;$.length;){const u=$.shift();u&&(y.push(u.pid),u.children&&($=$.concat(u.children)))}let d=JSON.stringify(N.$_f.asFileUri("vs/base/node/cpuUsage.sh").fsPath);d+=" "+y.join(" "),(0,O.exec)(d,{},(u,l,h)=>{if(u||h)C(u||new Error(h.toString()));else{const w=l.toString().split(`
`);for(let S=0;S<y.length;S++){const t=P.get(y[S]);t.load=parseFloat(w[S])}if(!g){C(new Error(`Root process ${D} not found`));return}I(g)}})};(0,O.exec)("which ps",{},($,y,d)=>{if($||d)if(process.platform!=="linux")C($||new Error(d.toString()));else{const u=JSON.stringify(N.$_f.asFileUri("vs/base/node/ps.sh").fsPath);(0,O.exec)(u,{},(l,h,w)=>{l||w?C(l||new Error(w.toString())):(A(h,E),c())})}else{const u=y.toString().trim(),l="-ax -o pid=,ppid=,pcpu=,pmem=,command=";(0,O.exec)(`${u} ${l}`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(h,w,S)=>{h||S&&!S.includes("screen size is bogus")?C(h||new Error(S.toString())):(A(w,E),process.platform==="linux"?c():g?I(g):C(new Error(`Root process ${D} not found`)))})}})}})}e.$tr=j;function A(D,I){const C=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,g=D.toString().split(`
`);for(const P of g){const E=C.exec(P.trim());E&&E.length===6&&I(parseInt(E[1]),parseInt(E[2]),E[5],parseFloat(E[3]),parseFloat(E[4]))}}});var ye=this&&this.__decorate||function(te,e,O,N){var j=arguments.length,A=j<3?e:N===null?N=Object.getOwnPropertyDescriptor(e,O):N,D;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")A=Reflect.decorate(te,e,O,N);else for(var I=te.length-1;I>=0;I--)(D=te[I])&&(A=(j<3?D(A):j>3?D(e,O,A):D(e,O))||A);return j>3&&A&&Object.defineProperty(e,O,A),A};define(oe[42],ae([0,1,18,5,15,26,83,8,3,2,63,27,12]),function(te,e,O,N,j,A,D,I,C,g,P,E,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uh=e.ProxyChannel=e.$th=e.$sh=e.$rh=e.$qh=e.$ph=e.$oh=e.RequestInitiator=e.$nh=e.$mh=e.$lh=e.$kh=e.$jh=void 0;var c;(function(H){H[H.Promise=100]="Promise",H[H.PromiseCancel=101]="PromiseCancel",H[H.EventListen=102]="EventListen",H[H.EventDispose=103]="EventDispose"})(c||(c={}));function $(H){switch(H){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var y;(function(H){H[H.Initialize=200]="Initialize",H[H.PromiseSuccess=201]="PromiseSuccess",H[H.PromiseError=202]="PromiseError",H[H.PromiseErrorObj=203]="PromiseErrorObj",H[H.EventFire=204]="EventFire"})(y||(y={}));function d(H){switch(H){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var u;(function(H){H[H.Uninitialized=0]="Uninitialized",H[H.Idle=1]="Idle"})(u||(u={}));function l(H){let V=0;for(let W=0;;W+=7){const ee=H.read(1);if(V|=(ee.buffer[0]&127)<<W,!(ee.buffer[0]&128))return V}}const h=n(0);function w(H,V){if(V===0){H.write(h);return}let W=0;for(let ne=V;ne!==0;ne=ne>>>7)W++;const ee=j.$_d.alloc(W);for(let ne=0;V!==0;ne++)ee.buffer[ne]=V&127,V=V>>>7,V>0&&(ee.buffer[ne]|=128);H.write(ee)}class S{constructor(V){this.b=V,this.a=0}read(V){const W=this.b.slice(this.a,this.a+V);return this.a+=W.byteLength,W}}e.$jh=S;class t{constructor(){this.a=[]}get buffer(){return j.$_d.concat(this.a)}write(V){this.a.push(V)}}e.$kh=t;var a;(function(H){H[H.Undefined=0]="Undefined",H[H.String=1]="String",H[H.Buffer=2]="Buffer",H[H.VSBuffer=3]="VSBuffer",H[H.Array=4]="Array",H[H.Object=5]="Object",H[H.Int=6]="Int"})(a||(a={}));function n(H){const V=j.$_d.alloc(1);return V.writeUInt8(H,0),V}const s={Undefined:n(a.Undefined),String:n(a.String),Buffer:n(a.Buffer),VSBuffer:n(a.VSBuffer),Array:n(a.Array),Object:n(a.Object),Uint:n(a.Int)},i=typeof Buffer<"u";function r(H,V){if(typeof V>"u")H.write(s.Undefined);else if(typeof V=="string"){const W=j.$_d.fromString(V);H.write(s.String),w(H,W.byteLength),H.write(W)}else if(i&&Buffer.isBuffer(V)){const W=j.$_d.wrap(V);H.write(s.Buffer),w(H,W.byteLength),H.write(W)}else if(V instanceof j.$_d)H.write(s.VSBuffer),w(H,V.byteLength),H.write(V);else if(Array.isArray(V)){H.write(s.Array),w(H,V.length);for(const W of V)r(H,W)}else if(typeof V=="number"&&(V|0)===V)H.write(s.Uint),w(H,V);else{const W=j.$_d.fromString(JSON.stringify(V));H.write(s.Object),w(H,W.byteLength),H.write(W)}}e.$lh=r;function o(H){switch(H.read(1).readUInt8(0)){case a.Undefined:return;case a.String:return H.read(l(H)).toString();case a.Buffer:return H.read(l(H)).buffer;case a.VSBuffer:return H.read(l(H));case a.Array:{const W=l(H),ee=[];for(let ne=0;ne<W;ne++)ee.push(o(H));return ee}case a.Object:return JSON.parse(H.read(l(H)).toString());case a.Int:return l(H)}}e.$mh=o;class v{constructor(V,W,ee=null,ne=1e3){this.h=V,this.j=W,this.k=ee,this.l=ne,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(re=>this.q(re)),this.m({type:200})}registerChannel(V,W){this.b.set(V,W),setTimeout(()=>this.w(V),0)}m(V){switch(V.type){case 200:{const W=this.o([V.type]);this.k?.logOutgoing(W,0,1,d(V.type));return}case 201:case 202:case 204:case 203:{const W=this.o([V.type,V.id],V.data);this.k?.logOutgoing(W,V.id,1,d(V.type),V.data);return}}}o(V,W=void 0){const ee=new t;return r(ee,V),r(ee,W),this.p(ee.buffer)}p(V){try{return this.h.send(V),V.byteLength}catch{return 0}}q(V){const W=new S(V),ee=o(W),ne=o(W),re=ee[0];switch(re){case 100:return this.k?.logIncoming(V.byteLength,ee[1],1,`${$(re)}: ${ee[2]}.${ee[3]}`,ne),this.s({type:re,id:ee[1],channelName:ee[2],name:ee[3],arg:ne});case 102:return this.k?.logIncoming(V.byteLength,ee[1],1,`${$(re)}: ${ee[2]}.${ee[3]}`,ne),this.t({type:re,id:ee[1],channelName:ee[2],name:ee[3],arg:ne});case 101:return this.k?.logIncoming(V.byteLength,ee[1],1,`${$(re)}`),this.u({type:re,id:ee[1]});case 103:return this.k?.logIncoming(V.byteLength,ee[1],1,`${$(re)}`),this.u({type:re,id:ee[1]})}}s(V){const W=this.b.get(V.channelName);if(!W){this.v(V);return}const ee=new A.$Vd;let ne;try{ne=W.call(this.j,V.name,V.arg,ee.token)}catch(B){ne=Promise.reject(B)}const re=V.id;ne.then(B=>{this.m({id:re,data:B,type:201})},B=>{B instanceof Error?this.m({id:re,data:{message:B.message,name:B.name,stack:B.stack?B.stack.split?B.stack.split(`
`):B.stack:void 0},type:202}):this.m({id:re,data:B,type:203})}).finally(()=>{X.dispose(),this.d.delete(V.id)});const X=(0,g.$Oc)(()=>ee.cancel());this.d.set(V.id,X)}t(V){const W=this.b.get(V.channelName);if(!W){this.v(V);return}const ee=V.id,re=W.listen(this.j,V.name,V.arg)(X=>this.m({id:ee,data:X,type:204}));this.d.set(V.id,re)}u(V){const W=this.d.get(V.id);W&&(W.dispose(),this.d.delete(V.id))}v(V){let W=this.g.get(V.channelName);W||(W=[],this.g.set(V.channelName,W));const ee=setTimeout(()=>{console.error(`Unknown channel: ${V.channelName}`),V.type===100&&this.m({id:V.id,data:{name:"Unknown channel",message:`Channel name '${V.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);W.push({request:V,timeoutTimer:ee})}w(V){const W=this.g.get(V);if(W){for(const ee of W)switch(clearTimeout(ee.timeoutTimer),ee.request.type){case 100:this.s(ee.request);break;case 102:this.t(ee.request);break}this.g.delete(V)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,g.$Lc)(this.d.values()),this.d.clear()}}e.$nh=v;var p;(function(H){H[H.LocalSide=0]="LocalSide",H[H.OtherSide=1]="OtherSide"})(p||(e.RequestInitiator=p={}));class f{constructor(V,W=null){this.l=V,this.a=!1,this.b=u.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new C.$Ld,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(ee=>this.s(ee)),this.j=W}getChannel(V){const W=this;return{call(ee,ne,re){return W.a?Promise.reject(new I.$3):W.m(V,ee,ne,re)},listen(ee,ne){return W.a?C.Event.None:W.o(V,ee,ne)}}}m(V,W,ee,ne=A.CancellationToken.None){const re=this.g++,B={id:re,type:100,channelName:V,name:W,arg:ee};if(ne.isCancellationRequested)return Promise.reject(new I.$3);let k;return new Promise((q,M)=>{if(ne.isCancellationRequested)return M(new I.$3);const J=()=>{const ue=he=>{switch(he.type){case 201:this.f.delete(re),q(he.data);break;case 202:{this.f.delete(re);const $e=new Error(he.data.message);$e.stack=Array.isArray(he.data.stack)?he.data.stack.join(`
`):he.data.stack,$e.name=he.data.name,M($e);break}case 203:this.f.delete(re),M(he.data);break}};this.f.set(re,ue),this.p(B)};let Y=null;this.b===u.Idle?J():(Y=(0,N.$Eg)(ue=>this.u()),Y.then(()=>{Y=null,J()}));const se=()=>{Y?(Y.cancel(),Y=null):this.p({id:re,type:101}),M(new I.$3)},le=ne.onCancellationRequested(se);k=(0,g.$Nc)((0,g.$Oc)(se),le),this.d.add(k)}).finally(()=>{k.dispose(),this.d.delete(k)})}o(V,W,ee){const ne=this.g++,X={id:ne,type:102,channelName:V,name:W,arg:ee};let B=null;const k=new C.$Ld({onWillAddFirstListener:()=>{B=(0,N.$Eg)(q=>this.u()),B.then(()=>{B=null,this.d.add(k),this.p(X)})},onDidRemoveLastListener:()=>{B?(B.cancel(),B=null):(this.d.delete(k),this.p({id:ne,type:103}))}}),R=q=>k.fire(q.data);return this.f.set(ne,R),k.event}p(V){switch(V.type){case 100:case 102:{const W=this.q([V.type,V.id,V.channelName,V.name],V.arg);this.j?.logOutgoing(W,V.id,0,`${$(V.type)}: ${V.channelName}.${V.name}`,V.arg);return}case 101:case 103:{const W=this.q([V.type,V.id]);this.j?.logOutgoing(W,V.id,0,$(V.type));return}}}q(V,W=void 0){const ee=new t;return r(ee,V),r(ee,W),this.r(ee.buffer)}r(V){try{return this.l.send(V),V.byteLength}catch{return 0}}s(V){const W=new S(V),ee=o(W),ne=o(W),re=ee[0];switch(re){case 200:return this.j?.logIncoming(V.byteLength,0,0,d(re)),this.t({type:ee[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(V.byteLength,ee[1],0,d(re),ne),this.t({type:ee[0],id:ee[1],data:ne})}}t(V){if(V.type===200){this.b=u.Idle,this.k.fire();return}this.f.get(V.id)?.(V)}get onDidInitializePromise(){return C.Event.toPromise(this.onDidInitialize)}u(){return this.b===u.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,g.$Lc)(this.d.values()),this.d.clear()}}e.$oh=f,ye([D.$dh],f.prototype,"onDidInitializePromise",null);class b{get connections(){const V=[];return this.f.forEach(W=>V.push(W)),V}constructor(V){this.a=new Map,this.f=new Set,this.g=new C.$Ld,this.onDidAddConnection=this.g.event,this.h=new C.$Ld,this.onDidRemoveConnection=this.h.event,this.j=new g.$Pc,this.j.add(V(({protocol:W,onDidClientDisconnect:ee})=>{const ne=C.Event.once(W.onMessage);this.j.add(ne(re=>{const X=new S(re),B=o(X),k=new v(W,B),R=new f(W);this.a.forEach((M,J)=>k.registerChannel(J,M));const q={channelServer:k,channelClient:R,ctx:B};this.f.add(q),this.g.fire(q),this.j.add(ee(()=>{k.dispose(),R.dispose(),this.f.delete(q),this.h.fire(q)}))}))}))}getChannel(V,W){const ee=this;return{call(ne,re,X){let B;if((0,m.$Kf)(W)){const R=(0,O.$2b)(ee.connections.filter(W));B=R?Promise.resolve(R):C.Event.toPromise(C.Event.filter(ee.onDidAddConnection,W))}else B=W.routeCall(ee,ne,re);const k=B.then(R=>R.channelClient.getChannel(V));return F(k).call(ne,re,X)},listen(ne,re){if((0,m.$Kf)(W))return ee.k(V,W,ne,re);const X=W.routeEvent(ee,ne,re).then(B=>B.channelClient.getChannel(V));return F(X).listen(ne,re)}}}k(V,W,ee,ne){const re=this;let X;const B=new C.$Ld({onWillAddFirstListener:()=>{X=new g.$Pc;const k=new C.$Rd,R=new Map,q=J=>{const se=J.channelClient.getChannel(V).listen(ee,ne),le=k.add(se);R.set(J,le)},M=J=>{const Y=R.get(J);Y&&(Y.dispose(),R.delete(J))};re.connections.filter(W).forEach(q),C.Event.filter(re.onDidAddConnection,W)(q,void 0,X),re.onDidRemoveConnection(M,void 0,X),k.event(B.fire,B,X),X.add(k)},onDidRemoveLastListener:()=>{X?.dispose(),X=void 0}});return B.event}registerChannel(V,W){this.a.set(V,W);for(const ee of this.f)ee.channelServer.registerChannel(V,W)}dispose(){this.j.dispose();for(const V of this.f)V.channelClient.dispose(),V.channelServer.dispose();this.f.clear(),this.a.clear(),this.g.dispose(),this.h.dispose()}}e.$ph=b;class L{constructor(V,W,ee=null){const ne=new t;r(ne,W),V.send(ne.buffer),this.a=new f(V,ee),this.d=new v(V,W,ee)}getChannel(V){return this.a.getChannel(V)}registerChannel(V,W){this.d.registerChannel(V,W)}dispose(){this.a.dispose(),this.d.dispose()}}e.$qh=L;function F(H){return{call(V,W,ee){return H.then(ne=>ne.call(V,W,ee))},listen(V,W){const ee=new C.$Ud;return H.then(ne=>ee.input=ne.listen(V,W)),ee.event}}}e.$rh=F;function T(H){let V=!1;return{call(W,ee,ne){return V?H.call(W,ee,ne):(0,N.$Rg)(0).then(()=>V=!0).then(()=>H.call(W,ee,ne))},listen(W,ee){if(V)return H.listen(W,ee);const ne=new C.$Ud;return(0,N.$Rg)(0).then(()=>V=!0).then(()=>ne.input=H.listen(W,ee)),ne.event}}}e.$sh=T;class z{constructor(V){this.a=V}routeCall(V){return this.b(V)}routeEvent(V){return this.b(V)}async b(V){for(const W of V.connections)if(await Promise.resolve(this.a(W.ctx)))return Promise.resolve(W);return await C.Event.toPromise(V.onDidAddConnection),await this.b(V)}}e.$th=z;var U;(function(H){function V(re,X,B){const k=re,R=B&&B.disableMarshalling,q=new Map;for(const M in k)ee(M)&&q.set(M,C.Event.buffer(k[M],!0,void 0,X));return new class{listen(M,J,Y){const se=q.get(J);if(se)return se;if(ne(J)){const le=k[J];if(typeof le=="function")return le.call(k,Y)}throw new I.$_(`Event not found: ${J}`)}call(M,J,Y){const se=k[J];if(typeof se=="function"){if(!R&&Array.isArray(Y))for(let ue=0;ue<Y.length;ue++)Y[ue]=(0,P.$ih)(Y[ue]);let le=se.apply(k,Y);return le instanceof Promise||(le=Promise.resolve(le)),le}throw new I.$_(`Method not found: ${J}`)}}}H.fromService=V;function W(re,X){const B=X&&X.disableMarshalling;return new Proxy({},{get(k,R){if(typeof R=="string")return X?.properties?.has(R)?X.properties.get(R):ne(R)?function(q){return re.listen(R,q)}:ee(R)?re.listen(R):async function(...q){let M;X&&!(0,m.$Ff)(X.context)?M=[X.context,...q]:M=q;const J=await re.call(R,M);return B?J:(0,P.$ih)(J)};throw new I.$_(`Property not found: ${String(R)}`)}})}H.toService=W;function ee(re){return re[0]==="o"&&re[1]==="n"&&E.$Ye(re.charCodeAt(2))}function ne(re){return/^onDynamic/.test(re)&&E.$Ye(re.charCodeAt(9))}})(U||(e.ProxyChannel=U={}));const _=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function K(H){if(Array.isArray(H))return H;if(H&&typeof H=="object"&&typeof H.toString=="function"){const V=H.toString();if(V!=="[object Object]")return V}return H}function Z(H){return Array.isArray(H)?H.map(K):K(H)}function G(H,V,W,ee,ne,re,X){X=Z(X);const B=_[ne],k=B[ee%B.length];let R=[`%c[${H}]%c[${String(V).padStart(7," ")}]%c[len: ${String(W).padStart(5," ")}]%c${String(ee).padStart(5," ")} - ${re}`,"color: darkgreen","color: grey","color: grey",`color: ${k}`];/\($/.test(re)?(R=R.concat(X),R.push(")")):R.push(X),console.log.apply(console,R)}class Q{constructor(V,W){this.d=V,this.f=W,this.a=0,this.b=0}logOutgoing(V,W,ee,ne,re){this.b+=V,G(this.d,this.b,V,W,ee,ne,re)}logIncoming(V,W,ee,ne,re){this.a+=V,G(this.f,this.a,V,W,ee,ne,re)}}e.$uh=Q}),define(oe[65],ae([0,1,15,3,2,42]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zh=e.$yh=e.$xh=e.$wh=e.ProtocolConstants=e.$vh=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var D;(function(s){s.Created="created",s.Read="read",s.Write="write",s.Open="open",s.Error="error",s.Close="close",s.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",s.NodeEndReceived="nodeEndReceived",s.NodeEndSent="nodeEndSent",s.NodeDrainBegin="nodeDrainBegin",s.NodeDrainEnd="nodeDrainEnd",s.zlibInflateError="zlibInflateError",s.zlibInflateData="zlibInflateData",s.zlibInflateInitialWrite="zlibInflateInitialWrite",s.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",s.zlibInflateWrite="zlibInflateWrite",s.zlibInflateFlushFired="zlibInflateFlushFired",s.zlibDeflateError="zlibDeflateError",s.zlibDeflateData="zlibDeflateData",s.zlibDeflateWrite="zlibDeflateWrite",s.zlibDeflateFlushFired="zlibDeflateFlushFired",s.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",s.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",s.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",s.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",s.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",s.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",s.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",s.ProtocolHeaderRead="protocolHeaderRead",s.ProtocolMessageRead="protocolMessageRead",s.ProtocolHeaderWrite="protocolHeaderWrite",s.ProtocolMessageWrite="protocolMessageWrite",s.ProtocolWrite="protocolWrite"})(D||(e.SocketDiagnosticsEventType=D={}));var I;(function(s){s.enableDiagnostics=!1,s.records=[];const i=new WeakMap;let r=0;function o(p,f){if(!i.has(p)){const b=String(++r);i.set(p,b)}return i.get(p)}function v(p,f,b,L){if(!s.enableDiagnostics)return;const F=o(p,f);if(L instanceof O.$_d||L instanceof Uint8Array||L instanceof ArrayBuffer||ArrayBuffer.isView(L)){const T=O.$_d.alloc(L.byteLength);T.set(L),s.records.push({timestamp:Date.now(),id:F,label:f,type:b,buff:T})}else s.records.push({timestamp:Date.now(),id:F,label:f,type:b,data:L})}s.traceSocketEvent=v})(I||(e.SocketDiagnostics=I={}));var C;(function(s){s[s.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",s[s.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(C||(e.SocketCloseEventType=C={}));let g=null;function P(){return g||(g=O.$_d.alloc(0)),g}class E{get byteLength(){return this.b}constructor(){this.a=[],this.b=0}acceptChunk(i){this.a.push(i),this.b+=i.byteLength}read(i){return this.c(i,!0)}peek(i){return this.c(i,!1)}c(i,r){if(i===0)return P();if(i>this.b)throw new Error("Cannot read so many bytes!");if(this.a[0].byteLength===i){const f=this.a[0];return r&&(this.a.shift(),this.b-=i),f}if(this.a[0].byteLength>i){const f=this.a[0].slice(0,i);return r&&(this.a[0]=this.a[0].slice(i),this.b-=i),f}const o=O.$_d.alloc(i);let v=0,p=0;for(;i>0;){const f=this.a[p];if(f.byteLength>i){const b=f.slice(0,i);o.set(b,v),v+=i,r&&(this.a[p]=f.slice(i),this.b-=i),i-=i}else o.set(f,v),v+=f.byteLength,r?(this.a.shift(),this.b-=f.byteLength):p++,i-=f.byteLength}return o}}e.$vh=E;var m;(function(s){s[s.None=0]="None",s[s.Regular=1]="Regular",s[s.Control=2]="Control",s[s.Ack=3]="Ack",s[s.Disconnect=5]="Disconnect",s[s.ReplayRequest=6]="ReplayRequest",s[s.Pause=7]="Pause",s[s.Resume=8]="Resume",s[s.KeepAlive=9]="KeepAlive"})(m||(m={}));function c(s){switch(s){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive"}}var $;(function(s){s[s.HeaderLength=13]="HeaderLength",s[s.AcknowledgeTime=2e3]="AcknowledgeTime",s[s.TimeoutTime=2e4]="TimeoutTime",s[s.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",s[s.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime",s[s.KeepAliveSendTime=5e3]="KeepAliveSendTime"})($||(e.ProtocolConstants=$={}));class y{constructor(i,r,o,v){this.type=i,this.id=r,this.ack=o,this.data=v,this.writtenTime=0}get size(){return this.data.byteLength}}class d extends j.$Qc{constructor(i){super(),this.f=this.B(new N.$Ld),this.onMessage=this.f.event,this.g={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this.a=i,this.b=!1,this.c=new E,this.B(this.a.onData(r=>this.acceptChunk(r))),this.lastReadTime=Date.now()}acceptChunk(i){if(!(!i||i.byteLength===0))for(this.lastReadTime=Date.now(),this.c.acceptChunk(i);this.c.byteLength>=this.g.readLen;){const r=this.c.read(this.g.readLen);if(this.g.readHead)this.g.readHead=!1,this.g.readLen=r.readUInt32BE(9),this.g.messageType=r.readUInt8(0),this.g.id=r.readUInt32BE(1),this.g.ack=r.readUInt32BE(5),this.a.traceSocketEvent("protocolHeaderRead",{messageType:c(this.g.messageType),id:this.g.id,ack:this.g.ack,messageSize:this.g.readLen});else{const o=this.g.messageType,v=this.g.id,p=this.g.ack;if(this.g.readHead=!0,this.g.readLen=13,this.g.messageType=0,this.g.id=0,this.g.ack=0,this.a.traceSocketEvent("protocolMessageRead",r),this.f.fire(new y(o,v,p,r)),this.b)break}}}readEntireBuffer(){return this.c.read(this.c.byteLength)}dispose(){this.b=!0,super.dispose()}}class u{constructor(i){this.k=null,this.a=!1,this.b=!1,this.c=i,this.d=[],this.f=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this.a=!0}drain(){return this.flush(),this.c.drain()}flush(){this.m()}pause(){this.b=!0}resume(){this.b=!1,this.l()}write(i){if(this.a)return;i.writtenTime=Date.now(),this.lastWriteTime=Date.now();const r=O.$_d.alloc(13);r.writeUInt8(i.type,0),r.writeUInt32BE(i.id,1),r.writeUInt32BE(i.ack,5),r.writeUInt32BE(i.data.byteLength,9),this.c.traceSocketEvent("protocolHeaderWrite",{messageType:c(i.type),id:i.id,ack:i.ack,messageSize:i.data.byteLength}),this.c.traceSocketEvent("protocolMessageWrite",i.data),this.j(r,i.data)}g(i,r){const o=this.f===0;return this.d.push(i,r),this.f+=i.byteLength+r.byteLength,o}h(){const i=O.$_d.concat(this.d,this.f);return this.d.length=0,this.f=0,i}j(i,r){this.g(i,r)&&this.l()}l(){this.k||(this.k=setTimeout(()=>{this.k=null,this.m()}))}m(){if(this.f===0||this.b)return;const i=this.h();this.c.traceSocketEvent("protocolWrite",{byteLength:i.byteLength}),this.c.write(i)}}class l extends j.$Qc{constructor(i){super(),this.f=new N.$Ld,this.onMessage=this.f.event,this.g=new N.$Ld,this.onDidDispose=this.g.event,this.a=i,this.b=this.B(new u(this.a)),this.c=this.B(new d(this.a)),this.B(this.c.onMessage(r=>{r.type===1&&this.f.fire(r.data)})),this.B(this.a.onClose(()=>this.g.fire()))}drain(){return this.b.drain()}getSocket(){return this.a}sendDisconnect(){}send(i){this.b.write(new y(1,0,0,i))}}e.$wh=l;class h extends A.$qh{static fromSocket(i,r){return new h(new l(i),r)}get onDidDispose(){return this.b.onDidDispose}constructor(i,r,o=null){super(i,r,o),this.b=i}dispose(){super.dispose();const i=this.b.getSocket();this.b.sendDisconnect(),this.b.dispose(),i.end()}}e.$xh=h;class w{constructor(){this.b=!1,this.c=!1,this.d=[],this.a=new N.$Ld({onWillAddFirstListener:()=>{this.b=!0,queueMicrotask(()=>this.f())},onDidRemoveLastListener:()=>{this.b=!1}}),this.event=this.a.event}f(){if(!this.c){for(this.c=!0;this.b&&this.d.length>0;)this.a.fire(this.d.shift());this.c=!1}}fire(i){this.b?this.d.length>0?this.d.push(i):this.a.fire(i):this.d.push(i)}flushBuffer(){this.d=[]}}e.$yh=w;class S{constructor(i){this.data=i,this.next=null}}class t{constructor(){this.a=null,this.b=null}length(){let i=0,r=this.a;for(;r;)r=r.next,i++;return i}peek(){return this.a?this.a.data:null}toArray(){const i=[];let r=0,o=this.a;for(;o;)i[r++]=o.data,o=o.next;return i}pop(){if(this.a){if(this.a===this.b){this.a=null,this.b=null;return}this.a=this.a.next}}push(i){const r=new S(i);if(!this.a){this.a=r,this.b=r;return}this.b.next=r,this.b=r}}class a{static{this.a=10}static{this.b=null}static getInstance(){return a.b||(a.b=new a),a.b}constructor(){this.c=[];const i=Date.now();for(let r=0;r<a.a;r++)this.c[r]=i-1e3*r;setInterval(()=>{for(let r=a.a;r>=1;r--)this.c[r]=this.c[r-1];this.c[0]=Date.now()},1e3)}d(){const i=Date.now(),r=(1+a.a)*1e3;let o=0;for(let v=0;v<a.a;v++)i-this.c[v]<=r&&o++;return 1-o/a.a}hasHighLoad(){return this.d()>=.5}}class n{get unacknowledgedCount(){return this.c-this.d}constructor(i){this.u=new w,this.onControlMessage=this.u.event,this.v=new w,this.onMessage=this.v.event,this.w=new w,this.onDidDispose=this.w.event,this.x=new w,this.onSocketClose=this.x.event,this.y=new w,this.onSocketTimeout=this.y.event,this.s=i.loadEstimator??a.getInstance(),this.t=i.sendKeepAlive??!0,this.a=!1,this.b=new t,this.c=0,this.d=0,this.f=null,this.g=0,this.h=0,this.j=0,this.k=null,this.m=0,this.n=Date.now(),this.r=new j.$Pc,this.o=i.socket,this.p=this.r.add(new u(this.o)),this.q=this.r.add(new d(this.o)),this.r.add(this.q.onMessage(r=>this.z(r))),this.r.add(this.o.onClose(r=>this.x.fire(r))),i.initialChunk&&this.q.acceptChunk(i.initialChunk),this.t?this.l=setInterval(()=>{this.D()},5e3):this.l=null}dispose(){this.f&&(clearTimeout(this.f),this.f=null),this.k&&(clearTimeout(this.k),this.k=null),this.l&&(clearInterval(this.l),this.l=null),this.r.dispose()}drain(){return this.p.drain()}sendDisconnect(){const i=new y(5,0,0,P());this.p.write(i),this.p.flush()}sendPause(){const i=new y(7,0,0,P());this.p.write(i)}sendResume(){const i=new y(8,0,0,P());this.p.write(i)}pauseSocketWriting(){this.p.pause()}getSocket(){return this.o}getMillisSinceLastIncomingData(){return Date.now()-this.q.lastReadTime}beginAcceptReconnection(i,r){this.a=!0,this.r.dispose(),this.r=new j.$Pc,this.u.flushBuffer(),this.x.flushBuffer(),this.y.flushBuffer(),this.o.dispose(),this.m=0,this.n=Date.now(),this.o=i,this.p=this.r.add(new u(this.o)),this.q=this.r.add(new d(this.o)),this.r.add(this.q.onMessage(o=>this.z(o))),this.r.add(this.o.onClose(o=>this.x.fire(o))),this.q.acceptChunk(r)}endAcceptReconnection(){this.a=!1,this.h=this.g;const i=new y(3,0,this.h,P());this.p.write(i);const r=this.b.toArray();for(let o=0,v=r.length;o<v;o++)this.p.write(r[o]);this.B()}acceptDisconnect(){this.w.fire()}z(i){if(i.ack>this.d){this.d=i.ack;do{const r=this.b.peek();if(r&&r.id<=i.ack)this.b.pop();else break}while(!0)}switch(i.type){case 0:break;case 1:{if(i.id>this.g)if(i.id!==this.g+1){const r=Date.now();r-this.m>1e4&&(this.m=r,this.p.write(new y(6,0,0,P())))}else this.g=i.id,this.j=Date.now(),this.A(),this.v.fire(i.data);break}case 2:{this.u.fire(i.data);break}case 3:break;case 5:{this.w.fire();break}case 6:{const r=this.b.toArray();for(let o=0,v=r.length;o<v;o++)this.p.write(r[o]);this.B();break}case 7:{this.p.pause();break}case 8:{this.p.resume();break}case 9:break}}readEntireBuffer(){return this.q.readEntireBuffer()}flush(){this.p.flush()}send(i){const r=++this.c;this.h=this.g;const o=new y(1,r,this.h,i);this.b.push(o),this.a||(this.p.write(o),this.B())}sendControl(i){const r=new y(2,0,0,i);this.p.write(r)}A(){if(this.g<=this.h||this.k)return;const i=Date.now()-this.j;if(i>=2e3){this.C();return}this.k=setTimeout(()=>{this.k=null,this.A()},2e3-i+5)}B(){if(this.c<=this.d||this.f||this.a)return;const i=this.b.peek(),r=Date.now()-i.writtenTime,o=Date.now()-this.q.lastReadTime,v=Date.now()-this.n;if(r>=2e4&&o>=2e4&&v>=2e4&&!this.s.hasHighLoad()){this.n=Date.now(),this.y.fire({unacknowledgedMsgCount:this.b.length(),timeSinceOldestUnacknowledgedMsg:r,timeSinceLastReceivedSomeData:o});return}const p=Math.max(2e4-r,2e4-o,2e4-v,500);this.f=setTimeout(()=>{this.f=null,this.B()},p)}C(){if(this.g<=this.h)return;this.h=this.g;const i=new y(3,0,this.h,P());this.p.write(i)}D(){this.h=this.g;const i=new y(9,0,this.h,P());this.p.write(i)}}e.$zh=n}),define(oe[93],ae([0,1,64,5,15,26,142,8,3,2,30,145,90,42]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tp=e.$Sp=void 0;class $ extends c.$nh{constructor(u){super({send:l=>{try{process.send?.(l.buffer.toString("base64"))}catch{}},onMessage:C.Event.fromNodeEventEmitter(process,"message",l=>j.$_d.wrap(Buffer.from(l,"base64")))},u),process.once("disconnect",()=>this.dispose())}}e.$Sp=$;class y{constructor(u,l){this.i=u,this.j=l,this.c=new Set,this.g=new Map,this.h=new C.$Ld,this.onDidProcessExit=this.h.event;const h=l&&l.timeout?l.timeout:6e4;this.b=new N.$Ng(h),this.d=null,this.f=null}getChannel(u){const l=this;return{call(h,w,S){return l.k(u,h,w,S)},listen(h,w){return l.l(u,h,w)}}}k(u,l,h,w=A.CancellationToken.None){if(!this.b)return Promise.reject(new Error("disposed"));if(w.isCancellationRequested)return Promise.reject(I.$4());this.b.cancel();const S=this.n(u),t=(0,N.$Eg)(s=>S.call(l,h,s)),a=w.onCancellationRequested(()=>t.cancel()),n=(0,g.$Oc)(()=>t.cancel());return this.c.add(n),t.finally(()=>{a.dispose(),this.c.delete(n),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}),t}l(u,l,h){if(!this.b)return C.Event.None;this.b.cancel();let w;const S=new C.$Ld({onWillAddFirstListener:()=>{w=this.n(u).listen(l,h)(S.fire,S),this.c.add(w)},onDidRemoveLastListener:()=>{this.c.delete(w),w.dispose(),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}});return S.event}get m(){if(!this.f){const u=this.j&&this.j.args?this.j.args:[],l=Object.create(null);l.env={...(0,P.$Wm)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.j&&this.j.env&&(l.env={...l.env,...this.j.env}),this.j&&this.j.freshExecArgv&&(l.execArgv=[]),this.j&&typeof this.j.debug=="number"&&(l.execArgv=["--nolazy","--inspect="+this.j.debug]),this.j&&typeof this.j.debugBrk=="number"&&(l.execArgv=["--nolazy","--inspect-brk="+this.j.debugBrk]),l.execArgv===void 0&&(l.execArgv=process.execArgv.filter(i=>!/^--inspect(-brk)?=/.test(i)).filter(i=>!i.startsWith("--vscode-"))),(0,m.$ul)(l.env),this.d=(0,O.fork)(this.i,u,l);const h=new C.$Ld;C.Event.fromNodeEventEmitter(this.d,"message",i=>i)(i=>{if((0,D.$Op)(i)){(0,D.log)(i,`IPC Library: ${this.j.serverName}`);return}h.fire(j.$_d.wrap(Buffer.from(i,"base64")))});const S=this.j.useQueue?(0,E.$wl)(this.d):this.d,t=i=>this.d&&this.d.connected&&S.send(i.buffer.toString("base64")),a=h.event,n={send:t,onMessage:a};this.f=new c.$oh(n);const s=()=>this.o();process.once("exit",s),this.d.on("error",i=>console.warn('IPC "'+this.j.serverName+'" errored with '+i)),this.d.on("exit",(i,r)=>{process.removeListener("exit",s),this.c.forEach(o=>(0,g.$Lc)(o)),this.c.clear(),i!==0&&r!=="SIGTERM"&&console.warn('IPC "'+this.j.serverName+'" crashed with exit code '+i+" and signal "+r),this.b?.cancel(),this.o(),this.h.fire({code:i,signal:r})})}return this.f}n(u){let l=this.g.get(u);return l||(l=this.m.getChannel(u),this.g.set(u,l)),l}o(){this.f&&(this.d&&(this.d.kill(),this.d=null),this.f=null,this.g.clear())}dispose(){this.h.dispose(),this.b?.cancel(),this.b=void 0,this.o(),this.c.clear()}}e.$Tp=y}),define(oe[147],ae([0,1,135,15,42,3,12,18]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dT=e.$cT=void 0;class C{constructor(m){this.a=m,this.onMessage=A.Event.fromNodeEventEmitter(this.a,"message",c=>N.$_d.wrap(c.data)),m.start()}send(m){this.a.postMessage(m.buffer)}disconnect(){this.a.close()}}class g extends j.$ph{static b(m){(0,D.$Gf)((0,O.$bT)(process),"Electron Utility Process");const c=new A.$Ld;return process.parentPort.on("message",$=>{if(m?.handledClientConnection($))return;const y=(0,I.$Mb)($.ports);y&&c.fire(y)}),A.Event.map(c.event,$=>({protocol:new C($),onDidClientDisconnect:A.Event.fromNodeEventEmitter($,"close")}))}constructor(m){super(g.b(m))}}e.$cT=g;function P(E,m,c){const $=y=>{y.data===m&&(E.removeListener("message",$),c())};E.on("message",$)}e.$dT=P}),define(oe[66],ae([0,1,5,3,2,63,12]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$To=e.$So=e.StorageState=e.$Ro=e.StorageHint=void 0;var I;(function(m){m[m.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST",m[m.STORAGE_IN_MEMORY=1]="STORAGE_IN_MEMORY"})(I||(e.StorageHint=I={}));function C(m){const c=m;return c?.changed instanceof Map||c?.deleted instanceof Set}e.$Ro=C;var g;(function(m){m[m.None=0]="None",m[m.Initialized=1]="Initialized",m[m.Closed=2]="Closed"})(g||(e.StorageState=g={}));class P extends j.$Qc{static{this.a=100}constructor(c,$=Object.create(null)){super(),this.r=c,this.s=$,this.b=this.B(new N.$Od),this.onDidChangeStorage=this.b.event,this.c=g.None,this.f=new Map,this.g=this.B(new O.$Og(P.a)),this.h=new Set,this.j=new Map,this.m=void 0,this.n=[],this.t()}t(){this.B(this.r.onDidChangeItemsExternal(c=>this.u(c)))}u(c){this.b.pause();try{c.changed?.forEach(($,y)=>this.w(y,$)),c.deleted?.forEach($=>this.w($,void 0))}finally{this.b.resume()}}w(c,$){if(this.c===g.Closed)return;let y=!1;(0,D.$Ff)($)?y=this.f.delete(c):this.f.get(c)!==$&&(this.f.set(c,$),y=!0),y&&this.b.fire({key:c,external:!0})}get items(){return this.f}get size(){return this.f.size}async init(){this.c===g.None&&(this.c=g.Initialized,this.s.hint!==I.STORAGE_DOES_NOT_EXIST&&(this.f=await this.r.getItems()))}get(c,$){const y=this.f.get(c);return(0,D.$Ff)(y)?$:y}getBoolean(c,$){const y=this.get(c);return(0,D.$Ff)(y)?$:y==="true"}getNumber(c,$){const y=this.get(c);return(0,D.$Ff)(y)?$:parseInt(y,10)}getObject(c,$){const y=this.get(c);return(0,D.$Ff)(y)?$:(0,A.$hh)(y)}async set(c,$,y=!1){if(this.c===g.Closed)return;if((0,D.$Ff)($))return this.delete(c,y);const d=(0,D.$yf)($)||Array.isArray($)?(0,A.$gh)($):String($);if(this.f.get(c)!==d)return this.f.set(c,d),this.j.set(c,d),this.h.delete(c),this.b.fire({key:c,external:y}),this.D()}async delete(c,$=!1){if(!(this.c===g.Closed||!this.f.delete(c)))return this.h.has(c)||this.h.add(c),this.j.delete(c),this.b.fire({key:c,external:$}),this.D()}async optimize(){if(this.c!==g.Closed)return await this.flush(0),this.r.optimize()}async close(){return this.m||(this.m=this.y()),this.m}async y(){this.c=g.Closed;try{await this.D(0)}catch{}await this.r.close(()=>this.f)}get z(){return this.j.size>0||this.h.size>0}async C(){if(!this.z)return;const c={insert:this.j,delete:this.h};return this.h=new Set,this.j=new Map,this.r.updateItems(c).finally(()=>{if(!this.z)for(;this.n.length;)this.n.pop()?.()})}async flush(c){if(this.z)return this.D(c)}async D(c){return this.s.hint===I.STORAGE_IN_MEMORY?this.C():this.g.trigger(()=>this.C(),c)}async whenFlushed(){if(this.z)return new Promise(c=>this.n.push(c))}isInMemory(){return this.s.hint===I.STORAGE_IN_MEMORY}}e.$So=P;class E{constructor(){this.onDidChangeItemsExternal=N.Event.None,this.a=new Map}async getItems(){return this.a}async updateItems(c){c.insert?.forEach(($,y)=>this.a.set(y,$)),c.delete?.forEach($=>this.a.delete($))}async optimize(){}async close(){}}e.$To=E}),define(oe[148],ae([13,9]),function(te,e){return te.create("vs/base/node/zip",e)}),define(oe[149],ae([13,9]),function(te,e){return te.create("vs/platform/configuration/common/configurationRegistry",e)}),define(oe[150],ae([13,9]),function(te,e){return te.create("vs/platform/contextkey/common/contextkey",e)}),define(oe[151],ae([13,9]),function(te,e){return te.create("vs/platform/contextkey/common/scanner",e)}),define(oe[152],ae([13,9]),function(te,e){return te.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(oe[153],ae([13,9]),function(te,e){return te.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(oe[154],ae([13,9]),function(te,e){return te.create("vs/platform/extensionManagement/common/extensionNls",e)}),define(oe[155],ae([13,9]),function(te,e){return te.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(oe[156],ae([13,9]),function(te,e){return te.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(oe[157],ae([13,9]),function(te,e){return te.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(oe[158],ae([13,9]),function(te,e){return te.create("vs/platform/extensions/common/extensionValidator",e)}),define(oe[159],ae([13,9]),function(te,e){return te.create("vs/platform/files/common/fileService",e)}),define(oe[160],ae([13,9]),function(te,e){return te.create("vs/platform/files/common/files",e)}),define(oe[161],ae([13,9]),function(te,e){return te.create("vs/platform/files/common/io",e)}),define(oe[162],ae([13,9]),function(te,e){return te.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(oe[163],ae([13,9]),function(te,e){return te.create("vs/platform/languagePacks/common/languagePacks",e)}),define(oe[164],ae([13,9]),function(te,e){return te.create("vs/platform/remoteTunnel/common/remoteTunnel",e)}),define(oe[165],ae([13,9]),function(te,e){return te.create("vs/platform/remoteTunnel/node/remoteTunnelService",e)}),define(oe[166],ae([13,9]),function(te,e){return te.create("vs/platform/request/common/request",e)}),define(oe[167],ae([13,9]),function(te,e){return te.create("vs/platform/telemetry/common/telemetryLogAppender",e)}),define(oe[168],ae([13,9]),function(te,e){return te.create("vs/platform/telemetry/common/telemetryService",e)}),define(oe[169],ae([13,9]),function(te,e){return te.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(oe[170],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/abstractSynchronizer",e)}),define(oe[171],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/keybindingsSync",e)}),define(oe[172],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/settingsSync",e)}),define(oe[173],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/userDataAutoSyncService",e)}),define(oe[174],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/userDataSync",e)}),define(oe[175],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/userDataSyncLog",e)}),define(oe[176],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/userDataSyncMachines",e)}),define(oe[177],ae([13,9]),function(te,e){return te.create("vs/platform/userDataSync/common/userDataSyncResourceProvider",e)}),define(oe[178],ae([13,9]),function(te,e){return te.create("vs/platform/workspace/common/workspace",e)}),define(oe[179],ae([0,1,8,151]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gi=e.TokenType=void 0;var j;(function(g){g[g.LParen=0]="LParen",g[g.RParen=1]="RParen",g[g.Neg=2]="Neg",g[g.Eq=3]="Eq",g[g.NotEq=4]="NotEq",g[g.Lt=5]="Lt",g[g.LtEq=6]="LtEq",g[g.Gt=7]="Gt",g[g.GtEq=8]="GtEq",g[g.RegexOp=9]="RegexOp",g[g.RegexStr=10]="RegexStr",g[g.True=11]="True",g[g.False=12]="False",g[g.In=13]="In",g[g.Not=14]="Not",g[g.And=15]="And",g[g.Or=16]="Or",g[g.Str=17]="Str",g[g.QuotedStr=18]="QuotedStr",g[g.Error=19]="Error",g[g.EOF=20]="EOF"})(j||(e.TokenType=j={}));function A(...g){switch(g.length){case 1:return(0,N.localize)(0,null,g[0]);case 2:return(0,N.localize)(1,null,g[0],g[1]);case 3:return(0,N.localize)(2,null,g[0],g[1],g[2]);default:return}}const D=(0,N.localize)(3,null),I=(0,N.localize)(4,null);class C{constructor(){this.c="",this.d=0,this.e=0,this.f=[],this.g=[],this.m=/[a-zA-Z0-9_<>\-\./\\:\*\?\+\[\]\^,#@;"%\$\p{L}-]+/uy}static getLexeme(P){switch(P.type){case 0:return"(";case 1:return")";case 2:return"!";case 3:return P.isTripleEq?"===":"==";case 4:return P.isTripleEq?"!==":"!=";case 5:return"<";case 6:return"<=";case 7:return">=";case 8:return">=";case 9:return"=~";case 10:return P.lexeme;case 11:return"true";case 12:return"false";case 13:return"in";case 14:return"not";case 15:return"&&";case 16:return"||";case 17:return P.lexeme;case 18:return P.lexeme;case 19:return P.lexeme;case 20:return"EOF";default:throw(0,O.$6)(`unhandled token type: ${JSON.stringify(P)}; have you forgotten to add a case?`)}}static{this.a=new Set(["i","g","s","m","y","u"].map(P=>P.charCodeAt(0)))}static{this.b=new Map([["not",14],["in",13],["false",12],["true",11]])}get errors(){return this.g}reset(P){return this.c=P,this.d=0,this.e=0,this.f=[],this.g=[],this}scan(){for(;!this.r();)switch(this.d=this.e,this.i()){case 40:this.k(0);break;case 41:this.k(1);break;case 33:if(this.h(61)){const E=this.h(61);this.f.push({type:4,offset:this.d,isTripleEq:E})}else this.k(2);break;case 39:this.o();break;case 47:this.q();break;case 61:if(this.h(61)){const E=this.h(61);this.f.push({type:3,offset:this.d,isTripleEq:E})}else this.h(126)?this.k(9):this.l(A("==","=~"));break;case 60:this.k(this.h(61)?6:5);break;case 62:this.k(this.h(61)?8:7);break;case 38:this.h(38)?this.k(15):this.l(A("&&"));break;case 124:this.h(124)?this.k(16):this.l(A("||"));break;case 32:case 13:case 9:case 10:case 160:break;default:this.n()}return this.d=this.e,this.k(20),Array.from(this.f)}h(P){return this.r()||this.c.charCodeAt(this.e)!==P?!1:(this.e++,!0)}i(){return this.c.charCodeAt(this.e++)}j(){return this.r()?0:this.c.charCodeAt(this.e)}k(P){this.f.push({type:P,offset:this.d})}l(P){const E=this.d,m=this.c.substring(this.d,this.e),c={type:19,offset:this.d,lexeme:m};this.g.push({offset:E,lexeme:m,additionalInfo:P}),this.f.push(c)}n(){this.m.lastIndex=this.d;const P=this.m.exec(this.c);if(P){this.e=this.d+P[0].length;const E=this.c.substring(this.d,this.e),m=C.b.get(E);m?this.k(m):this.f.push({type:17,lexeme:E,offset:this.d})}}o(){for(;this.j()!==39&&!this.r();)this.i();if(this.r()){this.l(D);return}this.i(),this.f.push({type:18,lexeme:this.c.substring(this.d+1,this.e-1),offset:this.d+1})}q(){let P=this.e,E=!1,m=!1;for(;;){if(P>=this.c.length){this.e=P,this.l(I);return}const $=this.c.charCodeAt(P);if(E)E=!1;else if($===47&&!m){P++;break}else $===91?m=!0:$===92?E=!0:$===93&&(m=!1);P++}for(;P<this.c.length&&C.a.has(this.c.charCodeAt(P));)P++;this.e=P;const c=this.c.substring(this.d,this.e);this.f.push({type:10,lexeme:c,offset:this.d})}r(){return this.e>=this.c.length}}e.$Gi=C}),define(oe[180],ae([0,1,62,83,23,16,37,21,10]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_l=e.$$l=e.$0l=e.$9l=void 0,e.$9l=/^([^.]+\..+):(.+)$/;class g{get appRoot(){return(0,A.$kc)(j.$_f.asFileUri("").fsPath)}get userHome(){return C.URI.file(this.b.homeDir)}get userDataPath(){return this.b.userDataDir}get appSettingsHome(){return C.URI.file((0,A.$hc)(this.userDataPath,"User"))}get tmpDir(){return C.URI.file(this.b.tmpDir)}get cacheHome(){return C.URI.file(this.userDataPath)}get stateResource(){return(0,I.$sg)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome.with({scheme:j.Schemas.vscodeUserData})}get userDataSyncHome(){return(0,I.$sg)(this.appSettingsHome,"sync")}get logsHome(){if(!this.args.logsPath){const c=(0,O.$8l)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,A.$hc)(this.userDataPath,"logs",c)}return C.URI.file(this.args.logsPath)}get sync(){return this.args.sync}get machineSettingsResource(){return(0,I.$sg)(C.URI.file((0,A.$hc)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,I.$sg)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,I.$sg)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,I.$sg)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const c=D.env.VSCODE_PORTABLE;return c?C.URI.file((0,A.$hc)(c,"argv.json")):(0,I.$sg)(this.userHome,this.c.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return C.URI.file((0,A.$hc)(this.userDataPath,"Workspaces"))}get builtinExtensionsPath(){const c=this.args["builtin-extensions-dir"];return c?(0,A.$ic)(c):(0,A.$fc)((0,A.$hc)(j.$_f.asFileUri("").fsPath,"..","extensions"))}get extensionsDownloadLocation(){const c=this.args["extensions-download-dir"];return c?C.URI.file((0,A.$ic)(c)):C.URI.file((0,A.$hc)(this.userDataPath,"CachedExtensionVSIXs"))}get extensionsPath(){const c=this.args["extensions-dir"];if(c)return(0,A.$ic)(c);const $=D.env.VSCODE_EXTENSIONS;if($)return $;const y=D.env.VSCODE_PORTABLE;return y?(0,A.$hc)(y,"extensions"):(0,I.$sg)(this.userHome,this.c.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const c=this.args.extensionDevelopmentPath;if(Array.isArray(c))return c.map($=>/^[^:/?#]+?:\/\//.test($)?C.URI.parse($):C.URI.file((0,A.$fc)($)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(c=>c==="ui"||c==="workspace"||c==="web"?c:"workspace")}get extensionTestsLocationURI(){const c=this.args.extensionTestsPath;if(c)return/^[^:/?#]+?:\/\//.test(c)?C.URI.parse(c):C.URI.file((0,A.$fc)(c))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const c=this.args["disable-extension"];if(c){if(typeof c=="string")return[c];if(Array.isArray(c)&&c.length>0)return c}return!1}get debugExtensionHost(){return P(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!D.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log?.find(c=>!e.$9l.test(c))}get extensionLogLevel(){const c=[];for(const $ of this.args.log||[]){const y=e.$9l.exec($);y&&y[1]&&y[2]&&c.push([y[1],y[2]])}return c.length?c:void 0}get serviceMachineIdResource(){return(0,I.$sg)(C.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get useInMemorySecretStorage(){return!!this.args["use-inmemory-secretstorage"]}get policyFile(){if(this.args["__enable-file-policy"]){const c=D.env.VSCODE_PORTABLE;return c?C.URI.file((0,A.$hc)(c,"policy.json")):(0,I.$sg)(this.userHome,this.c.dataFolderName,"policy.json")}}get continueOn(){return this.args.continueOn}set continueOn(c){this.args.continueOn=c}get args(){return this.a}constructor(c,$,y){this.a=c,this.b=$,this.c=y,this.editSessionId=this.args.editSessionId}}e.$0l=g,ye([N.$dh],g.prototype,"appRoot",null),ye([N.$dh],g.prototype,"userHome",null),ye([N.$dh],g.prototype,"userDataPath",null),ye([N.$dh],g.prototype,"appSettingsHome",null),ye([N.$dh],g.prototype,"tmpDir",null),ye([N.$dh],g.prototype,"cacheHome",null),ye([N.$dh],g.prototype,"stateResource",null),ye([N.$dh],g.prototype,"userRoamingDataHome",null),ye([N.$dh],g.prototype,"userDataSyncHome",null),ye([N.$dh],g.prototype,"sync",null),ye([N.$dh],g.prototype,"machineSettingsResource",null),ye([N.$dh],g.prototype,"workspaceStorageHome",null),ye([N.$dh],g.prototype,"localHistoryHome",null),ye([N.$dh],g.prototype,"keyboardLayoutResource",null),ye([N.$dh],g.prototype,"argvResource",null),ye([N.$dh],g.prototype,"isExtensionDevelopment",null),ye([N.$dh],g.prototype,"untitledWorkspacesHome",null),ye([N.$dh],g.prototype,"builtinExtensionsPath",null),ye([N.$dh],g.prototype,"extensionsPath",null),ye([N.$dh],g.prototype,"extensionDevelopmentLocationURI",null),ye([N.$dh],g.prototype,"extensionDevelopmentKind",null),ye([N.$dh],g.prototype,"extensionTestsLocationURI",null),ye([N.$dh],g.prototype,"debugExtensionHost",null),ye([N.$dh],g.prototype,"logLevel",null),ye([N.$dh],g.prototype,"extensionLogLevel",null),ye([N.$dh],g.prototype,"serviceMachineIdResource",null),ye([N.$dh],g.prototype,"disableTelemetry",null),ye([N.$dh],g.prototype,"disableWorkspaceTrust",null),ye([N.$dh],g.prototype,"useInMemorySecretStorage",null),ye([N.$dh],g.prototype,"policyFile",null);function P(m,c){return E(m["inspect-extensions"],m["inspect-brk-extensions"],5870,c,m.debugId,m.extensionEnvironment)}e.$$l=P;function E(m,c,$,y,d,u){const h=Number(c||m)||(y?null:$),w=h?!!c:!1;let S;if(u)try{S=JSON.parse(u)}catch{}return{port:h,break:w,debugId:d,env:S}}e.$_l=E}),function(){"use strict";function te(e,O,N){function j(D,I){const C=A(D,I),g=[C];return e.isAbsolute(C)||g.unshift(N),e.resolve(...g)}function A(D,I){process.env.VSCODE_DEV&&(I="code-oss-dev");const C=process.env.VSCODE_PORTABLE;if(C)return e.join(C,"user-data");let g=process.env.VSCODE_APPDATA;if(g)return e.join(g,I);const P=D["user-data-dir"];if(P)return P;switch(process.platform){case"win32":if(g=process.env.APPDATA,!g){const E=process.env.USERPROFILE;if(typeof E!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");g=e.join(E,"AppData","Roaming")}break;case"darwin":g=e.join(O.homedir(),"Library","Application Support");break;case"linux":g=process.env.XDG_CONFIG_HOME||e.join(O.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(g,I)}return{getUserDataPath:j}}if(typeof define=="function")define(oe[181],ae([270,36,37]),function(e,O,N){return te(e,O,N.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),O=require("os");module.exports=te(e,O,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(oe[182],ae([0,1,36,180,181]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cm=e.$bm=e.$am=void 0;class A extends N.$0l{constructor(g,P){super(g,{homeDir:(0,O.homedir)(),tmpDir:(0,O.tmpdir)(),userDataDir:(0,j.getUserDataPath)(g,P.nameShort)},P)}}e.$am=A;function D(C,g){return(0,N.$_l)(C["inspect-ptyhost"],C["inspect-brk-ptyhost"],5877,g,C.extensionEnvironment)}e.$bm=D;function I(C,g){return(0,N.$_l)(C["inspect-sharedprocess"],C["inspect-brk-sharedprocess"],5879,g,C.extensionEnvironment)}e.$cm=I}),define(oe[183],ae([0,1,12,154]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$op=void 0;function j(D,I,C,g){try{A(D,I,C,g)}catch(P){D.error(P?.message??P)}return I}e.$op=j;function A(D,I,C,g){const P=(E,m,c)=>{const $=E[m];if((0,O.$wf)($)){const y=$,d=y.length;if(d>1&&y[0]==="%"&&y[d-1]==="%"){const u=y.substr(1,d-2);let l=C[u];l===void 0&&g&&(l=g[u]);const h=typeof l=="string"?l:l?.message,w=g?.[u],S=typeof w=="string"?w:w?.message;if(!h){S||D.warn(`[${I.name}]: ${(0,N.localize)(0,null,u)}`);return}if(c&&(m==="title"||m==="category")&&S&&S!==h){const t={value:h,original:S};E[m]=t}else E[m]=h}}else if((0,O.$yf)($))for(const y in $)$.hasOwnProperty(y)&&(y==="commands"?P($,y,!0):P($,y,c));else if(Array.isArray($))for(let y=0;y<$.length;y++)P($,y,c)};for(const E in I)I.hasOwnProperty(E)&&P(I,E)}}),define(oe[184],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$E8b=e.$D8b=void 0;class O{constructor(A){this.a=A}get ignoredRecommendations(){throw new Error("not supported")}promptImportantExtensionsInstallNotification(A){return this.a.call("promptImportantExtensionsInstallNotification",[A])}promptWorkspaceRecommendations(A){throw new Error("not supported")}hasToIgnoreRecommendationNotifications(){throw new Error("not supported")}}e.$D8b=O;class N{constructor(A){this.a=A}listen(A,D){throw new Error(`Event not found: ${D}`)}call(A,D,I){switch(D){case"promptImportantExtensionsInstallNotification":return this.a.promptImportantExtensionsInstallNotification(I[0])}throw new Error(`Call not found: ${D}`)}}e.$E8b=N}),define(oe[67],ae([0,1,21,89,158,53]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Io=e.$Ho=e.$Go=e.$Fo=e.$Eo=e.$Do=e.$Co=void 0;const D=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,I=/^-(\d{4})(\d{2})(\d{2})$/;function C(u){return u=u.trim(),u==="*"||D.test(u)}e.$Co=C;function g(u){if(!C(u))return null;if(u=u.trim(),u==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const l=u.match(D);return l?{hasCaret:l[1]==="^",hasGreaterEquals:l[1]===">=",majorBase:l[2]==="x"?0:parseInt(l[2],10),majorMustEqual:l[2]!=="x",minorBase:l[4]==="x"?0:parseInt(l[4],10),minorMustEqual:l[4]!=="x",patchBase:l[6]==="x"?0:parseInt(l[6],10),patchMustEqual:l[6]!=="x",preRelease:l[8]||null}:null}e.$Do=g;function P(u){if(!u)return null;const l=u.majorBase,h=u.majorMustEqual,w=u.minorBase;let S=u.minorMustEqual;const t=u.patchBase;let a=u.patchMustEqual;u.hasCaret&&(l===0||(S=!1),a=!1);let n=0;if(u.preRelease){const s=I.exec(u.preRelease);if(s){const[,i,r,o]=s;n=Date.UTC(Number(i),Number(r)-1,Number(o))}}return{majorBase:l,majorMustEqual:h,minorBase:w,minorMustEqual:S,patchBase:t,patchMustEqual:a,isMinimum:u.hasGreaterEquals,notBefore:n}}e.$Eo=P;function E(u,l,h){let w;typeof u=="string"?w=P(g(u)):w=u;let S;l instanceof Date?S=l.getTime():typeof l=="string"&&(S=new Date(l).getTime());let t;if(typeof h=="string"?t=P(g(h)):t=h,!w||!t)return!1;const a=w.majorBase,n=w.minorBase,s=w.patchBase;let i=t.majorBase,r=t.minorBase,o=t.patchBase;const v=t.notBefore;let p=t.majorMustEqual,f=t.minorMustEqual,b=t.patchMustEqual;return t.isMinimum?a>i?!0:a<i?!1:n>r?!0:n<r||S&&S<v?!1:s>=o:(a===1&&i===0&&(!p||!f||!b)&&(i=1,r=0,o=0,p=!0,f=!1,b=!1),a<i?!1:a>i?!p:n<r?!1:n>r?!f:s<o?!1:s>o?!b:!(S&&S<v))}e.$Fo=E;function m(u,l,h,w,S){const t=[];if(typeof w.publisher<"u"&&typeof w.publisher!="string")return t.push([N.default.Error,j.localize(0,null)]),t;if(typeof w.name!="string")return t.push([N.default.Error,j.localize(1,null,"name")]),t;if(typeof w.version!="string")return t.push([N.default.Error,j.localize(2,null,"version")]),t;if(!w.engines)return t.push([N.default.Error,j.localize(3,null,"engines")]),t;if(typeof w.engines.vscode!="string")return t.push([N.default.Error,j.localize(4,null,"engines.vscode")]),t;if(typeof w.extensionDependencies<"u"&&!d(w.extensionDependencies))return t.push([N.default.Error,j.localize(5,null,"extensionDependencies")]),t;if(typeof w.activationEvents<"u"){if(!d(w.activationEvents))return t.push([N.default.Error,j.localize(6,null,"activationEvents")]),t;if(typeof w.main>"u"&&typeof w.browser>"u")return t.push([N.default.Error,j.localize(7,null,"activationEvents","main","browser")]),t}if(typeof w.extensionKind<"u"&&typeof w.main>"u"&&t.push([N.default.Warning,j.localize(8,null,"extensionKind")]),typeof w.main<"u"){if(typeof w.main!="string")return t.push([N.default.Error,j.localize(9,null,"main")]),t;{const s=(0,O.$sg)(h,w.main);(0,O.$mg)(s,h)||t.push([N.default.Warning,j.localize(10,null,s.path,h.path)])}}if(typeof w.browser<"u"){if(typeof w.browser!="string")return t.push([N.default.Error,j.localize(11,null,"browser")]),t;{const s=(0,O.$sg)(h,w.browser);(0,O.$mg)(s,h)||t.push([N.default.Warning,j.localize(12,null,s.path,h.path)])}}if(!A.valid(w.version))return t.push([N.default.Error,j.localize(13,null)]),t;const a=[];if(!c(u,l,w,S,a))for(const s of a)t.push([N.default.Error,s]);return t}e.$Go=m;function c(u,l,h,w,S){return w||typeof h.main>"u"&&typeof h.browser>"u"?!0:y(u,l,h.engines.vscode,S)}e.$Ho=c;function $(u,l,h){return u==="*"||y(l,h,u)}e.$Io=$;function y(u,l,h,w=[]){const S=P(g(h));if(!S)return w.push(j.localize(14,null,h)),!1;if(S.majorBase===0){if(!S.majorMustEqual||!S.minorMustEqual)return w.push(j.localize(15,null,h)),!1}else if(!S.majorMustEqual)return w.push(j.localize(16,null,h)),!1;return E(u,l,S)?!0:(w.push(j.localize(17,null,u,h)),!1)}function d(u){if(!Array.isArray(u))return!1;for(let l=0,h=u.length;l<h;l++)if(typeof u[l]!="string")return!1;return!0}}),define(oe[43],ae([0,1,15,32]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3o=void 0;async function j(A,D,I){let C=I&&I.get("storage.serviceMachineId",-1)||null;if(C)return C;try{const P=(await D.readFile(A.serviceMachineIdResource)).value.toString();C=(0,N.$ag)(P)?P:null}catch{C=null}if(!C){C=(0,N.$bg)();try{await D.writeFile(A.serviceMachineIdResource,O.$_d.fromString(C))}catch{}}return I?.store("storage.serviceMachineId",C,-1,1),C}e.$3o=j}),define(oe[68],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ih=void 0;class O{constructor(j,A=[],D=!1){this.ctor=j,this.staticArguments=A,this.supportsDelayedInstantiation=D}}e.$Ih=O}),define(oe[185],ae([0,1,68]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$or=e.$nr=e.InstantiationType=void 0;const N=[];var j;(function(I){I[I.Eager=0]="Eager",I[I.Delayed=1]="Delayed"})(j||(e.InstantiationType=j={}));function A(I,C,g){C instanceof O.$Ih||(C=new O.$Ih(C,[],!!g)),N.push([I,C])}e.$nr=A;function D(){return N}e.$or=D}),define(oe[186],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6p=e.$5p=void 0;class O{constructor(A,D){this.key=A,this.data=D,this.incoming=new Map,this.outgoing=new Map}}e.$5p=O;class N{constructor(A){this.b=A,this.a=new Map}roots(){const A=[];for(const D of this.a.values())D.outgoing.size===0&&A.push(D);return A}insertEdge(A,D){const I=this.lookupOrInsertNode(A),C=this.lookupOrInsertNode(D);I.outgoing.set(C.key,C),C.incoming.set(I.key,I)}removeNode(A){const D=this.b(A);this.a.delete(D);for(const I of this.a.values())I.outgoing.delete(D),I.incoming.delete(D)}lookupOrInsertNode(A){const D=this.b(A);let I=this.a.get(D);return I||(I=new O(D,A),this.a.set(D,I)),I}lookup(A){return this.a.get(this.b(A))}isEmpty(){return this.a.size===0}toString(){const A=[];for(const[D,I]of this.a)A.push(`${D}
	(-> incoming)[${[...I.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...I.outgoing.keys()].join(",")}]
`);return A.join(`
`)}findCycleSlow(){for(const[A,D]of this.a){const I=new Set([A]),C=this.c(D,I);if(C)return C}}c(A,D){for(const[I,C]of A.outgoing){if(D.has(I))return[...D,I].join(" -> ");D.add(I);const g=this.c(C,D);if(g)return g;D.delete(I)}}}e.$6p=N}),define(oe[4],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mh=e.$Lh=e.$Kh=e._util=void 0;var O;(function(D){D.serviceIds=new Map,D.DI_TARGET="$di$target",D.DI_DEPENDENCIES="$di$dependencies";function I(C){return C[D.DI_DEPENDENCIES]||[]}D.getServiceDependencies=I})(O||(e._util=O={})),e.$Kh=j("instantiationService");function N(D,I,C){I[O.DI_TARGET]===I?I[O.DI_DEPENDENCIES].push({id:D,index:C}):(I[O.DI_DEPENDENCIES]=[{id:D,index:C}],I[O.DI_TARGET]=I)}function j(D){if(O.serviceIds.has(D))return O.serviceIds.get(D);const I=function(C,g,P){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");N(I,C,P)};return I.toString=()=>D,O.serviceIds.set(D,I),I}e.$Lh=j;function A(D){return D}e.$Mh=A}),define(oe[187],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$a8b=void 0,e.$a8b=(0,O.$Lh)("checksumService")}),define(oe[19],ae([0,1,12,10,4]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pi=e.$oi=e.$ni=e.$mi=e.$li=e.$ki=e.$ji=e.$ii=e.ConfigurationTarget=e.$hi=e.$gi=e.$fi=void 0,e.$fi=(0,j.$Lh)("configurationService");function A(u){return u&&typeof u=="object"&&(!u.overrideIdentifier||typeof u.overrideIdentifier=="string")&&(!u.resource||u.resource instanceof N.URI)}e.$gi=A;function D(u){return u&&typeof u=="object"&&(!u.overrideIdentifiers||Array.isArray(u.overrideIdentifiers))&&!u.overrideIdentifier&&(!u.resource||u.resource instanceof N.URI)}e.$hi=D;var I;(function(u){u[u.APPLICATION=1]="APPLICATION",u[u.USER=2]="USER",u[u.USER_LOCAL=3]="USER_LOCAL",u[u.USER_REMOTE=4]="USER_REMOTE",u[u.WORKSPACE=5]="WORKSPACE",u[u.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",u[u.DEFAULT=7]="DEFAULT",u[u.MEMORY=8]="MEMORY"})(I||(e.ConfigurationTarget=I={}));function C(u){switch(u){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.$ii=C;function g(u){return u.applicationValue!==void 0||u.userValue!==void 0||u.userLocalValue!==void 0||u.userRemoteValue!==void 0||u.workspaceValue!==void 0||u.workspaceFolderValue!==void 0}e.$ji=g;function P(u,l){const h=Object.create(null);for(const w in u)E(h,w,u[w],l);return h}e.$ki=P;function E(u,l,h,w){const S=l.split("."),t=S.pop();let a=u;for(let n=0;n<S.length;n++){const s=S[n];let i=a[s];switch(typeof i){case"undefined":i=a[s]=Object.create(null);break;case"object":break;default:w(`Ignoring ${l} as ${S.slice(0,n+1).join(".")} is ${JSON.stringify(i)}`);return}a=i}if(typeof a=="object"&&a!==null)try{a[t]=h}catch{w(`Ignoring ${l} as ${S.join(".")} is ${JSON.stringify(a)}`)}else w(`Ignoring ${l} as ${S.join(".")} is ${JSON.stringify(a)}`)}e.$li=E;function m(u,l){const h=l.split(".");c(u,h)}e.$mi=m;function c(u,l){const h=l.shift();if(l.length===0){delete u[h];return}if(Object.keys(u).indexOf(h)!==-1){const w=u[h];typeof w=="object"&&!Array.isArray(w)&&(c(w,l),Object.keys(w).length===0&&delete u[h])}}function $(u,l,h){function w(a,n){let s=a;for(const i of n){if(typeof s!="object"||s===null)return;s=s[i]}return s}const S=l.split("."),t=w(u,S);return typeof t>"u"?h:t}e.$ni=$;function y(u,l,h){Object.keys(l).forEach(w=>{w!=="__proto__"&&(w in u?O.$yf(u[w])&&O.$yf(l[w])?y(u[w],l[w],h):h&&(u[w]=l[w]):u[w]=l[w])})}e.$oi=y;function d(u){return u.replace(/[\[\]]/g,"")}e.$pi=d}),define(oe[94],ae([0,1,6,27,179,4,150,8]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5i=e.$4i=e.$3i=e.$2i=e.$1i=e.$Zi=e.$Yi=e.$Xi=e.$Wi=e.$Vi=e.$Ui=e.$Ti=e.$Si=e.$Ri=e.$Qi=e.$Pi=e.$Oi=e.$Ni=e.$Mi=e.$Li=e.$Ki=e.$Ji=e.$Ii=e.ContextKeyExprType=e.$Hi=void 0;const C=new Map;C.set("false",!1),C.set("true",!0),C.set("isMac",O.$j),C.set("isLinux",O.$k),C.set("isWindows",O.$i),C.set("isWeb",O.$o),C.set("isMacNative",O.$j&&!O.$o),C.set("isEdge",O.$G),C.set("isFirefox",O.$E),C.set("isChrome",O.$D),C.set("isSafari",O.$F);function g(B,k){if(C.get(B)!==void 0)throw(0,I.$5)("contextkey.setConstant(k, v) invoked with already set constant `k`");C.set(B,k)}e.$Hi=g;const P=Object.prototype.hasOwnProperty;var E;(function(B){B[B.False=0]="False",B[B.True=1]="True",B[B.Defined=2]="Defined",B[B.Not=3]="Not",B[B.Equals=4]="Equals",B[B.NotEquals=5]="NotEquals",B[B.And=6]="And",B[B.Regex=7]="Regex",B[B.NotRegex=8]="NotRegex",B[B.Or=9]="Or",B[B.In=10]="In",B[B.NotIn=11]="NotIn",B[B.Greater=12]="Greater",B[B.GreaterEquals=13]="GreaterEquals",B[B.Smaller=14]="Smaller",B[B.SmallerEquals=15]="SmallerEquals"})(E||(e.ContextKeyExprType=E={}));const m={regexParsingWithErrorRecovery:!0},c=(0,D.localize)(0,null),$=(0,D.localize)(1,null),y=(0,D.localize)(2,null),d=(0,D.localize)(3,null),u=(0,D.localize)(4,null),l=(0,D.localize)(5,null),h=(0,D.localize)(6,null),w=(0,D.localize)(7,null);class S{static{this.c=new Error}get lexingErrors(){return this.d.errors}get parsingErrors(){return this.h}constructor(k=m){this.k=k,this.d=new j.$Gi,this.f=[],this.g=0,this.h=[],this.v=/g|y/g}parse(k){if(k===""){this.h.push({message:c,offset:0,lexeme:"",additionalInfo:$});return}this.f=this.d.reset(k).scan(),this.g=0,this.h=[];try{const R=this.l();if(!this.E()){const q=this.D(),M=q.type===17?l:void 0;throw this.h.push({message:u,offset:q.offset,lexeme:j.$Gi.getLexeme(q),additionalInfo:M}),S.c}return R}catch(R){if(R!==S.c)throw R;return}}l(){return this.m()}m(){const k=[this.o()];for(;this.y(16);){const R=this.o();k.push(R)}return k.length===1?k[0]:t.or(...k)}o(){const k=[this.s()];for(;this.y(15);){const R=this.s();k.push(R)}return k.length===1?k[0]:t.and(...k)}s(){if(this.y(2)){const k=this.D();switch(k.type){case 11:return this.z(),i.INSTANCE;case 12:return this.z(),r.INSTANCE;case 0:{this.z();const R=this.l();return this.A(1,d),R?.negate()}case 17:return this.z(),L.create(k.lexeme);default:throw this.B("KEY | true | false | '(' expression ')'",k)}}return this.t()}t(){const k=this.D();switch(k.type){case 11:return this.z(),t.true();case 12:return this.z(),t.false();case 0:{this.z();const R=this.l();return this.A(1,d),R}case 17:{const R=k.lexeme;if(this.z(),this.y(9)){const M=this.D();if(!this.k.regexParsingWithErrorRecovery){if(this.z(),M.type!==10)throw this.B("REGEX",M);const J=M.lexeme,Y=J.lastIndexOf("/"),se=Y===J.length-1?void 0:this.w(J.substring(Y+1));let le;try{le=new RegExp(J.substring(1,Y),se)}catch{throw this.B("REGEX",M)}return K.create(R,le)}switch(M.type){case 10:case 19:{const J=[M.lexeme];this.z();let Y=this.D(),se=0;for(let de=0;de<M.lexeme.length;de++)M.lexeme.charCodeAt(de)===40?se++:M.lexeme.charCodeAt(de)===41&&se--;for(;!this.E()&&Y.type!==15&&Y.type!==16;){switch(Y.type){case 0:se++;break;case 1:se--;break;case 10:case 18:for(let de=0;de<Y.lexeme.length;de++)Y.lexeme.charCodeAt(de)===40?se++:M.lexeme.charCodeAt(de)===41&&se--}if(se<0)break;J.push(j.$Gi.getLexeme(Y)),this.z(),Y=this.D()}const le=J.join(""),ue=le.lastIndexOf("/"),he=ue===le.length-1?void 0:this.w(le.substring(ue+1));let $e;try{$e=new RegExp(le.substring(1,ue),he)}catch{throw this.B("REGEX",M)}return t.regex(R,$e)}case 18:{const J=M.lexeme;this.z();let Y=null;if(!(0,N.$ze)(J)){const se=J.indexOf("/"),le=J.lastIndexOf("/");if(se!==le&&se>=0){const ue=J.slice(se+1,le),he=J[le+1]==="i"?"i":"";try{Y=new RegExp(ue,he)}catch{throw this.B("REGEX",M)}}}if(Y===null)throw this.B("REGEX",M);return K.create(R,Y)}default:throw this.B("REGEX",this.D())}}if(this.y(14)){this.A(13,y);const M=this.u();return t.notIn(R,M)}switch(this.D().type){case 3:{this.z();const M=this.u();if(this.x().type===18)return t.equals(R,M);switch(M){case"true":return t.has(R);case"false":return t.not(R);default:return t.equals(R,M)}}case 4:{this.z();const M=this.u();if(this.x().type===18)return t.notEquals(R,M);switch(M){case"true":return t.not(R);case"false":return t.has(R);default:return t.notEquals(R,M)}}case 5:return this.z(),U.create(R,this.u());case 6:return this.z(),_.create(R,this.u());case 7:return this.z(),T.create(R,this.u());case 8:return this.z(),z.create(R,this.u());case 13:return this.z(),t.in(R,this.u());default:return t.has(R)}}case 20:throw this.h.push({message:h,offset:k.offset,lexeme:"",additionalInfo:w}),S.c;default:throw this.B(`true | false | KEY 
	| KEY '=~' REGEX 
	| KEY ('==' | '!=' | '<' | '<=' | '>' | '>=' | 'in' | 'not' 'in') value`,this.D())}}u(){const k=this.D();switch(k.type){case 17:case 18:return this.z(),k.lexeme;case 11:return this.z(),"true";case 12:return this.z(),"false";case 13:return this.z(),"in";default:return""}}w(k){return k.replaceAll(this.v,"")}x(){return this.f[this.g-1]}y(k){return this.C(k)?(this.z(),!0):!1}z(){return this.E()||this.g++,this.x()}A(k,R){if(this.C(k))return this.z();throw this.B(R,this.D())}B(k,R,q){const M=(0,D.localize)(8,null,k,j.$Gi.getLexeme(R)),J=R.offset,Y=j.$Gi.getLexeme(R);return this.h.push({message:M,offset:J,lexeme:Y,additionalInfo:q}),S.c}C(k){return this.D().type===k}D(){return this.f[this.g]}E(){return this.D().type===20}}e.$Ii=S;class t{static false(){return i.INSTANCE}static true(){return r.INSTANCE}static has(k){return o.create(k)}static equals(k,R){return v.create(k,R)}static notEquals(k,R){return b.create(k,R)}static regex(k,R){return K.create(k,R)}static in(k,R){return p.create(k,R)}static notIn(k,R){return f.create(k,R)}static not(k){return L.create(k)}static and(...k){return Q.create(k,null,!0)}static or(...k){return H.create(k,null,!0)}static greater(k,R){return T.create(k,R)}static greaterEquals(k,R){return z.create(k,R)}static smaller(k,R){return U.create(k,R)}static smallerEquals(k,R){return _.create(k,R)}static{this.c=new S({regexParsingWithErrorRecovery:!1})}static deserialize(k){return k==null?void 0:this.c.parse(k)}}e.$Ji=t;function a(B){const k=new S({regexParsingWithErrorRecovery:!1});return B.map(R=>(k.parse(R),k.lexingErrors.length>0?k.lexingErrors.map(q=>({errorMessage:q.additionalInfo?(0,D.localize)(9,null,q.additionalInfo):(0,D.localize)(10,null),offset:q.offset,length:q.lexeme.length})):k.parsingErrors.length>0?k.parsingErrors.map(q=>({errorMessage:q.additionalInfo?`${q.message}. ${q.additionalInfo}`:q.message,offset:q.offset,length:q.lexeme.length})):[]))}e.$Ki=a;function n(B,k){const R=B?B.substituteConstants():void 0,q=k?k.substituteConstants():void 0;return!R&&!q?!0:!R||!q?!1:R.equals(q)}e.$Li=n;function s(B,k){return B.cmp(k)}class i{static{this.INSTANCE=new i}constructor(){this.type=0}cmp(k){return this.type-k.type}equals(k){return k.type===this.type}substituteConstants(){return this}evaluate(k){return!1}serialize(){return"false"}keys(){return[]}map(k){return this}negate(){return r.INSTANCE}}e.$Mi=i;class r{static{this.INSTANCE=new r}constructor(){this.type=1}cmp(k){return this.type-k.type}equals(k){return k.type===this.type}substituteConstants(){return this}evaluate(k){return!0}serialize(){return"true"}keys(){return[]}map(k){return this}negate(){return i.INSTANCE}}e.$Ni=r;class o{static create(k,R=null){const q=C.get(k);return typeof q=="boolean"?q?r.INSTANCE:i.INSTANCE:new o(k,R)}constructor(k,R){this.key=k,this.c=R,this.type=2}cmp(k){return k.type!==this.type?this.type-k.type:W(this.key,k.key)}equals(k){return k.type===this.type?this.key===k.key:!1}substituteConstants(){const k=C.get(this.key);return typeof k=="boolean"?k?r.INSTANCE:i.INSTANCE:this}evaluate(k){return!!k.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(k){return k.mapDefined(this.key)}negate(){return this.c||(this.c=L.create(this.key,this)),this.c}}e.$Oi=o;class v{static create(k,R,q=null){if(typeof R=="boolean")return R?o.create(k,q):L.create(k,q);const M=C.get(k);return typeof M=="boolean"?R===(M?"true":"false")?r.INSTANCE:i.INSTANCE:new v(k,R,q)}constructor(k,R,q){this.c=k,this.d=R,this.f=q,this.type=4}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.c,this.d,k.c,k.d)}equals(k){return k.type===this.type?this.c===k.c&&this.d===k.d:!1}substituteConstants(){const k=C.get(this.c);if(typeof k=="boolean"){const R=k?"true":"false";return this.d===R?r.INSTANCE:i.INSTANCE}return this}evaluate(k){return k.getValue(this.c)==this.d}serialize(){return`${this.c} == '${this.d}'`}keys(){return[this.c]}map(k){return k.mapEquals(this.c,this.d)}negate(){return this.f||(this.f=b.create(this.c,this.d,this)),this.f}}e.$Pi=v;class p{static create(k,R){return new p(k,R)}constructor(k,R){this.d=k,this.f=R,this.type=10,this.c=null}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.d,this.f,k.d,k.f)}equals(k){return k.type===this.type?this.d===k.d&&this.f===k.f:!1}substituteConstants(){return this}evaluate(k){const R=k.getValue(this.f),q=k.getValue(this.d);return Array.isArray(R)?R.includes(q):typeof q=="string"&&typeof R=="object"&&R!==null?P.call(R,q):!1}serialize(){return`${this.d} in '${this.f}'`}keys(){return[this.d,this.f]}map(k){return k.mapIn(this.d,this.f)}negate(){return this.c||(this.c=f.create(this.d,this.f)),this.c}}e.$Qi=p;class f{static create(k,R){return new f(k,R)}constructor(k,R){this.d=k,this.f=R,this.type=11,this.c=p.create(k,R)}cmp(k){return k.type!==this.type?this.type-k.type:this.c.cmp(k.c)}equals(k){return k.type===this.type?this.c.equals(k.c):!1}substituteConstants(){return this}evaluate(k){return!this.c.evaluate(k)}serialize(){return`${this.d} not in '${this.f}'`}keys(){return this.c.keys()}map(k){return k.mapNotIn(this.d,this.f)}negate(){return this.c}}e.$Ri=f;class b{static create(k,R,q=null){if(typeof R=="boolean")return R?L.create(k,q):o.create(k,q);const M=C.get(k);return typeof M=="boolean"?R===(M?"true":"false")?i.INSTANCE:r.INSTANCE:new b(k,R,q)}constructor(k,R,q){this.c=k,this.d=R,this.f=q,this.type=5}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.c,this.d,k.c,k.d)}equals(k){return k.type===this.type?this.c===k.c&&this.d===k.d:!1}substituteConstants(){const k=C.get(this.c);if(typeof k=="boolean"){const R=k?"true":"false";return this.d===R?i.INSTANCE:r.INSTANCE}return this}evaluate(k){return k.getValue(this.c)!=this.d}serialize(){return`${this.c} != '${this.d}'`}keys(){return[this.c]}map(k){return k.mapNotEquals(this.c,this.d)}negate(){return this.f||(this.f=v.create(this.c,this.d,this)),this.f}}e.$Si=b;class L{static create(k,R=null){const q=C.get(k);return typeof q=="boolean"?q?i.INSTANCE:r.INSTANCE:new L(k,R)}constructor(k,R){this.c=k,this.d=R,this.type=3}cmp(k){return k.type!==this.type?this.type-k.type:W(this.c,k.c)}equals(k){return k.type===this.type?this.c===k.c:!1}substituteConstants(){const k=C.get(this.c);return typeof k=="boolean"?k?i.INSTANCE:r.INSTANCE:this}evaluate(k){return!k.getValue(this.c)}serialize(){return`!${this.c}`}keys(){return[this.c]}map(k){return k.mapNot(this.c)}negate(){return this.d||(this.d=o.create(this.c,this)),this.d}}e.$Ti=L;function F(B,k){if(typeof B=="string"){const R=parseFloat(B);isNaN(R)||(B=R)}return typeof B=="string"||typeof B=="number"?k(B):i.INSTANCE}class T{static create(k,R,q=null){return F(R,M=>new T(k,M,q))}constructor(k,R,q){this.c=k,this.d=R,this.f=q,this.type=12}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.c,this.d,k.c,k.d)}equals(k){return k.type===this.type?this.c===k.c&&this.d===k.d:!1}substituteConstants(){return this}evaluate(k){return typeof this.d=="string"?!1:parseFloat(k.getValue(this.c))>this.d}serialize(){return`${this.c} > ${this.d}`}keys(){return[this.c]}map(k){return k.mapGreater(this.c,this.d)}negate(){return this.f||(this.f=_.create(this.c,this.d,this)),this.f}}e.$Ui=T;class z{static create(k,R,q=null){return F(R,M=>new z(k,M,q))}constructor(k,R,q){this.c=k,this.d=R,this.f=q,this.type=13}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.c,this.d,k.c,k.d)}equals(k){return k.type===this.type?this.c===k.c&&this.d===k.d:!1}substituteConstants(){return this}evaluate(k){return typeof this.d=="string"?!1:parseFloat(k.getValue(this.c))>=this.d}serialize(){return`${this.c} >= ${this.d}`}keys(){return[this.c]}map(k){return k.mapGreaterEquals(this.c,this.d)}negate(){return this.f||(this.f=U.create(this.c,this.d,this)),this.f}}e.$Vi=z;class U{static create(k,R,q=null){return F(R,M=>new U(k,M,q))}constructor(k,R,q){this.c=k,this.d=R,this.f=q,this.type=14}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.c,this.d,k.c,k.d)}equals(k){return k.type===this.type?this.c===k.c&&this.d===k.d:!1}substituteConstants(){return this}evaluate(k){return typeof this.d=="string"?!1:parseFloat(k.getValue(this.c))<this.d}serialize(){return`${this.c} < ${this.d}`}keys(){return[this.c]}map(k){return k.mapSmaller(this.c,this.d)}negate(){return this.f||(this.f=z.create(this.c,this.d,this)),this.f}}e.$Wi=U;class _{static create(k,R,q=null){return F(R,M=>new _(k,M,q))}constructor(k,R,q){this.c=k,this.d=R,this.f=q,this.type=15}cmp(k){return k.type!==this.type?this.type-k.type:ee(this.c,this.d,k.c,k.d)}equals(k){return k.type===this.type?this.c===k.c&&this.d===k.d:!1}substituteConstants(){return this}evaluate(k){return typeof this.d=="string"?!1:parseFloat(k.getValue(this.c))<=this.d}serialize(){return`${this.c} <= ${this.d}`}keys(){return[this.c]}map(k){return k.mapSmallerEquals(this.c,this.d)}negate(){return this.f||(this.f=T.create(this.c,this.d,this)),this.f}}e.$Xi=_;class K{static create(k,R){return new K(k,R)}constructor(k,R){this.d=k,this.f=R,this.type=7,this.c=null}cmp(k){if(k.type!==this.type)return this.type-k.type;if(this.d<k.d)return-1;if(this.d>k.d)return 1;const R=this.f?this.f.source:"",q=k.f?k.f.source:"";return R<q?-1:R>q?1:0}equals(k){if(k.type===this.type){const R=this.f?this.f.source:"",q=k.f?k.f.source:"";return this.d===k.d&&R===q}return!1}substituteConstants(){return this}evaluate(k){const R=k.getValue(this.d);return this.f?this.f.test(R):!1}serialize(){const k=this.f?`/${this.f.source}/${this.f.flags}`:"/invalid/";return`${this.d} =~ ${k}`}keys(){return[this.d]}map(k){return k.mapRegex(this.d,this.f)}negate(){return this.c||(this.c=Z.create(this)),this.c}}e.$Yi=K;class Z{static create(k){return new Z(k)}constructor(k){this.c=k,this.type=8}cmp(k){return k.type!==this.type?this.type-k.type:this.c.cmp(k.c)}equals(k){return k.type===this.type?this.c.equals(k.c):!1}substituteConstants(){return this}evaluate(k){return!this.c.evaluate(k)}serialize(){return`!(${this.c.serialize()})`}keys(){return this.c.keys()}map(k){return new Z(this.c.map(k))}negate(){return this.c}}e.$Zi=Z;function G(B){let k=null;for(let R=0,q=B.length;R<q;R++){const M=B[R].substituteConstants();if(B[R]!==M&&k===null){k=[];for(let J=0;J<R;J++)k[J]=B[J]}k!==null&&(k[R]=M)}return k===null?B:k}class Q{static create(k,R,q){return Q.d(k,R,q)}constructor(k,R){this.expr=k,this.c=R,this.type=6}cmp(k){if(k.type!==this.type)return this.type-k.type;if(this.expr.length<k.expr.length)return-1;if(this.expr.length>k.expr.length)return 1;for(let R=0,q=this.expr.length;R<q;R++){const M=s(this.expr[R],k.expr[R]);if(M!==0)return M}return 0}equals(k){if(k.type===this.type){if(this.expr.length!==k.expr.length)return!1;for(let R=0,q=this.expr.length;R<q;R++)if(!this.expr[R].equals(k.expr[R]))return!1;return!0}return!1}substituteConstants(){const k=G(this.expr);return k===this.expr?this:Q.create(k,this.c,!1)}evaluate(k){for(let R=0,q=this.expr.length;R<q;R++)if(!this.expr[R].evaluate(k))return!1;return!0}static d(k,R,q){const M=[];let J=!1;for(const Y of k)if(Y){if(Y.type===1){J=!0;continue}if(Y.type===0)return i.INSTANCE;if(Y.type===6){M.push(...Y.expr);continue}M.push(Y)}if(M.length===0&&J)return r.INSTANCE;if(M.length!==0){if(M.length===1)return M[0];M.sort(s);for(let Y=1;Y<M.length;Y++)M[Y-1].equals(M[Y])&&(M.splice(Y,1),Y--);if(M.length===1)return M[0];for(;M.length>1;){const Y=M[M.length-1];if(Y.type!==9)break;M.pop();const se=M.pop(),le=M.length===0,ue=H.create(Y.expr.map(he=>Q.create([he,se],null,q)),null,le);ue&&(M.push(ue),M.sort(s))}if(M.length===1)return M[0];if(q){for(let Y=0;Y<M.length;Y++)for(let se=Y+1;se<M.length;se++)if(M[Y].negate().equals(M[se]))return i.INSTANCE;if(M.length===1)return M[0]}return new Q(M,R)}}serialize(){return this.expr.map(k=>k.serialize()).join(" && ")}keys(){const k=[];for(const R of this.expr)k.push(...R.keys());return k}map(k){return new Q(this.expr.map(R=>R.map(k)),null)}negate(){if(!this.c){const k=[];for(const R of this.expr)k.push(R.negate());this.c=H.create(k,this,!0)}return this.c}}e.$1i=Q;class H{static create(k,R,q){return H.d(k,R,q)}constructor(k,R){this.expr=k,this.c=R,this.type=9}cmp(k){if(k.type!==this.type)return this.type-k.type;if(this.expr.length<k.expr.length)return-1;if(this.expr.length>k.expr.length)return 1;for(let R=0,q=this.expr.length;R<q;R++){const M=s(this.expr[R],k.expr[R]);if(M!==0)return M}return 0}equals(k){if(k.type===this.type){if(this.expr.length!==k.expr.length)return!1;for(let R=0,q=this.expr.length;R<q;R++)if(!this.expr[R].equals(k.expr[R]))return!1;return!0}return!1}substituteConstants(){const k=G(this.expr);return k===this.expr?this:H.create(k,this.c,!1)}evaluate(k){for(let R=0,q=this.expr.length;R<q;R++)if(this.expr[R].evaluate(k))return!0;return!1}static d(k,R,q){let M=[],J=!1;if(k){for(let Y=0,se=k.length;Y<se;Y++){const le=k[Y];if(le){if(le.type===0){J=!0;continue}if(le.type===1)return r.INSTANCE;if(le.type===9){M=M.concat(le.expr);continue}M.push(le)}}if(M.length===0&&J)return i.INSTANCE;M.sort(s)}if(M.length!==0){if(M.length===1)return M[0];for(let Y=1;Y<M.length;Y++)M[Y-1].equals(M[Y])&&(M.splice(Y,1),Y--);if(M.length===1)return M[0];if(q){for(let Y=0;Y<M.length;Y++)for(let se=Y+1;se<M.length;se++)if(M[Y].negate().equals(M[se]))return r.INSTANCE;if(M.length===1)return M[0]}return new H(M,R)}}serialize(){return this.expr.map(k=>k.serialize()).join(" || ")}keys(){const k=[];for(const R of this.expr)k.push(...R.keys());return k}map(k){return new H(this.expr.map(R=>R.map(k)),null)}negate(){if(!this.c){const k=[];for(const R of this.expr)k.push(R.negate());for(;k.length>1;){const R=k.shift(),q=k.shift(),M=[];for(const J of X(R))for(const Y of X(q))M.push(Q.create([J,Y],null,!1));k.unshift(H.create(M,null,!1))}this.c=H.create(k,this,!0)}return this.c}}e.$2i=H;class V extends o{static{this.d=[]}static all(){return V.d.values()}constructor(k,R,q){super(k,null),this.f=R,typeof q=="object"?V.d.push({...q,key:k}):q!==!0&&V.d.push({key:k,description:q,type:R!=null?typeof R:void 0})}bindTo(k){return k.createKey(this.key,this.f)}getValue(k){return k.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(k){return v.create(this.key,k)}notEqualsTo(k){return b.create(this.key,k)}}e.$3i=V,e.$4i=(0,A.$Lh)("contextKeyService");function W(B,k){return B<k?-1:B>k?1:0}function ee(B,k,R,q){return B<R?-1:B>R?1:k<q?-1:k>q?1:0}function ne(B,k){if(B.type===0||k.type===1)return!0;if(B.type===9)return k.type===9?re(B.expr,k.expr):!1;if(k.type===9){for(const R of k.expr)if(ne(B,R))return!0;return!1}if(B.type===6){if(k.type===6)return re(k.expr,B.expr);for(const R of B.expr)if(ne(R,k))return!0;return!1}return B.equals(k)}e.$5i=ne;function re(B,k){let R=0,q=0;for(;R<B.length&&q<k.length;){const M=B[R].cmp(k[q]);if(M<0)return!1;M===0&&R++,q++}return R===B.length}function X(B){return B.type===9?B.expr:[B]}}),define(oe[95],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jm=e.$im=e.$hm=e.ID=void 0,e.ID="diagnosticsService",e.$hm=(0,O.$Lh)(e.ID);function N(A){return!!A.hostName&&!!A.errorMessage}e.$im=N;class j{async getPerformanceInfo(D,I){return{}}async getSystemInfo(D,I){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(D,I){return""}async getWorkspaceFileExtensions(D){return{extensions:[]}}async reportWorkspaceStats(D){}}e.$jm=j}),define(oe[96],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$En=void 0,e.$En=(0,O.$Lh)("downloadService")}),define(oe[14],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Th=e.$Sh=void 0,e.$Sh=(0,O.$Lh)("environmentService"),e.$Th=(0,O.$Mh)(e.$Sh)}),define(oe[29],ae([0,1,153,4]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0n=e.$9n=e.$8n=e.$7n=e.$6n=e.$5n=e.$4n=e.$3n=e.$2n=e.ExtensionSignaturetErrorCode=e.ExtensionManagementErrorCode=e.$1n=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.$Zn=e.$Yn=e.$Xn=e.$Wn=e.$Vn=e.$Un=e.$Tn=e.$Sn=e.$Rn=e.$Qn=e.$Pn=e.$On=e.$Nn=void 0,e.$Nn="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.$On=new RegExp(e.$Nn),e.$Pn="__web_extension",e.$Qn="skipWalkthrough",e.$Rn="extensionsSync",e.$Sn="dependecyOrPackExtensionInstall";function j(l){switch(l){case"win32-x64":return"Windows 64 bit";case"win32-ia32":return"Windows 32 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.$Tn=j;function A(l){switch(l){case"win32-x64":return"win32-x64";case"win32-ia32":return"win32-ia32";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.$Un=A;function D(l,h){switch(l){case 3:return h==="x64"?"win32-x64":h==="ia32"?"win32-ia32":h==="arm64"?"win32-arm64":"unknown";case 2:return h==="x64"?"linux-x64":h==="arm64"?"linux-arm64":h==="arm"?"linux-armhf":"unknown";case"alpine":return h==="x64"?"alpine-x64":h==="arm64"?"alpine-arm64":"unknown";case 1:return h==="x64"?"darwin-x64":h==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.$Vn=D;function I(l,h){return h==="web"&&!l.includes("web")}e.$Wn=I;function C(l,h,w){return I(h,w)?!1:l==="undefined"||l==="universal"?!0:l==="unknown"?!1:l===w?!0:g(w).includes(l)}e.$Xn=C;function g(l){switch(l){case"win32-x64":return["win32-ia32"];case"win32-arm64":return["win32-ia32"]}return[]}e.$Yn=g;function P(l){return l&&typeof l=="object"&&typeof l.id=="string"&&(!l.uuid||typeof l.uuid=="string")}e.$Zn=P;var E;(function(l){l[l.NoneOrRelevance=0]="NoneOrRelevance",l[l.LastUpdatedDate=1]="LastUpdatedDate",l[l.Title=2]="Title",l[l.PublisherName=3]="PublisherName",l[l.InstallCount=4]="InstallCount",l[l.PublishedDate=10]="PublishedDate",l[l.AverageRating=6]="AverageRating",l[l.WeightedRating=12]="WeightedRating"})(E||(e.SortBy=E={}));var m;(function(l){l[l.Default=0]="Default",l[l.Ascending=1]="Ascending",l[l.Descending=2]="Descending"})(m||(e.SortOrder=m={}));var c;(function(l){l.Install="install",l.Uninstall="uninstall"})(c||(e.StatisticType=c={}));var $;(function(l){l[l.None=1]="None",l[l.Install=2]="Install",l[l.Update=3]="Update",l[l.Migrate=4]="Migrate"})($||(e.InstallOperation=$={})),e.$1n=(0,N.$Lh)("extensionGalleryService");var y;(function(l){l.Unsupported="Unsupported",l.Deprecated="Deprecated",l.Malicious="Malicious",l.Incompatible="Incompatible",l.IncompatibleTargetPlatform="IncompatibleTargetPlatform",l.ReleaseVersionNotFound="ReleaseVersionNotFound",l.Invalid="Invalid",l.Download="Download",l.Extract="Extract",l.Delete="Delete",l.Rename="Rename",l.CorruptZip="CorruptZip",l.IncompleteZip="IncompleteZip",l.Signature="Signature",l.Internal="Internal"})(y||(e.ExtensionManagementErrorCode=y={}));var d;(function(l){l.UnknownError="UnknownError",l.PackageIsInvalidZip="PackageIsInvalidZip",l.SignatureArchiveIsInvalidZip="SignatureArchiveIsInvalidZip"})(d||(e.ExtensionSignaturetErrorCode=d={}));class u extends Error{constructor(h,w){super(h),this.code=w,this.name=w}}e.$2n=u,e.$3n=(0,N.$Lh)("extensionManagementService"),e.$4n="extensionsIdentifiers/disabled",e.$5n="extensionsIdentifiers/enabled",e.$6n=(0,N.$Lh)("IGlobalExtensionEnablementService"),e.$7n=(0,N.$Lh)("IExtensionTipsService"),e.$8n=(0,O.localize)(0,null),e.$9n={value:e.$8n,original:"Extensions"},e.$0n={value:(0,O.localize)(1,null),original:"Preferences"}}),define(oe[188],ae([0,1,3,2,30,10,92,29]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ap=e.$_o=e.$$o=void 0;function C(d,u){return d?A.URI.revive(u?u.transformIncoming(d):d):void 0}function g(d,u){return u?u.transformOutgoingURI(d):d}function P(d,u){u=u||D.$Dm;const l=d.manifest;return{...(0,D.$Gm)({...d,manifest:void 0},u),manifest:l}}function E(d,u){return d?.profileLocation?(0,D.$Gm)(d,u??D.$Dm):d}function m(d,u){return u?(0,j.$Ym)(d,l=>l instanceof A.URI?u.transformOutgoingURI(l):void 0):d}class c{constructor(u,l){this.a=u,this.b=l,this.onInstallExtension=O.Event.buffer(u.onInstallExtension,!0),this.onDidInstallExtensions=O.Event.buffer(u.onDidInstallExtensions,!0),this.onUninstallExtension=O.Event.buffer(u.onUninstallExtension,!0),this.onDidUninstallExtension=O.Event.buffer(u.onDidUninstallExtension,!0),this.onDidUpdateExtensionMetadata=O.Event.buffer(u.onDidUpdateExtensionMetadata,!0)}listen(u,l){const h=this.b(u);switch(l){case"onInstallExtension":return O.Event.map(this.onInstallExtension,w=>({...w,profileLocation:w.profileLocation?g(w.profileLocation,h):w.profileLocation}));case"onDidInstallExtensions":return O.Event.map(this.onDidInstallExtensions,w=>w.map(S=>({...S,local:S.local?m(S.local,h):S.local,profileLocation:S.profileLocation?g(S.profileLocation,h):S.profileLocation})));case"onUninstallExtension":return O.Event.map(this.onUninstallExtension,w=>({...w,profileLocation:w.profileLocation?g(w.profileLocation,h):w.profileLocation}));case"onDidUninstallExtension":return O.Event.map(this.onDidUninstallExtension,w=>({...w,profileLocation:w.profileLocation?g(w.profileLocation,h):w.profileLocation}));case"onDidUpdateExtensionMetadata":return O.Event.map(this.onDidUpdateExtensionMetadata,w=>m(w,h))}throw new Error("Invalid listen")}async call(u,l,h){const w=this.b(u);switch(l){case"zip":{const S=P(h[0],w),t=await this.a.zip(S);return g(t,w)}case"unzip":return this.a.unzip(C(h[0],w));case"install":return this.a.install(C(h[0],w),E(h[1],w));case"installFromLocation":return this.a.installFromLocation(C(h[0],w),C(h[1],w));case"installExtensionsFromProfile":return this.a.installExtensionsFromProfile(h[0],C(h[1],w),C(h[2],w));case"getManifest":return this.a.getManifest(C(h[0],w));case"getTargetPlatform":return this.a.getTargetPlatform();case"canInstall":return this.a.canInstall(h[0]);case"installFromGallery":return this.a.installFromGallery(h[0],E(h[1],w));case"installGalleryExtensions":{const S=h[0];return this.a.installGalleryExtensions(S.map(({extension:t,options:a})=>({extension:t,options:E(a,w)??{}})))}case"uninstall":return this.a.uninstall(P(h[0],w),E(h[1],w));case"reinstallFromGallery":return this.a.reinstallFromGallery(P(h[0],w));case"getInstalled":return(await this.a.getInstalled(h[0],C(h[1],w))).map(t=>m(t,w));case"toggleAppliationScope":{const S=await this.a.toggleAppliationScope(P(h[0],w),C(h[1],w));return m(S,w)}case"copyExtensions":return this.a.copyExtensions(C(h[0],w),C(h[1],w));case"updateMetadata":{const S=await this.a.updateMetadata(P(h[0],w),h[1],C(h[2],w));return m(S,w)}case"getExtensionsControlManifest":return this.a.getExtensionsControlManifest();case"download":return this.a.download(h[0],h[1],h[2]);case"cleanUp":return this.a.cleanUp()}throw new Error("Invalid call")}}e.$$o=c;class $ extends N.$Qc{get onInstallExtension(){return this.c.event}get onDidInstallExtensions(){return this.f.event}get onUninstallExtension(){return this.g.event}get onDidUninstallExtension(){return this.h.event}get onDidUpdateExtensionMetadata(){return this.j.event}constructor(u){super(),this.m=u,this.c=this.B(new O.$Ld),this.f=this.B(new O.$Ld),this.g=this.B(new O.$Ld),this.h=this.B(new O.$Ld),this.j=this.B(new O.$Ld),this.B(this.m.listen("onInstallExtension")(l=>this.n(this.c,{...l,source:this.r(l.source)?A.URI.revive(l.source):l.source,profileLocation:A.URI.revive(l.profileLocation)}))),this.B(this.m.listen("onDidInstallExtensions")(l=>this.n(this.f,l.map(h=>({...h,local:h.local?P(h.local,null):h.local,source:this.r(h.source)?A.URI.revive(h.source):h.source,profileLocation:A.URI.revive(h.profileLocation)}))))),this.B(this.m.listen("onUninstallExtension")(l=>this.n(this.g,{...l,profileLocation:A.URI.revive(l.profileLocation)}))),this.B(this.m.listen("onDidUninstallExtension")(l=>this.n(this.h,{...l,profileLocation:A.URI.revive(l.profileLocation)}))),this.B(this.m.listen("onDidUpdateExtensionMetadata")(l=>this.j.fire(P(l,null))))}n(u,l){u.fire(l)}r(u){return u?typeof u.path=="string"&&typeof u.scheme=="string":!1}getTargetPlatform(){return this.s||(this.s=this.m.call("getTargetPlatform")),this.s}async canInstall(u){const l=await this.getTargetPlatform();return u.allTargetPlatforms.some(h=>(0,I.$Xn)(h,u.allTargetPlatforms,l))}zip(u){return Promise.resolve(this.m.call("zip",[u]).then(l=>A.URI.revive(l)))}unzip(u){return Promise.resolve(this.m.call("unzip",[u]))}install(u,l){return Promise.resolve(this.m.call("install",[u,l])).then(h=>P(h,null))}installFromLocation(u,l){return Promise.resolve(this.m.call("installFromLocation",[u,l])).then(h=>P(h,null))}async installExtensionsFromProfile(u,l,h){return(await this.m.call("installExtensionsFromProfile",[u,l,h])).map(S=>P(S,null))}getManifest(u){return Promise.resolve(this.m.call("getManifest",[u]))}installFromGallery(u,l){return Promise.resolve(this.m.call("installFromGallery",[u,l])).then(h=>P(h,null))}async installGalleryExtensions(u){return(await this.m.call("installGalleryExtensions",[u])).map(h=>({...h,local:h.local?P(h.local,null):h.local,source:this.r(h.source)?A.URI.revive(h.source):h.source,profileLocation:A.URI.revive(h.profileLocation)}))}uninstall(u,l){return Promise.resolve(this.m.call("uninstall",[u,l]))}reinstallFromGallery(u){return Promise.resolve(this.m.call("reinstallFromGallery",[u])).then(l=>P(l,null))}getInstalled(u=null,l){return Promise.resolve(this.m.call("getInstalled",[u,l])).then(h=>h.map(w=>P(w,null)))}updateMetadata(u,l,h){return Promise.resolve(this.m.call("updateMetadata",[u,l,h])).then(w=>P(w,null))}toggleAppliationScope(u,l){return this.m.call("toggleAppliationScope",[u,l]).then(h=>P(h,null))}copyExtensions(u,l){return this.m.call("copyExtensions",[u,l])}getExtensionsControlManifest(){return Promise.resolve(this.m.call("getExtensionsControlManifest"))}async download(u,l,h){const w=await this.m.call("download",[u,l,h]);return A.URI.revive(w)}async cleanUp(){return this.m.call("cleanUp")}registerParticipant(){throw new Error("Not Supported")}}e.$_o=$;class y{constructor(u){this.a=u}listen(u,l){throw new Error("Invalid listen")}call(u,l,h){switch(l){case"getConfigBasedTips":return this.a.getConfigBasedTips(A.URI.revive(h[0]));case"getImportantExecutableBasedTips":return this.a.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.a.getOtherExecutableBasedTips()}throw new Error("Invalid call")}}e.$ap=y}),define(oe[97],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9o=e.$8o=void 0,e.$8o=(0,O.$Lh)("IExtensionSignatureVerificationService");class N{b(){return this.a||(this.a=new Promise((A,D)=>te(["node-vsce-sign"],async I=>A(I),D))),this.a}async verify(A,D,I){let C;try{C=await this.b()}catch{return!1}return C.verify(A,D,I)}}e.$9o=N}),define(oe[98],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hVb=e.RecommendationsNotificationResult=e.$gVb=e.RecommendationSource=void 0;var N;(function(D){D[D.FILE=1]="FILE",D[D.WORKSPACE=2]="WORKSPACE",D[D.EXE=3]="EXE"})(N||(e.RecommendationSource=N={}));function j(D){switch(D){case 1:return"file";case 2:return"workspace";case 3:return"exe"}}e.$gVb=j;var A;(function(D){D.Ignored="ignored",D.Cancelled="cancelled",D.TooMany="toomany",D.IncompatibleWindow="incompatibleWindow",D.Accepted="reacted"})(A||(e.RecommendationsNotificationResult=A={})),e.$hVb=(0,O.$Lh)("IExtensionRecommendationNotificationService")}),define(oe[11],ae([0,1,47,16,27,12,10,160,4,6,23]),function(te,e,O,N,j,A,D,I,C,g,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ck=e.$Bk=e.$Ak=e.$zk=e.$yk=e.FileKind=e.$xk=e.$wk=e.$vk=e.$uk=e.$tk=e.$sk=e.$rk=e.FileOperationResult=e.$qk=e.$pk=e.$ok=e.$nk=e.$mk=e.FileChangeType=e.$lk=e.FileOperation=e.$kk=e.$jk=e.$ik=e.$hk=e.$gk=e.$fk=e.FileSystemProviderErrorCode=e.$ek=e.$dk=e.$ck=e.$bk=e.$ak=e.$_j=e.$$j=e.$0j=e.$9j=e.FileSystemProviderCapabilities=e.FilePermission=e.FileType=e.$8j=e.$7j=void 0,e.$7j=(0,C.$Lh)("fileService");function E(W){return W.create===!0}e.$8j=E;var m;(function(W){W[W.Unknown=0]="Unknown",W[W.File=1]="File",W[W.Directory=2]="Directory",W[W.SymbolicLink=64]="SymbolicLink"})(m||(e.FileType=m={}));var c;(function(W){W[W.Readonly=1]="Readonly",W[W.Locked=2]="Locked"})(c||(e.FilePermission=c={}));var $;(function(W){W[W.None=0]="None",W[W.FileReadWrite=2]="FileReadWrite",W[W.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",W[W.FileReadStream=16]="FileReadStream",W[W.FileFolderCopy=8]="FileFolderCopy",W[W.PathCaseSensitive=1024]="PathCaseSensitive",W[W.Readonly=2048]="Readonly",W[W.Trash=4096]="Trash",W[W.FileWriteUnlock=8192]="FileWriteUnlock",W[W.FileAtomicRead=16384]="FileAtomicRead",W[W.FileAtomicWrite=32768]="FileAtomicWrite",W[W.FileAtomicDelete=65536]="FileAtomicDelete",W[W.FileClone=131072]="FileClone"})($||(e.FileSystemProviderCapabilities=$={}));function y(W){return!!(W.capabilities&2)}e.$9j=y;function d(W){return!!(W.capabilities&8)}e.$0j=d;function u(W){return!!(W.capabilities&131072)}e.$$j=u;function l(W){return!!(W.capabilities&4)}e.$_j=l;function h(W){return!!(W.capabilities&16)}e.$ak=h;function w(W){return y(W)?!!(W.capabilities&16384):!1}e.$bk=w;function S(W){return y(W)?!!(W.capabilities&32768):!1}e.$ck=S;function t(W){return!!(W.capabilities&65536)}e.$dk=t;function a(W){return!!(W.capabilities&2048)}e.$ek=a;var n;(function(W){W.FileExists="EntryExists",W.FileNotFound="EntryNotFound",W.FileNotADirectory="EntryNotADirectory",W.FileIsADirectory="EntryIsADirectory",W.FileExceedsStorageQuota="EntryExceedsStorageQuota",W.FileTooLarge="EntryTooLarge",W.FileWriteLocked="EntryWriteLocked",W.NoPermissions="NoPermissions",W.Unavailable="Unavailable",W.Unknown="Unknown"})(n||(e.FileSystemProviderErrorCode=n={}));class s extends Error{static create(ee,ne){const re=new s(ee.toString(),ne);return o(re,ne),re}constructor(ee,ne){super(ee),this.code=ne}}e.$fk=s;function i(W,ee){return s.create(W,ee)}e.$gk=i;function r(W){return W||i((0,I.localize)(0,null),n.Unknown)}e.$hk=r;function o(W,ee){return W.name=ee?`${ee} (FileSystemError)`:"FileSystemError",W}e.$ik=o;function v(W){if(!W)return n.Unknown;if(W instanceof s)return W.code;const ee=/^(.+) \(FileSystemError\)$/.exec(W.name);if(!ee)return n.Unknown;switch(ee[1]){case n.FileExists:return n.FileExists;case n.FileIsADirectory:return n.FileIsADirectory;case n.FileNotADirectory:return n.FileNotADirectory;case n.FileNotFound:return n.FileNotFound;case n.FileTooLarge:return n.FileTooLarge;case n.FileWriteLocked:return n.FileWriteLocked;case n.NoPermissions:return n.NoPermissions;case n.Unavailable:return n.Unavailable}return n.Unknown}e.$jk=v;function p(W){if(W instanceof z)return W.fileOperationResult;switch(v(W)){case n.FileNotFound:return 1;case n.FileIsADirectory:return 0;case n.FileNotADirectory:return 9;case n.FileWriteLocked:return 5;case n.NoPermissions:return 6;case n.FileExists:return 4;case n.FileTooLarge:return 7;default:return 10}}e.$kk=p;var f;(function(W){W[W.CREATE=0]="CREATE",W[W.DELETE=1]="DELETE",W[W.MOVE=2]="MOVE",W[W.COPY=3]="COPY",W[W.WRITE=4]="WRITE"})(f||(e.FileOperation=f={}));class b{constructor(ee,ne,re){this.resource=ee,this.operation=ne,this.target=re}isOperation(ee){return this.operation===ee}}e.$lk=b;var L;(function(W){W[W.UPDATED=0]="UPDATED",W[W.ADDED=1]="ADDED",W[W.DELETED=2]="DELETED"})(L||(e.FileChangeType=L={}));class F{constructor(ee,ne){this.a=void 0,this.b=void 0,this.c=void 0,this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];const re=new Map;for(const X of ee){const B=re.get(X.type);switch(B?B.push([X.resource,X]):re.set(X.type,[[X.resource,X]]),X.type){case 1:this.rawAdded.push(X.resource);break;case 0:this.rawUpdated.push(X.resource);break;case 2:this.rawDeleted.push(X.resource);break}}for(const[X,B]of re)switch(X){case 1:this.a=O.$Rh.forUris(()=>ne),this.a.fill(B);break;case 0:this.b=O.$Rh.forUris(()=>ne),this.b.fill(B);break;case 2:this.c=O.$Rh.forUris(()=>ne),this.c.fill(B);break}}contains(ee,...ne){return this.d(ee,{includeChildren:!1},...ne)}affects(ee,...ne){return this.d(ee,{includeChildren:!0},...ne)}d(ee,ne,...re){if(!ee)return!1;const X=re.length>0;return!!((!X||re.includes(1))&&(this.a?.get(ee)||ne.includeChildren&&this.a?.findSuperstr(ee))||(!X||re.includes(0))&&(this.b?.get(ee)||ne.includeChildren&&this.b?.findSuperstr(ee))||(!X||re.includes(2))&&(this.c?.findSubstr(ee)||ne.includeChildren&&this.c?.findSuperstr(ee)))}gotAdded(){return!!this.a}gotDeleted(){return!!this.c}gotUpdated(){return!!this.b}}e.$mk=F;function T(W,ee,ne){return!W||!ee||W===ee||ee.length>W.length?!1:(ee.charAt(ee.length-1)!==N.sep&&(ee+=N.sep),ne?(0,j.$1e)(W,ee):W.indexOf(ee)===0)}e.$nk=T;class z extends Error{constructor(ee,ne,re){super(ee),this.fileOperationResult=ne,this.options=re}}e.$ok=z;class U extends z{constructor(ee,ne,re,X){super(ee,ne,X),this.fileOperationResult=ne,this.size=re}}e.$pk=U;class _ extends z{constructor(ee,ne,re){super(ee,2,re),this.stat=ne}}e.$qk=_;var K;(function(W){W[W.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",W[W.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",W[W.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",W[W.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",W[W.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",W[W.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",W[W.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",W[W.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",W[W.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",W[W.FILE_NOT_DIRECTORY=9]="FILE_NOT_DIRECTORY",W[W.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"})(K||(e.FileOperationResult=K={})),e.$rk={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.$sk={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.$tk="files.associations",e.$uk="files.exclude",e.$vk="files.readonlyInclude",e.$wk="files.readonlyExclude",e.$xk="files.readonlyFromPermissions";var Z;(function(W){W[W.FILE=0]="FILE",W[W.FOLDER=1]="FOLDER",W[W.ROOT_FOLDER=2]="ROOT_FOLDER"})(Z||(e.FileKind=Z={})),e.$yk="";function G(W){if(!(typeof W.size!="number"||typeof W.mtime!="number"))return W.mtime.toString(29)+W.size.toString(31)}e.$zk=G;async function Q(W,ee){if(!ee.hasProvider(D.URI.from({scheme:W.scheme})))return new Promise(ne=>{const re=ee.onDidChangeFileSystemProviderRegistrations(X=>{X.scheme===W.scheme&&X.added&&(re.dispose(),ne())})})}e.$Ak=Q;class H{static{this.KB=1024}static{this.MB=H.KB*H.KB}static{this.GB=H.MB*H.KB}static{this.TB=H.GB*H.KB}static formatSize(ee){return(0,A.$Af)(ee)||(ee=0),ee<H.KB?(0,I.localize)(1,null,ee.toFixed(0)):ee<H.MB?(0,I.localize)(2,null,(ee/H.KB).toFixed(2)):ee<H.GB?(0,I.localize)(3,null,(ee/H.MB).toFixed(2)):ee<H.TB?(0,I.localize)(4,null,(ee/H.GB).toFixed(2)):(0,I.localize)(5,null,(ee/H.TB).toFixed(2))}}e.$Bk=H;function V(W){const ee=typeof W=="string"||W?.scheme===P.Schemas.vscodeRemote;return typeof W!="string"&&W?.scheme===P.Schemas.file?1024*H.MB:ee?10*H.MB:g.$o?50*H.MB:1024*H.MB}e.$Ck=V});var x=this&&this.__param||function(te,e){return function(O,N){e(O,N,te)}};define(oe[189],ae([0,1,69,46,11]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$b8b=void 0;let A=class{constructor(I){this.a=I}async checksum(I){const C=(await this.a.readFileStream(I)).value;return new Promise((g,P)=>{const E=(0,O.createHash)("md5");(0,N.$4d)(C,{onData:m=>E.update(m.buffer),onError:m=>P(m),onEnd:()=>g(E.digest("base64").replace(/=+$/,""))})})}};e.$b8b=A,e.$b8b=A=ye([x(0,j.$7j)],A)}),define(oe[190],ae([0,1,15,38,8,3,2,46,10,32,11]),function(te,e,O,N,j,A,D,I,C,g,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cN=e.$bN=void 0,e.$bN="localFilesystem";class E extends D.$Qc{constructor(c,$){super(),this.a=c,this.b=$,this.onDidChangeCapabilities=A.Event.None,this.f=this.B(new A.$Ld),this.onDidChangeFile=this.f.event,this.g=this.B(new A.$Ld),this.onDidWatchError=this.g.event,this.h=(0,g.$bg)(),this.j()}get capabilities(){return this.c||(this.c=253982,this.b.pathCaseSensitive&&(this.c|=1024),this.b.trash&&(this.c|=4096)),this.c}stat(c){return this.a.call("stat",[c])}readdir(c){return this.a.call("readdir",[c])}async readFile(c,$){const{buffer:y}=await this.a.call("readFile",[c,$]);return y}readFileStream(c,$,y){const d=(0,I.$Zd)(l=>O.$_d.concat(l.map(h=>O.$_d.wrap(h))).buffer),u=new D.$Pc;return u.add(this.a.listen("readFileStream",[c,$])(l=>{if(l instanceof O.$_d)d.write(l.buffer);else{if(l==="end")d.end();else{let h;if(l instanceof Error)h=l;else{const w=l;h=(0,P.$gk)(w.message??(0,N.$wi)(w),w.code??P.FileSystemProviderErrorCode.Unknown)}d.error(h),d.end()}u.dispose()}})),u.add(y.onCancellationRequested(()=>{d.error((0,j.$4)()),d.end(),u.dispose()})),d}writeFile(c,$,y){return this.a.call("writeFile",[c,O.$_d.wrap($),y])}open(c,$){return this.a.call("open",[c,$])}close(c){return this.a.call("close",[c])}async read(c,$,y,d,u){const[l,h]=await this.a.call("read",[c,$,u]);return y.set(l.buffer.slice(0,h),d),h}write(c,$,y,d,u){return this.a.call("write",[c,$,O.$_d.wrap(y),d,u])}mkdir(c){return this.a.call("mkdir",[c])}delete(c,$){return this.a.call("delete",[c,$])}rename(c,$,y){return this.a.call("rename",[c,$,y])}copy(c,$,y){return this.a.call("copy",[c,$,y])}cloneFile(c,$){return this.a.call("cloneFile",[c,$])}j(){this.B(this.a.listen("fileChange",[this.h])(c=>{if(Array.isArray(c)){const $=c;this.f.fire($.map(y=>({resource:C.URI.revive(y.resource),type:y.type})))}else{const $=c;this.g.fire($)}}))}watch(c,$){const y=(0,g.$bg)();return this.a.call("watch",[this.h,y,c,$]),(0,D.$Oc)(()=>this.a.call("unwatch",[this.h,y]))}}e.$cN=E}),define(oe[99],ae([0,1,15,8,161,11]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dp=void 0;async function D(P,E,m,c,$,y){let d;try{await I(P,E,m,c,$,y)}catch(u){d=u}finally{d&&$.errorTransformer&&(d=$.errorTransformer(d)),typeof d<"u"&&m.error(d),m.end()}}e.$Dp=D;async function I(P,E,m,c,$,y){C(y);const d=await P.open(E,{create:!1});try{C(y);let u=0,l=0,h=$&&typeof $.length=="number"?$.length:void 0,w=O.$_d.alloc(Math.min($.bufferSize,typeof h=="number"?h:$.bufferSize)),S=$&&typeof $.position=="number"?$.position:0,t=0;do l=await P.read(d,S,w.buffer,t,w.byteLength-t),S+=l,t+=l,u+=l,typeof h=="number"&&(h-=l),t===w.byteLength&&(await m.write(c(w)),w=O.$_d.alloc(Math.min($.bufferSize,typeof h=="number"?h:$.bufferSize)),t=0);while(l>0&&(typeof h!="number"||h>0)&&C(y)&&g(u,$));if(t>0){let a=t;typeof h=="number"&&(a=Math.min(t,h)),m.write(c(w.slice(0,a)))}}catch(u){throw(0,A.$hk)(u)}finally{await P.close(d)}}function C(P){if(P.isCancellationRequested)throw(0,N.$4)();return!0}function g(P,E){if(typeof E?.limits?.size=="number"&&P>E.limits.size)throw(0,A.$gk)((0,j.localize)(0,null),A.FileSystemProviderErrorCode.FileTooLarge);return!0}}),define(oe[54],ae([0,1,91,2,16,6,10,11]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mp=e.$Lp=e.$Kp=e.$Jp=e.$Ip=e.$Hp=e.$Gp=e.$Fp=void 0;function C(u){return u.recursive===!0}e.$Fp=C;class g extends N.$Qc{static{this.a=5}constructor(l,h,w,S){super(),this.h=l,this.j=h,this.m=w,this.n=S,this.c=this.B(new N.$Rc),this.f=void 0,this.g=0}s(){const l=new N.$Pc;this.c.value=l,this.b=this.r(l),this.b.setVerboseLogging(this.m),l.add(this.b.onDidChangeFile(h=>this.h(h))),l.add(this.b.onDidLogMessage(h=>this.j(h))),l.add(this.b.onDidError(h=>this.t(h)))}t(l){this.n.restartOnError?this.g<g.a&&this.f?(this.w(`restarting watcher after error: ${l}`),this.u(this.f)):this.w(`gave up attempting to restart watcher after error: ${l}`):this.w(l)}u(l){this.g++,this.s(),this.watch(l)}async watch(l){this.f=l,await this.b?.watch(l)}async setVerboseLogging(l){this.m=l,await this.b?.setVerboseLogging(l)}w(l){this.j({type:"error",message:`[File Watcher (${this.n.type})] ${l}`})}y(l){this.j({type:"trace",message:`[File Watcher (${this.n.type})] ${l}`})}dispose(){return this.b=void 0,super.dispose()}}e.$Gp=g;class P extends g{constructor(l,h,w){super(l,h,w,{type:"node.js",restartOnError:!1})}}e.$Hp=P;class E extends g{constructor(l,h,w){super(l,h,w,{type:"universal",restartOnError:!0})}}e.$Ip=E;function m(u){return u.map(l=>({type:l.type,resource:D.URI.file(l.path)}))}e.$Jp=m;function c(u){const l=new d;for(const h of u)l.processEvent(h);return l.coalesce()}e.$Kp=c;function $(u,l){return typeof l=="string"&&!l.startsWith(O.$oj)&&!(0,j.$gc)(l)?{base:u,pattern:l}:l}e.$Lp=$;function y(u,l){const h=[];for(const w of l)h.push((0,O.$sj)($(u,w)));return h}e.$Mp=y;class d{constructor(){this.a=new Set,this.b=new Map}c(l){return A.$k?l.path:l.path.toLowerCase()}processEvent(l){const h=this.b.get(this.c(l));let w=!1;if(h){const S=h.type,t=l.type;h.path!==l.path&&(l.type===2||l.type===1)?w=!0:S===1&&t===2?(this.b.delete(this.c(l)),this.a.delete(h)):S===2&&t===1?h.type=0:S===1&&t===0||(h.type=t)}else w=!0;w&&(this.a.add(l),this.b.set(this.c(l),l))}coalesce(){const l=[],h=[];return Array.from(this.a).filter(w=>w.type!==2?(l.push(w),!1):!0).sort((w,S)=>w.path.length-S.path.length).filter(w=>h.some(S=>(0,I.$nk)(w.path,S,!A.$k))?!1:(h.push(w.path),!0)).concat(l)}}}),define(oe[191],ae([0,1,52,5,26,48,2,88,16,6,144,31,54]),function(te,e,O,N,j,A,D,I,C,g,P,E,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1p=e.$Zp=void 0;class c extends D.$Qc{static{this.a=100}static{this.b=75}constructor(d,u,l,h){super(),this.m=d,this.n=u,this.r=l,this.s=h,this.c=this.B(new N.$6g({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},w=>this.n(w))),this.f=this.B(new N.$5g(w=>this.z(w),c.b)),this.g=(0,m.$Mp)(this.m.path,this.m.excludes),this.h=this.m.includes?(0,m.$Mp)(this.m.path,this.m.includes):void 0,this.j=new j.$Vd,this.ready=this.t()}async t(){try{const d=await this.u(this.m);if(this.j.token.isCancellationRequested)return;const u=await E.Promises.stat(d);this.B(await this.w(d,u.isDirectory()))}catch(d){d.code!=="ENOENT"?this.D(d):this.G(d)}}async u(d){let u=d.path;try{u=await E.Promises.realpath(d.path),d.path===u&&(u=await(0,P.$Wp)(d.path)??d.path),d.path!==u&&this.G(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${d.path}, real: ${u})`)}catch{}return u}async w(d,u){if(g.$j&&(0,A.$Vf)(d,"/Volumes/",!0))return this.D(`Refusing to watch ${d} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),D.$Qc.None;const l=new j.$Vd(this.j.token),h=new D.$Pc;try{const w=(0,C.$lc)(d),S=(0,O.watch)(d);h.add((0,D.$Oc)(()=>{S.removeAllListeners(),S.close()})),this.G(`Started watching: '${d}'`);const t=new Set;if(u)try{for(const n of await E.Promises.readdir(d))t.add(n)}catch(n){this.D(n)}const a=new Map;h.add((0,D.$Oc)(()=>{for(const[,n]of a)n.dispose();a.clear()})),S.on("error",(n,s)=>{this.D(`Failed to watch ${d} for changes using fs.watch() (${n}, ${s})`),this.dispose()}),S.on("change",(n,s)=>{if(l.token.isCancellationRequested)return;this.G(`[raw] ["${n}"] ${s}`);let i="";if(s&&(i=s.toString(),g.$j&&(i=(0,I.$il)(i))),!(!i||n!=="change"&&n!=="rename"))if(u)if(n==="rename"){a.get(i)?.dispose();const r=setTimeout(async()=>{if(a.delete(i),i===w&&!await E.Promises.exists(d)){this.F("Watcher shutdown because watched path got deleted"),this.dispose();return}const o=await this.C((0,C.$hc)(d,i));if(l.token.isCancellationRequested)return;let v;o?t.has(i)?v=0:(v=1,t.add(i)):(t.delete(i),v=2),this.y({path:(0,C.$hc)(this.m.path,i),type:v})},c.a);a.set(i,(0,D.$Oc)(()=>clearTimeout(r)))}else{let r;t.has(i)?r=0:(r=1,t.add(i)),this.y({path:(0,C.$hc)(this.m.path,i),type:r})}else if(n==="rename"||i!==w){const r=setTimeout(async()=>{const o=await E.Promises.exists(d);l.token.isCancellationRequested||(o?(this.y({path:this.m.path,type:0},!0),h.add(await this.w(d,!1))):(this.y({path:this.m.path,type:2},!0),this.f.flush(),this.dispose()))},c.a);h.clear(),h.add((0,D.$Oc)(()=>clearTimeout(r)))}else this.y({path:this.m.path,type:0},!0)})}catch(w){await E.Promises.exists(d)&&!l.token.isCancellationRequested&&this.D(`Failed to watch ${d} for changes using fs.watch() (${w.toString()})`)}return(0,D.$Oc)(()=>{l.dispose(!0),h.dispose()})}y(d,u=!1){this.j.token.isCancellationRequested||(this.s&&this.G(`${d.type===1?"[ADDED]":d.type===2?"[DELETED]":"[CHANGED]"} ${d.path}`),!u&&this.g.some(l=>l(d.path))?this.s&&this.G(` >> ignored (excluded) ${d.path}`):!u&&this.h&&this.h.length>0&&!this.h.some(l=>l(d.path))?this.s&&this.G(` >> ignored (not included) ${d.path}`):this.f.work(d))}z(d){const u=(0,m.$Kp)(d);if(u.length>0){if(this.s)for(const h of u)this.G(`>> normalized ${h.type===1?"[ADDED]":h.type===2?"[DELETED]":"[CHANGED]"} ${h.path}`);this.c.work(u)?this.c.pending>0&&this.G(`started throttling events due to large amount of file change events at once (pending: ${this.c.pending}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.F(`started ignoring events due to too many file change events at once (incoming: ${u.length}, most recent change: ${u[0].path}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}async C(d){if(g.$k)return E.Promises.exists(d);try{const u=(0,C.$lc)(d);return(await E.Promises.readdir((0,C.$kc)(d))).some(h=>h===u)}catch(u){return this.G(u),!1}}setVerboseLogging(d){this.s=d}D(d){this.j.token.isCancellationRequested||this.r?.({type:"error",message:`[File Watcher (node.js)] ${d}`})}F(d){this.j.token.isCancellationRequested||this.r?.({type:"warn",message:`[File Watcher (node.js)] ${d}`})}G(d){!this.j.token.isCancellationRequested&&this.s&&this.r?.({type:"trace",message:`[File Watcher (node.js)] ${d}`})}dispose(){this.G(`stopping file watcher on ${this.m.path}`),this.j.dispose(!0),super.dispose()}}e.$Zp=c;async function $(y,d,u,l,h=512){const w=await E.Promises.open(y,"r"),S=Buffer.allocUnsafe(h),t=new j.$Vd(l);let a,n=!1;const s={path:y,excludes:[],recursive:!1},i=new c(s,r=>{(async()=>{for(const{type:o}of r)if(o===0){if(n)return;n=!0;try{for(;!t.token.isCancellationRequested;){const{bytesRead:v}=await E.Promises.read(w,S,0,h,null);if(!v||t.token.isCancellationRequested)break;d(S.slice(0,v))}}catch(v){a=new Error(v),t.dispose(!0)}finally{n=!1}}})()});return await i.ready,u(),new Promise((r,o)=>{t.token.onCancellationRequested(async()=>{i.dispose();try{await E.Promises.close(w)}catch(v){a=new Error(v)}a?o(a):r()})})}e.$1p=$}),define(oe[192],ae([0,1,3,91,2,6,191]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2p=void 0;class I extends j.$Qc{constructor(){super(...arguments),this.a=this.B(new O.$Ld),this.onDidChangeFile=this.a.event,this.b=this.B(new O.$Ld),this.onDidLogMessage=this.b.event,this.onDidError=O.Event.None,this.c=new Map,this.f=!1}async watch(g){const P=this.j(g),E=P.filter(c=>{const $=this.c.get(c.path);return $?!(0,N.$wj)($.request.excludes,c.excludes)||!(0,N.$wj)($.request.includes,c.includes):!0}),m=Array.from(this.c.values()).filter(({request:c})=>!P.find($=>$.path===c.path&&(0,N.$wj)($.excludes,c.excludes)&&(0,N.$wj)($.includes,c.includes))).map(({request:c})=>c.path);E.length&&this.m(`Request to start watching: ${E.map(c=>`${c.path} (excludes: ${c.excludes.length>0?c.excludes:"<none>"}, includes: ${c.includes&&c.includes.length>0?JSON.stringify(c.includes):"<all>"})`).join(",")}`),m.length&&this.m(`Request to stop watching: ${m.join(",")}`);for(const c of m)this.h(c);for(const c of E)this.g(c)}g(g){const P=new D.$Zp(g,m=>this.a.fire(m),m=>this.b.fire(m),this.f),E={request:g,instance:P};this.c.set(g.path,E)}async stop(){for(const[g]of this.c)this.h(g);this.c.clear()}h(g){const P=this.c.get(g);P&&(this.c.delete(g),P.instance.dispose())}j(g){const P=new Map;for(const E of g){const m=A.$k?E.path:E.path.toLowerCase();P.set(m,E)}return Array.from(P.values())}async setVerboseLogging(g){this.f=g;for(const[,P]of this.c)P.instance.setVerboseLogging(g)}m(g){this.f&&this.b.fire({type:"trace",message:this.n(g)})}n(g,P){return P?`[File Watcher (node.js)] ${g} (path: ${P.request.path})`:`[File Watcher (node.js)] ${g}`}}e.$2p=I}),define(oe[193],ae([0,1,54,192]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3p=void 0;class j extends O.$Hp{constructor(D,I,C){super(D,I,C),this.s()}r(D){return D.add(new N.$2p)}}e.$3p=j}),define(oe[194],ae([0,1,23,42,93,54]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Up=void 0;class D extends A.$Ip{constructor(C,g,P){super(C,g,P),this.s()}r(C){const g=C.add(new j.$Tp(O.$_f.asFileUri("bootstrap-fork").fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return C.add(g.onDidProcessExit(({code:P,signal:E})=>this.t(`terminated by itself with code ${P}, signal: ${E}`))),N.ProxyChannel.toService((0,N.$sh)(g.getChannel("watcher")))}}e.$Up=D}),define(oe[70],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jh=void 0;class O{constructor(...j){this.a=new Map;for(const[A,D]of j)this.set(A,D)}set(j,A){const D=this.a.get(j);return this.a.set(j,A),D}has(j){return this.a.has(j)}get(j){return this.a.get(j)}}e.$Jh=O}),define(oe[195],ae([0,1,5,8,2,68,186,4,70,87]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8p=e.$7p=void 0;const P=!1;class E extends Error{constructor(d){super("cyclic dependency between services"),this.message=d.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${d.toString()}`}}class m{constructor(d=new C.$Jh,u=!1,l,h=P){this.f=d,this.g=u,this.h=l,this.i=h,this.o=new Set,this.f.set(I.$Kh,this),this._globalGraph=h?l?._globalGraph??new D.$6p(w=>w):void 0}createChild(d){return new m(d,this.g,this,this.i)}invokeFunction(d,...u){const l=$.traceInvocation(this.i,d);let h=!1;try{return d({get:S=>{if(h)throw(0,N.$6)("service accessor is only valid during the invocation of its target method");const t=this.m(S,l);if(!t)throw new Error(`[invokeFunction] unknown service '${S}'`);return t}},...u)}finally{h=!0,l.stop()}}createInstance(d,...u){let l,h;return d instanceof A.$Ih?(l=$.traceCreation(this.i,d.ctor),h=this.j(d.ctor,d.staticArguments.concat(u),l)):(l=$.traceCreation(this.i,d),h=this.j(d,u,l)),l.stop(),h}j(d,u=[],l){const h=I._util.getServiceDependencies(d).sort((t,a)=>t.index-a.index),w=[];for(const t of h){const a=this.m(t.id,l);a||this.u(`[createInstance] ${d.name} depends on UNKNOWN service ${t.id}.`,!1),w.push(a)}const S=h.length>0?h[0].index:u.length;if(u.length!==S){console.trace(`[createInstance] First service dependency of ${d.name} at position ${S+1} conflicts with ${u.length} static arguments`);const t=S-u.length;t>0?u=u.concat(new Array(t)):u=u.slice(0,S)}return Reflect.construct(d,u.concat(w))}k(d,u){if(this.f.get(d)instanceof A.$Ih)this.f.set(d,u);else if(this.h)this.h.k(d,u);else throw new Error("illegalState - setting UNKNOWN service instance")}l(d){const u=this.f.get(d);return!u&&this.h?this.h.l(d):u}m(d,u){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(d));const l=this.l(d);return l instanceof A.$Ih?this.q(d,l,u.branch(d,!0)):(u.branch(d,!1),l)}q(d,u,l){if(this.o.has(d))throw new Error(`illegal state - RECURSIVELY instantiating service '${d}'`);this.o.add(d);try{return this.r(d,u,l)}finally{this.o.delete(d)}}r(d,u,l){const h=new D.$6p(t=>t.id.toString());let w=0;const S=[{id:d,desc:u,_trace:l}];for(;S.length;){const t=S.pop();if(h.lookupOrInsertNode(t),w++>1e3)throw new E(h);for(const a of I._util.getServiceDependencies(t.desc.ctor)){const n=this.l(a.id);if(n||this.u(`[createInstance] ${d} depends on ${a.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(t.id),String(a.id)),n instanceof A.$Ih){const s={id:a.id,desc:n,_trace:t._trace.branch(a.id,!0)};h.insertEdge(t,s),S.push(s)}}}for(;;){const t=h.roots();if(t.length===0){if(!h.isEmpty())throw new E(h);break}for(const{data:a}of t){if(this.l(a.id)instanceof A.$Ih){const s=this.s(a.id,a.desc.ctor,a.desc.staticArguments,a.desc.supportsDelayedInstantiation,a._trace);this.k(a.id,s)}h.removeNode(a)}}return this.l(d)}s(d,u,l=[],h,w){if(this.f.get(d)instanceof A.$Ih)return this.t(d,u,l,h,w);if(this.h)return this.h.s(d,u,l,h,w);throw new Error(`illegalState - creating UNKNOWN service instance ${u.name}`)}t(d,u,l=[],h,w){if(h){const S=new m(void 0,this.g,this,this.i);S.c=String(d);const t=new Map,a=new O.$8g(()=>{const n=S.j(u,l,w);for(const[s,i]of t){const r=n[s];if(typeof r=="function")for(const o of i)r.apply(n,o)}return t.clear(),n});return new Proxy(Object.create(null),{get(n,s){if(!a.isInitialized&&typeof s=="string"&&(s.startsWith("onDid")||s.startsWith("onWill"))){let o=t.get(s);return o||(o=new g.$Zc,t.set(s,o)),(p,f,b)=>{const L=o.push([p,f,b]);return(0,j.$Oc)(L)}}if(s in n)return n[s];const i=a.value;let r=i[s];return typeof r!="function"||(r=r.bind(i),n[s]=r),r},set(n,s,i){return a.value[s]=i,!0},getPrototypeOf(n){return u.prototype}})}else return this.j(u,l,w)}u(d,u){if(u&&console.warn(d),this.g)throw new Error(d)}}e.$7p=m;var c;(function(y){y[y.None=0]="None",y[y.Creation=1]="Creation",y[y.Invocation=2]="Invocation",y[y.Branch=3]="Branch"})(c||(c={}));class ${static{this.all=new Set}static{this.c=new class extends ${constructor(){super(0,null)}stop(){}branch(){return this}}}static traceInvocation(d,u){return d?new $(2,u.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):$.c}static traceCreation(d,u){return d?new $(1,u.name):$.c}static{this.f=0}constructor(d,u){this.type=d,this.name=u,this.g=Date.now(),this.h=[]}branch(d,u){const l=new $(3,d.toString());return this.h.push([d,u,l]),l}stop(){const d=Date.now()-this.g;$.f+=d;let u=!1;function l(w,S){const t=[],a=new Array(w+1).join("	");for(const[n,s,i]of S.h)if(s&&i){u=!0,t.push(`${a}CREATES -> ${n}`);const r=l(w+1,i);r&&t.push(r)}else t.push(`${a}uses -> ${n}`);return t.join(`
`)}const h=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${l(1,this)}`,`DONE, took ${d.toFixed(2)}ms (grand total ${$.f.toFixed(2)}ms)`];(d>2||u)&&$.all.add(h.join(`
`))}}e.$8p=$}),define(oe[71],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$L7b=e.$K7b=void 0,e.$K7b=(0,O.$Lh)("mainProcessService");class N{constructor(A,D){this.a=A,this.b=D}getChannel(A){return this.a.getChannel(A,this.b)}registerChannel(A,D){this.a.registerChannel(A,D)}}e.$L7b=N}),define(oe[72],ae([0,1,26,2,6,163,29,4]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kq=e.$Jq=e.$Iq=void 0;function C(P){return P.tags.find(E=>E.startsWith("lp-"))?.split("lp-")[1]}e.$Iq=C,e.$Jq=(0,I.$Lh)("languagePackService");let g=class extends N.$Qc{constructor(E){super(),this.c=E}async getAvailableLanguages(){const E=new O.$Vd;setTimeout(()=>E.cancel(),1e3);let m;try{m=await this.c.query({text:'category:"language packs"',pageSize:20},E.token)}catch{return[]}const $=m.firstPage.filter(y=>y.properties.localizedLanguages?.length&&y.tags.some(d=>d.startsWith("lp-"))).map(y=>{const d=y.properties.localizedLanguages?.[0],u=C(y);return{...this.f(u,d,y),extensionId:y.identifier.id,galleryExtension:y}});return $.push(this.f("en","English")),$}f(E,m,c){const $=m??E;let y;if($!==E&&(y=`(${E})`),E.toLowerCase()===j.$v.toLowerCase()&&(y??="",y+=(0,A.localize)(0,null)),c?.installCount){y??="";const d=c.installCount;let u;d>1e6?u=`${Math.floor(d/1e5)/10}M`:d>1e3?u=`${Math.floor(d/1e3)}K`:u=String(d),y+=` $(cloud-download) ${u}`}return{id:E,label:$,description:y}}};e.$Kq=g,e.$Kq=g=ye([x(0,D.$1n)],g)}),define(oe[196],ae([0,1,2,72]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$07b=void 0;let j=class extends O.$Qc{constructor(D){super(),this.a=D,this.b()}b(){this.a.update()}};e.$07b=j,e.$07b=j=ye([x(0,N.$Jq)],j)}),define(oe[7],ae([0,1,38,3,51,2,34,6,21,12,10,94,4]),function(te,e,O,N,j,A,D,I,C,g,P,E,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kj=e.$jj=e.$ij=e.$hj=e.$gj=e.$fj=e.$ej=e.$dj=e.$cj=e.$bj=e.$aj=e.$_i=e.$$i=e.log=e.$9i=e.LogLevel=e.$8i=e.$7i=e.$6i=void 0,e.$6i=(0,m.$Lh)("logService"),e.$7i=(0,m.$Lh)("loggerService");function c(){return new Date().toISOString()}function $(p){return(0,g.$Af)(p)}e.$8i=$;var y;(function(p){p[p.Off=0]="Off",p[p.Trace=1]="Trace",p[p.Debug=2]="Debug",p[p.Info=3]="Info",p[p.Warning=4]="Warning",p[p.Error=5]="Error"})(y||(e.LogLevel=y={})),e.$9i=y.Info;function d(p,f,b){switch(f){case y.Trace:p.trace(b);break;case y.Debug:p.debug(b);break;case y.Info:p.info(b);break;case y.Warning:p.warn(b);break;case y.Error:p.error(b);break;case y.Off:break;default:throw new Error(`Invalid log level ${f}`)}}e.log=d;function u(p,f=!1){let b="";for(let L=0;L<p.length;L++){let F=p[L];if(F instanceof Error&&(F=(0,O.$wi)(F,f)),typeof F=="object")try{F=JSON.stringify(F)}catch{}b+=(L>0?" ":"")+F}return b}class l extends A.$Qc{constructor(){super(...arguments),this.b=e.$9i,this.c=this.B(new N.$Ld),this.onDidChangeLogLevel=this.c.event}setLevel(f){this.b!==f&&(this.b=f,this.c.fire(this.b))}getLevel(){return this.b}f(f){return this.b!==y.Off&&this.b<=f}}e.$$i=l;class h extends l{constructor(f){super(),this.h=f}f(f){return this.h||super.f(f)}trace(f,...b){this.f(y.Trace)&&this.g(y.Trace,u([f,...b],!0))}debug(f,...b){this.f(y.Debug)&&this.g(y.Debug,u([f,...b]))}info(f,...b){this.f(y.Info)&&this.g(y.Info,u([f,...b]))}warn(f,...b){this.f(y.Warning)&&this.g(y.Warning,u([f,...b]))}error(f,...b){if(this.f(y.Error))if(f instanceof Error){const L=Array.prototype.slice.call(arguments);L[0]=f.stack,this.g(y.Error,u(L))}else this.g(y.Error,u([f,...b]))}flush(){}}e.$_i=h;class w extends l{constructor(f=e.$9i){super(),this.setLevel(f),this.g=!I.$i}trace(f,...b){this.f(y.Trace)&&(this.g?console.log(`\x1B[90m[main ${c()}]\x1B[0m`,f,...b):console.log(`[main ${c()}]`,f,...b))}debug(f,...b){this.f(y.Debug)&&(this.g?console.log(`\x1B[90m[main ${c()}]\x1B[0m`,f,...b):console.log(`[main ${c()}]`,f,...b))}info(f,...b){this.f(y.Info)&&(this.g?console.log(`\x1B[90m[main ${c()}]\x1B[0m`,f,...b):console.log(`[main ${c()}]`,f,...b))}warn(f,...b){this.f(y.Warning)&&(this.g?console.warn(`\x1B[93m[main ${c()}]\x1B[0m`,f,...b):console.warn(`[main ${c()}]`,f,...b))}error(f,...b){this.f(y.Error)&&(this.g?console.error(`\x1B[91m[main ${c()}]\x1B[0m`,f,...b):console.error(`[main ${c()}]`,f,...b))}dispose(){}flush(){}}e.$aj=w;class S extends l{constructor(f=e.$9i,b=!0){super(),this.g=b,this.setLevel(f)}trace(f,...b){this.f(y.Trace)&&(this.g?console.log("%cTRACE","color: #888",f,...b):console.log(f,...b))}debug(f,...b){this.f(y.Debug)&&(this.g?console.log("%cDEBUG","background: #eee; color: #888",f,...b):console.log(f,...b))}info(f,...b){this.f(y.Info)&&(this.g?console.log("%c INFO","color: #33f",f,...b):console.log(f,...b))}warn(f,...b){this.f(y.Warning)&&(this.g?console.log("%c WARN","color: #993",f,...b):console.log(f,...b))}error(f,...b){this.f(y.Error)&&(this.g?console.log("%c  ERR","color: #f33",f,...b):console.error(f,...b))}dispose(){}flush(){}}e.$bj=S;class t extends l{constructor(f,b=e.$9i){super(),this.g=f,this.setLevel(b)}trace(f,...b){this.f(y.Trace)&&this.g.log(y.Trace,[this.h(f),...b])}debug(f,...b){this.f(y.Debug)&&this.g.log(y.Debug,[this.h(f),...b])}info(f,...b){this.f(y.Info)&&this.g.log(y.Info,[this.h(f),...b])}warn(f,...b){this.f(y.Warning)&&this.g.log(y.Warning,[this.h(f),...b])}error(f,...b){this.f(y.Error)&&this.g.log(y.Error,[this.h(f),...b])}h(f){return typeof f=="string"?f:(0,O.$wi)(f,this.f(y.Trace))}dispose(){}flush(){}}e.$cj=t;class a extends l{constructor(f){super(),this.g=f,f.length&&this.setLevel(f[0].getLevel())}setLevel(f){for(const b of this.g)b.setLevel(f);super.setLevel(f)}trace(f,...b){for(const L of this.g)L.trace(f,...b)}debug(f,...b){for(const L of this.g)L.debug(f,...b)}info(f,...b){for(const L of this.g)L.info(f,...b)}warn(f,...b){for(const L of this.g)L.warn(f,...b)}error(f,...b){for(const L of this.g)L.error(f,...b)}flush(){for(const f of this.g)f.flush()}dispose(){for(const f of this.g)f.dispose()}}e.$dj=a;class n extends A.$Qc{constructor(f,b,L){if(super(),this.h=f,this.j=b,this.b=new D.$yc,this.c=this.B(new N.$Ld),this.onDidChangeLoggers=this.c.event,this.f=this.B(new N.$Ld),this.onDidChangeLogLevel=this.f.event,this.g=this.B(new N.$Ld),this.onDidChangeVisibility=this.g.event,L)for(const F of L)this.b.set(F.resource,{logger:void 0,info:F})}m(f){return(0,g.$wf)(f)?[...this.b.values()].find(b=>b.info.id===f):this.b.get(f)}getLogger(f){return this.m(f)?.logger}createLogger(f,b){const L=this.n(f),F=(0,g.$wf)(f)?f:b?.id??(0,j.$zi)(L.toString()).toString(16);let T=this.b.get(L)?.logger;const z=b?.logLevel==="always"?y.Trace:b?.logLevel;T||(T=this.s(L,z??this.getLogLevel(L)??this.h,{...b,id:F}));const U={logger:T,info:{resource:L,id:F,logLevel:z,name:b?.name,hidden:b?.hidden,extensionId:b?.extensionId,when:b?.when}};return this.registerLogger(U.info),this.b.set(L,U),T}n(f){return(0,g.$wf)(f)?(0,C.$sg)(this.j,`${f}.log`):f}setLogLevel(f,b){if(P.URI.isUri(f)){const L=f,F=b,T=this.b.get(L);T&&F!==T.info.logLevel&&(T.info.logLevel=F===this.h?void 0:F,T.logger?.setLevel(F),this.b.set(T.info.resource,T),this.f.fire([L,F]))}else{this.h=f;for(const[L,F]of this.b.entries())this.b.get(L)?.info.logLevel===void 0&&F.logger?.setLevel(this.h);this.f.fire(this.h)}}setVisibility(f,b){const L=this.m(f);L&&b!==!L.info.hidden&&(L.info.hidden=!b,this.b.set(L.info.resource,L),this.g.fire([L.info.resource,b]))}getLogLevel(f){let b;return f&&(b=this.b.get(f)?.info.logLevel),b??this.h}registerLogger(f){const b=this.b.get(f.resource);b?b.info.hidden!==f.hidden&&this.setVisibility(f.resource,!f.hidden):(this.b.set(f.resource,{info:f,logger:void 0}),this.c.fire({added:[f],removed:[]}))}deregisterLogger(f){const b=this.b.get(f);b&&(b.logger&&b.logger.dispose(),this.b.delete(f),this.c.fire({added:[],removed:[b.info]}))}*getRegisteredLoggers(){for(const f of this.b.values())yield f.info}getRegisteredLogger(f){return this.b.get(f)?.info}dispose(){this.b.forEach(f=>f.logger?.dispose()),this.b.clear(),super.dispose()}}e.$ej=n;class s{constructor(){this.onDidChangeLogLevel=new N.$Ld().event}setLevel(f){}getLevel(){return y.Info}trace(f,...b){}debug(f,...b){}info(f,...b){}warn(f,...b){}error(f,...b){}critical(f,...b){}dispose(){}flush(){}}e.$fj=s;class i extends s{}e.$gj=i;function r(p){if(p.verbose)return y.Trace;if(typeof p.logLevel=="string"){const f=v(p.logLevel.toLowerCase());if(f!==void 0)return f}return e.$9i}e.$hj=r;function o(p){switch(p){case y.Trace:return"trace";case y.Debug:return"debug";case y.Info:return"info";case y.Warning:return"warn";case y.Error:return"error";case y.Off:return"off"}}e.$ij=o;function v(p){switch(p){case"trace":return y.Trace;case"debug":return y.Debug;case"info":return y.Info;case"warn":return y.Warning;case"error":return y.Error;case"critical":return y.Error;case"off":return y.Off}}e.$jj=v,e.$kj=new E.$3i("logLevel",o(y.Info))}),define(oe[197],ae([0,1,5,8,2,23,16,21,31,14,7]),function(te,e,O,N,j,A,D,I,C,g,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$7b=void 0;let E=class extends j.$Qc{constructor(c,$){super(),this.a=c,this.b=$,this.B(new O.$3g(()=>{this.c()},10*1e3)).schedule()}async c(){this.b.trace("[logs cleanup]: Starting to clean up old logs.");try{const c=(0,I.$pg)(this.a.logsHome),$=(0,I.$rg)(this.a.logsHome.with({scheme:A.Schemas.file})).fsPath,u=(await C.Promises.readdir($)).filter(h=>/^\d{8}T\d{6}$/.test(h)).sort().filter(h=>h!==c),l=u.slice(0,Math.max(0,u.length-9));l.length>0&&(this.b.trace(`[logs cleanup]: Removing log folders '${l.join(", ")}'`),await Promise.all(l.map(h=>C.Promises.rm((0,D.$hc)($,h)))))}catch(c){(0,N.$Y)(c)}}};e.$$7b=E,e.$$7b=E=ye([x(0,g.$Sh),x(1,P.$6i)],E)}),define(oe[198],ae([0,1,18,5,8,3,2,16,54,7]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Np=void 0;class P extends D.$Qc{constructor(m,c){super(),this.a=m,this.b=c,this.c=this.B(new A.$Ld),this.onDidChangeFile=this.c.event,this.g=this.B(new A.$Ld),this.onDidWatchError=this.g.event,this.j=[],this.m=this.B(new N.$Og(0)),this.w=[],this.y=this.B(new N.$Og(0))}watch(m,c){return c.recursive||this.b?.watcher?.forceUniversal?this.n(m,c):this.z(m,c)}n(m,c){const $={path:this.H(m),excludes:c.excludes,includes:c.includes,recursive:c.recursive},y=(0,O.$Sb)(this.j,$);return this.r(),(0,D.$Oc)(()=>{y(),this.r()})}r(){this.m.trigger(()=>this.s()).catch(m=>(0,j.$Y)(m))}s(){this.h||(this.h=this.B(this.t(c=>this.c.fire((0,C.$Jp)(c)),c=>this.G(c),this.a.getLevel()===g.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.h?.setVerboseLogging(this.a.getLevel()===g.LogLevel.Trace)})));const m=this.b?.watcher?.recursive?.usePolling;if(m===!0)for(const c of this.j)(0,C.$Fp)(c)&&(c.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(m))for(const c of this.j)(0,C.$Fp)(c)&&m.includes(c.path)&&(c.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);return this.h.watch(this.j)}z(m,c){const $={path:this.H(m),excludes:c.excludes,includes:c.includes,recursive:!1},y=(0,O.$Sb)(this.w,$);return this.C(),(0,D.$Oc)(()=>{y(),this.C()})}C(){this.y.trigger(()=>this.D()).catch(m=>(0,j.$Y)(m))}D(){return this.u||(this.u=this.B(this.F(m=>this.c.fire((0,C.$Jp)(m)),m=>this.G(m),this.a.getLevel()===g.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.u?.setVerboseLogging(this.a.getLevel()===g.LogLevel.Trace)}))),this.u.watch(this.w)}G(m){m.type==="error"&&this.g.fire(m.message),this.a[m.type](m.message)}H(m){return(0,I.$fc)(m.fsPath)}}e.$Np=P}),define(oe[199],ae([0,1,18,5,15,26,3,51,59,2,47,23,100,21,46,159,11,99,7,8]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ep=void 0;let w=class extends g.$Qc{constructor(t){super(),this.b=t,this.a=256*1024,this.c=this.B(new D.$Ld),this.onDidChangeFileSystemProviderRegistrations=this.c.event,this.f=this.B(new D.$Ld),this.onWillActivateFileSystemProvider=this.f.event,this.g=this.B(new D.$Ld),this.onDidChangeFileSystemProviderCapabilities=this.g.event,this.h=new Map,this.r=this.B(new D.$Ld),this.onDidRunOperation=this.r.event,this.X=this.B(new D.$Ld),this.onDidFilesChange=this.X.event,this.Y=this.B(new D.$Ld),this.onDidWatchError=this.Y.event,this.Z=new Map,this.ab=this.B(new N.$Zg)}registerProvider(t,a){if(this.h.has(t))throw new Error(`A filesystem provider for the scheme '${t}' is already registered.`);(0,m.mark)(`code/registerFilesystem/${t}`);const n=new g.$Pc;return this.h.set(t,a),this.c.fire({added:!0,scheme:t,provider:a}),n.add(a.onDidChangeFile(s=>this.X.fire(new d.$mk(s,!this.S(a))))),typeof a.onDidWatchError=="function"&&n.add(a.onDidWatchError(s=>this.Y.fire(new Error(s)))),n.add(a.onDidChangeCapabilities(()=>this.g.fire({provider:a,scheme:t}))),(0,g.$Oc)(()=>{this.c.fire({added:!1,scheme:t,provider:a}),this.h.delete(t),(0,g.$Lc)(n)})}getProvider(t){return this.h.get(t)}async activateProvider(t){const a=[];this.f.fire({scheme:t,join(n){a.push(n)}}),!this.h.has(t)&&await N.Promises.settled(a)}async canHandleResource(t){return await this.activateProvider(t.scheme),this.hasProvider(t)}hasProvider(t){return this.h.has(t.scheme)}hasCapability(t,a){const n=this.h.get(t.scheme);return!!(n&&n.capabilities&a)}listCapabilities(){return C.Iterable.map(this.h,([t,a])=>({scheme:t,capabilities:a.capabilities}))}async j(t){if(!(0,c.$wg)(t))throw new d.$ok((0,y.localize)(0,null,this.qb(t)),8);await this.activateProvider(t.scheme);const a=this.h.get(t.scheme);if(!a){const n=new h.$_;throw n.message=(0,y.localize)(1,null,t.toString()),n}return a}async m(t){const a=await this.j(t);if((0,d.$_j)(a)||(0,d.$9j)(a)||(0,d.$ak)(a))return a;throw new Error(`Filesystem provider for scheme '${t.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async n(t){const a=await this.j(t);if((0,d.$_j)(a)||(0,d.$9j)(a))return a;throw new Error(`Filesystem provider for scheme '${t.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(t,a){try{return await this.s(t,a)}catch(n){throw(0,d.$jk)(n)===d.FileSystemProviderErrorCode.FileNotFound?new d.$ok((0,y.localize)(2,null,this.qb(t)),1):(0,d.$hk)(n)}}async s(t,a){const n=await this.j(t),s=this.S(n),i=a?.resolveTo,r=a?.resolveSingleChildDescendants,o=a?.resolveMetadata,v=await n.stat(t);let p;return this.t(n,t,v,void 0,!!o,(f,b)=>(p||(p=P.$Rh.forUris(()=>!s),p.set(t,!0),i&&p.fill(!0,i)),p.get(f.resource)||p.findSuperstr(f.resource.with({query:null,fragment:null}))?!0:f.isDirectory&&r?b===1:!1))}async t(t,a,n,s,i,r){const{providerExtUri:o}=this.R(t),v={resource:a,name:o.basename(a),isFile:(n.type&d.FileType.File)!==0,isDirectory:(n.type&d.FileType.Directory)!==0,isSymbolicLink:(n.type&d.FileType.SymbolicLink)!==0,mtime:n.mtime,ctime:n.ctime,size:n.size,readonly:!!((n.permissions??0)&d.FilePermission.Readonly)||!!(t.capabilities&2048),locked:!!((n.permissions??0)&d.FilePermission.Locked),etag:(0,d.$zk)({mtime:n.mtime,size:n.size}),children:void 0};if(v.isDirectory&&r(v,s)){try{const p=await t.readdir(a),f=await N.Promises.settled(p.map(async([b,L])=>{try{const F=o.joinPath(a,b),T=i?await t.stat(F):{type:L};return await this.t(t,F,T,p.length,i,r)}catch(F){return this.b.trace(F),null}}));v.children=(0,O.$Fb)(f)}catch(p){this.b.trace(p),v.children=[]}return v}return v}async resolveAll(t){return N.Promises.settled(t.map(async a=>{try{return{stat:await this.s(a.resource,a.options),success:!0}}catch(n){return this.b.trace(n),{stat:void 0,success:!1}}}))}async stat(t){const a=await this.j(t),n=await a.stat(t);return this.t(a,t,n,void 0,!0,()=>!1)}async exists(t){const a=await this.j(t);try{return!!await a.stat(t)}catch{return!1}}async canCreateFile(t,a){try{await this.u(t,a)}catch(n){return n}return!0}async u(t,a){if(!a?.overwrite&&await this.exists(t))throw new d.$ok((0,y.localize)(3,null,this.qb(t)),3,a)}async createFile(t,a=j.$_d.fromString(""),n){await this.u(t,n);const s=await this.writeFile(t,a);return this.r.fire(new d.$lk(t,0,s)),s}async writeFile(t,a,n){const s=this.ob(await this.n(t),t),{providerExtUri:i}=this.R(s);let r=n;if((0,d.$ck)(s)&&!r?.atomic){const o=s.enforceAtomicWriteFile?.(t);o&&(r={...n,atomic:o})}try{await this.w(s,t,r)||await this.U(s,i.dirname(t));let v;if((0,d.$9j)(s)&&!(a instanceof j.$_d))if((0,$.$Xd)(a)){const p=await(0,$.$5d)(a,3);p.ended?v=j.$_d.concat(p.buffer):v=p}else v=(0,$.$2d)(a,p=>j.$_d.concat(p),3);else v=a;!(0,d.$_j)(s)||(0,d.$9j)(s)&&v instanceof j.$_d||(0,d.$9j)(s)&&(0,d.$ck)(s)&&r?.atomic?await this.fb(s,t,r,v):await this.bb(s,t,r,v instanceof j.$_d?(0,j.$ke)(v):v),this.r.fire(new d.$lk(t,4))}catch(o){throw new d.$ok((0,y.localize)(4,null,this.qb(t),(0,d.$hk)(o).toString()),(0,d.$kk)(o),r)}return this.resolve(t,{resolveMetadata:!0})}async w(t,a,n){const s=!!n?.unlock;if(s&&!(t.capabilities&8192))throw new Error((0,y.localize)(5,null,this.qb(a)));if(!!n?.atomic){if(!(t.capabilities&32768))throw new Error((0,y.localize)(6,null,this.qb(a)));if(!(t.capabilities&2))throw new Error((0,y.localize)(7,null,this.qb(a)));if(s)throw new Error((0,y.localize)(8,null,this.qb(a)))}let r;try{r=await t.stat(a)}catch{return}if(r.type&d.FileType.Directory)throw new d.$ok((0,y.localize)(9,null,this.qb(a)),0,n);if(this.pb(a,r),typeof n?.mtime=="number"&&typeof n.etag=="string"&&n.etag!==d.$yk&&typeof r.mtime=="number"&&typeof r.size=="number"&&n.mtime<r.mtime&&n.etag!==(0,d.$zk)({mtime:n.mtime,size:r.size}))throw new d.$ok((0,y.localize)(10,null),3,n);return r}async readFile(t,a,n){const s=await this.m(t);return a?.atomic?this.z(s,t,a,n):this.C(s,t,a,n)}async z(t,a,n,s){return new Promise((i,r)=>{this.ab.queueFor(a,this.R(t).providerExtUri).queue(async()=>{try{const o=await this.C(t,a,n,s);i(o)}catch(o){r(o)}})})}async C(t,a,n,s){const i=await this.D(t,a,{...n,preferUnbuffered:!0},s);return{...i,value:await(0,j.$le)(i.value)}}async readFileStream(t,a,n){const s=await this.m(t);return this.D(s,t,a,n)}async D(t,a,n,s){const i=new A.$Vd(s);let r=n;(0,d.$bk)(t)&&t.enforceAtomicReadFile?.(a)&&(r={...n,atomic:!0});const o=this.J(a,r).then(p=>p,p=>{throw i.dispose(!0),p});let v;try{return typeof r?.etag=="string"&&r.etag!==d.$yk&&await o,r?.atomic&&(0,d.$bk)(t)||!((0,d.$_j)(t)||(0,d.$ak)(t))||(0,d.$9j)(t)&&r?.preferUnbuffered?v=this.I(t,a,r):(0,d.$ak)(t)?v=this.G(t,a,i.token,r):v=this.H(t,a,i.token,r),v.on("end",()=>i.dispose()),v.on("error",()=>i.dispose()),{...await o,value:v}}catch(p){throw v&&await(0,$.$3d)(v),this.F(p,a,r)}}F(t,a,n){const s=(0,y.localize)(11,null,this.qb(a),(0,d.$hk)(t).toString());return t instanceof d.$qk?new d.$qk(s,t.stat,n):t instanceof d.$pk?new d.$pk(s,t.fileOperationResult,t.size,t.options):new d.$ok(s,(0,d.$kk)(t),n)}G(t,a,n,s=Object.create(null)){const i=t.readFileStream(a,s,n);return(0,$.$9d)(i,{data:r=>r instanceof j.$_d?r:j.$_d.wrap(r),error:r=>this.F(r,a,s)},r=>j.$_d.concat(r))}H(t,a,n,s=Object.create(null)){const i=(0,j.$pe)();return(0,u.$Dp)(t,a,i,r=>r,{...s,bufferSize:this.a,errorTransformer:r=>this.F(r,a,s)},n),i}I(t,a,n){const s=(0,$.$Zd)(i=>j.$_d.concat(i));return(async()=>{try{let i;n?.atomic&&(0,d.$bk)(t)?i=await t.readFile(a,{atomic:!0}):i=await t.readFile(a),typeof n?.position=="number"&&(i=i.slice(n.position)),typeof n?.length=="number"&&(i=i.slice(0,n.length)),this.L(a,i.byteLength,n),s.end(j.$_d.wrap(i))}catch(i){s.error(i),s.end()}})(),s}async J(t,a){const n=await this.resolve(t,{resolveMetadata:!0});if(n.isDirectory)throw new d.$ok((0,y.localize)(12,null,this.qb(t)),0,a);if(typeof a?.etag=="string"&&a.etag!==d.$yk&&a.etag===n.etag)throw new d.$qk((0,y.localize)(13,null),n,a);return this.L(t,n.size,a),n}L(t,a,n){if(typeof n?.limits?.size=="number"&&a>n.limits.size)throw new d.$pk((0,y.localize)(14,null,this.qb(t)),7,a,n)}async canMove(t,a,n){return this.M(t,a,"move",n)}async canCopy(t,a,n){return this.M(t,a,"copy",n)}async M(t,a,n,s){if(t.toString()!==a.toString())try{const i=n==="move"?this.ob(await this.n(t),t):await this.m(t),r=this.ob(await this.n(a),a);await this.Q(i,t,r,a,n,s)}catch(i){return i}return!0}async move(t,a,n){const s=this.ob(await this.n(t),t),i=this.ob(await this.n(a),a),r=await this.N(s,t,i,a,"move",!!n),o=await this.resolve(a,{resolveMetadata:!0});return this.r.fire(new d.$lk(t,r==="move"?2:3,o)),o}async copy(t,a,n){const s=await this.m(t),i=this.ob(await this.n(a),a),r=await this.N(s,t,i,a,"copy",!!n),o=await this.resolve(a,{resolveMetadata:!0});return this.r.fire(new d.$lk(t,r==="copy"?3:2,o)),o}async N(t,a,n,s,i,r){if(a.toString()===s.toString())return i;const{exists:o,isSameResourceWithDifferentPathCase:v}=await this.Q(t,a,n,s,i,r);if(o&&!v&&r&&await this.del(s,{recursive:!0}),await this.U(n,this.R(n).providerExtUri.dirname(s)),i==="copy"){if(t===n&&(0,d.$0j)(t))await t.copy(a,s,{overwrite:r});else{const p=await this.resolve(a);p.isDirectory?await this.P(t,p,n,s):await this.O(t,a,n,s)}return i}else return t===n?(await t.rename(a,s,{overwrite:r}),i):(await this.N(t,a,n,s,"copy",r),await this.del(a,{recursive:!0}),"copy")}async O(t,a,n,s){if((0,d.$_j)(t)&&(0,d.$_j)(n))return this.hb(t,a,n,s);if((0,d.$_j)(t)&&(0,d.$9j)(n))return this.nb(t,a,n,s);if((0,d.$9j)(t)&&(0,d.$_j)(n))return this.lb(t,a,n,s);if((0,d.$9j)(t)&&(0,d.$9j)(n))return this.jb(t,a,n,s)}async P(t,a,n,s){await n.mkdir(s),Array.isArray(a.children)&&await N.Promises.settled(a.children.map(async i=>{const r=this.R(n).providerExtUri.joinPath(s,i.name);return i.isDirectory?this.P(t,await this.resolve(i.resource),n,r):this.O(t,i.resource,n,r)}))}async Q(t,a,n,s,i,r){let o=!1;if(t===n){const{providerExtUri:p,isPathCaseSensitive:f}=this.R(t);if(f||(o=p.isEqual(a,s)),o&&i==="copy")throw new Error((0,y.localize)(15,null,this.qb(a),this.qb(s)));if(!o&&p.isEqualOrParent(s,a))throw new Error((0,y.localize)(16,null,this.qb(a),this.qb(s)))}const v=await this.exists(s);if(v&&!o){if(!r)throw new d.$ok((0,y.localize)(17,null,this.qb(a),this.qb(s)),4);if(t===n){const{providerExtUri:p}=this.R(t);if(p.isEqualOrParent(a,s))throw new Error((0,y.localize)(18,null,this.qb(a),this.qb(s)))}}return{exists:v,isSameResourceWithDifferentPathCase:o}}R(t){const a=this.S(t);return{providerExtUri:a?c.$ig:c.$kg,isPathCaseSensitive:a}}S(t){return!!(t.capabilities&1024)}async createFolder(t){const a=this.ob(await this.j(t),t);await this.U(a,t);const n=await this.resolve(t,{resolveMetadata:!0});return this.r.fire(new d.$lk(t,0,n)),n}async U(t,a){const n=[],{providerExtUri:s}=this.R(t);for(;!s.isEqual(a,s.dirname(a));)try{if(!((await t.stat(a)).type&d.FileType.Directory))throw new Error((0,y.localize)(19,null,this.qb(a)));break}catch(i){if((0,d.$jk)(i)!==d.FileSystemProviderErrorCode.FileNotFound)throw i;n.push(s.basename(a)),a=s.dirname(a)}for(let i=n.length-1;i>=0;i--){a=s.joinPath(a,n[i]);try{await t.mkdir(a)}catch(r){if((0,d.$jk)(r)!==d.FileSystemProviderErrorCode.FileExists)throw r}}}async canDelete(t,a){try{await this.W(t,a)}catch(n){return n}return!0}async W(t,a){const n=this.ob(await this.j(t),t),s=!!a?.useTrash;if(s&&!(n.capabilities&4096))throw new Error((0,y.localize)(20,null,this.qb(t)));const i=a?.atomic;if(i&&!(n.capabilities&65536))throw new Error((0,y.localize)(21,null,this.qb(t)));if(s&&i)throw new Error((0,y.localize)(22,null,this.qb(t)));let r;try{r=await n.stat(t)}catch{}if(r)this.pb(t,r);else throw new d.$ok((0,y.localize)(23,null,this.qb(t)),1);if(!!!a?.recursive){const v=await this.resolve(t);if(v.isDirectory&&Array.isArray(v.children)&&v.children.length>0)throw new Error((0,y.localize)(24,null,this.qb(t)))}return n}async del(t,a){const n=await this.W(t,a);let s=a;if((0,d.$dk)(n)&&!s?.atomic){const v=n.enforceAtomicDelete?.(t);v&&(s={...a,atomic:v})}const i=!!s?.useTrash,r=!!s?.recursive,o=s?.atomic??!1;await n.delete(t,{recursive:r,useTrash:i,atomic:o}),this.r.fire(new d.$lk(t,1))}async cloneFile(t,a){const n=await this.j(t),s=this.ob(await this.n(a),a);if(n===s&&this.R(n).providerExtUri.isEqual(t,a))return;if(n===s&&(0,d.$$j)(n))return n.cloneFile(t,a);await this.U(s,this.R(s).providerExtUri.dirname(a));const i=this.ab.queueFor(t,this.R(n).providerExtUri);return n===s&&(0,d.$0j)(n)?i.queue(()=>n.copy(t,a,{overwrite:!0})):i.queue(()=>this.O(n,t,s,a))}watch(t,a={recursive:!1,excludes:[]}){const n=new g.$Pc;let s=!1,i=()=>{s=!0};return n.add((0,g.$Oc)(()=>i())),(async()=>{try{const r=await this.$(t,a);s?(0,g.$Lc)(r):i=()=>(0,g.$Lc)(r)}catch(r){this.b.error(r)}})(),n}async $(t,a){const n=await this.j(t),s=(0,I.$zi)([this.R(n).providerExtUri.getComparisonKey(t),a]);let i=this.Z.get(s);return i||(i={count:0,disposable:n.watch(t,a)},this.Z.set(s,i)),i.count+=1,(0,g.$Oc)(()=>{i&&(i.count--,i.count===0&&((0,g.$Lc)(i.disposable),this.Z.delete(s)))})}dispose(){super.dispose();for(const[,t]of this.Z)(0,g.$Lc)(t.disposable);this.Z.clear()}async bb(t,a,n,s){return this.ab.queueFor(a,this.R(t).providerExtUri).queue(async()=>{const i=await t.open(a,{create:!0,unlock:n?.unlock??!1});try{(0,$.$Xd)(s)||(0,$.$Yd)(s)?await this.cb(t,i,s):await this.db(t,i,s)}catch(r){throw(0,d.$hk)(r)}finally{await t.close(i)}})}async cb(t,a,n){let s=0,i;if((0,$.$Yd)(n)){if(n.buffer.length>0){const r=j.$_d.concat(n.buffer);await this.eb(t,a,r,r.byteLength,s,0),s+=r.byteLength}if(n.ended)return;i=n.stream}else i=n;return new Promise((r,o)=>{(0,$.$4d)(i,{onData:async v=>{i.pause();try{await this.eb(t,a,v,v.byteLength,s,0)}catch(p){return o(p)}s+=v.byteLength,setTimeout(()=>i.resume())},onError:v=>o(v),onEnd:()=>r()})})}async db(t,a,n){let s=0,i;for(;(i=n.read())!==null;)await this.eb(t,a,i,i.byteLength,s,0),s+=i.byteLength}async eb(t,a,n,s,i,r){let o=0;for(;o<s;){const v=await t.write(a,i+o,n.buffer,r+o,s-o);o+=v}}async fb(t,a,n,s){return this.ab.queueFor(a,this.R(t).providerExtUri).queue(()=>this.gb(t,a,n,s))}async gb(t,a,n,s){let i;s instanceof j.$_d?i=s:(0,$.$Xd)(s)?i=await(0,j.$le)(s):(0,$.$Yd)(s)?i=await(0,j.$me)(s):i=(0,j.$je)(s),await t.writeFile(a,i.buffer,{create:!0,overwrite:!0,unlock:n?.unlock??!1,atomic:n?.atomic??!1})}async hb(t,a,n,s){return this.ab.queueFor(s,this.R(n).providerExtUri).queue(()=>this.ib(t,a,n,s))}async ib(t,a,n,s){let i,r;try{i=await t.open(a,{create:!1}),r=await n.open(s,{create:!0,unlock:!1});const o=j.$_d.alloc(this.a);let v=0,p=0,f=0;do f=await t.read(i,v,o.buffer,p,o.byteLength-p),await this.eb(n,r,o,f,v,p),v+=f,p+=f,p===o.byteLength&&(p=0);while(f>0)}catch(o){throw(0,d.$hk)(o)}finally{await N.Promises.settled([typeof i=="number"?t.close(i):Promise.resolve(),typeof r=="number"?n.close(r):Promise.resolve()])}}async jb(t,a,n,s){return this.ab.queueFor(s,this.R(n).providerExtUri).queue(()=>this.kb(t,a,n,s))}async kb(t,a,n,s){return n.writeFile(s,await t.readFile(a),{create:!0,overwrite:!0,unlock:!1,atomic:!1})}async lb(t,a,n,s){return this.ab.queueFor(s,this.R(n).providerExtUri).queue(()=>this.mb(t,a,n,s))}async mb(t,a,n,s){const i=await n.open(s,{create:!0,unlock:!1});try{const r=await t.readFile(a);await this.eb(n,i,j.$_d.wrap(r),r.byteLength,0,0)}catch(r){throw(0,d.$hk)(r)}finally{await n.close(i)}}async nb(t,a,n,s){const i=await(0,j.$le)(this.H(t,a,A.CancellationToken.None));await this.fb(n,s,void 0,i)}ob(t,a){if(t.capabilities&2048)throw new d.$ok((0,y.localize)(25,null,this.qb(a)),6);return t}pb(t,a){if((a.permissions??0)&d.FilePermission.Readonly)throw new d.$ok((0,y.localize)(26,null,this.qb(t)),6)}qb(t){return t.scheme===E.Schemas.file?t.fsPath:t.toString(!0)}};e.$Ep=w,e.$Ep=w=ye([x(0,l.$6i)],w)}),define(oe[200],ae([0,1,52,271,5,34,15,3,48,2,16,6,21,46,31,162,11,99,198,38,194,193]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4p=void 0,(()=>{try{(0,N.gracefulify)(O)}catch(a){console.error(`Error enabling graceful-fs: ${(0,h.$wi)(a)}`)}})();class t extends l.$Np{static{this.I=!1}constructor(n,s){super(n,s),this.onDidChangeCapabilities=I.Event.None,this.N=new A.$yc(i=>m.$jg.getComparisonKey(i)),this.U=new Map,this.W=new Map,this.X=new Map}get capabilities(){return this.J||(this.J=253982,E.$k&&(this.J|=1024)),this.J}async stat(n){try{const{stat:s,symbolicLink:i}=await $.SymlinkSupport.stat(this.H(n));return{type:this.M(s,i),ctime:s.birthtime.getTime(),mtime:s.mtime.getTime(),size:s.size,permissions:s.mode&128?void 0:d.FilePermission.Locked}}catch(s){throw this.fb(s)}}async L(n){try{return await this.stat(n)}catch{return}}async readdir(n){try{const s=await $.Promises.readdir(this.H(n),{withFileTypes:!0}),i=[];return await Promise.all(s.map(async r=>{try{let o;r.isSymbolicLink()?o=(await this.stat((0,m.$sg)(n,r.name))).type:o=this.M(r),i.push([r.name,o])}catch(o){this.a.trace(o)}})),i}catch(s){throw this.fb(s)}}M(n,s){let i;return s?.dangling?i=d.FileType.Unknown:n.isFile()?i=d.FileType.File:n.isDirectory()?i=d.FileType.Directory:i=d.FileType.Unknown,s&&(i|=d.FileType.SymbolicLink),i}async O(n){const s=this.H(n);this.P(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${s})`);let i;for(;i=this.N.get(n);)this.P(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${s})`),await i.wait();const r=new j.$Pg;return this.N.set(n,r),this.P(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${s})`),(0,g.$Oc)(()=>{this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${s})`),this.N.get(n)===r&&(this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${s})`),this.N.delete(n)),this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${s})`),r.open()})}async readFile(n,s){let i;try{s?.atomic&&(this.P(`[Disk FileSystemProvider]: atomic read operation started (${this.H(n)})`),i=await this.O(n));const r=this.H(n);return await $.Promises.readFile(r)}catch(r){throw this.fb(r)}finally{i?.dispose()}}P(n){t.I&&this.a.trace(n)}readFileStream(n,s,i){const r=(0,c.$Zd)(o=>D.$_d.concat(o.map(v=>D.$_d.wrap(v))).buffer);return(0,u.$Dp)(this,n,r,o=>o.buffer,{...s,bufferSize:256*1024},i),r}async writeFile(n,s,i){return i?.atomic!==!1&&i?.atomic?.postfix&&await this.Q(n)?this.R(n,(0,m.$sg)((0,m.$rg)(n),`${(0,m.$pg)(n)}${i.atomic.postfix}`),s,i):this.S(n,s,i)}async Q(n){try{const s=this.H(n),{symbolicLink:i}=await $.SymlinkSupport.stat(s);if(i)return!1}catch{}return!0}async R(n,s,i,r){const o=new g.$Pc;try{o.add(await this.O(n)),o.add(await this.O(s)),await this.S(s,i,r,!0);try{await this.rename(s,n,{overwrite:!0})}catch(v){try{await this.delete(s,{recursive:!1,useTrash:!1,atomic:!1})}catch{}throw v}}finally{o.dispose()}}async S(n,s,i,r){let o;try{const v=this.H(n);if(!i.create||!i.overwrite){if(await $.Promises.exists(v)){if(!i.overwrite)throw(0,d.$gk)((0,y.localize)(0,null),d.FileSystemProviderErrorCode.FileExists)}else if(!i.create)throw(0,d.$gk)((0,y.localize)(1,null),d.FileSystemProviderErrorCode.FileNotFound)}o=await this.open(n,{create:!0,unlock:i.unlock},r),await this.write(o,0,s,0,s.byteLength)}catch(v){throw await this.gb(n,v)}finally{typeof o=="number"&&await this.close(o)}}static{this.Y=!0}static configureFlushOnWrite(n){t.Y=n}async open(n,s,i){const r=this.H(n);let o;(0,d.$8j)(s)&&!i&&(o=await this.O(n));let v;try{if((0,d.$8j)(s)&&s.unlock)try{const{stat:f}=await $.SymlinkSupport.stat(r);f.mode&128||await $.Promises.chmod(r,f.mode|128)}catch(f){f.code!=="ENOENT"&&this.a.trace(f)}let p;if((0,d.$8j)(s)){if(E.$i)try{await $.Promises.truncate(r,0),p="r+"}catch(f){f.code!=="ENOENT"&&this.a.trace(f)}p||(p="w")}else p="r";v=await $.Promises.open(r,p)}catch(p){throw o?.dispose(),(0,d.$8j)(s)?await this.gb(n,p):this.fb(p)}if(this.U.set(v,0),(0,d.$8j)(s)&&this.X.set(v,n),o){const p=this.W.get(v);this.P(`[Disk FileSystemProvider]: open() - storing lock for handle ${v} (${r})`),this.W.set(v,o),p&&(this.P(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${v} (${r})`),p.dispose())}return v}async close(n){const s=this.W.get(n);try{if(this.U.delete(n),this.X.delete(n)&&t.Y)try{await $.Promises.fdatasync(n)}catch(i){t.configureFlushOnWrite(!1),this.a.error(i)}return await $.Promises.close(n)}catch(i){throw this.fb(i)}finally{s&&(this.W.get(n)===s&&(this.P(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${n}`),this.W.delete(n)),this.P(`[Disk FileSystemProvider]: close() - disposing lock for handle ${n}`),s.dispose())}}async read(n,s,i,r,o){const v=this.Z(n,s);let p=null;try{p=(await $.Promises.read(n,i,r,o,v)).bytesRead}catch(f){throw this.fb(f)}finally{this.$(n,v,p)}return p}Z(n,s){return s===this.U.get(n)?null:s}$(n,s,i){const r=this.U.get(n);typeof r=="number"&&(typeof s=="number"||(typeof i=="number"?this.U.set(n,r+i):this.U.delete(n)))}async write(n,s,i,r,o){return(0,j.$9g)(()=>this.ab(n,s,i,r,o),100,3)}async ab(n,s,i,r,o){const v=this.Z(n,s);let p=null;try{p=(await $.Promises.write(n,i,r,o,v)).bytesWritten}catch(f){throw await this.gb(this.X.get(n),f)}finally{this.$(n,v,p)}return p}async mkdir(n){try{await $.Promises.mkdir(this.H(n))}catch(s){throw this.fb(s)}}async delete(n,s){try{const i=this.H(n);if(s.recursive){let r;s?.atomic!==!1&&s.atomic.postfix&&(r=(0,P.$hc)((0,P.$kc)(i),`${(0,P.$lc)(i)}${s.atomic.postfix}`)),await $.Promises.rm(i,$.RimRafMode.MOVE,r)}else try{await $.Promises.unlink(i)}catch(r){if(r.code==="EPERM"||r.code==="EISDIR"){let o=!1;try{const{stat:v,symbolicLink:p}=await $.SymlinkSupport.stat(i);o=v.isDirectory()&&!p}catch{}if(o)await $.Promises.rmdir(i);else throw r}else throw r}}catch(i){throw this.fb(i)}}async rename(n,s,i){const r=this.H(n),o=this.H(s);if(r!==o)try{await this.bb(n,s,"move",i.overwrite),await $.Promises.rename(r,o)}catch(v){throw(v.code==="EINVAL"||v.code==="EBUSY"||v.code==="ENAMETOOLONG")&&(v=new Error((0,y.localize)(2,null,(0,P.$lc)(r),(0,P.$lc)((0,P.$kc)(o)),v.toString()))),this.fb(v)}}async copy(n,s,i){const r=this.H(n),o=this.H(s);if(r!==o)try{await this.bb(n,s,"copy",i.overwrite),await $.Promises.copy(r,o,{preserveSymlinks:!0})}catch(v){throw(v.code==="EINVAL"||v.code==="EBUSY"||v.code==="ENAMETOOLONG")&&(v=new Error((0,y.localize)(3,null,(0,P.$lc)(r),(0,P.$lc)((0,P.$kc)(o)),v.toString()))),this.fb(v)}}async bb(n,s,i,r){const o=this.H(n),v=this.H(s);let p=!1;if(!!(this.capabilities&1024)||(p=(0,C.$Uf)(o,v,!0)),p){if(i==="copy")throw(0,d.$gk)((0,y.localize)(4,null),d.FileSystemProviderErrorCode.FileExists);if(i==="move")return}const b=await this.L(n);if(!b)throw(0,d.$gk)((0,y.localize)(5,null),d.FileSystemProviderErrorCode.FileNotFound);const L=await this.L(s);if(L){if(!r)throw(0,d.$gk)((0,y.localize)(6,null),d.FileSystemProviderErrorCode.FileExists);b.type&d.FileType.File&&L.type&d.FileType.File||await this.delete(s,{recursive:!0,useTrash:!1,atomic:!1})}}async cloneFile(n,s){return this.cb(n,s,!1)}async cb(n,s,i){const r=this.H(n),o=this.H(s),v=!!(this.capabilities&1024);if((0,C.$Uf)(r,o,!v))return;const p=new g.$Pc;try{p.add(await this.O(n)),p.add(await this.O(s)),i&&await $.Promises.mkdir((0,P.$kc)(o),{recursive:!0}),await $.Promises.copyFile(r,o)}catch(f){if(f.code==="ENOENT"&&!i)return this.cb(n,s,!0);throw this.fb(f)}finally{p.dispose()}}t(n,s,i){return new w.$Up(r=>n(r),r=>s(r),i)}F(n,s,i){return new S.$3p(r=>n(r),r=>s(r),i)}fb(n){if(n instanceof d.$fk)return n;let s=n,i;switch(n.code){case"ENOENT":i=d.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":i=d.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":i=d.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":i=d.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":i=d.FileSystemProviderErrorCode.NoPermissions;break;case"ERR_UNC_HOST_NOT_ALLOWED":s=`${n.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`,i=d.FileSystemProviderErrorCode.Unknown;break;default:i=d.FileSystemProviderErrorCode.Unknown}return(0,d.$gk)(s,i)}async gb(n,s){let i=this.fb(s);if(n&&i.code===d.FileSystemProviderErrorCode.NoPermissions)try{const{stat:r}=await $.SymlinkSupport.stat(this.H(n));r.mode&128||(i=(0,d.$gk)(s,d.FileSystemProviderErrorCode.FileWriteLocked))}catch(r){this.a.trace(r)}return i}}e.$4p=t}),define(oe[101],ae([0,1,3,2,4,7]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$B8b=e.$A8b=void 0,e.$A8b=(0,j.$Lh)("sharedProcessLifecycleService");let D=class extends N.$Qc{constructor(C){super(),this.b=C,this.a=this.B(new O.$Ld),this.onWillShutdown=this.a.event}fireOnWillShutdown(){this.b.trace("Lifecycle#onWillShutdown.fire()"),this.a.fire()}};e.$B8b=D,e.$B8b=D=ye([x(0,A.$6i)],D)}),define(oe[201],ae([0,1,10,3,7,2]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4q=e.$3q=e.$2q=void 0;class D extends j.$ej{constructor(E,m,c,$,y){super(m,c,$),this.r=E,this.t=y,this.B(y.listen("onDidChangeLogLevel",E)(d=>{(0,j.$8i)(d)?super.setLogLevel(d):super.setLogLevel(O.URI.revive(d[0]),d[1])})),this.B(y.listen("onDidChangeVisibility",E)(([d,u])=>super.setVisibility(O.URI.revive(d),u))),this.B(y.listen("onDidChangeLoggers",E)(({added:d,removed:u})=>{for(const l of d)super.registerLogger({...l,resource:O.URI.revive(l.resource)});for(const l of u)super.deregisterLogger(l.resource)}))}createConsoleMainLogger(){return new j.$cj({log:(E,m)=>{this.t.call("consoleLog",[E,m])}})}registerLogger(E){super.registerLogger(E),this.t.call("registerLogger",[E,this.r])}deregisterLogger(E){super.deregisterLogger(E),this.t.call("deregisterLogger",[E,this.r])}setLogLevel(E,m){super.setLogLevel(E,m),this.t.call("setLogLevel",[E,m])}setVisibility(E,m){super.setVisibility(E,m),this.t.call("setVisibility",[this.n(E),m])}s(E,m,c){return new I(this.t,E,m,c,this.r)}static setLogLevel(E,m,c){return E.call("setLogLevel",[m,c])}}e.$2q=D;class I extends j.$_i{constructor(E,m,c,$,y){super($?.logLevel==="always"),this.r=E,this.s=m,this.m=!1,this.n=[],this.setLevel(c),this.r.call("createLogger",[m,$,y]).then(()=>{this.u(this.n),this.m=!0})}g(E,m){const c=[[E,m]];this.m?this.u(c):this.n.push(...c)}u(E){this.r.call("log",[this.s,E])}}class C{constructor(E,m){this.a=E,this.b=m}listen(E,m){const c=this.b(E);switch(m){case"onDidChangeLoggers":return N.Event.map(this.a.onDidChangeLoggers,$=>({added:[...$.added].map(y=>this.c(y,c)),removed:[...$.removed].map(y=>this.c(y,c))}));case"onDidChangeVisibility":return N.Event.map(this.a.onDidChangeVisibility,$=>[c.transformOutgoingURI($[0]),$[1]]);case"onDidChangeLogLevel":return N.Event.map(this.a.onDidChangeLogLevel,$=>(0,j.$8i)($)?$:[c.transformOutgoingURI($[0]),$[1]])}throw new Error(`Event not found: ${m}`)}async call(E,m,c){const $=this.b(E);switch(m){case"setLogLevel":return(0,j.$8i)(c[0])?this.a.setLogLevel(c[0]):this.a.setLogLevel(O.URI.revive($.transformIncoming(c[0][0])),c[0][1]);case"getRegisteredLoggers":return Promise.resolve([...this.a.getRegisteredLoggers()].map(y=>this.c(y,$)))}throw new Error(`Call not found: ${m}`)}c(E,m){return{...E,resource:m.transformOutgoingURI(E.resource)}}}e.$3q=C;class g extends A.$Qc{constructor(E,m){super(),m.call("setLogLevel",[E.getLogLevel()]),this.B(E.onDidChangeLogLevel(c=>m.call("setLogLevel",[c]))),m.call("getRegisteredLoggers").then(c=>{for(const $ of c)E.registerLogger({...$,resource:O.URI.revive($.resource)})}),this.B(m.listen("onDidChangeVisibility")(([c,$])=>E.setVisibility(O.URI.revive(c),$))),this.B(m.listen("onDidChangeLoggers")(({added:c,removed:$})=>{for(const y of c)E.registerLogger({...y,resource:O.URI.revive(y.resource)});for(const y of $)E.deregisterLogger(y.resource)}))}}e.$4q=g}),define(oe[202],ae([0,1,2,7]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tN=void 0;class j extends O.$Qc{constructor(D,I=[]){super(),this.a=new N.$dj([D,...I]),this.B(D.onDidChangeLogLevel(C=>this.setLevel(C)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(D){this.a.setLevel(D)}getLevel(){return this.a.getLevel()}trace(D,...I){this.a.trace(D,...I)}debug(D,...I){this.a.debug(D,...I)}info(D,...I){this.a.info(D,...I)}warn(D,...I){this.a.warn(D,...I)}error(D,...I){this.a.error(D,...I)}flush(){this.a.flush()}}e.$tN=j}),define(oe[55],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$t6b=void 0,e.$t6b=(0,O.$Lh)("nativeHostService")}),define(oe[56],ae([0,1,3,59,2,4]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$an=e.$_m=e.$$m=void 0,e.$$m=(0,A.$Lh)("policy");class D extends j.$Qc{constructor(){super(...arguments),this.f={},this.g=new Map,this.h=this.B(new O.$Ld),this.onDidChange=this.h.event}async updatePolicyDefinitions(g){const P=Object.keys(this.f).length;return this.f={...g,...this.f},P!==Object.keys(this.f).length&&await this.j(g),N.Iterable.reduce(this.g.entries(),(E,[m,c])=>({...E,[m]:c}),{})}getPolicyValue(g){return this.g.get(g)}serialize(){return N.Iterable.reduce(Object.entries(this.f),(g,[P,E])=>({...g,[P]:{definition:E,value:this.g.get(P)}}),{})}}e.$_m=D;class I{constructor(){this.onDidChange=O.Event.None}async updatePolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.$an=I}),define(oe[203],ae([0,1,3,2,56]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$k7b=e.$j7b=void 0;class A{constructor(C){this.b=C,this.a=new N.$Pc}listen(C,g){switch(g){case"onDidChange":return O.Event.map(this.b.onDidChange,P=>P.reduce((E,m)=>({...E,[m]:this.b.getPolicyValue(m)??null}),{}),this.a)}throw new Error(`Event not found: ${g}`)}call(C,g,P){switch(g){case"updatePolicyDefinitions":return this.b.updatePolicyDefinitions(P)}throw new Error(`Call not found: ${g}`)}dispose(){this.a.dispose()}}e.$j7b=A;class D extends j.$_m{constructor(C,g){super(),this.a=g;for(const P in C){const{definition:E,value:m}=C[P];this.f[P]=E,m!==void 0&&this.g.set(P,m)}this.a.listen("onDidChange")(P=>{for(const E in P){const m=P[E];m===null?this.g.delete(E):this.g.set(E,m)}this.h.fire(Object.keys(P))})}async j(C){const g=await this.a.call("updatePolicyDefinitions",C);for(const P in g)this.g.set(P,g[P])}}e.$k7b=D}),define(oe[102],ae([0,1,6,37]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let j;if(typeof O.$g.vscode<"u"&&typeof O.$g.vscode.context<"u"){const A=O.$g.vscode.context.configuration();if(A)j=A.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(globalThis._VSCODE_PRODUCT_JSON&&globalThis._VSCODE_PACKAGE_JSON){if(j=globalThis._VSCODE_PRODUCT_JSON,N.env.VSCODE_DEV&&Object.assign(j,{nameShort:`${j.nameShort} Dev`,nameLong:`${j.nameLong} Dev`,dataFolderName:`${j.dataFolderName}-dev`,serverDataFolderName:j.serverDataFolderName?`${j.serverDataFolderName}-dev`:void 0}),!j.version){const A=globalThis._VSCODE_PACKAGE_JSON;Object.assign(j,{version:A.version})}}else j={},Object.keys(j).length===0&&Object.assign(j,{version:"1.82.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",serverLicenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=j}),define(oe[24],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mj=e.$lj=void 0,e.$lj=(0,O.$Lh)("productService"),e.$mj="vscode://schemas/vscode-product"}),define(oe[204],ae([0,1,5,8,2,16,31,7,24]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$87b=void 0;let g=class extends j.$Qc{constructor(E,m,c){super(),this.b=m,this.c=c,this.a=this.b.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,E&&this.B(new O.$3g(()=>{this.f(E)},3e4)).schedule()}async f(E){this.c.trace("[code cache cleanup]: Starting to clean up old code cache folders.");try{const m=Date.now(),c=(0,A.$kc)(E),$=(0,A.$lc)(E),y=await D.Promises.readdir(c);await Promise.all(y.map(async d=>{if(d===$)return;const u=(0,A.$hc)(c,d),l=await D.Promises.stat(u);if(l.isDirectory()&&m-l.mtime.getTime()>this.a)return this.c.trace(`[code cache cleanup]: Removing code cache folder ${d}.`),D.Promises.rm(u)}))}catch(m){(0,N.$Y)(m)}}};e.$87b=g,e.$87b=g=ye([x(1,C.$lj),x(2,I.$6i)],g)}),define(oe[205],ae([0,1,5,8,2,16,31,14,7,24]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$97b=void 0;let P=class extends j.$Qc{constructor(m,c,$){super(),this.b=m,this.c=c,this.f=$,this.a=this.f.quality!=="stable"?1e3*60*60*24*7:1e3*60*60*24*30*3,this.b.isBuilt&&this.B(new O.$3g(()=>{this.g()},4e4)).schedule()}async g(){this.c.trace("[language pack cache cleanup]: Starting to clean up unused language packs.");try{const m=Object.create(null),c=JSON.parse(await D.Promises.readFile((0,A.$hc)(this.b.userDataPath,"languagepacks.json"),"utf8"));for(const l of Object.keys(c)){const h=c[l];m[`${h.hash}.${l}`]=!0}const $=(0,A.$hc)(this.b.userDataPath,"clp");if(!await D.Promises.exists($))return;const d=await D.Promises.readdir($);for(const l of d){if(m[l]){this.c.trace(`[language pack cache cleanup]: Skipping folder ${l}. Language pack still in use.`);continue}this.c.trace(`[language pack cache cleanup]: Removing unused language pack: ${l}`),await D.Promises.rm((0,A.$hc)($,l))}const u=Date.now();for(const l of Object.keys(m)){const h=(0,A.$hc)($,l),w=await D.Promises.readdir(h);for(const S of w){if(S==="tcf.json")continue;const t=(0,A.$hc)(h,S),a=await D.Promises.stat(t);a.isDirectory()&&u-a.mtime.getTime()>this.a&&(this.c.trace(`[language pack cache cleanup]: Removing language pack cache folder: ${(0,A.$hc)(l,S)}`),await D.Promises.rm(t))}}}catch(m){(0,N.$Y)(m)}}};e.$97b=P,e.$97b=P=ye([x(0,I.$Th),x(1,C.$6i),x(2,g.$lj)],P)}),define(oe[206],ae([0,1,16,4]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Utils=e.$ME=void 0,e.$ME=(0,N.$Lh)("IV8InspectProfilingService");var j;(function(A){function D(C){return!!(C.samples&&C.timeDeltas)}A.isValidProfile=D;function I(C,g="noAbsolutePaths"){for(const P of C.nodes)P.callFrame&&P.callFrame.url&&((0,O.$gc)(P.callFrame.url)||/^\w[\w\d+.-]*:\/\/\/?/.test(P.callFrame.url))&&(P.callFrame.url=(0,O.$hc)(g,(0,O.$lc)(P.callFrame.url)));return C}A.rewriteAbsolutePaths=I})(j||(e.Utils=j={}))}),define(oe[207],ae([0,1,32]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$q8b=void 0;class N{constructor(){this.a=new Map}async startProfiling(A){const I=await(await new Promise((g,P)=>{te(["v8-inspect-profiler"],g,P)})).startProfiling({port:A.port,checkForPaused:!0}),C=(0,O.$bg)();return this.a.set(C,I),C}async stopProfiling(A){const D=this.a.get(A);if(!D)throw new Error(`UNKNOWN session '${A}'`);const I=await D.stop();return this.a.delete(A),I.profile}}e.$q8b=N}),define(oe[40],ae([0,1,127,12]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9m=void 0;class j{constructor(){this.a=new Map}add(D,I){O.ok(N.$wf(D)),O.ok(N.$yf(I)),O.ok(!this.a.has(D),"There is already an extension with this id"),this.a.set(D,I)}knows(D){return this.a.has(D)}as(D){return this.a.get(D)||null}}e.$9m=new j}),define(oe[103],ae([0,1,3,40]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0m=void 0,e.$0m={JSONContribution:"base.contributions.json"};function j(I){return I.length>0&&I.charAt(I.length-1)==="#"?I.substring(0,I.length-1):I}class A{constructor(){this.b=new O.$Ld,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(C,g){this.a[j(C)]=g,this.b.fire(C)}notifySchemaChanged(C){this.b.fire(C)}getSchemaContributions(){return{schemas:this.a}}}const D=new A;N.$9m.add(e.$0m.JSONContribution,D)}),define(oe[49],ae([0,1,18,3,12,149,19,103,40]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qn=e.$pn=e.$on=e.$nn=e.$mn=e.$ln=e.$kn=e.$jn=e.$in=e.$hn=e.$gn=e.$fn=e.$en=e.$dn=e.$cn=e.ConfigurationScope=e.$bn=e.EditPresentationTypes=void 0;var g;(function(S){S.Multiline="multilineText",S.Singleline="singlelineText"})(g||(e.EditPresentationTypes=g={})),e.$bn={Configuration:"base.contributions.configuration"};var P;(function(S){S[S.APPLICATION=1]="APPLICATION",S[S.MACHINE=2]="MACHINE",S[S.WINDOW=3]="WINDOW",S[S.RESOURCE=4]="RESOURCE",S[S.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",S[S.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(P||(e.ConfigurationScope=P={})),e.$cn={properties:{},patternProperties:{}},e.$dn={properties:{},patternProperties:{}},e.$en={properties:{},patternProperties:{}},e.$fn={properties:{},patternProperties:{}},e.$gn={properties:{},patternProperties:{}},e.$hn={properties:{},patternProperties:{}},e.$in="vscode://schemas/settings/resourceLanguage",e.$jn="vscode://schemas/settings/configurationDefaults";const E=C.$9m.as(I.$0m.JSONContribution);class m{constructor(){this.h=new Set,this.i=new N.$Ld,this.onDidSchemaChange=this.i.event,this.j=new N.$Ld,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:A.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},E.registerSchema(e.$in,this.g),this.v()}registerConfiguration(t,a=!0){this.registerConfigurations([t],a)}registerConfigurations(t,a=!0){const n=new Set;this.n(t,a,n),E.registerSchema(e.$in,this.g),this.i.fire(),this.j.fire({properties:n})}deregisterConfigurations(t){const a=new Set;this.o(t,a),E.registerSchema(e.$in,this.g),this.i.fire(),this.j.fire({properties:a})}updateConfigurations({add:t,remove:a}){const n=new Set;this.o(a,n),this.n(t,!1,n),E.registerSchema(e.$in,this.g),this.i.fire(),this.j.fire({properties:n})}registerDefaultConfigurations(t){const a=new Set;this.k(t,a),this.i.fire(),this.j.fire({properties:a,defaultsOverrides:!0})}k(t,a){const n=[];for(const{overrides:s,source:i}of t)for(const r in s)if(a.add(r),e.$ln.test(r)){const o=this.a.get(r),v=o?.valuesSources??new Map;if(i)for(const L of Object.keys(s[r]))v.set(L,i);const p={...o?.value||{},...s[r]};this.a.set(r,{source:i,value:p,valuesSources:v});const f=(0,D.$pi)(r),b={type:"object",default:p,description:A.localize(1,null,f),$ref:e.$in,defaultDefaultValue:p,source:j.$wf(i)?void 0:i,defaultValueSource:i};n.push(...y(r)),this.d[r]=b,this.b.properties[r]=b}else{this.a.set(r,{value:s[r],source:i});const o=this.d[r];o&&(this.w(r,o),this.r(r,o))}this.m(n)}deregisterDefaultConfigurations(t){const a=new Set;this.l(t,a),this.i.fire(),this.j.fire({properties:a,defaultsOverrides:!0})}l(t,a){for(const{overrides:n,source:s}of t)for(const i in n){const r=this.a.get(i),o=j.$wf(s)?s:s?.id,v=j.$wf(r?.source)?r?.source:r?.source?.id;if(o===v)if(a.add(i),this.a.delete(i),e.$ln.test(i))delete this.d[i],delete this.b.properties[i];else{const p=this.d[i];p&&(this.w(i,p),this.r(i,p))}}this.u()}deltaConfiguration(t){let a=!1;const n=new Set;t.removedDefaults&&(this.l(t.removedDefaults,n),a=!0),t.addedDefaults&&(this.k(t.addedDefaults,n),a=!0),t.removedConfigurations&&this.o(t.removedConfigurations,n),t.addedConfigurations&&this.n(t.addedConfigurations,!1,n),this.i.fire(),this.j.fire({properties:n,defaultsOverrides:a})}notifyConfigurationSchemaUpdated(...t){this.i.fire()}registerOverrideIdentifiers(t){this.m(t),this.i.fire()}m(t){for(const a of t)this.h.add(a);this.u()}n(t,a,n){t.forEach(s=>{this.p(s,a,s.extensionInfo,s.restrictedProperties,void 0,n),this.c.push(s),this.q(s)})}o(t,a){const n=s=>{if(s.properties)for(const i in s.properties){a.add(i);const r=this.d[i];r?.policy?.name&&this.e.delete(r.policy.name),delete this.d[i],this.s(i,s.properties[i])}s.allOf?.forEach(i=>n(i))};for(const s of t){n(s);const i=this.c.indexOf(s);i!==-1&&this.c.splice(i,1)}}p(t,a=!0,n,s,i=3,r){i=j.$Ff(t.scope)?i:t.scope;const o=t.properties;if(o)for(const p in o){const f=o[p];if(a&&h(p,f)){delete o[p];continue}if(f.source=n,f.defaultDefaultValue=o[p].default,this.w(p,f),e.$ln.test(p)?f.scope=void 0:(f.scope=j.$Ff(f.scope)?i:f.scope,f.restricted=j.$Ff(f.restricted)?!!s?.includes(p):f.restricted),o[p].hasOwnProperty("included")&&!o[p].included){this.f[p]=o[p],delete o[p];continue}else this.d[p]=o[p],o[p].policy?.name&&this.e.set(o[p].policy.name,p);!o[p].deprecationMessage&&o[p].markdownDeprecationMessage&&(o[p].deprecationMessage=o[p].markdownDeprecationMessage),r.add(p)}const v=t.allOf;if(v)for(const p of v)this.p(p,a,n,s,i,r)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(t){const a=n=>{const s=n.properties;if(s)for(const r in s)this.r(r,s[r]);n.allOf?.forEach(a)};a(t)}r(t,a){switch(e.$cn.properties[t]=a,a.scope){case 1:e.$dn.properties[t]=a;break;case 2:e.$en.properties[t]=a;break;case 6:e.$fn.properties[t]=a;break;case 3:e.$gn.properties[t]=a;break;case 4:e.$hn.properties[t]=a;break;case 5:e.$hn.properties[t]=a,this.g.properties[t]=a;break}}s(t,a){switch(delete e.$cn.properties[t],a.scope){case 1:delete e.$dn.properties[t];break;case 2:delete e.$en.properties[t];break;case 6:delete e.$fn.properties[t];break;case 3:delete e.$gn.properties[t];break;case 4:case 5:delete e.$hn.properties[t],delete this.g.properties[t];break}}u(){for(const t of this.h.values()){const a=`[${t}]`,n={type:"object",description:A.localize(2,null),errorMessage:A.localize(3,null),$ref:e.$in};this.w(a,n),e.$cn.properties[a]=n,e.$dn.properties[a]=n,e.$en.properties[a]=n,e.$fn.properties[a]=n,e.$gn.properties[a]=n,e.$hn.properties[a]=n}}v(){const t={type:"object",description:A.localize(4,null),errorMessage:A.localize(5,null),$ref:e.$in};e.$cn.patternProperties[e.$kn]=t,e.$dn.patternProperties[e.$kn]=t,e.$en.patternProperties[e.$kn]=t,e.$fn.patternProperties[e.$kn]=t,e.$gn.patternProperties[e.$kn]=t,e.$hn.patternProperties[e.$kn]=t,this.i.fire()}w(t,a){const n=this.a.get(t);let s=n?.value,i=n?.source;j.$Df(s)&&(s=a.defaultDefaultValue,i=void 0),j.$Df(s)&&(s=u(a.type)),a.default=s,a.defaultValueSource=i}}const c="\\[([^\\]]+)\\]",$=new RegExp(c,"g");e.$kn=`^(${c})+$`,e.$ln=new RegExp(e.$kn);function y(S){const t=[];if(e.$ln.test(S)){let a=$.exec(S);for(;a?.length;){const n=a[1].trim();n&&t.push(n),a=$.exec(S)}}return(0,O.$Kb)(t)}e.$mn=y;function d(S){return S.reduce((t,a)=>`${t}[${a}]`,"")}e.$nn=d;function u(S){switch(Array.isArray(S)?S[0]:S){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.$on=u;const l=new m;C.$9m.add(e.$bn.Configuration,l);function h(S,t){return S.trim()?e.$ln.test(S)?A.localize(7,null,S):l.getConfigurationProperties()[S]!==void 0?A.localize(8,null,S):t.policy?.name&&l.getPolicyConfigurations().get(t.policy?.name)!==void 0?A.localize(9,null,S,t.policy?.name,l.getPolicyConfigurations().get(t.policy?.name)):null:A.localize(6,null)}e.$pn=h;function w(){const S=[],t=l.getConfigurationProperties();for(const a of Object.keys(t))S.push([a,t[a].scope]);return S.push(["launch",4]),S.push(["task",4]),S}e.$qn=w}),define(oe[73],ae([0,1,18,3,35,2,34,30,12,10,19,49,40]),function(te,e,O,N,j,A,D,I,C,g,P,E,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wn=e.$vn=e.$un=e.$tn=e.$sn=e.$rn=void 0;function c(a){return Object.isFrozen(a)?a:I.$Xm(a)}class ${constructor(n={},s=[],i=[],r){this.b=n,this.c=s,this.d=i,this.raw=r,this.a=new Map}get rawConfiguration(){if(!this.f)if(this.raw?.length){const n=this.raw.map(s=>{if(s instanceof $)return s;const i=new y("");return i.parseRaw(s),i.configurationModel});this.f=n.reduce((s,i)=>i===s?i:s.merge(i),n[0])}else this.f=this;return this.f}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(n){return n?(0,P.$ni)(this.contents,n):this.contents}inspect(n,s){const i=this.rawConfiguration.getValue(n),r=s?this.rawConfiguration.getOverrideValue(n,s):void 0,o=s?this.rawConfiguration.override(s).getValue(n):i;return{value:i,override:r,merged:o}}getOverrideValue(n,s){const i=this.i(s);return i?n?(0,P.$ni)(i,n):i:void 0}getKeysForOverrideIdentifier(n){const s=[];for(const i of this.overrides)i.identifiers.includes(n)&&s.push(...i.keys);return O.$Kb(s)}getAllOverrideIdentifiers(){const n=[];for(const s of this.overrides)n.push(...s.identifiers);return O.$Kb(n)}override(n){let s=this.a.get(n);return s||(s=this.g(n),this.a.set(n,s)),s}merge(...n){const s=I.$Wm(this.contents),i=I.$Wm(this.overrides),r=[...this.keys],o=this.raw?.length?[...this.raw]:[this];for(const v of n)if(o.push(...v.raw?.length?v.raw:[v]),!v.isEmpty()){this.h(s,v.contents);for(const p of v.overrides){const[f]=i.filter(b=>O.$sb(b.identifiers,p.identifiers));f?(this.h(f.contents,p.contents),f.keys.push(...p.keys),f.keys=O.$Kb(f.keys)):i.push(I.$Wm(p))}for(const p of v.keys)r.indexOf(p)===-1&&r.push(p)}return new $(s,r,i,o.every(v=>v instanceof $)?void 0:o)}g(n){const s=this.i(n);if(!s||typeof s!="object"||!Object.keys(s).length)return this;const i={};for(const r of O.$Kb([...Object.keys(this.contents),...Object.keys(s)])){let o=this.contents[r];const v=s[r];v&&(typeof o=="object"&&typeof v=="object"?(o=I.$Wm(o),this.h(o,v)):o=v),i[r]=o}return new $(i,this.keys,this.overrides)}h(n,s){for(const i of Object.keys(s)){if(i in n&&C.$yf(n[i])&&C.$yf(s[i])){this.h(n[i],s[i]);continue}n[i]=I.$Wm(s[i])}}i(n){let s=null,i=null;const r=o=>{o&&(i?this.h(i,o):i=I.$Wm(o))};for(const o of this.overrides)o.identifiers.length===1&&o.identifiers[0]===n?s=o.contents:o.identifiers.includes(n)&&r(o.contents);return r(s),i}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(n,s){this.j(n,s,!0)}setValue(n,s){this.j(n,s,!1)}removeValue(n){const s=this.keys.indexOf(n);s!==-1&&(this.keys.splice(s,1),(0,P.$mi)(this.contents,n),E.$ln.test(n)&&this.overrides.splice(this.overrides.findIndex(i=>O.$sb(i.identifiers,(0,E.$mn)(n))),1))}j(n,s,i){(0,P.$li)(this.contents,n,s,r=>console.error(r)),i=i||this.keys.indexOf(n)===-1,i&&this.keys.push(n),E.$ln.test(n)&&this.overrides.push({identifiers:(0,E.$mn)(n),keys:Object.keys(this.contents[n]),contents:(0,P.$ki)(this.contents[n],r=>console.error(r))})}}e.$rn=$;class y{constructor(n){this.f=n,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||new $}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(n,s){if(!C.$Ff(n)){const i=this.g(n);this.parseRaw(i,s)}}reparse(n){this.a&&this.parseRaw(this.a,n)}parseRaw(n,s){this.a=n;const{contents:i,keys:r,overrides:o,restricted:v,hasExcludedProperties:p}=this.h(n,s);this.b=new $(i,r,o,p?[n]:void 0),this.c=v||[]}g(n){let s={},i=null,r=[];const o=[],v=[];function p(b){Array.isArray(r)?r.push(b):i!==null&&(r[i]=b)}const f={onObjectBegin:()=>{const b={};p(b),o.push(r),r=b,i=null},onObjectProperty:b=>{i=b},onObjectEnd:()=>{r=o.pop()},onArrayBegin:()=>{const b=[];p(b),o.push(r),r=b,i=null},onArrayEnd:()=>{r=o.pop()},onLiteralValue:p,onError:(b,L,F)=>{v.push({error:b,offset:L,length:F})}};if(n)try{j.$Tm(n,f),s=r[0]||{}}catch(b){console.error(`Error while parsing settings file ${this.f}: ${b}`),this.d=[b]}return s}h(n,s){const i=m.$9m.as(E.$bn.Configuration).getConfigurationProperties(),r=this.i(n,i,!0,s);n=r.raw;const o=(0,P.$ki)(n,f=>console.error(`Conflict in settings file ${this.f}: ${f}`)),v=Object.keys(n),p=this.j(n,f=>console.error(`Conflict in settings file ${this.f}: ${f}`));return{contents:o,keys:v,overrides:p,restricted:r.restricted,hasExcludedProperties:r.hasExcludedProperties}}i(n,s,i,r){let o=!1;if(!r?.scopes&&!r?.skipRestricted&&!r?.exclude?.length)return{raw:n,restricted:[],hasExcludedProperties:o};const v={},p=[];for(const f in n)if(E.$ln.test(f)&&i){const b=this.i(n[f],s,!1,r);v[f]=b.raw,o=o||b.hasExcludedProperties,p.push(...b.restricted)}else{const b=s[f],L=b?typeof b.scope<"u"?b.scope:3:void 0;b?.restricted&&p.push(f),!r.exclude?.includes(f)&&(r.include?.includes(f)||(L===void 0||r.scopes===void 0||r.scopes.includes(L))&&!(r.skipRestricted&&b?.restricted))?v[f]=n[f]:o=!0}return{raw:v,restricted:p,hasExcludedProperties:o}}j(n,s){const i=[];for(const r of Object.keys(n))if(E.$ln.test(r)){const o={};for(const v in n[r])o[v]=n[r][v];i.push({identifiers:(0,E.$mn)(r),keys:Object.keys(o),contents:(0,P.$ki)(o,s)})}return i}}e.$sn=y;class d extends A.$Qc{constructor(n,s,i,r){super(),this.c=n,this.f=s,this.g=r,this.b=this.B(new N.$Ld),this.onDidChange=this.b.event,this.a=new y(this.c.toString()),this.B(this.g.watch(i.dirname(this.c))),this.B(this.g.watch(this.c)),this.B(N.Event.any(N.Event.filter(this.g.onDidFilesChange,o=>o.contains(this.c)),N.Event.filter(this.g.onDidRunOperation,o=>(o.isOperation(0)||o.isOperation(3)||o.isOperation(1)||o.isOperation(4))&&i.isEqual(o.resource,n)))(()=>this.b.fire()))}async loadConfiguration(){try{const n=await this.g.readFile(this.c);return this.a.parse(n.value.toString()||"{}",this.f),this.a.configurationModel}catch{return new $}}reparse(n){return n&&(this.f=n),this.a.reparse(this.f),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.$tn=d;class u{constructor(n,s,i,r,o,v,p,f,b,L,F,T,z){this.a=n,this.b=s,this.c=i,this.overrideIdentifiers=r,this.d=o,this.f=v,this.g=p,this.h=f,this.i=b,this.j=L,this.k=F,this.l=T,this.m=z}get value(){return c(this.c)}n(n,s,i){const r=n.inspect(s,i);return{get value(){return c(r.value)},get override(){return c(r.override)},get merged(){return c(r.merged)}}}get q(){return this.p||(this.p=this.n(this.d,this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.q.value!==void 0||this.q.override!==void 0?{value:this.q.value,override:this.q.override}:void 0}get s(){return this.r===void 0&&(this.r=this.f?this.n(this.f,this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.n(this.g,this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.u?.value!==void 0||this.u?.override!==void 0?{value:this.u.value,override:this.u.override}:void 0}get w(){return this.v||(this.v=this.n(this.h,this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.w.value!==void 0||this.w.override!==void 0?{value:this.w.value,override:this.w.override}:void 0}get y(){return this.x||(this.x=this.n(this.i,this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.y.value!==void 0||this.y.override!==void 0?{value:this.y.value,override:this.y.override}:void 0}get A(){return this.z||(this.z=this.n(this.j,this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.A.value!==void 0||this.A.override!==void 0?{value:this.A.value,override:this.A.override}:void 0}get D(){return this.B===void 0&&(this.B=this.k?this.n(this.k,this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.D?.value!==void 0||this.D?.override!==void 0?{value:this.D.value,override:this.D.override}:void 0}get F(){return this.E===void 0&&(this.E=this.l?this.n(this.l,this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.F?.value!==void 0||this.F?.override!==void 0?{value:this.F.value,override:this.F.override}:void 0}get H(){return this.G===void 0&&(this.G=this.n(this.m,this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.H.value!==void 0||this.H.override!==void 0?{value:this.H.value,override:this.H.override}:void 0}}class l{constructor(n,s,i,r,o=new $,v=new $,p=new D.$yc,f=new $,b=new D.$yc){this.c=n,this.d=s,this.f=i,this.g=r,this.h=o,this.i=v,this.j=p,this.l=f,this.m=b,this.a=null,this.b=new D.$yc,this.n=null}getValue(n,s,i){return this.q(n,s,i).getValue(n)}updateValue(n,s,i={}){let r;i.resource?(r=this.m.get(i.resource),r||(r=new $,this.m.set(i.resource,r))):r=this.l,s===void 0?r.removeValue(n):r.setValue(n,s),i.resource||(this.a=null)}inspect(n,s,i){const r=this.q(n,s,i),o=this.u(s.resource,i),v=s.resource?this.m.get(s.resource)||this.l:this.l,p=new Set;for(const f of r.overrides)for(const b of f.identifiers)r.getOverrideValue(n,b)!==void 0&&p.add(b);return new u(n,s,r.getValue(n),p.size?[...p]:void 0,this.c,this.d.isEmpty()?void 0:this.d,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,i?this.i:void 0,o||void 0,v)}keys(n){const s=this.u(void 0,n);return{default:this.c.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.i.keys.slice(0),workspaceFolder:s?s.keys.slice(0):[]}}updateDefaultConfiguration(n){this.c=n,this.a=null,this.b.clear()}updatePolicyConfiguration(n){this.d=n}updateApplicationConfiguration(n){this.f=n,this.a=null,this.b.clear()}updateLocalUserConfiguration(n){this.g=n,this.n=null,this.a=null,this.b.clear()}updateRemoteUserConfiguration(n){this.h=n,this.n=null,this.a=null,this.b.clear()}updateWorkspaceConfiguration(n){this.i=n,this.a=null,this.b.clear()}updateFolderConfiguration(n,s){this.j.set(n,s),this.b.delete(n)}deleteFolderConfiguration(n){this.p.delete(n),this.b.delete(n)}compareAndUpdateDefaultConfiguration(n,s){const i=[];if(!s){const{added:r,updated:o,removed:v}=S(this.c,n);s=[...r,...o,...v]}for(const r of s)for(const o of(0,E.$mn)(r)){const v=this.c.getKeysForOverrideIdentifier(o),p=n.getKeysForOverrideIdentifier(o),f=[...p.filter(b=>v.indexOf(b)===-1),...v.filter(b=>p.indexOf(b)===-1),...v.filter(b=>!I.$1m(this.c.override(o).getValue(b),n.override(o).getValue(b)))];i.push([o,f])}return this.updateDefaultConfiguration(n),{keys:s,overrides:i}}compareAndUpdatePolicyConfiguration(n){const{added:s,updated:i,removed:r}=S(this.d,n),o=[...s,...i,...r];return o.length&&this.updatePolicyConfiguration(n),{keys:o,overrides:[]}}compareAndUpdateApplicationConfiguration(n){const{added:s,updated:i,removed:r,overrides:o}=S(this.applicationConfiguration,n),v=[...s,...i,...r];return v.length&&this.updateApplicationConfiguration(n),{keys:v,overrides:o}}compareAndUpdateLocalUserConfiguration(n){const{added:s,updated:i,removed:r,overrides:o}=S(this.localUserConfiguration,n),v=[...s,...i,...r];return v.length&&this.updateLocalUserConfiguration(n),{keys:v,overrides:o}}compareAndUpdateRemoteUserConfiguration(n){const{added:s,updated:i,removed:r,overrides:o}=S(this.remoteUserConfiguration,n),v=[...s,...i,...r];return v.length&&this.updateRemoteUserConfiguration(n),{keys:v,overrides:o}}compareAndUpdateWorkspaceConfiguration(n){const{added:s,updated:i,removed:r,overrides:o}=S(this.workspaceConfiguration,n),v=[...s,...i,...r];return v.length&&this.updateWorkspaceConfiguration(n),{keys:v,overrides:o}}compareAndUpdateFolderConfiguration(n,s){const i=this.p.get(n),{added:r,updated:o,removed:v,overrides:p}=S(i,s),f=[...r,...o,...v];return(f.length||!i)&&this.updateFolderConfiguration(n,s),{keys:f,overrides:p}}compareAndDeleteFolderConfiguration(n){const s=this.p.get(n);if(!s)throw new Error("Unknown folder");this.deleteFolderConfiguration(n);const{added:i,updated:r,removed:o,overrides:v}=S(s,void 0);return{keys:[...i,...r,...o],overrides:v}}get defaults(){return this.c}get applicationConfiguration(){return this.f}get userConfiguration(){return this.n||(this.n=this.h.isEmpty()?this.g:this.g.merge(this.h)),this.n}get localUserConfiguration(){return this.g}get remoteUserConfiguration(){return this.h}get workspaceConfiguration(){return this.i}get p(){return this.j}q(n,s,i){let r=this.r(s,i);return s.overrideIdentifier&&(r=r.override(s.overrideIdentifier)),!this.d.isEmpty()&&this.d.getValue(n)!==void 0&&(r=r.merge(this.d)),r}r({resource:n},s){let i=this.s();if(s&&n){const r=s.getFolder(n);r&&(i=this.t(r.uri)||i);const o=this.m.get(n);o&&(i=i.merge(o))}return i}s(){return this.a||(this.a=this.c.merge(this.applicationConfiguration,this.userConfiguration,this.i,this.l)),this.a}t(n){let s=this.b.get(n);if(!s){const i=this.s(),r=this.j.get(n);r?(s=i.merge(r),this.b.set(n,s)):s=i}return s}u(n,s){if(s&&n){const i=s.getFolder(n);if(i)return this.j.get(i.uri)}}toData(){return{defaults:{contents:this.c.contents,overrides:this.c.overrides,keys:this.c.keys},policy:{contents:this.d.contents,overrides:this.d.overrides,keys:this.d.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.i.contents,overrides:this.i.overrides,keys:this.i.keys},folders:[...this.j.keys()].reduce((n,s)=>{const{contents:i,overrides:r,keys:o}=this.j.get(s);return n.push([s,{contents:i,overrides:r,keys:o}]),n},[])}}allKeys(){const n=new Set;return this.c.keys.forEach(s=>n.add(s)),this.userConfiguration.keys.forEach(s=>n.add(s)),this.i.keys.forEach(s=>n.add(s)),this.j.forEach(s=>s.keys.forEach(i=>n.add(i))),[...n.values()]}v(){const n=new Set;return this.c.getAllOverrideIdentifiers().forEach(s=>n.add(s)),this.userConfiguration.getAllOverrideIdentifiers().forEach(s=>n.add(s)),this.i.getAllOverrideIdentifiers().forEach(s=>n.add(s)),this.j.forEach(s=>s.getAllOverrideIdentifiers().forEach(i=>n.add(i))),[...n.values()]}w(n){const s=new Set;return this.c.getKeysForOverrideIdentifier(n).forEach(i=>s.add(i)),this.userConfiguration.getKeysForOverrideIdentifier(n).forEach(i=>s.add(i)),this.i.getKeysForOverrideIdentifier(n).forEach(i=>s.add(i)),this.j.forEach(i=>i.getKeysForOverrideIdentifier(n).forEach(r=>s.add(r))),[...s.values()]}static parse(n){const s=this.x(n.defaults),i=this.x(n.policy),r=this.x(n.application),o=this.x(n.user),v=this.x(n.workspace),p=n.folders.reduce((f,b)=>(f.set(g.URI.revive(b[0]),this.x(b[1])),f),new D.$yc);return new l(s,i,r,o,new $,v,p,new $,new D.$yc)}static x(n){return new $(n.contents,n.keys,n.overrides)}}e.$un=l;function h(...a){if(a.length===0)return{keys:[],overrides:[]};if(a.length===1)return a[0];const n=new Set,s=new Map;for(const r of a)r.keys.forEach(o=>n.add(o)),r.overrides.forEach(([o,v])=>{const p=(0,D.$vc)(s,o,new Set);v.forEach(f=>p.add(f))});const i=[];return s.forEach((r,o)=>i.push([o,[...r.values()]])),{keys:[...n.values()],overrides:i}}e.$vn=h;class w{constructor(n,s,i,r){this.change=n,this.f=s,this.g=i,this.h=r,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=".".charCodeAt(0),this.affectedKeys=new Set,this.i=void 0;for(const o of n.keys)this.affectedKeys.add(o);for(const[,o]of n.overrides)for(const v of o)this.affectedKeys.add(v);this.d=this.a;for(const o of this.affectedKeys)this.d+=o+this.a}get previousConfiguration(){return!this.i&&this.f&&(this.i=l.parse(this.f.data)),this.i}affectsConfiguration(n,s){const i=this.a+n,r=this.d.indexOf(i);if(r<0)return!1;const o=r+i.length;if(o>=this.d.length)return!1;const v=this.d.charCodeAt(o);if(v!==this.b&&v!==this.c)return!1;if(s){const p=this.previousConfiguration?this.previousConfiguration.getValue(n,s,this.f?.workspace):void 0,f=this.g.getValue(n,s,this.h);return!I.$1m(p,f)}return!0}}e.$wn=w;function S(a,n){const{added:s,removed:i,updated:r}=t(n?.rawConfiguration,a?.rawConfiguration),o=[],v=a?.getAllOverrideIdentifiers()||[],p=n?.getAllOverrideIdentifiers()||[];if(n){const f=p.filter(b=>!v.includes(b));for(const b of f)o.push([b,n.getKeysForOverrideIdentifier(b)])}if(a){const f=v.filter(b=>!p.includes(b));for(const b of f)o.push([b,a.getKeysForOverrideIdentifier(b)])}if(n&&a){for(const f of v)if(p.includes(f)){const b=t({contents:a.getOverrideValue(void 0,f)||{},keys:a.getKeysForOverrideIdentifier(f)},{contents:n.getOverrideValue(void 0,f)||{},keys:n.getKeysForOverrideIdentifier(f)});o.push([f,[...b.added,...b.removed,...b.updated]])}}return{added:s,removed:i,updated:r,overrides:o}}function t(a,n){const s=a?n?a.keys.filter(o=>n.keys.indexOf(o)===-1):[...a.keys]:[],i=n?a?n.keys.filter(o=>a.keys.indexOf(o)===-1):[...n.keys]:[],r=[];if(a&&n){for(const o of n.keys)if(a.keys.indexOf(o)!==-1){const v=(0,P.$ni)(n.contents,o),p=(0,P.$ni)(a.contents,o);I.$1m(v,p)||r.push(o)}}return{added:s,removed:i,updated:r}}}),define(oe[208],ae([0,1,18,3,2,30,12,73,49,7,56,40]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zn=e.$yn=e.$xn=void 0;class m extends j.$Qc{constructor(){super(...arguments),this.a=this.B(new N.$Ld),this.onDidChangeConfiguration=this.a.event,this.b=new I.$rn}get configurationModel(){return this.b}async initialize(){return this.g(),this.B(E.$9m.as(C.$bn.Configuration).onDidUpdateConfiguration(({properties:d,defaultsOverrides:u})=>this.c(Array.from(d),u))),this.configurationModel}reload(){return this.g(),this.configurationModel}c(d,u){this.h(d,E.$9m.as(C.$bn.Configuration).getConfigurationProperties()),this.a.fire({defaults:this.configurationModel,properties:d})}f(){return{}}g(){this.b=new I.$rn;const d=E.$9m.as(C.$bn.Configuration).getConfigurationProperties();this.h(Object.keys(d),d)}h(d,u){const l=this.f();for(const h of d){const w=l[h],S=u[h];w!==void 0?this.b.addValue(h,w):S?this.b.addValue(h,S.default):this.b.removeValue(h)}}}e.$xn=m;class c{constructor(){this.onDidChangeConfiguration=N.Event.None,this.configurationModel=new I.$rn}async initialize(){return this.configurationModel}}e.$yn=c;let $=class extends j.$Qc{get configurationModel(){return this.b}constructor(d,u,l){super(),this.c=d,this.f=u,this.g=l,this.a=this.B(new N.$Ld),this.onDidChangeConfiguration=this.a.event,this.b=new I.$rn}async initialize(){return this.g.trace("PolicyConfiguration#initialize"),this.m(await this.h(this.c.configurationModel.keys),!1),this.B(this.f.onDidChange(d=>this.j(d))),this.B(this.c.onDidChangeConfiguration(async({properties:d})=>this.m(await this.h(d),!0))),this.b}async h(d){this.g.trace("PolicyConfiguration#updatePolicyDefinitions",d);const u={},l=[],h=E.$9m.as(C.$bn.Configuration).getConfigurationProperties();for(const w of d){const S=h[w];if(!S){l.push(w);continue}if(S.policy){if(S.type!=="string"&&S.type!=="number"){this.g.warn(`Policy ${S.policy.name} has unsupported type ${S.type}`);continue}l.push(w),u[S.policy.name]={type:S.type}}}return(0,D.$Jf)(u)||await this.f.updatePolicyDefinitions(u),l}j(d){this.g.trace("PolicyConfiguration#onDidChangePolicies",d);const u=E.$9m.as(C.$bn.Configuration).getPolicyConfigurations(),l=(0,O.$Fb)(d.map(h=>u.get(h)));this.m(l,!0)}m(d,u){this.g.trace("PolicyConfiguration#update",d);const l=E.$9m.as(C.$bn.Configuration).getConfigurationProperties(),h=[],w=this.b.isEmpty();for(const S of d){const t=l[S]?.policy?.name;if(t){const a=this.f.getPolicyValue(t);(w?a!==void 0:!(0,A.$1m)(this.b.getValue(S),a))&&h.push([S,a])}else this.b.getValue(S)!==void 0&&h.push([S,void 0])}if(h.length){this.g.trace("PolicyConfiguration#changed",h);const S=this.b;this.b=new I.$rn;for(const t of S.keys)this.b.setValue(t,S.getValue(t));for(const[t,a]of h)a===void 0?this.b.removeValue(t):this.b.setValue(t,a);u&&this.a.fire(this.b)}}};e.$zn=$,e.$zn=$=ye([x(1,P.$$m),x(2,g.$6i)],$)}),define(oe[209],ae([0,1,5,3,2,21,19,73,208,56]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$An=void 0;class P extends j.$Qc{constructor(m,c,$,y){super(),this.j=m,this.h=this.B(new N.$Ld),this.onDidChangeConfiguration=this.h.event,this.b=this.B(new C.$xn),this.c=$ instanceof g.$an?new C.$yn:this.B(new C.$zn(this.b,$,y)),this.f=this.B(new I.$tn(this.j,{},A.$jg,c)),this.a=new I.$un(this.b.configurationModel,this.c.configurationModel,new I.$rn,new I.$rn),this.g=this.B(new O.$3g(()=>this.reloadConfiguration(),50)),this.B(this.b.onDidChangeConfiguration(({defaults:d,properties:u})=>this.n(d,u))),this.B(this.c.onDidChangeConfiguration(d=>this.r(d))),this.B(this.f.onDidChange(()=>this.g.schedule()))}async initialize(){const[m,c,$]=await Promise.all([this.b.initialize(),this.c.initialize(),this.f.loadConfiguration()]);this.a=new I.$un(m,c,new I.$rn,$)}getConfigurationData(){return this.a.toData()}getValue(m,c){const $=typeof m=="string"?m:void 0,y=(0,D.$gi)(m)?m:(0,D.$gi)(c)?c:{};return this.a.getValue($,y,void 0)}updateValue(m,c,$,y){return Promise.reject(new Error("not supported"))}inspect(m){return this.a.inspect(m,{},void 0)}keys(){return this.a.keys(void 0)}async reloadConfiguration(){const m=await this.f.loadConfiguration();this.m(m)}m(m){const c=this.a.toData(),$=this.a.compareAndUpdateLocalUserConfiguration(m);this.s($,c,2)}n(m,c){const $=this.a.toData(),y=this.a.compareAndUpdateDefaultConfiguration(m,c);this.s(y,$,7)}r(m){const c=this.a.toData(),$=this.a.compareAndUpdatePolicyConfiguration(m);this.s($,c,7)}s(m,c,$){const y=new I.$wn(m,{data:c},this.a);y.source=$,y.sourceConfig=this.t($),this.h.fire(y)}t(m){switch(m){case 7:return this.a.defaults.contents;case 2:return this.a.localUserConfiguration.contents}return{}}}e.$An=P}),define(oe[210],ae([0,1,15,3,2,65]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kkb=e.$jkb=e.$ikb=e.$hkb=void 0;const D=(g,P,E)=>{const m=new Uint8Array(16);for(let y=0;y<16;y++)m[y]=Math.round(Math.random()*256);const c=(0,O.$te)(O.$_d.wrap(m));return[`GET ws://localhost${g}?${P}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${c}`].join(`\r
`)+`\r
\r
`};e.$hkb=D,e.$ikb=O.$_d.fromString(`\r
\r
`);async function I(g,P,E,m,c){g.write(O.$_d.fromString((0,e.$hkb)(P,E,m)));const $=new j.$Pc;try{return await new Promise((y,d)=>{let u;$.add(g.onData(l=>{u?u=O.$_d.concat([u,l],u.byteLength+l.byteLength):u=l;const h=u.indexOf(e.$ikb);if(h===-1)return;y(g),g.pauseData();const w=u.slice(h+e.$ikb.byteLength);w.byteLength&&c.onData.fire(w)})),$.add(g.onClose(l=>d(l??new Error("socket closed")))),$.add(g.onEnd(()=>d(new Error("socket ended"))))})}catch(y){throw g.dispose(),y}finally{$.dispose()}}e.$jkb=I;class C extends j.$Qc{constructor(P,E){super(),this.g=P,this.a=this.B(new N.$Od),this.onData=(...m)=>(this.a.isPaused&&queueMicrotask(()=>this.a.resume()),this.a.event(...m)),this.b=this.B(new N.$Ld),this.onDidDispose=this.b.event,this.f=!1,this.B(E.onData),this.B(E.onData.event(m=>this.a.fire(m))),this.onClose=this.B(E.onClose).event,this.onEnd=this.B(E.onEnd).event}pauseData(){this.a.pause()}drain(){return Promise.resolve()}end(){this.f=!0,this.h()}traceSocketEvent(P,E){A.SocketDiagnostics.traceSocketEvent(this,this.g,P,E)}dispose(){this.f||this.h(),this.b.fire(),super.dispose()}}e.$kkb=C}),define(oe[211],ae([0,1,8,4]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ok=e.$Nk=e.RemoteAuthorityResolverErrorCode=e.$Mk=e.$Lk=e.RemoteConnectionType=e.$Kk=void 0,e.$Kk=(0,N.$Lh)("remoteAuthorityResolverService");var j;(function(P){P[P.WebSocket=0]="WebSocket",P[P.Managed=1]="Managed"})(j||(e.RemoteConnectionType=j={}));class A{constructor(E){this.id=E,this.type=1}toString(){return`Managed(${this.id})`}}e.$Lk=A;class D{constructor(E,m){this.host=E,this.port=m,this.type=0}toString(){return`WebSocket(${this.host}:${this.port})`}}e.$Mk=D;var I;(function(P){P.Unknown="Unknown",P.NotAvailable="NotAvailable",P.TemporarilyNotAvailable="TemporarilyNotAvailable",P.NoResolverFound="NoResolverFound",P.InvalidAuthority="InvalidAuthority"})(I||(e.RemoteAuthorityResolverErrorCode=I={}));class C extends O.$_{static isNotAvailable(E){return E instanceof C&&E._code===I.NotAvailable}static isTemporarilyNotAvailable(E){return E instanceof C&&E._code===I.TemporarilyNotAvailable}static isNoResolverFound(E){return E instanceof C&&E._code===I.NoResolverFound}static isInvalidAuthority(E){return E instanceof C&&E._code===I.InvalidAuthority}static isHandled(E){return E instanceof C&&E.isHandled}constructor(E,m=I.Unknown,c){super(E),this._message=E,this._code=m,this._detail=c,this.isHandled=m===I.NotAvailable&&c===!0,Object.setPrototypeOf(this,C.prototype)}}e.$Nk=C;function g(P){const E=P.indexOf("+");return E===-1?P:P.substring(0,E)}e.$Ok=g}),define(oe[74],ae([0,1,23]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tk=e.$Sk=e.$Rk=e.$Qk=e.$Pk=void 0;function N(g){return g.scheme===O.Schemas.vscodeRemote?g.authority:void 0}e.$Pk=N;function j(g){if(!g)return;const P=g.indexOf("+");return P<0?g:g.substr(0,P)}e.$Qk=j;function A(g){return`/${g.quality??"oss"}-${g.commit??"dev"}`}e.$Rk=A;function D(g){const{host:P,port:E}=C(g);if(typeof E>"u")throw new Error("Remote authority doesn't contain a port!");return{host:P,port:E}}e.$Sk=D;function I(g,P){let{host:E,port:m}=C(g);return typeof m>"u"&&(m=P),{host:E,port:m}}e.$Tk=I;function C(g){const P=g.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(P)return{host:P[1],port:parseInt(P[2],10)};const E=g.match(/^(\[[0-9a-z:]+\])$/);if(E)return{host:E[1],port:void 0};const m=g.match(/(.*):(\d+)$/);return m?{host:m[1],port:parseInt(m[2],10)}:{host:g,port:void 0}}}),define(oe[44],ae([0,1,27,4,74]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4l=e.$3l=e.$2l=e.$1l=e.$Zl=e.$Yl=e.$Xl=e.$Wl=e.TargetPlatform=e.ExtensionType=e.$Vl=e.$Ul=e.$Tl=e.$Sl=e.$Rl=e.$Ql=void 0,e.$Ql="extensions.user.cache",e.$Rl="extensions.builtin.cache",e.$Sl="undefined_publisher",e.$Tl=["ui","workspace","web"];function A(y){if(typeof y=="object"&&y!==null&&y.supported!==!0)return y.description}e.$Ul=A,e.$Vl=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var D;(function(y){y[y.System=0]="System",y[y.User=1]="User"})(D||(e.ExtensionType=D={}));var I;(function(y){y.WIN32_X64="win32-x64",y.WIN32_IA32="win32-ia32",y.WIN32_ARM64="win32-arm64",y.LINUX_X64="linux-x64",y.LINUX_ARM64="linux-arm64",y.LINUX_ARMHF="linux-armhf",y.ALPINE_X64="alpine-x64",y.ALPINE_ARM64="alpine-arm64",y.DARWIN_X64="darwin-x64",y.DARWIN_ARM64="darwin-arm64",y.WEB="web",y.UNIVERSAL="universal",y.UNKNOWN="unknown",y.UNDEFINED="undefined"})(I||(e.TargetPlatform=I={}));class C{constructor(d){this.value=d,this._lower=d.toLowerCase()}static equals(d,u){if(typeof d>"u"||d===null)return typeof u>"u"||u===null;if(typeof u>"u"||u===null)return!1;if(typeof d=="string"||typeof u=="string"){const l=typeof d=="string"?d:d.value,h=typeof u=="string"?u:u.value;return O.$Ze(l,h)}return d._lower===u._lower}static toKey(d){return typeof d=="string"?d.toLowerCase():d._lower}}e.$Wl=C;class g{get size(){return this.c.size}constructor(d){if(this.c=new Set,d)for(const u of d)this.add(u)}add(d){this.c.add(C.toKey(d))}delete(d){return this.c.delete(C.toKey(d))}has(d){return this.c.has(C.toKey(d))}}e.$Xl=g;class P{constructor(){this.c=new Map}clear(){this.c.clear()}delete(d){this.c.delete(C.toKey(d))}get(d){return this.c.get(C.toKey(d))}has(d){return this.c.has(C.toKey(d))}set(d,u){this.c.set(C.toKey(d),u)}values(){return this.c.values()}forEach(d){this.c.forEach(d)}[Symbol.iterator](){return this.c[Symbol.iterator]()}}e.$Yl=P;function E(y){return m(y)}e.$Zl=E;function m(y){return y.contributes&&y.contributes.localizations?y.contributes.localizations.length>0:!1}e.$1l=m;function c(y){return y.contributes&&y.contributes.authentication?y.contributes.authentication.length>0:!1}e.$2l=c;function $(y,d){if(d){const u=`onResolveRemoteAuthority:${(0,j.$Qk)(d)}`;return!!y.activationEvents?.includes(u)}return!1}e.$3l=$,e.$4l=(0,N.$Lh)("IBuiltinExtensionsScannerService")}),define(oe[212],ae([0,1,2,44,11]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xp=void 0;class A extends O.$Qc{constructor(I,C,g,P,E){super(),this.a=I,this.b=C,this.c=g,this.f=E,this.B(P.onDidInstallExtensions(m=>this.g(m))),this.B(P.onDidUninstallExtension(m=>this.h(m)))}g(I){for(const C of I)C.local&&this.invalidate(C.profileLocation)}h(I){I.error||this.invalidate(I.profileLocation)}async invalidate(I){if(I)for(const C of this.a.profiles)this.c.extUri.isEqual(C.extensionsResource,I)&&await this.j(C);else await this.j(this.a.defaultProfile)}async j(I){try{await this.b.del(this.c.extUri.joinPath(I.cacheHome,N.$Ql))}catch(C){(0,j.$kk)(C)!==1&&this.f.error(C)}}}e.$xp=A}),define(oe[213],ae([0,1,5,15,26,8,3,2,100,60,32,65,211,74]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9k=e.$8k=e.$7k=e.$6k=e.$5k=e.$4k=e.$3k=e.$2k=e.PersistentConnectionEventType=e.$1k=e.$Zk=e.$Yk=e.ConnectionType=void 0;const $=30*1e3;var y;(function(B){B[B.Management=1]="Management",B[B.ExtensionHost=2]="ExtensionHost",B[B.Tunnel=3]="Tunnel"})(y||(e.ConnectionType=y={}));function d(B){switch(B){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function u(B){const k=new j.$Vd;return setTimeout(()=>k.cancel(),B),k.token}function l(B,k){if(B.isCancellationRequested||k.isCancellationRequested)return j.CancellationToken.Cancelled;const R=new j.$Vd;return B.onCancellationRequested(()=>R.cancel()),k.onCancellationRequested(()=>R.cancel()),R.token}class h{get didTimeout(){return this.c==="timedout"}constructor(k){this.c="pending",this.d=new I.$Pc,this.promise=new Promise((R,q)=>{this.f=R,this.g=q}),k.isCancellationRequested?this.h():this.d.add(k.onCancellationRequested(()=>this.h()))}registerDisposable(k){this.c==="pending"?this.d.add(k):k.dispose()}h(){this.c==="pending"&&(this.d.dispose(),this.c="timedout",this.g(this.i()))}i(){const k=new Error("Time limit reached");return k.code="ETIMEDOUT",k.syscall="connect",k}resolve(k){this.c==="pending"&&(this.d.dispose(),this.c="resolved",this.f(k))}reject(k){this.c==="pending"&&(this.d.dispose(),this.c="rejected",this.g(k))}}function w(B,k){const R=new h(k);return R.registerDisposable(B.onControlMessage(q=>{const M=JSON.parse(q.toString()),J=V(M);J?R.reject(J):R.resolve(M)})),R.promise}function S(B,k,R,q,M,J,Y,se){const le=new h(se),ue=g.$Hd.create(!1);return B.info(`Creating a socket (${Y})...`),C.mark(`code/willCreateSocket/${J}`),k.connect(R,q,M,Y).then(he=>{le.didTimeout?(C.mark(`code/didCreateSocketError/${J}`),B.info(`Creating a socket (${Y}) finished after ${ue.elapsed()} ms, but this is too late and has timed out already.`),he?.dispose()):(C.mark(`code/didCreateSocketOK/${J}`),B.info(`Creating a socket (${Y}) was successful after ${ue.elapsed()} ms.`),le.resolve(he))},he=>{C.mark(`code/didCreateSocketError/${J}`),B.info(`Creating a socket (${Y}) returned an error after ${ue.elapsed()} ms.`),B.error(he),le.reject(he)}),le.promise}function t(B,k){const R=new h(k);return B.then(q=>{R.didTimeout||R.resolve(q)},q=>{R.didTimeout||R.reject(q)}),R.promise}async function a(B,k,R,q){const M=re(B,k);B.logService.trace(`${M} 1/6. invoking socketFactory.connect().`);let J;try{J=await S(B.logService,B.remoteSocketFactoryService,B.connectTo,(0,c.$Rk)(B),`reconnectionToken=${B.reconnectionToken}&reconnection=${B.reconnectionProtocol?"true":"false"}`,d(k),`renderer-${d(k)}-${B.reconnectionToken}`,q)}catch(he){throw B.logService.error(`${M} socketFactory.connect() failed or timed out. Error:`),B.logService.error(he),he}B.logService.trace(`${M} 2/6. socketFactory.connect() was successful.`);let Y,se;B.reconnectionProtocol?(B.reconnectionProtocol.beginAcceptReconnection(J,null),Y=B.reconnectionProtocol,se=!1):(Y=new E.$zh({socket:J}),se=!0),B.logService.trace(`${M} 3/6. sending AuthRequest control message.`);const le=await t(B.signService.createNewMessage((0,P.$bg)()),q),ue={type:"auth",auth:B.connectionToken||"00000000000000000000",data:le.data};Y.sendControl(N.$_d.fromString(JSON.stringify(ue)));try{const he=await w(Y,l(q,u(1e4)));if(he.type!=="sign"||typeof he.data!="string"){const Ee=new Error("Unexpected handshake message");throw Ee.code="VSCODE_CONNECTION_ERROR",Ee}if(B.logService.trace(`${M} 4/6. received SignRequest control message.`),!await t(B.signService.validate(le,he.signedData),q)){const Ee=new Error("Refused to connect to unsupported server");throw Ee.code="VSCODE_CONNECTION_ERROR",Ee}const de=await t(B.signService.sign(he.data),q),we={type:"connectionType",commit:B.commit,signedData:de,desiredConnectionType:k};return R&&(we.args=R),B.logService.trace(`${M} 5/6. sending ConnectionTypeRequest control message.`),Y.sendControl(N.$_d.fromString(JSON.stringify(we))),{protocol:Y,ownsProtocol:se}}catch(he){throw he&&he.code==="ETIMEDOUT"&&(B.logService.error(`${M} the handshake timed out. Error:`),B.logService.error(he)),he&&he.code==="VSCODE_CONNECTION_ERROR"&&(B.logService.error(`${M} received error control message when negotiating connection. Error:`),B.logService.error(he)),se&&H(Y),he}}async function n(B,k,R,q){const M=Date.now(),J=re(B,k),{protocol:Y,ownsProtocol:se}=await a(B,k,R,q),le=new h(q);return le.registerDisposable(Y.onControlMessage(ue=>{const he=JSON.parse(ue.toString()),$e=V(he);$e?(B.logService.error(`${J} received error control message when negotiating connection. Error:`),B.logService.error($e),se&&H(Y),le.reject($e)):(B.reconnectionProtocol?.endAcceptReconnection(),B.logService.trace(`${J} 6/6. handshake finished, connection is up and running after ${X(M)}!`),le.resolve({protocol:Y,firstMessage:he}))})),le.promise}async function s(B,k){const{protocol:R}=await n(B,1,void 0,k);return{protocol:R}}async function i(B,k,R){const{protocol:q,firstMessage:M}=await n(B,2,k,R),J=M&&M.debugPort;return{protocol:q,debugPort:J}}async function r(B,k,R){const q=Date.now(),M=re(B,3),{protocol:J}=await a(B,3,k,R);return B.logService.trace(`${M} 6/6. handshake finished, connection is up and running after ${X(q)}!`),J}async function o(B,k,R){const{connectTo:q,connectionToken:M}=await B.addressProvider.getAddress();return{commit:B.commit,quality:B.quality,connectTo:q,connectionToken:M,reconnectionToken:k,reconnectionProtocol:R,remoteSocketFactoryService:B.remoteSocketFactoryService,signService:B.signService,logService:B.logService}}async function v(B,k,R){return f(B,async q=>{const{protocol:M}=await s(q,j.CancellationToken.None);return new G(B,k,R,q.reconnectionToken,M)})}e.$Yk=v;async function p(B,k){return f(B,async R=>{const{protocol:q,debugPort:M}=await i(R,k,j.CancellationToken.None);return new Q(B,k,R.reconnectionToken,q,M)})}e.$Zk=p;async function f(B,k){for(let q=1;;q++)try{const M=(0,P.$bg)(),J=await o(B,M,null);return await k(J)}catch(M){if(q<5)B.logService.error(`[remote-connection][attempt ${q}] An error occurred in initial connection! Will retry... Error:`),B.logService.error(M);else throw B.logService.error(`[remote-connection][attempt ${q}]  An error occurred in initial connection! It will be treated as a permanent error. Error:`),B.logService.error(M),Z.triggerPermanentFailure(0,0,m.$Nk.isHandled(M)),M}}async function b(B,k,R){const q=await o(B,(0,P.$bg)(),null);return await r(q,{host:k,port:R},j.CancellationToken.None)}e.$1k=b;function L(B){return(0,O.$Eg)(k=>new Promise((R,q)=>{const M=setTimeout(R,B*1e3);k.onCancellationRequested(()=>{clearTimeout(M),R()})}))}var F;(function(B){B[B.ConnectionLost=0]="ConnectionLost",B[B.ReconnectionWait=1]="ReconnectionWait",B[B.ReconnectionRunning=2]="ReconnectionRunning",B[B.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",B[B.ConnectionGain=4]="ConnectionGain"})(F||(e.PersistentConnectionEventType=F={}));class T{constructor(k,R){this.reconnectionToken=k,this.millisSinceLastIncomingData=R,this.type=0}}e.$2k=T;class z{constructor(k,R,q,M){this.reconnectionToken=k,this.millisSinceLastIncomingData=R,this.durationSeconds=q,this.c=M,this.type=1}skipWait(){this.c.cancel()}}e.$3k=z;class U{constructor(k,R,q){this.reconnectionToken=k,this.millisSinceLastIncomingData=R,this.attempt=q,this.type=2}}e.$4k=U;class _{constructor(k,R,q){this.reconnectionToken=k,this.millisSinceLastIncomingData=R,this.attempt=q,this.type=4}}e.$5k=_;class K{constructor(k,R,q,M){this.reconnectionToken=k,this.millisSinceLastIncomingData=R,this.attempt=q,this.handled=M,this.type=3}}e.$6k=K;class Z extends I.$Qc{static triggerPermanentFailure(k,R,q){this._permanentFailure=!0,this.f=k,this.g=R,this.h=q,this.j.forEach(M=>M.D(this.f,this.g,this.h))}static debugTriggerReconnection(){this.j.forEach(k=>k.y())}static debugPauseSocketWriting(){this.j.forEach(k=>k.F())}static{this._permanentFailure=!1}static{this.f=0}static{this.g=0}static{this.h=!1}static{this.j=[]}get n(){return this.c||Z._permanentFailure}constructor(k,R,q,M,J){super(),this.t=k,this.u=R,this.reconnectionToken=q,this.protocol=M,this.w=J,this.m=this.B(new D.$Ld),this.onDidStateChange=this.m.event,this.c=!1,this.r=!1,this.s=!1,this.m.fire(new _(this.reconnectionToken,0,0)),this.B(M.onSocketClose(Y=>{const se=ne(this.t,this.reconnectionToken,!0);Y?Y.type===0?(this.u.logService.info(`${se} received socket close event (hadError: ${Y.hadError}).`),Y.error&&this.u.logService.error(Y.error)):(this.u.logService.info(`${se} received socket close event (wasClean: ${Y.wasClean}, code: ${Y.code}, reason: ${Y.reason}).`),Y.event&&this.u.logService.error(Y.event)):this.u.logService.info(`${se} received socket close event.`),this.y()})),this.B(M.onSocketTimeout(Y=>{const se=ne(this.t,this.reconnectionToken,!0);this.u.logService.info(`${se} received socket timeout event (unacknowledgedMsgCount: ${Y.unacknowledgedMsgCount}, timeSinceOldestUnacknowledgedMsg: ${Y.timeSinceOldestUnacknowledgedMsg}, timeSinceLastReceivedSomeData: ${Y.timeSinceLastReceivedSomeData}).`),this.y()})),Z.j.push(this),this.B((0,I.$Oc)(()=>{const Y=Z.j.indexOf(this);Y>=0&&Z.j.splice(Y,1)})),this.n&&this.D(Z.f,Z.g,Z.h)}dispose(){super.dispose(),this.s=!0}async y(){if(!this.r)try{this.r=!0,await this.z()}finally{this.r=!1}}async z(){if(this.n||this.s)return;const k=ne(this.t,this.reconnectionToken,!0);this.u.logService.info(`${k} starting reconnecting loop. You can get more information with the trace log level.`),this.m.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const R=[0,5,5,10,10,10,10,10,30];let q=-1;do{q++;const M=q<R.length?R[q]:R[R.length-1];try{if(M>0){const Y=L(M);this.m.fire(new z(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),M,Y)),this.u.logService.info(`${k} waiting for ${M} seconds before reconnecting...`);try{await Y}catch{}}if(this.n){this.u.logService.error(`${k} permanent failure occurred while running the reconnecting loop.`);break}this.m.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),q+1)),this.u.logService.info(`${k} resolving connection...`);const J=await o(this.u,this.reconnectionToken,this.protocol);this.u.logService.info(`${k} connecting to ${J.connectTo}...`),await this.G(J,u($)),this.u.logService.info(`${k} reconnected!`),this.m.fire(new _(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),q+1));break}catch(J){if(J.code==="VSCODE_CONNECTION_ERROR"){this.u.logService.error(`${k} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this.u.logService.error(J),this.C(this.protocol.getMillisSinceLastIncomingData(),q+1,!1);break}if(q>360){this.u.logService.error(`${k} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this.u.logService.error(J),this.C(this.protocol.getMillisSinceLastIncomingData(),q+1,!1);break}if(m.$Nk.isTemporarilyNotAvailable(J)){this.u.logService.info(`${k} A temporarily not available error occurred while trying to reconnect, will try again...`),this.u.logService.trace(J);continue}if((J.code==="ETIMEDOUT"||J.code==="ENETUNREACH"||J.code==="ECONNREFUSED"||J.code==="ECONNRESET")&&J.syscall==="connect"){this.u.logService.info(`${k} A network error occurred while trying to reconnect, will try again...`),this.u.logService.trace(J);continue}if((0,A.$2)(J)){this.u.logService.info(`${k} A promise cancelation error occurred while trying to reconnect, will try again...`),this.u.logService.trace(J);continue}if(J instanceof m.$Nk){this.u.logService.error(`${k} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this.u.logService.error(J),this.C(this.protocol.getMillisSinceLastIncomingData(),q+1,m.$Nk.isHandled(J));break}this.u.logService.error(`${k} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this.u.logService.error(J),this.C(this.protocol.getMillisSinceLastIncomingData(),q+1,!1);break}}while(!this.n&&!this.s)}C(k,R,q){this.w?Z.triggerPermanentFailure(k,R,q):this.D(k,R,q)}D(k,R,q){this.m.fire(new K(this.reconnectionToken,k,R,q)),H(this.protocol)}F(){this.protocol.pauseSocketWriting()}}e.$7k=Z;class G extends Z{constructor(k,R,q,M,J){super(1,k,M,J,!0),this.client=this.B(new E.$xh(J,{remoteAuthority:R,clientId:q},k.ipcLogger))}async G(k,R){await s(k,R)}}e.$8k=G;class Q extends Z{constructor(k,R,q,M,J){super(2,k,q,M,!1),this.H=R,this.debugPort=J}async G(k,R){await i(k,this.H,R)}}e.$9k=Q;function H(B){try{B.acceptDisconnect();const k=B.getSocket();B.dispose(),k.dispose()}catch(k){(0,A.$Y)(k)}}function V(B){if(B&&B.type==="error"){const k=new Error(`Connection error: ${B.reason}`);return k.code="VSCODE_CONNECTION_ERROR",k}return null}function W(B,k){for(;B.length<k;)B+=" ";return B}function ee(B,k){return`[remote-connection][${W(d(B),13)}][${k.substr(0,5)}\u2026]`}function ne(B,k,R){return`${ee(B,k)}[${R?"reconnect":"initial"}]`}function re(B,k){return`${ne(k,B.reconnectionToken,!!B.reconnectionProtocol)}[${B.connectTo}]`}function X(B){return`${Date.now()-B} ms`}}),define(oe[104],ae([0,1,2,4]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vk=e.$Uk=void 0,e.$Uk=(0,N.$Lh)("remoteSocketFactoryService");class j{constructor(){this.a={}}register(D,I){return this.a[D]??=[],this.a[D].push(I),(0,O.$Oc)(()=>{const C=this.a[D]?.indexOf(I);typeof C=="number"&&C>=0&&this.a[D]?.splice(C,1)})}b(D){return(this.a[D.type]||[]).find(C=>C.supports(D))}connect(D,I,C,g){const P=this.b(D);if(!P)throw new Error(`No socket factory found for ${D}`);return P.connect(D,I,C,g)}}e.$Vk=j}),define(oe[214],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$o8b=e.$n8b=void 0,e.$n8b=(0,O.$Lh)("sharedProcessTunnelService"),e.$o8b="sharedProcessTunnel"}),define(oe[105],ae([0,1,4,164]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$y8b=e.$x8b=e.$w8b=e.$v8b=e.$u8b=e.TunnelStates=e.$t8b=e.$s8b=void 0,e.$s8b=(0,O.$Lh)("IRemoteTunnelService"),e.$t8b={active:!1};var j;(function(A){A.disconnected=D=>({type:"disconnected",onTokenFailed:D}),A.connected=(D,I)=>({type:"connected",info:D,serviceInstallFailed:I}),A.connecting=D=>({type:"connecting",progress:D}),A.uninitialized={type:"uninitialized"}})(j||(e.TunnelStates=j={})),e.$u8b="remote.tunnels.access",e.$v8b=e.$u8b+".hostNameOverride",e.$w8b=e.$u8b+".preventSleep",e.$x8b="remoteTunnelService",e.$y8b=(0,N.localize)(0,null)}),define(oe[57],ae([0,1,15,8,2,166,49,4,7,40]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qo=e.$Po=e.$Oo=e.$No=e.$Mo=e.$Lo=e.$Ko=e.$Jo=void 0,e.$Jo=(0,I.$Lh)("requestService");class P{constructor(S){this.b=S}toJSON(){if(!this.a){const S=Object.create(null);for(const t in this.b)t.toLowerCase()==="authorization"||t.toLowerCase()==="proxy-authorization"?S[t]="*****":S[t]=this.b[t];this.a=S}return this.a}}class E extends j.$Qc{constructor(S){super(),this.b=0,this.a=S.createLogger("network",{name:(0,A.localize)(0,null),when:C.$kj.isEqualTo((0,C.$ij)(C.LogLevel.Trace)).serialize()})}async c(S,t,a){const n=`${S} #${++this.b}: ${t.url}`;this.a.trace(`${n} - begin`,t.type,new P(t.headers??{}));try{const s=await a();return this.a.trace(`${n} - end`,t.type,s.res.statusCode,s.res.headers),s}catch(s){throw this.a.error(`${n} - error`,t.type,(0,N.$8)(s)),s}}}e.$Ko=E;function m(w){return w.res.statusCode&&w.res.statusCode>=200&&w.res.statusCode<300||w.res.statusCode===1223}e.$Lo=m;function c(w){return w.res.statusCode===204}e.$Mo=c;async function $(w){return c(w)?null:(await(0,O.$le)(w.stream)).toString()}e.$No=$;async function y(w){if(!m(w))throw new Error("Server returned "+w.res.statusCode);return $(w)}e.$Oo=y;async function d(w){if(!m(w))throw new Error("Server returned "+w.res.statusCode);if(c(w))return null;const t=(await(0,O.$le)(w.stream)).toString();try{return JSON.parse(t)}catch(a){throw a.message+=`:
`+t,a}}e.$Po=d;function u(w){h(w)}e.$Qo=u;let l;function h(w){const S=g.$9m.as(D.$bn.Configuration),t=l;l={id:"http",order:15,title:(0,A.localize)(1,null),type:"object",scope:w,properties:{"http.proxy":{type:"string",pattern:"^(https?|socks|socks4a?|socks5h?)://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,A.localize)(2,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,A.localize)(3,null),restricted:!0},"http.proxyKerberosServicePrincipal":{type:"string",markdownDescription:(0,A.localize)(4,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,A.localize)(5,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,A.localize)(6,null),(0,A.localize)(7,null),(0,A.localize)(8,null),(0,A.localize)(9,null)],default:"override",description:(0,A.localize)(10,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,A.localize)(11,null),restricted:!0},"http.experimental.systemCertificatesV2":{type:"boolean",tags:["experimental"],default:!1,description:(0,A.localize)(12,null),restricted:!0}}},S.updateConfigurations({add:[l],remove:t?[t]:[]})}h(1)}),define(oe[215],ae([0,1,26,23,11,57]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$IN=void 0;let D=class{constructor(C,g){this.a=C,this.b=g}async download(C,g,P=O.CancellationToken.None){if(C.scheme===N.Schemas.file||C.scheme===N.Schemas.vscodeRemote){await this.b.copy(C,g);return}const E={type:"GET",url:C.toString(!0)},m=await this.a.request(E,P);if(m.res.statusCode===200)await this.b.writeFile(g,m.stream);else{const c=await(0,A.$Oo)(m);throw new Error(`Expected 200, got back ${m.res.statusCode} instead.

${c}`)}}};e.$IN=D,e.$IN=D=ye([x(0,A.$Jo),x(1,j.$7j)],D)}),define(oe[216],ae([0,1,15,26]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nq=e.$Mq=void 0;class j{constructor(I){this.a=I}listen(I,C){throw new Error("Invalid listen")}call(I,C,g,P=N.CancellationToken.None){switch(C){case"request":return this.a.request(g[0],P).then(async({res:E,stream:m})=>{const c=await(0,O.$le)(m);return[{statusCode:E.statusCode,headers:E.headers},c]});case"resolveProxy":return this.a.resolveProxy(g[0])}throw new Error("Invalid call")}}e.$Mq=j;class A{constructor(I){this.a=I}async request(I,C){const[g,P]=await this.a.call("request",[I],C);return{res:g,stream:(0,O.$ne)(P)}}async resolveProxy(I){return this.a.call("resolveProxy",[I])}}e.$Nq=A}),define(oe[217],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$U6b=e.$T6b=e.$S6b=void 0,e.$S6b={exit:"vscode:electron-main->shared-process=exit",ipcReady:"vscode:shared-process->electron-main=ipc-ready",initDone:"vscode:shared-process->electron-main=init-done"},e.$T6b={request:"vscode:createSharedProcessChannelConnection",response:"vscode:createSharedProcessChannelConnectionResult"},e.$U6b={request:"vscode:createSharedProcessRawConnection",response:"vscode:createSharedProcessRawConnectionResult"}}),define(oe[218],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$U2b=void 0;class O{constructor(){this.b=new Map}static{this.a=1}async createNewMessage(j){try{const A=await this.c();if(A){const D=String(O.a++);return this.b.set(D,A),{id:D,data:A.createNewMessage(j)}}}catch{}return{id:"",data:j}}async validate(j,A){if(!j.id)return!0;const D=this.b.get(j.id);if(!D)return!1;this.b.delete(j.id);try{return D.validate(A)==="ok"}catch{return!1}finally{D.dispose?.()}}async sign(j){try{return await this.d(j)}catch{}return j}}e.$U2b=O}),define(oe[106],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xk=e.$Wk=void 0,e.$Wk="signService",e.$Xk=(0,O.$Lh)(e.$Wk)}),define(oe[219],ae([0,1,218]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$G7b=void 0;class N extends O.$U2b{c(){return this.h().then(A=>new A.validator)}d(A){return this.h().then(D=>new D.signer().sign(A))}h(){return new Promise((A,D)=>te(["vsda"],A,D))}}e.$G7b=N}),define(oe[75],ae([0,1,3,2]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zAb=e.$yAb=e.$xAb=e.$wAb=void 0;class j extends N.$Qc{constructor(E,m,c){super(),this.a=E,this.b=m,this.c=c}async getItems(){const E={profile:this.b,workspace:this.c},m=await this.a.call("getItems",E);return new Map(m)}updateItems(E){const m={profile:this.b,workspace:this.c};return E.insert&&(m.insert=Array.from(E.insert.entries())),E.delete&&(m.delete=Array.from(E.delete.values())),this.a.call("updateItems",m)}optimize(){const E={profile:this.b,workspace:this.c};return this.a.call("optimize",E)}}class A extends j{constructor(E,m){super(E,m,void 0),this.f=this.B(new O.$Ld),this.onDidChangeItemsExternal=this.f.event,this.g()}g(){this.B(this.a.listen("onDidChangeStorage",{profile:this.b})(E=>this.h(E)))}h(E){(Array.isArray(E.changed)||Array.isArray(E.deleted))&&this.f.fire({changed:E.changed?new Map(E.changed):void 0,deleted:E.deleted?new Set(E.deleted):void 0})}}class D extends A{constructor(E){super(E,void 0)}async close(){this.dispose()}}e.$wAb=D;class I extends A{constructor(E,m){super(E,m)}async close(){this.dispose()}}e.$xAb=I;class C extends j{constructor(E,m){super(E,void 0,m),this.onDidChangeItemsExternal=O.Event.None}async close(){this.dispose()}}e.$yAb=C;class g{constructor(E){this.a=E}isUsed(E){const m={payload:E,profile:void 0,workspace:void 0};return this.a.call("isUsed",m)}}e.$zAb=g}),define(oe[107],ae([0,1,6,37,32]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_n=e.$$n=void 0;function A(C){if(O.$t===2&&/^penguin(\.|$)/i.test(C))return"chromebook"}function D(C,g,P,E,m,c,$,y){const d=Object.create(null);d["common.machineId"]=c,d.sessionID=(0,j.$bg)()+Date.now(),d.commitHash=E,d.version=m,d["common.platformVersion"]=(C||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),d["common.platform"]=(0,O.$h)(O.$t),d["common.nodePlatform"]=N.$bc,d["common.nodeArch"]=P,d["common.product"]=y||"desktop",$&&(d["common.msftInternal"]=$);let u=0;const l=Date.now();Object.defineProperties(d,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-l,enumerable:!0},"common.sequence":{get:()=>u++,enumerable:!0}}),O.$l&&(d["common.snap"]="true");const h=A(g);return h&&(d["common.platformDetail"]=h),d}e.$$n=D;function I(C){const g=N.env.USERDNSDOMAIN;if(!g)return!1;const P=g.toLowerCase();return C.some(E=>P===E)}e.$_n=I}),define(oe[22],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.$gl=e.$fl=e.$el=e.$dl=e.$cl=e.$bl=e.$al=e.$_k=e.$$k=e.$0k=void 0,e.$0k=(0,O.$Lh)("telemetryService"),e.$$k=(0,O.$Lh)("customEndpointTelemetryService"),e.$_k="telemetry.currentSessionDate",e.$al="telemetry.firstSessionDate",e.$bl="telemetry.lastSessionDate",e.$cl="telemetry.machineId",e.$dl="telemetry",e.$el="telemetry.telemetryLevel",e.$fl="telemetry.enableCrashReporter",e.$gl="telemetry.enableTelemetry";var N;(function(A){A[A.NONE=0]="NONE",A[A.CRASH=1]="CRASH",A[A.ERROR=2]="ERROR",A[A.USAGE=3]="USAGE"})(N||(e.TelemetryLevel=N={}));var j;(function(A){A.OFF="off",A.CRASH="crash",A.ERROR="error",A.ON="all"})(j||(e.TelemetryConfiguration=j={}))}),define(oe[220],ae([0,1,36,5,35,23,16,6,10,132,31,146,95,11,24,22]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xr=e.$wr=e.$vr=e.$ur=void 0;const d=new Map;async function u(t,a){const n=`${t}::${a.join(":")}`,s=d.get(n);if(s)return s;const i=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],r=new Map,o=new Map,v=2e4;function p(b,L,F,T){const z=L.substring(b.length+1);return N.Promises.withAsyncBody(async U=>{let _;try{_=await P.Promises.readdir(L,{withFileTypes:!0})}catch{U();return}if(T.count>=v){T.count+=_.length,T.maxReached=!0,U();return}let K=_.length;if(K===0){U();return}let Z=_;T.count+_.length>v&&(T.maxReached=!0,K=v-T.count,Z=_.slice(0,K)),T.count+=_.length;for(const G of Z)if(G.isDirectory()){if(F.includes(G.name)||await p(b,(0,D.$hc)(L,G.name),F,T),--K===0){U();return}}else{const Q=G.name.lastIndexOf(".");if(Q>=0){const H=G.name.substring(Q+1);H&&r.set(H,(r.get(H)??0)+1)}for(const H of i)H.relativePathPattern?.test(z)!==!1&&H.filePattern.test(G.name)&&o.set(H.tag,(o.get(H.tag)??0)+1);if(--K===0){U();return}}})}const f=N.Promises.withAsyncBody(async b=>{const L={count:0,maxReached:!1};await p(t,t,a,L);const F=await w(t);b({configFiles:l(o),fileTypes:l(r),fileCount:L.count,maxFilesReached:L.maxReached,launchConfigFiles:F})});return d.set(n,f),f}e.$ur=u;function l(t){return Array.from(t.entries(),([a,n])=>({name:a,count:n})).sort((a,n)=>n.count-a.count)}function h(){const t={os:`${O.type()} ${O.arch()} ${O.release()}`,memory:`${(O.totalmem()/c.$Bk.GB).toFixed(2)}GB (${(O.freemem()/c.$Bk.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(g.$Im.value()*100)}%`},a=O.cpus();return a&&a.length>0&&(t.cpus=`${a[0].model} (${a.length} x ${a[0].speed})`),t}e.$vr=h;async function w(t){try{const a=new Map,n=(0,D.$hc)(t,".vscode","launch.json"),s=await P.Promises.readFile(n),i=[],r=(0,j.$Mm)(s.toString(),i);if(i.length)return console.log(`Unable to parse ${n}`),[];if((0,j.$Vm)(r)==="object"&&r.configurations)for(const o of r.configurations){const v=o.type;v&&(a.has(v)?a.set(v,a.get(v)+1):a.set(v,1))}return l(a)}catch{return[]}}e.$wr=w;let S=class{constructor(a,n){this.c=a,this.d=n}f(a){const n=[];return n.push(`OS Version:       ${a.os}`),n.push(`CPUs:             ${a.cpus}`),n.push(`Memory (System):  ${a.memory}`),n.push(`VM:               ${a.vmHint}`),n.join(`
`)}g(a){const n=[];n.push(`Version:          ${this.d.nameShort} ${this.d.version} (${this.d.commit||"Commit unknown"}, ${this.d.date||"Date unknown"})`),n.push(`OS Version:       ${O.type()} ${O.arch()} ${O.release()}`);const s=O.cpus();return s&&s.length>0&&n.push(`CPUs:             ${s[0].model} (${s.length} x ${s[0].speed})`),n.push(`Memory (System):  ${(O.totalmem()/c.$Bk.GB).toFixed(2)}GB (${(O.freemem()/c.$Bk.GB).toFixed(2)}GB free)`),I.$i||n.push(`Load (avg):       ${O.loadavg().map(i=>Math.round(i)).join(", ")}`),n.push(`VM:               ${Math.round(g.$Im.value()*100)}%`),n.push(`Screen Reader:    ${a.screenReader?"yes":"no"}`),n.push(`Process Argv:     ${a.mainArguments.join(" ")}`),n.push(`GPU Status:       ${this.j(a.gpuFeatureStatus)}`),n.join(`
`)}async getPerformanceInfo(a,n){return Promise.all([(0,E.$tr)(a.mainPID),this.k(a)]).then(async s=>{let[i,r]=s,o=this.m(a,i);return n.forEach(v=>{if((0,m.$im)(v))o+=`
${v.errorMessage}`,r+=`
${v.errorMessage}`;else if(o+=`

Remote: ${v.hostName}`,v.processes&&(o+=`
${this.m(a,v.processes)}`),v.workspaceMetadata){r+=`
|  Remote: ${v.hostName}`;for(const p of Object.keys(v.workspaceMetadata)){const f=v.workspaceMetadata[p];let b=`${f.fileCount} files`;f.maxFilesReached&&(b=`more than ${b}`),r+=`|    Folder (${p}): ${b}`,r+=this.h(f)}}}),{processInfo:o,workspaceInfo:r}})}async getSystemInfo(a,n){const{memory:s,vmHint:i,os:r,cpus:o}=h(),v={os:r,memory:s,cpus:o,vmHint:i,processArgs:`${a.mainArguments.join(" ")}`,gpuStatus:a.gpuFeatureStatus,screenReader:`${a.screenReader?"yes":"no"}`,remoteData:n};return I.$i||(v.load=`${O.loadavg().map(p=>Math.round(p)).join(", ")}`),I.$k&&(v.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(v)}async getDiagnostics(a,n){const s=[];return(0,E.$tr)(a.mainPID).then(async i=>(s.push(""),s.push(this.g(a)),s.push(""),s.push(this.m(a,i)),a.windows.some(r=>r.folderURIs&&r.folderURIs.length>0&&!r.remoteAuthority)&&(s.push(""),s.push("Workspace Stats: "),s.push(await this.k(a))),n.forEach(r=>{if((0,m.$im)(r))s.push(`
${r.errorMessage}`);else if(s.push(`

`),s.push(`Remote:           ${r.hostName}`),s.push(this.f(r.machineInfo)),r.processes&&s.push(this.m(a,r.processes)),r.workspaceMetadata)for(const o of Object.keys(r.workspaceMetadata)){const v=r.workspaceMetadata[o];let p=`${v.fileCount} files`;v.maxFilesReached&&(p=`more than ${p}`),s.push(`Folder (${o}): ${p}`),s.push(this.h(v))}}),s.push(""),s.push(""),s.join(`
`)))}h(a){const n=[];let i=0;const r=(f,b)=>{const L=` ${f}(${b})`;i+L.length>60?(n.push(o),o="|                 ",i=o.length):i+=L.length,o+=L};let o="|      File types:";const v=10,p=a.fileTypes.length>v?v:a.fileTypes.length;for(let f=0;f<p;f++){const b=a.fileTypes[f];r(b.name,b.count)}if(n.push(o),a.configFiles.length>=0&&(o="|      Conf files:",i=0,a.configFiles.forEach(f=>{r(f.name,f.count)}),n.push(o)),a.launchConfigFiles.length>0){let f="|      Launch Configs:";a.launchConfigFiles.forEach(b=>{const L=b.count>1?` ${b.name}(${b.count})`:` ${b.name}`;f+=L}),n.push(f)}return n.join(`
`)}j(a){const n=Math.max(...Object.keys(a).map(s=>s.length));return Object.keys(a).map(s=>`${s}:  ${" ".repeat(n-s.length)}  ${a[s]}`).join(`
                  `)}k(a){const n=[],s=[];return a.windows.forEach(i=>{i.folderURIs.length===0||i.remoteAuthority||(n.push(`|  Window (${i.title})`),i.folderURIs.forEach(r=>{const o=C.URI.revive(r);if(o.scheme===A.Schemas.file){const v=o.fsPath;s.push(u(v,["node_modules",".git"]).then(p=>{let f=`${p.fileCount} files`;p.maxFilesReached&&(f=`more than ${f}`),n.push(`|    Folder (${(0,D.$lc)(v)}): ${f}`),n.push(this.h(p))}).catch(p=>{n.push(`|      Error: Unable to collect workspace stats for folder ${v} (${p.toString()})`)}))}else n.push(`|    Folder (${o.toString()}): Workspace stats not available.`)}))}),Promise.all(s).then(i=>n.join(`
`)).catch(i=>`Unable to collect workspace stats: ${i}`)}m(a,n){const s=new Map;a.windows.forEach(r=>s.set(r.pid,`window [${r.id}] (${r.title})`)),a.pidToNames.forEach(({pid:r,name:o})=>s.set(r,o));const i=[];return i.push("CPU %	Mem MB	   PID	Process"),n&&this.n(a.mainPID,s,i,n,0),i.join(`
`)}n(a,n,s,i,r){const o=r===0;let v;o?v=i.pid===a?`${this.d.applicationName} main`:"remote agent":n.has(i.pid)?v=n.get(i.pid):v=`${"  ".repeat(r)} ${i.name}`;const p=process.platform==="win32"?i.mem:O.totalmem()*(i.mem/100);s.push(`${i.load.toFixed(0).padStart(5," ")}	${(p/c.$Bk.MB).toFixed(0).padStart(6," ")}	${i.pid.toFixed(0).padStart(6," ")}	${v}`),Array.isArray(i.children)&&i.children.forEach(f=>this.n(a,n,s,f,r+1))}async getWorkspaceFileExtensions(a){const n=new Set;for(const{uri:s}of a.folders){const i=C.URI.revive(s);if(i.scheme!==A.Schemas.file)continue;const r=i.fsPath;try{(await u(r,["node_modules",".git"])).fileTypes.forEach(v=>n.add(v.name))}catch{}}return{extensions:[...n]}}async reportWorkspaceStats(a){for(const{uri:n}of a.folders){const s=C.URI.revive(n);if(s.scheme!==A.Schemas.file)continue;const i=s.fsPath;try{const r=await u(i,["node_modules",".git"]);this.c.publicLog2("workspace.stats",{"workspace.id":a.telemetryId,rendererSessionId:a.rendererSessionId}),r.fileTypes.forEach(o=>{this.c.publicLog2("workspace.stats.file",{rendererSessionId:a.rendererSessionId,type:o.name,count:o.count})}),r.launchConfigFiles.forEach(o=>{this.c.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:a.rendererSessionId,type:o.name,count:o.count})}),r.configFiles.forEach(o=>{this.c.publicLog2("workspace.stats.configFiles",{rendererSessionId:a.rendererSessionId,type:o.name,count:o.count})})}catch{}}}};e.$xr=S,e.$xr=S=ye([x(0,y.$0k),x(1,$.$lj)],S)}),define(oe[108],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Y6b=e.$X6b=void 0;class O{constructor(A){this.b=A}listen(A,D){throw new Error(`Event not found: ${D}`)}call(A,D,{eventName:I,data:C}){return this.b.forEach(g=>g.log(I,C)),Promise.resolve(null)}}e.$X6b=O;class N{constructor(A){this.b=A}log(A,D){return this.b.call("log",{eventName:A,data:D}).then(void 0,I=>`Failed to log telemetry: ${console.warn(I)}`),Promise.resolve(null)}flush(){return Promise.resolve()}}e.$Y6b=N}),define(oe[45],ae([0,1,30,12,3,19,74,107,22]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$po=e.$oo=e.$no=e.$mo=e.$lo=e.$ko=e.$jo=e.$io=e.$ho=e.$go=e.$fo=e.$eo=e.$do=e.$co=e.$bo=e.$ao=void 0;class g{constructor(i){this.value=i,this.isTrustedTelemetryValue=!0}}e.$ao=g;class P{constructor(){this.telemetryLevel=0,this.sessionId="someValue.sessionId",this.machineId="someValue.machineId",this.firstSessionDate="someValue.firstSessionDate",this.sendErrorTelemetry=!1}publicLog(){}publicLog2(){}publicLogError(){}publicLogError2(){}setExperimentProperty(){}}e.$bo=P,e.$co=new P;class E{async publicLog(i,r,o){}async publicLogError(i,r,o){}}e.$do=E,e.$eo="telemetry",e.$fo="extensionTelemetryLog",e.$go={log:()=>null,flush:()=>Promise.resolve(null)};function m(s,i){return j.Event.debounce(i.onDidChangeConfiguration,(o,v)=>{const p=o?new Set([...o.affectedKeys,...v.affectedKeys]):v.affectedKeys;return{...v,affectedKeys:p}},1e3,!0)(o=>{o.source!==7&&s.publicLog2("updateConfiguration",{configurationSource:(0,A.$ii)(o.source),configurationKeys:Array.from(o.affectedKeys)})})}e.$ho=m;function c(s,i){return!i.isBuilt&&!i.disableTelemetry?!0:!(i.disableTelemetry||!s.enableTelemetry)}e.$io=c;function $(s,i){return i.extensionTestsLocationURI?!0:!(i.isBuilt||i.disableTelemetry||s.enableTelemetry&&s.aiConfig?.ariaKey)}e.$jo=$;function y(s){const i=s.getValue(C.$el),r=s.getValue(C.$fl);if(s.getValue(C.$gl)===!1||r===!1)return 0;switch(i??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.$ko=y;function d(s){const i={},r={},o={};h(s,o);for(let v in o){v=v.length>150?v.substr(v.length-149):v;const p=o[v];typeof p=="number"?r[v]=p:typeof p=="boolean"?r[v]=p?1:0:typeof p=="string"?(p.length>8192&&console.warn(`Telemetry property: ${v} has been trimmed to 8192, the original length is ${p.length}`),i[v]=p.substring(0,8191)):typeof p<"u"&&p!==null&&(i[v]=p)}return{properties:i,measurements:r}}e.$lo=d;const u=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces","amlext"]);function l(s){if(!s)return"none";const i=(0,D.$Qk)(s);return u.has(i)?i:"other"}e.$mo=l;function h(s,i,r=0,o){if(s)for(const v of Object.getOwnPropertyNames(s)){const p=s[v],f=o?o+v:v;Array.isArray(p)?i[f]=(0,O.$2m)(p):p instanceof Date?i[f]=p.toISOString():(0,N.$yf)(p)?r<2?h(p,i,r+1,f+"."):i[f]=(0,O.$2m)(p):i[f]=p}}function w(s,i){const r=s.msftInternalDomains||[],o=i.getValue("telemetry.internalTesting");return(0,I.$_n)(r)||o}e.$no=w;function S(s){return[s.appRoot,s.extensionsPath,s.userHome.fsPath,s.tmpDir.fsPath,s.userDataPath]}e.$oo=S;function t(s,i){if(!s||!s.includes("/")&&!s.includes("\\"))return s;let r=s;const o=[];for(const b of i)for(;;){const L=b.exec(s);if(!L)break;o.push([L.index,b.lastIndex])}const v=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,p=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let f=0;for(r="";;){const b=p.exec(s);if(!b)break;const L=o.some(([F,T])=>b.index<T&&F<p.lastIndex);!v.test(b[0])&&!L&&(r+=s.substring(f,b.index)+"<REDACTED: user-file-path>",f=p.lastIndex)}return f<s.length&&(r+=s.substr(f)),r}function a(s){if(!s)return s;const i=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/i},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const r of i)if(r.regex.test(s))return`<REDACTED: ${r.label}>`;return s}function n(s,i){return(0,O.$Ym)(s,r=>{if(r instanceof g||Object.hasOwnProperty.call(r,"isTrustedTelemetryValue"))return r.value;if(typeof r=="string"){let o=r.replaceAll("%20"," ");o=t(o,i);for(const v of i)o=o.replace(v,"");return o=a(o),o}})}e.$po=n}),define(oe[33],ae([0,1,27,29,44,6,10,8,37,45]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bo=e.$Ao=e.$zo=e.$yo=e.$xo=e.$wo=e.$vo=e.$uo=e.$to=e.$so=e.$ro=e.$qo=void 0;function P(n,s){return n.uuid&&s.uuid?n.uuid===s.uuid:n.id===s.id?!0:(0,O.$Ue)(n.id,s.id)===0}e.$qo=P;const E=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class m{static create(s){const i=s.manifest?s.manifest.version:s.version,r=s.manifest?s.targetPlatform:s.properties.targetPlatform;return new m(s.identifier,i,r)}static parse(s){const i=E.exec(s);return i&&i[1]&&i[2]?new m({id:i[1]},i[2],i[4]||void 0):null}constructor(s,i,r="undefined"){this.version=i,this.targetPlatform=r,this.id=s.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(s){return s instanceof m?P(this,s)&&this.version===s.version&&this.targetPlatform===s.targetPlatform:!1}}e.$ro=m;const c=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function $(n){const s=c.exec(n);return s&&s[1]?[d(s[1]),s[2]]:[d(n),void 0]}e.$so=$;function y(n,s){return`${n}.${s}`}e.$to=y;function d(n){return n.toLowerCase()}e.$uo=d;function u(n,s){return d(y(n??j.$Sl,s))}e.$vo=u;function l(n,s){const i=[],r=o=>{for(const v of i)if(v.some(p=>P(s(p),s(o))))return v;return null};for(const o of n){const v=r(o);v?v.push(o):i.push([o])}return i}e.$wo=l;function h(n){return{id:n.identifier.id,name:n.manifest.name,galleryId:null,publisherId:n.publisherId,publisherName:n.manifest.publisher,publisherDisplayName:n.publisherDisplayName,dependencies:n.manifest.extensionDependencies&&n.manifest.extensionDependencies.length>0}}e.$xo=h;function w(n){return{id:new g.$ao(n.identifier.id),name:new g.$ao(n.name),galleryId:n.identifier.uuid,publisherId:n.publisherId,publisherName:n.publisher,publisherDisplayName:n.publisherDisplayName,isPreReleaseVersion:n.properties.isPreReleaseVersion,dependencies:!!(n.properties.dependencies&&n.properties.dependencies.length>0),isSigned:n.isSigned,...n.telemetryData}}e.$yo=w,e.$zo=new j.$Wl("pprice.better-merge");function S(n,s){const i=[],r=s.manifest.extensionDependencies?.slice(0)??[];for(;r.length;){const o=r.shift();if(o&&i.every(v=>!P(v.identifier,{id:o}))){const v=n.filter(p=>P(p.identifier,{id:o}));v.length===1&&(i.push(v[0]),r.push(...v[0].manifest.extensionDependencies?.slice(0)??[]))}}return i}e.$Ao=S;async function t(n,s){if(!A.$k)return!1;let i;try{i=(await n.readFile(D.URI.file("/etc/os-release"))).value.toString()}catch{try{i=(await n.readFile(D.URI.file("/usr/lib/os-release"))).value.toString()}catch(o){s.debug("Error while getting the os-release file.",(0,I.$8)(o))}}return!!i&&(i.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async function a(n,s){const i=await t(n,s),r=(0,N.$Vn)(i?"alpine":A.$t,C.$cc);return s.debug("ComputeTargetPlatform:",r),r}e.$Bo=a}),define(oe[221],ae([0,1,18,2,21,10,11,24,5,3,16,6,37,33]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$14b=e.$Z4b=void 0;let $=class extends N.$Qc{constructor(h,w){super(),this.b=h,this.c=w,this.a=new Map,this.c.configBasedExtensionTips&&Object.entries(this.c.configBasedExtensionTips).forEach(([,S])=>this.a.set(S.configPath,S))}getConfigBasedTips(h){return this.f(h)}async getImportantExecutableBasedTips(){return[]}async getOtherExecutableBasedTips(){return[]}async f(h){const w=[];for(const[S,t]of this.a)if(!(t.configScheme&&t.configScheme!==h.scheme))try{const a=(await this.b.readFile((0,j.$sg)(h,S))).value.toString();for(const[n,s]of Object.entries(t.recommendations))(!s.contentPattern||new RegExp(s.contentPattern,"mig").test(a))&&w.push({extensionId:n,extensionName:s.name,configName:t.configName,important:!!s.important,isExtensionPack:!!s.isExtensionPack,whenNotInstalled:s.whenNotInstalled})}catch{}return w}};e.$Z4b=$,e.$Z4b=$=ye([x(0,D.$7j),x(1,I.$lj)],$);const y="extensionTips/promptedExecutableTips",d="extensionTips/lastPromptedMediumImpExeTime";class u extends ${constructor(h,w,S,t,a,n,s,i){super(s,i),this.r=h,this.s=w,this.t=S,this.u=t,this.w=a,this.z=n,this.g=new Map,this.h=new Map,this.j=new Map,this.m=new Map,this.n=new Map,i.exeBasedExtensionTips&&Object.entries(i.exeBasedExtensionTips).forEach(([r,o])=>{const v=[],p=[],f=[];Object.entries(o.recommendations).forEach(([b,L])=>{L.important?o.important?v.push({extensionId:b,extensionName:L.name,isExtensionPack:!!L.isExtensionPack}):p.push({extensionId:b,extensionName:L.name,isExtensionPack:!!L.isExtensionPack}):f.push({extensionId:b,extensionName:L.name,isExtensionPack:!!L.isExtensionPack})}),v.length&&this.g.set(r,{exeFriendlyName:o.friendlyName,windowsPath:o.windowsPath,recommendations:v}),p.length&&this.h.set(r,{exeFriendlyName:o.friendlyName,windowsPath:o.windowsPath,recommendations:p}),f.length&&this.j.set(r,{exeFriendlyName:o.friendlyName,windowsPath:o.windowsPath,recommendations:f})}),(0,C.$Sg)(async()=>{await this.C(),this.F(),this.G()},3e3,this.q)}async getImportantExecutableBasedTips(){const h=await this.O(this.g),w=await this.O(this.h);return[...h,...w]}getOtherExecutableBasedTips(){return this.O(this.j)}async C(){const h=await this.O(this.g),w=await this.O(this.h),S=await this.u.getInstalled();this.m=this.D(h,S),this.n=this.D(w,S)}D(h,w){const S=new Map;h.forEach(i=>S.set(i.extensionId.toLowerCase(),i));const{installed:t,uninstalled:a}=this.N([...S.keys()],w);for(const i of t){const r=S.get(i);r&&this.t.publicLog2("exeExtensionRecommendations:alreadyInstalled",{extensionId:i,exeName:r.exeName})}for(const i of a){const r=S.get(i);r&&this.t.publicLog2("exeExtensionRecommendations:notInstalled",{extensionId:i,exeName:r.exeName})}const n=this.L(),s=new Map;for(const i of a){const r=S.get(i);if(r&&(!n[r.exeName]||!n[r.exeName].includes(r.extensionId))){let o=s.get(r.exeName);o||(o=[],s.set(r.exeName,o)),o.push(r)}}return s}F(){if(this.m.size===0)return;const[h,w]=[...this.m.entries()][0];this.H(w).then(S=>{switch(S){case"reacted":this.M(w[0].exeName,w);break;case"ignored":this.m.delete(h);break;case"incompatibleWindow":{const t=g.Event.once(g.Event.latch(g.Event.any(this.s.onDidOpenWindow,this.s.onDidFocusWindow)));this.B(t(()=>this.F()));break}case"toomany":{const t=this.B(new N.$Rc);t.value=(0,C.$Sg)(()=>{t.dispose(),this.F()},60*60*1e3);break}}})}G(){if(this.n.size===0)return;const h=this.I(),w=Date.now()-h,S=7*24*60*60*1e3;if(w<S){const n=this.B(new N.$Rc);n.value=(0,C.$Sg)(()=>{n.dispose(),this.G()},S-w);return}const[t,a]=[...this.n.entries()][0];this.H(a).then(n=>{switch(n){case"reacted":{this.J(Date.now()),this.n.delete(t),this.M(a[0].exeName,a);const s=this.B(new N.$Rc);s.value=(0,C.$Sg)(()=>{s.dispose(),this.G()},S);break}case"ignored":this.n.delete(t),this.G();break;case"incompatibleWindow":{const s=g.Event.once(g.Event.latch(g.Event.any(this.s.onDidOpenWindow,this.s.onDidFocusWindow)));this.B(s(()=>this.G()));break}case"toomany":{const s=this.B(new N.$Rc);s.value=(0,C.$Sg)(()=>{s.dispose(),this.G()},60*60*1e3);break}}})}async H(h){const w=await this.u.getInstalled(1),S=h.filter(t=>!t.whenNotInstalled||t.whenNotInstalled.every(a=>w.every(n=>!(0,c.$qo)(n.identifier,{id:a})))).map(({extensionId:t})=>t.toLowerCase());return this.z.promptImportantExtensionsInstallNotification({extensions:S,source:3,name:h[0].exeFriendlyName,searchValue:`@exe:"${h[0].exeName}"`})}I(){let h=this.w.getNumber(d,-1);return h||(h=Date.now(),this.J(h)),h}J(h){this.w.store(d,h,-1,1)}L(){return JSON.parse(this.w.get(y,-1,"{}"))}M(h,w){const S=this.L();S[h]=w.map(({extensionId:t})=>t.toLowerCase()),this.w.store(y,JSON.stringify(S),-1,0)}N(h,w){const S=[],t=[],a=w.reduce((n,s)=>(n.add(s.identifier.id.toLowerCase()),n),new Set);return h.forEach(n=>{a.has(n.toLowerCase())?S.push(n):t.push(n)}),{installed:S,uninstalled:t}}async O(h){const w=[],S=new Map;for(const t of h.keys()){const a=h.get(t);if(!a||!(0,O.$Jb)(a.recommendations))continue;const n=[];E.$i?a.windowsPath&&n.push(a.windowsPath.replace("%USERPROFILE%",()=>m.env.USERPROFILE).replace("%ProgramFiles(x86)%",()=>m.env["ProgramFiles(x86)"]).replace("%ProgramFiles%",()=>m.env.ProgramFiles).replace("%APPDATA%",()=>m.env.APPDATA).replace("%WINDIR%",()=>m.env.WINDIR)):(n.push((0,P.$hc)("/usr/local/bin",t)),n.push((0,P.$hc)("/usr/bin",t)),n.push((0,P.$hc)(this.r.fsPath,t)));for(const s of n){let i=S.get(s);if(i===void 0&&(i=await this.b.exists(A.URI.file(s)),S.set(s,i)),i)for(const{extensionId:r,extensionName:o,isExtensionPack:v,whenNotInstalled:p}of a.recommendations)w.push({extensionId:r,extensionName:o,isExtensionPack:v,exeName:t,exeFriendlyName:a.exeFriendlyName,windowsPath:a.windowsPath,whenNotInstalled:p})}}return w}}e.$14b=u}),define(oe[222],ae([0,1,26,33]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xVb=void 0;async function j(A,D,I,C,g){try{const P=await A.getExtensionsControlManifest();if(!P.deprecated)return;const E=await A.getInstalled(1);for(const[m,c]of Object.entries(P.deprecated)){if(!c?.extension)continue;const{id:$,autoMigrate:y,preRelease:d}=c.extension;if(!y)continue;const u=E.find(h=>(0,N.$qo)(h.identifier,{id:m}));if(!u)continue;const l=(await D.getExtensions([{id:$,preRelease:d}],{targetPlatform:await A.getTargetPlatform(),compatible:!0},O.CancellationToken.None))[0];if(!l){g.info(`Skipping migrating '${u.identifier.id}' extension because, the comaptible target '${$}' extension is not found`);continue}try{g.info(`Migrating '${u.identifier.id}' extension to '${$}' extension...`);const h=!C.getDisabledExtensions().some(S=>(0,N.$qo)(S,u.identifier));await A.uninstall(u),g.info(`Uninstalled the unsupported extension '${u.identifier.id}'`);let w=E.find(S=>(0,N.$qo)(S.identifier,{id:$}));(!w||!w.isPreReleaseVersion&&h)&&(w=await A.installFromGallery(l,{installPreReleaseVersion:!0,isMachineScoped:u.isMachineScoped,operation:4}),g.info(`Installed the pre-release extension '${w.identifier.id}'`),h||(await C.disableExtension(w.identifier),g.info(`Disabled the pre-release extension '${w.identifier.id}' because the unsupported extension '${u.identifier.id}' is disabled`)),y.storage&&(I.addToMigrationList((0,N.$to)(u.manifest.publisher,u.manifest.name),(0,N.$to)(w.manifest.publisher,w.manifest.name)),g.info("Added pre-release extension to the storage migration list"))),g.info(`Migrated '${u.identifier.id}' extension to '${$}' extension.`)}catch(h){g.error(h)}}}catch(P){g.error(P)}}e.$xVb=j}),define(oe[223],ae([0,1,3,2,34,33,44]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yp=void 0;class I extends N.$Qc{constructor(g,P,E,m,c,$,y){super(),this.f=g,this.g=P,this.h=E,this.j=m,this.m=c,this.n=$,this.r=y,this.a=this.B(new O.$Ld),this.onDidChangeExtensionsByAnotherSource=this.a.event,this.b=new Map,this.c=this.B(new N.$Yc),this.s().then(null,d=>y.error(d))}async s(){await this.g.initializeDefaultProfileExtensions(),await this.u(this.h.profiles),this.t(),await this.H()}t(){this.B(this.h.onDidChangeProfiles(g=>this.u(g.added))),this.B(this.j.onAddExtensions(g=>this.w(g))),this.B(this.j.onDidAddExtensions(g=>this.y(g))),this.B(this.j.onRemoveExtensions(g=>this.z(g))),this.B(this.j.onDidRemoveExtensions(g=>this.C(g))),this.B(this.n.onDidFilesChange(g=>this.D(g)))}async u(g){try{g.length&&await Promise.all(g.map(P=>(this.c.set(P.id,(0,N.$Nc)(this.n.watch(this.m.extUri.dirname(P.extensionsResource)),this.n.watch(P.extensionsResource))),this.G(P.extensionsResource))))}catch(P){throw this.r.error(P),P}}async w(g){for(const P of g.extensions)this.I(this.L(P.identifier,P.version),g.profileLocation)}async y(g){for(const P of g.extensions){const E=this.L(P.identifier,P.version);g.error?this.J(E,g.profileLocation):this.I(E,g.profileLocation)}}async z(g){for(const P of g.extensions)this.J(this.L(P.identifier,P.version),g.profileLocation)}async C(g){const P=[],E=[];for(const m of g.extensions){const c=this.L(m.identifier,m.version);g.error?this.I(c,g.profileLocation):(this.J(c,g.profileLocation),this.b.has(c)||(this.r.debug("Extension is removed from all profiles",m.identifier.id,m.version),E.push(this.f.scanInstalledExtensionAtLocation(m.location).then($=>{$?P.push($):this.r.info("Extension not found at the location",m.location.toString())},$=>this.r.error($)))))}try{await Promise.all(E),P.length&&await this.H(P)}catch(m){this.r.error(m)}}D(g){for(const P of this.h.profiles)g.contains(P.extensionsResource,0,1)&&this.F(P.extensionsResource)}async F(g){const P=[],E=[],m=await this.j.scanProfileExtensions(g),c=new Set,$=new Set;for(const[y,d]of this.b)d.has(g)&&$.add(y);for(const y of m){const d=this.L(y.identifier,y.version);c.add(d),$.has(d)||(P.push(y.identifier),this.I(d,g))}for(const y of $)if(!c.has(y)){const d=this.M(y);d&&(E.push(d.identifier),this.J(y,g))}(P.length||E.length)&&this.a.fire({added:P.length?{extensions:P,profileLocation:g}:void 0,removed:E.length?{extensions:E,profileLocation:g}:void 0})}async G(g){const P=await this.j.scanProfileExtensions(g);for(const E of P)this.I(this.L(E.identifier,E.version),g)}async H(g){g||(g=(await this.f.scanAllUserInstalledExtensions()).filter(E=>!this.b.has(this.L(E.identifier,E.manifest.version)))),g.length&&await this.f.markAsUninstalled(...g)}I(g,P){let E=this.b.get(g);E||this.b.set(g,E=new j.$zc(m=>this.m.extUri.getComparisonKey(m))),E.add(P)}J(g,P){const E=this.b.get(g);E&&E.delete(P),E?.size||this.b.delete(g)}L(g,P){return`${D.$Wl.toKey(g.id)}@${P}`}M(g){const[P,E]=(0,A.$so)(g);return E?{identifier:{id:P},version:E}:void 0}}e.$yp=I}),define(oe[224],ae([0,1,43,45]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4o=void 0;async function j(A,D,I,C,g,P,E){const m={"X-Market-Client-Id":`VSCode ${A}`,"User-Agent":`VSCode ${A} (${D.nameShort})`};if((0,N.$io)(D,I)&&(0,N.$ko)(C)===3){const c=await(0,O.$3o)(I,g,P);m["X-Market-User-Id"]=c,m["VSCode-SessionId"]=E.machineId||c}return m}e.$4o=j}),define(oe[225],ae([0,1,69,18,5,2,23,16,31,14,29,33,7,72,10]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lq=void 0;let y=class extends c.$Kq{constructor(h,w,S,t){super(S),this.h=h,this.j=t,this.g=this.B(new d(w,t)),this.h.registerParticipant({postInstall:async a=>this.m(a),postUninstall:async a=>this.n(a)})}async getBuiltInExtensionTranslationsUri(h,w){const t=(await this.g.getLanguagePacks())[w];if(!t){this.j.warn(`No language pack found for ${w}`);return}const a=t.translations[h];return a?$.URI.file(a):void 0}async getInstalledLanguages(){const h=await this.g.getLanguagePacks(),w=Object.keys(h).map(S=>{const t=h[S];return{...this.f(S,t.label),extensionId:t.extensions[0].extensionIdentifier.id}});return w.push(this.f("en","English")),w.sort((S,t)=>S.label.localeCompare(t.label)),w}async m(h){h&&h.manifest&&h.manifest.contributes&&h.manifest.contributes.localizations&&h.manifest.contributes.localizations.length&&(this.j.info("Adding language packs from the extension",h.identifier.id),await this.update())}async n(h){const w=await this.g.getLanguagePacks();Object.keys(w).some(S=>w[S]&&w[S].extensions.some(t=>(0,E.$qo)(t.extensionIdentifier,h.identifier)))&&(this.j.info("Removing language packs from the extension",h.identifier.id),await this.update())}async update(){const[h,w]=await Promise.all([this.g.getLanguagePacks(),this.h.getInstalled()]),S=await this.g.update(w);return!(0,N.$sb)(Object.keys(h),Object.keys(S))}};e.$Lq=y,e.$Lq=y=ye([x(0,P.$3n),x(1,g.$Th),x(2,P.$1n),x(3,m.$6i)],y);let d=class extends A.$Qc{constructor(h,w){super(),this.j=w,this.c={},this.f=(0,I.$hc)(h.userDataPath,"languagepacks.json"),this.g=new j.$Xg}getLanguagePacks(){return this.g.size||!this.h?this.s().then(()=>this.c):Promise.resolve(this.c)}update(h){return this.s(w=>{Object.keys(w).forEach(S=>delete w[S]),this.m(w,...h)}).then(()=>this.c)}m(h,...w){for(const S of w)S&&S.manifest&&S.manifest.contributes&&S.manifest.contributes.localizations&&S.manifest.contributes.localizations.length&&this.n(h,S);Object.keys(h).forEach(S=>this.r(h[S]))}n(h,w){const S=w.identifier,t=w.manifest.contributes&&w.manifest.contributes.localizations?w.manifest.contributes.localizations:[];for(const a of t)if(w.location.scheme===D.Schemas.file&&u(a)){let n=h[a.languageId];n||(n={hash:"",extensions:[],translations:{},label:a.localizedLanguageName??a.languageName},h[a.languageId]=n);const s=n.extensions.filter(i=>(0,E.$qo)(i.extensionIdentifier,S))[0];s?s.version=w.manifest.version:n.extensions.push({extensionIdentifier:S,version:w.manifest.version});for(const i of a.translations)n.translations[i.id]=(0,I.$hc)(w.location.fsPath,i.path)}}r(h){if(h){const w=(0,O.createHash)("md5");for(const S of h.extensions)w.update(S.extensionIdentifier.uuid||S.extensionIdentifier.id).update(S.version);h.hash=w.digest("hex")}}s(h=()=>null){return this.g.queue(()=>{let w=null;return C.Promises.readFile(this.f,"utf8").then(void 0,S=>S.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(S)).then(S=>{try{return JSON.parse(S)}catch{return{}}}).then(S=>(w=h(S),S)).then(S=>{for(const a of Object.keys(S))S[a]||delete S[a];this.c=S,this.h=!0;const t=JSON.stringify(this.c);return this.j.debug("Writing language packs",t),C.Promises.writeFile(this.f,t)}).then(()=>w,S=>this.j.error(S))})}};d=ye([x(0,g.$Th),x(1,m.$6i)],d);function u(l){if(typeof l.languageId!="string"||!Array.isArray(l.translations)||l.translations.length===0)return!1;for(const h of l.translations)if(typeof h.id!="string"||typeof h.path!="string")return!1;return!(l.languageName&&typeof l.languageName!="string"||l.localizedLanguageName&&typeof l.localizedLanguageName!="string")}}),define(oe[226],ae([0,1,143,8,30,45]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gN=void 0;const D="https://mobile.events.data.microsoft.com/OneCollector/1.0",I="https://mobile.events.data.microsoft.com/ping";async function C(P,E,m){const c=await(0,O.$dC)("@microsoft/1ds-core-js","dist/ms.core.js"),$=await(0,O.$dC)("@microsoft/1ds-post-js","dist/ms.post.js"),y=new c.AppInsightsCore,d=new $.PostChannel,u={instrumentationKey:P,endpointUrl:D,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[d]]};if(m){u.extensionConfig={};const l={alwaysUseXhrOverride:!0,httpXHROverride:m};u.extensionConfig[d.identifier]=l}return y.initialize(u,[]),y.addTelemetryInitializer(l=>{E&&(l.ext=l.ext??{},l.ext.utc=l.ext.utc??{},l.ext.utc.flags=8462029)}),y}class g{constructor(E,m,c,$,y){this.e=E,this.f=m,this.g=c,this.h=y,this.c=D,this.d=I,this.g||(this.g={}),typeof $=="function"?this.a=$():this.a=$,this.b=null}i(E){if(this.a){if(typeof this.a!="string"){E(this.a);return}this.b||(this.b=C(this.a,this.e,this.h)),this.b.then(m=>{E(m)},m=>{(0,N.$Y)(m),console.error(m)})}}log(E,m){if(!this.a)return;m=(0,j.$Zm)(m,this.g),m=(0,A.$lo)(m);const c=this.f+"/"+E;try{this.i($=>{$.pluginVersionString=m?.properties.version??"Unknown",$.track({name:c,baseData:{name:c,properties:m?.properties,measurements:m?.measurements}})})}catch{}}flush(){return this.a?new Promise(E=>{this.i(m=>{m.unload(!0,()=>{this.a=void 0,E(void 0)})})}):Promise.resolve(void 0)}}e.$gN=g}),define(oe[109],ae([0,1,2,167,14,7,24,45]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$o4b=void 0;let C=class extends O.$Qc{constructor(P,E,m,c,$=""){super(),this.b=$;const y=E.getLogger(I.$eo);if(y)this.a=this.B(y);else{const u=(0,I.$jo)(c,m)?" (Not Sent)":"",l=()=>(0,I.$io)(c,m)&&P.getLevel()===A.LogLevel.Trace;this.a=this.B(E.createLogger(I.$eo,{name:(0,N.localize)(0,null,u),hidden:!l()})),this.B(P.onDidChangeLogLevel(()=>E.setVisibility(I.$eo,l()))),this.a.info("Below are logs for every telemetry event sent from VS Code once the log level is set to trace."),this.a.info("===========================================================")}}flush(){return Promise.resolve(void 0)}log(P,E){this.a.trace(`${this.b}telemetry/${P}`,(0,I.$lo)(E))}};e.$o4b=C,e.$o4b=C=ye([x(0,A.$6i),x(1,A.$7i),x(2,j.$Sh),x(3,D.$lj)],C)}),define(oe[110],ae([0,1,2,30,6,27,168,19,49,102,24,40,22,45]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rq=void 0;let $=class{static{this.IDLE_START_EVENT_NAME="UserIdleStart"}static{this.IDLE_STOP_EVENT_NAME="UserIdleStop"}constructor(u,l,h){this.k=l,this.l=h,this.d={},this.i=new O.$Pc,this.j=[],this.b=u.appenders,this.c=u.commonProperties??Object.create(null),this.sessionId=this.c.sessionID,this.machineId=this.c["common.machineId"],this.firstSessionDate=this.c["common.firstSessionDate"],this.msftInternal=this.c["common.msftInternal"],this.f=u.piiPaths||[],this.g=3,this.h=!!u.sendErrorTelemetry,this.j=[/(vscode-)?file:\/\/\/.*?\/resources\/app\//gi];for(const w of this.f)this.j.push(new RegExp((0,A.$De)(w),"gi")),w.indexOf("\\")>=0&&this.j.push(new RegExp((0,A.$De)(w.replace(/\\/g,"/")),"gi"));this.m(),this.i.add(this.k.onDidChangeConfiguration(w=>{(w.affectsConfiguration(m.$el)||w.affectsConfiguration(m.$gl)||w.affectsConfiguration(m.$fl))&&this.m()}))}setExperimentProperty(u,l){this.d[u]=l}m(){let u=(0,c.$ko)(this.k);const l=this.l.enabledTelemetryLevels;if(l){this.h=this.sendErrorTelemetry?l.error:!1;const h=l.usage?3:l.error?2:0;u=Math.min(u,h)}this.g=u}get sendErrorTelemetry(){return this.h}get telemetryLevel(){return this.g}dispose(){this.i.dispose()}n(u,l,h){this.g<l||(h=(0,N.$Zm)(h,this.d),h=(0,c.$po)(h,this.j),h=(0,N.$Zm)(h,this.c),this.b.forEach(w=>w.log(u,h)))}publicLog(u,l){this.n(u,3,l)}publicLog2(u,l){this.publicLog(u,l)}publicLogError(u,l){this.h&&this.n(u,2,l)}publicLogError2(u,l){this.publicLogError(u,l)}};e.$Rq=$,e.$Rq=$=ye([x(1,I.$fi),x(2,P.$lj)],$);function y(){const d=(0,D.localize)(0,null,g.default.nameLong),u=g.default.privacyStatementUrl?(0,D.localize)(2,null,"https://aka.ms/vscode-telemetry",g.default.privacyStatementUrl):(0,D.localize)(1,null,"https://aka.ms/vscode-telemetry"),l=j.$o?"":(0,D.localize)(3,null),h=(0,D.localize)(4,null),w=(0,D.localize)(5,null),S=(0,D.localize)(6,null),t=(0,D.localize)(7,null),a=`
|       | ${h} | ${w} | ${S} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,n=(0,D.localize)(8,null);return`
${d} ${u} ${l}

&nbsp;

${t}
${a}

&nbsp;

${n}
`}E.$9m.as(C.$bn.Configuration).registerConfiguration({id:m.$dl,order:1,type:"object",title:(0,D.localize)(9,null),properties:{[m.$el]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,D.localize)(10,null),(0,D.localize)(11,null),(0,D.localize)(12,null),(0,D.localize)(13,null)],markdownDescription:y(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),E.$9m.as(C.$bn.Configuration).registerConfiguration({id:m.$dl,order:110,type:"object",title:(0,D.localize)(14,null),properties:{[m.$gl]:{type:"boolean",markdownDescription:g.default.privacyStatementUrl?(0,D.localize)(16,null,g.default.nameLong,g.default.privacyStatementUrl):(0,D.localize)(15,null,g.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,D.localize)(17,null,`\`#${m.$el}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(oe[227],ae([0,1,15,26,272,226]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hN=void 0;async function D(P,E){const m=await E.request(P,N.CancellationToken.None),c=(await(0,O.$le)(m.stream)).toString(),$=m.res.statusCode??200;return{headers:m.res.headers,statusCode:$,responseData:c}}async function I(P){const E={method:P.type,headers:P.headers};return new Promise((c,$)=>{const y=j.request(P.url??"",E,d=>{d.on("data",function(u){c({headers:d.headers,statusCode:d.statusCode??200,responseData:u.toString()})}),d.on("error",function(u){$(u)})});y.write(P.data,d=>{d&&$(d)}),y.end()})}async function C(P,E,m){const c=typeof E.data=="string"?E.data:new TextDecoder().decode(E.data),$={type:"POST",headers:{...E.headers,"Content-Type":"application/json","Content-Length":Buffer.byteLength(E.data).toString()},url:E.urlString,data:c};try{const y=P?await D($,P):await I($);m(y.statusCode,y.headers,y.responseData)}catch{m(0,{})}}class g extends A.$gN{constructor(E,m,c,$,y){const d={sendPOST:(u,l)=>{C(E,u,l)}};super(m,c,$,y,d)}}e.$hN=g}),define(oe[228],ae([0,1,23,93,19,14,7,24,22,108,109,110]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$c8b=void 0;let m=class{constructor($,y,d,u,l,h){this.b=$,this.c=y,this.d=d,this.e=u,this.f=l,this.g=h,this.a=new Map}h($){if(!this.a.has($.id)){const y=Object.create(null);y["common.vscodemachineid"]=this.c.machineId,y["common.vscodesessionid"]=this.c.sessionId;const d=[$.id,JSON.stringify(y),$.aiKey],l=new N.$Tp(O.$_f.asFileUri("bootstrap-fork").fsPath,{serverName:"Debug Telemetry",timeout:1e3*60*5,args:d,env:{ELECTRON_RUN_AS_NODE:1,VSCODE_PIPE_LOGGING:"true",VSCODE_AMD_ENTRYPOINT:"vs/workbench/contrib/debug/node/telemetryApp"}}).getChannel("telemetryAppender"),h=[new g.$Y6b(l),new P.$o4b(this.d,this.e,this.f,this.g,`[${$.id}] `)];this.a.set($.id,new E.$Rq({appenders:h,sendErrorTelemetry:$.sendErrorTelemetry},this.b,this.g))}return this.a.get($.id)}publicLog($,y,d){this.h($).publicLog(y,d)}publicLogError($,y,d){this.h($).publicLogError(y,d)}};e.$c8b=m,e.$c8b=m=ye([x(0,j.$fi),x(1,C.$0k),x(2,D.$6i),x(3,D.$7i),x(4,A.$Sh),x(5,I.$lj)],m)}),define(oe[76],ae([0,1,3,19,4,7]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$u=e.$0u=e.$9u=e.$8u=e.$7u=e.$6u=e.$5u=e.$4u=e.ProvidedOnAutoForward=e.$3u=e.TunnelPrivacyId=e.TunnelProtocol=e.$2u=e.$1u=void 0,e.$1u=(0,j.$Lh)("tunnelService"),e.$2u=(0,j.$Lh)("sharedTunnelsService");var D;(function(d){d.Http="http",d.Https="https"})(D||(e.TunnelProtocol=D={}));var I;(function(d){d.ConstantPrivate="constantPrivate",d.Private="private",d.Public="public"})(I||(e.TunnelPrivacyId=I={}));function C(d){return!!d.forwardPort}e.$3u=C;var g;(function(d){d[d.Notify=1]="Notify",d[d.OpenBrowser=2]="OpenBrowser",d[d.OpenPreview=3]="OpenPreview",d[d.Silent=4]="Silent",d[d.Ignore=5]="Ignore",d[d.OpenBrowserOnce=6]="OpenBrowserOnce"})(g||(e.ProvidedOnAutoForward=g={}));function P(d){if(d.scheme!=="http"&&d.scheme!=="https")return;const u=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(d.authority);if(u)return{address:u[1],port:+u[2]}}e.$4u=P,e.$5u=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function E(d){return e.$5u.indexOf(d)>=0}e.$6u=E,e.$7u=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function m(d){return e.$7u.indexOf(d)>=0}e.$8u=m;function c(d,u,l,h){if(l===1)return!1;if(l===2&&m(u)){const w=/(\d+)\.(\d+)\.(\d+)/g.exec(h);if(w?.length===4&&parseInt(w[1])>=18)return!1}return d<1024}e.$9u=c;class ${constructor(u,l,h){this.remoteAddress=u,this.localAddress=l,this.b=h,this.a=new O.$Ld,this.onDidDispose=this.a.event}dispose(){return this.a.fire(),this.b()}}e.$0u=$;let y=class{constructor(u,l){this.j=u,this.k=l,this.a=new O.$Ld,this.onTunnelOpened=this.a.event,this.b=new O.$Ld,this.onTunnelClosed=this.b.event,this.c=new O.$Ld,this.onAddedTunnelProvider=this.c.event,this.e=new Map,this.g=!1,this.h=[],this.i=new Set}get hasTunnelProvider(){return!!this.f}get l(){const u=this.k.getValue("remote.localPortHost");return!u||u==="localhost"?"127.0.0.1":"0.0.0.0"}setTunnelProvider(u){return this.f=u,u?(this.c.fire(),{dispose:()=>{this.f=void 0,this.g=!1,this.h=[]}}):(this.g=!1,this.h=[],this.c.fire(),{dispose:()=>{}})}setTunnelFeatures(u){this.g=u.elevation,this.h=u.privacyOptions}get canElevate(){return this.g}get canChangePrivacy(){return this.h.length>0}get privacyOptions(){return this.h}get tunnels(){return this.m()}async m(){const u=[],l=Array.from(this.e.values());for(const h of l){const w=Array.from(h.values());for(const S of w){const t=await S.value;t&&typeof t!="string"&&u.push(t)}}return u}async dispose(){for(const u of this.e.values()){for(const{value:l}of u.values())await l.then(h=>typeof h!="string"?h?.dispose():void 0);u.clear()}this.e.clear()}setEnvironmentTunnel(u,l,h,w,S){this.p(u,l,Promise.resolve({tunnelRemoteHost:u,tunnelRemotePort:l,localAddress:h,privacy:w,protocol:S,dispose:()=>Promise.resolve()}))}async getExistingTunnel(u,l){(m(u)||E(u))&&(u=e.$5u[0]);const h=this.r(u,l);if(h)return++h.refcount,h.value}openTunnel(u,l,h,w,S,t=!1,a,n){this.j.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${l}:${h} on local port ${S}.`);const s=this.f??u;if(!s)return;if(l||(l="localhost"),w||(w=this.l),this.f&&this.i.has(h)){this.j.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const i=this.s(s,l,h,w,S,t,a,n);return i?i.then(r=>{if(r){if(typeof r=="string")return this.j.trace("ForwardedPorts: (TunnelService) The tunnel provider returned an error when creating the tunnel."),this.q(l,h),r}else{this.j.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.q(l,h);return}this.j.trace("ForwardedPorts: (TunnelService) New tunnel established.");const o=this.n(r);return(r.tunnelRemoteHost!==l||r.tunnelRemotePort!==h)&&this.j.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),a&&r.privacy!==a&&this.j.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Privacy mismatch."),this.a.fire(o),o}):(this.j.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),i)}n(u){return{tunnelRemotePort:u.tunnelRemotePort,tunnelRemoteHost:u.tunnelRemoteHost,tunnelLocalPort:u.tunnelLocalPort,localAddress:u.localAddress,privacy:u.privacy,protocol:u.protocol,dispose:async()=>{this.j.trace(`ForwardedPorts: (TunnelService) dispose request for ${u.tunnelRemoteHost}:${u.tunnelRemotePort} `);const l=this.e.get(u.tunnelRemoteHost);if(l){const h=l.get(u.tunnelRemotePort);h&&(h.refcount--,await this.o(u.tunnelRemoteHost,u.tunnelRemotePort,h))}}}}async o(u,l,h){if(h.refcount<=0){this.j.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${u}:${l}.`);const w=h.value.then(async S=>{S&&typeof S!="string"&&(await S.dispose(!0),this.b.fire({host:S.tunnelRemoteHost,port:S.tunnelRemotePort}))});return this.e.has(u)&&this.e.get(u).delete(l),w}}async closeTunnel(u,l){this.j.trace(`ForwardedPorts: (TunnelService) close request for ${u}:${l} `);const h=this.e.get(u);if(h&&h.has(l)){const w=h.get(l);w.refcount=0,await this.o(u,l,w)}}p(u,l,h){this.e.has(u)||this.e.set(u,new Map),this.e.get(u).set(l,{refcount:1,value:h})}async q(u,l){const h=this.e.get(u);if(h){const w=h.get(l),S=w?await w.value:void 0;(!S||typeof S=="string")&&h.delete(l),h.size===0&&this.e.delete(u)}}r(u,l){const h=[u];E(u)?(h.push(...e.$5u),h.push(...e.$7u)):m(u)&&h.push(...e.$7u);const w=h.map(S=>this.e.get(S));for(const S of w){const t=S?.get(l);if(t)return t}}canTunnel(u){return!!P(u)}t(u,l,h,w,S,t,a){this.j.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${l}:${h} on local port ${w}.`);const n=h;this.i.add(n);const s=w===void 0?h:w,i={elevationRequired:S?this.isPortPrivileged(s):!1},r={remoteAddress:{host:l,port:h},localAddressPort:w,privacy:t,public:t?t!==I.Private:void 0,protocol:a},o=u.forwardPort(r,i);return o?(this.p(l,h,o),o.finally(()=>{this.j.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this.i.delete(n)})):this.i.delete(n),o}};e.$$u=y,e.$$u=y=ye([x(0,A.$6i),x(1,N.$fi)],y)}),define(oe[229],ae([0,1,7,76,2,8,5]),function(te,e,O,N,j,A,D){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.$p8b=void 0;class C extends j.$Qc{constructor(){super(),this.a=null,this.b=null}async getAddress(){return this.a?this.a:(this.b||(this.b=new D.$_g),this.b.p)}setAddress(E){this.a=E,this.b&&(this.b.complete(E),this.b=null)}setTunnel(E){this.B(E)}}let g=class extends j.$Qc{static{I=this}static{this.a=0}constructor(E,m){super(),this.f=E,this.g=m,this.b=new Map,this.c=new Set}dispose(){super.dispose(),this.b.forEach(E=>E.dispose())}async createTunnel(){return{id:String(++I.a)}}async startTunnel(E,m,c,$,y,d,u){const l=new C,h=await Promise.resolve(this.f.openTunnel(E,l,c,$,y,d,u));if(!h||typeof h=="string")throw this.g.info(`[SharedProcessTunnelService] Could not create a tunnel to ${c}:${$} (remote).`),l.dispose(),new Error("Could not create tunnel");if(this.c.has(m))throw this.c.delete(m),l.dispose(),await h.dispose(),(0,A.$4)();return l.setTunnel(h),this.b.set(m,l),this.g.info(`[SharedProcessTunnelService] Created tunnel ${m}: ${h.localAddress} (local) to ${c}:${$} (remote).`),{tunnelLocalPort:h.tunnelLocalPort,localAddress:h.localAddress}}async setAddress(E,m){const c=this.b.get(E);c&&c.setAddress(m)}async destroyTunnel(E){const m=this.b.get(E);if(m){this.g.info(`[SharedProcessTunnelService] Disposing tunnel ${E}.`),this.b.delete(E),await m.dispose();return}this.c.add(E)}};e.$p8b=g,e.$p8b=g=I=ye([x(0,N.$2u),x(1,O.$6i)],g)}),define(oe[28],ae([0,1,4]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dk=void 0,e.$Dk=(0,O.$Lh)("IUriIdentityService")}),define(oe[230],ae([0,1,28,185,11,21,128,3,2]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qr=void 0;class g{static{this._clock=0}constructor(m){this.uri=m,this.time=g._clock++}touch(){return this.time=g._clock++,this}}let P=class{constructor(m){this.g=m,this.c=new C.$Pc,this.f=2**16;const c=new Map,$=y=>{let d=c.get(y.scheme);return d===void 0&&(d=m.hasProvider(y)&&!this.g.hasCapability(y,1024),c.set(y.scheme,d)),d};this.c.add(I.Event.any(m.onDidChangeFileSystemProviderRegistrations,m.onDidChangeFileSystemProviderCapabilities)(y=>{c.delete(y.scheme)})),this.extUri=new A.$hg($),this.d=new D.$pr((y,d)=>this.extUri.compare(y,d,!0),this.f)}dispose(){this.c.dispose(),this.d.clear()}asCanonicalUri(m){this.g.hasProvider(m)&&(m=(0,A.$tg)(m));const c=this.d.get(m);return c?c.touch().uri.with({fragment:m.fragment}):(this.d.set(m,new g(m)),this.h(),m)}h(){if(this.d.size<this.f)return;const m=[...this.d.entries()].sort(($,y)=>$[1].time<y[1].time?1:$[1].time>y[1].time?-1:0);g._clock=0,this.d.clear();const c=this.f*.5;for(let $=0;$<c;$++)this.d.set(m[$][0],m[$][1].touch())}};e.$qr=P,e.$qr=P=ye([x(0,j.$7j)],P),(0,N.$nr)(O.$Dk,P,1)}),define(oe[231],ae([0,1,3,2,11,47,34]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$J7b=void 0;class I extends N.$Qc{constructor(g,P,E,m,c,$){super(),this.f=g,this.g=P,this.h=E,this.j=m,this.m=c,this.n=$,this.capabilities=this.g.capabilities,this.onDidChangeCapabilities=this.g.onDidChangeCapabilities,this.a=this.B(new O.$Ld),this.onDidChangeFile=this.a.event,this.b=A.$Rh.forUris(()=>!(this.capabilities&1024)),this.c=new D.$zc(y=>this.m.extUri.getComparisonKey(this.t(y))),this.r(),this.B(m.onDidChangeProfiles(()=>this.r())),this.B(this.g.onDidChangeFile(y=>this.s(y)))}r(){this.c.clear();for(const g of this.j.profiles)this.c.add(g.settingsResource),this.c.add(g.keybindingsResource),this.c.add(g.tasksResource),this.c.add(g.extensionsResource)}open(g,P){return this.g.open(this.t(g),P)}close(g){return this.g.close(g)}read(g,P,E,m,c){return this.g.read(g,P,E,m,c)}write(g,P,E,m,c){return this.g.write(g,P,E,m,c)}watch(g,P){this.b.set(g,g);const E=this.g.watch(this.t(g),P);return(0,N.$Oc)(()=>{this.b.delete(g),E.dispose()})}stat(g){return this.g.stat(this.t(g))}mkdir(g){return this.g.mkdir(this.t(g))}rename(g,P,E){return this.g.rename(this.t(g),this.t(P),E)}readFile(g,P){return this.g.readFile(this.t(g),P)}readFileStream(g,P,E){return this.g.readFileStream(this.t(g),P,E)}readdir(g){return this.g.readdir(this.t(g))}enforceAtomicReadFile(g){return this.c.has(g)}writeFile(g,P,E){return this.g.writeFile(this.t(g),P,E)}enforceAtomicWriteFile(g){return this.c.has(g)?{postfix:".vsctmp"}:!1}delete(g,P){return this.g.delete(this.t(g),P)}copy(g,P,E){if((0,j.$0j)(this.g))return this.g.copy(this.t(g),this.t(P),E);throw new Error("copy not supported")}cloneFile(g,P){if((0,j.$$j)(this.g))return this.g.cloneFile(this.t(g),this.t(P));throw new Error("clone not supported")}s(g){const P=[];for(const E of g){if(E.resource.scheme!==this.f)continue;const m=this.u(E.resource);this.b.findSubstr(m)&&P.push({resource:m,type:E.type})}P.length&&(this.n.debug("User data changed"),this.a.fire(P))}t(g){return g.with({scheme:this.f})}u(g){return g.with({scheme:this.h})}}e.$J7b=I}),define(oe[77],ae([0,1,85]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dAb=e.$cAb=e.edit=void 0;function N(D,I,C,g){const P=(0,O.$JS)(D,I,C,g)[0];return P&&(D=D.substring(0,P.offset)+P.content+D.substring(P.offset+P.length)),D}e.edit=N;function j(D,I,C){let g=C;for(;g>=0;){if(D.charAt(g)===I.charAt(I.length-1)&&I.length===1)return g+1;if(g--,I.length===2&&g>=0&&D.charAt(g)===I.charAt(0))return g+2}return 0}e.$cAb=j;function A(D,I,C){let g=C;for(;g>=0;)if(D.charAt(g)===I.charAt(I.length-1)&&I.length===1||(g++,I.length===2&&g>=0&&D.charAt(g)===I.charAt(1)))return g;return D.length-1}e.$dAb=A}),define(oe[232],ae([0,1,30,53,12]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$92b=void 0;function A(c,$,y,d,u,l){const h=[],w=[],S=[];if(!$){const U=c.filter(({identifier:_})=>u.every(K=>K.toLowerCase()!==_.id.toLowerCase()));return{local:{added:h,removed:w,updated:S},remote:U.length>0?{added:U,updated:[],removed:[],all:U}:null}}c=c.map(E),$=$.map(E),y=y?y.map(E):null;const t=new Map,a=U=>{U.uuid&&t.set(U.id.toLowerCase(),U.uuid)};c.forEach(({identifier:U})=>a(U)),$.forEach(({identifier:U})=>a(U)),y?.forEach(({identifier:U})=>a(U)),d?.forEach(({identifier:U})=>a(U)),l?.forEach(U=>a(U));const n=U=>{const _=U.identifier.uuid||t.get(U.identifier.id.toLowerCase());return _?`uuid:${_}`:`id:${U.identifier.id.toLowerCase()}`},s=(U,_)=>(U.set(n(_),_),U),i=c.reduce(s,new Map),r=$.reduce(s,new Map),o=$.reduce((U,_)=>s(U,(0,O.$Wm)(_)),new Map),v=y?y.reduce(s,new Map):null,p=d.reduce(s,new Map),f=u.reduce((U,_)=>{const K=t.get(_.toLowerCase());return U.add(K?`uuid:${K}`:`id:${_.toLowerCase()}`)},new Set),b=l?l.reduce((U,{id:_,uuid:K})=>(K=K??t.get(_.toLowerCase()),U.add(K?`uuid:${K}`:`id:${_.toLowerCase()}`)),new Set):null,L=D(i,r,f,!1);if(L.added.size>0||L.removed.size>0||L.updated.size>0){const U=D(v,i,f,!1),_=D(v,r,f,!0),K=(Z,G,Q,H)=>{let V,W,ee;return G.installed?(V=H.pinned,ee=H.preRelease,V&&(W=H.version)):(V=Q.pinned,ee=Q.preRelease,V&&(W=Q.version)),V===void 0&&(V=G.pinned,V&&(W=G.version)),ee===void 0&&(ee=G.preRelease),{...H,installed:G.installed||Q.installed,pinned:V,preRelease:ee,version:W??(Q.version&&(!G.installed||N.gt(Q.version,G.version))?Q.version:G.version),state:C(G,Q,v?.get(Z))}};for(const Z of _.removed.values()){const G=i.get(Z);if(!G)continue;const Q=(0,j.$Hf)(v?.get(Z)),H=b&&!b.has(Z)&&Q.installed;G.installed&&H?w.push(G.identifier):o.set(Z,G)}for(const Z of _.added.values()){const G=(0,j.$Hf)(r.get(Z)),Q=i.get(Z);if(Q){if(L.updated.has(Z)){const H=K(Z,Q,G,G);I(Q,G,!1,!1)||S.push(m(H,Z)),o.set(Z,H)}}else G.installed&&h.push(m(G,Z))}for(const Z of _.updated.values()){const G=(0,j.$Hf)(r.get(Z)),Q=(0,j.$Hf)(v?.get(Z)),H=i.get(Z);if(H)if(b&&!b.has(Z)&&Q.installed&&H.installed&&!G.installed)w.push(H.identifier);else{const W=K(Z,H,G,G);S.push(m(W,Z)),o.set(Z,W)}else G.installed&&h.push(m(G,Z))}for(const Z of U.added.values())_.added.has(Z)||o.set(Z,(0,j.$Hf)(i.get(Z)));for(const Z of U.updated.values()){if(_.removed.has(Z)||_.updated.has(Z))continue;const G=(0,j.$Hf)(i.get(Z)),Q=(0,j.$Hf)(r.get(Z));o.set(Z,K(Z,G,Q,G))}for(const Z of U.removed.values())_.updated.has(Z)||_.removed.has(Z)||p.has(Z)||(0,j.$Hf)(r.get(Z)).installed&&b&&(b.has(Z)||!(0,j.$Hf)(v?.get(Z)).installed||o.delete(Z))}const F=[],T=D(r,o,new Set,!0),z=T.added.size>0||T.updated.size>0||T.removed.size>0;return z&&o.forEach((U,_)=>F.push(m(U,_))),{local:{added:h,removed:w,updated:S},remote:z?{added:[...T.added].map(U=>o.get(U)),updated:[...T.updated].map(U=>o.get(U)),removed:[...T.removed].map(U=>r.get(U)),all:F}:null}}e.$92b=A;function D(c,$,y,d){const u=c?[...c.keys()].filter(t=>!y.has(t)):[],l=[...$.keys()].filter(t=>!y.has(t)),h=l.filter(t=>!u.includes(t)).reduce((t,a)=>(t.add(a),t),new Set),w=u.filter(t=>!l.includes(t)).reduce((t,a)=>(t.add(a),t),new Set),S=new Set;for(const t of u){if(w.has(t))continue;const a=c.get(t),n=$.get(t);(!n||!I(a,n,d,!0))&&S.add(t)}return{added:h,removed:w,updated:S}}function I(c,$,y,d){return!(c.disabled!==$.disabled||!!c.isApplicationScoped!=!!$.isApplicationScoped||d&&c.installed!==$.installed||c.installed&&$.installed&&(c.preRelease!==$.preRelease||c.pinned!==$.pinned||$.pinned&&c.version!==$.version)||!P(c.state,$.state)||y&&c.version!==$.version)}function C(c,$,y){const d=c.state,u=$.state,l=y?.state;if(!$.version||d&&N.gt(c.version,$.version))return d;if(u&&N.gt($.version,c.version)||!d)return u;if(!u)return d;const h=(0,O.$Wm)(d),w=l?g(l,u):{added:Object.keys(u).reduce((t,a)=>(t.add(a),t),new Set),removed:new Set,updated:new Set},S=l?g(l,d):{added:Object.keys(d).reduce((t,a)=>(t.add(a),t),new Set),removed:new Set,updated:new Set};for(const t of[...w.added.values(),...w.updated.values()])h[t]=u[t];for(const t of w.removed.values())S.updated.has(t)||delete h[t];return h}function g(c,$){const y=Object.keys(c),d=Object.keys($),u=d.filter(w=>!y.includes(w)).reduce((w,S)=>(w.add(S),w),new Set),l=y.filter(w=>!d.includes(w)).reduce((w,S)=>(w.add(S),w),new Set),h=new Set;for(const w of y){if(l.has(w))continue;const S=c[w],t=$[w];(0,O.$1m)(S,t)||h.add(w)}return{added:u,removed:l,updated:h}}function P(c={},$={}){const{added:y,removed:d,updated:u}=g(c,$);return y.size===0&&d.size===0&&u.size===0}function E(c){return{...c,disabled:!!c.disabled,installed:!!c.installed}}function m(c,$){const y={...c,identifier:{id:c.identifier.id,uuid:$.startsWith("uuid:")?$.substring(5):void 0},preRelease:!!c.preRelease,pinned:!!c.pinned};return c.disabled||delete y.disabled,c.installed||delete y.installed,c.state||delete y.state,c.isApplicationScoped||delete y.isApplicationScoped,y}}),define(oe[111],ae([0,1,18,19,4]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bCb=e.$aCb=void 0,e.$aCb=(0,j.$Lh)("IIgnoredExtensionsManagementService");let A=class{constructor(I){this.a=I}hasToNeverSyncExtension(I){return this.b().includes(I.toLowerCase())}hasToAlwaysSyncExtension(I){return this.b().includes(`-${I.toLowerCase()}`)}updateIgnoredExtensions(I,C){let g=[...this.a.getValue("settingsSync.ignoredExtensions")].map(P=>P.toLowerCase());return g=g.filter(P=>P!==I&&P!==`-${I}`),C&&g.push(I.toLowerCase()),this.a.updateValue("settingsSync.ignoredExtensions",g.length?g:void 0,2)}updateSynchronizedExtensions(I,C){let g=[...this.a.getValue("settingsSync.ignoredExtensions")].map(P=>P.toLowerCase());return g=g.filter(P=>P!==I&&P!==`-${I}`),C&&g.push(`-${I.toLowerCase()}`),this.a.updateValue("settingsSync.ignoredExtensions",g.length?g:void 0,2)}getIgnoredExtensions(I){const C=I.filter(m=>m.isMachineScoped).map(m=>m.identifier.id.toLowerCase()),g=this.b().map(m=>m.toLowerCase()),P=[],E=[];if(Array.isArray(g))for(const m of g)m.startsWith("-")?E.push(m.substring(1)):P.push(m);return(0,O.$Kb)([...C,...P].filter(m=>!E.includes(m)))}b(){let I=this.a.inspect("settingsSync.ignoredExtensions").userValue;return I!==void 0||(I=this.a.inspect("sync.ignoredExtensions").userValue,I!==void 0)?I:(this.a.getValue("settingsSync.ignoredExtensions")||[]).map(C=>C.toLowerCase())}};e.$bCb=A,e.$bCb=A=ye([x(0,N.$fi)],A)}),define(oe[233],ae([0,1,18,35,30,94,77]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$c3b=void 0;function I(w){return(0,N.$Mm)(w)||[]}async function C(w,S,t,a,n){const s=I(w),i=I(S),r=t?I(t):null,o=[...s,...i,...r||[]].map(K=>K.key),v=await n.resolveUserBindings(o),p=P(s,i,r,v);if(!p.hasLocalForwarded&&!p.hasRemoteForwarded)return{mergeContent:w,hasChanges:!1,hasConflicts:!1};if(!p.hasLocalForwarded&&p.hasRemoteForwarded)return{mergeContent:S,hasChanges:!0,hasConflicts:!1};if(p.hasLocalForwarded&&!p.hasRemoteForwarded)return{mergeContent:w,hasChanges:!0,hasConflicts:!1};const f=m(s),b=m(i),L=r?m(r):null,F=$(f,b,v),T=L?$(L,f,v):{added:[...f.keys()].reduce((K,Z)=>(K.add(Z),K),new Set),removed:new Set,updated:new Set},z=L?$(L,b,v):{added:[...b.keys()].reduce((K,Z)=>(K.add(Z),K),new Set),removed:new Set,updated:new Set},U=g(F,T,z);let _=w;for(const K of U.removed.values())U.conflicts.has(K)||(_=l(_,K,a));for(const K of U.added.values()){if(U.conflicts.has(K))continue;const Z=b.get(K);if(Z.some(G=>G.command!==`-${K}`&&p.conflicts.has(v[G.key]))){U.conflicts.add(K);continue}_=u(_,Z,a)}for(const K of U.updated.values()){if(U.conflicts.has(K))continue;const Z=b.get(K);if(Z.some(G=>G.command!==`-${K}`&&p.conflicts.has(v[G.key]))){U.conflicts.add(K);continue}_=h(_,K,Z,a)}return{mergeContent:_,hasChanges:!0,hasConflicts:U.conflicts.size>0}}e.$c3b=C;function g(w,S,t){const a=new Set,n=new Set,s=new Set,i=new Set;for(const r of S.removed.values())t.updated.has(r)&&i.add(r);for(const r of t.removed.values())i.has(r)||(S.updated.has(r)?i.add(r):n.add(r));for(const r of S.added.values())i.has(r)||t.added.has(r)&&w.updated.has(r)&&i.add(r);for(const r of t.added.values())i.has(r)||(S.added.has(r)?w.updated.has(r)&&i.add(r):a.add(r));for(const r of S.updated.values())i.has(r)||t.updated.has(r)&&w.updated.has(r)&&i.add(r);for(const r of t.updated.values())i.has(r)||(S.updated.has(r)?w.updated.has(r)&&i.add(r):s.add(r));return{added:a,removed:n,updated:s,conflicts:i}}function P(w,S,t,a){const n=new Set,s=E(w,a),i=E(S,a),r=t?E(t,a):null,o=c(s,i);if(o.added.size===0&&o.removed.size===0&&o.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!1,added:n,removed:n,updated:n,conflicts:n};const v=r?c(r,s):{added:[...s.keys()].reduce((T,z)=>(T.add(z),T),new Set),removed:new Set,updated:new Set};if(v.added.size===0&&v.removed.size===0&&v.updated.size===0)return{hasLocalForwarded:!1,hasRemoteForwarded:!0,added:n,removed:n,updated:n,conflicts:n};const p=r?c(r,i):{added:[...i.keys()].reduce((T,z)=>(T.add(z),T),new Set),removed:new Set,updated:new Set};if(p.added.size===0&&p.removed.size===0&&p.updated.size===0)return{hasLocalForwarded:!0,hasRemoteForwarded:!1,added:n,removed:n,updated:n,conflicts:n};const{added:f,removed:b,updated:L,conflicts:F}=g(o,v,p);return{hasLocalForwarded:!0,hasRemoteForwarded:!0,added:f,removed:b,updated:L,conflicts:F}}function E(w,S){const t=new Map;for(const a of w){const n=S[a.key];let s=t.get(n);s||(s=[],t.set(n,s)),s.push(a)}return t}function m(w){const S=new Map;for(const t of w){const a=t.command[0]==="-"?t.command.substring(1):t.command;let n=S.get(a);n||(n=[],S.set(a,n)),n.push(t)}return S}function c(w,S){const t=[...w.keys()],a=[...S.keys()],n=a.filter(r=>!t.includes(r)).reduce((r,o)=>(r.add(o),r),new Set),s=t.filter(r=>!a.includes(r)).reduce((r,o)=>(r.add(o),r),new Set),i=new Set;for(const r of t){if(s.has(r))continue;const o=w.get(r).map(p=>({...p,key:r})),v=S.get(r).map(p=>({...p,key:r}));(0,O.$sb)(o,v,(p,f)=>d(p,f))||i.add(r)}return{added:n,removed:s,updated:i}}function $(w,S,t){const a=[...w.keys()],n=[...S.keys()],s=n.filter(o=>!a.includes(o)).reduce((o,v)=>(o.add(v),o),new Set),i=a.filter(o=>!n.includes(o)).reduce((o,v)=>(o.add(v),o),new Set),r=new Set;for(const o of a){if(i.has(o))continue;const v=w.get(o).map(f=>({...f,key:t[f.key]})),p=S.get(o).map(f=>({...f,key:t[f.key]}));y(v,p)||r.add(o)}return{added:s,removed:i,updated:r}}function y(w,S){return!(!(0,O.$sb)(w.filter(({command:t})=>t[0]!=="-"),S.filter(({command:t})=>t[0]!=="-"),(t,a)=>d(t,a))||!(0,O.$sb)(w.filter(({command:t})=>t[0]==="-"),S.filter(({command:t})=>t[0]==="-"),(t,a)=>d(t,a)))}function d(w,S){if(w.command!==S.command||w.key!==S.key)return!1;const t=A.$Ji.deserialize(w.when),a=A.$Ji.deserialize(S.when);return!(t&&!a||!t&&a||t&&a&&!t.equals(a)||!j.$1m(w.args,S.args))}function u(w,S,t){for(const a of S)w=D.edit(w,[-1],a,t);return w}function l(w,S,t){const a=I(w);for(let n=a.length-1;n>=0;n--)(a[n].command===S||a[n].command===`-${S}`)&&(w=D.edit(w,[n],void 0,t));return w}function h(w,S,t,a){const n=I(w),s=n.findIndex(i=>i.command===S||i.command===`-${S}`);for(let i=n.length-1;i>=0;i--)(n[i].command===S||n[i].command===`-${S}`)&&(w=D.edit(w,[i],void 0,a));for(let i=t.length-1;i>=0;i--)w=D.edit(w,[s],t[i],a);return w}}),define(oe[234],ae([0,1]),function(te,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$k3b=e.$j3b=void 0;function O(A,D,I){const C={},g={},P=new Set;if(!D)return{local:{added:C,updated:g,removed:[...P.values()]},remote:{added:A,updated:{},removed:[]},conflicts:[]};const E=N(A,D);if(E.added.size===0&&E.removed.size===0&&E.updated.size===0)return{local:{added:C,updated:g,removed:[...P.values()]},remote:{added:{},updated:{},removed:[]},conflicts:[]};const m=N(I,A),c=N(I,D),$={},y={},d=new Set,u=new Set;for(const l of m.removed.values())c.updated.has(l)?C[l]=D[l]:d.add(l);for(const l of c.removed.values())u.has(l)||(m.updated.has(l)?u.add(l):P.add(l));for(const l of m.updated.values())u.has(l)||(c.updated.has(l)?E.updated.has(l)&&u.add(l):y[l]=A[l]);for(const l of c.updated.values())u.has(l)||(m.updated.has(l)?E.updated.has(l)&&u.add(l):A[l]!==void 0&&(g[l]=D[l]));for(const l of m.added.values())u.has(l)||(c.added.has(l)?E.updated.has(l)&&u.add(l):$[l]=A[l]);for(const l of c.added.values())u.has(l)||(m.added.has(l)?E.updated.has(l)&&u.add(l):C[l]=D[l]);return{local:{added:C,removed:[...P.values()],updated:g},remote:{added:$,removed:[...d.values()],updated:y},conflicts:[...u.values()]}}e.$j3b=O;function N(A,D){const I=A?Object.keys(A):[],C=D?Object.keys(D):[],g=C.filter(m=>!I.includes(m)).reduce((m,c)=>(m.add(c),m),new Set),P=I.filter(m=>!C.includes(m)).reduce((m,c)=>(m.add(c),m),new Set),E=new Set;for(const m of I){if(P.has(m))continue;const c=A[m],$=D[m];c!==$&&E.add(m)}return{added:g,removed:P,updated:E}}function j(A,D){const{added:I,removed:C,updated:g}=N(A,D);return I.size===0&&C.size===0&&g.size===0}e.$k3b=j}),define(oe[235],ae([0,1,30]),function(te,e,O){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$44b=void 0;function N(A,D,I,C){const g={added:[],removed:[],updated:[]};let P={added:[],removed:[],updated:[]};if(!D){const m=A.filter(({id:c})=>!C.includes(c));return m.length?P.added=m:P=null,{local:g,remote:P}}const E=j(A,D,C);if(E.added.length>0||E.removed.length>0||E.updated.length>0){const m=j(I,A,C),c=j(I,D,C);for(const $ of c.removed){const y=A.find(d=>d.id===$);y&&g.removed.push(y)}for(const $ of c.added){const y=D.find(d=>d.id===$);m.added.includes($)?E.updated.includes($)&&g.updated.push(y):g.added.push(y)}for(const $ of c.updated)g.updated.push(D.find(y=>y.id===$));for(const $ of m.added)c.added.includes($)||P.added.push(A.find(y=>y.id===$));for(const $ of m.updated)c.removed.includes($)||c.updated.includes($)||P.updated.push(A.find(y=>y.id===$));for(const $ of m.removed){const y=D.find(d=>d.id===$);y&&P.removed.push(y)}}return P.added.length===0&&P.removed.length===0&&P.updated.length===0&&(P=null),{local:g,remote:P}}e.$44b=N;function j(A,D,I){A=A?A.filter(({id:c})=>!I.includes(c)):[],D=D.filter(({id:c})=>!I.includes(c));const C=A.map(({id:c})=>c),g=D.map(({id:c})=>c),P=g.filter(c=>!C.includes(c)),E=C.filter(c=>!g.includes(c)),m=[];for(const{id:c,name:$,shortName:y,icon:d,useDefaultFlags:u}of A){if(E.includes(c))continue;const l=D.find(h=>h.id===c);(!l||l.name!==$||l.shortName!==y||l.icon!==d||!(0,O.$1m)(l.useDefaultFlags,u))&&m.push(c)}return{added:P,removed:E,updated:m}}}),define(oe[25],ae([0,1,18,12,174,49,29,4,103,40]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fgb=e.$Egb=e.$Dgb=e.$Cgb=e.$Bgb=e.$Agb=e.$zgb=e.$ygb=e.$xgb=e.$wgb=e.$vgb=e.MergeState=e.Change=e.SyncStatus=e.$ugb=e.$tgb=e.$sgb=e.UserDataSyncErrorCode=e.$rgb=e.$qgb=e.$pgb=e.$ogb=e.$ngb=e.$mgb=e.$lgb=e.$kgb=e.$jgb=e.SyncResource=e.$igb=e.$hgb=e.$ggb=e.$fgb=e.$egb=e.$dgb=void 0;function P(){const i=g.$9m.as(A.$bn.Configuration).getConfigurationProperties();return Object.keys(i).filter(r=>!!i[r].disallowSyncIgnore)}e.$dgb=P;function E(){const i=g.$9m.as(A.$bn.Configuration).getConfigurationProperties(),r=Object.keys(i).filter(p=>!!i[p].ignoreSync),o=Object.keys(i).filter(p=>i[p].scope===2||i[p].scope===6),v=P();return(0,O.$Kb)([...r,...o,...v])}e.$egb=E,e.$fgb="settingsSync",e.$ggb="settingsSync.keybindingsPerPlatform";function m(){const i="vscode://schemas/ignoredSettings",r=g.$9m.as(A.$bn.Configuration);r.registerConfiguration({id:"settingsSync",order:30,title:(0,j.localize)(0,null),type:"object",properties:{[e.$ggb]:{type:"boolean",description:(0,j.localize)(1,null),default:!0,scope:1,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredExtensions":{type:"array",markdownDescription:(0,j.localize)(2,null),items:[{type:"string",pattern:D.$Nn,errorMessage:(0,j.localize)(3,null)}],default:[],scope:1,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]},"settingsSync.ignoredSettings":{type:"array",description:(0,j.localize)(4,null),default:[],scope:1,$ref:i,additionalProperties:!0,uniqueItems:!0,disallowSyncIgnore:!0,tags:["sync","usesOnlineServices"]}}});const o=g.$9m.as(C.$0m.JSONContribution),v=()=>{const p=P(),f=E(),b=Object.keys(A.$cn.properties).filter(T=>!f.includes(T)),L=f.filter(T=>!p.includes(T)),F={items:{type:"string",enum:[...b,...L.map(T=>`-${T}`)]}};o.registerSchema(i,F)};return r.onDidUpdateConfiguration(()=>v())}e.$hgb=m;function c(i){return i&&(0,N.$yf)(i)&&(0,N.$wf)(i.id)&&Array.isArray(i.scopes)}e.$igb=c;var $;(function(i){i.Settings="settings",i.Keybindings="keybindings",i.Snippets="snippets",i.Tasks="tasks",i.Extensions="extensions",i.GlobalState="globalState",i.Profiles="profiles",i.WorkspaceState="workspaceState"})($||(e.SyncResource=$={})),e.$jgb=["settings","keybindings","snippets","tasks","extensions","globalState","profiles"];function y(i,...r){return i?[i,...r]:r}e.$kgb=y;function d(i,r,o,v){return v.joinPath(o.userDataSyncHome,...y(i,r,`lastSync${r}.json`))}e.$lgb=d,e.$mgb=(0,I.$Lh)("IUserDataSyncStoreManagementService"),e.$ngb=(0,I.$Lh)("IUserDataSyncStoreService"),e.$ogb=(0,I.$Lh)("IUserDataSyncLocalStoreService"),e.$pgb="x-operation-id",e.$qgb="X-Execution-Id";function u(i){const r={};return r[e.$qgb]=i,r}e.$rgb=u;var l;(function(i){i.Unauthorized="Unauthorized",i.Forbidden="Forbidden",i.NotFound="NotFound",i.MethodNotFound="MethodNotFound",i.Conflict="Conflict",i.Gone="Gone",i.PreconditionFailed="PreconditionFailed",i.TooLarge="TooLarge",i.UpgradeRequired="UpgradeRequired",i.PreconditionRequired="PreconditionRequired",i.TooManyRequests="RemoteTooManyRequests",i.TooManyRequestsAndRetryAfter="TooManyRequestsAndRetryAfter",i.RequestFailed="RequestFailed",i.RequestCanceled="RequestCanceled",i.RequestTimeout="RequestTimeout",i.RequestProtocolNotSupported="RequestProtocolNotSupported",i.RequestPathNotEscaped="RequestPathNotEscaped",i.RequestHeadersNotObject="RequestHeadersNotObject",i.NoCollection="NoCollection",i.NoRef="NoRef",i.EmptyResponse="EmptyResponse",i.TurnedOff="TurnedOff",i.SessionExpired="SessionExpired",i.ServiceChanged="ServiceChanged",i.DefaultServiceChanged="DefaultServiceChanged",i.LocalTooManyProfiles="LocalTooManyProfiles",i.LocalTooManyRequests="LocalTooManyRequests",i.LocalPreconditionFailed="LocalPreconditionFailed",i.LocalInvalidContent="LocalInvalidContent",i.LocalError="LocalError",i.IncompatibleLocalContent="IncompatibleLocalContent",i.IncompatibleRemoteContent="IncompatibleRemoteContent",i.Unknown="Unknown"})(l||(e.UserDataSyncErrorCode=l={}));class h extends Error{constructor(r,o,v,p){super(r),this.code=o,this.resource=v,this.operationId=p,this.name=`${this.code} (UserDataSyncError) syncResource:${this.resource||"unknown"} operationId:${this.operationId||"unknown"}`}}e.$sgb=h;class w extends h{constructor(r,o,v,p,f){super(r,v,void 0,f),this.url=o,this.serverCode=p}}e.$tgb=w;class S extends h{constructor(r,o){super(r,o)}}e.$ugb=S,function(i){function r(o){if(o instanceof i)return o;const v=/^(.+) \(UserDataSyncError\) syncResource:(.+) operationId:(.+)$/.exec(o.name);if(v&&v[1]){const p=v[2]==="unknown"?void 0:v[2],f=v[3]==="unknown"?void 0:v[3];return new i(o.message,v[1],p,f)}return new i(o.message,"Unknown")}i.toUserDataSyncError=r}(h||(e.$sgb=h={}));var t;(function(i){i.Uninitialized="uninitialized",i.Idle="idle",i.Syncing="syncing",i.HasConflicts="hasConflicts"})(t||(e.SyncStatus=t={}));var a;(function(i){i[i.None=0]="None",i[i.Added=1]="Added",i[i.Modified=2]="Modified",i[i.Deleted=3]="Deleted"})(a||(e.Change=a={}));var n;(function(i){i.Preview="preview",i.Conflict="conflict",i.Accepted="accepted"})(n||(e.MergeState=n={})),e.$vgb="sync.store.url.type";function s(i){return`sync.enable.${i}`}e.$wgb=s,e.$xgb=(0,I.$Lh)("IUserDataSyncEnablementService"),e.$ygb=(0,I.$Lh)("IUserDataSyncService"),e.$zgb=(0,I.$Lh)("IUserDataSyncResourceProviderService"),e.$Agb=(0,I.$Lh)("IUserDataAutoSyncService"),e.$Bgb=(0,I.$Lh)("IUserDataSyncUtilService"),e.$Cgb=(0,I.$Lh)("IUserDataSyncLogService"),e.$Dgb="userDataSync",e.$Egb="vscode-userdata-sync",e.$Fgb="preview"}),define(oe[236],ae([0,1,30,25]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wBb=void 0;function j(D,I,C,g,P){if(!I)return{remote:{added:Object.keys(D),removed:[],updated:[],all:Object.keys(D).length>0?D:null},local:{added:{},removed:[],updated:{}}};const E=A(D,I);if(E.added.size===0&&E.removed.size===0&&E.updated.size===0)return{remote:{added:[],removed:[],updated:[],all:null},local:{added:{},removed:[],updated:{}}};const m=C?A(C,I):{added:Object.keys(I).reduce((l,h)=>(l.add(h),l),new Set),removed:new Set,updated:new Set},c=C?A(C,D):{added:Object.keys(D).reduce((l,h)=>(l.add(h),l),new Set),removed:new Set,updated:new Set},$={added:{},removed:[],updated:{}},y=O.$Wm(I),d=!C;for(const l of c.added.values())l!==N.$vgb&&d&&m.added.has(l)||(y[l]=D[l]);for(const l of c.updated.values())y[l]=D[l];for(const l of c.removed.values())g.unregistered.includes(l)||delete y[l];for(const l of m.added.values()){const h=I[l];if(g.machine.includes(l)){P.info(`GlobalState: Skipped adding ${l} in local storage because it is declared as machine scoped.`);continue}if(C&&c.added.has(l))continue;const w=D[l];w&&w.value===h.value||l===N.$vgb&&d&&c.added.has(l)||(w?$.updated[l]=h:$.added[l]=h)}for(const l of m.updated.values()){const h=I[l];if(g.machine.includes(l)){P.info(`GlobalState: Skipped updating ${l} in local storage because it is declared as machine scoped.`);continue}if(c.updated.has(l)||c.removed.has(l))continue;const w=D[l];w&&w.value===h.value||($.updated[l]=h)}for(const l of m.removed.values()){if(g.machine.includes(l)){P.trace(`GlobalState: Skipped removing ${l} in local storage because it is declared as machine scoped.`);continue}c.updated.has(l)||c.removed.has(l)||$.removed.push(l)}const u=A(I,y);return{local:$,remote:{added:[...u.added],updated:[...u.updated],removed:[...u.removed],all:u.added.size===0&&u.removed.size===0&&u.updated.size===0?null:y}}}e.$wBb=j;function A(D,I){const C=Object.keys(D),g=Object.keys(I),P=g.filter(c=>!C.includes(c)).reduce((c,$)=>(c.add($),c),new Set),E=C.filter(c=>!g.includes(c)).reduce((c,$)=>(c.add($),c),new Set),m=new Set;for(const c of C){if(E.has(c))continue;const $=D[c],y=I[c];O.$1m($,y)||m.add(c)}return{added:P,removed:E,updated:m}}}),define(oe[237],ae([0,1,18,35,85,41,30,77,25]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jAb=e.$iAb=e.$hAb=e.$gAb=e.$fAb=e.$eAb=void 0;function g(o,v,p){let f=[];p?f=E(p):f=P(v);const b=[],L=[...(0,C.$dgb)()];if(Array.isArray(f))for(const F of f)F.startsWith("-")?L.push(F.substring(1)):b.push(F);return(0,O.$Kb)([...o,...b].filter(F=>!L.includes(F)))}e.$eAb=g;function P(o){let v=o.inspect("settingsSync.ignoredSettings").userValue;return v!==void 0||(v=o.inspect("sync.ignoredSettings").userValue,v!==void 0)?v:o.getValue("settingsSync.ignoredSettings")||[]}function E(o){const v=(0,N.$Mm)(o);return v?v["settingsSync.ignoredSettings"]||v["sync.ignoredSettings"]||[]:[]}function m(o,v){const p=(0,N.$Mm)(o)||{};let f="{}";for(const b of Object.keys(p)){const L=(0,j.$JS)(f,[b],p[b],v);f=(0,j.$MS)(f,L)}return f}e.$fAb=m;function c(o,v,p,f){if(p.length){const b=r(v),L=(0,N.$Mm)(v)||{},F=(0,N.$Mm)(o);if(!F)return o;const T=[];for(const z of p){const U=L[z],_=F[z];U===void 0?o=I.edit(o,[z],void 0,f):_!==void 0?o=I.edit(o,[z],U,f):T.push(t(z,b))}T.sort((z,U)=>z.startOffset-U.startOffset),T.forEach(z=>o=l(z.setting.key,v,o,f))}return o}e.$gAb=c;function $(o,v,p,f,b,L){const F=c(o,v,f,L),T=p!==F,z=p!==v;if(!T&&!z)return{conflictsSettings:[],localContent:null,remoteContent:null,hasConflicts:!1};if(T&&!z)return{conflictsSettings:[],localContent:null,remoteContent:F,hasConflicts:!1};if(z&&!T)return{conflictsSettings:[],localContent:c(v,o,f,L),remoteContent:null,hasConflicts:!1};if(p===null&&d(o)){const R=y(o,v,f)?null:c(v,o,f,L);return{conflictsSettings:[],localContent:R,remoteContent:null,hasConflicts:!1}}let U=o,_=v;const K=(0,N.$Mm)(o),Z=(0,N.$Mm)(v),G=p?(0,N.$Mm)(p):null,Q=f.reduce((R,q)=>(R.add(q),R),new Set),H=u(K,Z,Q),V=u(G,K,Q),W=u(G,Z,Q),ee=new Map,ne=new Set,re=R=>{ne.add(R);const q=b.filter(({key:M})=>M===R)[0];q?(U=I.edit(U,[R],q.value,L),_=I.edit(_,[R],q.value,L)):ee.set(R,{key:R,localValue:K[R],remoteValue:Z[R]})};for(const R of V.removed.values())W.updated.has(R)?re(R):_=I.edit(_,[R],void 0,L);for(const R of W.removed.values())ne.has(R)||(V.updated.has(R)?re(R):U=I.edit(U,[R],void 0,L));for(const R of V.updated.values())ne.has(R)||(W.updated.has(R)?H.updated.has(R)&&re(R):_=I.edit(_,[R],K[R],L));for(const R of W.updated.values())ne.has(R)||(V.updated.has(R)?H.updated.has(R)&&re(R):U=I.edit(U,[R],Z[R],L));for(const R of V.added.values())ne.has(R)||(W.added.has(R)?H.updated.has(R)&&re(R):_=l(R,U,_,L));for(const R of W.added.values())ne.has(R)||(V.added.has(R)?H.updated.has(R)&&re(R):U=l(R,_,U,L));const X=ee.size>0||!y(U,_,f),B=X||!y(U,o,[]),k=X||!y(_,v,[]);return{localContent:B?U:null,remoteContent:k?_:null,conflictsSettings:[...ee.values()],hasConflicts:X}}e.$hAb=$;function y(o,v,p){if(o===v)return!0;const f=(0,N.$Mm)(o),b=(0,N.$Mm)(v),L=p.reduce((z,U)=>(z.add(U),z),new Set),F=r(o).filter(z=>!(z.setting&&L.has(z.setting.key))),T=r(v).filter(z=>!(z.setting&&L.has(z.setting.key)));if(F.length!==T.length)return!1;for(let z=0;z<F.length;z++){const U=F[z],_=T[z];if(U.setting&&_.setting){if(U.setting.key!==_.setting.key||!D.$1m(f[U.setting.key],b[U.setting.key]))return!1}else if(!U.setting&&!_.setting){if(U.value!==_.value)return!1}else return!1}return!0}function d(o){return o?r(o).length===0:!0}e.$iAb=d;function u(o,v,p){const f=o?Object.keys(o).filter(z=>!p.has(z)):[],b=Object.keys(v).filter(z=>!p.has(z)),L=b.filter(z=>!f.includes(z)).reduce((z,U)=>(z.add(U),z),new Set),F=f.filter(z=>!b.includes(z)).reduce((z,U)=>(z.add(U),z),new Set),T=new Set;if(o)for(const z of f){if(F.has(z))continue;const U=o[z],_=v[z];D.$1m(U,_)||T.add(z)}return{added:L,removed:F,updated:T}}function l(o,v,p,f){const b=(0,N.$Mm)(v),L=r(v),F=r(p),T=h(o,L,F);return w(p,o,b[o],T,F,f)}e.$jAb=l;function h(o,v,p){const f=v.findIndex(L=>L.setting?.key===o),b=v[f-1];if(b){if(b.setting){const F=t(b.setting.key,p);if(F)return{index:p.indexOf(F),insertAfter:!0}}else{const F=a(f,v);if(F){const T=t(F.setting.key,p);if(T){const z=n(p.indexOf(T),p),U=s(v,F,v[f]);if(z){const _=s(p,T,z),K=i(U,_);return K?{index:p.indexOf(K),insertAfter:!0}:{index:p.indexOf(z),insertAfter:!1}}else{const _=s(p,T,p[p.length-1]),K=i(U,_);return K?{index:p.indexOf(K),insertAfter:!0}:{index:p.length-1,insertAfter:!0}}}}}const L=v[f+1];if(L)if(L.setting){const F=t(L.setting.key,p);if(F)return{index:p.indexOf(F),insertAfter:!1}}else{const F=n(f,v);if(F){const T=t(F.setting.key,p);if(T){const z=a(p.indexOf(T),p),U=s(v,v[f],F);if(z){const _=s(p,z,T),K=i(U.reverse(),_.reverse());return K?{index:p.indexOf(K),insertAfter:!1}:{index:p.indexOf(z),insertAfter:!0}}else{const _=s(p,p[0],T),K=i(U.reverse(),_.reverse());return K?{index:p.indexOf(K),insertAfter:!1}:{index:0,insertAfter:!1}}}}}}return{index:p.length-1,insertAfter:!0}}function w(o,v,p,f,b,L){let F;return f.index===-1?F=(0,j.$JS)(o,[v],p,L):F=S(o,v,p,f,b,L).map(T=>(0,j.$KS)(o,T,L)[0]),(0,j.$MS)(o,F)}function S(o,v,p,f,b,L){const F=`${JSON.stringify(v)}: ${JSON.stringify(p)}`,T=(0,A.$GS)(L,o),z=b[f.index];if(f.insertAfter){const U=[];if(z.setting)U.push({offset:z.endOffset,length:0,content:","+F});else{const _=n(f.index,b),K=a(f.index,b),Z=K?.setting?.commaOffset;K&&Z===void 0&&U.push({offset:K.endOffset,length:0,content:","});const G=Z!==void 0&&Z>z.endOffset;U.push({offset:G?Z+1:z.endOffset,length:0,content:_?T+F+",":T+F})}return U}else{if(z.setting)return[{offset:z.startOffset,length:0,content:F+","}];const U=(b[f.index-1]&&!b[f.index-1].setting?T:"")+F+(n(f.index,b)?",":"")+T;return[{offset:z.startOffset,length:0,content:U}]}}function t(o,v){return v.filter(p=>p.setting?.key===o)[0]}function a(o,v){for(let p=o-1;p>=0;p--)if(v[p].setting)return v[p]}function n(o,v){for(let p=o+1;p<v.length;p++)if(v[p].setting)return v[p]}function s(o,v,p){const f=o.indexOf(v),b=o.indexOf(p);return o.filter((L,F)=>f<F&&F<b)}function i(o,v){if(o.length&&v.length){let p=0;for(;p<v.length&&p<o.length;p++)if(o[p].value!==v[p].value)return v[p-1];return v[p-1]}}function r(o){const v=[];let p=-1,f,b;const L={onObjectBegin:F=>{p++},onObjectProperty:(F,T,z)=>{p===0&&(f=T,b=F)},onObjectEnd:(F,T)=>{p--,p===0&&v.push({startOffset:f,endOffset:F+T,value:o.substring(f,F+T),setting:{key:b,commaOffset:void 0}})},onArrayBegin:(F,T)=>{p++},onArrayEnd:(F,T)=>{p--,p===0&&v.push({startOffset:f,endOffset:F+T,value:o.substring(f,F+T),setting:{key:b,commaOffset:void 0}})},onLiteralValue:(F,T,z)=>{p===0&&v.push({startOffset:f,endOffset:T+z,value:o.substring(f,T+z),setting:{key:b,commaOffset:void 0}})},onSeparator:(F,T,z)=>{if(p===0&&F===","){let U=v.length-1;for(;U>=0&&!v[U].setting;U--);const _=v[U];_&&v.splice(U,1,{startOffset:_.startOffset,endOffset:_.endOffset,value:_.value,setting:{key:_.setting.key,commaOffset:T}})}},onComment:(F,T)=>{p===0&&v.push({startOffset:F,endOffset:F+T,value:o.substring(F,F+T)})}};return(0,N.$Tm)(o,L),v}}),define(oe[78],ae([0,1,3,2,4,25]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2zb=e.$1zb=void 0,e.$1zb=(0,j.$Lh)("IUserDataSyncAccountService");let D=class extends N.$Qc{get account(){return this.a}constructor(C,g){super(),this.g=C,this.h=g,this.b=this.B(new O.$Ld),this.onDidChangeAccount=this.b.event,this.c=this.B(new O.$Ld),this.onTokenFailed=this.c.event,this.f=!1,this.B(C.onTokenFailed(P=>{this.h.info("Settings Sync auth token failed",this.account?.authenticationProviderId,this.f,P),this.updateAccount(void 0),P==="Forbidden"?this.c.fire(!0):this.c.fire(this.f),this.f=!0})),this.B(C.onTokenSucceed(()=>this.f=!1))}async updateAccount(C){(C&&this.a?C.token!==this.a.token||C.authenticationProviderId!==this.a.authenticationProviderId:C!==this.a)&&(this.a=C,this.a&&this.g.setAuthToken(this.a.token,this.a.authenticationProviderId),this.b.fire(C))}};e.$2zb=D,e.$2zb=D=ye([x(0,A.$ngb),x(1,A.$Cgb)],D)}),define(oe[238],ae([0,1,2,10]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$j8b=e.$i8b=e.$h8b=e.$g8b=e.$f8b=e.$e8b=e.$d8b=void 0;class j{constructor(m){this.a=m}listen(m,c){switch(c){case"onError":return this.a.onError}throw new Error(`Event not found: ${c}`)}call(m,c,$){switch(c){case"triggerSync":return this.a.triggerSync($[0],$[1],$[2]);case"turnOn":return this.a.turnOn();case"turnOff":return this.a.turnOff($[0])}throw new Error("Invalid call")}}e.$d8b=j;class A{constructor(m){this.a=m}listen(m,c){throw new Error(`Event not found: ${c}`)}call(m,c,$){switch(c){case"resolveDefaultIgnoredSettings":return this.a.resolveDefaultIgnoredSettings();case"resolveUserKeybindings":return this.a.resolveUserBindings($[0]);case"resolveFormattingOptions":return this.a.resolveFormattingOptions(N.URI.revive($[0]))}throw new Error("Invalid call")}}e.$e8b=A;class D{constructor(m){this.a=m}async resolveDefaultIgnoredSettings(){return this.a.call("resolveDefaultIgnoredSettings")}async resolveUserBindings(m){return this.a.call("resolveUserKeybindings",[m])}async resolveFormattingOptions(m){return this.a.call("resolveFormattingOptions",[m])}}e.$f8b=D;class I{constructor(m){this.a=m}listen(m,c){switch(c){case"onDidChange":return this.a.onDidChange}throw new Error(`Event not found: ${c}`)}async call(m,c,$){switch(c){case"getMachines":return this.a.getMachines();case"addCurrentMachine":return this.a.addCurrentMachine();case"removeCurrentMachine":return this.a.removeCurrentMachine();case"renameMachine":return this.a.renameMachine($[0],$[1]);case"setEnablements":return this.a.setEnablements($)}throw new Error("Invalid call")}}e.$g8b=I;class C{constructor(m){this.a=m}listen(m,c){switch(c){case"onDidChangeAccount":return this.a.onDidChangeAccount;case"onTokenFailed":return this.a.onTokenFailed}throw new Error(`Event not found: ${c}`)}call(m,c,$){switch(c){case"_getInitialData":return Promise.resolve(this.a.account);case"updateAccount":return this.a.updateAccount($)}throw new Error("Invalid call")}}e.$h8b=C;class g{constructor(m){this.a=m}listen(m,c){switch(c){case"onDidChangeUserDataSyncStore":return this.a.onDidChangeUserDataSyncStore}throw new Error(`Event not found: ${c}`)}call(m,c,$){switch(c){case"switch":return this.a.switch($[0]);case"getPreviousUserDataSyncStore":return this.a.getPreviousUserDataSyncStore()}throw new Error("Invalid call")}}e.$i8b=g;class P extends O.$Qc{constructor(m){super(),this.a=m,this.onDidChangeUserDataSyncStore=this.a.listen("onDidChangeUserDataSyncStore")}async switch(m){return this.a.call("switch",[m])}async getPreviousUserDataSyncStore(){const m=await this.a.call("getPreviousUserDataSyncStore");return this.b(m)}b(m){return{url:N.URI.revive(m.url),type:m.type,defaultUrl:N.URI.revive(m.defaultUrl),insidersUrl:N.URI.revive(m.insidersUrl),stableUrl:N.URI.revive(m.stableUrl),canSwitch:m.canSwitch,authenticationProviders:m.authenticationProviders}}}e.$j8b=P}),define(oe[239],ae([0,1,21,175,14,7,25]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cCb=void 0;let I=class extends A.$$i{constructor(g,P){super(),this.g=this.B(g.createLogger((0,O.$sg)(P.logsHome,`${D.$Dgb}.log`),{id:D.$Dgb,name:(0,N.localize)(0,null)}))}trace(g,...P){this.g.trace(g,...P)}debug(g,...P){this.g.debug(g,...P)}info(g,...P){this.g.info(g,...P)}warn(g,...P){this.g.warn(g,...P)}error(g,...P){this.g.error(g,...P)}flush(){this.g.flush()}};e.$cCb=I,e.$cCb=I=ye([x(0,A.$7i),x(1,j.$Sh)],I)}),define(oe[112],ae([0,1,7,4,24]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$K8b=e.$J8b=void 0,e.$J8b=(0,N.$Lh)("voiceRecognitionService");let A=class{constructor(I,C){this.a=I,this.b=C}async transcribe(I,C){const g=process.env.VSCODE_VOICE_MODULE_PATH;if(!g||this.b.quality==="stable")throw this.a.error(`[voice] transcribe(${I.length}): Voice recognition not yet supported`),new Error("Voice recognition not yet supported!");const P=Date.now();try{const E=te.__$__nodeRequire(g),m=new AbortController;C.onCancellationRequested(()=>m.abort());const c=await E.transcribe({samplingRate:16e3,bitDepth:16,channelCount:1,channelData:I},{language:"en",signal:m.signal});return this.a.info(`[voice] transcribe(${I.length}): Text "${c}", took ${Date.now()-P}ms)`),c}catch(E){throw this.a.error(`[voice] transcribe(${I.length}): Failed width "${E}", took ${Date.now()-P}ms)`),E}}};e.$K8b=A,e.$K8b=A=ye([x(0,O.$6i),x(1,j.$lj)],A)}),define(oe[240],ae([0,1,2,112,7,26,5]),function(te,e,O,N,j,A,D){"use strict";var I;Object.defineProperty(e,"__esModule",{value:!0}),e.$L8b=void 0;let C=class extends O.$Qc{static{I=this}static{this.a=!!process.env.VSCODE_VOICE_USE_SLIDING_WINDOW}constructor(c,$,y){super(),this.b=c,this.c=$,this.f=y,this.g()}g(){this.B(this.b(c=>{this.f.info(`[voice] transcriber: new connection (sliding window: ${I.a})`),I.a?this.B(new P(c,this.c,this.f)):this.B(new E(c,this.c,this.f))}))}};e.$L8b=C,e.$L8b=C=I=ye([x(1,N.$J8b),x(2,j.$6i)],C);class g extends O.$Qc{static{this.a=30*16e3*16*1/8}constructor(c,$,y){super(),this.b=c,this.c=$,this.f=y,this.g()}g(){const c=new A.$Vd;this.B((0,O.$Oc)(()=>c.dispose(!0)));const $=d=>{d.data instanceof Float32Array&&this.h(d.data,c.token)};this.b.on("message",$),this.B((0,O.$Oc)(()=>this.b.off("message",$))),this.b.start();let y=!1;this.b.on("close",()=>{this.f.info("[voice] transcriber: closed connection"),y=!0,this.dispose()}),this.B((0,O.$Oc)(()=>{y||this.b.close()}))}j(c){const $=new Float32Array(c.reduce((d,u)=>d+u.length,0));let y=0;for(const d of c)$.set(d,y),y+=d.length;return $}}class P extends g{constructor(){super(...arguments),this.m=this.B(new D.$Xg),this.n=[],this.r=new Float32Array(0)}async h(c,$){if(c.length>0)this.f.info("[voice] transcriber: voice detected, storing in buffer"),this.r=this.r?this.j([this.r,c]):c;else{this.f.info("[voice] transcriber: silence detected, transcribing window...");const y=this.r.slice(0);this.r=new Float32Array(0),this.m.queue(()=>this.t(y,$))}}async t(c,$){if(!$.isCancellationRequested){if(c.length>g.a){this.f.warn("[voice] transcriber: refusing to accept more than 30s of audio data");return}if(c.length!==0){const y=await this.c.transcribe(c,$);y&&this.n.push(y)}$.isCancellationRequested||this.b.postMessage(this.n.join(" "))}}dispose(){super.dispose(),this.r=new Float32Array(0)}}class E extends g{constructor(){super(...arguments),this.m=new D.$Yg,this.n=void 0,this.r=0,this.s=""}async h(c,$){const y=this.n?this.j([this.n,c]):c;if(y.length>g.a){this.f.warn("[voice] transcriber: refusing to accept more than 30s of audio data");return}this.n=y,this.m.queue(()=>this.u($))}async u(c){if(c.isCancellationRequested)return;const $=this.n?.slice(0);if(!$)return;let y;$.length===this.r?(this.f.info("[voice] transcriber: silence detected, reusing previous transcription result"),y=this.s):(this.f.info("[voice] transcriber: voice detected, transcribing everything..."),y=await this.c.transcribe($,c)),this.s=y,this.r=$.length,!c.isCancellationRequested&&this.b.postMessage(y)}dispose(){super.dispose(),this.n=void 0}}}),define(oe[241],ae([0,1,5,3,2]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$h7b=void 0;class A extends j.$Qc{constructor({onDidOpenWindow:I,onDidFocusWindow:C,getActiveWindowId:g}){super(),this.a=this.B(new j.$Pc),N.Event.latch(N.Event.any(I,C))(this.f,this,this.a),this.b=(0,O.$Eg)(()=>g()),(async()=>{try{const E=await this.b;this.c=typeof this.c=="number"?this.c:E}catch{}finally{this.b=void 0}})()}f(I){this.b&&(this.b.cancel(),this.b=void 0),this.c=I}async getActiveClientId(){return`window:${this.b?await this.b:this.c}`}}e.$h7b=A}),define(oe[113],ae([0,1,178,16,47,21,10,4,23]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ei=e.$di=e.$ci=e.$bi=e.$ai=e.$_h=e.$$h=e.$0h=e.$9h=e.$8h=e.$7h=e.$6h=e.$5h=e.$4h=e.$3h=e.WorkbenchState=e.$2h=e.$1h=e.$Zh=e.$Yh=e.$Xh=e.$Wh=e.$Vh=e.$Uh=void 0,e.$Uh=(0,I.$Lh)("contextService");function g(s){const i=s;return typeof i?.id=="string"&&D.URI.isUri(i.uri)}e.$Vh=g;function P(s){return typeof s?.id=="string"&&!g(s)&&!m(s)}e.$Wh=P,e.$Xh={id:"ext-dev"},e.$Yh={id:"empty-window"};function E(s,i){if(typeof s=="string"||typeof s>"u")return typeof s=="string"?{id:(0,N.$lc)(s)}:i?e.$Xh:e.$Yh;const r=s;return r.configuration?{id:r.id,configPath:r.configuration}:r.folders.length===1?{id:r.id,uri:r.folders[0].uri}:{id:r.id}}e.$Zh=E;function m(s){const i=s;return typeof i?.id=="string"&&D.URI.isUri(i.configPath)}e.$1h=m;function c(s){const i=s;if(i?.uri)return{id:i.id,uri:D.URI.revive(i.uri)};const r=s;if(r?.configPath)return{id:r.id,configPath:D.URI.revive(r.configPath)};if(s?.id)return{id:s.id}}e.$2h=c;var $;(function(s){s[s.EMPTY=1]="EMPTY",s[s.FOLDER=2]="FOLDER",s[s.WORKSPACE=3]="WORKSPACE"})($||(e.WorkbenchState=$={}));function y(s){const i=s;return!!(i&&typeof i=="object"&&typeof i.id=="string"&&Array.isArray(i.folders))}e.$3h=y;function d(s){const i=s;return!!(i&&typeof i=="object"&&D.URI.isUri(i.uri)&&typeof i.name=="string"&&typeof i.toResource=="function")}e.$4h=d;class u{constructor(i,r,o,v,p){this.h=i,this.j=o,this.k=v,this.l=p,this.c=j.$Rh.forUris(this.l,()=>!0),this.folders=r}update(i){this.h=i.id,this.k=i.configuration,this.j=i.transient,this.l=i.l,this.folders=i.folders}get folders(){return this.g}set folders(i){this.g=i,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(i){this.k=i}getFolder(i){return i&&this.c.findSubstr(i)||null}n(){this.c=j.$Rh.forUris(this.l,()=>!0);for(const i of this.folders)this.c.set(i.uri,i)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.$5h=u;class l{constructor(i,r){this.raw=r,this.uri=i.uri,this.index=i.index,this.name=i.name}toResource(i){return(0,A.$sg)(this.uri,i)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.$6h=l;function h(s){return new l({uri:s,index:0,name:(0,A.$og)(s)},{uri:s.toString()})}e.$7h=h,e.$8h="code-workspace",e.$9h=`.${e.$8h}`,e.$0h=[{name:(0,O.localize)(0,null),extensions:[e.$8h]}],e.$$h="workspace.json";function w(s,i){return A.$jg.isEqualOrParent(s,i.untitledWorkspacesHome)}e.$_h=w;function S(s){let i;return D.URI.isUri(s)?i=s:i=s.configuration,i?.scheme===C.Schemas.tmp}e.$ai=S,e.$bi="4064f6ec-cb38-4ad0-af64-ee6467e63c82";function t(s){return s.id===e.$bi}e.$ci=t;function a(s,i){return!w(s,i)&&!S(s)}e.$di=a;function n(s){return(typeof s=="string"?(0,N.$mc)(s):(0,A.$qg)(s))===e.$9h}e.$ei=n}),define(oe[17],ae([0,1,51,3,2,21,10,169,14,11,4,7,113,34,28,5,32,27,12]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jk=e.$Ik=e.$Hk=e.$Gk=e.$Fk=e.$Ek=e.ProfileResourceType=void 0;var h;(function(s){s.Settings="settings",s.Keybindings="keybindings",s.Snippets="snippets",s.Tasks="tasks",s.Extensions="extensions",s.GlobalState="globalState"})(h||(e.ProfileResourceType=h={}));function w(s){const i=s;return!!(i&&typeof i=="object"&&typeof i.id=="string"&&typeof i.isDefault=="boolean"&&typeof i.name=="string"&&D.URI.isUri(i.location)&&D.URI.isUri(i.globalStorageHome)&&D.URI.isUri(i.settingsResource)&&D.URI.isUri(i.keybindingsResource)&&D.URI.isUri(i.tasksResource)&&D.URI.isUri(i.snippetsHome)&&D.URI.isUri(i.extensionsResource))}e.$Ek=w,e.$Fk=(0,P.$Lh)("IUserDataProfilesService");function S(s,i){return{id:s.id,isDefault:s.isDefault,name:s.name,shortName:s.shortName,icon:s.icon,location:D.URI.revive(s.location).with({scheme:i}),globalStorageHome:D.URI.revive(s.globalStorageHome).with({scheme:i}),settingsResource:D.URI.revive(s.settingsResource).with({scheme:i}),keybindingsResource:D.URI.revive(s.keybindingsResource).with({scheme:i}),tasksResource:D.URI.revive(s.tasksResource).with({scheme:i}),snippetsHome:D.URI.revive(s.snippetsHome).with({scheme:i}),extensionsResource:D.URI.revive(s.extensionsResource).with({scheme:i}),cacheHome:D.URI.revive(s.cacheHome).with({scheme:i}),useDefaultFlags:s.useDefaultFlags,isTransient:s.isTransient}}e.$Gk=S;function t(s,i,r,o,v,p){return{id:s,name:i,location:r,isDefault:!1,shortName:v?.shortName,icon:v?.icon,globalStorageHome:p&&v?.useDefaultFlags?.globalState?p.globalStorageHome:(0,A.$sg)(r,"globalStorage"),settingsResource:p&&v?.useDefaultFlags?.settings?p.settingsResource:(0,A.$sg)(r,"settings.json"),keybindingsResource:p&&v?.useDefaultFlags?.keybindings?p.keybindingsResource:(0,A.$sg)(r,"keybindings.json"),tasksResource:p&&v?.useDefaultFlags?.tasks?p.tasksResource:(0,A.$sg)(r,"tasks.json"),snippetsHome:p&&v?.useDefaultFlags?.snippets?p.snippetsHome:(0,A.$sg)(r,"snippets"),extensionsResource:p&&v?.useDefaultFlags?.extensions?p.extensionsResource:(0,A.$sg)(r,"extensions.json"),cacheHome:(0,A.$sg)(o,s),useDefaultFlags:v?.useDefaultFlags,isTransient:v?.transient}}e.$Hk=t;let a=class extends j.$Qc{static{this.b="userDataProfiles"}static{this.c="profileAssociations"}get defaultProfile(){return this.profiles[0]}get profiles(){return[...this.C.profiles,...this.s.profiles]}constructor(i,r,o,v){super(),this.t=i,this.u=r,this.w=o,this.y=v,this.f=!0,this.h=this.B(new N.$Ld),this.onDidChangeProfiles=this.h.event,this.j=this.B(new N.$Ld),this.onWillCreateProfile=this.j.event,this.m=this.B(new N.$Ld),this.onWillRemoveProfile=this.m.event,this.n=this.B(new N.$Ld),this.onDidResetWorkspaces=this.n.event,this.r=new Map,this.s={profiles:[],workspaces:new c.$yc,emptyWindows:new Map},this.profilesHome=(0,A.$sg)(this.t.userRoamingDataHome,"profiles"),this.g=(0,A.$sg)(this.t.cacheHome,"CachedProfilesData")}init(){this.z=void 0}setEnablement(i){this.f!==i&&(this.z=void 0,this.f=i)}isEnabled(){return this.f}get C(){if(!this.z){const i=this.D(),r=[i];if(this.f)try{for(const p of this.O()){if(!p.name||!(0,l.$wf)(p.name)||!p.location){this.y.warn("Skipping the invalid stored profile",p.location||p.name);continue}r.push(t((0,A.$pg)(p.location),p.name,p.location,this.g,{shortName:p.shortName,icon:p.icon,useDefaultFlags:p.useDefaultFlags},i))}}catch(p){this.y.error(p)}const o=new c.$yc,v=new Map;if(r.length)try{const p=this.Q();if(p.workspaces)for(const[f,b]of Object.entries(p.workspaces)){const L=D.URI.parse(f),F=r.find(T=>T.id===b);F&&o.set(L,F)}if(p.emptyWindows)for(const[f,b]of Object.entries(p.emptyWindows)){const L=r.find(F=>F.id===b);L&&v.set(f,L)}}catch(p){this.y.error(p)}this.z={profiles:r,workspaces:o,emptyWindows:v}}return this.z}D(){const i=t("__default__profile__",(0,I.localize)(0,null),this.t.userRoamingDataHome,this.g);return{...i,extensionsResource:this.S()??i.extensionsResource,isDefault:!0}}async createTransientProfile(i){const r="Temp",o=new RegExp(`${(0,u.$De)(r)}\\s(\\d+)`);let v=0;for(const f of this.profiles){const b=o.exec(f.name),L=b?parseInt(b[1]):0;v=L>v?L:v}const p=`${r} ${v+1}`;return this.createProfile((0,O.$zi)((0,d.$bg)()).toString(16),p,{transient:!0},i)}async createNamedProfile(i,r,o){return this.createProfile((0,O.$zi)((0,d.$bg)()).toString(16),i,r,o)}async createProfile(i,r,o,v){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const p=await this.F(i,r,o);return v&&await this.setProfileForWorkspace(v,p),p}async F(i,r,o){if(!(0,l.$wf)(r)||!r)throw new Error("Name of the profile is mandatory and must be of type `string`");let v=this.r.get(r);return v||(v=(async()=>{try{const p=this.profiles.find(L=>L.name===r||L.id===i);if(p)return p;const f=t(i,r,(0,A.$sg)(this.profilesHome,i),this.g,o,this.defaultProfile);await this.u.createFolder(f.location);const b=[];return this.j.fire({profile:f,join(L){b.push(L)}}),await y.Promises.settled(b),this.I([f],[],[]),f}finally{this.r.delete(r)}})(),this.r.set(r,v)),v}async updateProfile(i,r){if(!this.f)throw new Error("Profiles are disabled in the current environment.");let o=this.profiles.find(v=>v.id===i.id);if(!o)throw new Error(`Profile '${i.name}' does not exist`);return o=t(o.id,r.name??o.name,o.location,this.g,{shortName:r.shortName??o.shortName,icon:r.icon===null?void 0:r.icon??o.icon,transient:r.transient??o.isTransient,useDefaultFlags:r.useDefaultFlags??o.useDefaultFlags},this.defaultProfile),this.I([],[],[o]),o}async removeProfile(i){if(!this.f)throw new Error("Profiles are disabled in the current environment.");if(i.isDefault)throw new Error("Cannot remove default profile");const r=this.profiles.find(v=>v.id===i.id);if(!r)throw new Error(`Profile '${i.name}' does not exist`);const o=[];this.m.fire({profile:r,join(v){o.push(v)}});try{await Promise.allSettled(o)}catch(v){this.y.error(v)}for(const v of[...this.C.emptyWindows.keys()])r.id===this.C.emptyWindows.get(v)?.id&&this.C.emptyWindows.delete(v);for(const v of[...this.C.workspaces.keys()])r.id===this.C.workspaces.get(v)?.id&&this.C.workspaces.delete(v);this.M(),this.I([],[r],[]);try{await this.u.del(r.cacheHome,{recursive:!0})}catch(v){(0,g.$kk)(v)!==1&&this.y.error(v)}}async setProfileForWorkspace(i,r){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const o=this.profiles.find(v=>v.id===r.id);if(!o)throw new Error(`Profile '${r.name}' does not exist`);this.L(i,o)}unsetWorkspace(i,r){if(!this.f)throw new Error("Profiles are disabled in the current environment.");this.L(i,void 0,r)}async resetWorkspaces(){this.s.workspaces.clear(),this.s.emptyWindows.clear(),this.C.workspaces.clear(),this.C.emptyWindows.clear(),this.M(),this.n.fire()}async cleanUp(){if(this.f&&await this.u.exists(this.profilesHome)){const i=await this.u.resolve(this.profilesHome);await Promise.all((i.children||[]).filter(r=>r.isDirectory&&this.profiles.every(o=>!this.w.extUri.isEqual(o.location,r.resource))).map(r=>this.u.del(r.resource,{recursive:!0})))}}async cleanUpTransientProfiles(){if(!this.f)return;const i=this.s.profiles.filter(r=>!this.H(r));await Promise.allSettled(i.map(r=>this.removeProfile(r)))}getProfileForWorkspace(i){const r=this.G(i);return D.URI.isUri(r)?this.s.workspaces.get(r)??this.C.workspaces.get(r):this.s.emptyWindows.get(r)??this.C.emptyWindows.get(r)}G(i){return(0,m.$Vh)(i)?i.uri:(0,m.$1h)(i)?i.configPath:i.id}H(i){return!!([...this.s.emptyWindows.values()].some(r=>this.w.extUri.isEqual(r.location,i.location))||[...this.s.workspaces.values()].some(r=>this.w.extUri.isEqual(r.location,i.location))||[...this.C.emptyWindows.values()].some(r=>this.w.extUri.isEqual(r.location,i.location))||[...this.C.workspaces.values()].some(r=>this.w.extUri.isEqual(r.location,i.location)))}I(i,r,o){const v=[...this.profiles,...i],p=[];this.s.profiles=[];for(let f of v)f.isDefault||r.some(b=>f.id===b.id)||(f=o.find(b=>f.id===b.id)??f,f.isTransient?this.s.profiles.push(f):p.push({location:f.location,name:f.name,shortName:f.shortName,icon:f.icon,useDefaultFlags:f.useDefaultFlags}));this.P(p),this.z=void 0,this.J(i,r,o)}J(i,r,o){this.h.fire({added:i,removed:r,updated:o,all:this.profiles})}L(i,r,o){o=r?.isTransient?!0:o,o||this.L(i,void 0,!0);const v=this.G(i),p=o?this.s:this.C;D.URI.isUri(v)?(p.workspaces.delete(v),r&&p.workspaces.set(v,r)):(p.emptyWindows.delete(v),r&&p.emptyWindows.set(v,r)),o||this.M()}M(){const i={};for(const[o,v]of this.C.workspaces.entries())i[o.toString()]=v.id;const r={};for(const[o,v]of this.C.emptyWindows.entries())r[o.toString()]=v.id;this.R({workspaces:i,emptyWindows:r}),this.z=void 0}N(i){const r={},o=this.D();if(i.workspaces)for(const[p,f]of Object.entries(i.workspaces)){const b=D.URI.parse(f);r[p]=this.w.extUri.isEqual(b,o.location)?o.id:this.w.extUri.basename(b)}const v={};if(i.emptyWindows)for(const[p,f]of Object.entries(i.emptyWindows)){const b=D.URI.parse(f);v[p]=this.w.extUri.isEqual(b,o.location)?o.id:this.w.extUri.basename(b)}return{workspaces:r,emptyWindows:v}}O(){return[]}P(i){throw new Error("not implemented")}Q(){return{}}R(i){throw new Error("not implemented")}S(){}};e.$Ik=a,e.$Ik=a=ye([x(0,C.$Sh),x(1,g.$7j),x(2,$.$Dk),x(3,E.$6i)],a);class n extends a{constructor(){super(...arguments),this.a=[],this.X={}}O(){return this.a}P(i){this.a=i}Q(){return this.X}R(i){this.X=i}}e.$Jk=n}),define(oe[242],ae([0,1,5,2,17]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$r8b=void 0;let A=class extends N.$Qc{constructor(I){super(),this.B(new O.$3g(()=>{I.cleanUp()},10*1e3)).schedule()}};e.$r8b=A,e.$r8b=A=ye([x(0,j.$Fk)],A)}),define(oe[243],ae([0,1,18,5,26,8,3,2,6,12,10,152,29,33,44,7,24,22,28,17]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jp=e.$ip=e.$hp=e.$gp=void 0;let w=class extends I.$Qc{get onInstallExtension(){return this.n.event}get onDidInstallExtensions(){return this.s.event}get onUninstallExtension(){return this.t.event}get onDidUninstallExtension(){return this.u.event}get onDidUpdateExtensionMetadata(){return this.w.event}constructor(i,r,o,v,p,f){super(),this.z=i,this.C=r,this.D=o,this.F=v,this.G=p,this.H=f,this.h=0,this.j=new Map,this.m=new Map,this.n=this.B(new D.$Ld),this.s=this.B(new D.$Ld),this.t=this.B(new D.$Ld),this.u=this.B(new D.$Ld),this.w=this.B(new D.$Ld),this.y=[],this.B((0,I.$Oc)(()=>{this.j.forEach(({task:b})=>b.cancel()),this.m.forEach(b=>b.cancel()),this.j.clear(),this.m.clear()}))}async canInstall(i){const r=await this.getTargetPlatform();return i.allTargetPlatforms.some(o=>(0,m.$Xn)(o,i.allTargetPlatforms,r))}async installFromGallery(i,r={}){try{const v=(await this.installGalleryExtensions([{extension:i,options:r}])).find(({identifier:p})=>(0,c.$qo)(p,i.identifier));if(v?.local)return v?.local;throw v?.error?v.error:t(new Error(`Unknown error while installing extension ${i.identifier.id}`))}catch(o){throw t(o)}}async installGalleryExtensions(i){if(!this.z.isEnabled())throw new m.$2n(E.localize(0,null),m.ExtensionManagementErrorCode.Internal);const r=[],o=[];await Promise.allSettled(i.map(async({extension:v,options:p})=>{try{const f=await this.O(v,!!p?.installGivenVersion,!!p?.installPreReleaseVersion);o.push({...f,options:p})}catch(f){r.push({identifier:v.identifier,operation:2,source:v,error:f})}})),o.length&&r.push(...await this.I(o));for(const v of r)v.error&&(this.F.error("Failed to install extension.",v.identifier.id),this.F.error(v.error),v.source&&!P.URI.isUri(v.source)&&a(this.C,"extensionGallery:install",{extensionData:(0,c.$yo)(v.source),error:v.error}));return r}async uninstall(i,r={}){return this.F.trace("ExtensionManagementService#uninstall",i.identifier.id),this.Q(i,r)}async toggleAppliationScope(i,r){if((0,$.$Zl)(i.manifest)||i.isBuiltin)return i;if(i.isApplicationScoped){let o=await this.updateMetadata(i,{isApplicationScoped:!1},this.H.defaultProfile.extensionsResource);this.D.extUri.isEqual(r,this.H.defaultProfile.extensionsResource)||(o=await this.ab(i,this.H.defaultProfile.extensionsResource,r));for(const v of this.H.profiles){const p=(await this.getInstalled(1,v.extensionsResource)).find(f=>(0,c.$qo)(f.identifier,i.identifier));p?this.w.fire(p):this.u.fire({identifier:i.identifier,profileLocation:v.extensionsResource})}return o}else{const o=this.D.extUri.isEqual(r,this.H.defaultProfile.extensionsResource)?await this.updateMetadata(i,{isApplicationScoped:!0},this.H.defaultProfile.extensionsResource):await this.ab(i,r,this.H.defaultProfile.extensionsResource,{isApplicationScoped:!0});return this.s.fire([{identifier:o.identifier,operation:2,local:o,profileLocation:this.H.defaultProfile.extensionsResource,applicationScoped:!0}]),o}}getExtensionsControlManifest(){const i=new Date().getTime();return(!this.g||i-this.h>1e3*60*5)&&(this.g=this.X(),this.h=i),this.g}registerParticipant(i){this.y.push(i)}async I(i){const r=[];return await Promise.allSettled(i.map(async o=>{try{const v=await this.J(o);r.push(...v)}catch(v){r.push({identifier:{id:(0,c.$vo)(o.manifest.publisher,o.manifest.name)},operation:2,source:o.extension,error:v})}})),this.s.fire(r),r}async J({manifest:i,extension:r,options:o}){const v=o.isApplicationScoped||o.isBuiltin||(0,$.$Zl)(i),p={...o,installOnlyNewlyAddedFromExtensionPack:P.URI.isUri(r)?o.installOnlyNewlyAddedFromExtensionPack:!0,isApplicationScoped:v,profileLocation:v?this.H.defaultProfile.extensionsResource:o.profileLocation??this.Y()},f=U=>`${c.$ro.create(U).toString()}${p.profileLocation?`-${p.profileLocation.toString()}`:""}`;if(!P.URI.isUri(r)){const U=this.j.get(f(r));if(U)return this.F.info("Extensions is already requested to install",r.identifier.id),await U.task.waitUntilTaskIsFinished(),[]}const b=[],L=[],F=[],T=this.Z(i,r,p);P.URI.isUri(r)||this.j.set(f(r),{task:T,waitingTasks:[]}),this.n.fire({identifier:T.identifier,source:r,profileLocation:p.profileLocation}),this.F.info("Installing extension:",T.identifier.id),b.push({task:T,manifest:i});let z=!1;try{if(p.donotIncludePackAndDependencies)this.F.info("Installing the extension without checking dependencies and pack",T.identifier.id);else try{const _=await this.N(T.identifier,i,!!p.installOnlyNewlyAddedFromExtensionPack,!!p.installPreReleaseVersion,p.profileLocation),K=await this.getInstalled(void 0,p.profileLocation),Z={...p,donotIncludePackAndDependencies:!0,context:{...p.context,[m.$Sn]:!0}};for(const{gallery:G,manifest:Q}of(0,O.$Kb)(_,({gallery:H})=>H.identifier.id)){z=z||!!Q.extensionDependencies?.some(W=>(0,c.$qo)({id:W},T.identifier));const H=f(G),V=this.j.get(H);if(V){if(this.L(T,V.task)){const W=V.task.identifier;this.F.info("Waiting for already requested installing extension",W.id,T.identifier.id),V.waitingTasks.push(T),L.push(D.Event.toPromise(D.Event.filter(this.onDidInstallExtensions,ee=>ee.some(ne=>(0,c.$qo)(ne.identifier,W)))).then(ee=>{if(this.F.info("Finished waiting for already requested installing extension",W.id,T.identifier.id),!ee.find(re=>(0,c.$qo)(re.identifier,W))?.local)throw new Error(`Extension ${W.id} is not installed`)}))}}else if(!K.some(({identifier:W})=>(0,c.$qo)(W,G.identifier))){const W=this.Z(Q,G,Z);this.j.set(H,{task:W,waitingTasks:[T]}),this.n.fire({identifier:W.identifier,source:G,profileLocation:p.profileLocation}),this.F.info("Installing extension:",W.identifier.id,T.identifier.id),b.push({task:W,manifest:Q})}}}catch(_){if(P.URI.isUri(T.source))(0,O.$Jb)(i.extensionDependencies)&&this.F.warn("Cannot install dependencies of extension:",T.identifier.id,_.message),(0,O.$Jb)(i.extensionPack)&&this.F.warn("Cannot install packed extensions of extension:",T.identifier.id,_.message);else throw this.F.error("Error while preparing to install dependencies and extension packs of the extension:",T.identifier.id),_}const U=b.reduce((_,{task:K,manifest:Z})=>(_.set(K.identifier.id.toLowerCase(),{task:K,manifest:Z}),_),new Map);for(;U.size;){let _;const K=[...U.values()].filter(({manifest:Z})=>!Z.extensionDependencies?.some(G=>U.has(G.toLowerCase())));K.length?_=U.size===1?K:K.filter(({task:Z})=>!(Z===T&&!z)):(this.F.info("Found extensions with circular dependencies",K.map(({task:Z})=>Z.identifier.id)),_=[...U.values()]),await this.M(_.map(async({task:Z})=>{const G=new Date().getTime();try{const Q=await Z.run();if(await this.M(this.y.map(H=>H.postInstall(Q,Z.source,p,j.CancellationToken.None))),!P.URI.isUri(Z.source)){const H=Z.operation===3,V=H?void 0:(new Date().getTime()-Z.source.lastUpdated)/1e3;if(a(this.C,H?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,c.$yo)(Z.source),verificationStatus:Z.verificationStatus,duration:new Date().getTime()-G,durationSinceUpdate:V}),C.$o&&Z.operation!==3)try{await this.z.reportStatistic(Q.manifest.publisher,Q.manifest.name,Q.manifest.version,"install")}catch{}}F.push({local:Q,identifier:Z.identifier,operation:Z.operation,source:Z.source,context:Z.options.context,profileLocation:Z.profileLocation,applicationScoped:Q.isApplicationScoped})}catch(Q){throw P.URI.isUri(Z.source)||a(this.C,Z.operation===3?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,c.$yo)(Z.source),verificationStatus:Z.verificationStatus,duration:new Date().getTime()-G,error:Q}),this.F.error("Error while installing the extension:",Z.identifier.id),Q}finally{U.delete(Z.identifier.id.toLowerCase())}}))}return L.length&&await this.M(L),F.forEach(({identifier:_})=>this.F.info("Extension installed successfully:",_.id)),F}catch(U){if(b.forEach(({task:_})=>_.cancel()),F.length)try{const _=await Promise.allSettled(F.map(({local:K})=>this.$(K,{versionOnly:!0,profileLocation:p.profileLocation}).run()));for(let K=0;K<_.length;K++){const Z=_[K],{identifier:G}=F[K];Z.status==="fulfilled"?this.F.info("Rollback: Uninstalled extension",G.id):this.F.warn("Rollback: Error while uninstalling extension",G.id,(0,A.$8)(Z.reason))}}catch(_){this.F.warn("Error while rolling back extensions",(0,A.$8)(_),F.map(({identifier:K})=>K.id))}return b.map(({task:_})=>({identifier:_.identifier,operation:2,source:_.source,context:p.context,profileLocation:p.profileLocation,error:U}))}finally{for(const{task:U}of b)U.source&&!P.URI.isUri(U.source)&&this.j.delete(f(U.source))}}L(i,r){for(const[,{task:o,waitingTasks:v}]of this.j.entries())if(o===i&&(v.includes(r)||v.some(p=>this.L(p,r)))||o===r&&v[0]&&!this.L(i,v[0]))return!1;return!0}async M(i){const r=[],o=[],v=await Promise.allSettled(i);for(const p of v)p.status==="fulfilled"?r.push(p.value):o.push(p.reason);if(o.length)throw S(o);return r}async N(i,r,o,v,p){if(!this.z.isEnabled())return[];const f=await this.getInstalled(void 0,p),b=[],L=[],F=async(T,z)=>{b.push(T);const U=z.extensionDependencies||[],_=[...U];if(z.extensionPack){const K=o?f.find(Z=>(0,c.$qo)(Z.identifier,T)):void 0;for(const Z of z.extensionPack)K&&K.manifest.extensionPack&&K.manifest.extensionPack.some(G=>(0,c.$qo)({id:G},{id:Z}))||_.every(G=>!(0,c.$qo)({id:G},{id:Z}))&&_.push(Z)}if(_.length){const K=_.filter(Z=>b.every(G=>!(0,c.$qo)(G,{id:Z})));if(K.length){const Z=await this.z.getExtensions(K.map(G=>({id:G,preRelease:v})),j.CancellationToken.None);for(const G of Z){if(b.find(V=>(0,c.$qo)(V,G.identifier)))continue;const Q=U.some(V=>(0,c.$qo)({id:V},G.identifier));let H;try{H=await this.O(G,!1,v)}catch(V){if(Q)throw V;this.F.info("Skipping the packed extension as it cannot be installed",G.identifier.id,(0,A.$8)(V));continue}L.push({gallery:H.extension,manifest:H.manifest}),await F(H.extension.identifier,H.manifest)}}}};return await F(i,r),L}async O(i,r,o){let v;const p=await this.getExtensionsControlManifest();if(p.malicious.some(L=>(0,c.$qo)(i.identifier,L)))throw new m.$2n(E.localize(1,null,i.identifier.id),m.ExtensionManagementErrorCode.Malicious);const f=p.deprecated[i.identifier.id.toLowerCase()];if(f?.extension?.autoMigrate){if(this.F.info(`The '${i.identifier.id}' extension is deprecated, fetching the compatible '${f.extension.id}' extension instead.`),v=(await this.z.getExtensions([{id:f.extension.id,preRelease:f.extension.preRelease}],{targetPlatform:await this.getTargetPlatform(),compatible:!0},j.CancellationToken.None))[0],!v)throw new m.$2n(E.localize(2,null,i.identifier.id,f.extension.id),m.ExtensionManagementErrorCode.Deprecated)}else{if(!await this.canInstall(i)){const L=await this.getTargetPlatform();throw new m.$2n(E.localize(3,null,i.identifier.id,this.G.nameLong,(0,m.$Tn)(L)),m.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}if(v=await this.P(i,r,o),!v)throw!o&&i.properties.isPreReleaseVersion&&(await this.z.getExtensions([i.identifier],j.CancellationToken.None))[0]?new m.$2n(E.localize(4,null,i.identifier.id),m.ExtensionManagementErrorCode.ReleaseVersionNotFound):new m.$2n(E.localize(5,null,i.identifier.id,this.G.nameLong,this.G.version),m.ExtensionManagementErrorCode.Incompatible)}this.F.info("Getting Manifest...",v.identifier.id);const b=await this.z.getManifest(v,j.CancellationToken.None);if(b===null)throw new m.$2n(`Missing manifest for extension ${v.identifier.id}`,m.ExtensionManagementErrorCode.Invalid);if(b.version!==v.version)throw new m.$2n(`Cannot install '${v.identifier.id}' extension because of version mismatch in Marketplace`,m.ExtensionManagementErrorCode.Invalid);return{extension:v,manifest:b}}async P(i,r,o){const v=await this.getTargetPlatform();let p=null;return!r&&i.hasPreReleaseVersion&&i.properties.isPreReleaseVersion!==o&&(p=(await this.z.getExtensions([{...i.identifier,preRelease:o}],{targetPlatform:v,compatible:!0},j.CancellationToken.None))[0]||null),!p&&await this.z.isExtensionCompatible(i,o,v)&&(p=i),p||(r?p=(await this.z.getExtensions([{...i.identifier,version:i.version}],{targetPlatform:v,compatible:!0},j.CancellationToken.None))[0]||null:p=await this.z.getCompatibleExtension(i,o,v)),p}async Q(i,r){const o={...r,profileLocation:i.isApplicationScoped?this.H.defaultProfile.extensionsResource:r.profileLocation??this.Y()},v=T=>`${T.id.toLowerCase()}${o.versionOnly?`-${i.manifest.version}`:""}${o.profileLocation?`@${o.profileLocation.toString()}`:""}`,p=this.m.get(v(i.identifier));if(p)return this.F.info("Extensions is already requested to uninstall",i.identifier.id),p.waitUntilTaskIsFinished();const f=T=>{const z=this.$(T,o);return this.m.set(v(z.extension.identifier),z),o.profileLocation?this.F.info("Uninstalling extension from the profile:",`${T.identifier.id}@${T.manifest.version}`,o.profileLocation.toString()):this.F.info("Uninstalling extension:",`${T.identifier.id}@${T.manifest.version}`),this.t.fire({identifier:T.identifier,profileLocation:o.profileLocation,applicationScoped:T.isApplicationScoped}),z},b=(T,z)=>{z?o.profileLocation?this.F.error("Failed to uninstall extension from the profile:",`${T.identifier.id}@${T.manifest.version}`,o.profileLocation.toString(),z.message):this.F.error("Failed to uninstall extension:",`${T.identifier.id}@${T.manifest.version}`,z.message):o.profileLocation?this.F.info("Successfully uninstalled extension from the profile",`${T.identifier.id}@${T.manifest.version}`,o.profileLocation.toString()):this.F.info("Successfully uninstalled extension:",`${T.identifier.id}@${T.manifest.version}`),a(this.C,"extensionGallery:uninstall",{extensionData:(0,c.$xo)(T),error:z}),this.u.fire({identifier:T.identifier,error:z?.code,profileLocation:o.profileLocation,applicationScoped:T.isApplicationScoped})},L=[],F=[];try{L.push(f(i));const T=await this.getInstalled(1,o.profileLocation);if(o.donotIncludePack)this.F.info("Uninstalling the extension without including packed extension",`${i.identifier.id}@${i.manifest.version}`);else{const z=this.U(i,T);for(const U of z)this.m.has(v(U.identifier))?this.F.info("Extensions is already requested to uninstall",U.identifier.id):L.push(f(U))}o.donotCheckDependents?this.F.info("Uninstalling the extension without checking dependents",`${i.identifier.id}@${i.manifest.version}`):this.R(L.map(z=>z.extension),T,i),await this.M(L.map(async z=>{try{if(await z.run(),await this.M(this.y.map(U=>U.postUninstall(z.extension,o,j.CancellationToken.None))),z.extension.identifier.uuid)try{await this.z.reportStatistic(z.extension.manifest.publisher,z.extension.manifest.name,z.extension.manifest.version,"uninstall")}catch{}b(z.extension)}catch(U){const _=U instanceof m.$2n?U:new m.$2n((0,A.$8)(U),m.ExtensionManagementErrorCode.Internal);throw b(z.extension,_),_}finally{F.push(z)}}))}catch(T){const z=T instanceof m.$2n?T:new m.$2n((0,A.$8)(T),m.ExtensionManagementErrorCode.Internal);for(const U of L){try{U.cancel()}catch{}F.includes(U)||b(U.extension,z)}throw z}finally{for(const T of L)this.m.delete(v(T.extension.identifier))||this.F.warn("Uninstallation task is not found in the cache",T.extension.identifier.id)}}R(i,r,o){for(const v of i){const p=this.W(v,r);if(p.length){const f=p.filter(b=>!i.some(L=>(0,c.$qo)(L.identifier,b.identifier)));if(f.length)throw new Error(this.S(v,f,o))}}}S(i,r,o){return o===i?r.length===1?E.localize(6,null,o.manifest.displayName||o.manifest.name,r[0].manifest.displayName||r[0].manifest.name):r.length===2?E.localize(7,null,o.manifest.displayName||o.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name):E.localize(8,null,o.manifest.displayName||o.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name):r.length===1?E.localize(9,null,o.manifest.displayName||o.manifest.name,i.manifest.displayName||i.manifest.name,r[0].manifest.displayName||r[0].manifest.name):r.length===2?E.localize(10,null,o.manifest.displayName||o.manifest.name,i.manifest.displayName||i.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name):E.localize(11,null,o.manifest.displayName||o.manifest.name,i.manifest.displayName||i.manifest.name,r[0].manifest.displayName||r[0].manifest.name,r[1].manifest.displayName||r[1].manifest.name)}U(i,r,o=[]){if(o.indexOf(i)!==-1)return[];o.push(i);const v=i.manifest.extensionPack?i.manifest.extensionPack:[];if(v.length){const p=r.filter(b=>!b.isBuiltin&&v.some(L=>(0,c.$qo)({id:L},b.identifier))),f=[];for(const b of p)f.push(...this.U(b,r,o));return[...p,...f]}return[]}W(i,r){return r.filter(o=>o.manifest.extensionDependencies&&o.manifest.extensionDependencies.some(v=>(0,c.$qo)({id:v},i.identifier)))}async X(){try{this.F.trace("ExtensionManagementService.refreshReportedCache");const i=await this.z.getExtensionsControlManifest();return this.F.trace("ExtensionManagementService.refreshControlCache",i),i}catch{return this.F.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest"),{malicious:[],deprecated:{},search:[]}}}};e.$gp=w,e.$gp=w=ye([x(0,m.$1n),x(1,u.$0k),x(2,l.$Dk),x(3,y.$6i),x(4,d.$lj),x(5,h.$Fk)],w);function S(s){const i=Array.isArray(s)?s:[s];return i.length===1?i[0]instanceof Error?i[0]:new Error(i[0]):i.reduce((r,o)=>new Error(`${r.message}${r.message?",":""}${o instanceof Error?o.message:o}`),new Error(""))}e.$hp=S;function t(s){if(s instanceof m.$2n)return s;const i=new m.$2n(s.message,m.ExtensionManagementErrorCode.Internal);return i.stack=s.stack,i}e.$ip=t;function a(s,i,{extensionData:r,verificationStatus:o,duration:v,error:p,durationSinceUpdate:f}){let b,L;(0,g.$Ef)(o)&&(o===!0?o="Verified":(o===!1||(b=m.ExtensionManagementErrorCode.Signature,L=o),o="Unverified")),p&&(p instanceof m.$2n?(b=p.code,p.code===m.ExtensionManagementErrorCode.Signature&&(L=p.message)):b=m.ExtensionManagementErrorCode.Internal),s.publicLog(i,{...r,verificationStatus:o,success:!p,duration:v,errorcode:b,errorcodeDetail:L,durationSinceUpdate:f})}class n{constructor(){this.d=new N.$Pg}async waitUntilTaskIsFinished(){return await this.d.wait(),this.g}async run(){return this.g||(this.g=(0,N.$Eg)(i=>this.h(i))),this.d.open(),this.g}cancel(){this.g||(this.g=(0,N.$Eg)(i=>new Promise((r,o)=>{const v=i.onCancellationRequested(()=>{v.dispose(),o(new A.$3)})})),this.d.open()),this.g.cancel()}}e.$jp=n}),define(oe[50],ae([0,1,5,15,2,3,34,10,29,33,11,4,7,17,28,12,8,22]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mp=e.$lp=e.$kp=e.ExtensionsProfileScanningErrorCode=void 0;var l;(function(a){a.ERROR_PROFILE_NOT_FOUND="ERROR_PROFILE_NOT_FOUND",a.ERROR_INVALID_CONTENT="ERROR_INVALID_CONTENT"})(l||(e.ExtensionsProfileScanningErrorCode=l={}));class h extends Error{constructor(n,s){super(n),this.code=s}}e.$kp=h,e.$lp=(0,E.$Lh)("IExtensionsProfileScannerService");let w=class extends j.$Qc{constructor(n,s,i,r,o,v){super(),this.j=n,this.m=s,this.n=i,this.r=r,this.s=o,this.t=v,this.b=this.B(new A.$Ld),this.onAddExtensions=this.b.event,this.c=this.B(new A.$Ld),this.onDidAddExtensions=this.c.event,this.f=this.B(new A.$Ld),this.onRemoveExtensions=this.f.event,this.g=this.B(new A.$Ld),this.onDidRemoveExtensions=this.g.event,this.h=new D.$yc}scanProfileExtensions(n,s){return this.u(n,void 0,s)}async addExtensionsToProfile(n,s){const i=[],r=[];try{return await this.u(s,o=>{const v=[];for(const p of o)n.some(([f])=>(0,g.$qo)(f.identifier,p.identifier)&&f.manifest.version!==p.version)?i.push(p):v.push(p);for(const[p,f]of n){const b=v.findIndex(F=>(0,g.$qo)(F.identifier,p.identifier)&&F.version===p.manifest.version),L={identifier:p.identifier,version:p.manifest.version,location:p.location,metadata:f};b===-1?(r.push(L),v.push(L)):v.splice(b,1,L)}return r.length&&this.b.fire({extensions:r,profileLocation:s}),i.length&&this.f.fire({extensions:i,profileLocation:s}),v}),r.length&&this.c.fire({extensions:r,profileLocation:s}),i.length&&this.g.fire({extensions:i,profileLocation:s}),r}catch(o){throw r.length&&this.c.fire({extensions:r,error:o,profileLocation:s}),i.length&&this.g.fire({extensions:i,error:o,profileLocation:s}),o}}async updateMetadata(n,s){const i=[];return await this.u(s,r=>{const o=[];for(const v of r){const p=n.find(([f])=>(0,g.$qo)(f.identifier,v.identifier)&&f.manifest.version===v.version);p&&(v.metadata={...v.metadata,...p[1]},i.push(v)),o.push(v)}return o}),i}async removeExtensionFromProfile(n,s){const i=[];try{await this.u(s,r=>{const o=[];for(const v of r)(0,g.$qo)(v.identifier,n.identifier)?i.push(v):o.push(v);return i.length&&this.f.fire({extensions:i,profileLocation:s}),o}),i.length&&this.g.fire({extensions:i,profileLocation:s})}catch(r){throw i.length&&this.g.fire({extensions:i,error:r,profileLocation:s}),r}}async u(n,s,i){return this.F(n).queue(async()=>{let r=[],o;try{const v=await this.m.readFile(n);o=JSON.parse(v.value.toString().trim()||"[]")}catch(v){if((0,P.$kk)(v)!==1)throw v;if(this.r.extUri.isEqual(n,this.n.defaultProfile.extensionsResource)&&(o=await this.D()),!o&&i?.bailOutWhenFileNotFound)throw new h((0,d.$8)(v),"ERROR_PROFILE_NOT_FOUND")}if(o){Array.isArray(o)||this.w(n);let v=!1;for(const p of o){S(p)||this.w(n);let f;if((0,y.$wf)(p.relativeLocation)&&p.relativeLocation)f=this.z(p.relativeLocation);else if((0,y.$wf)(p.location))f=this.z(p.location),v=!0,p.relativeLocation=p.location,p.location=f.toJSON();else{f=I.URI.revive(p.location);const b=this.y(f);b&&(v=!0,p.relativeLocation=b)}r.push({identifier:p.identifier,location:f,version:p.version,metadata:p.metadata})}v&&await this.m.writeFile(n,N.$_d.fromString(JSON.stringify(o)))}if(s){r=s(r);const v=r.map(p=>({identifier:p.identifier,version:p.version,location:p.location.toJSON(),relativeLocation:this.y(p.location),metadata:p.metadata}));await this.m.writeFile(n,N.$_d.fromString(JSON.stringify(v)))}return r})}w(n){const s=new h(`Invalid extensions content in ${n.toString()}`,"ERROR_INVALID_CONTENT");throw this.s.publicLogError2("extensionsProfileScanningError",{code:s.code}),s}y(n){return this.r.extUri.isEqual(this.r.extUri.dirname(n),this.j)?this.r.extUri.basename(n):void 0}z(n){return this.r.extUri.joinPath(this.j,n)}async D(){return this.C||(this.C=(async()=>{const n=this.r.extUri.joinPath(this.n.defaultProfile.location,"extensions.json"),s=this.r.extUri.joinPath(this.j,".init-default-profile-extensions");let i;try{i=(await this.m.readFile(n)).value.toString()}catch(o){if((0,P.$kk)(o)===1)return;throw o}this.t.info("Migrating extensions from old default profile location",n.toString());let r;try{const o=JSON.parse(i);Array.isArray(o)&&o.every(v=>S(v))?r=o:this.t.warn("Skipping migrating from old default profile locaiton: Found invalid data",o)}catch(o){this.t.error(o)}if(r)try{await this.m.createFile(this.n.defaultProfile.extensionsResource,N.$_d.fromString(JSON.stringify(r)),{overwrite:!1}),this.t.info("Migrated extensions from old default profile location to new location",n.toString(),this.n.defaultProfile.extensionsResource.toString())}catch(o){if((0,P.$kk)(o)===3)this.t.info("Migration from old default profile location to new location is done by another window",n.toString(),this.n.defaultProfile.extensionsResource.toString());else throw o}try{await this.m.del(n)}catch(o){(0,P.$kk)(o)!==1&&this.t.error(o)}try{await this.m.del(s)}catch(o){(0,P.$kk)(o)!==1&&this.t.error(o)}return r})()),this.C}F(n){let s=this.h.get(n);return s||(s=new O.$Xg,this.h.set(n,s)),s}};e.$mp=w,e.$mp=w=ye([x(1,P.$7j),x(2,c.$Fk),x(3,$.$Dk),x(4,u.$0k),x(5,m.$6i)],w);function S(a){return(0,y.$yf)(a)&&(0,C.$Zn)(a.identifier)&&(t(a.location)||(0,y.$wf)(a.location)&&a.location)&&((0,y.$Df)(a.relativeLocation)||(0,y.$wf)(a.relativeLocation))&&a.version&&(0,y.$wf)(a.version)}function t(a){return a?(0,y.$wf)(a.path)&&(0,y.$wf)(a.scheme):!1}}),define(oe[79],ae([0,1,18,5,30,15,8,35,139,2,23,16,6,21,53,89,12,10,155,14,33,44,67,11,4,7,24,3,63,50,17,28,183]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t,a,n,s,i,r,o,v,p,f,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tp=e.$sp=e.$rp=e.$qp=e.$pp=e.Translations=void 0;var L;(function(Z){function G(Q,H){if(Q===H)return!0;const V=Object.keys(Q),W=new Set;for(const ee of Object.keys(H))W.add(ee);if(V.length!==W.size)return!1;for(const ee of V){if(Q[ee]!==H[ee])return!1;W.delete(ee)}return W.size===0}Z.equals=G})(L||(e.Translations=L={})),e.$pp=(0,n.$Lh)("IExtensionsScannerService");let F=class extends g.$Qc{constructor(G,Q,H,V,W,ee,ne,re,X,B,k,R){super(),this.systemExtensionsLocation=G,this.userExtensionsLocation=Q,this.r=H,this.s=V,this.t=W,this.u=ee,this.w=ne,this.y=re,this.z=X,this.C=B,this.D=k,this.F=R,this.g=this.B(new r.$Ld),this.onDidChangeCache=this.g.event,this.h=(0,c.$sg)(this.userExtensionsLocation,".obsolete"),this.j=this.B(this.F.createInstance(U,this.s,this.h)),this.m=this.B(this.F.createInstance(U,this.s,this.h)),this.n=this.B(this.F.createInstance(z,this.h)),this.H=void 0,this.B(this.j.onDidChangeCache(()=>this.g.fire(0))),this.B(this.m.onDidChangeCache(()=>this.g.fire(1)))}getTargetPlatform(){return this.G||(this.G=(0,w.$Bo)(this.w,this.y)),this.G}async scanAllExtensions(G,Q,H){const[V,W]=await Promise.all([this.scanSystemExtensions(G),this.scanUserExtensions(Q)]),ee=H?await this.scanExtensionsUnderDevelopment(G,[...V,...W]):[];return this.L(V,W,ee,await this.getTargetPlatform(),!0)}async scanSystemExtensions(G){const Q=[];Q.push(this.M(!!G.useCache,G.language)),Q.push(this.N(G.language,!!G.checkControlFile));const[H,V]=await Promise.all(Q);return this.J([...H,...V],0,G,!1)}async scanUserExtensions(G){const Q=G.profileLocation??this.userExtensionsLocation;this.y.trace("Started scanning user extensions",Q);const H=this.D.extUri.isEqual(G.profileLocation,this.t.defaultProfile.extensionsResource)?{bailOutWhenFileNotFound:!0}:void 0,V=await this.P(Q,!!G.profileLocation,1,!G.includeUninstalled,G.language,!0,H),W=G.useCache&&!V.devMode&&V.excludeObsolete?this.m:this.n;let ee;try{ee=await W.scanExtensions(V)}catch(ne){if(ne instanceof v.$kp&&ne.code==="ERROR_PROFILE_NOT_FOUND")await this.I(),ee=await W.scanExtensions(V);else throw ne}return ee=await this.J(ee,1,G,!0),this.y.trace("Scanned user extensions:",ee.length),ee}async scanExtensionsUnderDevelopment(G,Q){if(this.z.isExtensionDevelopment&&this.z.extensionDevelopmentLocationURI){const H=(await Promise.all(this.z.extensionDevelopmentLocationURI.filter(V=>V.scheme===P.Schemas.file).map(async V=>{const W=await this.P(V,!1,1,!0,G.language,!1,void 0);return(await this.n.scanOneOrMultipleExtensions(W)).map(ne=>(ne.type=Q.find(re=>(0,w.$qo)(re.identifier,ne.identifier))?.type??ne.type,this.n.validate(ne,W)))}))).flat();return this.J(H,"development",G,!0)}return[]}async scanExistingExtension(G,Q,H){const V=await this.P(G,!1,Q,!0,H.language,!0,void 0),W=await this.n.scanExtension(V);return!W||!H.includeInvalid&&!W.isValid?null:W}async scanOneOrMultipleExtensions(G,Q,H){const V=await this.P(G,!1,Q,!0,H.language,!0,void 0),W=await this.n.scanOneOrMultipleExtensions(V);return this.J(W,Q,H,!0)}async scanMetadata(G){const Q=(0,c.$sg)(G,"package.json"),H=(await this.w.readFile(Q)).value.toString();return JSON.parse(H).__metadata}async updateMetadata(G,Q){const H=(0,c.$sg)(G,"package.json"),V=(await this.w.readFile(H)).value.toString(),W=JSON.parse(V);Q.isMachineScoped=Q.isMachineScoped||void 0,Q.isBuiltin=Q.isBuiltin||void 0,W.__metadata={...W.__metadata,...Q},await this.w.writeFile((0,c.$sg)(G,"package.json"),A.$_d.fromString(JSON.stringify(W,null,"	")))}async initializeDefaultProfileExtensions(){try{await this.u.scanProfileExtensions(this.t.defaultProfile.extensionsResource,{bailOutWhenFileNotFound:!0})}catch(G){if(G instanceof v.$kp&&G.code==="ERROR_PROFILE_NOT_FOUND")await this.I();else throw G}}async I(){return this.H||(this.H=(async()=>{try{this.y.info("Started initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString());const G=await this.scanUserExtensions({includeInvalid:!0});if(G.length)await this.u.addExtensionsToProfile(G.map(Q=>[Q,Q.metadata]),this.t.defaultProfile.extensionsResource);else try{await this.w.createFile(this.t.defaultProfile.extensionsResource,A.$_d.fromString(JSON.stringify([])))}catch(Q){(0,a.$kk)(Q)!==1&&this.y.warn("Failed to create default profile extensions manifest in extensions installation folder.",this.userExtensionsLocation.toString(),(0,D.$8)(Q))}this.y.info("Completed initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString())}catch(G){this.y.error(G)}finally{this.H=void 0}})()),this.H}async J(G,Q,H,V){return H.includeAllVersions||(G=this.L(Q===0?G:void 0,Q===1?G:void 0,Q==="development"?G:void 0,await this.getTargetPlatform(),V)),H.includeInvalid||(G=G.filter(W=>W.isValid)),G.sort((W,ee)=>{const ne=E.$lc(W.location.fsPath),re=E.$lc(ee.location.fsPath);return ne<re?-1:ne>re?1:0})}L(G,Q,H,V,W){const ee=(re,X,B)=>{if(re.isValid&&!X.isValid)return!1;if(re.isValid===X.isValid){if(W&&$.gt(re.manifest.version,X.manifest.version))return this.y.debug(`Skipping extension ${X.location.path} with lower version ${X.manifest.version} in favour of ${re.location.path} with version ${re.manifest.version}`),!1;if($.eq(re.manifest.version,X.manifest.version)){if(re.type===0)return this.y.debug(`Skipping extension ${X.location.path} in favour of system extension ${re.location.path} with same version`),!1;if(re.targetPlatform===V)return this.y.debug(`Skipping extension ${X.location.path} from different target platform ${X.targetPlatform}`),!1}}return B?this.y.warn(`Overwriting user extension ${re.location.path} with ${X.location.path}.`):this.y.debug(`Overwriting user extension ${re.location.path} with ${X.location.path}.`),!0},ne=new S.$Yl;return G?.forEach(re=>{const X=ne.get(re.identifier.id);(!X||ee(X,re,!1))&&ne.set(re.identifier.id,re)}),Q?.forEach(re=>{const X=ne.get(re.identifier.id);if(!X&&G&&re.type===0){this.y.debug(`Skipping obsolete system extension ${re.location.path}.`);return}(!X||ee(X,re,!1))&&ne.set(re.identifier.id,re)}),H?.forEach(re=>{const X=ne.get(re.identifier.id);(!X||ee(X,re,!0))&&ne.set(re.identifier.id,re),ne.set(re.identifier.id,re)}),[...ne.values()]}async M(G,Q){this.y.trace("Started scanning system extensions");const H=await this.P(this.systemExtensionsLocation,!1,0,!0,Q,!0,void 0),W=await(G&&!H.devMode?this.j:this.n).scanExtensions(H);return this.y.trace("Scanned system extensions:",W.length),W}async N(G,Q){const H=this.z.isBuilt?[]:this.C.builtInExtensions;if(!H?.length)return[];this.y.trace("Started scanning dev system extensions");const V=Q?await this.O():{},W=[],ee=u.URI.file(E.$fc(E.$hc(P.$_f.asFileUri("").fsPath,"..",".build","builtInExtensions")));for(const re of H){const X=V[re.name]||"marketplace";switch(X){case"disabled":break;case"marketplace":W.push((0,c.$sg)(ee,re.name));break;default:W.push(u.URI.file(X));break}}const ne=await Promise.all(W.map(async re=>this.n.scanExtension(await this.P(re,!1,0,!0,G,!0,void 0))));return this.y.trace("Scanned dev system extensions:",ne.length),(0,O.$Fb)(ne)}async O(){try{const G=await this.w.readFile(this.r);return JSON.parse(G.value.toString())}catch{return{}}}async P(G,Q,H,V,W,ee,ne){const re=await this.f(W??m.$v),X=await this.Q(G),B=Q&&!this.D.extUri.isEqual(G,this.t.defaultProfile.extensionsResource)?this.t.defaultProfile.extensionsResource:void 0,k=B?await this.Q(B):void 0;return new T(G,X,B,k,Q,ne,H,V,ee,this.C.version,this.C.date,this.C.commit,!this.z.isBuilt,W,re)}async Q(G){try{const Q=await this.w.stat(G);if(typeof Q.mtime=="number")return Q.mtime}catch{}}};e.$qp=F,e.$qp=F=ye([x(4,p.$Fk),x(5,v.$lp),x(6,a.$7j),x(7,s.$6i),x(8,h.$Sh),x(9,i.$lj),x(10,f.$Dk),x(11,n.$Kh)],F);class T{constructor(G,Q,H,V,W,ee,ne,re,X,B,k,R,q,M,J){this.location=G,this.mtime=Q,this.applicationExtensionslocation=H,this.applicationExtensionslocationMtime=V,this.profile=W,this.profileScanOptions=ee,this.type=ne,this.excludeObsolete=re,this.validate=X,this.productVersion=B,this.productDate=k,this.productCommit=R,this.devMode=q,this.language=M,this.translations=J}static createNlsConfiguration(G){return{language:G.language,pseudo:G.language==="pseudo",devMode:G.devMode,translations:G.translations}}static equals(G,Q){return(0,c.$lg)(G.location,Q.location)&&G.mtime===Q.mtime&&(0,c.$lg)(G.applicationExtensionslocation,Q.applicationExtensionslocation)&&G.applicationExtensionslocationMtime===Q.applicationExtensionslocationMtime&&G.profile===Q.profile&&j.$1m(G.profileScanOptions,Q.profileScanOptions)&&G.type===Q.type&&G.excludeObsolete===Q.excludeObsolete&&G.validate===Q.validate&&G.productVersion===Q.productVersion&&G.productDate===Q.productDate&&G.productCommit===Q.productCommit&&G.devMode===Q.devMode&&G.language===Q.language&&L.equals(G.translations,Q.translations)}}e.$rp=T;let z=class extends g.$Qc{constructor(G,Q,H,V,W){super(),this.f=G,this.g=Q,this.h=H,this.j=V,this.m=W}async scanExtensions(G){const Q=G.profile?await this.r(G):await this.n(G);let H={};if(G.excludeObsolete&&G.type===1)try{const V=(await this.j.readFile(this.f)).value.toString();H=JSON.parse(V)}catch{}return(0,d.$Jf)(H)?Q:Q.filter(V=>!H[w.$ro.create(V).toString()])}async n(G){const Q=await this.j.resolve(G.location);if(!Q.children?.length)return[];const H=await Promise.all(Q.children.map(async V=>{if(!V.isDirectory||G.type===1&&(0,c.$pg)(V.resource).indexOf(".")===0)return null;const W=new T(V.resource,G.mtime,G.applicationExtensionslocation,G.applicationExtensionslocationMtime,G.profile,G.profileScanOptions,G.type,G.excludeObsolete,G.validate,G.productVersion,G.productDate,G.productCommit,G.devMode,G.language,G.translations);return this.scanExtension(W)}));return(0,O.$Fb)(H).sort((V,W)=>V.location.path<W.location.path?-1:1)}async r(G){let Q=await this.s(G.location,()=>!0,G);if(G.applicationExtensionslocation&&!this.h.extUri.isEqual(G.location,G.applicationExtensionslocation)){Q=Q.filter(V=>!V.metadata?.isApplicationScoped);const H=await this.s(G.applicationExtensionslocation,V=>!!V.metadata?.isBuiltin||!!V.metadata?.isApplicationScoped,G);Q.push(...H)}return Q}async s(G,Q,H){const V=await this.g.scanProfileExtensions(G,H.profileScanOptions);if(!V.length)return[];const W=await Promise.all(V.map(async ee=>{if(Q(ee)){const ne=new T(ee.location,H.mtime,H.applicationExtensionslocation,H.applicationExtensionslocationMtime,H.profile,H.profileScanOptions,H.type,H.excludeObsolete,H.validate,H.productVersion,H.productDate,H.productCommit,H.devMode,H.language,H.translations);return this.scanExtension(ne,ee.metadata)}return null}));return(0,O.$Fb)(W)}async scanOneOrMultipleExtensions(G){try{if(await this.j.exists((0,c.$sg)(G.location,"package.json"))){const Q=await this.scanExtension(G);return Q?[Q]:[]}else return await this.scanExtensions(G)}catch(Q){return this.m.error(`Error scanning extensions at ${G.location.path}:`,(0,D.$8)(Q)),[]}}async scanExtension(G,Q){try{let H=await this.scanExtensionManifest(G.location);if(H){H.publisher||(H.publisher=S.$Sl),Q=Q??H.__metadata,delete H.__metadata;const V=(0,w.$vo)(H.publisher,H.name),W=Q?.id?{id:V,uuid:Q.id}:{id:V},ee=Q?.isSystem?0:G.type,ne=ee===0||!!Q?.isBuiltin;H=await this.t(G.location,H,T.createNlsConfiguration(G));const re={type:ee,identifier:W,manifest:H,location:G.location,isBuiltin:ne,targetPlatform:Q?.targetPlatform??"undefined",metadata:Q,isValid:!0,validations:[]};return G.validate?this.validate(re,G):re}}catch(H){G.type!==0&&this.m.error(H)}return null}validate(G,Q){let H=!0;const V=(0,t.$Go)(Q.productVersion,Q.productDate,Q.location,G.manifest,G.isBuiltin);for(const[W,ee]of V)W===y.default.Error&&(H=!1,this.m.error(this.z(Q.location,ee)));return G.isValid=H,G.validations=V,G}async scanExtensionManifest(G){const Q=(0,c.$sg)(G,"package.json");let H;try{H=(await this.j.readFile(Q)).value.toString()}catch(W){return(0,a.$kk)(W)!==1&&this.m.error(this.z(G,(0,l.localize)(0,null,Q.path,W.message))),null}let V;try{V=JSON.parse(H)}catch{const ee=[];(0,I.$Mm)(H,ee);for(const ne of ee)this.m.error(this.z(G,(0,l.localize)(1,null,Q.path,ne.offset,ne.length,(0,C.$np)(ne.error))));return null}return(0,I.$Vm)(V)!=="object"?(this.m.error(this.z(G,(0,l.localize)(2,null,Q.path))),null):V}async t(G,Q,H){const V=await this.u(G,Q,H);if(V)try{const W=[],ee=await this.w(V.default,W);if(W.length>0)return W.forEach(re=>{this.m.error(this.z(G,(0,l.localize)(3,null,V.default?.path,(0,C.$np)(re.error))))}),Q;if((0,I.$Vm)(V)!=="object")return this.m.error(this.z(G,(0,l.localize)(4,null,V.default?.path))),Q;const ne=V.values||Object.create(null);return(0,b.$op)(this.m,Q,ne,ee)}catch{}return Q}async u(G,Q,H){const V=(0,c.$sg)(G,"package.nls.json"),W=(X,B)=>{B.forEach(k=>{this.m.error(this.z(G,(0,l.localize)(5,null,X?.path,(0,C.$np)(k.error))))})},ee=X=>{this.m.error(this.z(G,(0,l.localize)(6,null,X?.path)))},ne=`${Q.publisher}.${Q.name}`,re=H.translations[ne];if(re)try{const X=u.URI.file(re),B=(await this.j.readFile(X)).value.toString(),k=[],R=(0,I.$Mm)(B,k);return k.length>0?(W(X,k),{values:void 0,default:V}):(0,I.$Vm)(R)!=="object"?(ee(X),{values:void 0,default:V}):{values:R.contents?R.contents.package:void 0,default:V}}catch{return{values:void 0,default:V}}else{if(!await this.j.exists(V))return;let B;try{B=await this.y(G,H)}catch{return}if(!B.localized)return{values:void 0,default:B.original};try{const k=(await this.j.readFile(B.localized)).value.toString(),R=[],q=(0,I.$Mm)(k,R);return R.length>0?(W(B.localized,R),{values:void 0,default:B.original}):(0,I.$Vm)(q)!=="object"?(ee(B.localized),{values:void 0,default:B.original}):{values:q,default:B.original}}catch{return{values:void 0,default:B.original}}}}async w(G,Q){if(G)try{const H=(await this.j.readFile(G)).value.toString();return(0,I.$Mm)(H,Q)}catch{}}y(G,Q){return new Promise((H,V)=>{const W=ee=>{const ne=(0,c.$sg)(G,`package.nls.${ee}.json`);this.j.exists(ne).then(re=>{re&&H({localized:ne,original:(0,c.$sg)(G,"package.nls.json")});const X=ee.lastIndexOf("-");X===-1?H({localized:(0,c.$sg)(G,"package.nls.json"),original:null}):(ee=ee.substring(0,X),W(ee))})};if(Q.devMode||Q.pseudo||!Q.language)return H({localized:(0,c.$sg)(G,"package.nls.json"),original:null});W(Q.language)})}z(G,Q){return`[${G.path}]: ${Q}`}};z=ye([x(1,v.$lp),x(2,f.$Dk),x(3,a.$7j),x(4,s.$6i)],z);let U=class extends z{constructor(G,Q,H,V,W,ee,ne){super(Q,V,W,ee,ne),this.G=G,this.H=H,this.D=this.B(new N.$Og(3e3)),this.F=this.B(new r.$Ld),this.onDidChangeCache=this.F.event}async scanExtensions(G){const Q=this.M(G),H=await this.I(Q);if(this.C=G,H&&H.input&&T.equals(H.input,this.C))return this.m.debug("Using cached extensions scan result",G.location.toString()),this.D.trigger(()=>this.L()),H.result.map(W=>(W.location=u.URI.revive(W.location),W));const V=await super.scanExtensions(G);return await this.J(Q,{input:G,result:V}),V}async I(G){try{const Q=await this.j.readFile(G),H=JSON.parse(Q.value.toString());return{result:H.result,input:(0,o.$ih)(H.input)}}catch(Q){this.m.debug("Error while reading the extension cache file:",G.path,(0,D.$8)(Q))}return null}async J(G,Q){try{await this.j.writeFile(G,A.$_d.fromString(JSON.stringify(Q)))}catch(H){this.m.debug("Error while writing the extension cache file:",G.path,(0,D.$8)(H))}}async L(){if(!this.C)return;const G=this.M(this.C),Q=await this.I(G);if(!Q)return;const H=Q.result,V=JSON.parse(JSON.stringify(await super.scanExtensions(this.C)));if(!j.$1m(V,H))try{this.m.info("Invalidating Cache",H,V),await this.j.del(G),this.F.fire()}catch(W){this.m.error(W)}}M(G){const Q=this.N(G);return this.h.extUri.joinPath(Q.cacheHome,G.type===0?S.$Rl:S.$Ql)}N(G){return G.type===0?this.H.defaultProfile:G.profile?this.h.extUri.isEqual(G.location,this.G.extensionsResource)?this.G:this.H.profiles.find(Q=>this.h.extUri.isEqual(G.location,Q.extensionsResource))??this.G:this.H.defaultProfile}};U=ye([x(2,p.$Fk),x(3,v.$lp),x(4,f.$Dk),x(5,a.$7j),x(6,s.$6i)],U);function _(Z,G){const Q=(0,w.$to)(Z.manifest.publisher,Z.manifest.name);return{id:Q,identifier:new S.$Wl(Q),isBuiltin:Z.type===0,isUserBuiltin:Z.type===1&&Z.isBuiltin,isUnderDevelopment:G,extensionLocation:Z.location,uuid:Z.identifier.uuid,targetPlatform:Z.targetPlatform,...Z.manifest}}e.$sp=_;class K extends F{constructor(G,Q,H,V,W,ee,ne,re,X,B,k,R){super(G,Q,(0,c.$sg)(H,".vscode-oss-dev","extensions","control.json"),V,W,ee,ne,re,X,B,k,R),this.R=(async()=>{if(m.$y)try{const q=await this.w.readFile(u.URI.file(m.$y));return JSON.parse(q.value.toString())}catch{}return Object.create(null)})()}f(G){return this.R}}e.$tp=K}),define(oe[244],ae([0,1,64,5,38,3,2,23,16,31,7,17]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vp=void 0;let m=class extends D.$Qc{constructor($,y){super(),this.b=$,this.f=y,this.a=new N.$Wg(5)}async postUninstall($){const y=this.g($,"uninstall");y&&(this.f.info($.identifier.id,$.manifest.version,"Running post uninstall script"),await this.a.queue(async()=>{try{await this.h(y.script,"uninstall",y.args,!0,$),this.f.info("Finished running post uninstall script",$.identifier.id,$.manifest.version)}catch(d){this.f.error("Failed to run post uninstall script",$.identifier.id,$.manifest.version),this.f.error(d)}}));try{await g.Promises.rm(this.m($))}catch(d){this.f.error("Error while removing extension storage path",$.identifier.id),this.f.error(d)}}g($,y){const d=`vscode:${y}`;if($.location.scheme===I.Schemas.file&&$.manifest&&$.manifest.scripts&&typeof $.manifest.scripts[d]=="string"){const u=$.manifest.scripts[d].split(" ");return u.length<2||u[0]!=="node"||!u[1]?(this.f.warn($.identifier.id,$.manifest.version,`${d} should be a node script`),null):{script:(0,C.$hc)($.location.fsPath,u[1]),args:u.slice(2)||[]}}return null}h($,y,d,u,l){return new Promise((h,w)=>{const S=this.j($,y,d,l);let t;const a=n=>{t&&(clearTimeout(t),t=null),n?w(n):h(void 0)};S.on("error",n=>{a((0,j.$wi)(n)||"Unknown")}),S.on("exit",(n,s)=>{a(n?`post-${y} process exited with code ${n}`:void 0)}),u&&(t=setTimeout(()=>{t=null,S.kill(),w("timed out")},5e3))})}j($,y,d,u){const l={silent:!0,execArgv:void 0},h=(0,O.fork)($,[`--type=extension-post-${y}`,...d],l);h.stdout.setEncoding("utf8"),h.stderr.setEncoding("utf8");const w=A.Event.fromNodeEventEmitter(h.stdout,"data"),S=A.Event.fromNodeEventEmitter(h.stderr,"data");w(n=>this.f.info(u.identifier.id,u.manifest.version,`post-${y}`,n)),S(n=>this.f.error(u.identifier.id,u.manifest.version,`post-${y}`,n));const t=A.Event.any(A.Event.map(w,n=>({data:`%c${n}`,format:[""]})),A.Event.map(S,n=>({data:`%c${n}`,format:["color: red"]})));return A.Event.debounce(t,(n,s)=>n?{data:n.data+s.data,format:[...n.format,...s.format]}:{data:s.data,format:s.format},100)(n=>{console.group(u.identifier.id),console.log(n.data,...n.format),console.groupEnd()}),h}m($){return(0,C.$hc)(this.b.defaultProfile.globalStorageHome.fsPath,$.identifier.id.toLowerCase())}};e.$vp=m,e.$vp=m=ye([x(0,E.$Fk),x(1,P.$6i)],m)}),define(oe[245],ae([0,1,7,17,28,22,50,11,14,10]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sN=void 0;let P=class extends D.$mp{constructor(m,c,$,y,d,u){super(g.URI.file(m.extensionsPath),c,$,y,d,u)}};e.$sN=P,e.$sN=P=ye([x(0,C.$Th),x(1,I.$7j),x(2,N.$Fk),x(3,j.$Dk),x(4,A.$0k),x(5,O.$6i)],P)}),define(oe[246],ae([0,1,10,14,50,79,11,4,7,24,28,17]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$l7b=void 0;let m=class extends A.$tp{constructor($,y,d,u,l,h,w,S){super(O.URI.file(l.builtinExtensionsPath),O.URI.file(l.extensionsPath),l.userHome,$.defaultProfile,$,y,d,u,l,h,w,S)}};e.$l7b=m,e.$l7b=m=ye([x(0,E.$Fk),x(1,j.$lp),x(2,D.$7j),x(3,C.$6i),x(4,N.$Th),x(5,g.$lj),x(6,P.$Dk),x(7,I.$Kh)],m)}),define(oe[20],ae([0,1,5,3,2,100,12,66,4,17]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2o=e.$1o=e.$Zo=e.$Yo=e.$Xo=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.$Wo=e.$Vo=e.$Uo=void 0,e.$Uo="__$__isNewStorageMarker",e.$Vo="__$__targetStorageMarker",e.$Wo=(0,C.$Lh)("storageService");var P;(function(l){l[l.NONE=0]="NONE",l[l.SHUTDOWN=1]="SHUTDOWN"})(P||(e.WillSaveStateReason=P={}));var E;(function(l){l[l.APPLICATION=-1]="APPLICATION",l[l.PROFILE=0]="PROFILE",l[l.WORKSPACE=1]="WORKSPACE"})(E||(e.StorageScope=E={}));var m;(function(l){l[l.USER=0]="USER",l[l.MACHINE=1]="MACHINE"})(m||(e.StorageTarget=m={}));function c(l){const h=l.get(e.$Vo);if(h)try{return JSON.parse(h)}catch{}return Object.create(null)}e.$Xo=c;class $ extends j.$Qc{static{this.a=60*1e3}constructor(h={flushInterval:$.a}){super(),this.m=h,this.b=this.B(new N.$Od),this.c=this.B(new N.$Od),this.onDidChangeTarget=this.c.event,this.f=this.B(new N.$Ld),this.onWillSaveState=this.f.event,this.h=this.B(new O.$3g(()=>this.n(),this.m.flushInterval)),this.j=this.B(new j.$Rc),this.C=void 0,this.F=void 0,this.H=void 0}onDidChangeValue(h,w,S){return N.Event.filter(this.b.event,t=>t.scope===h&&(w===void 0||t.key===w),S)}n(){this.j.value=(0,O.$7g)(()=>{this.r()&&this.flush(),this.h.schedule()})}r(){return!0}t(){(0,j.$Lc)([this.j,this.h])}initialize(){return this.g||(this.g=(async()=>{(0,A.mark)("code/willInitStorage");try{await this.O()}finally{(0,A.mark)("code/didInitStorage")}this.h.schedule()})()),this.g}u(h,w){const{key:S,external:t}=w;if(S===e.$Vo){switch(h){case-1:this.H=void 0;break;case 0:this.F=void 0;break;case 1:this.C=void 0;break}this.c.fire({scope:h})}else this.b.fire({scope:h,key:S,target:this.J(h)[S],external:t})}w(h){this.f.fire({reason:h})}get(h,w,S){return this.P(w)?.get(h,S)}getBoolean(h,w,S){return this.P(w)?.getBoolean(h,S)}getNumber(h,w,S){return this.P(w)?.getNumber(h,S)}getObject(h,w,S){return this.P(w)?.getObject(h,S)}storeAll(h,w){this.y(()=>{for(const S of h)this.store(S.key,S.value,S.scope,S.target,w)})}store(h,w,S,t,a=!1){if((0,D.$Ff)(w)){this.remove(h,S,a);return}this.y(()=>{this.z(h,S,t),this.P(S)?.set(h,w,a)})}remove(h,w,S=!1){this.y(()=>{this.z(h,w,void 0),this.P(w)?.delete(h,S)})}y(h){this.b.pause(),this.c.pause();try{h()}finally{this.b.resume(),this.c.resume()}}keys(h,w){const S=[],t=this.J(h);for(const a of Object.keys(t))t[a]===w&&S.push(a);return S}z(h,w,S,t=!1){const a=this.J(w);typeof S=="number"?a[h]!==S&&(a[h]=S,this.P(w)?.set(e.$Vo,JSON.stringify(a),t)):typeof a[h]=="number"&&(delete a[h],this.P(w)?.set(e.$Vo,JSON.stringify(a),t))}get D(){return this.C||(this.C=this.L(1)),this.C}get G(){return this.F||(this.F=this.L(0)),this.F}get I(){return this.H||(this.H=this.L(-1)),this.H}J(h){switch(h){case-1:return this.I;case 0:return this.G;default:return this.D}}L(h){const w=this.P(h);return w?c(w):Object.create(null)}isNew(h){return this.getBoolean(e.$Uo,h)===!0}async flush(h=P.NONE){this.f.fire({reason:h});const w=this.P(-1),S=this.P(0),t=this.P(1);switch(h){case P.NONE:await O.Promises.settled([w?.whenFlushed()??Promise.resolve(),S?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case P.SHUTDOWN:await O.Promises.settled([w?.flush(0)??Promise.resolve(),S?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const h=this.P(-1)?.items??new Map,w=this.P(0)?.items??new Map,S=this.P(1)?.items??new Map;return u(h,w,S,this.Q(-1)??"",this.Q(0)??"",this.Q(1)??"")}async optimize(h){return await this.flush(),this.P(h)?.optimize()}async switch(h,w){return this.w(P.NONE),(0,g.$Ek)(h)?this.R(h,w):this.S(h,w)}M(h,w){return!(h.id===w.id||y(w)&&y(h))}N(h,w,S){this.y(()=>{const t=new Set;for(const[a,n]of h)t.add(a),w.get(a)!==n&&this.u(S,{key:a,external:!0});for(const[a]of w.items)t.has(a)||this.u(S,{key:a,external:!0})})}}e.$Yo=$;function y(l){return l.isDefault||!!l.useDefaultFlags?.globalState}e.$Zo=y;class d extends ${constructor(){super(),this.U=this.B(new I.$So(new I.$To,{hint:I.StorageHint.STORAGE_IN_MEMORY})),this.W=this.B(new I.$So(new I.$To,{hint:I.StorageHint.STORAGE_IN_MEMORY})),this.X=this.B(new I.$So(new I.$To,{hint:I.StorageHint.STORAGE_IN_MEMORY})),this.B(this.X.onDidChangeStorage(h=>this.u(1,h))),this.B(this.W.onDidChangeStorage(h=>this.u(0,h))),this.B(this.U.onDidChangeStorage(h=>this.u(-1,h)))}P(h){switch(h){case-1:return this.U;case 0:return this.W;default:return this.X}}Q(h){switch(h){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async O(){}async R(){}async S(){}r(){return!1}hasScope(h){return!1}}e.$1o=d;async function u(l,h,w,S,t,a){const n=L=>{try{return JSON.parse(L)}catch{return L}},s=new Map,i=new Map;l.forEach((L,F)=>{s.set(F,L),i.set(F,n(L))});const r=new Map,o=new Map;h.forEach((L,F)=>{r.set(F,L),o.set(F,n(L))});const v=new Map,p=new Map;w.forEach((L,F)=>{v.set(F,L),p.set(F,n(L))}),console.group(S!==t?`Storage: Application (path: ${S})`:`Storage: Application & Profile (path: ${S}, default profile)`);const f=[];if(s.forEach((L,F)=>{f.push({key:F,value:L})}),console.table(f),console.groupEnd(),console.log(i),S!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const L=[];r.forEach((F,T)=>{L.push({key:T,value:F})}),console.table(L),console.groupEnd(),console.log(o)}console.group(`Storage: Workspace (path: ${a})`);const b=[];v.forEach((L,F)=>{b.push({key:F,value:L})}),console.table(b),console.groupEnd(),console.log(p)}e.$2o=u}),define(oe[114],ae([0,1,3,2,12,29,33,20]),function(te,e,O,N,j,A,D,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zzb=e.$Yzb=void 0;let C=class extends N.$Qc{constructor(E,m){super(),this.a=new O.$Ld,this.onDidChangeEnablement=this.a.event,this.b=this.B(new g(E)),this.B(this.b.onDidChange(c=>this.a.fire({extensions:c,source:"storage"}))),this.B(m.onDidInstallExtensions(c=>c.forEach(({local:$,operation:y})=>{$&&y===4&&this.f($.identifier)})))}async enableExtension(E,m){return this.f(E)?(this.a.fire({extensions:[E],source:m}),!0):!1}async disableExtension(E,m){return this.c(E)?(this.a.fire({extensions:[E],source:m}),!0):!1}getDisabledExtensions(){return this.h(A.$4n)}async getDisabledExtensionsAsync(){return this.getDisabledExtensions()}c(E){const m=this.getDisabledExtensions();return m.every(c=>!(0,D.$qo)(c,E))?(m.push(E),this.g(m),!0):!1}f(E){const m=this.getDisabledExtensions();for(let c=0;c<m.length;c++){const $=m[c];if((0,D.$qo)($,E))return m.splice(c,1),this.g(m),!0}return!1}g(E){this.j(A.$4n,E)}h(E){return this.b.get(E,0)}j(E,m){this.b.set(E,m,0)}};e.$Yzb=C,e.$Yzb=C=ye([x(0,I.$Wo),x(1,A.$3n)],C);class g extends N.$Qc{constructor(E){super(),this.c=E,this.a=Object.create(null),this.b=this.B(new O.$Ld),this.onDidChange=this.b.event,this.B(E.onDidChangeValue(0,void 0,this.B(new N.$Pc))(m=>this.f(m)))}get(E,m){let c;return m===0?((0,j.$Ff)(this.a[E])&&(this.a[E]=this.g(E,m)),c=this.a[E]):c=this.g(E,m),JSON.parse(c)}set(E,m,c){const $=JSON.stringify(m.map(({id:d,uuid:u})=>({id:d,uuid:u})));this.g(E,c)!==$&&(c===0&&(m.length?this.a[E]=$:delete this.a[E]),this.h(E,m.length?$:void 0,c))}f(E){if(!(0,j.$Ff)(this.a[E.key])&&this.g(E.key,E.scope)!==this.a[E.key]){const c=this.get(E.key,E.scope);delete this.a[E.key];const $=this.get(E.key,E.scope),y=c.filter(u=>!$.some(l=>(0,D.$qo)(u,l))),d=$.filter(u=>!c.some(l=>(0,D.$qo)(l,u)));(y.length||d.length)&&this.b.fire([...y,...d])}}g(E,m){return this.c.get(E,m,"[]")}h(E,m,c){m?this.c.store(E,m,c,1):this.c.remove(E,c)}}e.$Zzb=g}),define(oe[247],ae([0,1,18,26,8,6,37,12,10,19,14,29,33,67,11,7,24,57,224,20,22,60]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7o=e.$6o=e.$5o=void 0;const t=A.$o?"web":(0,E.$Vn)(A.$t,D.$cc),a="X-Market-Search-Activity-Id";var n;(function(k){k[k.None=0]="None",k[k.IncludeVersions=1]="IncludeVersions",k[k.IncludeFiles=2]="IncludeFiles",k[k.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",k[k.IncludeSharedAccounts=8]="IncludeSharedAccounts",k[k.IncludeVersionProperties=16]="IncludeVersionProperties",k[k.ExcludeNonValidated=32]="ExcludeNonValidated",k[k.IncludeInstallationTargets=64]="IncludeInstallationTargets",k[k.IncludeAssetUri=128]="IncludeAssetUri",k[k.IncludeStatistics=256]="IncludeStatistics",k[k.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",k[k.Unpublished=4096]="Unpublished",k[k.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(n||(n={}));function s(...k){return String(k.reduce((R,q)=>R|q,0))}var i;(function(k){k[k.Tag=1]="Tag",k[k.ExtensionId=4]="ExtensionId",k[k.Category=5]="Category",k[k.ExtensionName=7]="ExtensionName",k[k.Target=8]="Target",k[k.Featured=9]="Featured",k[k.SearchText=10]="SearchText",k[k.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const r={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source",Signature:"Microsoft.VisualStudio.Services.VsixSignature"},o={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink"},p={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:n.None,criteria:[],assetTypes:[]};class f{constructor(R=p){this.d=R}get pageNumber(){return this.d.pageNumber}get pageSize(){return this.d.pageSize}get sortBy(){return this.d.sortBy}get sortOrder(){return this.d.sortOrder}get flags(){return this.d.flags}get criteria(){return this.d.criteria}withPage(R,q=this.d.pageSize){return new f({...this.d,pageNumber:R,pageSize:q})}withFilter(R,...q){const M=[...this.d.criteria,...q.length?q.map(J=>({filterType:R,value:J})):[{filterType:R}]];return new f({...this.d,criteria:M})}withSortBy(R){return new f({...this.d,sortBy:R})}withSortOrder(R){return new f({...this.d,sortOrder:R})}withFlags(...R){return new f({...this.d,flags:R.reduce((q,M)=>q|M,0)})}withAssetTypes(...R){return new f({...this.d,assetTypes:R})}withSource(R){return new f({...this.d,source:R})}get raw(){const{criteria:R,pageNumber:q,pageSize:M,sortBy:J,sortOrder:Y,flags:se,assetTypes:le}=this.d;return{filters:[{criteria:R,pageNumber:q,pageSize:M,sortBy:J,sortOrder:Y}],assetTypes:le,flags:se}}get searchText(){const R=this.d.criteria.filter(q=>q.filterType===i.SearchText)[0];return R&&R.value?R.value:""}get telemetryData(){return{filterTypes:this.d.criteria.map(R=>String(R.filterType)),flags:this.d.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.d.source,searchTextLength:this.searchText.length}}}function b(k,R){const q=(k||[]).filter(M=>M.statisticName===R)[0];return q?q.value:0}function L(k){const R="Microsoft.VisualStudio.Code.Translation.";return k.files.filter(M=>M.assetType.indexOf(R)===0).reduce((M,J)=>{const Y=z(k,J.assetType);return Y&&M.push([J.assetType.substring(R.length),Y]),M},[])}function F(k){if(k.properties){const R=k.properties.filter(J=>J.key===r.Repository),q=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),M=R.filter(J=>q.test(J.value))[0];return M?{uri:M.value,fallbackUri:M.value}:null}return z(k,r.Repository)}function T(k){return{uri:`${k.fallbackAssetUri}/${r.VSIX}?redirect=true${k.targetPlatform?`&targetPlatform=${k.targetPlatform}`:""}`,fallbackUri:`${k.fallbackAssetUri}/${r.VSIX}${k.targetPlatform?`?targetPlatform=${k.targetPlatform}`:""}`}}function z(k,R){return k.files.filter(M=>M.assetType===R)[0]?{uri:`${k.assetUri}/${R}${k.targetPlatform?`?targetPlatform=${k.targetPlatform}`:""}`,fallbackUri:`${k.fallbackAssetUri}/${R}${k.targetPlatform?`?targetPlatform=${k.targetPlatform}`:""}`}:null}function U(k,R){const q=k.properties?k.properties.filter(J=>J.key===R):[],M=q.length>0&&q[0].value;return M?M.split(",").map(J=>(0,m.$uo)(J)):[]}function _(k){const R=k.properties?k.properties.filter(q=>q.key===o.Engine):[];return R.length>0&&R[0].value||""}function K(k){const R=k.properties?k.properties.filter(q=>q.key===o.PreRelease):[];return R.length>0&&R[0].value==="true"}function Z(k){const R=k.properties?k.properties.filter(M=>M.key===o.LocalizedLanguages):[],q=R.length>0&&R[0].value||"";return q?q.split(","):[]}function G(k){return k.properties?.find(R=>R.key===o.SponsorLink)?.value}function Q(k){return k.indexOf("preview")!==-1}function H(k){return k.targetPlatform?(0,E.$Un)(k.targetPlatform):"undefined"}function V(k){const R=(0,O.$Kb)(k.versions.map(H)),q=!!k.tags?.includes(E.$Pn),M=R.indexOf("web");return q?M===-1&&R.push("web"):M!==-1&&R.splice(M,1),R}function W(k,R){const q=(0,E.$Yn)(R);for(let M=0;M<k.length;M++){const J=k[M];if(J.version===k[M-1]?.version){let Y=M;const se=H(J);if(se===R)for(;Y>0&&k[Y-1].version===J.version;)Y--;else if(q.includes(se))for(;Y>0&&k[Y-1].version===J.version&&H(k[Y-1])!==R;)Y--;Y!==M&&(k.splice(M,1),k.splice(Y,0,J))}}return k}e.$5o=W;function ee(k,R,q){k.telemetryData={index:R,querySource:q,queryActivityId:k.queryContext?.[a]}}function ne(k,R,q,M){const J=k.versions[0],Y={manifest:z(R,r.Manifest),readme:z(R,r.Details),changelog:z(R,r.Changelog),license:z(R,r.License),repository:F(R),download:T(R),icon:z(R,r.Icon),signature:z(R,r.Signature),coreTranslations:L(R)};return{identifier:{id:(0,m.$vo)(k.publisher.publisherName,k.extensionName),uuid:k.extensionId},name:k.extensionName,version:R.version,displayName:k.displayName,publisherId:k.publisher.publisherId,publisher:k.publisher.publisherName,publisherDisplayName:k.publisher.displayName,publisherDomain:k.publisher.domain?{link:k.publisher.domain,verified:!!k.publisher.isDomainVerified}:void 0,publisherSponsorLink:G(J),description:k.shortDescription||"",installCount:b(k.statistics,"install"),rating:b(k.statistics,"averagerating"),ratingCount:b(k.statistics,"ratingcount"),categories:k.categories||[],tags:k.tags||[],releaseDate:Date.parse(k.releaseDate),lastUpdated:Date.parse(k.lastUpdated),allTargetPlatforms:q,assets:Y,properties:{dependencies:U(R,o.Dependency),extensionPack:U(R,o.ExtensionPack),engine:_(R),localizedLanguages:Z(R),targetPlatform:H(R),isPreReleaseVersion:K(R)},hasPreReleaseVersion:K(J),hasReleaseVersion:!0,preview:Q(k.flags),isSigned:!!Y.signature,queryContext:M}}let re=class{constructor(R,q,M,J,Y,se,le,ue){this.k=q,this.l=M,this.n=J,this.o=Y,this.q=se,this.u=le,this.w=ue;const he=le.extensionsGallery,$e=he?.servicePPEUrl&&ue.getValue("_extensionsGallery.enablePPE");this.d=$e?he.servicePPEUrl:he?.serviceUrl,this.g=$e?void 0:he?.searchUrl,this.h=he?.controlUrl,this.j=(0,l.$4o)(le.version,le,this.n,this.w,this.q,R,this.o)}x(R=""){return`${this.d}${R}`}isEnabled(){return!!this.d}async getExtensions(R,q,M){const J=N.CancellationToken.isCancellationToken(q)?{}:q,Y=N.CancellationToken.isCancellationToken(q)?q:M,se=[],le=[],ue=[],he=[];let $e=!0;for(const Ee of R){Ee.uuid?le.push(Ee.uuid):se.push(Ee.id);const Ie=!!(Ee.version||Ee.preRelease);ue.push({id:Ee.id,uuid:Ee.uuid,includePreRelease:Ie}),Ee.version&&he.push({id:Ee.id,uuid:Ee.uuid,version:Ee.version}),$e=$e&&!!Ee.hasPreRelease&&!Ie}if(!le.length&&!se.length)return[];let de=new f().withPage(1,R.length);le.length&&(de=de.withFilter(i.ExtensionId,...le)),se.length&&(de=de.withFilter(i.ExtensionName,...se)),(J.queryAllVersions||$e)&&(de=de.withFlags(de.flags,n.IncludeVersions)),J.source&&(de=de.withSource(J.source));const{extensions:we}=await this.z(de,{targetPlatform:J.targetPlatform??t,includePreRelease:ue,versions:he,compatible:!!J.compatible},Y);return J.source&&we.forEach((Ee,Ie)=>ee(Ee,Ie,J.source)),we}async getCompatibleExtension(R,q,M){if((0,E.$Wn)(R.allTargetPlatforms,M))return null;if(await this.isExtensionCompatible(R,q,M))return R;const J=new f().withFlags(n.IncludeVersions).withPage(1,1).withFilter(i.ExtensionId,R.identifier.uuid),{extensions:Y}=await this.z(J,{targetPlatform:M,compatible:!0,includePreRelease:q},N.CancellationToken.None);return Y[0]||null}async isExtensionCompatible(R,q,M){if(!(0,E.$Xn)(R.properties.targetPlatform,R.allTargetPlatforms,M)||!q&&R.properties.isPreReleaseVersion)return!1;let J=R.properties.engine;if(!J){const Y=await this.getManifest(R,N.CancellationToken.None);if(!Y)throw new Error("Manifest was not found");J=Y.engines.vscode}return(0,c.$Io)(J,this.u.version,this.u.date)}async y(R,q,M,J,Y){if(!(0,E.$Xn)(H(R),J,Y)||q!=="any"&&K(R)!==(q==="prerelease"))return!1;if(M)try{const se=await this.E(R);if(!(0,c.$Io)(se,this.u.version,this.u.date))return!1}catch(se){return this.l.error(`Error while getting the engine for the version ${R.version}.`,(0,j.$8)(se)),!1}return!0}async query(R,q){let M=R.text||"";const J=R.pageSize??50;let Y=new f().withPage(1,J);M?(M=M.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,($e,de,we)=>(Y=Y.withFilter(i.Category,we||de),"")),M=M.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,($e,de,we)=>(Y=Y.withFilter(i.Tag,we||de),"")),M=M.replace(/\bfeatured(\s+|\b|$)/g,()=>(Y=Y.withFilter(i.Featured),"")),M=M.trim(),M&&(M=M.length<200?M:M.substring(0,200),Y=Y.withFilter(i.SearchText,M)),Y=Y.withSortBy(0)):R.ids?Y=Y.withFilter(i.ExtensionId,...R.ids):R.names?Y=Y.withFilter(i.ExtensionName,...R.names):Y=Y.withSortBy(4),typeof R.sortBy=="number"&&(Y=Y.withSortBy(R.sortBy)),typeof R.sortOrder=="number"&&(Y=Y.withSortOrder(R.sortOrder)),R.source&&(Y=Y.withSource(R.source));const se=async($e,de)=>{const{extensions:we,total:Ee}=await this.z($e,{targetPlatform:t,compatible:!1,includePreRelease:!!R.includePreRelease},de);return we.forEach((Ie,Ne)=>ee(Ie,($e.pageNumber-1)*$e.pageSize+Ne,R.source)),{extensions:we,total:Ee}},{extensions:le,total:ue}=await se(Y,q),he=async($e,de)=>{if(de.isCancellationRequested)throw new j.$3;const{extensions:we}=await se(Y.withPage($e+1),de);return we};return{firstPage:le,total:ue,pageSize:Y.pageSize,getPage:he}}async z(R,q,M){const J=R.flags;R.flags&n.IncludeLatestVersionOnly&&R.flags&n.IncludeVersions&&(R=R.withFlags(R.flags&~n.IncludeVersions,n.IncludeLatestVersionOnly)),!(R.flags&n.IncludeLatestVersionOnly)&&!(R.flags&n.IncludeVersions)&&(R=R.withFlags(R.flags,n.IncludeLatestVersionOnly)),q.versions?.length&&(R=R.withFlags(R.flags&~n.IncludeLatestVersionOnly,n.IncludeVersions)),R=R.withFlags(R.flags,n.IncludeAssetUri,n.IncludeCategoryAndTags,n.IncludeFiles,n.IncludeStatistics,n.IncludeVersionProperties);const{galleryExtensions:Y,total:se,context:le}=await this.B(R,M);if(!(R.flags&n.IncludeLatestVersionOnly)){const de=[];for(const we of Y){const Ee=await this.A(we,q,le);Ee&&de.push(Ee)}return{extensions:de,total:se}}const he=[],$e=new Map;for(let de=0;de<Y.length;de++){const we=Y[de],Ee={id:(0,m.$vo)(we.publisher.publisherName,we.extensionName),uuid:we.extensionId},Ie=(0,I.$Cf)(q.includePreRelease)?q.includePreRelease:!!q.includePreRelease.find(Te=>(0,m.$qo)(Te,Ee))?.includePreRelease;if(q.compatible&&(0,E.$Wn)(V(we),q.targetPlatform))continue;const Ne=await this.A(we,q,le);!Ne||Ne.properties.isPreReleaseVersion&&(!Ie||!Ne.hasReleaseVersion)||!Ne.properties.isPreReleaseVersion&&Ne.properties.targetPlatform!==q.targetPlatform&&Ne.hasPreReleaseVersion?$e.set(we.extensionId,de):he.push([de,Ne])}if($e.size){const de=new S.$Hd,we=new f().withFlags(J&~n.IncludeLatestVersionOnly,n.IncludeVersions).withPage(1,$e.size).withFilter(i.ExtensionId,...$e.keys()),{extensions:Ee}=await this.z(we,q,M);this.o.publicLog2("galleryService:additionalQuery",{duration:de.elapsed(),count:$e.size});for(const Ie of Ee){const Ne=$e.get(Ie.identifier.uuid);he.push([Ne,Ie])}}return{extensions:he.sort((de,we)=>de[0]-we[0]).map(([,de])=>de),total:se}}async A(R,q,M){const J={id:(0,m.$vo)(R.publisher.publisherName,R.extensionName),uuid:R.extensionId},Y=q.versions?.find(he=>(0,m.$qo)(he,J))?.version,se=(0,I.$Cf)(q.includePreRelease)?q.includePreRelease:!!q.includePreRelease.find(he=>(0,m.$qo)(he,J))?.includePreRelease,le=V(R),ue=W(R.versions,q.targetPlatform);if(q.compatible&&(0,E.$Wn)(le,q.targetPlatform))return null;for(let he=0;he<ue.length;he++){const $e=ue[he];if(!(Y&&$e.version!==Y)){if(await this.y($e,se?"any":"release",q.compatible,le,q.targetPlatform))return ne(R,$e,le,M);if(Y&&$e.version===Y)return null}}return Y||q.compatible?null:ne(R,R.versions[0],le)}async B(R,q){if(!this.isEnabled())throw new Error("No extension gallery service configured.");R=R.withFlags(R.flags,n.ExcludeNonValidated).withFilter(i.Target,"Microsoft.VisualStudio.Code").withFilter(i.ExcludeWithFlags,s(n.Unpublished));const M=await this.j,J=JSON.stringify(R.raw),Y={...M,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(J.length)},se=new S.$Hd;let le,ue,he=0;try{if(le=await this.k.request({type:"POST",url:this.g&&R.criteria.some(de=>de.filterType===i.SearchText)?this.g:this.x("/extensionquery"),data:J,headers:Y},q),le.res.statusCode&&le.res.statusCode>=400&&le.res.statusCode<500)return{galleryExtensions:[],total:he};const $e=await(0,u.$Po)(le);if($e){const de=$e.results[0],we=de.extensions,Ee=de.resultMetadata&&de.resultMetadata.filter(Ie=>Ie.metadataType==="ResultCount")[0];return he=Ee&&Ee.metadataItems.filter(Ie=>Ie.name==="TotalCount")[0].count||0,{galleryExtensions:we,total:he,context:{[a]:le.res.headers.activityid}}}return{galleryExtensions:[],total:he}}catch($e){throw ue=$e,$e}finally{this.o.publicLog2("galleryService:query",{...R.telemetryData,requestBodySize:String(J.length),duration:se.elapsed(),success:!!le&&(0,u.$Lo)(le),responseBodySize:le?.res.headers["Content-Length"],statusCode:le?String(le.res.statusCode):void 0,errorCode:ue?(0,j.$2)(ue)?"canceled":(0,j.$8)(ue).startsWith("XHR timeout")?"timeout":"failed":void 0,count:String(he)})}}async reportStatistic(R,q,M,J){if(!this.isEnabled())return;const Y=A.$o?this.x(`/itemName/${R}.${q}/version/${M}/statType/${J==="install"?"1":"3"}/vscodewebextension`):this.x(`/publishers/${R}/extensions/${q}/${M}/stats?statType=${J}`),se=A.$o?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",ue={...await this.j,Accept:se};try{await this.k.request({type:"POST",url:Y,headers:ue},N.CancellationToken.None)}catch{}}async download(R,q,M){this.l.trace("ExtensionGalleryService#download",R.identifier.id);const J=(0,m.$yo)(R),Y=new Date().getTime(),se=de=>this.o.publicLog("galleryService:downloadVSIX",{...J,duration:de}),le=M===2?"install":M===3?"update":"",ue=le?{uri:`${R.assets.download.uri}${C.URI.parse(R.assets.download.uri).query?"&":"?"}${le}=true`,fallbackUri:`${R.assets.download.fallbackUri}${C.URI.parse(R.assets.download.fallbackUri).query?"&":"?"}${le}=true`}:R.assets.download,he=R.queryContext?.[a]?{[a]:R.queryContext[a]}:void 0,$e=await this.D(ue,he?{headers:he}:void 0);await this.q.writeFile(q,$e.stream),se(new Date().getTime()-Y)}async downloadSignatureArchive(R,q){if(!R.assets.signature)throw new Error("No signature asset found");this.l.trace("ExtensionGalleryService#downloadSignatureArchive",R.identifier.id);const M=await this.D(R.assets.signature);await this.q.writeFile(q,M.stream)}async getReadme(R,q){if(R.assets.readme){const M=await this.D(R.assets.readme,{},q);return await(0,u.$Oo)(M)||""}return""}async getManifest(R,q){if(R.assets.manifest){const M=await this.D(R.assets.manifest,{},q),J=await(0,u.$Oo)(M);return J?JSON.parse(J):null}return null}async C(R,q){const M=z(R,r.Manifest);if(!M)throw new Error("Manifest was not found");const J={"Accept-Encoding":"gzip"},Y=await this.D(M,{headers:J});return await(0,u.$Po)(Y)}async getCoreTranslation(R,q){const M=R.assets.coreTranslations.filter(J=>J[0]===q.toUpperCase())[0];if(M){const J=await this.D(M[1]),Y=await(0,u.$Oo)(J);return Y?JSON.parse(Y):null}return null}async getChangelog(R,q){if(R.assets.changelog){const M=await this.D(R.assets.changelog,{},q);return await(0,u.$Oo)(M)||""}return""}async getAllCompatibleVersions(R,q,M){let J=new f().withFlags(n.IncludeVersions,n.IncludeCategoryAndTags,n.IncludeFiles,n.IncludeVersionProperties).withPage(1,1);R.identifier.uuid?J=J.withFilter(i.ExtensionId,R.identifier.uuid):J=J.withFilter(i.ExtensionName,R.identifier.id);const{galleryExtensions:Y}=await this.B(J,N.CancellationToken.None);if(!Y.length)return[];const se=V(Y[0]);if((0,E.$Wn)(se,M))return[];const le=[];await Promise.all(Y[0].versions.map(async $e=>{try{await this.y($e,q?"any":"release",!0,se,M)&&le.push($e)}catch{}}));const ue=[],he=new Set;for(const $e of W(le,M))he.has($e.version)||(he.add($e.version),ue.push({version:$e.version,date:$e.lastUpdated,isPreReleaseVersion:K($e)}));return ue}async D(R,q={},M=N.CancellationToken.None){const J=await this.j,Y={type:"GET"},se={...J,...q.headers||{}};q={...q,...Y,headers:se};const le=R.uri,ue=R.fallbackUri,he={...q,url:le};try{const $e=await this.k.request(he,M);if($e.res.statusCode===200)return $e;const de=await(0,u.$Oo)($e);throw new Error(`Expected 200, got back ${$e.res.statusCode} instead.

${de}`)}catch($e){if((0,j.$2)($e))throw $e;const de=(0,j.$8)($e);this.o.publicLog2("galleryService:cdnFallback",{url:le,message:de});const we={...q,url:ue};return this.k.request(we,M)}}async E(R){let q=_(R);if(!q){const M=await this.C(R,N.CancellationToken.None);if(!M)throw new Error("Manifest was not found");q=M.engines.vscode}return q}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.h)return{malicious:[],deprecated:{},search:[]};const R=await this.k.request({type:"GET",url:this.h},N.CancellationToken.None);if(R.res.statusCode!==200)throw new Error("Could not get extensions report.");const q=await(0,u.$Po)(R),M=[],J={},Y=[];if(q){for(const se of q.malicious)M.push({id:se});if(q.migrateToPreRelease)for(const[se,le]of Object.entries(q.migrateToPreRelease))(!le.engine||(0,c.$Io)(le.engine,this.u.version,this.u.date))&&(J[se.toLowerCase()]={disallowInstall:!0,extension:{id:le.id,displayName:le.displayName,autoMigrate:{storage:!!le.migrateStorage},preRelease:!0}});if(q.deprecated)for(const[se,le]of Object.entries(q.deprecated))le&&(J[se.toLowerCase()]=(0,I.$Cf)(le)?{}:le);if(q.search)for(const se of q.search)Y.push(se)}return{malicious:M,deprecated:J,search:Y}}};re=ye([x(1,u.$Jo),x(2,y.$6i),x(3,P.$Sh),x(4,w.$0k),x(5,$.$7j),x(6,d.$lj),x(7,g.$fi)],re);let X=class extends re{constructor(R,q,M,J,Y,se,le,ue){super(R,q,M,J,Y,se,le,ue)}};e.$6o=X,e.$6o=X=ye([x(0,h.$Wo),x(1,u.$Jo),x(2,y.$6i),x(3,P.$Sh),x(4,w.$0k),x(5,$.$7j),x(6,d.$lj),x(7,g.$fi)],X);let B=class extends re{constructor(R,q,M,J,Y,se,le){super(void 0,R,q,M,J,Y,se,le)}};e.$7o=B,e.$7o=B=ye([x(0,u.$Jo),x(1,y.$6i),x(2,P.$Sh),x(3,w.$0k),x(4,$.$7j),x(5,d.$lj),x(6,g.$fi)],B)}),define(oe[80],ae([0,1,4,3,2,20,33,24,18,7,12]),function(te,e,O,N,j,A,D,I,C,g,P){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$Pu=e.$Ou=void 0,e.$Ou=(0,O.$Lh)("IExtensionStorageService");const m=/^extensionKeys\/([^.]+\..+)@(\d+\.\d+\.\d+(-.*)?)$/;let c=class extends j.$Qc{static{E=this}static{this.a=512*1024}static b(y){return`extensionKeys/${(0,D.$uo)(y.id)}@${y.version}`}static c(y){const d=m.exec(y);if(d&&d[1])return{id:d[1],version:d[2]}}static async removeOutdatedExtensionVersions(y,d){const u=await y.getInstalled(),l=[];for(const[h,w]of E.f(d)){const S=u.find(t=>(0,D.$qo)(t.identifier,{id:h}))?.manifest.version;for(const t of w)S!==t&&l.push(E.b({id:h,version:t}))}for(const h of l)d.remove(h,0)}static f(y){const d=new Map,u=y.keys(0,1);for(const l of u){const h=E.c(l);if(h){let w=d.get(h.id.toLowerCase());w||d.set(h.id.toLowerCase(),w=[]),w.push(h.version)}}return d}constructor(y,d,u){super(),this.j=y,this.m=d,this.n=u,this.g=this.B(new N.$Ld),this.onDidChangeExtensionStorageToSync=this.g.event,this.h=E.f(y),this.B(this.j.onDidChangeValue(0,void 0,this.B(new j.$Pc))(l=>this.r(l)))}r(y){if(this.h.has(y.key.toLowerCase())){this.g.fire();return}const d=E.c(y.key);if(d){if(this.j.get(y.key,0)===void 0)this.h.delete(d.id.toLowerCase());else{let u=this.h.get(d.id.toLowerCase());u||this.h.set(d.id.toLowerCase(),u=[]),u.push(d.version),this.g.fire()}return}}s(y){if((0,P.$wf)(y))return y;const d=y.manifest?y.manifest.publisher:y.publisher,u=y.manifest?y.manifest.name:y.name;return(0,D.$to)(d,u)}getExtensionState(y,d){const u=this.s(y),l=this.getExtensionStateRaw(y,d);if(l)try{return JSON.parse(l)}catch(h){this.n.error(`[mainThreadStorage] unexpected error parsing storage contents (extensionId: ${u}, global: ${d}): ${h}`)}}getExtensionStateRaw(y,d){const u=this.s(y),l=this.j.get(u,d?0:1);return l&&l?.length>E.a&&this.n.warn(`[mainThreadStorage] large extension state detected (extensionId: ${u}, global: ${d}): ${l.length/1024}kb. Consider to use 'storageUri' or 'globalStorageUri' to store this data on disk instead.`),l}setExtensionState(y,d,u){const l=this.s(y);d===void 0?this.j.remove(l,u?0:1):this.j.store(l,JSON.stringify(d),u?0:1,1)}setKeysForSync(y,d){this.j.store(E.b(y),JSON.stringify(d),0,1)}getKeysForSync(y){const d=this.m.extensionSyncedKeys?.[y.id.toLowerCase()],u=this.j.get(E.b(y),0),l=u?JSON.parse(u):void 0;return l&&d?(0,C.$Kb)([...l,...d]):l||d}addToMigrationList(y,d){if(y!==d){const u=this.t.filter(l=>!l.includes(y)&&!l.includes(d));u.push([y,d]),this.t=u}}getSourceExtensionToMigrate(y){const d=this.t.find(([,u])=>y===u);return d?d[0]:void 0}get t(){const y=this.j.get("extensionStorage.migrationList",-1,"[]");try{const d=JSON.parse(y);if(Array.isArray(d))return d}catch{}return[]}set t(y){y.length?this.j.store("extensionStorage.migrationList",JSON.stringify(y),-1,1):this.j.remove("extensionStorage.migrationList",-1)}};e.$Pu=c,e.$Pu=c=E=ye([x(0,A.$Wo),x(1,I.$lj),x(2,g.$6i)],c)}),define(oe[248],ae([0,1,29,11,24,14,98,55,20,22,221]),function(te,e,O,N,j,A,D,I,C,g,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$G8b=void 0;let E=class extends P.$14b{constructor(c,$,y,d,u,l,h,w){super(c.userHome,u,$,y,d,l,h,w)}};e.$G8b=E,e.$G8b=E=ye([x(0,A.$Th),x(1,g.$0k),x(2,O.$3n),x(3,C.$Wo),x(4,I.$t6b),x(5,D.$hVb),x(6,N.$7j),x(7,j.$lj)],E)}),define(oe[249],ae([0,1,105,3,22,14,2,7,16,64,24,6,5,101,19,165,36,20,12,133,21]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$C8b=void 0;const S=[O.$v8b,O.$w8b],t="remoteTunnelSession",a="remoteTunnelIsService";let n=class extends D.$Qc{constructor(o,v,p,f,b,L,F){super(),this.y=o,this.z=v,this.C=p,this.D=L,this.F=F,this.f=new N.$Ld,this.onDidTokenFailed=this.f.event,this.g=new N.$Ld,this.onDidChangeTunnelStatus=this.g.event,this.h=new N.$Ld,this.onDidChangeMode=this.h.event,this.n=O.$t8b,this.w=!1,this.I=(T,z)=>{z?this.j.error(T):this.j.info(T)},this.j=this.B(f.createLogger((0,w.$sg)(p.logsHome,`${O.$x8b}.log`),{id:O.$x8b,name:O.$y8b})),this.t=new m.$Ng(100),this.B(this.j.onDidChangeLogLevel(T=>this.j.info("Log level changed to "+(0,I.$ij)(T)))),this.B(b.onWillShutdown(()=>{this.r?.cancel(),this.r=void 0,this.dispose()})),this.B(L.onDidChangeConfiguration(T=>{S.some(z=>T.affectsConfiguration(z))&&this.t.trigger(()=>this.L())})),this.n=this.R(),this.s=O.TunnelStates.uninitialized}async getTunnelStatus(){return this.s}G(o){this.s=o,this.g.fire(o)}H(o){i(this.n,o)||(this.n=o,this.S(o),this.h.fire(this.n),o.active?(this.j.info(`Session updated: ${o.session.accountLabel} (${o.session.providerId}) (service=${o.asService})`),o.session.token&&this.j.info(`Session token updated: ${o.session.accountLabel} (${o.session.providerId})`)):this.j.info("Session reset"))}getMode(){return Promise.resolve(this.n)}async initialize(o){if(this.w)return this.s;this.w=!0,this.H(o);try{await this.t.trigger(()=>this.L())}catch(v){this.j.error(v)}return this.s}J(){if(!this.u){let o;E.$j?o=this.C.appRoot:o=(0,C.$kc)((0,C.$kc)(this.C.appRoot)),this.u=(0,C.$hc)(o,"bin",`${this.z.tunnelApplicationName}${E.$i?".exe":""}`)}return this.u}async startTunnel(o){if(i(this.n,o)&&this.s.type!=="disconnected")return this.s;this.H(o);try{await this.t.trigger(()=>this.L())}catch(v){this.j.error(v)}return this.s}async stopTunnel(){if(this.r&&(this.r.cancel(),this.r=void 0),!this.n.active)return;const o=this.n.asService;this.H(O.$t8b);try{o&&this.O("uninstallService",["service","uninstall"])}catch(v){this.j.error(v)}try{await this.O("stop",["kill"])}catch(v){this.j.error(v)}this.G(O.TunnelStates.disconnected())}async L(){this.y.publicLog2("remoteTunnel.enablement",{enabled:this.n.active,service:this.n.active&&this.n.asService}),this.r&&(this.r.cancel(),this.r=void 0);let o="",v=!1;const p=(z,U)=>{U?this.j.error(z):o+=z,!this.C.isBuilt&&z.startsWith("   Compiling")&&this.G(O.TunnelStates.connecting((0,y.localize)(0,null)))},f=this.O("status",["status"],p);this.r=f;try{if(await f,this.r!==f)return;const z=JSON.parse(o.trim().split(`
`).find(U=>U.startsWith("{")));if(v=z.service_installed,this.j.info(z.tunnel?"Other tunnel running, attaching...":"No other tunnel running"),!z.tunnel&&!this.n.active){this.G(O.TunnelStates.disconnected());return}}catch(z){this.j.error(z),this.G(O.TunnelStates.disconnected());return}finally{this.r===f&&(this.r=void 0)}const b=this.n.active?this.n.session:void 0;if(b&&b.token){const z=b.token;this.G(O.TunnelStates.connecting((0,y.localize)(1,null,b.accountLabel,b.providerId)));const U=(K,Z)=>{K=K.replaceAll(z,"*".repeat(4)),p(K,Z)},_=this.O("login",["user","login","--provider",b.providerId,"--access-token",z,"--log",(0,I.$ij)(this.j.getLevel())],U);this.r=_;try{if(await _,this.r!==_)return}catch(K){this.j.error(K),this.r=void 0,this.f.fire(b),this.G(O.TunnelStates.disconnected(b));return}}const L=this.Q();L?this.G(O.TunnelStates.connecting((0,y.localize)(2,null,L))):this.G(O.TunnelStates.connecting((0,y.localize)(3,null)));const F=["--accept-server-license-terms","--log",(0,I.$ij)(this.j.getLevel())];L?F.push("--name",L):F.push("--random-name");let T=!1;return this.n.active&&this.n.asService&&!v&&(T=await this.M(F)===!1),this.N(b,F,T)}async M(o){let v;try{v=await this.O("serviceInstall",["service","install",...o])}catch(p){this.j.error(p),v=1}if(v!==0){const p=(0,y.localize)(4,null);return this.j.warn(p),this.G(O.TunnelStates.connecting(p)),!1}return!0}async N(o,v,p){v.push("--parent-process-id",String(process.pid)),this.P()&&v.push("--no-sleep");let f=!1;const b=this.O("tunnel",v,(L,F)=>{F?this.j.error(L):this.j.info(L),L.includes("Connected to an existing tunnel process")&&(f=!0);const T=L.match(/Open this link in your browser (https:\/\/([^\/\s]+)\/([^\/\s]+)\/([^\/\s]+))/);if(T){const z={link:T[1],domain:T[2],tunnelName:T[4],isAttached:f};this.G(O.TunnelStates.connected(z,p))}else L.match(/error refreshing token/)&&(b.cancel(),this.f.fire(o),this.G(O.TunnelStates.disconnected(o)))});this.r=b,b.finally(()=>{b===this.r&&(this.j.info("tunnel process terminated"),this.r=void 0,this.n=O.$t8b,this.G(O.TunnelStates.disconnected()))})}O(o,v,p=this.I){return(0,m.$Eg)(f=>new Promise((b,L)=>{f.isCancellationRequested&&b(-1);let F;const T=["ignore","pipe","pipe"];if(f.onCancellationRequested(()=>{F&&(this.j.info(`${o} terminating(${F.pid})`),F.kill())}),!this.C.isBuilt)p(`Building tunnel CLI from sources and run
`,!1),p(`${o} Spawning: cargo run -- tunnel ${v.join(" ")}
`,!1),F=(0,g.spawn)("cargo",["run","--","tunnel",...v],{cwd:(0,C.$hc)(this.C.appRoot,"cli"),stdio:T});else{p(`Running tunnel CLI
`,!1);const z=this.J();p(`${o} Spawning: ${z} tunnel ${v.join(" ")}
`,!1),F=(0,g.spawn)(z,["tunnel",...v],{cwd:(0,d.homedir)(),stdio:T})}F.stdout.pipe(new h.$XS(`
`)).on("data",z=>{if(F){const U=z.toString();p(U,!1)}}),F.stderr.pipe(new h.$XS(`
`)).on("data",z=>{if(F){const U=z.toString();p(U,!0)}}),F.on("exit",z=>{F&&(p(`${o} exit(${F.pid}): + ${z} `,!1),F=void 0,b(z||0))}),F.on("error",z=>{F&&(p(`${o} error(${F.pid}): + ${z} `,!0),F=void 0,L())})}))}async getTunnelName(){return this.Q()}P(){return!!this.D.getValue(O.$w8b)}Q(){let o=this.D.getValue(O.$v8b)||(0,d.hostname)();return o=o.replace(/^-+/g,"").replace(/[^\w-]/g,"").substring(0,20),o||void 0}R(){try{const o=this.F.get(t,-1),v=this.F.getBoolean(a,-1,!1);if(o){const p=JSON.parse(o);if(p&&(0,l.$wf)(p.accountLabel)&&(0,l.$wf)(p.sessionId)&&(0,l.$wf)(p.providerId))return{active:!0,session:p,asService:v};this.j.error("Problems restoring session from storage, invalid format",p)}}catch(o){this.j.error("Problems restoring session from storage",o)}return O.$t8b}S(o){if(o.active){const v={providerId:o.session.providerId,sessionId:o.session.sessionId,accountLabel:o.session.accountLabel};this.F.store(t,JSON.stringify(v),-1,1),this.F.store(a,o.asService,-1,1)}else this.F.remove(t,-1),this.F.remove(a,-1)}};e.$C8b=n,e.$C8b=n=ye([x(0,j.$0k),x(1,P.$lj),x(2,A.$Th),x(3,I.$7i),x(4,c.$A8b),x(5,$.$fi),x(6,u.$Wo)],n);function s(r,o){return r&&o?r.sessionId===o.sessionId&&r.providerId===o.providerId&&r.token===o.token:r===o}const i=(r,o)=>r.active!==o.active?!1:r.active&&o.active?r.asService===o.asService&&s(r.session,o.session):!0}),define(oe[250],ae([0,1,5,2,23,21,66,20,75,17]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$H8b=void 0;class P extends I.$Yo{constructor(m,c,$,y){super(),this.bb=m,this.cb=c,this.db=$,this.eb=y,this.s=this.cb.defaultProfile,this.U=this.fb(),this.W=this.cb.currentProfile,this.X=this.B(new N.$Pc),this.Y=this.gb(this.W),this.Z=this.bb?.id,this.$=this.B(new N.$Pc),this.ab=this.hb(this.bb)}fb(){const m=this.B(new C.$wAb(this.db.getChannel("storage"))),c=this.B(new D.$So(m));return this.B(c.onDidChangeStorage($=>this.u(-1,$))),c}gb(m){this.X.clear(),this.W=m;let c;if((0,I.$Zo)(m))c=this.U;else{const $=this.X.add(new C.$xAb(this.db.getChannel("storage"),m));c=this.X.add(new D.$So($))}return this.X.add(c.onDidChangeStorage($=>this.u(0,$))),c}hb(m){this.$.clear(),this.Z=m?.id;let c;if(m){const $=this.$.add(new C.$yAb(this.db.getChannel("storage"),m));c=this.$.add(new D.$So($)),this.$.add(c.onDidChangeStorage(y=>this.u(1,y)))}return c}async O(){await O.Promises.settled([this.U.init(),this.Y.init(),this.ab?.init()??Promise.resolve()])}P(m){switch(m){case-1:return this.U;case 0:return this.Y;default:return this.ab}}Q(m){switch(m){case-1:return this.s.globalStorageHome.with({scheme:j.Schemas.file}).fsPath;case 0:return this.W?.globalStorageHome.with({scheme:j.Schemas.file}).fsPath;default:return this.Z?`${(0,A.$sg)(this.eb.workspaceStorageHome,this.Z,"state.vscdb").with({scheme:j.Schemas.file}).fsPath}`:void 0}}async close(){this.t(),this.w(I.WillSaveStateReason.SHUTDOWN),await O.Promises.settled([this.U.close(),this.Y.close(),this.ab?.close()??Promise.resolve()])}async R(m){if(!this.M(this.W,m))return;const c=this.Y,$=c.items;c!==this.U&&await c.close(),this.Y=this.gb(m),await this.Y.init(),this.N($,this.Y,0)}async S(m,c){const $=this.ab,y=$?.items??new Map;await $?.close(),this.ab=this.hb(m),await this.ab.init(),this.N(y,this.ab,1)}hasScope(m){return(0,g.$Ek)(m)?this.W.id===m.id:this.Z===m.id}}e.$H8b=P}),define(oe[251],ae([0,1,3,2,17,92]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AN=e.$zN=void 0;class D{constructor(g,P){this.a=g,this.b=P}listen(g,P){const E=this.b(g);switch(P){case"onDidChangeProfiles":return O.Event.map(this.a.onDidChangeProfiles,m=>({all:m.all.map(c=>(0,A.$Em)({...c},E)),added:m.added.map(c=>(0,A.$Em)({...c},E)),removed:m.removed.map(c=>(0,A.$Em)({...c},E)),updated:m.updated.map(c=>(0,A.$Em)({...c},E))}))}throw new Error(`Invalid listen ${P}`)}async call(g,P,E){const m=this.b(g);switch(P){case"createProfile":{const c=await this.a.createProfile(E[0],E[1],E[2]);return(0,A.$Em)({...c},m)}case"updateProfile":{let c=(0,j.$Gk)((0,A.$Fm)(E[0],m),this.a.profilesHome.scheme);return c=await this.a.updateProfile(c,E[1]),(0,A.$Em)({...c},m)}case"removeProfile":{const c=(0,j.$Gk)((0,A.$Fm)(E[0],m),this.a.profilesHome.scheme);return this.a.removeProfile(c)}}throw new Error(`Invalid call ${P}`)}}e.$zN=D;class I extends N.$Qc{get defaultProfile(){return this.profiles[0]}get profiles(){return this.a}constructor(g,P,E){super(),this.profilesHome=P,this.f=E,this.a=[],this.b=this.B(new O.$Ld),this.onDidChangeProfiles=this.b.event,this.c=!0,this.a=g.map(m=>(0,j.$Gk)(m,this.profilesHome.scheme)),this.B(this.f.listen("onDidChangeProfiles")(m=>{const c=m.added.map(d=>(0,j.$Gk)(d,this.profilesHome.scheme)),$=m.removed.map(d=>(0,j.$Gk)(d,this.profilesHome.scheme)),y=m.updated.map(d=>(0,j.$Gk)(d,this.profilesHome.scheme));this.a=m.all.map(d=>(0,j.$Gk)(d,this.profilesHome.scheme)),this.b.fire({added:c,removed:$,updated:y,all:this.profiles})})),this.onDidResetWorkspaces=this.f.listen("onDidResetWorkspaces")}setEnablement(g){this.c=g}isEnabled(){return this.c}async createNamedProfile(g,P,E){const m=await this.f.call("createNamedProfile",[g,P,E]);return(0,j.$Gk)(m,this.profilesHome.scheme)}async createProfile(g,P,E,m){const c=await this.f.call("createProfile",[g,P,E,m]);return(0,j.$Gk)(c,this.profilesHome.scheme)}async createTransientProfile(g){const P=await this.f.call("createTransientProfile",[g]);return(0,j.$Gk)(P,this.profilesHome.scheme)}async setProfileForWorkspace(g,P){await this.f.call("setProfileForWorkspace",[g,P])}removeProfile(g){return this.f.call("removeProfile",[g])}async updateProfile(g,P){const E=await this.f.call("updateProfile",[g,P]);return(0,j.$Gk)(E,this.profilesHome.scheme)}resetWorkspaces(){return this.f.call("resetWorkspaces")}cleanUp(){return this.f.call("cleanUp")}cleanUpTransientProfiles(){return this.f.call("cleanUpTransientProfiles")}}e.$AN=I}),define(oe[58],ae([0,1,2,66,4,20,3,75,17]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$CAb=e.$BAb=e.$AAb=void 0,e.$AAb=(0,j.$Lh)("IUserDataProfileStorageService");let g=class extends O.$Qc{constructor(c){super(),this.a=c}async readStorageData(c){return this.withProfileScopedStorageService(c,async $=>this.b($))}async updateStorageData(c,$,y){return this.withProfileScopedStorageService(c,async d=>this.c(d,$,y))}async withProfileScopedStorageService(c,$){if(this.a.hasScope(c))return $(this.a);const y=await this.g(c),d=new E(y);try{await d.initialize();const u=await $(d);return await d.flush(),u}finally{d.dispose(),await this.f(y)}}b(c){const $=new Map,y=d=>{for(const u of c.keys(0,d))$.set(u,{value:c.get(u,0),target:d})};return y(0),y(1),$}c(c,$,y){c.storeAll(Array.from($.entries()).map(([d,u])=>({key:d,value:u,scope:0,target:y})),!0)}async f(c){try{await c.close()}finally{(0,O.$Kc)(c)&&c.dispose()}}};e.$BAb=g,e.$BAb=g=ye([x(0,A.$Wo)],g);class P extends g{constructor(c,$,y,d){super(y),this.j=c;const u=c.getChannel("profileStorageListener"),l=this.B(new O.$Rc);this.h=this.B(new D.$Ld({onWillAddFirstListener:()=>{l.value=u.listen("onDidChange")(h=>{d.trace("profile storage changes",h),this.h.fire({targetChanges:h.targetChanges.map(w=>(0,C.$Gk)(w,$.profilesHome.scheme)),valueChanges:h.valueChanges.map(w=>({...w,profile:(0,C.$Gk)(w.profile,$.profilesHome.scheme)}))})})},onDidRemoveLastListener:()=>l.value=void 0})),this.onDidChange=this.h.event}async g(c){const $=this.j.getChannel("storage");return(0,A.$Zo)(c)?new I.$wAb($):new I.$xAb($,c)}}e.$CAb=P;class E extends A.$Yo{constructor(c){super({flushInterval:100}),this.s=this.B(new N.$So(c))}O(){return this.s.init()}P(c){return c===0?this.s:void 0}Q(){}async R(){}async S(){}hasScope(){return!1}}}),define(oe[252],ae([0,1,20,7,17,71,58]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$m8b=void 0;let I=class extends D.$CAb{constructor(g,P,E,m){super(g,P,E,m)}};e.$m8b=I,e.$m8b=I=ye([x(0,A.$K7b),x(1,j.$Fk),x(2,O.$Wo),x(3,N.$6i)],I)}),define(oe[39],ae([0,1,18,5,15,26,3,35,2,27,12,170,19,14,11,7,43,20,22,28,25,17]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vBb=e.$uBb=e.$tBb=e.$sBb=e.$rBb=e.$qBb=e.$pBb=void 0;function t(v){return!!(v&&v.ref!==void 0&&typeof v.ref=="string"&&v.ref!==""&&v.syncData!==void 0&&(v.syncData===null||a(v.syncData)))}e.$pBb=t;function a(v){return!!(v&&v.version!==void 0&&typeof v.version=="number"&&v.content!==void 0&&typeof v.content=="string"&&(Object.keys(v).length===2||Object.keys(v).length===3&&v.machineId!==void 0&&typeof v.machineId=="string"))}e.$qBb=a;function n(v,p){return`${(0,g.$of)(v)}${p.isDefault?"":` (${p.name})`}`}e.$rBb=n;let s=class extends C.$Qc{get status(){return this.m}get conflicts(){return{...this.syncResource,conflicts:this.s}}constructor(p,f,b,L,F,T,z,U,_,K,Z,G){super(),this.syncResource=p,this.collection=f,this.G=b,this.H=L,this.I=F,this.J=T,this.L=z,this.M=U,this.N=_,this.O=K,this.P=Z,this.c=null,this.m="idle",this.n=this.B(new D.$Ld),this.onDidChangeStatus=this.n.event,this.s=[],this.t=this.B(new D.$Ld),this.onDidChangeConflicts=this.t.event,this.u=this.B(new N.$Og(50)),this.w=this.B(new D.$Ld),this.onDidChangeLocal=this.w.event,this.z=`${this.collection?`${this.collection}.`:""}${this.syncResource.syncResource}.lastSyncUserData`,this.C=!1,this.F={},this.resource=this.syncResource.syncResource,this.D=n(p.syncResource,p.profile),this.h=G.extUri,this.f=this.h.joinPath(L.userDataSyncHome,...(0,w.$kgb)(p.profile.isDefault?void 0:p.profile.id,p.syncResource)),this.g=this.h.joinPath(this.f,w.$Fgb),this.y=(0,w.$lgb)(p.profile.isDefault?void 0:p.profile.id,p.syncResource,L,this.h),this.j=(0,d.$3o)(L,b,F)}Q(){this.u.trigger(()=>this.R())}async R(){if(this.status==="hasConflicts"){this.O.info(`${this.D}: In conflicts state and local change detected. Syncing again...`);const p=await this.c;this.c=null;const f=await this.Y(p.remoteUserData,p.lastSyncUserData,!0,this.ob());this.S(f)}else{this.O.trace(`${this.D}: Checking for local changes...`);const p=await this.getLastSyncUserData();(p?await this.ub(p):!0)&&this.w.fire()}}S(p){this.m!==p&&(this.m=p,this.n.fire(p))}async sync(p,f={}){await this.U(p,!0,this.ob(),f)}async preview(p,f,b={}){return this.U(p,!1,f,b)}async apply(p,f={}){try{this.F={...f};const b=await this.ab(p);return this.S(b),this.c}finally{this.F={}}}async U(p,f,b,L){try{if(this.F={...L},this.status==="hasConflicts")return this.O.info(`${this.D}: Skipped synchronizing ${this.resource.toLowerCase()} as there are conflicts.`),this.c;if(this.status==="syncing")return this.O.info(`${this.D}: Skipped synchronizing ${this.resource.toLowerCase()} as it is running already.`),this.c;this.O.trace(`${this.D}: Started synchronizing ${this.resource.toLowerCase()}...`),this.S("syncing");let F="idle";try{const T=await this.getLastSyncUserData(),z=await this.X(p,T);return F=await this.Y(z,T,f,b),F==="hasConflicts"?this.O.info(`${this.D}: Detected conflicts while synchronizing ${this.resource.toLowerCase()}.`):F==="idle"&&this.O.trace(`${this.D}: Finished synchronizing ${this.resource.toLowerCase()}.`),this.c||null}finally{this.S(F)}}finally{this.F={}}}async replace(p){const f=this.kb(p);if(!f)return!1;await this.stop();try{this.O.trace(`${this.D}: Started resetting ${this.resource.toLowerCase()}...`),this.S("syncing");const b=await this.getLastSyncUserData(),L=await this.X(null,b),F=await this.W(L),T=await this.qb({ref:L.ref,syncData:f},b,F,this.ob(),A.CancellationToken.None),z=[];for(const U of T){const _=await this.sb(U,U.remoteResource,void 0,A.CancellationToken.None),{remoteChange:K}=await this.sb(U,U.previewResource,U.remoteContent,A.CancellationToken.None);z.push([U,{..._,remoteChange:K!==0?K:2}])}await this.tb(L,b,z,!1),this.O.info(`${this.D}: Finished resetting ${this.resource.toLowerCase()}.`)}finally{this.S("idle")}return!0}async W(p){const f=await this.j;return!!p.syncData?.machineId&&p.syncData.machineId===f}async X(p,f){if(f){const b=p?p[this.resource]:void 0;if(f.ref===b||b===void 0&&f.syncData===null)return f}return this.getRemoteUserData(f)}async Y(p,f,b,L){if(p.syncData&&p.syncData.version>this.pb)throw this.N.publicLog2("sync/incompatible",{source:this.resource}),new w.$sgb((0,E.localize)(0,null,this.resource,this.pb,p.syncData.version),"IncompatibleLocalContent",this.resource);try{return await this.Z(p,f,b,L)}catch(F){if(F instanceof w.$sgb)switch(F.code){case"LocalPreconditionFailed":return this.O.info(`${this.D}: Failed to synchronize ${this.D} as there is a new local version available. Synchronizing again...`),this.Y(p,f,b,L);case"Conflict":case"PreconditionFailed":return this.O.info(`${this.D}: Failed to synchronize as there is a new remote version available. Synchronizing again...`),p=await this.getRemoteUserData(null),f=await this.getLastSyncUserData(),this.Y(p,f,b,L)}throw F}}async Z(p,f,b,L){try{const F=await this.W(p),T=!F&&f===null&&this.gb()!==void 0,z=b&&!T;this.c||(this.c=(0,N.$Eg)(_=>this.eb(p,f,F,z,L,_)));let U=await this.c;if(b&&T){this.O.info(`${this.D}: Accepting remote because it was synced before and the last sync data is not available.`);for(const _ of U.resourcePreviews)U=await this.accept(_.remoteResource)||U}return this.cb(U.resourcePreviews),U.resourcePreviews.some(({mergeState:_})=>_==="conflict")?"hasConflicts":b?await this.ab(!1):"syncing"}catch(F){throw this.c=null,F}}async merge(p){return await this.$(p,async f=>{const b=await this.rb(f,A.CancellationToken.None);await this.G.writeFile(f.previewResource,j.$_d.fromString(b?.content||""));const L=b&&!b.hasConflicts?await this.sb(f,f.previewResource,void 0,A.CancellationToken.None):void 0;return f.acceptResult=L,f.mergeState=b.hasConflicts?"conflict":L?"accepted":"preview",f.localChange=L?L.localChange:b.localChange,f.remoteChange=L?L.remoteChange:b.remoteChange,f}),this.c}async accept(p,f){return await this.$(p,async b=>{const L=await this.sb(b,p,f,A.CancellationToken.None);return b.acceptResult=L,b.mergeState="accepted",b.localChange=L.localChange,b.remoteChange=L.remoteChange,b}),this.c}async discard(p){return await this.$(p,async f=>{const b=await this.rb(f,A.CancellationToken.None);return await this.G.writeFile(f.previewResource,j.$_d.fromString(b.content||"")),f.acceptResult=void 0,f.mergeState="preview",f.localChange=b.localChange,f.remoteChange=b.remoteChange,f}),this.c}async $(p,f){if(!this.c)return;let b=await this.c;const L=b.resourcePreviews.findIndex(({localResource:F,remoteResource:T,previewResource:z})=>this.h.isEqual(F,p)||this.h.isEqual(T,p)||this.h.isEqual(z,p));L!==-1&&(this.c=(0,N.$Eg)(async F=>{const T=[...b.resourcePreviews];return T[L]=await f(T[L]),{...b,resourcePreviews:T}}),b=await this.c,this.cb(b.resourcePreviews),b.resourcePreviews.some(({mergeState:F})=>F==="conflict")?this.S("hasConflicts"):this.S("syncing"))}async ab(p){if(!this.c)return"idle";const f=await this.c;return f.resourcePreviews.some(({mergeState:b})=>b==="conflict")?"hasConflicts":f.resourcePreviews.some(({mergeState:b})=>b!=="accepted")?"syncing":(await this.tb(f.remoteUserData,f.lastSyncUserData,f.resourcePreviews.map(b=>[b,b.acceptResult]),p),this.c=null,await this.bb(),"idle")}async bb(){try{await this.G.del(this.g,{recursive:!0})}catch{}}cb(p){const f=p.filter(({mergeState:b})=>b==="conflict");(0,O.$sb)(this.s,f,(b,L)=>this.h.isEqual(b.previewResource,L.previewResource))||(this.s=f,this.t.fire(this.conflicts))}async hasPreviouslySynced(){const p=await this.getLastSyncUserData();return!!p&&p.syncData!==null}async db(p){const f=this.c?await this.c:null;if(f)for(const b of f.resourcePreviews){if(this.h.isEqual(b.acceptedResource,p))return b.acceptResult?b.acceptResult.content:null;if(this.h.isEqual(b.remoteResource,p))return b.remoteContent;if(this.h.isEqual(b.localResource,p))return b.localContent;if(this.h.isEqual(b.baseResource,p))return b.baseContent}return null}async resetLocal(){this.I.remove(this.z,-1);try{await this.G.del(this.y)}catch(p){(0,$.$kk)(p)!==1&&this.O.error(p)}}async eb(p,f,b,L,F,T){const z=await this.qb(p,f,b,F,T),U=[];for(const _ of z){const K=_.previewResource.with({scheme:w.$Egb,authority:"accepted"});if(_.localChange===0&&_.remoteChange===0)U.push({..._,acceptedResource:K,acceptResult:{content:null,localChange:0,remoteChange:0},mergeState:"accepted"});else{const Z=L?await this.rb(_,T):void 0;if(T.isCancellationRequested)break;await this.G.writeFile(_.previewResource,j.$_d.fromString(Z?.content||""));const G=Z&&!Z.hasConflicts?await this.sb(_,_.previewResource,void 0,T):void 0;U.push({..._,acceptResult:G,mergeState:Z?.hasConflicts?"conflict":G?"accepted":"preview",localChange:G?G.localChange:Z?Z.localChange:_.localChange,remoteChange:G?G.remoteChange:Z?Z.remoteChange:_.remoteChange})}}return{syncResource:this.resource,profile:this.syncResource.profile,remoteUserData:p,lastSyncUserData:f,resourcePreviews:U,isLastSyncFromCurrentMachine:b}}async getLastSyncUserData(){let p=this.gb();if(p||(p=await this.jb()),!p)return this.O.info(`${this.D}: Last sync data state does not exist.`),null;const f=JSON.parse(p),b=this.M.getResourceSyncStateVersion(this.resource);if(this.C=!!f.version&&!!b&&f.version!==b,this.C)return this.O.info(`${this.D}: Reset last sync state because last sync state version ${f.version} is not compatible with current sync state version ${b}.`),await this.resetLocal(),null;let L,F=1;for(;L===void 0&&F++<6;)try{const T=await this.hb();T&&(T.ref===f.ref?L=T.syncData:this.O.info(`${this.D}: Last sync data stored locally is not same as the last sync state.`));break}catch(T){if(T instanceof $.$ok&&T.fileOperationResult===1){this.O.info(`${this.D}: Last sync resource does not exist locally.`);break}else{if(T instanceof w.$sgb)throw T;this.O.error(T,F)}}if(L===void 0)try{const T=await this.J.resolveResourceContent(this.resource,f.ref,this.collection,this.F);L=T===null?null:this.kb(T),await this.ib({ref:f.ref,syncData:L})}catch(T){if(T instanceof w.$sgb&&T.code==="NotFound")this.O.info(`${this.D}: Last sync resource does not exist remotely.`);else throw T}return L===void 0?null:{...f,syncData:L}}async fb(p,f={}){if(f.ref||f.version)throw new Error("Cannot have core properties as additional");const b=this.M.getResourceSyncStateVersion(this.resource),L={ref:p.ref,version:b,...f};this.I.store(this.z,JSON.stringify(L),-1,1),await this.ib(p)}gb(){return this.I.get(this.z,-1)}async hb(){const p=(await this.G.readFile(this.y)).value.toString();try{const f=p?JSON.parse(p):void 0;if(t(f))return f}catch(f){this.O.error(f)}}async ib(p){await this.G.writeFile(this.y,j.$_d.fromString(JSON.stringify(p)))}async jb(){try{const p=await this.G.readFile(this.y),f=JSON.parse(p.value.toString());await this.G.del(this.y),f.ref&&f.content!==void 0?(this.I.store(this.z,JSON.stringify({...f,content:void 0}),-1,1),await this.ib({ref:f.ref,syncData:f.content===null?null:JSON.parse(f.content)})):this.O.info(`${this.D}: Migrating last sync user data. Invalid data.`,f)}catch(p){p instanceof $.$ok&&p.fileOperationResult===1?this.O.info(`${this.D}: Migrating last sync user data. Resource does not exist.`):this.O.error(p)}return this.I.get(this.z,-1)}async getRemoteUserData(p){const{ref:f,content:b}=await this.lb(p);let L=null;return b!==null&&(L=this.kb(b)),{ref:f,syncData:L}}kb(p){try{const f=JSON.parse(p);if(a(f))return f}catch(f){this.O.error(f)}throw new w.$sgb((0,E.localize)(1,null),"IncompatibleRemoteContent",this.resource)}async lb(p){const f=p?{ref:p.ref,content:p.syncData?JSON.stringify(p.syncData):null}:null;return this.J.readResource(this.resource,f,this.collection,this.F)}async mb(p,f){const b=await this.j,L={version:this.pb,machineId:b,content:p};try{return f=await this.J.writeResource(this.resource,JSON.stringify(L),f,this.collection,this.F),{ref:f,syncData:L}}catch(F){throw F instanceof w.$sgb&&F.code==="TooLarge"&&(F=new w.$sgb(F.message,F.code,this.resource)),F}}async nb(p){const f={version:this.pb,content:p};return this.L.writeResource(this.resource,JSON.stringify(f),new Date,this.syncResource.profile.isDefault?void 0:this.syncResource.profile.id)}async stop(){this.status!=="idle"&&(this.O.trace(`${this.D}: Stopping synchronizing ${this.resource.toLowerCase()}.`),this.c&&(this.c.cancel(),this.c=null),this.cb([]),await this.bb(),this.S("idle"),this.O.info(`${this.D}: Stopped synchronizing ${this.resource.toLowerCase()}.`))}ob(){return this.P.getValue(w.$fgb)}};e.$sBb=s,e.$sBb=s=ye([x(2,$.$7j),x(3,c.$Sh),x(4,u.$Wo),x(5,w.$ngb),x(6,w.$ogb),x(7,w.$xgb),x(8,l.$0k),x(9,w.$Cgb),x(10,m.$fi),x(11,h.$Dk)],s);let i=class extends s{constructor(p,f,b,L,F,T,z,U,_,K,Z,G,Q){super(f,b,L,F,T,z,U,_,K,Z,G,Q),this.r=p,this.B(this.G.watch(this.h.dirname(p))),this.B(this.G.onDidFilesChange(H=>this.yb(H)))}async vb(){try{return await this.G.readFile(this.r)}catch{return null}}async wb(p,f,b){try{f?await this.G.writeFile(this.r,j.$_d.fromString(p),b?void 0:f):await this.G.createFile(this.r,j.$_d.fromString(p),{overwrite:b})}catch(L){throw L instanceof $.$ok&&L.fileOperationResult===1||L instanceof $.$ok&&L.fileOperationResult===3?new w.$sgb(L.message,"LocalPreconditionFailed"):L}}async xb(){try{await this.G.del(this.r)}catch(p){if(!(p instanceof $.$ok&&p.fileOperationResult===1))throw p}}yb(p){p.contains(this.r)&&this.Q()}};e.$tBb=i,e.$tBb=i=ye([x(3,$.$7j),x(4,c.$Sh),x(5,u.$Wo),x(6,w.$ngb),x(7,w.$ogb),x(8,w.$xgb),x(9,l.$0k),x(10,w.$Cgb),x(11,m.$fi),x(12,h.$Dk)],i);let r=class extends i{constructor(p,f,b,L,F,T,z,U,_,K,Z,G,Q,H){super(p,f,b,L,F,T,z,U,_,K,Z,Q,H),this.zb=G,this.Bb=void 0}Ab(p,f){const b=[],L=(0,I.$Mm)(p,b,{allowEmptyContent:!0,allowTrailingComma:!0});return b.length>0||!(0,P.$Df)(L)&&f!==Array.isArray(L)}Cb(){return this.Bb||(this.Bb=this.zb.resolveFormattingOptions(this.r)),this.Bb}};e.$uBb=r,e.$uBb=r=ye([x(3,$.$7j),x(4,c.$Sh),x(5,u.$Wo),x(6,w.$ngb),x(7,w.$ogb),x(8,w.$xgb),x(9,l.$0k),x(10,w.$Cgb),x(11,w.$Bgb),x(12,m.$fi),x(13,h.$Dk)],r);let o=class{constructor(p,f,b,L,F,T,z){this.resource=p,this.g=f,this.h=b,this.j=L,this.k=F,this.l=T,this.d=z.extUri,this.f=(0,w.$lgb)(void 0,this.resource,b,this.d)}async initialize({ref:p,content:f}){if(!f){this.j.info("Remote content does not exist.",this.resource);return}const b=this.m(f);if(b)try{await this.o({ref:p,syncData:b})}catch(L){this.j.error(L)}}m(p){try{const f=JSON.parse(p);if(a(f))return f}catch(f){this.j.error(f)}this.j.info("Cannot parse sync data as it is not compatible with the current version.",this.resource)}async n(p,f={}){if(f.ref||f.version)throw new Error("Cannot have core properties as additional");const b={ref:p.ref,version:void 0,...f};this.l.store(`${this.resource}.lastSyncUserData`,JSON.stringify(b),-1,1),await this.k.writeFile(this.f,j.$_d.fromString(JSON.stringify(p)))}};e.$vBb=o,e.$vBb=o=ye([x(1,S.$Fk),x(2,c.$Sh),x(3,y.$6i),x(4,$.$7j),x(5,u.$Wo),x(6,h.$Dk)],o)}),define(oe[115],ae([0,1,5,26,8,3,41,2,27,19,14,114,29,33,80,44,11,4,70,7,20,22,28,17,39,232,111,25,58]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t,a,n,s,i,r,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$b3b=e.$a3b=e.$_2b=e.$$2b=e.$02b=void 0;async function v(T,z){const U=JSON.parse(T.content);if(T.version===1||T.version===2){const _=(await z.getInstalled(0)).filter(K=>K.isBuiltin);for(const K of U)T.version===1&&(K.enabled===!1&&(K.disabled=!0),delete K.enabled),T.version===2&&_.every(Z=>!(0,c.$qo)(Z.identifier,K.identifier))&&(K.installed=!0)}return U}function p(T){return JSON.parse(T.content)}e.$02b=p;function f(T,z){return T.sort((U,_)=>!U.identifier.uuid&&_.identifier.uuid?-1:U.identifier.uuid&&!_.identifier.uuid?1:(0,C.$Se)(U.identifier.id,_.identifier.id)),z?(0,D.$FS)(T,{}):JSON.stringify(T)}e.$$2b=f;let b=class extends n.$sBb{constructor(z,U,_,K,Z,G,Q,H,V,W,ee,ne,re,X,B,k,R){super({syncResource:"extensions",profile:z},U,K,_,Z,G,Q,ne,re,W,ee,B),this.Cb=H,this.Db=V,this.Eb=R,this.pb=6,this.wb=this.h.joinPath(this.g,"extensions.json"),this.xb=this.wb.with({scheme:r.$Egb,authority:"base"}),this.yb=this.wb.with({scheme:r.$Egb,authority:"local"}),this.zb=this.wb.with({scheme:r.$Egb,authority:"remote"}),this.Ab=this.wb.with({scheme:r.$Egb,authority:"accepted"}),this.Bb=this.Eb.createInstance(L),this.B(A.Event.any(A.Event.filter(this.Cb.onDidInstallExtensions,q=>q.some(({local:M})=>!!M)),A.Event.filter(this.Cb.onDidUninstallExtension,q=>!q.error),A.Event.filter(k.onDidChange,q=>q.valueChanges.some(({profile:M,changes:J})=>this.syncResource.profile.id===M.id&&J.some(Y=>Y.key===m.$4n))),X.onDidChangeExtensionStorageToSync)(()=>this.Q()))}async qb(z,U){const _=z.syncData?await v(z.syncData,this.Cb):null,K=U?.skippedExtensions??[],Z=U?.builtinExtensions??null,G=U?.syncData?await v(U.syncData,this.Cb):null,{localExtensions:Q,ignoredExtensions:H}=await this.Bb.getLocalExtensions(this.syncResource.profile);_?this.O.trace(`${this.D}: Merging remote extensions with local extensions...`):this.O.trace(`${this.D}: Remote extensions does not exist. Synchronizing extensions for the first time.`);const{local:V,remote:W}=(0,s.$92b)(Q,_,G,K,H,Z),ee={local:V,remote:W,content:this.Hb(Q,V.added,V.updated,V.removed),localChange:V.added.length>0||V.removed.length>0||V.updated.length>0?2:0,remoteChange:W!==null?2:0},ne=this.Ob(Q,!1);return[{skippedExtensions:K,builtinExtensions:Z,baseResource:this.xb,baseContent:G?this.Ob(G,!1):ne,localResource:this.yb,localContent:ne,localExtensions:Q,remoteResource:this.zb,remoteExtensions:_,remoteContent:_?this.Ob(_,!1):null,previewResource:this.wb,previewResult:ee,localChange:ee.localChange,remoteChange:ee.remoteChange,acceptedResource:this.Ab}]}async ub(z){const U=z.syncData?await v(z.syncData,this.Cb):null,{localExtensions:_,ignoredExtensions:K}=await this.Bb.getLocalExtensions(this.syncResource.profile),{remote:Z}=(0,s.$92b)(_,U,U,z.skippedExtensions||[],K,z.builtinExtensions||[]);return Z!==null}Hb(z,U,_,K){const Z=[...U,..._],G=new Set,Q=H=>{G.add(H.id.toLowerCase()),H.uuid&&G.add(H.uuid)};Z.forEach(({identifier:H})=>Q(H)),K.forEach(Q);for(const H of z)G.has(H.identifier.id.toLowerCase())||H.identifier.uuid&&G.has(H.identifier.uuid)||Z.push(H);return this.Ob(Z,!1)}async rb(z,U){return{...z.previewResult,hasConflicts:!1}}async sb(z,U,_,K){if(this.h.isEqual(U,this.yb))return this.Kb(z);if(this.h.isEqual(U,this.zb))return this.Lb(z);if(this.h.isEqual(U,this.wb))return z.previewResult;throw new Error(`Invalid Resource: ${U.toString()}`)}async Kb(z){const U=await this.Cb.getInstalled(void 0,this.syncResource.profile.extensionsResource),_=this.Db.getIgnoredExtensions(U),K=(0,s.$92b)(z.localExtensions,null,null,z.skippedExtensions,_,z.builtinExtensions),{local:Z,remote:G}=K;return{content:z.localContent,local:Z,remote:G,localChange:Z.added.length>0||Z.removed.length>0||Z.updated.length>0?2:0,remoteChange:G!==null?2:0}}async Lb(z){const U=await this.Cb.getInstalled(void 0,this.syncResource.profile.extensionsResource),_=this.Db.getIgnoredExtensions(U),K=z.remoteContent?JSON.parse(z.remoteContent):null;if(K!==null){const Z=(0,s.$92b)(z.localExtensions,K,z.localExtensions,[],_,z.builtinExtensions),{local:G,remote:Q}=Z;return{content:z.remoteContent,local:G,remote:Q,localChange:G.added.length>0||G.removed.length>0||G.updated.length>0?2:0,remoteChange:Q!==null?2:0}}else return{content:z.remoteContent,local:{added:[],removed:[],updated:[]},remote:null,localChange:0,remoteChange:0}}async tb(z,U,_,K){let{skippedExtensions:Z,builtinExtensions:G,localExtensions:Q}=_[0][0];const{local:H,remote:V,localChange:W,remoteChange:ee}=_[0][1];if(W===0&&ee===0&&this.O.info(`${this.D}: No changes found during synchronizing extensions.`),W!==0&&(await this.nb(JSON.stringify(Q)),Z=await this.Bb.updateLocalExtensions(H.added,H.removed,H.updated,Z,this.syncResource.profile)),V){this.O.trace(`${this.D}: Updating remote extensions...`);const ne=JSON.stringify(V.all);z=await this.mb(ne,K?null:z.ref),this.O.info(`${this.D}: Updated remote extensions.${V.added.length?` Added: ${JSON.stringify(V.added.map(re=>re.identifier.id))}.`:""}${V.updated.length?` Updated: ${JSON.stringify(V.updated.map(re=>re.identifier.id))}.`:""}${V.removed.length?` Removed: ${JSON.stringify(V.removed.map(re=>re.identifier.id))}.`:""}`)}U?.ref!==z.ref&&(this.O.trace(`${this.D}: Updating last synchronized extensions...`),G=this.Nb(Q,G),await this.fb(z,{skippedExtensions:Z,builtinExtensions:G}),this.O.info(`${this.D}: Updated last synchronized extensions.${Z.length?` Skipped: ${JSON.stringify(Z.map(ne=>ne.identifier.id))}.`:""}`))}Nb(z,U){const _=new Set,K=[];for(const Z of z)_.add(Z.identifier.id.toLowerCase()),Z.installed||K.push(Z.identifier);if(U)for(const Z of U)_.has(Z.id.toLowerCase())||K.push(Z);return K}async resolveContent(z){if(this.h.isEqual(this.zb,z)||this.h.isEqual(this.xb,z)||this.h.isEqual(this.yb,z)||this.h.isEqual(this.Ab,z)){const U=await this.db(z);return U&&this.Ob(JSON.parse(U),!0)}return null}Ob(z,U){return f(z,U)}async hasLocalData(){try{const{localExtensions:z}=await this.Bb.getLocalExtensions(this.syncResource.profile);if(z.some(U=>U.installed||U.disabled))return!0}catch{}return!1}};e.$_2b=b,e.$_2b=b=ye([x(2,P.$Sh),x(3,d.$7j),x(4,w.$Wo),x(5,r.$ngb),x(6,r.$ogb),x(7,m.$3n),x(8,i.$aCb),x(9,r.$Cgb),x(10,g.$fi),x(11,r.$xgb),x(12,S.$0k),x(13,$.$Ou),x(14,t.$Dk),x(15,o.$AAb),x(16,u.$Kh)],b);let L=class{constructor(z,U,_,K,Z,G){this.a=z,this.b=U,this.c=_,this.d=K,this.f=Z,this.g=G}async getLocalExtensions(z){const U=await this.a.getInstalled(void 0,z.extensionsResource),_=this.d.getIgnoredExtensions(U);return{localExtensions:await this.j(z,async(Z,G)=>{const Q=Z.getDisabledExtensions();return U.map(H=>{const{identifier:V,isBuiltin:W,manifest:ee,preRelease:ne,pinned:re,isApplicationScoped:X}=H,B={identifier:V,preRelease:ne,version:ee.version,pinned:!!re};X&&!(0,y.$Zl)(ee)&&(B.isApplicationScoped=X),Q.some(k=>(0,c.$qo)(k,V))&&(B.disabled=!0),W||(B.installed=!0);try{const k=G.getKeysForSync({id:V.id,version:ee.version});if(k){const R=G.getExtensionState(H,!0)||{};B.state=Object.keys(R).reduce((q,M)=>(k.includes(M)&&(q[M]=R[M]),q),{})}}catch(k){this.g.info(`${(0,n.$rBb)("extensions",z)}: Error while parsing extension state`,(0,j.$8)(k))}return B})}),ignoredExtensions:_}}async updateLocalExtensions(z,U,_,K,Z){const G=(0,n.$rBb)("extensions",Z),Q=[],H=new Map,V=[],W=[],ee=await this.a.getInstalled(void 0,Z.extensionsResource);if((z.length||_.length)&&await this.j(Z,async(X,B)=>{await O.Promises.settled([...z,..._].map(async k=>{const R=ee.find(J=>(0,c.$qo)(J.identifier,k.identifier));if(R&&R.isBuiltin){k.state&&R.manifest.version===k.version&&this.h(k.state,R,R.manifest.version,B),X.getDisabledExtensions().some(Y=>(0,c.$qo)(Y,k.identifier))!==!!k.disabled&&(k.disabled?(this.g.trace(`${G}: Disabling extension...`,k.identifier.id),await X.disableExtension(k.identifier),this.g.info(`${G}: Disabled extension`,k.identifier.id)):(this.g.trace(`${G}: Enabling extension...`,k.identifier.id),await X.enableExtension(k.identifier),this.g.info(`${G}: Enabled extension`,k.identifier.id))),V.push(k.identifier);return}const q=k.pinned?k.version:void 0,M=(await this.c.getExtensions([{...k.identifier,version:q,preRelease:q?void 0:k.preRelease}],N.CancellationToken.None))[0];if(k.state&&(R?R.manifest.version===k.version:M)&&this.h(k.state,R||M,R?.manifest.version,B),M)try{X.getDisabledExtensions().some(Y=>(0,c.$qo)(Y,k.identifier))!==!!k.disabled&&(k.disabled?(this.g.trace(`${G}: Disabling extension...`,k.identifier.id,M.version),await X.disableExtension(M.identifier),this.g.info(`${G}: Disabled extension`,k.identifier.id,M.version)):(this.g.trace(`${G}: Enabling extension...`,k.identifier.id,M.version),await X.enableExtension(M.identifier),this.g.info(`${G}: Enabled extension`,k.identifier.id,M.version))),(!R||R.preRelease!==k.preRelease||R.pinned!==k.pinned||q&&R.manifest.version!==q)&&(await this.a.canInstall(M)?(Q.push({extension:M,options:{isMachineScoped:!1,donotIncludePackAndDependencies:!0,installGivenVersion:k.pinned&&!!k.version,installPreReleaseVersion:k.preRelease,profileLocation:Z.extensionsResource,isApplicationScoped:k.isApplicationScoped,context:{[m.$Qn]:!0,[m.$Rn]:!0}}}),H.set(M.identifier.id.toLowerCase(),k)):(this.g.info(`${G}: Skipped synchronizing extension because it cannot be installed.`,M.displayName||M.identifier.id),W.push(k)))}catch(J){W.push(k),this.g.error(J),this.g.info(`${G}: Skipped synchronizing extension`,M.displayName||M.identifier.id)}else W.push(k),this.g.info(`${G}: Skipped synchronizing extension because the extension is not found.`,k.identifier.id)}))}),U.length){const X=ee.filter(({identifier:B,isBuiltin:k})=>!k&&U.some(R=>(0,c.$qo)(B,R)));await O.Promises.settled(X.map(async B=>{this.g.trace(`${G}: Uninstalling local extension...`,B.identifier.id),await this.a.uninstall(B,{donotIncludePack:!0,donotCheckDependents:!0,profileLocation:Z.extensionsResource}),this.g.info(`${G}: Uninstalled local extension.`,B.identifier.id),V.push(B.identifier)}))}const ne=await this.a.installGalleryExtensions(Q);for(const{identifier:X,local:B,error:k,source:R}of ne){const q=R;if(B)this.g.info(`${G}: Installed extension.`,X.id,q.version),V.push(X);else{const M=H.get(X.id.toLowerCase());M&&(W.push(M),this.g.info(`${G}: Skipped synchronizing extension`,q.displayName||q.identifier.id)),k instanceof m.$2n&&[m.ExtensionManagementErrorCode.Incompatible,m.ExtensionManagementErrorCode.IncompatibleTargetPlatform].includes(k.code)?this.g.info(`${G}: Skipped synchronizing extension because the compatible extension is not found.`,q.displayName||q.identifier.id):k&&this.g.error(k)}}const re=[];for(const X of K)V.some(B=>(0,c.$qo)(B,X.identifier))||re.push(X);for(const X of W)re.some(B=>(0,c.$qo)(B.identifier,X.identifier))||re.push(X);return re}h(z,U,_,K){const Z=K.getExtensionState(U,!0)||{},G=_?K.getKeysForSync({id:U.identifier.id,version:_}):void 0;G?G.forEach(Q=>{Z[Q]=z[Q]}):Object.keys(z).forEach(Q=>Z[Q]=z[Q]),K.setExtensionState(U,Z,!0)}async j(z,U){return this.b.withProfileScopedStorageService(z,async _=>{const K=new I.$Pc,Z=this.f.createChild(new l.$Jh([w.$Wo,_])),G=K.add(Z.createInstance(E.$Yzb)),Q=K.add(Z.createInstance($.$Pu));try{return await U(G,Q)}finally{K.dispose()}})}};e.$a3b=L,e.$a3b=L=ye([x(0,m.$3n),x(1,o.$AAb),x(2,m.$1n),x(3,i.$aCb),x(4,u.$Kh),x(5,r.$Cgb)],L);let F=class extends n.$vBb{constructor(z,U,_,K,Z,G,Q,H){super("extensions",K,Z,G,_,Q,H),this.p=z,this.q=U}async t(z){return z.syncData?await v(z.syncData,this.p):null}u(z,U){const _=[],K=[],Z=[];for(const G of z){if(this.q.hasToNeverSyncExtension(G.identifier.id))continue;const Q=U.find(H=>(0,c.$qo)(H.identifier,G.identifier));Q?(_.push(Q),G.disabled&&Z.push(G.identifier)):G.installed&&(K.push({...G.identifier,preRelease:!!G.preRelease}),G.disabled&&Z.push(G.identifier))}return{installedExtensions:_,newExtensions:K,disabledExtensions:Z,remoteExtensions:z}}};e.$b3b=F,e.$b3b=F=ye([x(0,m.$3n),x(1,i.$aCb),x(2,d.$7j),x(3,a.$Fk),x(4,P.$Sh),x(5,h.$6i),x(6,w.$Wo),x(7,t.$Dk)],F)}),define(oe[116],ae([0,1,15,8,3,35,41,6,32,19,14,11,7,43,20,22,28,39,77,236,25,17,58,4]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$BBb=e.$ABb=e.$zBb=e.$yBb=e.$xBb=void 0;const n="globalState.argv.",s=["locale"];function i(b,L){const F=b.storage?Object.keys(b.storage).sort():[],T={};return F.forEach(z=>T[z]=b.storage[z]),b.storage=T,L?(0,D.$FS)(b,{}):JSON.stringify(b)}e.$xBb=i;const r=1;let o=class extends u.$sBb{constructor(L,F,T,z,U,_,K,Z,G,Q,H,V,W,ee){super({syncResource:"globalState",profile:L},F,z,Z,V,U,_,G,Q,K,H,W),this.Bb=T,this.pb=r,this.vb=this.h.joinPath(this.g,"globalState.json"),this.wb=this.vb.with({scheme:w.$Egb,authority:"base"}),this.xb=this.vb.with({scheme:w.$Egb,authority:"local"}),this.yb=this.vb.with({scheme:w.$Egb,authority:"remote"}),this.zb=this.vb.with({scheme:w.$Egb,authority:"accepted"}),this.Ab=ee.createInstance(v),this.B(z.watch(this.h.dirname(this.H.argvResource))),this.B(j.Event.any(j.Event.filter(z.onDidFilesChange,ne=>ne.contains(this.H.argvResource)),j.Event.filter(T.onDidChange,ne=>!!(ne.targetChanges.some(re=>this.syncResource.profile.id===re.id)||ne.valueChanges.some(({profile:re,changes:X})=>this.syncResource.profile.id===re.id&&X.some(B=>B.target===0)))))(()=>this.Q()))}async qb(L,F,T){const z=L.syncData?JSON.parse(L.syncData.content):null;F=F===null&&T?L:F;const U=F&&F.syncData?JSON.parse(F.syncData.content):null,_=await this.Ab.getLocalGlobalState(this.syncResource.profile);z?this.O.trace(`${this.D}: Merging remote ui state with local ui state...`):this.O.trace(`${this.D}: Remote ui state does not exist. Synchronizing ui state for the first time.`);const K=await this.Jb(U),{local:Z,remote:G}=(0,h.$wBb)(_.storage,z?z.storage:null,U?U.storage:null,K,this.O),Q={content:null,local:Z,remote:G,localChange:Object.keys(Z.added).length>0||Object.keys(Z.updated).length>0||Z.removed.length>0?2:0,remoteChange:G.all!==null?2:0},H=i(_,!1);return[{baseResource:this.wb,baseContent:U?i(U,!1):H,localResource:this.xb,localContent:H,localUserData:_,remoteResource:this.yb,remoteContent:z?i(z,!1):null,previewResource:this.vb,previewResult:Q,localChange:Q.localChange,remoteChange:Q.remoteChange,acceptedResource:this.zb,storageKeys:K}]}async ub(L){const F=L.syncData?JSON.parse(L.syncData.content):null;if(F===null)return!0;const T=await this.Ab.getLocalGlobalState(this.syncResource.profile),z=await this.Jb(F),{remote:U}=(0,h.$wBb)(T.storage,F.storage,F.storage,z,this.O);return U.all!==null}async rb(L,F){return{...L.previewResult,hasConflicts:!1}}async sb(L,F,T,z){if(this.h.isEqual(F,this.xb))return this.Gb(L);if(this.h.isEqual(F,this.yb))return this.Hb(L);if(this.h.isEqual(F,this.vb))return L.previewResult;throw new Error(`Invalid Resource: ${F.toString()}`)}async Gb(L){return{content:L.localContent,local:{added:{},removed:[],updated:{}},remote:{added:Object.keys(L.localUserData.storage),removed:[],updated:[],all:L.localUserData.storage},localChange:0,remoteChange:2}}async Hb(L){if(L.remoteContent!==null){const F=JSON.parse(L.remoteContent),{local:T,remote:z}=(0,h.$wBb)(L.localUserData.storage,F.storage,null,L.storageKeys,this.O);return{content:L.remoteContent,local:T,remote:z,localChange:Object.keys(T.added).length>0||Object.keys(T.updated).length>0||T.removed.length>0?2:0,remoteChange:z!==null?2:0}}else return{content:L.remoteContent,local:{added:{},removed:[],updated:{}},remote:{added:[],removed:[],updated:[],all:null},localChange:0,remoteChange:0}}async tb(L,F,T,z){const{localUserData:U}=T[0][0],{local:_,remote:K,localChange:Z,remoteChange:G}=T[0][1];if(Z===0&&G===0&&this.O.info(`${this.D}: No changes found during synchronizing ui state.`),Z!==0&&(this.O.trace(`${this.D}: Updating local ui state...`),await this.nb(JSON.stringify(U)),await this.Ab.writeLocalGlobalState(_,this.syncResource.profile),this.O.info(`${this.D}: Updated local ui state`)),G!==0){this.O.trace(`${this.D}: Updating remote ui state...`);const Q=JSON.stringify({storage:K.all});L=await this.mb(Q,z?null:L.ref),this.O.info(`${this.D}: Updated remote ui state.${K.added.length?` Added: ${K.added}.`:""}${K.updated.length?` Updated: ${K.updated}.`:""}${K.removed.length?` Removed: ${K.removed}.`:""}`)}F?.ref!==L.ref&&(this.O.trace(`${this.D}: Updating last synchronized ui state...`),await this.fb(L),this.O.info(`${this.D}: Updated last synchronized ui state`))}async resolveContent(L){if(this.h.isEqual(this.yb,L)||this.h.isEqual(this.wb,L)||this.h.isEqual(this.xb,L)||this.h.isEqual(this.zb,L)){const F=await this.db(L);return F&&i(JSON.parse(F),!0)}return null}async hasLocalData(){try{const{storage:L}=await this.Ab.getLocalGlobalState(this.syncResource.profile);if(Object.keys(L).length>1||L[`${n}.locale`]?.value!=="en")return!0}catch{}return!1}async Jb(L){const F=await this.Bb.readStorageData(this.syncResource.profile),T=[],z=[];for(const[K,Z]of F)Z.target===0?T.push(K):Z.target===1&&z.push(K);const U=[...T,...z],_=L?.storage?Object.keys(L.storage).filter(K=>!K.startsWith(n)&&!U.includes(K)&&F.get(K)!==void 0):[];if(!I.$o){const K=[...w.$jgb.map(Z=>(0,w.$wgb)(Z)),w.$vgb];_.push(...K),z.push(...K)}return{user:T,machine:z,unregistered:_}}};e.$yBb=o,e.$yBb=o=ye([x(2,t.$AAb),x(3,E.$7j),x(4,w.$ngb),x(5,w.$ogb),x(6,w.$Cgb),x(7,P.$Sh),x(8,w.$xgb),x(9,y.$0k),x(10,g.$fi),x(11,$.$Wo),x(12,d.$Dk),x(13,a.$Kh)],o);let v=class{constructor(L,F,T,z){this.a=L,this.b=F,this.c=T,this.d=z}async getLocalGlobalState(L){const F={};if(L.isDefault){const z=await this.f(),U=(0,A.$Mm)(z);for(const _ of s)U[_]!==void 0&&(F[`${n}${_}`]={version:1,value:U[_]})}const T=await this.c.readStorageData(L);for(const[z,U]of T)U.value&&U.target===0&&(F[z]={version:1,value:U.value});return{storage:F}}async f(){try{this.d.debug("GlobalStateSync#getLocalArgvContent",this.b.argvResource);const L=await this.a.readFile(this.b.argvResource);return this.d.debug("GlobalStateSync#getLocalArgvContent - Resolved",this.b.argvResource),L.value.toString()}catch(L){this.d.debug((0,N.$8)(L))}return"{}"}async writeLocalGlobalState({added:L,removed:F,updated:T},z){const U=(0,u.$rBb)("globalState",z),_={},K=new Map,Z=await this.c.readStorageData(z),G=(Q,H)=>{for(const V of Q){if(V.startsWith(n)){_[V.substring(n.length)]=H?H[V].value:void 0;continue}if(H){const W=H[V];W.value!==Z.get(V)?.value&&K.set(V,W.value)}else Z.get(V)!==void 0&&K.set(V,void 0)}};if(G(Object.keys(L),L),G(Object.keys(T),T),G(F),Object.keys(_).length){this.d.trace(`${U}: Updating locale...`);const Q=await this.f();let H=Q;for(const V of Object.keys(_))H=(0,l.edit)(H,[V],_[V],{});Q!==H&&(this.d.trace(`${U}: Updating locale...`),await this.a.writeFile(this.b.argvResource,O.$_d.fromString(H)),this.d.info(`${U}: Updated locale.`)),this.d.info(`${U}: Updated locale`)}K.size&&(this.d.trace(`${U}: Updating global state...`),await this.c.updateStorageData(z,K,0),this.d.info(`${U}: Updated global state`,[...K.keys()]))}};e.$zBb=v,e.$zBb=v=ye([x(0,E.$7j),x(1,P.$Sh),x(2,t.$AAb),x(3,w.$Cgb)],v);let p=class extends u.$vBb{constructor(L,F,T,z,U,_){super("globalState",T,z,U,F,L,_)}async o(L){const F=L.syncData?JSON.parse(L.syncData.content):null;if(!F){this.j.info("Skipping initializing global state because remote global state does not exist.");return}const T={},z={};for(const U of Object.keys(F.storage))U.startsWith(n)?T[U.substring(n.length)]=F.storage[U].value:this.l.get(U,0)===void 0&&(z[U]=F.storage[U].value);if(Object.keys(T).length){let U="{}";try{U=(await this.k.readFile(this.h.argvResource)).value.toString()}catch{}for(const _ of Object.keys(T))U=(0,l.edit)(U,[_],T[_],{});await this.k.writeFile(this.h.argvResource,O.$_d.fromString(U))}if(Object.keys(z).length){const U=[];for(const _ of Object.keys(z))U.push({key:_,value:z[_],scope:0,target:0});this.l.storeAll(U,!0)}}};e.$ABb=p,e.$ABb=p=ye([x(0,$.$Wo),x(1,E.$7j),x(2,S.$Fk),x(3,P.$Sh),x(4,w.$Cgb),x(5,d.$Dk)],p);let f=class{constructor(L,F,T,z,U){this.a=L,this.b=F,this.c=T,this.d=z,this.f=U}getSyncStoreType(L){return this.h(L)?.storage[w.$vgb]?.value}async sync(L){const F=(0,w.$rgb)((0,C.$bg)());try{return await this.g(L,F)}catch(T){if(T instanceof w.$sgb)switch(T.code){case"PreconditionFailed":return this.f.info("Failed to synchronize UserDataSyncStoreType as there is a new remote version available. Synchronizing again..."),this.g(L,F)}throw T}}async g(L,F){const T=await this.a.readResource("globalState",null,void 0,F),z=this.h(T)||{storage:{}};z.storage[w.$vgb]={value:L,version:r};const U=await(0,c.$3o)(this.c,this.d,this.b),_={version:r,machineId:U,content:i(z,!1)};await this.a.writeResource("globalState",JSON.stringify(_),T.ref,void 0,F)}h({content:L}){if(!L)return null;const F=JSON.parse(L);if((0,u.$qBb)(F))return F?JSON.parse(F.content):null;throw new Error("Invalid remote data")}};e.$BBb=f,e.$BBb=f=ye([x(1,$.$Wo),x(2,P.$Sh),x(3,E.$7j),x(4,m.$6i)],f)}),define(oe[117],ae([0,1,18,15,3,35,6,12,171,19,14,11,20,22,28,17,39,233,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$f3b=e.$e3b=e.$d3b=void 0;function h(t,a,n){try{const s=JSON.parse(t);if(!a)return(0,I.$Df)(s.all)?null:s.all;switch(D.OS){case 2:return(0,I.$Df)(s.mac)?null:s.mac;case 3:return(0,I.$Df)(s.linux)?null:s.linux;case 1:return(0,I.$Df)(s.windows)?null:s.windows}}catch(s){return n.error(s),null}}e.$d3b=h;let w=class extends d.$uBb{constructor(a,n,s,i,r,o,v,p,f,b,L,F,T){super(a.keybindingsResource,{syncResource:"keybindings",profile:a},n,p,f,b,s,i,v,F,r,L,o,T),this.pb=2,this.Eb=this.h.joinPath(this.g,"keybindings.json"),this.Fb=this.Eb.with({scheme:l.$Egb,authority:"base"}),this.Gb=this.Eb.with({scheme:l.$Egb,authority:"local"}),this.Hb=this.Eb.with({scheme:l.$Egb,authority:"remote"}),this.Ib=this.Eb.with({scheme:l.$Egb,authority:"accepted"}),this.B(j.Event.filter(o.onDidChangeConfiguration,z=>z.affectsConfiguration("settingsSync.keybindingsPerPlatform"))(()=>this.Q()))}async qb(a,n,s,i){const r=a.syncData?h(a.syncData.content,i.keybindingsPerPlatform??this.Qb(),this.O):null;n=n===null&&s?a:n;const o=n?this.Ob(n):null,v=await this.vb(),p=await this.Cb();let f=null,b=!1,L=!1,F=!1;if(r){let U=v?v.value.toString():"[]";if(U=U||"[]",this.Ab(U,!0))throw new l.$sgb((0,C.localize)(0,null),"LocalInvalidContent",this.resource);if(!o||o!==U||o!==r){this.O.trace(`${this.D}: Merging remote keybindings with local keybindings...`);const _=await(0,u.$c3b)(U,r,o,p,this.zb);_.hasChanges&&(f=_.mergeContent,F=_.hasConflicts,b=F||_.mergeContent!==U,L=F||_.mergeContent!==r)}}else v&&(this.O.trace(`${this.D}: Remote keybindings does not exist. Synchronizing keybindings for the first time.`),f=v.value.toString(),L=!0);const T={content:F?o:f,localChange:b?v?2:1:0,remoteChange:L?2:0,hasConflicts:F},z=v?v.value.toString():null;return[{fileContent:v,baseResource:this.Fb,baseContent:o,localResource:this.Gb,localContent:z,localChange:T.localChange,remoteResource:this.Hb,remoteContent:r,remoteChange:T.remoteChange,previewResource:this.Eb,previewResult:T,acceptedResource:this.Ib}]}async ub(a){const n=this.Ob(a);if(n===null)return!0;const s=await this.vb(),i=s?s.value.toString():"",r=await this.Cb(),o=await(0,u.$c3b)(i||"[]",n,n,r,this.zb);return o.hasConflicts||o.mergeContent!==n}async rb(a,n){return a.previewResult}async sb(a,n,s,i){if(this.h.isEqual(n,this.Gb))return{content:a.fileContent?a.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.h.isEqual(n,this.Hb))return{content:a.remoteContent,localChange:2,remoteChange:0};if(this.h.isEqual(n,this.Eb))return s===void 0?{content:a.previewResult.content,localChange:a.previewResult.localChange,remoteChange:a.previewResult.remoteChange}:{content:s,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${n.toString()}`)}async tb(a,n,s,i){const{fileContent:r}=s[0][0];let{content:o,localChange:v,remoteChange:p}=s[0][1];if(v===0&&p===0&&this.O.info(`${this.D}: No changes found during synchronizing keybindings.`),o!==null&&(o=o.trim(),o=o||"[]",this.Ab(o,!0)))throw new l.$sgb((0,C.localize)(1,null),"LocalInvalidContent",this.resource);if(v!==0&&(this.O.trace(`${this.D}: Updating local keybindings...`),r&&await this.nb(this.Pb(r.value.toString())),await this.wb(o||"[]",r,i),this.O.info(`${this.D}: Updated local keybindings`)),p!==0){this.O.trace(`${this.D}: Updating remote keybindings...`);const f=this.Pb(o||"[]",a.syncData?.content);a=await this.mb(f,i?null:a.ref),this.O.info(`${this.D}: Updated remote keybindings`)}try{await this.G.del(this.Eb)}catch{}n?.ref!==a.ref&&(this.O.trace(`${this.D}: Updating last synchronized keybindings...`),await this.fb(a,{platformSpecific:this.Qb()}),this.O.info(`${this.D}: Updated last synchronized keybindings`))}async hasLocalData(){try{const a=await this.vb();if(a){const n=(0,A.$Mm)(a.value.toString());if((0,O.$Jb)(n))return!0}}catch(a){if(a.fileOperationResult!==1)return!0}return!1}async resolveContent(a){return this.h.isEqual(this.Hb,a)||this.h.isEqual(this.Fb,a)||this.h.isEqual(this.Gb,a)||this.h.isEqual(this.Ib,a)?this.db(a):null}Ob(a){return!a.syncData||a.platformSpecific!==void 0&&a.platformSpecific!==this.Qb()?null:h(a.syncData.content,this.Qb(),this.O)}Pb(a,n){let s={};try{s=JSON.parse(n||"{}")}catch(i){this.O.error(i)}switch(this.Qb()?delete s.all:s.all=a,D.OS){case 2:s.mac=a;break;case 3:s.linux=a;break;case 1:s.windows=a;break}return JSON.stringify(s)}Qb(){return!!this.P.getValue(l.$ggb)}};e.$e3b=w,e.$e3b=w=ye([x(2,l.$ngb),x(3,l.$ogb),x(4,l.$Cgb),x(5,g.$fi),x(6,l.$xgb),x(7,E.$7j),x(8,P.$Sh),x(9,m.$Wo),x(10,l.$Bgb),x(11,c.$0k),x(12,$.$Dk)],w);let S=class extends d.$vBb{constructor(a,n,s,i,r,o){super("keybindings",n,s,i,a,r,o)}async o(a){const n=a.syncData?this.p(a.syncData.content):null;if(!n){this.j.info("Skipping initializing keybindings because remote keybindings does not exist.");return}if(!await this.i()){this.j.info("Skipping initializing keybindings because local keybindings exist.");return}await this.k.writeFile(this.g.defaultProfile.keybindingsResource,N.$_d.fromString(n)),await this.n(a)}async i(){try{const a=await this.k.readFile(this.g.defaultProfile.settingsResource),n=(0,A.$Mm)(a.value.toString());return!(0,O.$Jb)(n)}catch(a){return a.fileOperationResult===1}}p(a){try{return h(a,!0,this.j)}catch(n){return this.j.error(n),null}}};e.$f3b=S,e.$f3b=S=ye([x(0,E.$7j),x(1,y.$Fk),x(2,P.$Sh),x(3,l.$Cgb),x(4,m.$Wo),x(5,$.$Dk)],S)}),define(oe[118],ae([0,1,15,3,172,19,73,14,29,11,20,22,28,17,39,237,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$i3b=e.$h3b=e.$g3b=void 0;function u(S){return S&&S.settings&&typeof S.settings=="string"&&Object.keys(S).length===1}function l(S){const t=JSON.parse(S);return u(t)?t:{settings:S}}e.$g3b=l;let h=class extends $.$uBb{constructor(t,a,n,s,i,r,o,v,p,f,b,L,F,T){super(t.settingsResource,{syncResource:"settings",profile:t},a,n,s,i,r,o,b,L,v,p,f,T),this.Eb=F,this.pb=2,this.previewResource=this.h.joinPath(this.g,"settings.json"),this.baseResource=this.previewResource.with({scheme:d.$Egb,authority:"base"}),this.localResource=this.previewResource.with({scheme:d.$Egb,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:d.$Egb,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:d.$Egb,authority:"accepted"}),this.Ob=void 0}async getRemoteUserDataSyncConfiguration(t){const a=await this.getLastSyncUserData(),n=await this.X(t,a),s=this.Lb(n),i=new D.$sn(d.$fgb);return s?.settings&&i.parse(s.settings),i.configurationModel.getValue(d.$fgb)||{}}async qb(t,a,n){const s=await this.vb(),i=await this.Cb(),r=this.Lb(t);a=a===null&&n?t:a;const o=a?this.Lb(a):null,v=await this.Pb();let p=null,f=!1,b=!1,L=!1;if(r){let U=s?s.value.toString().trim():"{}";U=U||"{}",this.Qb(U),this.O.trace(`${this.D}: Merging remote settings with local settings...`);const _=(0,y.$hAb)(U,r.settings,o?o.settings:null,v,[],i);p=_.localContent||_.remoteContent,f=_.localContent!==null,b=_.remoteContent!==null,L=_.hasConflicts}else s&&(this.O.trace(`${this.D}: Remote settings does not exist. Synchronizing settings for the first time.`),p=s.value.toString().trim()||"{}",this.Qb(p),b=!0);const F=s?s.value.toString():null,T=o?.settings??null,z={content:L?T:p,localChange:f?2:0,remoteChange:b?2:0,hasConflicts:L};return[{fileContent:s,baseResource:this.baseResource,baseContent:T,localResource:this.localResource,localContent:F,localChange:z.localChange,remoteResource:this.remoteResource,remoteContent:r?r.settings:null,remoteChange:z.remoteChange,previewResource:this.previewResource,previewResult:z,acceptedResource:this.acceptedResource}]}async ub(t){const a=this.Lb(t);if(a===null)return!0;const n=await this.vb(),s=n?n.value.toString().trim():"",i=await this.Pb(),r=await this.Cb();return(0,y.$hAb)(s||"{}",a.settings,a.settings,i,[],r).remoteContent!==null}async rb(t,a){const n=await this.Cb(),s=await this.Pb();return{...t.previewResult,content:t.previewResult.content?(0,y.$gAb)(t.previewResult.content,"{}",s,n):null}}async sb(t,a,n,s){const i=await this.Cb(),r=await this.Pb();if(this.h.isEqual(a,this.localResource))return{content:t.fileContent?(0,y.$gAb)(t.fileContent.value.toString(),"{}",r,i):null,localChange:0,remoteChange:2};if(this.h.isEqual(a,this.remoteResource))return{content:t.remoteContent!==null?(0,y.$gAb)(t.remoteContent,t.fileContent?t.fileContent.value.toString():"{}",r,i):null,localChange:2,remoteChange:0};if(this.h.isEqual(a,this.previewResource))return n===void 0?{content:t.previewResult.content,localChange:t.previewResult.localChange,remoteChange:t.previewResult.remoteChange}:{content:n!==null?(0,y.$gAb)(n,t.fileContent?t.fileContent.value.toString():"{}",r,i):null,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${a.toString()}`)}async tb(t,a,n,s){const{fileContent:i}=n[0][0];let{content:r,localChange:o,remoteChange:v}=n[0][1];if(o===0&&v===0&&this.O.info(`${this.D}: No changes found during synchronizing settings.`),r=r?r.trim():"{}",r=r||"{}",this.Qb(r),o!==0&&(this.O.trace(`${this.D}: Updating local settings...`),i&&await this.nb(JSON.stringify(this.Nb(i.value.toString()))),await this.wb(r,i,s),await this.P.reloadConfiguration(3),this.O.info(`${this.D}: Updated local settings`)),v!==0){const p=await this.Cb(),f=this.Lb(t),b=await this.Pb(r);r=(0,y.$gAb)(r,f?f.settings:"{}",b,p),this.O.trace(`${this.D}: Updating remote settings...`),t=await this.mb(JSON.stringify(this.Nb(r)),s?null:t.ref),this.O.info(`${this.D}: Updated remote settings`)}try{await this.G.del(this.previewResource)}catch{}a?.ref!==t.ref&&(this.O.trace(`${this.D}: Updating last synchronized settings...`),await this.fb(t),this.O.info(`${this.D}: Updated last synchronized settings`))}async hasLocalData(){try{const t=await this.vb();if(t)return!(0,y.$iAb)(t.value.toString())}catch(t){if(t.fileOperationResult!==1)return!0}return!1}async resolveContent(t){return this.h.isEqual(this.remoteResource,t)||this.h.isEqual(this.localResource,t)||this.h.isEqual(this.acceptedResource,t)||this.h.isEqual(this.baseResource,t)?this.db(t):null}async db(t){let a=await super.db(t);if(a){const n=await this.Cb(),s=await this.Pb();a=(0,y.$gAb)(a,"{}",s,n)}return a}Lb(t){return t.syncData?this.Mb(t.syncData.content):null}Mb(t){try{return l(t)}catch(a){this.O.error(a)}return null}Nb(t){return{settings:t}}async Pb(t){if(!this.Ob){this.Ob=this.zb.resolveDefaultIgnoredSettings();const n=this.B(N.Event.any(N.Event.filter(this.Eb.onDidInstallExtensions,s=>s.some(({local:i})=>!!i)),N.Event.filter(this.Eb.onDidUninstallExtension,s=>!s.error))(()=>{n.dispose(),this.Ob=void 0}))}const a=await this.Ob;return(0,y.$eAb)(a,this.P,t)}Qb(t){if(this.Ab(t,!1))throw new d.$sgb((0,j.localize)(0,null),"LocalInvalidContent",this.resource)}};e.$h3b=h,e.$h3b=h=ye([x(2,g.$7j),x(3,I.$Sh),x(4,P.$Wo),x(5,d.$ngb),x(6,d.$ogb),x(7,d.$Cgb),x(8,d.$Bgb),x(9,A.$fi),x(10,d.$xgb),x(11,E.$0k),x(12,C.$3n),x(13,m.$Dk)],h);let w=class extends $.$vBb{constructor(t,a,n,s,i,r){super("settings",a,n,s,t,i,r)}async o(t){const a=t.syncData?this.p(t.syncData.content):null;if(!a){this.j.info("Skipping initializing settings because remote settings does not exist.");return}if(!await this.i()){this.j.info("Skipping initializing settings because local settings exist.");return}await this.k.writeFile(this.g.defaultProfile.settingsResource,O.$_d.fromString(a.settings)),await this.n(t)}async i(){try{const t=await this.k.readFile(this.g.defaultProfile.settingsResource);return(0,y.$iAb)(t.value.toString().trim())}catch(t){return t.fileOperationResult===1}}p(t){try{return l(t)}catch(a){this.j.error(a)}return null}};e.$i3b=w,e.$i3b=w=ye([x(0,g.$7j),x(1,c.$Fk),x(2,I.$Sh),x(3,d.$Cgb),x(4,P.$Wo),x(5,m.$Dk)],w)}),define(oe[119],ae([0,1,15,3,30,19,14,11,20,22,28,17,39,234,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$n3b=e.$m3b=e.$l3b=void 0;function y(l){return JSON.parse(l.content)}e.$l3b=y;let d=class extends m.$sBb{constructor(h,w,S,t,a,n,s,i,r,o,v,p){super({syncResource:"snippets",profile:h},w,t,S,a,n,s,o,v,i,r,p),this.pb=1,this.vb=h.snippetsHome,this.B(this.G.watch(S.userRoamingDataHome)),this.B(this.G.watch(this.vb)),this.B(N.Event.filter(this.G.onDidFilesChange,f=>f.affects(this.vb))(()=>this.Q()))}async qb(h,w,S){const t=await this.Hb(),a=this.Gb(t),n=h.syncData?this.Fb(h.syncData):null;w=w===null&&S?h:w;const s=w&&w.syncData?this.Fb(w.syncData):null;n?this.O.trace(`${this.D}: Merging remote snippets with local snippets...`):this.O.trace(`${this.D}: Remote snippets does not exist. Synchronizing snippets for the first time.`);const i=(0,c.$j3b)(a,n,s);return this.Bb(i,t,n||{},s||{})}async ub(h){const w=h.syncData?this.Fb(h.syncData):null;if(w===null)return!0;const S=await this.Hb(),t=this.Gb(S),a=(0,c.$j3b)(t,w,w);return Object.keys(a.remote.added).length>0||Object.keys(a.remote.updated).length>0||a.remote.removed.length>0||a.conflicts.length>0}async rb(h,w){return h.previewResult}async sb(h,w,S,t){if(this.h.isEqualOrParent(w,this.g.with({scheme:$.$Egb,authority:"local"})))return{content:h.fileContent?h.fileContent.value.toString():null,localChange:0,remoteChange:h.fileContent?h.remoteContent!==null?2:1:3};if(this.h.isEqualOrParent(w,this.g.with({scheme:$.$Egb,authority:"remote"})))return{content:h.remoteContent,localChange:h.remoteContent!==null?h.fileContent?2:1:3,remoteChange:0};if(this.h.isEqualOrParent(w,this.g))return S===void 0?{content:h.previewResult.content,localChange:h.previewResult.localChange,remoteChange:h.previewResult.remoteChange}:{content:S,localChange:S===null?h.fileContent!==null?3:0:2,remoteChange:S===null?h.remoteContent!==null?3:0:2};throw new Error(`Invalid Resource: ${w.toString()}`)}async tb(h,w,S,t){const a=S.map(([n,s])=>({...n,acceptResult:s}));a.every(({localChange:n,remoteChange:s})=>n===0&&s===0)&&this.O.info(`${this.D}: No changes found during synchronizing snippets.`),a.some(({localChange:n})=>n!==0)&&(await this.Cb(a),await this.Db(a,t)),a.some(({remoteChange:n})=>n!==0)&&(h=await this.Eb(a,h,t)),w?.ref!==h.ref&&(this.O.trace(`${this.D}: Updating last synchronized snippets...`),await this.fb(h),this.O.info(`${this.D}: Updated last synchronized snippets`));for(const{previewResource:n}of a)try{await this.G.del(n)}catch{}}Bb(h,w,S,t){const a=new Map;for(const n of Object.keys(h.local.added)){const s={content:h.local.added[n],hasConflicts:!1,localChange:1,remoteChange:0};a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:null,fileContent:null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),localContent:null,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:S[n],previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of Object.keys(h.local.updated)){const s={content:h.local.updated[n],hasConflicts:!1,localChange:2,remoteChange:0},i=w[n]?w[n].value.toString():null;a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:w[n],localContent:i,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:S[n],previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of h.local.removed){const s={content:null,hasConflicts:!1,localChange:3,remoteChange:0},i=w[n]?w[n].value.toString():null;a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:w[n],localContent:i,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:null,previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of Object.keys(h.remote.added)){const s={content:h.remote.added[n],hasConflicts:!1,localChange:0,remoteChange:1},i=w[n]?w[n].value.toString():null;a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:w[n],localContent:i,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:null,previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of Object.keys(h.remote.updated)){const s={content:h.remote.updated[n],hasConflicts:!1,localChange:0,remoteChange:2},i=w[n]?w[n].value.toString():null;a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:w[n],localContent:i,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:S[n],previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of h.remote.removed){const s={content:null,hasConflicts:!1,localChange:0,remoteChange:3};a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:null,localContent:null,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:S[n],previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of h.conflicts){const s={content:t[n]??null,hasConflicts:!0,localChange:w[n]?2:1,remoteChange:S[n]?2:1},i=w[n]?w[n].value.toString():null;a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:w[n]||null,localContent:i,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:S[n]||null,previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}for(const n of Object.keys(w))if(!a.has(n)){const s={content:w[n]?w[n].value.toString():null,hasConflicts:!1,localChange:0,remoteChange:0},i=w[n]?w[n].value.toString():null;a.set(n,{baseResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"base"}),baseContent:t[n]??null,localResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"local"}),fileContent:w[n]||null,localContent:i,remoteResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"remote"}),remoteContent:S[n]||null,previewResource:this.h.joinPath(this.g,n),previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.h.joinPath(this.g,n).with({scheme:$.$Egb,authority:"accepted"})})}return[...a.values()]}async resolveContent(h){return this.h.isEqualOrParent(h,this.g.with({scheme:$.$Egb,authority:"remote"}))||this.h.isEqualOrParent(h,this.g.with({scheme:$.$Egb,authority:"local"}))||this.h.isEqualOrParent(h,this.g.with({scheme:$.$Egb,authority:"base"}))||this.h.isEqualOrParent(h,this.g.with({scheme:$.$Egb,authority:"accepted"}))?this.db(h):null}async hasLocalData(){try{const h=await this.Hb();if(Object.keys(h).length)return!0}catch{}return!1}async Cb(h){const w={};for(const S of h)S.fileContent&&(w[this.h.basename(S.localResource)]=S.fileContent);await this.nb(JSON.stringify(this.Gb(w)))}async Db(h,w){for(const{fileContent:S,acceptResult:t,localResource:a,remoteResource:n,localChange:s}of h)if(s!==0){const i=n?this.h.basename(n):this.h.basename(a),r=this.h.joinPath(this.vb,i);s===3?(this.O.trace(`${this.D}: Deleting snippet...`,this.h.basename(r)),await this.G.del(r),this.O.info(`${this.D}: Deleted snippet`,this.h.basename(r))):s===1?(this.O.trace(`${this.D}: Creating snippet...`,this.h.basename(r)),await this.G.createFile(r,O.$_d.fromString(t.content),{overwrite:w}),this.O.info(`${this.D}: Created snippet`,this.h.basename(r))):(this.O.trace(`${this.D}: Updating snippet...`,this.h.basename(r)),await this.G.writeFile(r,O.$_d.fromString(t.content),w?void 0:S),this.O.info(`${this.D}: Updated snippet`,this.h.basename(r)))}}async Eb(h,w,S){const t=w.syncData?this.Fb(w.syncData):{},a=(0,j.$Wm)(t);for(const{acceptResult:n,localResource:s,remoteResource:i,remoteChange:r}of h)if(r!==0){const o=s?this.h.basename(s):this.h.basename(i);r===3?delete a[o]:a[o]=n.content}return(0,c.$k3b)(t,a)||(this.O.trace(`${this.D}: Updating remote snippets...`),w=await this.mb(JSON.stringify(a),S?null:w.ref),this.O.info(`${this.D}: Updated remote snippets`)),w}Fb(h){return y(h)}Gb(h){const w={};for(const S of Object.keys(h))w[S]=h[S].value.toString();return w}async Hb(){const h={};let w;try{w=await this.G.resolve(this.vb)}catch(S){if(S instanceof I.$ok&&S.fileOperationResult===1)return h;throw S}for(const S of w.children||[]){const t=S.resource,a=this.h.extname(t);if(a===".json"||a===".code-snippets"){const n=this.h.relativePath(this.vb,t),s=await this.G.readFile(t);h[n]=s}}return h}};e.$m3b=d,e.$m3b=d=ye([x(2,D.$Sh),x(3,I.$7j),x(4,C.$Wo),x(5,$.$ngb),x(6,$.$ogb),x(7,$.$Cgb),x(8,A.$fi),x(9,$.$xgb),x(10,g.$0k),x(11,P.$Dk)],d);let u=class extends m.$vBb{constructor(h,w,S,t,a,n){super("snippets",w,S,t,h,a,n)}async o(h){const w=h.syncData?JSON.parse(h.syncData.content):null;if(!w){this.j.info("Skipping initializing snippets because remote snippets does not exist.");return}if(!await this.i()){this.j.info("Skipping initializing snippets because local snippets exist.");return}for(const t of Object.keys(w)){const a=w[t];if(a){const n=this.d.joinPath(this.g.defaultProfile.snippetsHome,t);await this.k.createFile(n,O.$_d.fromString(a)),this.j.info("Created snippet",this.d.basename(n))}}await this.n(h)}async i(){try{return!(await this.k.resolve(this.g.defaultProfile.snippetsHome)).children?.length}catch(h){return h.fileOperationResult===1}}};e.$n3b=u,e.$n3b=u=ye([x(0,I.$7j),x(1,E.$Fk),x(2,D.$Sh),x(3,$.$Cgb),x(4,C.$Wo),x(5,P.$Dk)],u)}),define(oe[120],ae([0,1,15,19,14,11,20,22,28,17,39,25]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$q3b=e.$p3b=e.$o3b=void 0;function m(d,u){try{return JSON.parse(d).tasks??null}catch(l){return u.error(l),null}}e.$o3b=m;let c=class extends P.$tBb{constructor(u,l,h,w,S,t,a,n,s,i,r,o){super(u.tasksResource,{syncResource:"tasks",profile:u},l,n,s,i,h,w,a,r,S,t,o),this.pb=1,this.Ab=this.h.joinPath(this.g,"tasks.json"),this.Bb=this.Ab.with({scheme:E.$Egb,authority:"base"}),this.Cb=this.Ab.with({scheme:E.$Egb,authority:"local"}),this.Db=this.Ab.with({scheme:E.$Egb,authority:"remote"}),this.Eb=this.Ab.with({scheme:E.$Egb,authority:"accepted"})}async qb(u,l,h,w){const S=u.syncData?m(u.syncData.content,this.O):null;l=l===null&&h?u:l;const t=l?.syncData?m(l.syncData.content,this.O):null,a=await this.vb();let n=null,s=!1,i=!1,r=!1;if(u.syncData){const p=a?a.value.toString():null;if(!t||t!==p||t!==S){this.O.trace(`${this.D}: Merging remote tasks with local tasks...`);const f=y(p,S,t);n=f.content,r=f.hasConflicts,s=f.hasLocalChanged,i=f.hasRemoteChanged}}else a&&(this.O.trace(`${this.D}: Remote tasks does not exist. Synchronizing tasks for the first time.`),n=a.value.toString(),i=!0);const o={content:r?t:n,localChange:s?a?2:1:0,remoteChange:i?2:0,hasConflicts:r},v=a?a.value.toString():null;return[{fileContent:a,baseResource:this.Bb,baseContent:t,localResource:this.Cb,localContent:v,localChange:o.localChange,remoteResource:this.Db,remoteContent:S,remoteChange:o.remoteChange,previewResource:this.Ab,previewResult:o,acceptedResource:this.Eb}]}async ub(u){const l=u?.syncData?m(u.syncData.content,this.O):null;if(l===null)return!0;const h=await this.vb(),w=h?h.value.toString():null,S=y(w,l,l);return S.hasLocalChanged||S.hasRemoteChanged}async rb(u,l){return u.previewResult}async sb(u,l,h,w){if(this.h.isEqual(l,this.Cb))return{content:u.fileContent?u.fileContent.value.toString():null,localChange:0,remoteChange:2};if(this.h.isEqual(l,this.Db))return{content:u.remoteContent,localChange:2,remoteChange:0};if(this.h.isEqual(l,this.Ab))return h===void 0?{content:u.previewResult.content,localChange:u.previewResult.localChange,remoteChange:u.previewResult.remoteChange}:{content:h,localChange:2,remoteChange:2};throw new Error(`Invalid Resource: ${l.toString()}`)}async tb(u,l,h,w){const{fileContent:S}=h[0][0],{content:t,localChange:a,remoteChange:n}=h[0][1];if(a===0&&n===0&&this.O.info(`${this.D}: No changes found during synchronizing tasks.`),a!==0&&(this.O.trace(`${this.D}: Updating local tasks...`),S&&await this.nb(JSON.stringify(this.Kb(S.value.toString()))),t?await this.wb(t,S,w):await this.xb(),this.O.info(`${this.D}: Updated local tasks`)),n!==0){this.O.trace(`${this.D}: Updating remote tasks...`);const s=JSON.stringify(this.Kb(t));u=await this.mb(s,w?null:u.ref),this.O.info(`${this.D}: Updated remote tasks`)}try{await this.G.del(this.Ab)}catch{}l?.ref!==u.ref&&(this.O.trace(`${this.D}: Updating last synchronized tasks...`),await this.fb(u),this.O.info(`${this.D}: Updated last synchronized tasks`))}async hasLocalData(){return this.G.exists(this.r)}async resolveContent(u){return this.h.isEqual(this.Db,u)||this.h.isEqual(this.Bb,u)||this.h.isEqual(this.Cb,u)||this.h.isEqual(this.Eb,u)?this.db(u):null}Kb(u){return u?{tasks:u}:{}}};e.$p3b=c,e.$p3b=c=ye([x(2,E.$ngb),x(3,E.$ogb),x(4,E.$Cgb),x(5,N.$fi),x(6,E.$xgb),x(7,A.$7j),x(8,j.$Sh),x(9,D.$Wo),x(10,I.$0k),x(11,C.$Dk)],c);let $=class extends P.$vBb{constructor(u,l,h,w,S,t){super("tasks",l,h,w,u,S,t),this.c=this.g.defaultProfile.tasksResource}async o(u){const l=u.syncData?m(u.syncData.content,this.j):null;if(!l){this.j.info("Skipping initializing tasks because remote tasks does not exist.");return}if(!await this.p()){this.j.info("Skipping initializing tasks because local tasks exist.");return}await this.k.writeFile(this.c,O.$_d.fromString(l)),await this.n(u)}async p(){return this.k.exists(this.c)}};e.$q3b=$,e.$q3b=$=ye([x(0,A.$7j),x(1,g.$Fk),x(2,j.$Sh),x(3,E.$Cgb),x(4,D.$Wo),x(5,C.$Dk)],$);function y(d,u,l){if(d===null&&u===null&&l===null)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};if(d===u)return{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1};const h=l!==d,w=l!==u;return!h&&!w?{content:null,hasLocalChanged:!1,hasRemoteChanged:!1,hasConflicts:!1}:h&&!w?{content:d,hasRemoteChanged:!0,hasLocalChanged:!1,hasConflicts:!1}:w&&!h?{content:u,hasLocalChanged:!0,hasRemoteChanged:!1,hasConflicts:!1}:{content:d,hasLocalChanged:!0,hasRemoteChanged:!0,hasConflicts:!0}}}),define(oe[121],ae([0,1,41,19,14,11,20,22,28,17,39,235,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$74b=e.$64b=e.$54b=void 0;let c=class extends P.$sBb{constructor(u,l,h,w,S,t,a,n,s,i,r,o,v){super({syncResource:"profiles",profile:u},l,w,S,t,a,n,r,o,s,i,v),this.vb=h,this.pb=2,this.previewResource=this.h.joinPath(this.g,"profiles.json"),this.baseResource=this.previewResource.with({scheme:m.$Egb,authority:"base"}),this.localResource=this.previewResource.with({scheme:m.$Egb,authority:"local"}),this.remoteResource=this.previewResource.with({scheme:m.$Egb,authority:"remote"}),this.acceptedResource=this.previewResource.with({scheme:m.$Egb,authority:"accepted"}),this.B(h.onDidChangeProfiles(()=>this.Q()))}async getLastSyncedProfiles(){const u=await this.getLastSyncUserData();return u?.syncData?y(u.syncData):null}async getRemoteSyncedProfiles(u){const l=await this.getLastSyncUserData(),h=await this.X(u,l);return h?.syncData?y(h.syncData):null}async qb(u,l,h){if(!this.vb.isEnabled())throw new m.$sgb("Cannot sync profiles because they are disabled","LocalError");const w=u.syncData?y(u.syncData):null,S=l?.syncData?y(l.syncData):null,t=this.Db(),{local:a,remote:n}=(0,E.$44b)(t,w,S,[]),s={local:a,remote:n,content:S?this.Eb(S):null,localChange:a.added.length>0||a.removed.length>0||a.updated.length>0?2:0,remoteChange:n!==null?2:0},i=$(t,!1);return[{baseResource:this.baseResource,baseContent:S?this.Eb(S):null,localResource:this.localResource,localContent:i,remoteResource:this.remoteResource,remoteContent:w?this.Eb(w):null,remoteProfiles:w,previewResource:this.previewResource,previewResult:s,localChange:s.localChange,remoteChange:s.remoteChange,acceptedResource:this.acceptedResource}]}async ub(u){const l=u?.syncData?y(u.syncData):null,h=this.Db(),{remote:w}=(0,E.$44b)(h,l,l,[]);return!!w?.added.length||!!w?.removed.length||!!w?.updated.length}async rb(u,l){return{...u.previewResult,hasConflicts:!1}}async sb(u,l,h,w){if(this.h.isEqual(l,this.localResource))return this.Ab(u);if(this.h.isEqual(l,this.remoteResource))return this.Bb(u);if(this.h.isEqual(l,this.previewResource))return u.previewResult;throw new Error(`Invalid Resource: ${l.toString()}`)}async Ab(u){const l=this.Db(),h=(0,E.$44b)(l,null,null,[]),{local:w,remote:S}=h;return{content:u.localContent,local:w,remote:S,localChange:w.added.length>0||w.removed.length>0||w.updated.length>0?2:0,remoteChange:S!==null?2:0}}async Bb(u){const l=u.remoteContent?JSON.parse(u.remoteContent):null,h=[],w=[];for(const S of this.Db()){const t=l?.find(a=>a.id===S.id);t&&(h.push({id:S.id,name:S.name,collection:t.collection}),w.push(S))}if(l!==null){const S=(0,E.$44b)(w,l,h,[]),{local:t,remote:a}=S;return{content:u.remoteContent,local:t,remote:a,localChange:t.added.length>0||t.removed.length>0||t.updated.length>0?2:0,remoteChange:a!==null?2:0}}else return{content:u.remoteContent,local:{added:[],removed:[],updated:[]},remote:null,localChange:0,remoteChange:0}}async tb(u,l,h,w){const{local:S,remote:t,localChange:a,remoteChange:n}=h[0][1];a===0&&n===0&&this.O.info(`${this.D}: No changes found during synchronizing profiles.`);const s=h[0][0].remoteProfiles||[];if(s.length+(t?.added.length??0)-(t?.removed.length??0)>20)throw new m.$sgb("Too many profiles to sync. Please remove some profiles and try again.","LocalTooManyProfiles");if(a!==0){await this.nb($(this.Db(),!1));const i=[];for(const r of S.added)i.push((async()=>{this.O.trace(`${this.D}: Creating '${r.name}' profile...`),await this.vb.createProfile(r.id,r.name,{shortName:r.shortName,icon:r.icon,useDefaultFlags:r.useDefaultFlags}),this.O.info(`${this.D}: Created profile '${r.name}'.`)})());for(const r of S.removed)i.push((async()=>{this.O.trace(`${this.D}: Removing '${r.name}' profile...`),await this.vb.removeProfile(r),this.O.info(`${this.D}: Removed profile '${r.name}'.`)})());for(const r of S.updated){const o=this.vb.profiles.find(v=>v.id===r.id);o?i.push((async()=>{this.O.trace(`${this.D}: Updating '${r.name}' profile...`),await this.vb.updateProfile(o,{name:r.name,shortName:r.shortName,icon:r.icon,useDefaultFlags:r.useDefaultFlags}),this.O.info(`${this.D}: Updated profile '${r.name}'.`)})()):this.O.info(`${this.D}: Could not find profile with id '${r.id}' to update.`)}await Promise.all(i)}if(n!==0){this.O.trace(`${this.D}: Updating remote profiles...`);const i=[],r=s.length+(t?.added.length??0)<=20;if(r)for(const o of t?.added||[]){const v=await this.J.createCollection(this.F);i.push(v),s.push({id:o.id,name:o.name,collection:v,shortName:o.shortName,icon:o.icon,useDefaultFlags:o.useDefaultFlags})}else this.O.info(`${this.D}: Could not create remote profiles as there are too many profiles.`);for(const o of t?.removed||[])s.splice(s.findIndex(({id:v})=>o.id===v),1);for(const o of t?.updated||[]){const v=s.find(({id:p})=>o.id===p);v&&s.splice(s.indexOf(v),1,{...v,id:o.id,name:o.name,shortName:o.shortName,icon:o.icon,useDefaultFlags:o.useDefaultFlags})}try{u=await this.updateRemoteProfiles(s,w?null:u.ref),this.O.info(`${this.D}: Updated remote profiles.${r&&t?.added.length?` Added: ${JSON.stringify(t.added.map(o=>o.name))}.`:""}${t?.updated.length?` Updated: ${JSON.stringify(t.updated.map(o=>o.name))}.`:""}${t?.removed.length?` Removed: ${JSON.stringify(t.removed.map(o=>o.name))}.`:""}`)}catch(o){if(i.length){this.O.info(`${this.D}: Failed to update remote profiles. Cleaning up added collections...`);for(const v of i)await this.J.deleteCollection(v,this.F)}throw o}for(const o of t?.removed||[])await this.J.deleteCollection(o.collection,this.F)}l?.ref!==u.ref&&(this.O.trace(`${this.D}: Updating last synchronized profiles...`),await this.fb(u),this.O.info(`${this.D}: Updated last synchronized profiles.`))}async updateRemoteProfiles(u,l){return this.mb(this.Eb(u),l)}async hasLocalData(){return this.Db().length>0}async resolveContent(u){if(this.h.isEqual(this.remoteResource,u)||this.h.isEqual(this.baseResource,u)||this.h.isEqual(this.localResource,u)||this.h.isEqual(this.acceptedResource,u)){const l=await this.db(u);return l&&(0,O.$FS)(JSON.parse(l),{})}return null}Db(){return this.vb.profiles.filter(u=>!u.isDefault&&!u.isTransient)}Eb(u){return JSON.stringify([...u].sort((l,h)=>l.name.localeCompare(h.name)))}};e.$54b=c,e.$54b=c=ye([x(2,g.$Fk),x(3,A.$7j),x(4,j.$Sh),x(5,D.$Wo),x(6,m.$ngb),x(7,m.$ogb),x(8,m.$Cgb),x(9,N.$fi),x(10,m.$xgb),x(11,I.$0k),x(12,C.$Dk)],c);function $(d,u){const l=[...d].sort((h,w)=>h.name.localeCompare(w.name)).map(h=>({id:h.id,name:h.name}));return u?(0,O.$FS)(l,{}):JSON.stringify(l)}e.$64b=$;function y(d){return JSON.parse(d.content)}e.$74b=y}),define(oe[253],ae([0,1,3,2,6,14,20,22,25]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$R4b=void 0;const g="sync.enable";let P=class extends N.$Qc{constructor(m,c,$,y){super(),this.c=m,this.f=c,this.g=$,this.h=y,this.a=new O.$Ld,this.onDidChangeEnablement=this.a.event,this.b=new O.$Ld,this.onDidChangeResourceEnablement=this.b.event,this.B(m.onDidChangeValue(-1,void 0,this.B(new N.$Pc))(d=>this.m(d)))}isEnabled(){switch(this.g.sync){case"on":return!0;case"off":return!1}return this.c.getBoolean(g,-1,!1)}canToggleEnablement(){return this.h.userDataSyncStore!==void 0&&this.g.sync===void 0}setEnablement(m){m&&!this.canToggleEnablement()||(this.f.publicLog2(g,{enabled:m}),this.c.store(g,m,-1,1))}isResourceEnabled(m){return this.c.getBoolean((0,C.$wgb)(m),-1,!0)}setResourceEnablement(m,c){if(this.isResourceEnabled(m)!==c){const $=(0,C.$wgb)(m);this.j($,c)}}getResourceSyncStateVersion(m){}j(m,c){this.c.store(m,c,-1,j.$o?0:1)}m(m){if(g===m.key){this.a.fire(this.isEnabled());return}const c=C.$jgb.filter($=>(0,C.$wgb)($)===m.key)[0];if(c){this.b.fire([c,this.isResourceEnabled(c)]);return}}};e.$R4b=P,e.$R4b=P=ye([x(0,D.$Wo),x(1,I.$0k),x(2,A.$Sh),x(3,C.$mgb)],P)}),define(oe[254],ae([0,1,5,15,62,2,21,19,14,11,17,25]),function(te,e,O,N,j,A,D,I,C,g,P,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$34b=void 0;let m=class extends A.$Qc{constructor($,y,d,u,l){super(),this.a=$,this.b=y,this.c=d,this.f=u,this.g=l,this.h()}async h(){for(const y of this.g.profiles)for(const d of E.$jgb)try{await this.m(this.j(d,y.isDefault?void 0:y.id))}catch(u){this.f.error(u)}let $;try{$=await this.b.resolve(this.a.userDataSyncHome)}catch(y){(0,g.$kk)(y)!==1&&this.f.error(y);return}if($.children){for(const y of $.children)if(y.isDirectory&&!this.g.profiles.some(d=>d.id===y.name))try{this.f.info("Deleting non existing profile from backup",y.resource.path),await this.b.del(y.resource,{recursive:!0})}catch(d){this.f.error(d)}}}async getAllResourceRefs($,y,d){const u=this.j($,y,d);try{const l=await this.b.resolve(u);if(l.children)return l.children.filter(w=>w.isFile&&!w.name.startsWith("lastSync")).sort().reverse().map(w=>({ref:w.name,created:this.n(w)}))}catch(l){if((0,g.$kk)(l)!==1)throw l}return[]}async resolveResourceContent($,y,d,u){const l=this.j($,d,u),h=(0,D.$sg)(l,y);try{return(await this.b.readFile(h)).value.toString()}catch(w){return this.f.error(w),null}}async writeResource($,y,d,u,l){const h=this.j($,u,l),w=(0,D.$sg)(h,`${(0,j.$8l)(d).replace(/-|:|\.\d+Z$/g,"")}.json`);try{await this.b.writeFile(w,N.$_d.fromString(y))}catch(S){this.f.error(S)}}j($,y,d=this.a.userDataSyncHome){return(0,D.$sg)(d,...y?[y,$]:[$])}async m($){try{try{if(!await this.b.exists($))return}catch{return}const y=await this.b.resolve($);if(y.children){const d=y.children.filter(w=>w.isFile&&/^\d{8}T\d{6}(\.json)?$/.test(w.name)).sort(),u=1e3*60*60*24*(this.c.getValue("sync.localBackupDuration")||30);let l=d.filter(w=>Date.now()-this.n(w)>u);const h=d.length-l.length;h<10&&(l=l.slice(10-h)),await O.Promises.settled(l.map(async w=>{this.f.info("Deleting from backup",w.resource.path),await this.b.del(w.resource)}))}}catch(y){this.f.error(y)}}n($){return new Date(parseInt($.name.substring(0,4)),parseInt($.name.substring(4,6))-1,parseInt($.name.substring(6,8)),parseInt($.name.substring(9,11)),parseInt($.name.substring(11,13)),parseInt($.name.substring(13,15))).getTime()}};e.$34b=m,e.$34b=m=ye([x(0,C.$Sh),x(1,g.$7j),x(2,I.$fi),x(3,E.$Cgb),x(4,P.$Fk)],m)}),define(oe[81],ae([0,1,3,2,6,27,176,14,11,4,24,43,20,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c){"use strict";var $;Object.defineProperty(e,"__esModule",{value:!0}),e.$cgb=e.$bgb=e.$agb=void 0,e.$agb=(0,g.$Lh)("IUserDataSyncMachinesService");const y="sync.currentMachineName",d="Safari",u="Chrome",l="Edge",h="Firefox",w="Android";function S(n){switch(n){case d:case u:case l:case h:case w:case(0,j.$h)(0):return!0}return!1}e.$bgb=S;function t(){return j.$F?d:j.$D?u:j.$G?l:j.$E?h:j.$H?w:(0,j.$h)(j.$o?0:j.$t)}let a=class extends N.$Qc{static{$=this}static{this.a=1}static{this.b="machines"}constructor(s,i,r,o,v,p){super(),this.h=r,this.j=o,this.m=v,this.n=p,this.c=this.B(new O.$Ld),this.onDidChange=this.c.event,this.g=null,this.f=(0,E.$3o)(s,i,r)}async getMachines(s){const i=await this.f;return(await this.s(s)).machines.map(o=>({...o,isCurrent:o.id===i}))}async addCurrentMachine(s){const i=await this.f,r=await this.s(s);r.machines.some(({id:o})=>o===i)||(r.machines.push({id:i,name:this.r(r.machines),platform:t()}),await this.t(r))}async removeCurrentMachine(s){const i=await this.f,r=await this.s(s),o=r.machines.filter(({id:v})=>v!==i);o.length!==r.machines.length&&(r.machines=o,await this.t(r))}async renameMachine(s,i,r){const o=await this.s(r),v=o.machines.find(({id:p})=>p===s);if(v){v.name=i,await this.t(o);const p=await this.f;s===p&&this.h.store(y,i,-1,1)}}async setEnablements(s){const i=await this.s();for(const[r,o]of s){const v=i.machines.find(p=>p.id===r);v&&(v.disabled=o?void 0:!0)}await this.t(i)}r(s){const i=this.h.get(y,-1);if(i)return i;const r=`${this.n.embedderIdentifier?`${this.n.embedderIdentifier} - `:""}${t()} (${this.n.nameShort})`,o=new RegExp(`${(0,A.$De)(r)}\\s#(\\d+)`);let v=0;for(const p of s){const f=o.exec(p.name),b=f?parseInt(f[1]):0;v=b>v?b:v}return`${r} #${v+1}`}async s(s){this.g=await this.u(s);const i=this.w(this.g);if(i.version!==$.a)throw new Error((0,D.localize)(0,null,this.n.nameLong));return i}async t(s){const i=JSON.stringify(s),r=await this.j.writeResource($.b,i,this.g?.ref||null);this.g={ref:r,content:i},this.c.fire()}async u(s){if(this.g){const i=s&&s.latest?s.latest[$.b]:void 0;if(this.g.ref===i)return this.g;if(i===void 0&&this.g.content===null)return this.g}return this.j.readResource($.b,this.g)}w(s){if(s.content!==null)try{return JSON.parse(s.content)}catch(i){this.m.error(i)}return{version:$.a,machines:[]}}};e.$cgb=a,e.$cgb=a=$=ye([x(0,I.$Sh),x(1,C.$7j),x(2,m.$Wo),x(3,c.$ngb),x(4,c.$Cgb),x(5,P.$lj)],a)}),define(oe[255],ae([0,1,5,62,38,8,3,2,6,21,10,173,24,20,22,25,78,81]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$94b=void 0;const l="sync.disableMachineEventually",h="sync.sessionId",w="sync.storeUrl",S="sync.productQuality";let t=class extends I.$Qc{get n(){const s=this.H.get(w,-1);return s?P.URI.parse(s):void 0}set n(s){s?this.H.store(w,s.toString(),-1,1):this.H.remove(w,-1)}get s(){return this.H.get(S,-1)}set s(s){s?this.H.store(S,s,-1,1):this.H.remove(S,-1)}constructor(s,i,r,o,v,p,f,b,L,F){super(),this.u=i,this.w=r,this.y=o,this.z=v,this.C=p,this.D=f,this.F=b,this.G=L,this.H=F,this.a=this.B(new I.$Rc),this.b=0,this.c=void 0,this.g=!1,this.h=this.B(new D.$Ld),this.onError=this.h.event,this.S=[],this.f=this.B(new O.$Og(this.U())),this.j=this.n,this.n=i.userDataSyncStore?.url,this.r=this.s,this.s=s.quality,this.n&&(this.C.info("Using settings sync service",this.n.toString()),this.B(i.onDidChangeUserDataSyncStore(()=>{(0,g.$lg)(this.n,i.userDataSyncStore?.url)||(this.j=this.n,this.n=i.userDataSyncStore?.url,this.n&&this.C.info("Using settings sync service",this.n.toString()))})),this.y.isEnabled()?this.C.info("Auto Sync is enabled."):this.C.info("Auto Sync is disabled."),this.I(),this.Q()&&this.P(),this.B(f.onDidChangeAccount(()=>this.I())),this.B(r.onDidChangeDonotMakeRequestsUntil(()=>this.I())),this.B(v.onDidChangeLocal(T=>this.triggerSync([T],!1,!1))),this.B(D.Event.filter(this.y.onDidChangeResourceEnablement,([,T])=>T)(()=>this.triggerSync(["resourceEnablement"],!1,!1))),this.B(this.u.onDidChangeUserDataSyncStore(()=>this.triggerSync(["userDataSyncStoreChanged"],!1,!1))))}I(){const{enabled:s,message:i}=this.L();s?this.a.value===void 0&&(this.a.value=new a(this.j,1e3*60*5,this.u,this.w,this.z,this.G,this.C,this.F,this.H),this.a.value.register(this.a.value.onDidStartSync(()=>this.c=new Date().getTime())),this.a.value.register(this.a.value.onDidFinishSync(r=>this.O(r))),this.J()&&this.a.value.start()):(this.f.cancel(),this.a.value!==void 0?(i&&this.C.info(i),this.a.clear()):i&&this.y.isEnabled()&&this.C.info(i))}J(){return!0}L(){return this.y.isEnabled()?this.D.account?this.w.donotMakeRequestsUntil?{enabled:!1,message:`Auto Sync: Suspended until ${(0,N.$8l)(this.w.donotMakeRequestsUntil)} because server is not accepting requests until then.`}:this.g?{enabled:!1,message:"Auto Sync: Suspended until restart."}:{enabled:!0}:{enabled:!1,message:"Auto Sync: Suspended until auth token is available."}:{enabled:!1,message:"Auto Sync: Disabled."}}async turnOn(){this.R(),this.j=this.n,this.M(!0)}async turnOff(s,i,r){try{this.D.account&&!r&&await this.G.removeCurrentMachine(),this.M(!1),this.H.remove(h,-1),s?(this.F.publicLog2("sync/turnOffEveryWhere"),await this.z.reset()):await this.z.resetLocal()}catch(o){if(this.C.error(o),i)this.M(!1);else throw o}}M(s){this.y.isEnabled()!==s&&(this.y.setEnablement(s),this.I())}N(){return!!this.r&&!!this.s&&this.r!==this.s}async O(s){if(!s){this.b=0;return}const i=y.$sgb.toUserDataSyncError(s);i instanceof y.$ugb&&this.F.publicLog2("autosync/error",{code:i.code,service:this.u.userDataSyncStore.url.toString()}),i.code==="SessionExpired"?(await this.turnOff(!1,!0),this.C.info("Auto Sync: Turned off sync because current session is expired")):i.code==="TurnedOff"?(await this.turnOff(!1,!0),this.C.info("Auto Sync: Turned off sync because sync is turned off in the cloud")):i.code==="LocalTooManyRequests"?(this.g=!0,this.C.info("Auto Sync: Suspended sync because of making too many requests to server"),this.I()):i.code==="RemoteTooManyRequests"?(await this.turnOff(!1,!0,!0),this.P(),this.C.info("Auto Sync: Turned off sync because of making too many requests to server")):i.code==="MethodNotFound"?(await this.turnOff(!1,!0),this.C.info("Auto Sync: Turned off sync because current client is making requests to server that are not supported")):i.code==="UpgradeRequired"||i.code==="Gone"?(await this.turnOff(!1,!0,!0),this.P(),this.C.info("Auto Sync: Turned off sync because current client is not compatible with server. Requires client upgrade.")):i.code==="IncompatibleLocalContent"?(await this.turnOff(!1,!0),this.C.info(`Auto Sync: Turned off sync because server has ${i.resource} content with newer version than of client. Requires client upgrade.`)):i.code==="IncompatibleRemoteContent"?(await this.turnOff(!1,!0),this.C.info(`Auto Sync: Turned off sync because server has ${i.resource} content with older version than of client. Requires server reset.`)):i.code==="ServiceChanged"||i.code==="DefaultServiceChanged"?C.$o&&i.code==="DefaultServiceChanged"&&!this.N()?(await this.turnOff(!1,!0),this.C.info("Auto Sync: Turned off sync because default sync service is changed.")):(await this.turnOff(!1,!0,!0),await this.turnOn(),this.C.info("Auto Sync: Sync Service changed. Turned off auto sync, reset local state and turned on auto sync.")):(this.C.error(i),this.b++),this.h.fire(i)}async P(){this.H.store(l,!0,-1,1),await(0,O.$Rg)(1e3*60*10),this.Q()&&(this.R(),!this.y.isEnabled()&&this.D.account&&await this.G.removeCurrentMachine())}Q(){return this.H.getBoolean(l,-1,!1)}R(){this.H.remove(l,-1)}async triggerSync(s,i,r){if(this.a.value===void 0)return this.f.cancel();if(i&&this.c&&Math.round((new Date().getTime()-this.c)/1e3)<10){this.C.debug("Auto Sync: Skipped. Limited to once per 10 seconds.");return}return this.S.push(...s),this.f.trigger(async()=>{this.C.trace("activity sources",...this.S);const o=this.D.account?.authenticationProviderId||"";this.F.publicLog2("sync/triggered",{sources:this.S,providerId:o}),this.S=[],this.a.value&&await this.a.value.sync("Activity",r)},this.b?this.U()*1*Math.min(Math.pow(2,this.b),60):this.U())}U(){return 2e3}};e.$94b=t,e.$94b=t=ye([x(0,m.$lj),x(1,y.$mgb),x(2,y.$ngb),x(3,y.$xgb),x(4,y.$ygb),x(5,y.$Cgb),x(6,d.$1zb),x(7,$.$0k),x(8,u.$agb),x(9,c.$Wo)],t);class a extends I.$Qc{static{this.a="Interval"}constructor(s,i,r,o,v,p,f,b,L){super(),this.m=s,this.n=i,this.r=r,this.s=o,this.u=v,this.w=p,this.y=f,this.z=b,this.C=L,this.b=this.B(new I.$Rc),this.c=this.B(new D.$Ld),this.onDidStartSync=this.c.event,this.f=this.B(new D.$Ld),this.onDidFinishSync=this.f.event,this.g=null}start(){this.B(this.onDidFinishSync(()=>this.D())),this.B((0,I.$Oc)(()=>{this.j&&(this.j.cancel(),this.y.info("Auto sync: Cancelled sync that is in progress"),this.j=void 0),this.h?.stop(),this.y.info("Auto Sync: Stopped")})),this.sync(a.a,!1)}D(){this.b.value=(0,O.$Sg)(()=>{this.sync(a.a,!1),this.b.value=void 0},this.n)}sync(s,i){const r=(0,O.$Eg)(async o=>{if(this.j)try{this.y.debug("Auto Sync: Waiting until sync is finished."),await this.j}catch(v){if((0,A.$2)(v))return}return this.H(s,i,o)});return this.j=r,this.j.finally(()=>this.j=void 0),this.j}F(){return this.m!==void 0&&!(0,g.$lg)(this.m,this.r.userDataSyncStore?.url)}async G(){const s=await this.r.getPreviousUserDataSyncStore(),i=this.r.userDataSyncStore;return!!i&&!!s&&(!(0,g.$lg)(i.defaultUrl,s.defaultUrl)||!(0,g.$lg)(i.insidersUrl,s.insidersUrl)||!(0,g.$lg)(i.stableUrl,s.stableUrl))}async H(s,i,r){this.y.info(`Auto Sync: Triggered by ${s}`),this.c.fire();let o;try{await this.I(i,r)}catch(v){if(this.y.error(v),o=v,y.$sgb.toUserDataSyncError(v).code==="MethodNotFound")try{this.y.info("Auto Sync: Client is making invalid requests. Cleaning up data..."),await this.u.cleanUpRemoteData(),this.y.info("Auto Sync: Retrying sync..."),await this.I(i,r),o=void 0}catch(p){this.y.error(p),o=p}}this.f.fire(o)}async I(s,i){if(this.h=await this.u.createSyncTask(this.g,s),i.isCancellationRequested)return;if(this.g=this.h.manifest,this.g===null&&await this.u.hasPreviouslySynced())throw this.F()?await this.G()?new y.$ugb((0,E.localize)(0,null),"DefaultServiceChanged"):new y.$ugb((0,E.localize)(1,null),"ServiceChanged"):new y.$ugb((0,E.localize)(2,null),"TurnedOff");const r=this.C.get(h,-1);if(r&&this.g&&r!==this.g.session)throw this.F()?await this.G()?new y.$ugb((0,E.localize)(3,null),"DefaultServiceChanged"):new y.$ugb((0,E.localize)(4,null),"ServiceChanged"):new y.$ugb((0,E.localize)(5,null),"SessionExpired");const o=await this.w.getMachines(this.g||void 0);if(i.isCancellationRequested)return;const v=o.find(f=>f.isCurrent);if(v?.disabled)throw new y.$ugb((0,E.localize)(6,null),"TurnedOff");const p=new Date().getTime();if(await this.h.run(),this.z.publicLog2("settingsSync:sync",{duration:new Date().getTime()-p}),this.g===null)try{this.g=await this.s.manifest(null)}catch(f){throw new y.$ugb((0,j.$wi)(f),f instanceof y.$sgb?f.code:"Unknown")}this.g&&this.g.session!==r&&this.C.store(h,this.g.session,-1,1),!i.isCancellationRequested&&(v||await this.w.addCurrentMachine(this.g||void 0))}register(s){return super.B(s)}}}),define(oe[256],ae([0,1,10,177,14,11,43,20,28,25,17,39,119,118,117,19,120,115,116,4,121,41,27]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t){"use strict";var a;Object.defineProperty(e,"__esModule",{value:!0}),e.$H5b=void 0;let n=class{static{a=this}static{this.a="not-existing-resource"}static{this.b="remote-backup"}static{this.c="local-backup"}constructor(i,r,o,v,p,f,b,L,F,T){this.e=i,this.f=r,this.g=o,this.h=p,this.i=f,this.j=b,this.k=L,this.l=F,this.n=T,this.d=v.extUri}async getRemoteSyncedProfiles(){const i=await this.e.readResource("profiles",null,void 0);if(i.content){const r=this.L(i.content,"profiles");return(0,w.$74b)(r)}return[]}async getLocalSyncedProfiles(i){const r=await this.f.getAllResourceRefs("profiles",void 0,i);if(r.length){const o=await this.f.resolveResourceContent("profiles",r[0].ref,void 0,i);if(o){const v=this.L(o,"profiles");return(0,w.$74b)(v)}}return[]}async getLocalSyncedMachines(i){const r=await this.f.getAllResourceRefs("machines",void 0,i);if(r.length){const o=await this.f.resolveResourceContent("machines",r[0].ref,void 0,i);if(o)return JSON.parse(o).machines.map(p=>({...p,isCurrent:!1}))}return[]}async getRemoteSyncResourceHandles(i,r){return(await this.e.getAllResourceRefs(i,r?.collection)).map(({created:v,ref:p})=>({created:v,uri:this.J({remote:!0,syncResource:i,profile:r?.id??this.k.defaultProfile.id,location:void 0,collection:r?.collection,ref:p,node:void 0})}))}async getLocalSyncResourceHandles(i,r,o){return(await this.f.getAllResourceRefs(i,r?.collection,o)).map(({created:p,ref:f})=>({created:p,uri:this.J({remote:!1,syncResource:i,profile:r?.id??this.k.defaultProfile.id,collection:r?.collection,ref:f,node:void 0,location:o})}))}resolveUserDataSyncResource({uri:i}){const r=this.K(i),o=r?this.k.profiles.find(v=>v.id===r.profile):void 0;return r&&o?{profile:o,syncResource:r?.syncResource}:void 0}async getAssociatedResources({uri:i}){const r=this.K(i);if(!r)return[];const o=this.k.profiles.find(v=>v.id===r.profile);switch(r.syncResource){case"settings":return this.s(i,o);case"keybindings":return this.u(i,o);case"tasks":return this.w(i,o);case"snippets":return this.y(i,o);case"globalState":return this.D(i,o);case"extensions":return this.A(i,o);case"profiles":return this.G(i,o);case"workspaceState":return[]}}async getMachineId({uri:i}){const r=this.K(i);if(r){if(r.remote){if(r.ref){const{content:o}=await this.M(r.syncResource,r.ref,r.collection);if(o)return this.L(o,r.syncResource)?.machineId}return}if(r.location){if(r.ref){const o=await this.f.resolveResourceContent(r.syncResource,r.ref,r.collection,r.location);if(o)return this.L(o,r.syncResource)?.machineId}return}return(0,D.$3o)(this.h,this.j,this.i)}}async resolveContent(i){const r=this.K(i);if(!r||r.node===a.a)return null;if(r.ref){const o=await this.o(r.remote,r.syncResource,r.collection,r.ref,r.location);return r.node&&o?this.q(r.syncResource,o,r.node):o}return!r.remote&&!r.node?this.r(r.syncResource,r.profile):null}async o(i,r,o,v,p){if(i){const{content:f}=await this.M(r,v,o);return f}return this.f.resolveResourceContent(r,v,o,p)}q(i,r,o){const v=this.L(r,i);switch(i){case"settings":return this.t(v,o);case"keybindings":return this.v(v,o);case"tasks":return this.x(v,o);case"snippets":return this.z(v,o);case"globalState":return this.E(v,o);case"extensions":return this.B(v,o);case"profiles":return this.H(v,o);case"workspaceState":return null}}async r(i,r){const o=this.k.profiles.find(v=>v.id===r);if(!o)return null;switch(i){case"globalState":return this.F(o);case"extensions":return this.C(o);case"profiles":return this.I(o);case"settings":return null;case"keybindings":return null;case"tasks":return null;case"snippets":return null;case"workspaceState":return null}}s(i,r){const o=this.d.joinPath(i,"settings.json"),v=r?r.settingsResource:this.d.joinPath(i,a.a);return[{resource:o,comparableResource:v}]}t(i,r){switch(r){case"settings.json":return(0,c.$g3b)(i.content).settings}return null}u(i,r){const o=this.d.joinPath(i,"keybindings.json"),v=r?r.keybindingsResource:this.d.joinPath(i,a.a);return[{resource:o,comparableResource:v}]}v(i,r){switch(r){case"keybindings.json":return(0,$.$d3b)(i.content,!!this.l.getValue(g.$ggb),this.g)}return null}w(i,r){const o=this.d.joinPath(i,"tasks.json"),v=r?r.tasksResource:this.d.joinPath(i,a.a);return[{resource:o,comparableResource:v}]}x(i,r){switch(r){case"tasks.json":return(0,d.$o3b)(i.content,this.g)}return null}async y(i,r){const o=await this.resolveContent(i);if(o){const v=this.L(o,"snippets");if(v){const p=(0,m.$l3b)(v),f=[];for(const b of Object.keys(p)){const L=this.d.joinPath(i,b),F=r?this.d.joinPath(r.snippetsHome,b):this.d.joinPath(i,a.a);f.push({resource:L,comparableResource:F})}return f}}return[]}z(i,r){return(0,m.$l3b)(i)[r]||null}A(i,r){const o=this.d.joinPath(i,"extensions.json"),v=r?this.J({remote:!1,syncResource:"extensions",profile:r.id,location:void 0,collection:void 0,ref:void 0,node:void 0}):this.d.joinPath(i,a.a);return[{resource:o,comparableResource:v}]}B(i,r){switch(r){case"extensions.json":return(0,u.$$2b)((0,u.$02b)(i),!0)}return null}async C(i){const{localExtensions:r}=await this.n.createInstance(u.$a3b).getLocalExtensions(i);return(0,u.$$2b)(r,!0)}D(i,r){const o=this.d.joinPath(i,"globalState.json"),v=r?this.J({remote:!1,syncResource:"globalState",profile:r.id,location:void 0,collection:void 0,ref:void 0,node:void 0}):this.d.joinPath(i,a.a);return[{resource:o,comparableResource:v}]}E(i,r){switch(r){case"globalState.json":return(0,l.$xBb)(JSON.parse(i.content),!0)}return null}async F(i){const r=await this.n.createInstance(l.$zBb).getLocalGlobalState(i);return(0,l.$xBb)(r,!0)}G(i,r){const o=this.d.joinPath(i,"profiles.json"),v=this.J({remote:!1,syncResource:"profiles",profile:this.k.defaultProfile.id,location:void 0,collection:void 0,ref:void 0,node:void 0});return[{resource:o,comparableResource:v}]}H(i,r){switch(r){case"profiles.json":return(0,S.$FS)(JSON.parse(i.content),{})}return null}async I(i){return(0,w.$64b)(this.k.profiles.filter(r=>!r.isDefault&&!r.isTransient),!0)}J(i){const r=i.remote?a.b:a.c,o=[];return i.location&&(o.push(`scheme:${i.location.scheme}`),o.push(`authority:${i.location.authority}`),o.push((0,t.$Ge)(i.location.path,"/"))),o.push(`syncResource:${i.syncResource}`),o.push(`profile:${i.profile}`),i.collection&&o.push(`collection:${i.collection}`),i.ref&&o.push(`ref:${i.ref}`),i.node&&o.push(i.node),this.d.joinPath(O.URI.from({scheme:g.$Egb,authority:r,path:"/",query:i.location?.query,fragment:i.location?.fragment}),...o)}K(i){if(i.scheme!==g.$Egb)return;const r=[];for(;i.path!=="/";)r.unshift(this.d.basename(i)),i=this.d.dirname(i);if(r.length<2)return;const o=i.authority===a.b;let v,p;const f=[];let b,L,F,T,z;for(;r.length;){const U=r.shift();U.startsWith("scheme:")?v=U.substring(7):U.startsWith("authority:")?p=U.substring(10):U.startsWith("syncResource:")?b=U.substring(13):U.startsWith("profile:")?L=U.substring(8):U.startsWith("collection:")?F=U.substring(11):U.startsWith("ref:")?T=U.substring(4):b?z=U:f.push(U)}return{remote:o,syncResource:b,profile:L,collection:F,ref:T,node:z,location:v&&p!==void 0?this.d.joinPath(O.URI.from({scheme:v,authority:p,query:i.query,fragment:i.fragment,path:"/"}),...f):void 0}}L(i,r){try{const o=JSON.parse(i);if((0,E.$qBb)(o))return o}catch(o){this.g.error(o)}throw new g.$sgb((0,N.localize)(0,null),"IncompatibleRemoteContent",r)}async M(i,r,o){const v=await this.e.resolveResourceContent(i,r,o);return{ref:r,content:v}}};e.$H5b=n,e.$H5b=n=a=ye([x(0,g.$ngb),x(1,g.$ogb),x(2,g.$Cgb),x(3,C.$Dk),x(4,j.$Sh),x(5,I.$Wo),x(6,A.$7j),x(7,P.$Fk),x(8,y.$fi),x(9,h.$Kh)],n)}),define(oe[257],ae([0,1,18,5,26,38,3,2,21,12,32,19,29,11,4,20,22,17,115,116,117,118,119,120,121,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t,a,n,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$84b=void 0;const i="sync.lastSyncTime";let r=class extends I.$Qc{get status(){return this.f}get conflicts(){return this.j}get lastSyncTime(){return this.t}constructor(b,L,F,T,z,U,_,K,Z,G,Q){super(),this.C=b,this.D=L,this.F=F,this.G=T,this.H=z,this.I=U,this.J=_,this.L=K,this.M=Z,this.N=G,this.O=Q,this.f="uninitialized",this.g=this.B(new D.$Ld),this.onDidChangeStatus=this.g.event,this.h=this.B(new D.$Ld),this.onDidChangeLocal=this.h.event,this.j=[],this.m=this.B(new D.$Ld),this.onDidChangeConflicts=this.m.event,this.n=[],this.r=this.B(new D.$Ld),this.onSyncErrors=this.r.event,this.t=void 0,this.u=this.B(new D.$Ld),this.onDidChangeLastSyncTime=this.u.event,this.w=this.B(new D.$Ld),this.onDidResetLocal=this.w.event,this.y=this.B(new D.$Ld),this.onDidResetRemote=this.y.event,this.z=new Map,this.f=F.userDataSyncStore?"idle":"uninitialized",this.t=this.J.getNumber(i,-1,void 0),this.B((0,I.$Oc)(()=>this.bb()))}async createSyncTask(b,L){this.cb(),this.H.info("Sync started.");const F=new Date().getTime(),T=(0,P.$bg)();try{const K=(0,s.$rgb)(T);L&&(K["Cache-Control"]="no-cache"),b=await this.D.manifest(b,K)}catch(K){const Z=s.$sgb.toUserDataSyncError(K);throw p(Z,T,this.F,this.I),Z}const z=!1,U=this;let _;return{manifest:b,async run(){if(z)throw new Error("Can run a task only once");_=(0,N.$Eg)(K=>U.P(b,!1,T,K)),await _.finally(()=>_=void 0),U.H.info(`Sync done. Took ${new Date().getTime()-F}ms`),U.$()},stop(){return _?.cancel(),U.U()}}}async createManualSyncTask(){if(this.cb(),this.L.isEnabled())throw new s.$sgb("Cannot start manual sync when sync is enabled","LocalError");this.H.info("Sync started.");const b=new Date().getTime(),L=(0,P.$bg)(),F=(0,s.$rgb)(L);let T;try{T=await this.D.manifest(null,F)}catch(_){const K=s.$sgb.toUserDataSyncError(_);throw p(K,L,this.F,this.I),K}await this.resetLocal();const z=this,U=new j.$Vd;return{id:L,async merge(){return z.P(T,!0,L,U.token)},async apply(){try{try{await z.R(T,L,U.token)}catch(_){if(s.$sgb.toUserDataSyncError(_).code==="MethodNotFound")z.H.info("Client is making invalid requests. Cleaning up data..."),await z.cleanUpRemoteData(),z.H.info("Applying manual sync again..."),await z.R(T,L,U.token);else throw _}}catch(_){throw z.H.error(_),_}z.H.info(`Sync done. Took ${new Date().getTime()-b}ms`),z.$()},async stop(){U.cancel(),await z.U(),await z.resetLocal()}}}async P(b,L,F,T){this.n=[];try{this.status!=="hasConflicts"&&this.Y("syncing");const z=this.getOrCreateActiveProfileSynchronizer(this.M.defaultProfile,void 0);this.n.push(...await this.S(z,b,L,F,T));const U=z.enabled.find(_=>_.resource==="profiles");if(U){const _=await U.getLastSyncedProfiles()||[];if(T.isCancellationRequested)return;await this.Q(_,b,L,F,T)}}finally{this.status!=="hasConflicts"&&this.Y("idle"),this.r.fire(this.n)}}async Q(b,L,F,T,z){for(const U of b){if(z.isCancellationRequested)return;const _=this.M.profiles.find(Z=>Z.id===U.id);if(!_){this.H.error(`Profile with id:${U.id} and name: ${U.name} does not exist locally to sync.`);continue}this.H.info("Syncing profile.",U.name);const K=this.getOrCreateActiveProfileSynchronizer(_,U);this.n.push(...await this.S(K,L,F,T,z))}for(const[U,_]of this.z.entries())this.M.profiles.some(K=>K.id===_[0].profile.id)||(_[1].dispose(),this.z.delete(U))}async R(b,L,F){const T=this.ab();for(const Z of T){if(F.isCancellationRequested)return;await Z.apply(L,F)}const z=T.find(Z=>Z.profile.isDefault);if(!z)return;const U=z.enabled.find(Z=>Z.resource==="profiles");if(!U)return;const K=(await U.getRemoteSyncedProfiles(b?.latest??null)||[]).filter(Z=>T.every(G=>G.profile.id!==Z.id));K.length&&await this.Q(K,b,!1,L,F)}async S(b,L,F,T,z){return(await b.sync(L,F,T,z)).map(([_,K])=>({profile:b.profile,syncResource:_,error:K}))}async U(){this.status!=="idle"&&await Promise.allSettled(this.ab().map(b=>b.stop()))}async resolveContent(b){const L=await this.N.resolveContent(b);if(L)return L;for(const F of this.ab())for(const T of F.enabled){const z=await T.resolveContent(b);if(z)return z}return null}async replace(b){this.cb();const L=this.N.resolveUserDataSyncResource(b);if(!L)return;const F=await this.resolveContent(b.uri);F&&await this.W(L.profile,async T=>{if(L.syncResource===T.resource)return await T.replace(F),!0})}async accept(b,L,F,T){this.cb(),await this.W(b.profile,async z=>{if(b.syncResource===z.resource)return await z.accept(L,F),T&&await z.apply((0,g.$Cf)(T)?!1:T.force,(0,s.$rgb)((0,P.$bg)())),!0})}async hasLocalData(){return!!await this.W(this.M.defaultProfile,async L=>{if(L.resource!=="globalState"&&await L.hasLocalData())return!0})}async hasPreviouslySynced(){return!!await this.W(this.M.defaultProfile,async L=>{if(await L.hasPreviouslySynced())return!0})}async reset(){this.cb(),await this.resetRemote(),await this.resetLocal()}async resetRemote(){this.cb();try{await this.D.clear(),this.H.info("Cleared data on server")}catch(b){this.H.error(b)}this.y.fire()}async resetLocal(){this.cb(),this.t=void 0,this.J.remove(i,-1);for(const[b]of this.z.values())try{await b.resetLocal()}catch(L){this.H.error(L)}this.bb(),this.w.fire(),this.H.info("Did reset the local sync state.")}async cleanUpRemoteData(){const b=await this.N.getRemoteSyncedProfiles(),L=b.map(U=>U.collection),F=await this.D.getAllCollections(),T=F.filter(U=>!L.includes(U));T.length&&(this.H.info(`Deleting ${T.length} redundant collections on server`),await Promise.allSettled(T.map(U=>this.D.deleteCollection(U))),this.H.info("Deleted redundant collections on server"));const z=b.filter(U=>F.includes(U.collection));if(z.length!==b.length){const U=this.G.createInstance(n.$54b,this.M.defaultProfile,void 0);try{this.H.info("Resetting the last synced state of profiles"),await U.resetLocal(),this.H.info("Did reset the last synced state of profiles"),this.H.info("Updating remote profiles with invalid collections on server"),await U.updateRemoteProfiles(z,null),this.H.info("Updated remote profiles on server")}finally{U.dispose()}}}async saveRemoteActivityData(b){this.cb();const L=await this.D.getActivityData();await this.C.writeFile(b,L)}async extractActivityData(b,L){const F=(await this.C.readFile(b)).value.toString(),T=JSON.parse(F);if(T.resources)for(const z in T.resources)for(const U of T.resources[z])await this.O.writeResource(z,U.content,new Date(U.created*1e3),void 0,L);if(T.collections)for(const z in T.collections)for(const U in T.collections[z].resources)for(const _ of T.collections[z].resources?.[U]??[])await this.O.writeResource(U,_.content,new Date(_.created*1e3),z,L)}async W(b,L){const F=new I.$Pc;try{const T=this.z.get(b.id);if(T){const Z=await this.X(T[0],L,F);return(0,g.$Df)(Z)?null:Z}if(b.isDefault){const Z=F.add(this.G.createInstance(o,b,void 0)),G=await this.X(Z,L,F);return(0,g.$Df)(G)?null:G}if(this.M.isEnabled())return null;const z=F.add(this.G.createInstance(n.$54b,b,void 0)),U=await this.D.manifest(null),K=(await z.getRemoteSyncedProfiles(U?.latest??null)||[]).find(Z=>Z.id===b.id);if(K){const Z=F.add(this.G.createInstance(o,b,K.collection)),G=await this.X(Z,L,F);return(0,g.$Df)(G)?null:G}return null}finally{F.dispose()}}async X(b,L,F){const T=[...b.enabled,...b.disabled.reduce((z,U)=>(U!=="workspaceState"&&z.push(F.add(b.createSynchronizer(U))),z),[])];for(const z of T){const U=await L(z);if(!(0,g.$Df)(U))return U}}Y(b){const L=this.f;this.f!==b&&(this.f=b,this.g.fire(b),L==="hasConflicts"&&this.$())}Z(){const b=this.ab().map(L=>L.conflicts).flat();(0,O.$sb)(this.j,b,(L,F)=>L.profile.id===F.profile.id&&L.syncResource===F.syncResource&&(0,O.$sb)(L.conflicts,F.conflicts,(T,z)=>(0,C.$lg)(T.previewResource,z.previewResource)))||(this.j=b,this.m.fire(b))}$(){this.status==="idle"&&(this.t=new Date().getTime(),this.J.store(i,this.t,-1,1),this.u.fire(this.t))}getOrCreateActiveProfileSynchronizer(b,L){let F=this.z.get(b.id);if(F&&F[0].collection!==L?.collection&&(this.H.error("Profile synchronizer collection does not match with the remote sync profile collection"),F[1].dispose(),F=void 0,this.z.delete(b.id)),!F){const T=new I.$Pc,z=T.add(this.G.createInstance(o,b,L?.collection));T.add(z.onDidChangeStatus(U=>this.Y(U))),T.add(z.onDidChangeConflicts(U=>this.Z())),T.add(z.onDidChangeLocal(U=>this.h.fire(U))),this.z.set(b.id,F=[z,T])}return F[0]}ab(){const b=[];for(const[L]of this.z.values())b.push(L);return b}bb(){this.z.forEach(([,b])=>b.dispose()),this.z.clear()}cb(){if(!this.F.userDataSyncStore)throw new Error("Not enabled")}};e.$84b=r,e.$84b=r=ye([x(0,c.$7j),x(1,s.$ngb),x(2,s.$mgb),x(3,$.$Kh),x(4,s.$Cgb),x(5,d.$0k),x(6,y.$Wo),x(7,s.$xgb),x(8,u.$Fk),x(9,s.$zgb),x(10,s.$ogb)],r);let o=class extends I.$Qc{get enabled(){return this.f.sort((b,L)=>b[1]-L[1]).map(([b])=>b)}get disabled(){return s.$jgb.filter(b=>!this.r.isResourceEnabled(b))}get status(){return this.g}get conflicts(){return this.m}constructor(b,L,F,T,z,U,_,K,Z,G){super(),this.profile=b,this.collection=L,this.r=F,this.t=T,this.u=z,this.w=U,this.y=_,this.z=K,this.C=Z,this.D=G,this.f=[],this.g="idle",this.h=this.B(new D.$Ld),this.onDidChangeStatus=this.h.event,this.j=this.B(new D.$Ld),this.onDidChangeLocal=this.j.event,this.m=[],this.n=this.B(new D.$Ld),this.onDidChangeConflicts=this.n.event,this.B(F.onDidChangeResourceEnablement(([Q,H])=>this.F(Q,H))),this.B((0,I.$Oc)(()=>this.f.splice(0,this.f.length).forEach(([,,Q])=>Q.dispose())));for(const Q of s.$jgb)F.isResourceEnabled(Q)&&this.G(Q)}F(b,L){L?this.G(b):this.H(b)}G(b){if(this.f.some(([z])=>z.resource===b))return;if(b==="extensions"&&!this.u.isEnabled()){this.z.info("Skipping extensions sync because gallery is not configured");return}if(b==="profiles"&&(!this.profile.isDefault||!this.C.isEnabled())||b==="workspaceState")return;if(b!=="profiles"&&this.profile.useDefaultFlags?.[b]){this.z.debug(`Skipping syncing ${b} in ${this.profile.name} because it is already synced by default profile`);return}const L=new I.$Pc,F=L.add(this.createSynchronizer(b));L.add(F.onDidChangeStatus(()=>this.L())),L.add(F.onDidChangeConflicts(()=>this.M())),L.add(F.onDidChangeLocal(()=>this.j.fire(b)));const T=this.N(b);this.f.push([F,T,L])}H(b){const L=this.f.findIndex(([F])=>F.resource===b);if(L!==-1){const[[F,,T]]=this.f.splice(L,1);T.dispose(),this.L(),Promise.allSettled([F.stop(),F.resetLocal()]).then(null,z=>this.z.error(z))}}createSynchronizer(b){switch(b){case"settings":return this.t.createInstance(S.$h3b,this.profile,this.collection);case"keybindings":return this.t.createInstance(w.$e3b,this.profile,this.collection);case"snippets":return this.t.createInstance(t.$m3b,this.profile,this.collection);case"tasks":return this.t.createInstance(a.$p3b,this.profile,this.collection);case"globalState":return this.t.createInstance(h.$yBb,this.profile,this.collection);case"extensions":return this.t.createInstance(l.$_2b,this.profile,this.collection);case"profiles":return this.t.createInstance(n.$54b,this.profile,this.collection)}}async sync(b,L,F,T){if(T.isCancellationRequested)return[];const z=this.enabled;if(!z.length)return[];try{const U=[],_=(0,s.$rgb)(F),K=(this.collection?b?.collections?.[this.collection]?.latest:b?.latest)??null,Z=L?await this.I(K):{};for(const G of z){if(T.isCancellationRequested)return[];if(!this.r.isResourceEnabled(G.resource))return[];try{if(L){const Q=await G.preview(K,Z,_);if(Q)for(const H of Q.resourcePreviews)(H.localChange!==0||H.remoteChange!==0)&&H.mergeState==="preview"&&await G.merge(H.previewResource)}else await G.sync(K,_)}catch(Q){const H=s.$sgb.toUserDataSyncError(Q);if(p(H,F,this.w,this.y),v(Q))throw H;this.z.error(Q),this.z.error(`${G.resource}: ${(0,A.$wi)(Q)}`),U.push([G.resource,H])}}return U}finally{this.L()}}async apply(b,L){const F=(0,s.$rgb)(b);for(const T of this.enabled){if(L.isCancellationRequested)return;try{await T.apply(!1,F)}catch(z){const U=s.$sgb.toUserDataSyncError(z);if(p(U,b,this.w,this.y),v(z))throw U;this.z.error(z),this.z.error(`${T.resource}: ${(0,A.$wi)(z)}`)}}}async stop(){for(const b of this.enabled)try{b.status!=="idle"&&await b.stop()}catch(L){this.z.error(L)}}async resetLocal(){for(const b of this.enabled)try{await b.resetLocal()}catch(L){this.z.error(`${b.resource}: ${(0,A.$wi)(L)}`),this.z.error(L)}}async I(b){if(!this.profile.isDefault)return{};const L=this.D.getValue(s.$fgb),F=this.enabled.find(T=>T instanceof S.$h3b);if(F){const T=await F.getRemoteUserDataSyncConfiguration(b);return{...L,...T}}return L}J(b){this.g!==b&&(this.g=b,this.h.fire(b))}L(){return this.M(),this.enabled.some(b=>b.status==="hasConflicts")?this.J("hasConflicts"):this.enabled.some(b=>b.status==="syncing")?this.J("syncing"):this.J("idle")}M(){const b=this.enabled.filter(L=>L.status==="hasConflicts").filter(L=>L.conflicts.conflicts.length>0).map(L=>L.conflicts);(0,O.$sb)(this.m,b,(L,F)=>L.syncResource===F.syncResource&&(0,O.$sb)(L.conflicts,F.conflicts,(T,z)=>(0,C.$lg)(T.previewResource,z.previewResource)))||(this.m=b,this.n.fire(b))}N(b){switch(b){case"settings":return 0;case"keybindings":return 1;case"snippets":return 2;case"tasks":return 3;case"globalState":return 4;case"extensions":return 5;case"profiles":return 6;case"workspaceState":return 7}}};o=ye([x(2,s.$xgb),x(3,$.$Kh),x(4,m.$1n),x(5,s.$mgb),x(6,d.$0k),x(7,s.$Cgb),x(8,u.$Fk),x(9,E.$fi)],o);function v(f){if(f instanceof s.$sgb)switch(f.code){case"MethodNotFound":case"TooLarge":case"RemoteTooManyRequests":case"TooManyRequestsAndRetryAfter":case"LocalTooManyRequests":case"LocalTooManyProfiles":case"Gone":case"UpgradeRequired":case"IncompatibleRemoteContent":case"IncompatibleLocalContent":return!0}return!1}function p(f,b,L,F){F.publicLog2("sync/error",{code:f.code,serverCode:f instanceof s.$tgb?String(f.serverCode):void 0,url:f instanceof s.$tgb?f.url:void 0,resource:f.resource,executionId:b,service:L.userDataSyncStore.url.toString()})}}),define(oe[258],ae([0,1,3,2,10,17,25]),function(te,e,O,N,j,A,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$l8b=e.$k8b=void 0;function I(m,c){return{...m,profile:(0,A.$Gk)(m.profile,c.profilesHome.scheme)}}function C(m){return{created:m.created,uri:j.URI.revive(m.uri)}}class g{constructor(c,$,y){this.c=c,this.d=$,this.f=y,this.a=new Map,this.b=new O.$Ld}listen(c,$){switch($){case"onDidChangeStatus":return this.c.onDidChangeStatus;case"onDidChangeConflicts":return this.c.onDidChangeConflicts;case"onDidChangeLocal":return this.c.onDidChangeLocal;case"onDidChangeLastSyncTime":return this.c.onDidChangeLastSyncTime;case"onSyncErrors":return this.c.onSyncErrors;case"onDidResetLocal":return this.c.onDidResetLocal;case"onDidResetRemote":return this.c.onDidResetRemote;case"manualSync/onSynchronizeResources":return this.b.event}throw new Error(`Event not found: ${$}`)}async call(c,$,y){try{return await this.g(c,$,y)}catch(d){throw this.f.error(d),d}}async g(c,$,y){switch($){case"_getInitialData":return Promise.resolve([this.c.status,this.c.conflicts,this.c.lastSyncTime]);case"reset":return this.c.reset();case"resetRemote":return this.c.resetRemote();case"resetLocal":return this.c.resetLocal();case"hasPreviouslySynced":return this.c.hasPreviouslySynced();case"hasLocalData":return this.c.hasLocalData();case"resolveContent":return this.c.resolveContent(j.URI.revive(y[0]));case"accept":return this.c.accept(I(y[0],this.d),j.URI.revive(y[1]),y[2],y[3]);case"replace":return this.c.replace(C(y[0]));case"cleanUpRemoteData":return this.c.cleanUpRemoteData();case"getRemoteActivityData":return this.c.saveRemoteActivityData(j.URI.revive(y[0]));case"extractActivityData":return this.c.extractActivityData(j.URI.revive(y[0]),j.URI.revive(y[1]));case"createManualSyncTask":return this.i()}if($.startsWith("manualSync/")){const d=$.substring(11),u=y[0],l=this.h(u);switch(y=y.slice(1),d){case"merge":return l.merge();case"apply":return l.apply().then(()=>this.a.delete(this.j(l.id)));case"stop":return l.stop().finally(()=>this.a.delete(this.j(l.id)))}}throw new Error("Invalid call")}h(c){const $=this.a.get(this.j(c));if(!$)throw new Error(`Manual sync taks not found: ${c}`);return $}async i(){const c=await this.c.createManualSyncTask();return this.a.set(this.j(c.id),c),c.id}j(c){return`manualSyncTask-${c}`}}e.$k8b=g;let P=class extends N.$Qc{get status(){return this.b}get onDidChangeLocal(){return this.a.listen("onDidChangeLocal")}get conflicts(){return this.f}get lastSyncTime(){return this.h}get onDidResetLocal(){return this.a.listen("onDidResetLocal")}get onDidResetRemote(){return this.a.listen("onDidResetRemote")}constructor(c,$){super(),this.n=$,this.b="uninitialized",this.c=this.B(new O.$Ld),this.onDidChangeStatus=this.c.event,this.f=[],this.g=this.B(new O.$Ld),this.onDidChangeConflicts=this.g.event,this.h=void 0,this.j=this.B(new O.$Ld),this.onDidChangeLastSyncTime=this.j.event,this.m=this.B(new O.$Ld),this.onSyncErrors=this.m.event,this.a={call(y,d,u){return c.call(y,d,u).then(null,l=>{throw D.$sgb.toUserDataSyncError(l)})},listen(y,d){return c.listen(y,d)}},this.a.call("_getInitialData").then(([y,d,u])=>{this.s(y),this.t(d),u&&this.u(u),this.B(this.a.listen("onDidChangeStatus")(l=>this.s(l))),this.B(this.a.listen("onDidChangeLastSyncTime")(l=>this.u(l)))}),this.B(this.a.listen("onDidChangeConflicts")(y=>this.t(y))),this.B(this.a.listen("onSyncErrors")(y=>this.m.fire(y.map(d=>({...d,error:D.$sgb.toUserDataSyncError(d.error)})))))}createSyncTask(){throw new Error("not supported")}async createManualSyncTask(){const c=await this.a.call("createManualSyncTask"),$=this;return new E(c,{async call(d,u,l){return $.a.call(`manualSync/${d}`,[c,...Array.isArray(u)?u:[u]],l)},listen(){throw new Error("not supported")}})}reset(){return this.a.call("reset")}resetRemote(){return this.a.call("resetRemote")}resetLocal(){return this.a.call("resetLocal")}hasPreviouslySynced(){return this.a.call("hasPreviouslySynced")}hasLocalData(){return this.a.call("hasLocalData")}accept(c,$,y,d){return this.a.call("accept",[c,$,y,d])}resolveContent(c){return this.a.call("resolveContent",[c])}cleanUpRemoteData(){return this.a.call("cleanUpRemoteData")}replace(c){return this.a.call("replace",[c])}saveRemoteActivityData(c){return this.a.call("getRemoteActivityData",[c])}extractActivityData(c,$){return this.a.call("extractActivityData",[c,$])}async s(c){this.b=c,this.c.fire(c)}async t(c){this.f=c.map($=>({syncResource:$.syncResource,profile:(0,A.$Gk)($.profile,this.n.profilesHome.scheme),conflicts:$.conflicts.map(y=>({...y,baseResource:j.URI.revive(y.baseResource),localResource:j.URI.revive(y.localResource),remoteResource:j.URI.revive(y.remoteResource),previewResource:j.URI.revive(y.previewResource)}))})),this.g.fire(this.f)}u(c){this.h!==c&&(this.h=c,this.j.fire(c))}};e.$l8b=P,e.$l8b=P=ye([x(1,A.$Fk)],P);class E extends N.$Qc{constructor(c,$){super(),this.id=c,this.a=$}async merge(){return this.a.call("merge")}async apply(){return this.a.call("apply")}stop(){return this.a.call("stop")}dispose(){this.a.call("dispose")}}}),define(oe[259],ae([0,1,5,26,8,3,2,141,6,21,12,10,32,19,14,11,24,57,43,20,25]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oBb=e.$nBb=e.$mBb=e.$lBb=e.$kBb=void 0;const S="configurationSync.store",t="sync.previous.store",a="sync.donot-make-requests-until",n="sync.user-session-id",s="sync.machine-session-id",i=100,r=1e3*60*5;let o=class extends D.$Qc{get userDataSyncStore(){return this.b}get c(){return this.h.get(w.$vgb,-1)}set c(F){this.h.store(w.$vgb,F,-1,C.$o?0:1)}constructor(F,T,z){super(),this.f=F,this.g=T,this.h=z,this.a=this.B(new A.$Ld),this.onDidChangeUserDataSyncStore=this.a.event,this.j();const U=this.B(new D.$Pc);this.B(A.Event.filter(z.onDidChangeValue(-1,w.$vgb,U),()=>this.c!==this.userDataSyncStore?.type,U)(()=>this.j()))}j(){this.b=this.m(this.f[S]),this.a.fire()}m(F){if(F&&(F=C.$o&&F.web?{...F,...F.web}:F,(0,P.$wf)(F.url)&&(0,P.$yf)(F.authenticationProviders)&&Object.keys(F.authenticationProviders).every(T=>Array.isArray(F.authenticationProviders[T].scopes)))){const T=F,z=!!T.canSwitch,U=T.url===T.insidersUrl?"insiders":"stable",_=(z?this.c:void 0)||U,K=_==="insiders"?T.insidersUrl:_==="stable"?T.stableUrl:T.url;return{url:E.URI.parse(K),type:_,defaultType:U,defaultUrl:E.URI.parse(T.url),stableUrl:E.URI.parse(T.stableUrl),insidersUrl:E.URI.parse(T.insidersUrl),canSwitch:z,authenticationProviders:Object.keys(T.authenticationProviders).reduce((Z,G)=>(Z.push({id:G,scopes:T.authenticationProviders[G].scopes}),Z),[])}}}};e.$kBb=o,e.$kBb=o=ye([x(0,d.$lj),x(1,c.$fi),x(2,h.$Wo)],o);let v=class extends o{constructor(F,T,z){super(F,T,z);const U=this.h.get(t,-1);U&&(this.n=JSON.parse(U));const _=this.f[S];_?this.h.store(t,JSON.stringify(_),-1,1):this.h.remove(t,-1)}async switch(F){F!==this.c&&(this.c=F,this.j())}async getPreviousUserDataSyncStore(){return this.m(this.n)}};e.$lBb=v,e.$lBb=v=ye([x(0,d.$lj),x(1,c.$fi),x(2,h.$Wo)],v);let p=class extends D.$Qc{get donotMakeRequestsUntil(){return this.j}constructor(F,T,z,U,_,K,Z){super(),this.n=z,this.r=U,this.s=Z,this.g=this.B(new A.$Ld),this.onTokenFailed=this.g.event,this.h=this.B(new A.$Ld),this.onTokenSucceed=this.h.event,this.j=void 0,this.m=this.B(new A.$Ld),this.onDidChangeDonotMakeRequestsUntil=this.m.event,this.w=void 0,this.t(F),this.c=(0,l.$3o)(_,K,Z).then(G=>{const Q={"X-Client-Name":`${T.applicationName}${C.$o?"-web":""}`,"X-Client-Version":T.version};return T.commit&&(Q["X-Client-Commit"]=T.commit),Q}),this.f=new b(i,r,this.n,this.r),this.u(),this.B((0,D.$Oc)(()=>{this.w&&(this.w.cancel(),this.w=void 0)}))}setAuthToken(F,T){this.b={token:F,type:T}}t(F){this.a=F?(0,g.$sg)(F,"v1"):void 0}u(){const F=this.s.getNumber(a,-1);F&&Date.now()<F&&this.y(new Date(F))}y(F){this.j?.getTime()!==F?.getTime()&&(this.j=F,this.w&&(this.w.cancel(),this.w=void 0),this.j?(this.s.store(a,this.j.getTime(),-1,1),this.w=(0,O.$Eg)(T=>(0,O.$Rg)(this.j.getTime()-Date.now(),T).then(()=>this.y(void 0))),this.w.then(null,T=>null)):this.s.remove(a,-1),this.m.fire())}async getAllCollections(F={}){if(!this.a)throw new Error("No settings sync store url configured.");const T=(0,g.$sg)(this.a,"collection").toString();F={...F},F["Content-Type"]="application/json";const z=await this.D(T,{type:"GET",headers:F},[],N.CancellationToken.None);return(await(0,u.$Po)(z))?.map(({id:U})=>U)||[]}async createCollection(F={}){if(!this.a)throw new Error("No settings sync store url configured.");const T=(0,g.$sg)(this.a,"collection").toString();F={...F},F["Content-Type"]=I.$Ir.text;const z=await this.D(T,{type:"POST",headers:F},[],N.CancellationToken.None),U=await(0,u.$Oo)(z);if(!U)throw new w.$tgb("Server did not return the collection id",T,"NoCollection",z.res.statusCode,z.res.headers[w.$pgb]);return U}async deleteCollection(F,T={}){if(!this.a)throw new Error("No settings sync store url configured.");const z=F?(0,g.$sg)(this.a,"collection",F).toString():(0,g.$sg)(this.a,"collection").toString();T={...T},await this.D(z,{type:"DELETE",headers:T},[],N.CancellationToken.None)}async getAllResourceRefs(F,T){if(!this.a)throw new Error("No settings sync store url configured.");const z=this.z(this.a,T,F),U={},_=await this.D(z.toString(),{type:"GET",headers:U},[],N.CancellationToken.None);return(await(0,u.$Po)(_)||[]).map(({url:Z,created:G})=>({ref:(0,g.$ug)(z,z.with({path:Z})),created:G*1e3}))}async resolveResourceContent(F,T,z,U={}){if(!this.a)throw new Error("No settings sync store url configured.");const _=(0,g.$sg)(this.z(this.a,z,F),T).toString();U={...U},U["Cache-Control"]="no-cache";const K=await this.D(_,{type:"GET",headers:U},[],N.CancellationToken.None);return await(0,u.$Oo)(K)}async deleteResource(F,T,z){if(!this.a)throw new Error("No settings sync store url configured.");const U=T!==null?(0,g.$sg)(this.z(this.a,z,F),T).toString():this.z(this.a,z,F).toString(),_={};await this.D(U,{type:"DELETE",headers:_},[],N.CancellationToken.None)}async deleteResources(){if(!this.a)throw new Error("No settings sync store url configured.");const F=(0,g.$sg)(this.a,"resource").toString(),T={"Content-Type":I.$Ir.text};await this.D(F,{type:"DELETE",headers:T},[],N.CancellationToken.None)}async readResource(F,T,z,U={}){if(!this.a)throw new Error("No settings sync store url configured.");const _=(0,g.$sg)(this.z(this.a,z,F),"latest").toString();U={...U},U["Cache-Control"]="no-cache",T&&(U["If-None-Match"]=T.ref);const K=await this.D(_,{type:"GET",headers:U},[304],N.CancellationToken.None);let Z=null;if(K.res.statusCode===304&&(Z=T),Z===null){const G=K.res.headers.etag;if(!G)throw new w.$tgb("Server did not return the ref",_,"NoRef",K.res.statusCode,K.res.headers[w.$pgb]);const Q=await(0,u.$Oo)(K);if(!Q&&K.res.statusCode===304)throw new w.$tgb("Empty response",_,"EmptyResponse",K.res.statusCode,K.res.headers[w.$pgb]);Z={ref:G,content:Q}}return Z}async writeResource(F,T,z,U,_={}){if(!this.a)throw new Error("No settings sync store url configured.");const K=this.z(this.a,U,F).toString();_={..._},_["Content-Type"]=I.$Ir.text,z&&(_["If-Match"]=z);const Z=await this.D(K,{type:"POST",data:T,headers:_},[],N.CancellationToken.None),G=Z.res.headers.etag;if(!G)throw new w.$tgb("Server did not return the ref",K,"NoRef",Z.res.statusCode,Z.res.headers[w.$pgb]);return G}async manifest(F,T={}){if(!this.a)throw new Error("No settings sync store url configured.");const z=(0,g.$sg)(this.a,"manifest").toString();T={...T},T["Content-Type"]="application/json",F&&(T["If-None-Match"]=F.ref);const U=await this.D(z,{type:"GET",headers:T},[304],N.CancellationToken.None);let _=null;if(U.res.statusCode===304&&(_=F),!_){const Z=U.res.headers.etag;if(!Z)throw new w.$tgb("Server did not return the ref",z,"NoRef",U.res.statusCode,U.res.headers[w.$pgb]);const G=await(0,u.$Oo)(U);if(!G&&U.res.statusCode===304)throw new w.$tgb("Empty response",z,"EmptyResponse",U.res.statusCode,U.res.headers[w.$pgb]);G&&(_={...JSON.parse(G),ref:Z})}const K=this.s.get(n,-1);return K&&_&&K!==_.session&&this.C(),_===null&&K&&this.C(),_&&this.s.store(n,_.session,-1,1),_}async clear(){if(!this.a)throw new Error("No settings sync store url configured.");await this.deleteCollection(),await this.deleteResources(),this.C()}async getActivityData(){if(!this.a)throw new Error("No settings sync store url configured.");const F=(0,g.$sg)(this.a,"download").toString(),T={},z=await this.D(F,{type:"GET",headers:T},[],N.CancellationToken.None);if(!(0,u.$Lo)(z))throw new w.$tgb("Server returned "+z.res.statusCode,F,"EmptyResponse",z.res.statusCode,z.res.headers[w.$pgb]);if((0,u.$Mo)(z))throw new w.$tgb("Empty response",F,"EmptyResponse",z.res.statusCode,z.res.headers[w.$pgb]);return z.stream}z(F,T,z){return T?(0,g.$sg)(F,"collection",T,"resource",z):(0,g.$sg)(F,"resource",z)}C(){this.s.remove(n,-1),this.s.remove(s,-1)}async D(F,T,z,U){if(!this.b)throw new w.$tgb("No Auth Token Available",F,"Unauthorized",void 0,void 0);if(this.j&&Date.now()<this.j.getTime())throw new w.$tgb(`${T.type} request '${F}' failed because of too many requests (429).`,F,"TooManyRequestsAndRetryAfter",void 0,void 0);this.y(void 0);const _=await this.c;T.headers={...T.headers||{},..._,"X-Account-Type":this.b.type,authorization:`Bearer ${this.b.token}`},this.F(T.headers),this.r.trace("Sending request to server",{url:F,type:T.type,headers:{...T.headers,authorization:void 0}});let K;try{K=await this.f.request(F,T,U)}catch(V){if(!(V instanceof w.$tgb)){let W="RequestFailed";const ee=(0,j.$8)(V).toLowerCase();ee.includes("xhr timeout")?W="RequestTimeout":ee.includes("protocol")&&ee.includes("not supported")?W="RequestProtocolNotSupported":ee.includes("request path contains unescaped characters")?W="RequestPathNotEscaped":ee.includes("headers must be an object")?W="RequestHeadersNotObject":(0,j.$2)(V)&&(W="RequestCanceled"),V=new w.$tgb(`Connection refused for the request '${F}'.`,F,W,void 0,void 0)}throw this.r.info("Request failed",F),V}const Z=K.res.headers[w.$pgb],G={url:F,status:K.res.statusCode,"execution-id":T.headers[w.$qgb],"operation-id":Z},Q=(0,u.$Lo)(K)||K.res.statusCode&&z.includes(K.res.statusCode);let H="";if(Q?this.r.trace("Request succeeded",G):(H=await(0,u.$No)(K)||"",this.r.info("Request failed",G,H)),K.res.statusCode===401||K.res.statusCode===403){if(this.b=void 0,K.res.statusCode===401)throw this.g.fire("Unauthorized"),new w.$tgb(`${T.type} request '${F}' failed because of Unauthorized (401).`,F,"Unauthorized",K.res.statusCode,Z);if(K.res.statusCode===403)throw this.g.fire("Forbidden"),new w.$tgb(`${T.type} request '${F}' failed because the access is forbidden (403).`,F,"Forbidden",K.res.statusCode,Z)}if(this.h.fire(),K.res.statusCode===404)throw new w.$tgb(`${T.type} request '${F}' failed because the requested resource is not found (404).`,F,"NotFound",K.res.statusCode,Z);if(K.res.statusCode===405)throw new w.$tgb(`${T.type} request '${F}' failed because the requested endpoint is not found (405). ${H}`,F,"MethodNotFound",K.res.statusCode,Z);if(K.res.statusCode===409)throw new w.$tgb(`${T.type} request '${F}' failed because of Conflict (409). There is new data for this resource. Make the request again with latest data.`,F,"Conflict",K.res.statusCode,Z);if(K.res.statusCode===410)throw new w.$tgb(`${T.type} request '${F}' failed because the requested resource is not longer available (410).`,F,"Gone",K.res.statusCode,Z);if(K.res.statusCode===412)throw new w.$tgb(`${T.type} request '${F}' failed because of Precondition Failed (412). There is new data for this resource. Make the request again with latest data.`,F,"PreconditionFailed",K.res.statusCode,Z);if(K.res.statusCode===413)throw new w.$tgb(`${T.type} request '${F}' failed because of too large payload (413).`,F,"TooLarge",K.res.statusCode,Z);if(K.res.statusCode===426)throw new w.$tgb(`${T.type} request '${F}' failed with status Upgrade Required (426). Please upgrade the client and try again.`,F,"UpgradeRequired",K.res.statusCode,Z);if(K.res.statusCode===429){const V=K.res.headers["retry-after"];throw V?(this.y(new Date(Date.now()+parseInt(V)*1e3)),new w.$tgb(`${T.type} request '${F}' failed because of too many requests (429).`,F,"TooManyRequestsAndRetryAfter",K.res.statusCode,Z)):new w.$tgb(`${T.type} request '${F}' failed because of too many requests (429).`,F,"RemoteTooManyRequests",K.res.statusCode,Z)}if(!Q)throw new w.$tgb("Server returned "+K.res.statusCode,F,"Unknown",K.res.statusCode,Z);return K}F(F){let T=this.s.get(s,-1);T===void 0&&(T=(0,m.$bg)(),this.s.store(s,T,-1,1)),F["X-Machine-Session-Id"]=T;const z=this.s.get(n,-1);z!==void 0&&(F["X-User-Session-Id"]=z)}};e.$mBb=p,e.$mBb=p=ye([x(1,d.$lj),x(2,u.$Jo),x(3,w.$Cgb),x(4,$.$Sh),x(5,y.$7j),x(6,h.$Wo)],p);let f=class extends p{constructor(F,T,z,U,_,K,Z){super(F.userDataSyncStore?.url,T,z,U,_,K,Z),this.B(F.onDidChangeUserDataSyncStore(()=>this.t(F.userDataSyncStore?.url)))}};e.$nBb=f,e.$nBb=f=ye([x(0,w.$mgb),x(1,d.$lj),x(2,u.$Jo),x(3,w.$Cgb),x(4,$.$Sh),x(5,y.$7j),x(6,h.$Wo)],f);class b{constructor(F,T,z,U){this.c=F,this.d=T,this.f=z,this.g=U,this.a=[],this.b=void 0}request(F,T,z){if(this.h()&&this.i(),T.url=F,this.a.length>=this.c)throw this.g.info("Too many requests",...this.a),new w.$tgb(`Too many requests. Only ${this.c} requests allowed in ${this.d/(1e3*60)} minutes.`,F,"LocalTooManyRequests",void 0,void 0);return this.b=this.b||new Date,this.a.push(F),this.f.request(T,z)}h(){return this.b!==void 0&&new Date().getTime()-this.b.getTime()>this.d}i(){this.a=[],this.b=void 0}}e.$oBb=b}),define(oe[260],ae([0,1,3,55,24,20,22,255,25,78,81]),function(te,e,O,N,j,A,D,I,C,g,P){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$F8b=void 0;let E=class extends I.$94b{constructor(c,$,y,d,u,l,h,w,S,t,a){super(c,$,y,d,u,h,w,S,t,a),this.B(O.Event.debounce(O.Event.any(O.Event.map(l.onDidFocusWindow,()=>"windowFocus"),O.Event.map(l.onDidOpenWindow,()=>"windowOpen")),(n,s)=>n?[...n,s]:[s],1e3)(n=>this.triggerSync(n,!0,!1)))}};e.$F8b=E,e.$F8b=E=ye([x(0,j.$lj),x(1,C.$mgb),x(2,C.$ngb),x(3,C.$xgb),x(4,C.$ygb),x(5,N.$t6b),x(6,C.$Cgb),x(7,g.$1zb),x(8,D.$0k),x(9,P.$agb),x(10,A.$Wo)],E)}),define(oe[261],ae([0,1,69,23,6,21]),function(te,e,O,N,j,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$85b=e.$75b=e.$65b=e.$55b=void 0,e.$55b=128/4;function D(g){function P(){let E=g.scheme===N.Schemas.file?(0,A.$gg)(g):g.toString();return j.$k||(E=E.toLowerCase()),(0,O.createHash)("md5").update(E).digest("hex")}return{id:P(),configPath:g}}e.$65b=D;function I(g,P){function E(){if(g.scheme!==N.Schemas.file)return(0,O.createHash)("md5").update(g.toString()).digest("hex");if(!P)return;let c;return j.$k?c=P.ino:j.$j?c=P.birthtime.getTime():j.$i&&(typeof P.birthtimeMs=="number"?c=Math.floor(P.birthtimeMs):c=P.birthtime.getTime()),(0,O.createHash)("md5").update(g.fsPath).update(c?String(c):"").digest("hex")}const m=E();if(typeof m=="string")return{id:m,uri:g}}e.$75b=I;function C(){return{id:(Date.now()+Math.round(Math.random()*1e3)).toString()}}e.$85b=C}),define(oe[262],ae([0,1,5,8,2,16,31,14,7,75,113,261,55,71,23]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_7b=void 0;let y=class extends j.$Qc{constructor(u,l,h,w){super(),this.a=u,this.b=l,this.c=h,this.f=w,this.B(new O.$3g(()=>{this.g()},30*1e3)).schedule()}async g(){this.b.trace("[storage cleanup]: Starting to clean up workspace storage folders for unused empty workspaces.");try{const u=this.a.workspaceStorageHome.with({scheme:$.Schemas.file}).fsPath,l=await D.Promises.readdir(u),h=new g.$zAb(this.f.getChannel("storage"));await Promise.all(l.map(async w=>{const S=(0,A.$hc)(u,w);w.length===E.$55b||w===P.$Xh.id||(await this.c.getWindows()).some(n=>n.workspace?.id===w)||await h.isUsed(S)||(this.b.trace(`[storage cleanup]: Deleting workspace storage folder ${w} as it seems to be an unused empty workspace.`),await D.Promises.rm(S))}))}catch(u){(0,N.$Y)(u)}}};e.$_7b=y,e.$_7b=y=ye([x(0,I.$Th),x(1,C.$6i),x(2,m.$t6b),x(3,c.$K7b)],y)}),define(oe[82],ae([0,1,52,5,16,12,31,148,273,274]),function(te,e,O,N,j,A,D,I,C,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fp=e.$ep=e.zip=e.$cp=e.$bp=void 0,e.$bp="end of central directory record signature not found";const P=new RegExp(e.$bp);class E extends Error{constructor(a,n){let s=n.message;switch(a){case"CorruptZip":s=`Corrupt ZIP: ${s}`;break}super(s),this.type=a,this.cause=n}}e.$cp=E;function m(t){const a=t.externalFileAttributes>>16||33188;return[448,56,7].map(n=>a&n).reduce((n,s)=>n+s,a&61440)}function c(t){if(t instanceof E)return t;let a;return P.test(t.message)&&(a="CorruptZip"),new E(a,t)}function $(t,a,n,s,i,r){const o=j.$kc(a),v=j.$hc(s,o);if(!v.startsWith(s))return Promise.reject(new Error(I.localize(0,null,a)));const p=j.$hc(s,a);let f;return r.onCancellationRequested(()=>{f?.destroy()}),Promise.resolve(D.Promises.mkdir(v,{recursive:!0})).then(()=>new Promise((b,L)=>{if(!r.isCancellationRequested)try{f=(0,O.createWriteStream)(p,{mode:n}),f.once("close",()=>b()),f.once("error",L),t.once("error",L),t.pipe(f)}catch(F){L(F)}}))}function y(t,a,n,s){let i=(0,N.$Eg)(()=>Promise.resolve()),r=0;const o=s.onCancellationRequested(()=>{i.cancel(),t.close()});return new Promise((v,p)=>{const f=new N.$Lg,b=L=>{L.isCancellationRequested||(r++,t.readEntry())};t.once("error",p),t.once("close",()=>i.then(()=>{s.isCancellationRequested||t.entryCount===r?v():p(new E("Incomplete",new Error(I.localize(1,null,r,t.entryCount))))},p)),t.readEntry(),t.on("entry",L=>{if(s.isCancellationRequested)return;if(!n.sourcePathRegex.test(L.fileName)){b(s);return}const F=L.fileName.replace(n.sourcePathRegex,"");if(/\/$/.test(F)){const U=j.$hc(a,F);i=(0,N.$Eg)(_=>D.Promises.mkdir(U,{recursive:!0}).then(()=>b(_)).then(void 0,p));return}const T=u(t,L),z=m(L);i=(0,N.$Eg)(U=>f.queue(()=>T.then(_=>$(_,F,z,a,n,U).then(()=>b(U)))).then(null,p))})}).finally(()=>o.dispose())}function d(t,a=!1){return new Promise((n,s)=>{(0,C.open)(t,a?{lazyEntries:!0}:void 0,(i,r)=>{i?s(c(i)):n((0,A.$Hf)(r))})})}function u(t,a){return new Promise((n,s)=>{t.openReadStream(a,(i,r)=>{i?s(c(i)):n((0,A.$Hf)(r))})})}function l(t,a){return new Promise((n,s)=>{const i=new g.ZipFile;a.forEach(o=>{o.contents?i.addBuffer(typeof o.contents=="string"?Buffer.from(o.contents,"utf8"):o.contents,o.path):o.localPath&&i.addFile(o.localPath,o.path)}),i.end();const r=(0,O.createWriteStream)(t);i.outputStream.pipe(r),i.outputStream.once("error",s),r.once("error",s),r.once("finish",()=>n(t))})}e.zip=l;function h(t,a,n={},s){const i=new RegExp(n.sourcePath?`^${n.sourcePath}`:"");let r=d(t,!0);return n.overwrite&&(r=r.then(o=>D.Promises.rm(a).then(()=>o))),r.then(o=>y(o,a,{sourcePathRegex:i},s))}e.$ep=h;function w(t,a){return d(t).then(n=>new Promise((s,i)=>{n.on("entry",r=>{r.fileName===a&&u(n,r).then(o=>s(o),o=>i(o))}),n.once("close",()=>i(new Error(I.localize(2,null,a))))}))}function S(t,a){return w(t,a).then(n=>new Promise((s,i)=>{const r=[];n.once("error",i),n.on("data",o=>r.push(o)),n.on("end",()=>s(Buffer.concat(r)))}))}e.$fp=S}),define(oe[263],ae([0,1,5,8,2,23,21,53,12,32,31,82,19,14,29,33,97,11,7]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l){"use strict";var h;Object.defineProperty(e,"__esModule",{value:!0}),e.$up=void 0;let w=class extends j.$Qc{static{h=this}static{this.c=".sigzip"}constructor(t,a,n,s,i,r){super(),this.h=a,this.j=n,this.m=s,this.n=i,this.r=r,this.extensionsDownloadDir=t.extensionsDownloadLocation,this.f=20,this.g=this.y()}async download(t,a,n){await this.g;const s=(0,D.$sg)(this.extensionsDownloadDir,this.z(t));try{await this.w(t,s,r=>this.j.download(t,r,a))}catch(r){throw new $.$2n(r.message,$.ExtensionManagementErrorCode.Download)}let i=!1;if(n&&this.t(t)){const r=await this.u(t);try{i=await this.n.verify(s.fsPath,r.fsPath,this.r.getLevel()===l.LogLevel.Trace)}catch(o){const v=o;if(i=v.code,v.output&&this.r.trace(`Extension signature verification details for ${t.identifier.id} ${t.version}:
${v.output}`),i===$.ExtensionSignaturetErrorCode.PackageIsInvalidZip||i===$.ExtensionSignaturetErrorCode.SignatureArchiveIsInvalidZip)throw new $.$2n(E.$bp,$.ExtensionManagementErrorCode.CorruptZip)}finally{try{await this.delete(r)}catch(o){this.r.error(o)}}}return i===!0?this.r.info(`Extension signature is verified: ${t.identifier.id}`):i===!1?this.r.info(`Extension signature verification is not done: ${t.identifier.id}`):this.r.warn(`Extension signature verification failed with error '${i}': ${t.identifier.id}`),{location:s,verificationStatus:i}}t(t){if(!t.isSigned)return!1;const a=this.m.getValue("extensions.verifySignature");return(0,C.$Cf)(a)?a:!0}async u(t){await this.g;const a=(0,D.$sg)(this.extensionsDownloadDir,`${this.z(t)}${h.c}`);return await this.w(t,a,n=>this.j.downloadSignatureArchive(t,n)),a}async w(t,a,n){if(await this.h.exists(a))return;if(a.scheme!==A.Schemas.file){await n(a);return}const s=(0,D.$sg)(this.extensionsDownloadDir,`.${(0,g.$bg)()}`);await this.h.exists(s)||await n(s);try{await P.Promises.rename(s.fsPath,a.fsPath,2*60*1e3)}catch(i){try{await this.h.del(s)}catch{}if(i.code==="ENOTEMPTY")this.r.info("Rename failed because the file was downloaded by another source. So ignoring renaming.",t.identifier.id,a.path);else throw this.r.info(`Rename failed because of ${(0,N.$8)(i)}. Deleted the file from downloaded location`,s.path),i}}async delete(t){await this.g,await this.h.del(t)}async y(){try{if(!await this.h.exists(this.extensionsDownloadDir)){this.r.trace("Extension VSIX downloads cache dir does not exist");return}const t=await this.h.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(t.children){const a=[],n=[],s=[];for(const o of t.children)if(o.name.endsWith(h.c))s.push(o.resource);else{const v=y.$ro.parse(o.name);v&&n.push([v,o])}const i=(0,y.$wo)(n,([o])=>o),r=[];for(const o of i)o.sort((v,p)=>I.rcompare(v[0].version,p[0].version)),a.push(...o.slice(1).map(v=>v[1].resource)),r.push(o[0][1]);r.sort((o,v)=>o.mtime-v.mtime),a.push(...r.slice(0,Math.max(0,r.length-this.f)).map(o=>o.resource)),a.push(...s),await O.Promises.settled(a.map(o=>(this.r.trace("Deleting from cache",o.path),this.h.del(o))))}}catch(t){this.r.error(t)}}z(t){return this.f?y.$ro.create(t).toString().toLowerCase():(0,g.$bg)()}};e.$up=w,e.$up=w=h=ye([x(0,c.$Th),x(1,u.$7j),x(2,$.$1n),x(3,m.$fi),x(4,d.$8o),x(5,l.$6i)],w)}),define(oe[264],ae([0,1,82,157]),function(te,e,O,N){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wp=void 0;function j(A){return(0,O.$fp)(A,"extension/package.json").then(D=>{try{return JSON.parse(D.toString("utf8"))}catch{throw new Error((0,N.localize)(0,null))}})}e.$wp=j}),define(oe[122],ae([0,1,5,15,26,38,8,3,51,2,34,23,16,21,53,12,10,32,31,82,156,96,14,243,29,33,50,79,263,244,264,212,223,67,11,4,7,24,22,28,17]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t,a,n,s,i,r,o,v,p,f,b,L,F,T,z,U,_,K,Z){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cp=e.$Bp=e.$Ap=e.$zp=void 0,e.$zp=(0,T.$Mh)(n.$3n);const G=".vsctmp";let Q=class extends a.$gp{constructor(X,B,k,R,q,M,J,Y,se,le,ue,he){super(X,B,ue,k,le,he),this.fb=q,this.gb=M,this.hb=J,this.ib=se,this.eb=new Map,this.rb=new P.$zc;const $e=this.B(Y.createInstance(v.$vp));this.bb=this.B(Y.createInstance(H,we=>$e.postUninstall(we))),this.cb=this.B(new f.$xp(he,se,ue,this,this.F)),this.db=this.B(Y.createInstance(o.$up));const de=this.B(new b.$yp(this,this.fb,he,M,ue,se,k));this.B(de.onDidChangeExtensionsByAnotherSource(we=>this.qb(we))),this.sb()}getTargetPlatform(){return this.jb||(this.jb=(0,s.$Bo)(this.ib,this.F)),this.jb}async zip(X){this.F.trace("ExtensionManagementService#zip",X.identifier.id);const B=await this.pb(X),k=await(0,h.zip)((0,c.$sg)(this.db.extensionsDownloadDir,(0,u.$bg)()).fsPath,B);return d.URI.file(k)}async unzip(X){return this.F.trace("ExtensionManagementService#unzip",X.toString()),(await this.install(X)).identifier}async getManifest(X){const{location:B,cleanup:k}=await this.lb(X),R=m.$ic(B.fsPath);try{return await(0,p.$wp)(R)}finally{await k()}}getInstalled(X,B=this.H.defaultProfile.extensionsResource){return this.bb.scanExtensions(X??null,B)}scanAllUserInstalledExtensions(){return this.bb.scanAllUserExtensions(!1)}scanInstalledExtensionAtLocation(X){return this.bb.scanUserExtensionAtLocation(X)}async install(X,B={}){this.F.trace("ExtensionManagementService#install",X.toString());const{location:k,cleanup:R}=await this.lb(X);try{const q=await(0,p.$wp)(m.$ic(k.fsPath)),M=(0,s.$vo)(q.publisher,q.name);if(q.engines&&q.engines.vscode&&!(0,L.$Io)(q.engines.vscode,this.G.version,this.G.date))throw new Error(w.localize(0,null,M,this.G.version));const Y=(await this.I([{manifest:q,extension:k,options:B}])).find(({identifier:se})=>(0,s.$qo)(se,{id:M}));if(Y?.local)return Y.local;throw Y?.error?Y.error:(0,a.$ip)(new Error(`Unknown error while installing extension ${M}`))}finally{await R()}}async installFromLocation(X,B){this.F.trace("ExtensionManagementService#installFromLocation",X.toString());const k=await this.bb.scanUserExtensionAtLocation(X);if(!k)throw new Error(`Cannot find a valid extension from the location ${X.toString()}`);return await this.ub([[k,void 0]],B),this.F.info("Successfully installed extension",k.identifier.id,B.toString()),k}async installExtensionsFromProfile(X,B,k){this.F.trace("ExtensionManagementService#installExtensionsFromProfile",X,B.toString(),k.toString());const R=(await this.bb.scanExtensions(1,B)).filter(q=>X.some(M=>(0,s.$qo)(M,q.identifier)));if(R.length){const q=await Promise.all(R.map(M=>this.bb.scanMetadata(M,B)));await this.ub(R.map((M,J)=>[M,q[J]]),k),this.F.info("Successfully installed extensions",R.map(M=>M.identifier.id),k.toString())}return R}async updateMetadata(X,B,k=this.H.defaultProfile.extensionsResource){return this.F.trace("ExtensionManagementService#updateMetadata",X.identifier.id),B.isPreReleaseVersion&&(B.preRelease=!0),B.isMachineScoped=B.isMachineScoped||void 0,B.isBuiltin=B.isBuiltin||void 0,B.pinned=B.pinned||void 0,X=await this.bb.updateMetadata(X,B,k),this.cb.invalidate(k),this.w.fire(X),X}async reinstallFromGallery(X){if(this.F.trace("ExtensionManagementService#reinstallFromGallery",X.identifier.id),!this.z.isEnabled())throw new Error(w.localize(1,null));const B=await this.getTargetPlatform(),[k]=await this.z.getExtensions([{...X.identifier,preRelease:X.preRelease}],{targetPlatform:B,compatible:!0},j.CancellationToken.None);if(!k)throw new Error(w.localize(2,null));await this.bb.setUninstalled(X);try{await this.bb.removeUninstalledExtension(X)}catch(R){throw new Error(w.localize(3,null,(0,A.$wi)(R)))}return this.installFromGallery(k)}ab(X,B,k,R){return this.bb.copyExtension(X,B,k,R)}copyExtensions(X,B){return this.bb.copyExtensions(X,B)}markAsUninstalled(...X){return this.bb.setUninstalled(...X)}async cleanUp(){this.F.trace("ExtensionManagementService#cleanUp");try{await this.bb.cleanUp()}catch(X){this.F.error(X)}}async download(X,B,k){const{location:R}=await this.db.download(X,B,!k);return R}async lb(X){if(X.scheme===E.Schemas.file)return{location:X,async cleanup(){}};this.F.trace("Downloading extension from",X.toString());const B=(0,c.$sg)(this.db.extensionsDownloadDir,(0,u.$bg)());return await this.hb.download(X,B),this.F.info("Downloaded extension to",B.toString()),{location:B,cleanup:async()=>{try{await this.ib.del(B)}catch(R){this.F.error(R)}}}}Y(){return this.H.defaultProfile.extensionsResource}Z(X,B,k){if(d.URI.isUri(B))return new ee(X,B,k,this.z,this.bb,this.D,this.H,this.fb,this.gb,this.F);const R=s.$ro.create(B).toString();let q=this.eb.get(R);return q||(this.eb.set(R,q=new W(X,B,k,this.db,this.bb,this.D,this.H,this.fb,this.gb,this.F)),q.waitUntilTaskIsFinished().finally(()=>this.eb.delete(R))),q}$(X,B){return new ne(X,B.profileLocation,this.gb)}async pb(X){const B=async R=>{let q=await l.Promises.readdir(R);q=q.map(Y=>m.$hc(R,Y));const M=await Promise.all(q.map(Y=>l.Promises.stat(Y)));let J=Promise.resolve([]);return M.forEach((Y,se)=>{const le=q[se];Y.isFile()&&(J=J.then(ue=>[...ue,le])),Y.isDirectory()&&(J=J.then(ue=>B(le).then(he=>[...ue,...he])))}),J};return(await B(X.location.fsPath)).map(R=>({path:`extension/${m.$jc(X.location.fsPath,R)}`,localPath:R}))}async qb({added:X,removed:B}){if(B){const k=X&&this.D.extUri.isEqual(B.profileLocation,X.profileLocation)?B.extensions.filter(R=>X.extensions.every(q=>!(0,s.$qo)(q,R))):B.extensions;for(const R of k)this.F.info("Extensions removed from another source",R.id,B.profileLocation.toString()),this.u.fire({identifier:R,profileLocation:B.profileLocation})}if(X){const R=(await this.bb.scanExtensions(1,X.profileLocation)).filter(q=>X.extensions.some(M=>(0,s.$qo)(M,q.identifier)));this.s.fire(R.map(q=>(this.F.info("Extensions added from another source",q.identifier.id,X.profileLocation.toString()),{identifier:q.identifier,local:q,profileLocation:X.profileLocation,operation:1})))}}async sb(){this.B(this.bb.onExtract(B=>this.rb.add(B)));const X=await this.ib.resolve(this.fb.userExtensionsLocation);for(const B of X.children??[])B.isDirectory&&this.rb.add(B.resource);this.B(this.ib.watch(this.fb.userExtensionsLocation)),this.B(this.ib.onDidFilesChange(B=>this.tb(B)))}async tb(X){if(!X.affects(this.fb.userExtensionsLocation,1))return;const B=[];for(const k of X.rawAdded){if(this.rb.has(k)||!this.D.extUri.isEqual(this.D.extUri.dirname(k),this.fb.userExtensionsLocation)||this.D.extUri.isEqual(k,this.D.extUri.joinPath(this.fb.userExtensionsLocation,".obsolete"))||this.D.extUri.basename(k).startsWith(".")||!(await this.ib.stat(k)).isDirectory)continue;const R=await this.bb.scanUserExtensionAtLocation(k);R&&R.installedTimestamp===void 0&&(this.rb.add(k),B.push(R))}B.length&&(await this.ub(B.map(k=>[k,void 0]),this.H.defaultProfile.extensionsResource),this.F.info("Added extensions to default profile from external source",B.map(k=>k.identifier.id)))}async ub(X,B){const k=X.map(R=>R[0]);await this.vb(k),await this.gb.addExtensionsToProfile(X,B),this.s.fire(k.map(R=>({local:R,identifier:R.identifier,operation:1,profileLocation:B})))}async vb(X){const B=await this.bb.getUninstalledExtensions();for(const k of X){const R=s.$ro.create(k);B[R.toString()]&&(this.F.trace("Removing the extension from uninstalled list:",R.id),await this.bb.setInstalled(R),this.F.info("Removed the extension from uninstalled list:",R.id))}}};e.$Ap=Q,e.$Ap=Q=ye([x(0,n.$1n),x(1,_.$0k),x(2,z.$6i),x(3,t.$Th),x(4,r.$pp),x(5,i.$lp),x(6,S.$En),x(7,T.$Kh),x(8,F.$7j),x(9,U.$lj),x(10,K.$Dk),x(11,Z.$Fk)],Q);let H=class extends g.$Qc{constructor(X,B,k,R,q,M){super(),this.j=X,this.m=B,this.n=k,this.s=R,this.t=q,this.u=M,this.h=this.B(new I.$Ld),this.onExtract=this.h.event,this.c=(0,c.$sg)(this.n.userExtensionsLocation,".obsolete"),this.g=new O.$Xg}async cleanUp(){await this.H(),await this.G()}async scanExtensions(X,B){const k={includeInvalid:!0,profileLocation:B};let R=[];return X===null||X===0?R.push(...await this.n.scanAllExtensions({includeInvalid:!0},k,!1)):X===1&&R.push(...await this.n.scanUserExtensions(k)),R=X!==null?R.filter(q=>q.type===X):R,Promise.all(R.map(q=>this.F(q)))}async scanAllUserExtensions(X){const B=await this.n.scanUserExtensions({includeAllVersions:!X,includeInvalid:!0});return Promise.all(B.map(k=>this.F(k)))}async scanUserExtensionAtLocation(X){try{const B=await this.n.scanExistingExtension(X,1,{includeInvalid:!0});if(B)return await this.F(B)}catch(B){this.u.error(B)}return null}async extractUserExtension(X,B,k,R,q){const M=X.toString(),J=d.URI.file(m.$hc(this.n.userExtensionsLocation.fsPath,`.${(0,u.$bg)()}`)),Y=d.URI.file(m.$hc(this.n.userExtensionsLocation.fsPath,M));let se=await this.m.exists(Y);if(se&&R){try{await this.y(X.id,Y,"removeExisting")}catch{throw new n.$2n(w.localize(4,null,Y.fsPath,X.id),n.ExtensionManagementErrorCode.Delete)}se=!1}if(!se)try{try{this.u.trace(`Started extracting the extension from ${B} to ${Y.fsPath}`),await(0,h.$ep)(B,J.fsPath,{sourcePath:"extension",overwrite:!0},q),this.u.info(`Extracted extension to ${Y}:`,X.id)}catch(le){let ue=n.ExtensionManagementErrorCode.Extract;throw le instanceof h.$cp&&(le.type==="CorruptZip"?ue=n.ExtensionManagementErrorCode.CorruptZip:le.type==="Incomplete"&&(ue=n.ExtensionManagementErrorCode.IncompleteZip)),new n.$2n(le.message,ue)}await this.n.updateMetadata(J,k);try{this.u.trace(`Started renaming the extension from ${J.fsPath} to ${Y.fsPath}`),await this.C(J.fsPath,Y.fsPath),this.u.info("Renamed to",Y.fsPath)}catch(le){if(le.code==="ENOTEMPTY")this.u.info("Rename failed because extension was installed by another source. So ignoring renaming.",X.id);else throw this.u.info(`Rename failed because of ${(0,D.$8)(le)}. Deleted from extracted location`,J),le}this.h.fire(Y)}catch(le){try{await this.m.del(J,{recursive:!0})}catch{}throw le}return this.D(Y,1)}async scanMetadata(X,B){return B?(await this.w(X,B))?.metadata:this.n.scanMetadata(X.location)}async w(X,B){return(await this.s.scanProfileExtensions(B)).find(R=>(0,s.$qo)(R.identifier,X.identifier))}async updateMetadata(X,B,k){return k?await this.s.updateMetadata([[X,B]],k):await this.n.updateMetadata(X.location,B),this.D(X.location,X.type,k)}getUninstalledExtensions(){return this.z()}async setUninstalled(...X){const B=X.map(k=>s.$ro.create(k));await this.z(k=>B.forEach(R=>{k[R.toString()]=!0,this.u.info("Marked extension as uninstalled",R.toString())}))}async setInstalled(X){await this.z(B=>delete B[X.toString()])}async removeExtension(X,B){if(this.t.extUri.isEqualOrParent(X.location,this.n.userExtensionsLocation))return this.y(X.identifier.id,X.location,B)}async removeUninstalledExtension(X){await this.removeExtension(X,"uninstalled"),await this.z(B=>delete B[s.$ro.create(X).toString()])}async copyExtension(X,B,k,R){const q=await this.w(X,B),M=await this.w(X,k);return R={...q?.metadata,...R},M?await this.s.updateMetadata([[X,{...M.metadata,...R}]],k):await this.s.addExtensionsToProfile([[X,R]],k),this.D(X.location,X.type,k)}async copyExtensions(X,B){const k=await this.scanExtensions(1,X),R=await Promise.all(k.filter(q=>!q.isApplicationScoped).map(async q=>[q,await this.scanMetadata(q,X)]));await this.s.addExtensionsToProfile(R,B)}async y(X,B,k){this.u.trace(`Deleting ${k} extension from disk`,X,B.fsPath);const R=this.t.extUri.joinPath(this.t.extUri.dirname(B),`${this.t.extUri.basename(B)}.${(0,C.$zi)((0,u.$bg)()).toString(16)}${G}`);await this.C(B.fsPath,R.fsPath),await this.m.del(R,{recursive:!0}),this.u.info(`Deleted ${k} extension from disk`,X,B.fsPath)}async z(X){return this.g.queue(async()=>{let B;try{B=(await this.m.readFile(this.c,"utf8")).value.toString()}catch(R){if((0,F.$kk)(R)!==1)throw R}let k={};if(B)try{k=JSON.parse(B)}catch{}return X&&(X(k),Object.keys(k).length?await this.m.writeFile(this.c,N.$_d.fromString(JSON.stringify(k))):await this.m.del(this.c)),k})}async C(X,B){try{await l.Promises.rename(X,B,2*60*1e3)}catch(k){throw new n.$2n(k.message||w.localize(5,null,X,B),k.code||n.ExtensionManagementErrorCode.Rename)}}async D(X,B,k){if(k){const q=(await this.n.scanUserExtensions({profileLocation:k})).find(M=>this.t.extUri.isEqual(M.location,X));if(q)return this.F(q)}else{const R=await this.n.scanExistingExtension(X,B,{includeInvalid:!0});if(R)return this.F(R)}throw new Error(w.localize(6,null,X.path))}async F(X){const B=await this.m.resolve(X.location);let k,R;return B.children&&(k=B.children.find(({name:q})=>/^readme(\.txt|\.md|)$/i.test(q))?.resource,R=B.children.find(({name:q})=>/^changelog(\.txt|\.md|)$/i.test(q))?.resource),{identifier:X.identifier,type:X.type,isBuiltin:X.isBuiltin||!!X.metadata?.isBuiltin,location:X.location,manifest:X.manifest,targetPlatform:X.targetPlatform,validations:X.validations,isValid:X.isValid,readmeUrl:k,changelogUrl:R,publisherDisplayName:X.metadata?.publisherDisplayName||null,publisherId:X.metadata?.publisherId||null,isApplicationScoped:!!X.metadata?.isApplicationScoped,isMachineScoped:!!X.metadata?.isMachineScoped,isPreReleaseVersion:!!X.metadata?.isPreReleaseVersion,preRelease:!!X.metadata?.preRelease,installedTimestamp:X.metadata?.installedTimestamp,updated:!!X.metadata?.updated,pinned:!!X.metadata?.pinned}}async G(){const X=await this.getUninstalledExtensions();if(Object.keys(X).length===0){this.u.debug("No uninstalled extensions found.");return}this.u.debug("Removing uninstalled extensions:",Object.keys(X));const B=await this.n.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),k=new Set;for(const q of B)X[s.$ro.create(q).toString()]||k.add(q.identifier.id.toLowerCase());try{const q=(0,s.$wo)(B,M=>M.identifier);await O.Promises.settled(q.map(async M=>{const J=M.sort((Y,se)=>$.rcompare(Y.manifest.version,se.manifest.version))[0];k.has(J.identifier.id.toLowerCase())||await this.j(await this.F(J))}))}catch(q){this.u.error(q)}const R=B.filter(q=>q.metadata&&X[s.$ro.create(q).toString()]);await Promise.allSettled(R.map(q=>this.removeUninstalledExtension(q)))}async H(){this.u.trace("ExtensionManagementService#removeTempDeleteFolders");let X;try{X=await this.m.resolve(this.n.userExtensionsLocation)}catch(B){(0,F.$kk)(B)!==1&&this.u.error(B);return}if(X?.children)try{await Promise.allSettled(X.children.map(async B=>{if(!(!B.isDirectory||!B.name.endsWith(G))){this.u.trace("Deleting the temporarily deleted folder",B.resource.toString());try{await this.m.del(B.resource,{recursive:!0}),this.u.trace("Deleted the temporarily deleted folder",B.resource.toString())}catch(k){(0,F.$kk)(k)!==1&&this.u.error(k)}}}))}catch{}}};e.$Bp=H,e.$Bp=H=ye([x(1,F.$7j),x(2,r.$pp),x(3,i.$lp),x(4,K.$Dk),x(5,z.$6i)],H);class V extends a.$jp{get profileLocation(){return this.j}get verificationStatus(){return this.k}get operation(){return(0,y.$Df)(this.options.operation)?this.l:this.options.operation}constructor(X,B,k,R,q,M,J,Y,se){super(),this.identifier=X,this.source=B,this.options=k,this.m=R,this.n=q,this.o=M,this.p=J,this.q=Y,this.s=se,this.j=this.options.profileLocation,this.k=!1,this.l=2}async h(X){const[B,k]=await this.x(X);return this.j=B.isBuiltin||B.isApplicationScoped?this.o.defaultProfile.extensionsResource:this.options.profileLocation,this.n.extUri.isEqual(this.o.defaultProfile.extensionsResource,this.j)&&await this.p.initializeDefaultProfileExtensions(),await this.q.addExtensionsToProfile([[B,k]],this.j),B}async u({zipPath:X,key:B,metadata:k},R,q){let M=await this.v(B);return M||(this.s.trace("Extracting extension...",B.id),M=await this.m.extractUserExtension(B,X,k,R,q),this.s.info("Extracting extension completed.",B.id)),M}async v(X){return await this.w(X)?(this.s.trace("Removing the extension from uninstalled list:",X.id),await this.m.setInstalled(X),this.s.info("Removed the extension from uninstalled list:",X.id),(await this.m.scanAllUserExtensions(!0)).find(R=>s.$ro.create(R).equals(X))):void 0}async w(X){return!!(await this.m.getUninstalledExtensions())[X.toString()]}}class W extends V{constructor(X,B,k,R,q,M,J,Y,se,le){super(B.identifier,B,k,q,M,J,Y,se,le),this.y=B,this.z=R}async x(X){const k=(await this.m.scanExtensions(null,this.options.profileLocation)).find(J=>(0,s.$qo)(J.identifier,this.y.identifier));k&&(this.l=3);const R={id:this.y.identifier.uuid,publisherId:this.y.publisherId,publisherDisplayName:this.y.publisherDisplayName,targetPlatform:this.y.properties.targetPlatform,isApplicationScoped:this.options.isApplicationScoped||k?.isApplicationScoped,isMachineScoped:this.options.isMachineScoped||k?.isMachineScoped,isBuiltin:this.options.isBuiltin||k?.isBuiltin,isSystem:k?.type===0?!0:void 0,updated:!!k,isPreReleaseVersion:this.y.properties.isPreReleaseVersion,installedTimestamp:Date.now(),pinned:this.options.installGivenVersion?!0:void 0,preRelease:this.y.properties.isPreReleaseVersion||((0,y.$Cf)(this.options.installPreReleaseVersion)?this.options.installPreReleaseVersion:k?.preRelease)};if(k?.manifest.version===this.y.version)return[await this.m.updateMetadata(k,R),R];const{location:q,verificationStatus:M}=await this.z.download(this.y,this.l,!this.options.donotVerifySignature);try{return this.k=M,this.B(q.fsPath),[await this.u({zipPath:q.fsPath,key:s.$ro.create(this.y),metadata:R},!1,X),R]}catch(J){try{await this.z.delete(q)}catch(Y){this.s.warn("Error while deleting the downloaded file",q.toString(),(0,D.$8)(Y))}throw J}}async B(X){try{await(0,p.$wp)(X)}catch(B){throw new n.$2n((0,a.$hp)(B).message,n.ExtensionManagementErrorCode.Invalid)}}}e.$Cp=W;class ee extends V{constructor(X,B,k,R,q,M,J,Y,se,le){super({id:(0,s.$vo)(X.publisher,X.name)},B,k,q,M,J,Y,se,le),this.y=X,this.z=B,this.A=R}async h(X){const B=await super.h(X);return this.D(B,X),B}async x(X){const B=new s.$ro(this.identifier,this.y.version),R=(await this.m.scanExtensions(1,this.options.profileLocation)).find(J=>(0,s.$qo)(this.identifier,J.identifier)),q={isApplicationScoped:this.options.isApplicationScoped||R?.isApplicationScoped,isMachineScoped:this.options.isMachineScoped||R?.isMachineScoped,isBuiltin:this.options.isBuiltin||R?.isBuiltin,installedTimestamp:Date.now(),pinned:this.options.installGivenVersion?!0:void 0};if(R)if(this.l=3,B.equals(new s.$ro(R.identifier,R.manifest.version)))try{await this.m.removeExtension(R,"existing")}catch{throw new Error(w.localize(7,null,this.y.displayName||this.y.name))}else!this.options.profileLocation&&$.gt(R.manifest.version,this.y.version)&&await this.m.setUninstalled(R);else{const J=await this.v(B);if(J)try{await this.m.removeExtension(J,"existing")}catch{throw new Error(w.localize(8,null,this.y.displayName||this.y.name))}}return[await this.u({zipPath:m.$ic(this.z.fsPath),key:B,metadata:q},!0,X),q]}async D(X,B){try{let[k]=await this.A.getExtensions([{id:X.identifier.id,version:X.manifest.version}],B);if(k||([k]=await this.A.getExtensions([{id:X.identifier.id}],B)),k){const R={id:k.identifier.uuid,publisherDisplayName:k.publisherDisplayName,publisherId:k.publisherId,isPreReleaseVersion:k.properties.isPreReleaseVersion,preRelease:k.properties.isPreReleaseVersion||this.options.installPreReleaseVersion};await this.m.updateMetadata(X,R,this.options.profileLocation)}}catch{}}}class ne extends a.$jp{constructor(X,B,k){super(),this.extension=X,this.j=B,this.k=k}async h(X){await this.k.removeExtensionFromProfile(this.extension,this.j)}}}),define(oe[265],ae([0,1,2,29,80,222,122,7,20]),function(te,e,O,N,j,A,D,I,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$z8b=void 0;let g=class extends O.$Qc{constructor(E,m,c,$,y,d){super(),E.cleanUp(),(0,A.$xVb)(E,m,c,$,d),j.$Pu.removeOutdatedExtensionVersions(E,y)}};e.$z8b=g,e.$z8b=g=ye([x(0,D.$zp),x(1,N.$1n),x(2,j.$Ou),x(3,N.$6n),x(4,C.$Wo),x(5,I.$6i)],g)}),define(oe[123],ae([0,1,69,61,36,275,15,8,3,2,16,6,32,42,65]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hh=e.$Gh=e.$Fh=e.$Eh=e.$Dh=e.$Ch=e.$Bh=e.$Ah=void 0;class y{traceSocketEvent(f,b){$.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,f,b)}constructor(f,b=""){this.f=!0,this.debugLabel=b,this.socket=f,this.traceSocketEvent("created",{type:"NodeSocket"}),this.a=L=>{if(this.traceSocketEvent("error",{code:L?.code,message:L?.message}),L){if(L.code==="EPIPE")return;(0,I.$Y)(L)}},this.socket.on("error",this.a),this.b=L=>{this.traceSocketEvent("close",{hadError:L}),this.f=!1},this.socket.on("close",this.b),this.d=()=>{this.traceSocketEvent("nodeEndReceived"),this.f=!1},this.socket.on("end",this.d)}dispose(){this.socket.off("error",this.a),this.socket.off("close",this.b),this.socket.off("end",this.d),this.socket.destroy()}onData(f){const b=L=>{this.traceSocketEvent("read",L),f(D.$_d.wrap(L))};return this.socket.on("data",b),{dispose:()=>this.socket.off("data",b)}}onClose(f){const b=L=>{f({type:0,hadError:L,error:void 0})};return this.socket.on("close",b),{dispose:()=>this.socket.off("close",b)}}onEnd(f){const b=()=>{f()};return this.socket.on("end",b),{dispose:()=>this.socket.off("end",b)}}write(f){if(!(this.socket.destroyed||!this.f))try{this.traceSocketEvent("write",f),this.socket.write(f.buffer,b=>{if(b){if(b.code==="EPIPE")return;(0,I.$Y)(b)}})}catch(b){if(b.code==="EPIPE")return;(0,I.$Y)(b)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((f,b)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),f();return}const L=()=>{this.socket.off("close",L),this.socket.off("end",L),this.socket.off("error",L),this.socket.off("timeout",L),this.socket.off("drain",L),this.traceSocketEvent("nodeDrainEnd"),f()};this.socket.on("close",L),this.socket.on("end",L),this.socket.on("error",L),this.socket.on("timeout",L),this.socket.on("drain",L)})}}e.$Ah=y;var d;(function(p){p[p.MinHeaderByteSize=2]="MinHeaderByteSize",p[p.MaxWebSocketMessageLength=262144]="MaxWebSocketMessageLength"})(d||(d={}));var u;(function(p){p[p.PeekHeader=1]="PeekHeader",p[p.ReadHeader=2]="ReadHeader",p[p.ReadBody=3]="ReadBody",p[p.Fin=4]="Fin"})(u||(u={}));class l extends g.$Qc{get permessageDeflate(){return this.a.permessageDeflate}get recordedInflateBytes(){return this.a.recordedInflateBytes}traceSocketEvent(f,b){this.socket.traceSocketEvent(f,b)}constructor(f,b,L,F){super(),this.f=this.B(new C.$Ld),this.g=this.B(new C.$Ld),this.h=!1,this.j={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0},this.socket=f,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:b,inflateBytesLength:L?.byteLength||0,recordInflateBytes:F}),this.a=this.B(new h(this,b,L,F,this.f,(T,z)=>this.m(T,z))),this.B(this.a.onError(T=>{console.error(T),(0,I.$Y)(T),this.g.fire({type:0,hadError:!0,error:T})})),this.b=new $.$vh,this.B(this.socket.onData(T=>this.n(T))),this.B(this.socket.onClose(async T=>{this.a.isProcessingReadQueue()&&await C.Event.toPromise(this.a.onDidFinishProcessingReadQueue),this.g.fire(T)}))}dispose(){this.a.isProcessingWriteQueue()?this.B(this.a.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(f){return this.f.event(f)}onClose(f){return this.g.event(f)}onEnd(f){return this.socket.onEnd(f)}write(f){let b=0;for(;b<f.byteLength;)this.a.writeMessage(f.slice(b,Math.min(b+262144,f.byteLength))),b+=262144}m(f,b){if(this.h)return;this.traceSocketEvent("webSocketNodeSocketWrite",f);let L=2;f.byteLength<126?L+=0:f.byteLength<2**16?L+=2:L+=8;const F=D.$_d.alloc(L);if(b?F.writeUInt8(194,0):F.writeUInt8(130,0),f.byteLength<126)F.writeUInt8(f.byteLength,1);else if(f.byteLength<2**16){F.writeUInt8(126,1);let T=1;F.writeUInt8(f.byteLength>>>8&255,++T),F.writeUInt8(f.byteLength>>>0&255,++T)}else{F.writeUInt8(127,1);let T=1;F.writeUInt8(0,++T),F.writeUInt8(0,++T),F.writeUInt8(0,++T),F.writeUInt8(0,++T),F.writeUInt8(f.byteLength>>>24&255,++T),F.writeUInt8(f.byteLength>>>16&255,++T),F.writeUInt8(f.byteLength>>>8&255,++T),F.writeUInt8(f.byteLength>>>0&255,++T)}this.socket.write(D.$_d.concat([F,f]))}end(){this.h=!0,this.socket.end()}n(f){if(f.byteLength!==0){for(this.b.acceptChunk(f);this.b.byteLength>=this.j.readLen;)if(this.j.state===1){const b=this.b.peek(this.j.readLen),L=b.readUInt8(0),F=(L&128)>>>7,T=(L&64)>>>6,z=b.readUInt8(1),U=(z&128)>>>7,_=z&127;this.j.state=2,this.j.readLen=2+(U?4:0)+(_===126?2:0)+(_===127?8:0),this.j.fin=F,this.j.firstFrameOfMessage&&(this.j.compressed=!!T),this.j.firstFrameOfMessage=!!F,this.j.mask=0,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin})}else if(this.j.state===2){const b=this.b.read(this.j.readLen),L=b.readUInt8(1),F=(L&128)>>>7;let T=L&127,z=1;T===126?T=b.readUInt8(++z)*2**8+b.readUInt8(++z):T===127&&(T=b.readUInt8(++z)*0+b.readUInt8(++z)*0+b.readUInt8(++z)*0+b.readUInt8(++z)*0+b.readUInt8(++z)*2**24+b.readUInt8(++z)*2**16+b.readUInt8(++z)*2**8+b.readUInt8(++z));let U=0;F&&(U=b.readUInt8(++z)*2**24+b.readUInt8(++z)*2**16+b.readUInt8(++z)*2**8+b.readUInt8(++z)),this.j.state=3,this.j.readLen=T,this.j.mask=U,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,mask:this.j.mask})}else if(this.j.state===3){const b=this.b.read(this.j.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",b),t(b,this.j.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",b),this.j.state=1,this.j.readLen=2,this.j.mask=0,this.a.acceptFrame(b,this.j.compressed,!!this.j.fin)}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this.a.isProcessingWriteQueue()&&await C.Event.toPromise(this.a.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.$Bh=l;class h extends g.$Qc{get permessageDeflate(){return!!(this.b&&this.f)}get recordedInflateBytes(){return this.b?this.b.recordedInflateBytes:D.$_d.alloc(0)}constructor(f,b,L,F,T,z){super(),this.n=f,this.r=T,this.s=z,this.a=this.B(new C.$Ld),this.onError=this.a.event,this.g=[],this.h=[],this.j=this.B(new C.$Ld),this.onDidFinishProcessingReadQueue=this.j.event,this.m=this.B(new C.$Ld),this.onDidFinishProcessingWriteQueue=this.m.event,this.t=!1,this.y=!1,b?(this.b=this.B(new w(this.n,F,L,{windowBits:15})),this.f=this.B(new S(this.n,{windowBits:15})),this.B(this.b.onError(U=>this.a.fire(U))),this.B(this.f.onError(U=>this.a.fire(U)))):(this.b=null,this.f=null)}writeMessage(f){this.g.push(f),this.u()}async u(){if(!this.t){for(this.t=!0;this.g.length>0;){const f=this.g.shift();if(this.f){const b=await this.w(this.f,f);this.s(b,!0)}else this.s(f,!1)}this.t=!1,this.m.fire()}}isProcessingWriteQueue(){return this.t}w(f,b){return new Promise((L,F)=>{f.write(b),f.flush(T=>L(T))})}acceptFrame(f,b,L){this.h.push({data:f,isCompressed:b,isLastFrameOfMessage:L}),this.z()}async z(){if(!this.y){for(this.y=!0;this.h.length>0;){const f=this.h.shift();if(this.b&&f.isCompressed){const b=await this.C(this.b,f.data,f.isLastFrameOfMessage);this.r.fire(b)}else this.r.fire(f.data)}this.y=!1,this.j.fire()}}isProcessingReadQueue(){return this.y}C(f,b,L){return new Promise((F,T)=>{f.write(b),L&&f.write(D.$_d.fromByteArray([0,0,255,255])),f.flush(z=>F(z))})}}class w extends g.$Qc{get recordedInflateBytes(){return this.j?D.$_d.concat(this.f):D.$_d.alloc(0)}constructor(f,b,L,F){super(),this.h=f,this.j=b,this.a=this.B(new C.$Ld),this.onError=this.a.event,this.f=[],this.g=[],this.b=(0,A.createInflateRaw)(F),this.b.on("error",T=>{this.h.traceSocketEvent("zlibInflateError",{message:T?.message,code:T?.code}),this.a.fire(T)}),this.b.on("data",T=>{this.h.traceSocketEvent("zlibInflateData",T),this.g.push(D.$_d.wrap(T))}),L&&(this.h.traceSocketEvent("zlibInflateInitialWrite",L.buffer),this.b.write(L.buffer),this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateInitialFlushFired"),this.g.length=0}))}write(f){this.j&&this.f.push(f.clone()),this.h.traceSocketEvent("zlibInflateWrite",f),this.b.write(f.buffer)}flush(f){this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateFlushFired");const b=D.$_d.concat(this.g);this.g.length=0,f(b)})}}class S extends g.$Qc{constructor(f,b){super(),this.g=f,this.a=this.B(new C.$Ld),this.onError=this.a.event,this.f=[],this.b=(0,A.createDeflateRaw)({windowBits:15}),this.b.on("error",L=>{this.g.traceSocketEvent("zlibDeflateError",{message:L?.message,code:L?.code}),this.a.fire(L)}),this.b.on("data",L=>{this.g.traceSocketEvent("zlibDeflateData",L),this.f.push(D.$_d.wrap(L))})}write(f){this.g.traceSocketEvent("zlibDeflateWrite",f.buffer),this.b.write(f.buffer)}flush(f){this.b.flush(2,()=>{this.g.traceSocketEvent("zlibDeflateFlushFired");let b=D.$_d.concat(this.f);this.f.length=0,b=b.slice(0,b.byteLength-4),f(b)})}}function t(p,f){if(f===0)return;const b=p.byteLength>>>2;for(let _=0;_<b;_++){const K=p.readUInt32BE(_*4);p.writeUInt32BE(K^f,_*4)}const L=b*4,F=p.byteLength-L,T=f>>>24&255,z=f>>>16&255,U=f>>>8&255;F>=1&&p.writeUInt8(p.readUInt8(L)^T,L),F>=2&&p.writeUInt8(p.readUInt8(L+1)^z,L+1),F>=3&&p.writeUInt8(p.readUInt8(L+2)^U,L+2)}e.$Ch=process.env.XDG_RUNTIME_DIR;const a={[2]:107,[1]:103};function n(){const p=(0,m.$bg)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${p}-sock`;const f=process.platform!=="darwin"&&e.$Ch?e.$Ch:(0,j.tmpdir)(),b=(0,P.$hc)(f,`vscode-ipc-${p}.sock`);return i(b),b}e.$Dh=n;function s(p,f,b){const L=(0,O.createHash)("md5").update(p).digest("hex");if(process.platform==="win32")return`\\\\.\\pipe\\${L}-${b}-${f}-sock`;const F=b.substr(0,4),T=f.substr(0,6),z=L.substr(0,8);let U;return process.platform!=="darwin"&&e.$Ch&&!process.env.VSCODE_PORTABLE?U=(0,P.$hc)(e.$Ch,`vscode-${z}-${F}-${T}.sock`):U=(0,P.$hc)(p,`${F}-${T}.sock`),i(U),U}e.$Eh=s;function i(p){const f=a[E.$t];typeof f=="number"&&p.length>=f&&console.warn(`WARNING: IPC handle "${p}" is longer than ${f} chars, try a shorter --user-data-dir`)}class r extends c.$ph{static b(f){const b=C.Event.fromNodeEventEmitter(f,"connection");return C.Event.map(b,L=>({protocol:new $.$wh(new y(L,"ipc-server-connection")),onDidClientDisconnect:C.Event.once(C.Event.fromNodeEventEmitter(L,"close"))}))}constructor(f){super(r.b(f)),this.d=f}dispose(){super.dispose(),this.d&&(this.d.close(),this.d=null)}}e.$Fh=r;function o(p){return new Promise((f,b)=>{const L=(0,N.createServer)();L.on("error",b),L.listen(p,()=>{L.removeListener("error",b),f(new r(L))})})}e.$Gh=o;function v(p,f){return new Promise((b,L)=>{const F=(0,N.createConnection)(p,()=>{F.removeListener("error",L),b($.$xh.fromSocket(new y(F,`ipc-client${f}`),f))});F.once("error",L)})}e.$Hh=v}),define(oe[266],ae([0,1,61,123,210]),function(te,e,O,N,j){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$I8b=void 0,e.$I8b=new class{supports(A){return!0}connect({host:A,port:D},I,C,g){return new Promise((P,E)=>{const m=O.createConnection({host:A,port:D},()=>{m.removeListener("error",E),m.write((0,j.$hkb)(I,C,g));const c=$=>{$.toString().indexOf(`\r
\r
`)>=0&&(m.off("data",c),P(new N.$Ah(m,g)))};m.on("data",c)});m.setNoDelay(!0),m.once("error",E)})}}}),define(oe[267],ae([0,1,61,36,134,123,5,2,6,19,7,24,213,104,106,76,15]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$E7b=e.$D7b=e.$C7b=e.$B7b=void 0;async function u(t,a,n,s,i){let r;for(let o=3;o&&(r?.dispose(),r=await new l(t,a,n,s,i).waitForReady(),!(i&&j.$eg[i]||!j.$eg[r.tunnelLocalPort]));o--);return r}class l extends I.$Qc{constructor(a,n,s,i,r){super(),this.m=n,this.n=r,this.privacy=y.TunnelPrivacyId.Private,this.j=new Map,this.a=a,this.b=O.createServer(),this.c=new D.$Pg,this.f=()=>this.c.open(),this.b.on("listening",this.f),this.g=o=>this.r(o),this.b.on("connection",this.g),this.h=()=>{},this.b.on("error",this.h),this.tunnelRemotePort=i,this.tunnelRemoteHost=s}async dispose(){super.dispose(),this.b.removeListener("listening",this.f),this.b.removeListener("connection",this.g),this.b.removeListener("error",this.h),this.b.close(),Array.from(this.j.values()).forEach(n=>{n()})}async waitForReady(){const a=this.n??this.tunnelRemotePort,n=(0,y.$8u)(this.m)?"0.0.0.0":"127.0.0.1";let s=await(0,j.$fg)(a,2,1e3,n),i=null;return this.b.listen(s,this.m),await this.c.wait(),i=this.b.address(),i||(s=0,this.b.listen(s,this.m),await this.c.wait(),i=this.b.address()),this.tunnelLocalPort=i.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${i.port}`,this}async r(a){a.pause();const n=(0,y.$6u)(this.tunnelRemoteHost)||(0,y.$8u)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,s=await(0,m.$1k)(this.a,n,this.tunnelRemotePort),i=s.getSocket(),r=s.readEntireBuffer();s.dispose(),r.byteLength>0&&a.write(r.buffer),a.on("end",()=>{a.localAddress&&this.j.delete(a.localAddress),i.end()}),a.on("close",()=>i.end()),a.on("error",()=>{a.localAddress&&this.j.delete(a.localAddress),i instanceof A.$Ah?i.socket.destroy():i.end()}),i instanceof A.$Ah?this.t(a,i):this.s(a,i),a.localAddress&&this.j.set(a.localAddress,()=>{a.end(),i.end()})}s(a,n){n.onClose(()=>a.destroy()),n.onEnd(()=>a.end()),n.onData(s=>a.write(s.buffer)),a.on("data",s=>n.write(d.$_d.wrap(s))),a.resume()}t(a,n){const s=n.socket;s.on("end",()=>a.end()),s.on("close",()=>a.end()),s.on("error",()=>{a.destroy()}),s.pipe(a),a.pipe(s)}}e.$B7b=l;let h=class extends y.$$u{constructor(a,n,s,i,r){super(n,r),this.u=a,this.v=s,this.w=i}isPortPrivileged(a){return(0,y.$9u)(a,this.l,C.OS,N.release())}s(a,n,s,i,r,o,v,p){const f=this.r(n,s);if(f)return++f.refcount,f.value;if((0,y.$3u)(a))return this.t(a,n,s,r,o,v,p);{this.j.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${n}:${s} on local port ${r}.`);const b={commit:this.w.commit,quality:this.w.quality,addressProvider:a,remoteSocketFactoryService:this.u,signService:this.v,logService:this.j,ipcLogger:null},L=u(b,i,n,s,r);return this.j.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.p(n,s,L),L}}};e.$C7b=h,e.$C7b=h=ye([x(0,c.$Uk),x(1,P.$6i),x(2,$.$Xk),x(3,E.$lj),x(4,g.$fi)],h);let w=class extends h{constructor(a,n,s,i,r){super(a,n,s,i,r)}};e.$D7b=w,e.$D7b=w=ye([x(0,c.$Uk),x(1,P.$6i),x(2,$.$Xk),x(3,E.$lj),x(4,g.$fi)],w);let S=class extends I.$Qc{constructor(a,n,s,i,r){super(),this.b=a,this.c=n,this.f=s,this.g=i,this.h=r,this.a=new Map}async openTunnel(a,n,s,i,r,o,v,p,f){if(this.c.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${s}:${i} on local port ${o}.`),!this.a.has(a)){const b=new w(this.b,this.c,this.g,this.f,this.h);this.B(b),this.a.set(a,b),b.onTunnelClosed(async()=>{(await b.tunnels).length===0&&(b.dispose(),this.a.delete(a))})}return this.a.get(a).openTunnel(n,s,i,r,o,v,p,f)}};e.$E7b=S,e.$E7b=S=ye([x(0,c.$Uk),x(1,P.$6i),x(2,E.$lj),x(3,$.$Xk),x(4,g.$fi)],S)}),define(oe[276],ae([0,1,36,38,8,2,23,10,18,3,42,147,204,205,196,197,262,187,189,19,209,95,220,96,215,14,114,247,29,97,188,122,98,11,199,200,68,4,195,70,72,225,7,201,102,24,57,20,107,22,108,109,110,45,228,80,111,25,78,254,238,239,81,253,257,258,259,58,252,241,106,219,76,267,214,229,28,230,6,231,190,207,206,79,246,17,50,203,56,251,227,242,105,256,265,9,202,101,249,245,216,184,55,260,248,71,250,104,266,182,112,240,217]),function(te,e,O,N,j,A,D,I,C,g,P,E,m,c,$,y,d,u,l,h,w,S,t,a,n,s,i,r,o,v,p,f,b,L,F,T,z,U,_,K,Z,G,Q,H,V,W,ee,ne,re,X,B,k,R,q,M,J,Y,se,le,ue,he,$e,de,we,Ee,Ie,Ne,Te,ce,ge,be,ke,Pe,ze,Le,qe,Me,ie,fe,me,pe,Se,Re,Ce,Oe,De,Ae,Fe,Be,Ue,We,_e,ut,vt,Et,St,kt,ft,Ct,Pt,Rt,It,Ot,Dt,Lt,dt,jt,gt,At,Nt,$t,Ft,it){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.main=void 0;class Mt extends A.$Qc{constructor(ve){super(),this.f=ve,this.a=this.B(new E.$cT(this)),this.b=void 0,this.c=this.B(new g.$Ld),this.g()}g(){let ve=!1;const je=()=>{ve||(ve=!0,this.b?.fireOnWillShutdown(),this.dispose())};process.once("exit",je),(0,E.$dT)(process.parentPort,it.$S6b.exit,je)}async init(){const ve=await this.h();(0,se.$hgb)(),ve.invokeFunction(je=>{const Ke=je.get(Q.$6i),Ve=je.get(X.$0k),Qe=je.get(De.$Fk);Ke.trace("sharedProcess configuration",JSON.stringify(this.f)),this.j(je),this.m(Ke),this.n(Ve,Qe),this.B(Qe.onDidChangeProfiles(()=>this.n(Ve,Qe)))}),this.B((0,A.$Nc)(ve.createInstance(m.$87b,this.f.codeCachePath),ve.createInstance(c.$97b),ve.createInstance(d.$_7b),ve.createInstance(y.$$7b),ve.createInstance($.$07b),ve.createInstance(Et.$z8b),ve.createInstance(_e.$r8b),ve.createInstance(Ft.$L8b,this.c.event)))}async h(){const ve=new K.$Jh,je={_serviceBrand:void 0,...V.default};ve.set(W.$lj,je);const Ke=new P.$th(He=>He==="main"),Ve=new dt.$L7b(this.a,Ke);ve.set(dt.$K7b,Ve);const Qe=this.f.policiesData?new Fe.$k7b(this.f.policiesData,Ve.getChannel("policy")):new Be.$an;ve.set(Be.$$m,Qe);const Ge=new Nt.$am(this.f.args,je);ve.set(s.$Th,Ge);const xe=new H.$2q(void 0,this.f.logLevel,Ge.logsHome,this.f.loggers.map(He=>({...He,resource:I.URI.revive(He.resource)})),Ve.getChannel("logger"));ve.set(Q.$7i,xe);const st=this.B(xe.createLogger("sharedprocess",{name:(0,St.localize)(0,null)})),ct=this.B(new Q.$bj(st.getLevel())),Je=this.B(new kt.$tN(st,[ct]));ve.set(Q.$6i,Je),this.b=this.B(new ft.$B8b(Je)),ve.set(ft.$A8b,this.b);const Ye=this.B(new F.$Ep(Je));ve.set(L.$7j,Ye);const lt=this.B(new T.$4p(Je));Ye.registerProvider(D.Schemas.file,lt);const rt=new ie.$qr(Ye);ve.set(Me.$Dk,rt);const Xe=this.B(new Ue.$AN(this.f.profiles.all,I.URI.revive(this.f.profiles.home).with({scheme:Ge.userRoamingDataHome.scheme}),Ve.getChannel("userDataProfiles")));ve.set(De.$Fk,Xe);const ht=this.B(new me.$J7b(D.Schemas.file,this.B(new pe.$cN(Ve.getChannel(pe.$bN),{pathCaseSensitive:fe.$k})),D.Schemas.vscodeUserData,Xe,rt,Je));Ye.registerProvider(D.Schemas.vscodeUserData,ht);const Ze=this.B(new w.$An(Xe.defaultProfile.settingsResource,Ye,Qe,Je));ve.set(h.$fi,Ze);const et=new jt.$H8b(void 0,{defaultProfile:Xe.defaultProfile,currentProfile:Xe.defaultProfile},Ve,Ge);ve.set(ne.$Wo,et),this.B((0,A.$Oc)(()=>et.flush())),await Promise.all([Ze.initialize(),et.initialize()]);const bt=new Rt.$Nq(Ve.getChannel("request"));ve.set(ee.$Jo,bt),ve.set(u.$a8b,new z.$Ih(l.$b8b,void 0,!1)),ve.set(Re.$ME,new z.$Ih(Se.$q8b,void 0,!1));const wt=P.ProxyChannel.toService(Ve.getChannel("nativeHost"));ve.set(Ot.$t6b,wt),ve.set(a.$En,new z.$Ih(n.$IN,void 0,!0));const Tt=this.B(new ge.$h7b(wt)),zt=new P.$th(He=>Tt.getActiveClientId().then(at=>He===at));ve.set(b.$hVb,new It.$D8b(this.a.getChannel("extensionRecommendationNotification",zt)));let ot;const tt=[],yt=(0,q.$no)(je,Ze);if((0,q.$io)(je,Ge)){const He=new k.$o4b(Je,xe,Ge,je);if(tt.push(He),!(0,q.$jo)(je,Ge)&&je.aiConfig?.ariaKey){const at=new We.$hN(bt,yt,"monacoworkbench",null,je.aiConfig.ariaKey);this.B((0,A.$Oc)(()=>at.flush())),tt.push(at)}ot=new R.$Rq({appenders:tt,commonProperties:(0,re.$$n)((0,O.release)(),(0,O.hostname)(),process.arch,je.commit,je.version,this.f.machineId,yt),sendErrorTelemetry:!0,piiPaths:(0,q.$oo)(Ge)},Ze,je)}else{ot=q.$co;const He=q.$go;tt.push(He)}this.a.registerChannel("telemetryAppender",new B.$X6b(tt)),ve.set(X.$0k,ot);const qt=new M.$c8b(Ze,ot,Je,xe,Ge,je);ve.set(X.$$k,qt),ve.set(Ae.$lp,new z.$Ih(Pt.$sN,void 0,!0)),ve.set(Ce.$pp,new z.$Ih(Oe.$l7b,void 0,!0)),ve.set(v.$8o,new z.$Ih(v.$9o,void 0,!0)),ve.set(f.$zp,new z.$Ih(f.$Ap,void 0,!0)),ve.set(o.$1n,new z.$Ih(r.$6o,void 0,!0)),ve.set(o.$7n,new z.$Ih(Lt.$G8b,void 0,!1)),ve.set(Z.$Jq,new z.$Ih(G.$Lq,void 0,!1)),ve.set(S.$hm,new z.$Ih(t.$xr,void 0,!1)),ve.set(le.$1zb,new z.$Ih(le.$2zb,void 0,!0)),ve.set(se.$Cgb,new z.$Ih($e.$cCb,void 0,!0)),ve.set(se.$Bgb,new he.$f8b(this.a.getChannel("userDataSyncUtil",He=>He.ctx!=="main"))),ve.set(o.$6n,new z.$Ih(i.$Yzb,void 0,!1)),ve.set(Y.$aCb,new z.$Ih(Y.$bCb,void 0,!0)),ve.set(J.$Ou,new z.$Ih(J.$Pu)),ve.set(se.$mgb,new z.$Ih(Ne.$lBb,void 0,!0)),ve.set(se.$ngb,new z.$Ih(Ne.$nBb,void 0,!0)),ve.set(de.$agb,new z.$Ih(de.$cgb,void 0,!0)),ve.set(se.$ogb,new z.$Ih(ue.$34b,void 0,!1)),ve.set(se.$xgb,new z.$Ih(we.$R4b,void 0,!0)),ve.set(se.$ygb,new z.$Ih(Ee.$84b,void 0,!1)),ve.set(Te.$AAb,new z.$Ih(ce.$m8b,void 0,!0)),ve.set(se.$zgb,new z.$Ih(vt.$H5b,void 0,!0)),ve.set(be.$Xk,new z.$Ih(ke.$G7b,void 0,!1));const pt=new gt.$Vk;return ve.set(gt.$Uk,pt),pt.register(0,At.$I8b),ve.set(Pe.$2u,new z.$Ih(ze.$E7b)),ve.set(Le.$n8b,new z.$Ih(qe.$p8b)),ve.set(ut.$s8b,new z.$Ih(Ct.$C8b)),ve.set($t.$J8b,new z.$Ih($t.$K8b)),new _.$7p(ve)}j(ve){const je=this.B(new A.$Pc),Ke=new p.$$o(ve.get(o.$3n),()=>null);this.a.registerChannel("extensions",Ke);const Ve=P.ProxyChannel.fromService(ve.get(Z.$Jq),je);this.a.registerChannel("languagePacks",Ve);const Qe=P.ProxyChannel.fromService(ve.get(S.$hm),je);this.a.registerChannel("diagnostics",Qe);const Ge=new p.$ap(ve.get(o.$7n));this.a.registerChannel("extensionTipsService",Ge);const xe=P.ProxyChannel.fromService(ve.get(u.$a8b),je);this.a.registerChannel("checksum",xe);const st=P.ProxyChannel.fromService(ve.get(Re.$ME),je);this.a.registerChannel("v8InspectProfiling",st);const ct=new he.$g8b(ve.get(de.$agb));this.a.registerChannel("userDataSyncMachines",ct);const Je=P.ProxyChannel.fromService(ve.get(X.$$k),je);this.a.registerChannel("customEndpointTelemetry",Je);const Ye=new he.$h8b(ve.get(le.$1zb));this.a.registerChannel("userDataSyncAccount",Ye);const lt=new he.$i8b(ve.get(se.$mgb));this.a.registerChannel("userDataSyncStoreManagement",lt);const rt=new Ie.$k8b(ve.get(se.$ygb),ve.get(De.$Fk),ve.get(Q.$6i));this.a.registerChannel("userDataSync",rt);const Xe=this.B(ve.get(U.$Kh).createInstance(Dt.$F8b)),ht=new he.$d8b(Xe);this.a.registerChannel("userDataAutoSync",ht),this.a.registerChannel("IUserDataSyncResourceProviderService",P.ProxyChannel.fromService(ve.get(se.$zgb),je));const Ze=P.ProxyChannel.fromService(ve.get(Le.$n8b),je);this.a.registerChannel(Le.$o8b,Ze);const et=P.ProxyChannel.fromService(ve.get(ut.$s8b),je);this.a.registerChannel("remoteTunnel",et)}m(ve){process.on("uncaughtException",je=>(0,j.$Y)(je)),process.on("unhandledRejection",je=>(0,j.$Y)(je)),(0,j.setUnexpectedErrorHandler)(je=>{const Ke=(0,N.$wi)(je,!0);Ke&&ve.error(`[uncaught exception in sharedProcess]: ${Ke}`)})}n(ve,je){ve.publicLog2("profilesInfo",{count:je.profiles.length})}handledClientConnection(ve){if(ve.data!==it.$U6b.response)return!1;const je=(0,C.$Mb)(ve.ports);return je?(this.c.fire(je),!0):!1}}async function mt(nt){const ve=new Mt(nt);process.parentPort.postMessage(it.$S6b.ipcReady),await ve.init(),process.parentPort.postMessage(it.$S6b.initDone)}e.main=mt,process.parentPort.once("message",nt=>{mt(nt.data)})})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/f1b07bd25dfad64b0167beb15359ae573aecd2cc/core/vs/code/node/sharedProcess/sharedProcessMain.js.map
